/* Album.c generated by valac 0.34.9, the Vala compiler
 * generated from Album.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2012-2017 elementary LLC. (https://elementary.io)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Noise authors hereby grant permission for non-GPL compatible
 * GStreamer plugins to be used and distributed together with GStreamer
 * and Noise. This permission is above and beyond the permissions granted
 * by the GPL license by which Noise is covered. If you modify this code
 * you may extend this exception to your version of the code, but you are not
 * obligated to do so. If you do not wish to do so, delete this exception
 * statement from your version.
 *
 * Authored by: Victor Eduardo <victoreduardm@gmail.com>
 */

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <gio/gio.h>
#include <gee.h>
#include <gdk-pixbuf/gdk-pixbuf.h>
#include <gtk/gtk.h>


#define NOISE_TYPE_ALBUM (noise_album_get_type ())
#define NOISE_ALBUM(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_ALBUM, NoiseAlbum))
#define NOISE_ALBUM_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_ALBUM, NoiseAlbumClass))
#define NOISE_IS_ALBUM(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_ALBUM))
#define NOISE_IS_ALBUM_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_ALBUM))
#define NOISE_ALBUM_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_ALBUM, NoiseAlbumClass))

typedef struct _NoiseAlbum NoiseAlbum;
typedef struct _NoiseAlbumClass NoiseAlbumClass;
typedef struct _NoiseAlbumPrivate NoiseAlbumPrivate;

#define NOISE_TYPE_MEDIA (noise_media_get_type ())
#define NOISE_MEDIA(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_MEDIA, NoiseMedia))
#define NOISE_MEDIA_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_MEDIA, NoiseMediaClass))
#define NOISE_IS_MEDIA(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_MEDIA))
#define NOISE_IS_MEDIA_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_MEDIA))
#define NOISE_MEDIA_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_MEDIA, NoiseMediaClass))

typedef struct _NoiseMedia NoiseMedia;
typedef struct _NoiseMediaClass NoiseMediaClass;
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_string_free0(var) ((var == NULL) ? NULL : (var = (g_string_free (var, TRUE), NULL)))
typedef struct _Block5Data Block5Data;
#define _gtk_icon_info_free0(var) ((var == NULL) ? NULL : (var = (gtk_icon_info_free (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
typedef struct _Block6Data Block6Data;
typedef struct _Block7Data Block7Data;
#define _g_thread_unref0(var) ((var == NULL) ? NULL : (var = (g_thread_unref (var), NULL)))
typedef struct _Block8Data Block8Data;
typedef struct _Block9Data Block9Data;
#define _vala_assert(expr, msg) if G_LIKELY (expr) ; else g_assertion_message_expr (G_LOG_DOMAIN, __FILE__, __LINE__, G_STRFUNC, msg);
#define _vala_return_if_fail(expr, msg) if G_LIKELY (expr) ; else { g_return_if_fail_warning (G_LOG_DOMAIN, G_STRFUNC, msg); return; }
#define _vala_return_val_if_fail(expr, msg, val) if G_LIKELY (expr) ; else { g_return_if_fail_warning (G_LOG_DOMAIN, G_STRFUNC, msg); return val; }
#define _vala_warn_if_fail(expr, msg) if G_LIKELY (expr) ; else g_warn_message (G_LOG_DOMAIN, __FILE__, __LINE__, G_STRFUNC, msg);

struct _NoiseAlbum {
	GObject parent_instance;
	NoiseAlbumPrivate * priv;
};

struct _NoiseAlbumClass {
	GObjectClass parent_class;
};

struct _NoiseAlbumPrivate {
	gchar* _name;
	gchar* _artist;
	guint _n_discs;
	guint _year;
	GIcon* _cover_icon;
	GeeHashSet* media;
	GdkPixbuf* cover_pixbuf;
	gint cover_pixbuf_scale;
};

struct _Block5Data {
	int _ref_count_;
	NoiseAlbum* self;
	GtkIconInfo* icon_info;
	gint scale;
};

struct _Block6Data {
	int _ref_count_;
	NoiseAlbum* self;
	GFile* file;
};

struct _Block7Data {
	int _ref_count_;
	Block6Data * _data6_;
	GFile* dest;
};

struct _Block8Data {
	int _ref_count_;
	NoiseAlbum* self;
	GdkPixbuf* pixbuf;
};

struct _Block9Data {
	int _ref_count_;
	Block8Data * _data8_;
	GFile* dest;
};


static gpointer noise_album_parent_class = NULL;

GType noise_album_get_type (void) G_GNUC_CONST;
GType noise_media_get_type (void) G_GNUC_CONST;
#define NOISE_ALBUM_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NOISE_TYPE_ALBUM, NoiseAlbumPrivate))
enum  {
	NOISE_ALBUM_DUMMY_PROPERTY,
	NOISE_ALBUM_NAME,
	NOISE_ALBUM_ARTIST,
	NOISE_ALBUM_N_DISCS,
	NOISE_ALBUM_YEAR,
	NOISE_ALBUM_COVER_ICON,
	NOISE_ALBUM_N_MEDIA,
	NOISE_ALBUM_IS_EMPTY
};
NoiseAlbum* noise_album_new (const gchar* name, const gchar* artist);
NoiseAlbum* noise_album_construct (GType object_type, const gchar* name, const gchar* artist);
void noise_album_set_name (NoiseAlbum* self, const gchar* value);
void noise_album_set_artist (NoiseAlbum* self, const gchar* value);
GFile* noise_album_get_cached_cover_file (NoiseAlbum* self);
void noise_album_set_cover_icon (NoiseAlbum* self, GIcon* value);
NoiseAlbum* noise_album_new_from_media (NoiseMedia* m);
NoiseAlbum* noise_album_construct_from_media (GType object_type, NoiseMedia* m);
const gchar* noise_media_get_album (NoiseMedia* self);
const gchar* noise_media_get_album_artist (NoiseMedia* self);
guint noise_media_get_year (NoiseMedia* self);
void noise_album_set_year (NoiseAlbum* self, guint value);
gboolean noise_string_is_empty (const gchar* text, gboolean check_white_space);
const gchar* noise_album_get_artist (NoiseAlbum* self);
const gchar* noise_media_get_artist (NoiseMedia* self);
gchar* noise_album_get_display_name (NoiseAlbum* self);
gchar* noise_media_get_simple_display_text (const gchar* text);
const gchar* noise_album_get_name (NoiseAlbum* self);
gchar* noise_album_get_display_artist (NoiseAlbum* self);
gboolean noise_album_contains (NoiseAlbum* self, NoiseMedia* m);
gboolean noise_album_is_compatible (NoiseAlbum* self, NoiseMedia* m);
guint noise_media_get_album_hashkey (NoiseMedia* self);
guint noise_album_get_hashkey (NoiseAlbum* self);
void noise_album_remove_media (NoiseAlbum* self, NoiseMedia* m);
void noise_media_set_album_info (NoiseMedia* self, NoiseAlbum* value);
void noise_album_add_media (NoiseAlbum* self, NoiseMedia* m);
GeeCollection* noise_album_get_media (NoiseAlbum* self, guint n_disc);
guint noise_album_get_n_discs (NoiseAlbum* self);
GdkPixbuf* noise_album_get_cached_cover_pixbuf (NoiseAlbum* self, gint scale);
static Block5Data* block5_data_ref (Block5Data* _data5_);
static void block5_data_unref (void * _userdata_);
GIcon* noise_album_get_cover_icon (NoiseAlbum* self);
static void __lambda20_ (Block5Data* _data5_, GObject* obj, GAsyncResult* res);
static void ___lambda20__gasync_ready_callback (GObject* source_object, GAsyncResult* res, gpointer self);
void noise_album_save_cover_file (NoiseAlbum* self, GFile* file);
static Block6Data* block6_data_ref (Block6Data* _data6_);
static void block6_data_unref (void * _userdata_);
static void* __lambda21_ (Block6Data* _data6_);
static Block7Data* block7_data_ref (Block7Data* _data7_);
static void block7_data_unref (void * _userdata_);
static GFile* noise_album_get_cover_cache (void);
static gboolean ___lambda22_ (Block7Data* _data7_);
static gboolean ____lambda22__gsource_func (gpointer self);
static gpointer ___lambda21__gthread_func (gpointer self);
void noise_album_save_cover_pixbuf (NoiseAlbum* self, GdkPixbuf* pixbuf);
static Block8Data* block8_data_ref (Block8Data* _data8_);
static void block8_data_unref (void * _userdata_);
static void* __lambda23_ (Block8Data* _data8_);
static Block9Data* block9_data_ref (Block9Data* _data9_);
static void block9_data_unref (void * _userdata_);
static gboolean ___lambda24_ (Block9Data* _data9_);
static gboolean ____lambda24__gsource_func (gpointer self);
static gpointer ___lambda23__gthread_func (gpointer self);
GFile* noise_file_utils_get_cache_directory (void);
void noise_album_set_n_discs (NoiseAlbum* self, guint value);
guint noise_album_get_year (NoiseAlbum* self);
guint noise_album_get_n_media (NoiseAlbum* self);
gboolean noise_album_get_is_empty (NoiseAlbum* self);
static GObject * noise_album_constructor (GType type, guint n_construct_properties, GObjectConstructParam * construct_properties);
static void _noise_album___lambda25_ (NoiseAlbum* self);
static void __noise_album___lambda25__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self);
static void noise_album_finalize (GObject* obj);
static void _vala_noise_album_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_noise_album_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);


/**
     * Convenience constructor.
     *
     * This is a temporary workaround used by the Grid View and will be
     * deprecated after the TODO list is completed.
     */
NoiseAlbum* noise_album_construct (GType object_type, const gchar* name, const gchar* artist) {
	NoiseAlbum * self = NULL;
	const gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	GFile* cover_file = NULL;
	GFile* _tmp2_ = NULL;
	GFile* _tmp3_ = NULL;
#line 72 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	g_return_val_if_fail (name != NULL, NULL);
#line 72 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	g_return_val_if_fail (artist != NULL, NULL);
#line 72 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	self = (NoiseAlbum*) g_object_new (object_type, NULL);
#line 73 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp0_ = name;
#line 73 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	noise_album_set_name (self, _tmp0_);
#line 74 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp1_ = artist;
#line 74 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	noise_album_set_artist (self, _tmp1_);
#line 75 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp2_ = noise_album_get_cached_cover_file (self);
#line 75 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	cover_file = _tmp2_;
#line 76 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp3_ = cover_file;
#line 76 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	if (_tmp3_ != NULL) {
#line 247 "Album.c"
		GFile* _tmp4_ = NULL;
		GFileIcon* _tmp5_ = NULL;
		GFileIcon* _tmp6_ = NULL;
#line 77 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_tmp4_ = cover_file;
#line 77 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_tmp5_ = (GFileIcon*) g_file_icon_new (_tmp4_);
#line 77 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_tmp6_ = _tmp5_;
#line 77 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		noise_album_set_cover_icon (self, (GIcon*) _tmp6_);
#line 77 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_g_object_unref0 (_tmp6_);
#line 261 "Album.c"
	}
#line 72 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_g_object_unref0 (cover_file);
#line 72 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	return self;
#line 267 "Album.c"
}


NoiseAlbum* noise_album_new (const gchar* name, const gchar* artist) {
#line 72 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	return noise_album_construct (NOISE_TYPE_ALBUM, name, artist);
#line 274 "Album.c"
}


NoiseAlbum* noise_album_construct_from_media (GType object_type, NoiseMedia* m) {
	NoiseAlbum * self = NULL;
	NoiseMedia* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	NoiseMedia* _tmp3_ = NULL;
	const gchar* _tmp4_ = NULL;
	const gchar* _tmp5_ = NULL;
	NoiseMedia* _tmp6_ = NULL;
	guint _tmp7_ = 0U;
	guint _tmp8_ = 0U;
	const gchar* _tmp9_ = NULL;
	gboolean _tmp10_ = FALSE;
	GFile* cover_file = NULL;
	GFile* _tmp14_ = NULL;
	GFile* _tmp15_ = NULL;
#line 81 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	g_return_val_if_fail (m != NULL, NULL);
#line 81 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	self = (NoiseAlbum*) g_object_new (object_type, NULL);
#line 82 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp0_ = m;
#line 82 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp1_ = noise_media_get_album (_tmp0_);
#line 82 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp2_ = _tmp1_;
#line 82 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	noise_album_set_name (self, _tmp2_);
#line 83 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp3_ = m;
#line 83 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp4_ = noise_media_get_album_artist (_tmp3_);
#line 83 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp5_ = _tmp4_;
#line 83 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	noise_album_set_artist (self, _tmp5_);
#line 84 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp6_ = m;
#line 84 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp7_ = noise_media_get_year (_tmp6_);
#line 84 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp8_ = _tmp7_;
#line 84 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	noise_album_set_year (self, _tmp8_);
#line 86 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp9_ = self->priv->_artist;
#line 86 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp10_ = noise_string_is_empty (_tmp9_, TRUE);
#line 86 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	if (_tmp10_) {
#line 328 "Album.c"
		NoiseMedia* _tmp11_ = NULL;
		const gchar* _tmp12_ = NULL;
		const gchar* _tmp13_ = NULL;
#line 87 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_tmp11_ = m;
#line 87 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_tmp12_ = noise_media_get_artist (_tmp11_);
#line 87 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_tmp13_ = _tmp12_;
#line 87 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		noise_album_set_artist (self, _tmp13_);
#line 340 "Album.c"
	}
#line 89 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp14_ = noise_album_get_cached_cover_file (self);
#line 89 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	cover_file = _tmp14_;
#line 90 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp15_ = cover_file;
#line 90 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	if (_tmp15_ != NULL) {
#line 350 "Album.c"
		GFile* _tmp16_ = NULL;
		GFileIcon* _tmp17_ = NULL;
		GFileIcon* _tmp18_ = NULL;
#line 91 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_tmp16_ = cover_file;
#line 91 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_tmp17_ = (GFileIcon*) g_file_icon_new (_tmp16_);
#line 91 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_tmp18_ = _tmp17_;
#line 91 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		noise_album_set_cover_icon (self, (GIcon*) _tmp18_);
#line 91 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_g_object_unref0 (_tmp18_);
#line 364 "Album.c"
	}
#line 81 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_g_object_unref0 (cover_file);
#line 81 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	return self;
#line 370 "Album.c"
}


NoiseAlbum* noise_album_new_from_media (NoiseMedia* m) {
#line 81 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	return noise_album_construct_from_media (NOISE_TYPE_ALBUM, m);
#line 377 "Album.c"
}


inline gchar* noise_album_get_display_name (NoiseAlbum* self) {
	gchar* result = NULL;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 109 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 110 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp0_ = self->priv->_name;
#line 110 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp1_ = noise_media_get_simple_display_text (_tmp0_);
#line 110 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	result = _tmp1_;
#line 110 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	return result;
#line 395 "Album.c"
}


inline gchar* noise_album_get_display_artist (NoiseAlbum* self) {
	gchar* result = NULL;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 113 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 114 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp0_ = self->priv->_artist;
#line 114 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp1_ = noise_media_get_simple_display_text (_tmp0_);
#line 114 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	result = _tmp1_;
#line 114 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	return result;
#line 413 "Album.c"
}


gboolean noise_album_contains (NoiseAlbum* self, NoiseMedia* m) {
	gboolean result = FALSE;
	GeeHashSet* _tmp0_ = NULL;
	NoiseMedia* _tmp1_ = NULL;
	gboolean _tmp2_ = FALSE;
#line 117 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 117 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	g_return_val_if_fail (m != NULL, FALSE);
#line 118 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp0_ = self->priv->media;
#line 118 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp1_ = m;
#line 118 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp2_ = gee_abstract_collection_contains ((GeeAbstractCollection*) _tmp0_, _tmp1_);
#line 118 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	result = _tmp2_;
#line 118 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	return result;
#line 436 "Album.c"
}


gboolean noise_album_is_compatible (NoiseAlbum* self, NoiseMedia* m) {
	gboolean result = FALSE;
	NoiseMedia* _tmp0_ = NULL;
	guint _tmp1_ = 0U;
	guint _tmp2_ = 0U;
#line 121 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 121 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	g_return_val_if_fail (m != NULL, FALSE);
#line 122 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp0_ = m;
#line 122 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp1_ = noise_media_get_album_hashkey (_tmp0_);
#line 122 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp2_ = noise_album_get_hashkey (self);
#line 122 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	if (_tmp1_ == _tmp2_) {
#line 123 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		result = TRUE;
#line 123 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		return result;
#line 461 "Album.c"
	} else {
#line 125 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		result = FALSE;
#line 125 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		return result;
#line 467 "Album.c"
	}
}


void noise_album_remove_media (NoiseAlbum* self, NoiseMedia* m) {
	NoiseMedia* _tmp0_ = NULL;
	GeeHashSet* _tmp1_ = NULL;
	NoiseMedia* _tmp2_ = NULL;
#line 128 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	g_return_if_fail (self != NULL);
#line 128 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	g_return_if_fail (m != NULL);
#line 129 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp0_ = m;
#line 129 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	noise_media_set_album_info (_tmp0_, NULL);
#line 130 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp1_ = self->priv->media;
#line 130 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp2_ = m;
#line 130 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	gee_abstract_collection_remove ((GeeAbstractCollection*) _tmp1_, _tmp2_);
#line 490 "Album.c"
}


void noise_album_add_media (NoiseAlbum* self, NoiseMedia* m) {
	GeeHashSet* _tmp0_ = NULL;
	NoiseMedia* _tmp1_ = NULL;
	NoiseMedia* _tmp2_ = NULL;
#line 133 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	g_return_if_fail (self != NULL);
#line 133 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	g_return_if_fail (m != NULL);
#line 134 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp0_ = self->priv->media;
#line 134 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp1_ = m;
#line 134 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp0_, _tmp1_);
#line 135 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp2_ = m;
#line 135 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	noise_media_set_album_info (_tmp2_, self);
#line 512 "Album.c"
}


guint noise_album_get_hashkey (NoiseAlbum* self) {
	guint result = 0U;
	GString* builder = NULL;
	GString* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
	guint _tmp4_ = 0U;
#line 138 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	g_return_val_if_fail (self != NULL, 0U);
#line 139 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp0_ = g_string_new ("");
#line 139 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	builder = _tmp0_;
#line 140 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp1_ = self->priv->_name;
#line 140 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	g_string_append (builder, _tmp1_);
#line 141 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp2_ = self->priv->_artist;
#line 141 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	g_string_append (builder, _tmp2_);
#line 142 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp3_ = builder->str;
#line 142 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp4_ = g_str_hash (_tmp3_);
#line 142 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	result = _tmp4_;
#line 142 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_g_string_free0 (builder);
#line 142 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	return result;
#line 548 "Album.c"
}


/**
     * Returns the media contained by the disc specified
     */
GeeCollection* noise_album_get_media (NoiseAlbum* self, guint n_disc) {
	GeeCollection* result = NULL;
	guint _tmp0_ = 0U;
	guint _tmp1_ = 0U;
	guint _tmp2_ = 0U;
	GeeHashSet* _tmp3_ = NULL;
	GeeSet* _tmp4_ = NULL;
	GeeSet* _tmp5_ = NULL;
#line 148 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 148 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp0_ = n_disc;
#line 148 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_vala_return_val_if_fail (_tmp0_ > ((guint) 0), "n_disc > 0", NULL);
#line 148 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp1_ = n_disc;
#line 148 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp2_ = self->priv->_n_discs;
#line 148 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_vala_return_val_if_fail (_tmp1_ <= _tmp2_, "n_disc <= n_discs", NULL);
#line 152 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp3_ = self->priv->media;
#line 152 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp4_ = gee_abstract_set_get_read_only_view ((GeeAbstractSet*) _tmp3_);
#line 152 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp5_ = _tmp4_;
#line 152 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	result = (GeeCollection*) _tmp5_;
#line 152 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	return result;
#line 585 "Album.c"
}


static Block5Data* block5_data_ref (Block5Data* _data5_) {
#line 155 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	g_atomic_int_inc (&_data5_->_ref_count_);
#line 155 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	return _data5_;
#line 594 "Album.c"
}


static void block5_data_unref (void * _userdata_) {
	Block5Data* _data5_;
	_data5_ = (Block5Data*) _userdata_;
#line 155 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	if (g_atomic_int_dec_and_test (&_data5_->_ref_count_)) {
#line 603 "Album.c"
		NoiseAlbum* self;
#line 155 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		self = _data5_->self;
#line 155 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_gtk_icon_info_free0 (_data5_->icon_info);
#line 155 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_g_object_unref0 (self);
#line 155 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		g_slice_free (Block5Data, _data5_);
#line 613 "Album.c"
	}
}


static gpointer _g_object_ref0 (gpointer self) {
#line 157 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	return self ? g_object_ref (self) : NULL;
#line 621 "Album.c"
}


static void __lambda20_ (Block5Data* _data5_, GObject* obj, GAsyncResult* res) {
	NoiseAlbum* self;
	GError * _inner_error_ = NULL;
#line 165 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	self = _data5_->self;
#line 165 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	g_return_if_fail (res != NULL);
#line 632 "Album.c"
	{
		GdkPixbuf* _tmp0_ = NULL;
		GtkIconInfo* _tmp1_ = NULL;
		GAsyncResult* _tmp2_ = NULL;
		GdkPixbuf* _tmp3_ = NULL;
		GdkPixbuf* _tmp4_ = NULL;
		gint _tmp5_ = 0;
#line 167 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_tmp1_ = _data5_->icon_info;
#line 167 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_tmp2_ = res;
#line 167 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_tmp3_ = gtk_icon_info_load_icon_finish (_tmp1_, _tmp2_, &_inner_error_);
#line 167 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_tmp0_ = _tmp3_;
#line 167 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 650 "Album.c"
			goto __catch3_g_error;
		}
#line 167 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_tmp4_ = _tmp0_;
#line 167 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_tmp0_ = NULL;
#line 167 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_g_object_unref0 (self->priv->cover_pixbuf);
#line 167 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		self->priv->cover_pixbuf = _tmp4_;
#line 168 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_tmp5_ = _data5_->scale;
#line 168 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		self->priv->cover_pixbuf_scale = _tmp5_;
#line 169 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		g_signal_emit_by_name (self, "cover-rendered");
#line 166 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_g_object_unref0 (_tmp0_);
#line 669 "Album.c"
	}
	goto __finally3;
	__catch3_g_error:
	{
		GError* e = NULL;
		GError* _tmp6_ = NULL;
		const gchar* _tmp7_ = NULL;
#line 166 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		e = _inner_error_;
#line 166 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_inner_error_ = NULL;
#line 171 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_tmp6_ = e;
#line 171 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_tmp7_ = _tmp6_->message;
#line 171 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		g_critical ("Album.vala:171: %s", _tmp7_);
#line 166 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_g_error_free0 (e);
#line 689 "Album.c"
	}
	__finally3:
#line 166 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 166 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 166 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		g_clear_error (&_inner_error_);
#line 166 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		return;
#line 700 "Album.c"
	}
}


static void ___lambda20__gasync_ready_callback (GObject* source_object, GAsyncResult* res, gpointer self) {
#line 165 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	__lambda20_ (self, source_object, res);
#line 165 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	block5_data_unref (self);
#line 710 "Album.c"
}


GdkPixbuf* noise_album_get_cached_cover_pixbuf (NoiseAlbum* self, gint scale) {
	GdkPixbuf* result = NULL;
	Block5Data* _data5_;
	gint _tmp0_ = 0;
	gboolean _tmp1_ = FALSE;
	GdkPixbuf* _tmp2_ = NULL;
	GIcon* _tmp7_ = NULL;
	GtkIconTheme* _tmp8_ = NULL;
	GIcon* _tmp9_ = NULL;
	gint _tmp10_ = 0;
	GtkIconInfo* _tmp11_ = NULL;
	GtkIconInfo* _tmp12_ = NULL;
	GdkPixbuf* _tmp13_ = NULL;
	GdkPixbuf* _tmp14_ = NULL;
#line 155 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 155 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_data5_ = g_slice_new0 (Block5Data);
#line 155 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_data5_->_ref_count_ = 1;
#line 155 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_data5_->self = g_object_ref (self);
#line 155 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp0_ = scale;
#line 155 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_data5_->scale = _tmp0_;
#line 156 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp2_ = self->priv->cover_pixbuf;
#line 156 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	if (_tmp2_ != NULL) {
#line 744 "Album.c"
		gint _tmp3_ = 0;
		gint _tmp4_ = 0;
#line 156 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_tmp3_ = self->priv->cover_pixbuf_scale;
#line 156 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_tmp4_ = _data5_->scale;
#line 156 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_tmp1_ = _tmp3_ == _tmp4_;
#line 753 "Album.c"
	} else {
#line 156 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_tmp1_ = FALSE;
#line 757 "Album.c"
	}
#line 156 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	if (_tmp1_) {
#line 761 "Album.c"
		GdkPixbuf* _tmp5_ = NULL;
		GdkPixbuf* _tmp6_ = NULL;
#line 157 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_tmp5_ = self->priv->cover_pixbuf;
#line 157 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_tmp6_ = _g_object_ref0 (_tmp5_);
#line 157 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		result = _tmp6_;
#line 157 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		block5_data_unref (_data5_);
#line 157 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_data5_ = NULL;
#line 157 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		return result;
#line 776 "Album.c"
	}
#line 160 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp7_ = self->priv->_cover_icon;
#line 160 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	if (_tmp7_ == NULL) {
#line 161 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		result = NULL;
#line 161 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		block5_data_unref (_data5_);
#line 161 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_data5_ = NULL;
#line 161 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		return result;
#line 790 "Album.c"
	}
#line 164 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp8_ = gtk_icon_theme_get_default ();
#line 164 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp9_ = self->priv->_cover_icon;
#line 164 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp10_ = _data5_->scale;
#line 164 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp11_ = gtk_icon_theme_lookup_by_gicon_for_scale (_tmp8_, _tmp9_, 128, _tmp10_, GTK_ICON_LOOKUP_GENERIC_FALLBACK);
#line 164 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_data5_->icon_info = _tmp11_;
#line 165 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp12_ = _data5_->icon_info;
#line 165 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	gtk_icon_info_load_icon_async (_tmp12_, NULL, ___lambda20__gasync_ready_callback, block5_data_ref (_data5_));
#line 175 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp13_ = self->priv->cover_pixbuf;
#line 175 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp14_ = _g_object_ref0 (_tmp13_);
#line 175 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	result = _tmp14_;
#line 175 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	block5_data_unref (_data5_);
#line 175 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_data5_ = NULL;
#line 175 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	return result;
#line 818 "Album.c"
}


static Block6Data* block6_data_ref (Block6Data* _data6_) {
#line 178 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	g_atomic_int_inc (&_data6_->_ref_count_);
#line 178 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	return _data6_;
#line 827 "Album.c"
}


static void block6_data_unref (void * _userdata_) {
	Block6Data* _data6_;
	_data6_ = (Block6Data*) _userdata_;
#line 178 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	if (g_atomic_int_dec_and_test (&_data6_->_ref_count_)) {
#line 836 "Album.c"
		NoiseAlbum* self;
#line 178 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		self = _data6_->self;
#line 178 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_g_object_unref0 (_data6_->file);
#line 178 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_g_object_unref0 (self);
#line 178 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		g_slice_free (Block6Data, _data6_);
#line 846 "Album.c"
	}
}


static Block7Data* block7_data_ref (Block7Data* _data7_) {
#line 179 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	g_atomic_int_inc (&_data7_->_ref_count_);
#line 179 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	return _data7_;
#line 856 "Album.c"
}


static void block7_data_unref (void * _userdata_) {
	Block7Data* _data7_;
	_data7_ = (Block7Data*) _userdata_;
#line 179 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	if (g_atomic_int_dec_and_test (&_data7_->_ref_count_)) {
#line 865 "Album.c"
		NoiseAlbum* self;
#line 179 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		self = _data7_->_data6_->self;
#line 179 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_g_object_unref0 (_data7_->dest);
#line 179 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		block6_data_unref (_data7_->_data6_);
#line 179 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_data7_->_data6_ = NULL;
#line 179 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		g_slice_free (Block7Data, _data7_);
#line 877 "Album.c"
	}
}


static gboolean ___lambda22_ (Block7Data* _data7_) {
	Block6Data* _data6_;
	NoiseAlbum* self;
	gboolean result = FALSE;
	GFileIcon* _tmp0_ = NULL;
	GFileIcon* _tmp1_ = NULL;
#line 183 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_data6_ = _data7_->_data6_;
#line 183 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	self = _data6_->self;
#line 184 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp0_ = (GFileIcon*) g_file_icon_new (_data7_->dest);
#line 184 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp1_ = _tmp0_;
#line 184 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	noise_album_set_cover_icon (self, (GIcon*) _tmp1_);
#line 184 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_g_object_unref0 (_tmp1_);
#line 185 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	result = FALSE;
#line 185 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	return result;
#line 904 "Album.c"
}


static gboolean ____lambda22__gsource_func (gpointer self) {
	gboolean result;
	result = ___lambda22_ (self);
#line 183 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	return result;
#line 913 "Album.c"
}


static void* __lambda21_ (Block6Data* _data6_) {
	NoiseAlbum* self;
	void* result = NULL;
	Block7Data* _data7_;
	GFile* _tmp0_ = NULL;
	GFile* _tmp1_ = NULL;
	guint _tmp2_ = 0U;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	GFile* _tmp5_ = NULL;
	GFile* _tmp6_ = NULL;
	GError * _inner_error_ = NULL;
#line 179 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	self = _data6_->self;
#line 179 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_data7_ = g_slice_new0 (Block7Data);
#line 179 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_data7_->_ref_count_ = 1;
#line 179 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_data7_->_data6_ = block6_data_ref (_data6_);
#line 180 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp0_ = noise_album_get_cover_cache ();
#line 180 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp1_ = _tmp0_;
#line 180 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp2_ = noise_album_get_hashkey (self);
#line 180 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp3_ = g_strdup_printf ("%u", _tmp2_);
#line 180 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp4_ = _tmp3_;
#line 180 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp5_ = g_file_get_child (_tmp1_, _tmp4_);
#line 180 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp6_ = _tmp5_;
#line 180 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_g_free0 (_tmp4_);
#line 180 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_g_object_unref0 (_tmp1_);
#line 180 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_data7_->dest = _tmp6_;
#line 957 "Album.c"
	{
		GFile* _tmp7_ = NULL;
#line 182 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_tmp7_ = _data6_->file;
#line 182 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		g_file_copy (_tmp7_, _data7_->dest, G_FILE_COPY_OVERWRITE, NULL, NULL, NULL, &_inner_error_);
#line 182 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 966 "Album.c"
			goto __catch4_g_error;
		}
#line 183 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		g_idle_add_full (G_PRIORITY_DEFAULT_IDLE, ____lambda22__gsource_func, block7_data_ref (_data7_), block7_data_unref);
#line 971 "Album.c"
	}
	goto __finally4;
	__catch4_g_error:
	{
		GError* e = NULL;
		GError* _tmp8_ = NULL;
		const gchar* _tmp9_ = NULL;
#line 181 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		e = _inner_error_;
#line 181 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_inner_error_ = NULL;
#line 188 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_tmp8_ = e;
#line 188 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_tmp9_ = _tmp8_->message;
#line 188 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		g_critical ("Album.vala:188: %s", _tmp9_);
#line 181 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_g_error_free0 (e);
#line 991 "Album.c"
	}
	__finally4:
#line 181 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 181 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		block7_data_unref (_data7_);
#line 181 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_data7_ = NULL;
#line 181 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 181 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		g_clear_error (&_inner_error_);
#line 181 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		return NULL;
#line 1006 "Album.c"
	}
#line 191 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	result = NULL;
#line 191 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	block7_data_unref (_data7_);
#line 191 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_data7_ = NULL;
#line 191 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	return result;
#line 1016 "Album.c"
}


static gpointer ___lambda21__gthread_func (gpointer self) {
	gpointer result;
	result = __lambda21_ (self);
#line 179 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	block6_data_unref (self);
#line 179 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	return result;
#line 1027 "Album.c"
}


void noise_album_save_cover_file (NoiseAlbum* self, GFile* file) {
	Block6Data* _data6_;
	GFile* _tmp0_ = NULL;
	GFile* _tmp1_ = NULL;
	GThread* _tmp2_ = NULL;
	GThread* _tmp3_ = NULL;
#line 178 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	g_return_if_fail (self != NULL);
#line 178 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	g_return_if_fail (file != NULL);
#line 178 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_data6_ = g_slice_new0 (Block6Data);
#line 178 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_data6_->_ref_count_ = 1;
#line 178 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_data6_->self = g_object_ref (self);
#line 178 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp0_ = file;
#line 178 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 178 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_g_object_unref0 (_data6_->file);
#line 178 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_data6_->file = _tmp1_;
#line 179 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp2_ = g_thread_new (NULL, ___lambda21__gthread_func, block6_data_ref (_data6_));
#line 179 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp3_ = _tmp2_;
#line 179 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_g_thread_unref0 (_tmp3_);
#line 178 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	block6_data_unref (_data6_);
#line 178 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_data6_ = NULL;
#line 1065 "Album.c"
}


static Block8Data* block8_data_ref (Block8Data* _data8_) {
#line 195 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	g_atomic_int_inc (&_data8_->_ref_count_);
#line 195 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	return _data8_;
#line 1074 "Album.c"
}


static void block8_data_unref (void * _userdata_) {
	Block8Data* _data8_;
	_data8_ = (Block8Data*) _userdata_;
#line 195 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	if (g_atomic_int_dec_and_test (&_data8_->_ref_count_)) {
#line 1083 "Album.c"
		NoiseAlbum* self;
#line 195 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		self = _data8_->self;
#line 195 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_g_object_unref0 (_data8_->pixbuf);
#line 195 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_g_object_unref0 (self);
#line 195 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		g_slice_free (Block8Data, _data8_);
#line 1093 "Album.c"
	}
}


static Block9Data* block9_data_ref (Block9Data* _data9_) {
#line 196 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	g_atomic_int_inc (&_data9_->_ref_count_);
#line 196 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	return _data9_;
#line 1103 "Album.c"
}


static void block9_data_unref (void * _userdata_) {
	Block9Data* _data9_;
	_data9_ = (Block9Data*) _userdata_;
#line 196 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	if (g_atomic_int_dec_and_test (&_data9_->_ref_count_)) {
#line 1112 "Album.c"
		NoiseAlbum* self;
#line 196 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		self = _data9_->_data8_->self;
#line 196 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_g_object_unref0 (_data9_->dest);
#line 196 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		block8_data_unref (_data9_->_data8_);
#line 196 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_data9_->_data8_ = NULL;
#line 196 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		g_slice_free (Block9Data, _data9_);
#line 1124 "Album.c"
	}
}


static gboolean ___lambda24_ (Block9Data* _data9_) {
	Block8Data* _data8_;
	NoiseAlbum* self;
	gboolean result = FALSE;
	GFile* _tmp0_ = NULL;
	GFileIcon* _tmp1_ = NULL;
	GFileIcon* _tmp2_ = NULL;
#line 206 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_data8_ = _data9_->_data8_;
#line 206 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	self = _data8_->self;
#line 207 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp0_ = _data9_->dest;
#line 207 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp1_ = (GFileIcon*) g_file_icon_new (_tmp0_);
#line 207 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp2_ = _tmp1_;
#line 207 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	noise_album_set_cover_icon (self, (GIcon*) _tmp2_);
#line 207 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_g_object_unref0 (_tmp2_);
#line 208 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	result = FALSE;
#line 208 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	return result;
#line 1154 "Album.c"
}


static gboolean ____lambda24__gsource_func (gpointer self) {
	gboolean result;
	result = ___lambda24_ (self);
#line 206 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	return result;
#line 1163 "Album.c"
}


static void* __lambda23_ (Block8Data* _data8_) {
	NoiseAlbum* self;
	void* result = NULL;
	Block9Data* _data9_;
	GFile* _tmp0_ = NULL;
	GFile* _tmp1_ = NULL;
	guint _tmp2_ = 0U;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	GFile* _tmp5_ = NULL;
	GFile* _tmp6_ = NULL;
	GError * _inner_error_ = NULL;
#line 196 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	self = _data8_->self;
#line 196 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_data9_ = g_slice_new0 (Block9Data);
#line 196 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_data9_->_ref_count_ = 1;
#line 196 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_data9_->_data8_ = block8_data_ref (_data8_);
#line 197 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp0_ = noise_album_get_cover_cache ();
#line 197 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp1_ = _tmp0_;
#line 197 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp2_ = noise_album_get_hashkey (self);
#line 197 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp3_ = g_strdup_printf ("%u", _tmp2_);
#line 197 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp4_ = _tmp3_;
#line 197 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp5_ = g_file_get_child (_tmp1_, _tmp4_);
#line 197 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp6_ = _tmp5_;
#line 197 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_g_free0 (_tmp4_);
#line 197 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_g_object_unref0 (_tmp1_);
#line 197 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_data9_->dest = _tmp6_;
#line 1207 "Album.c"
	{
		GFileOutputStream* output_stream = NULL;
		GFile* _tmp7_ = NULL;
		GFileOutputStream* _tmp8_ = NULL;
		guint8* buffer = NULL;
		gint buffer_length1 = 0;
		gint _buffer_size_ = 0;
		GdkPixbuf* _tmp9_ = NULL;
		guint8* _tmp10_ = NULL;
		gsize _tmp11_;
		GFileOutputStream* _tmp12_ = NULL;
		guint8* _tmp13_ = NULL;
		gint _tmp13__length1 = 0;
		GFileOutputStream* _tmp14_ = NULL;
#line 199 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_tmp7_ = _data9_->dest;
#line 199 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_tmp8_ = g_file_create (_tmp7_, G_FILE_CREATE_NONE, NULL, &_inner_error_);
#line 199 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		output_stream = _tmp8_;
#line 199 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1230 "Album.c"
			goto __catch5_g_error;
		}
#line 202 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_tmp9_ = _data8_->pixbuf;
#line 202 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		gdk_pixbuf_save_to_buffer (_tmp9_, (gchar**) (&_tmp10_), &_tmp11_, "jpeg", &_inner_error_, NULL);
#line 202 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		buffer = (g_free (buffer), NULL);
#line 202 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		buffer = _tmp10_;
#line 202 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		buffer_length1 = _tmp11_;
#line 202 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_buffer_size_ = buffer_length1;
#line 202 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 202 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
			buffer = (g_free (buffer), NULL);
#line 202 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
			_g_object_unref0 (output_stream);
#line 1251 "Album.c"
			goto __catch5_g_error;
		}
#line 204 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_tmp12_ = output_stream;
#line 204 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_tmp13_ = buffer;
#line 204 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_tmp13__length1 = buffer_length1;
#line 204 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		g_output_stream_write ((GOutputStream*) _tmp12_, _tmp13_, (gsize) _tmp13__length1, NULL, &_inner_error_);
#line 204 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 204 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
			buffer = (g_free (buffer), NULL);
#line 204 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
			_g_object_unref0 (output_stream);
#line 1268 "Album.c"
			goto __catch5_g_error;
		}
#line 205 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_tmp14_ = output_stream;
#line 205 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		g_output_stream_close ((GOutputStream*) _tmp14_, NULL, &_inner_error_);
#line 205 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 205 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
			buffer = (g_free (buffer), NULL);
#line 205 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
			_g_object_unref0 (output_stream);
#line 1281 "Album.c"
			goto __catch5_g_error;
		}
#line 206 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		g_idle_add_full (G_PRIORITY_DEFAULT_IDLE, ____lambda24__gsource_func, block9_data_ref (_data9_), block9_data_unref);
#line 198 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		buffer = (g_free (buffer), NULL);
#line 198 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_g_object_unref0 (output_stream);
#line 1290 "Album.c"
	}
	goto __finally5;
	__catch5_g_error:
	{
		GError* e = NULL;
		GError* _tmp15_ = NULL;
		const gchar* _tmp16_ = NULL;
#line 198 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		e = _inner_error_;
#line 198 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_inner_error_ = NULL;
#line 211 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_tmp15_ = e;
#line 211 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_tmp16_ = _tmp15_->message;
#line 211 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		g_critical ("Album.vala:211: %s", _tmp16_);
#line 198 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_g_error_free0 (e);
#line 1310 "Album.c"
	}
	__finally5:
#line 198 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 198 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		block9_data_unref (_data9_);
#line 198 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_data9_ = NULL;
#line 198 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 198 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		g_clear_error (&_inner_error_);
#line 198 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		return NULL;
#line 1325 "Album.c"
	}
#line 214 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	result = NULL;
#line 214 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	block9_data_unref (_data9_);
#line 214 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_data9_ = NULL;
#line 214 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	return result;
#line 1335 "Album.c"
}


static gpointer ___lambda23__gthread_func (gpointer self) {
	gpointer result;
	result = __lambda23_ (self);
#line 196 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	block8_data_unref (self);
#line 196 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	return result;
#line 1346 "Album.c"
}


void noise_album_save_cover_pixbuf (NoiseAlbum* self, GdkPixbuf* pixbuf) {
	Block8Data* _data8_;
	GdkPixbuf* _tmp0_ = NULL;
	GdkPixbuf* _tmp1_ = NULL;
	GThread* _tmp2_ = NULL;
	GThread* _tmp3_ = NULL;
#line 195 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	g_return_if_fail (self != NULL);
#line 195 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	g_return_if_fail (pixbuf != NULL);
#line 195 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_data8_ = g_slice_new0 (Block8Data);
#line 195 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_data8_->_ref_count_ = 1;
#line 195 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_data8_->self = g_object_ref (self);
#line 195 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp0_ = pixbuf;
#line 195 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 195 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_g_object_unref0 (_data8_->pixbuf);
#line 195 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_data8_->pixbuf = _tmp1_;
#line 196 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp2_ = g_thread_new (NULL, ___lambda23__gthread_func, block8_data_ref (_data8_));
#line 196 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp3_ = _tmp2_;
#line 196 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_g_thread_unref0 (_tmp3_);
#line 195 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	block8_data_unref (_data8_);
#line 195 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_data8_ = NULL;
#line 1384 "Album.c"
}


GFile* noise_album_get_cached_cover_file (NoiseAlbum* self) {
	GFile* result = NULL;
	GFile* cover_file = NULL;
	GFile* _tmp0_ = NULL;
	GFile* _tmp1_ = NULL;
	guint _tmp2_ = 0U;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	GFile* _tmp5_ = NULL;
	GFile* _tmp6_ = NULL;
	GFile* _tmp7_ = NULL;
	gboolean _tmp8_ = FALSE;
#line 218 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 219 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp0_ = noise_album_get_cover_cache ();
#line 219 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp1_ = _tmp0_;
#line 219 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp2_ = noise_album_get_hashkey (self);
#line 219 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp3_ = g_strdup_printf ("%u", _tmp2_);
#line 219 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp4_ = _tmp3_;
#line 219 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp5_ = g_file_get_child (_tmp1_, _tmp4_);
#line 219 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp6_ = _tmp5_;
#line 219 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_g_free0 (_tmp4_);
#line 219 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_g_object_unref0 (_tmp1_);
#line 219 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	cover_file = _tmp6_;
#line 220 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp7_ = cover_file;
#line 220 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp8_ = g_file_query_exists (_tmp7_, NULL);
#line 220 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	if (_tmp8_) {
#line 221 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		result = cover_file;
#line 221 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		return result;
#line 1432 "Album.c"
	}
#line 224 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	result = NULL;
#line 224 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_g_object_unref0 (cover_file);
#line 224 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	return result;
#line 1440 "Album.c"
}


static GFile* noise_album_get_cover_cache (void) {
	GFile* result = NULL;
	GFile* cache_dir = NULL;
	GFile* _tmp0_ = NULL;
	GFile* _tmp1_ = NULL;
	GFile* _tmp2_ = NULL;
	GFile* _tmp3_ = NULL;
	GError * _inner_error_ = NULL;
#line 228 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp0_ = noise_file_utils_get_cache_directory ();
#line 228 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp1_ = _tmp0_;
#line 228 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp2_ = g_file_get_child (_tmp1_, "album-art");
#line 228 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp3_ = _tmp2_;
#line 228 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_g_object_unref0 (_tmp1_);
#line 228 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	cache_dir = _tmp3_;
#line 1464 "Album.c"
	{
#line 230 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		g_file_make_directory_with_parents (cache_dir, NULL, &_inner_error_);
#line 230 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1470 "Album.c"
			goto __catch6_g_error;
		}
	}
	goto __finally6;
	__catch6_g_error:
	{
		GError* err = NULL;
		GError* _tmp4_ = NULL;
#line 229 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		err = _inner_error_;
#line 229 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_inner_error_ = NULL;
#line 232 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_tmp4_ = err;
#line 232 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		if (g_error_matches (_tmp4_, G_IO_ERROR, G_IO_ERROR_EXISTS) == FALSE) {
#line 1487 "Album.c"
			GError* _tmp5_ = NULL;
			const gchar* _tmp6_ = NULL;
#line 233 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
			_tmp5_ = err;
#line 233 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
			_tmp6_ = _tmp5_->message;
#line 233 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
			g_error ("Album.vala:233: Could not create data directory: %s", _tmp6_);
#line 1496 "Album.c"
		}
#line 229 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_g_error_free0 (err);
#line 1500 "Album.c"
	}
	__finally6:
#line 229 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 229 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		_g_object_unref0 (cache_dir);
#line 229 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 229 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		g_clear_error (&_inner_error_);
#line 229 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		return NULL;
#line 1513 "Album.c"
	}
#line 236 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	result = cache_dir;
#line 236 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	return result;
#line 1519 "Album.c"
}


const gchar* noise_album_get_name (NoiseAlbum* self) {
	const gchar* result;
	const gchar* _tmp0_ = NULL;
#line 44 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 44 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp0_ = self->priv->_name;
#line 44 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	result = _tmp0_;
#line 44 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	return result;
#line 1534 "Album.c"
}


void noise_album_set_name (NoiseAlbum* self, const gchar* value) {
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 44 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	g_return_if_fail (self != NULL);
#line 44 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp0_ = value;
#line 44 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 44 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_g_free0 (self->priv->_name);
#line 44 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	self->priv->_name = _tmp1_;
#line 44 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	g_object_notify ((GObject *) self, "name");
#line 1553 "Album.c"
}


const gchar* noise_album_get_artist (NoiseAlbum* self) {
	const gchar* result;
	const gchar* _tmp0_ = NULL;
#line 45 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 45 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp0_ = self->priv->_artist;
#line 45 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	result = _tmp0_;
#line 45 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	return result;
#line 1568 "Album.c"
}


void noise_album_set_artist (NoiseAlbum* self, const gchar* value) {
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 45 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	g_return_if_fail (self != NULL);
#line 45 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp0_ = value;
#line 45 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 45 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_g_free0 (self->priv->_artist);
#line 45 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	self->priv->_artist = _tmp1_;
#line 45 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	g_object_notify ((GObject *) self, "artist");
#line 1587 "Album.c"
}


guint noise_album_get_n_discs (NoiseAlbum* self) {
	guint result;
	guint _tmp0_ = 0U;
#line 48 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	g_return_val_if_fail (self != NULL, 0U);
#line 48 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp0_ = self->priv->_n_discs;
#line 48 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	result = _tmp0_;
#line 48 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	return result;
#line 1602 "Album.c"
}


void noise_album_set_n_discs (NoiseAlbum* self, guint value) {
	guint _tmp0_ = 0U;
#line 48 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	g_return_if_fail (self != NULL);
#line 48 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp0_ = value;
#line 48 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	self->priv->_n_discs = _tmp0_;
#line 48 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	g_object_notify ((GObject *) self, "n-discs");
#line 1616 "Album.c"
}


guint noise_album_get_year (NoiseAlbum* self) {
	guint result;
	guint _tmp0_ = 0U;
#line 54 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	g_return_val_if_fail (self != NULL, 0U);
#line 54 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp0_ = self->priv->_year;
#line 54 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	result = _tmp0_;
#line 54 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	return result;
#line 1631 "Album.c"
}


void noise_album_set_year (NoiseAlbum* self, guint value) {
	guint _tmp0_ = 0U;
#line 54 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	g_return_if_fail (self != NULL);
#line 54 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp0_ = value;
#line 54 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	self->priv->_year = _tmp0_;
#line 54 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	g_object_notify ((GObject *) self, "year");
#line 1645 "Album.c"
}


GIcon* noise_album_get_cover_icon (NoiseAlbum* self) {
	GIcon* result;
	GIcon* _tmp0_ = NULL;
#line 56 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 56 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp0_ = self->priv->_cover_icon;
#line 56 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	result = _tmp0_;
#line 56 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	return result;
#line 1660 "Album.c"
}


void noise_album_set_cover_icon (NoiseAlbum* self, GIcon* value) {
	GIcon* _tmp0_ = NULL;
	GIcon* _tmp1_ = NULL;
#line 56 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	g_return_if_fail (self != NULL);
#line 56 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp0_ = value;
#line 56 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 56 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_g_object_unref0 (self->priv->_cover_icon);
#line 56 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	self->priv->_cover_icon = _tmp1_;
#line 56 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	g_object_notify ((GObject *) self, "cover-icon");
#line 1679 "Album.c"
}


guint noise_album_get_n_media (NoiseAlbum* self) {
	guint result;
	GeeHashSet* _tmp0_ = NULL;
	gint _tmp1_ = 0;
	gint _tmp2_ = 0;
#line 102 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	g_return_val_if_fail (self != NULL, 0U);
#line 102 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp0_ = self->priv->media;
#line 102 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp1_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp0_);
#line 102 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp2_ = _tmp1_;
#line 102 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	result = (guint) _tmp2_;
#line 102 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	return result;
#line 1700 "Album.c"
}


gboolean noise_album_get_is_empty (NoiseAlbum* self) {
	gboolean result;
	guint _tmp0_ = 0U;
	guint _tmp1_ = 0U;
#line 106 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 106 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp0_ = noise_album_get_n_media (self);
#line 106 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp1_ = _tmp0_;
#line 106 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	result = _tmp1_ < ((guint) 1);
#line 106 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	return result;
#line 1718 "Album.c"
}


static void _noise_album___lambda25_ (NoiseAlbum* self) {
#line 97 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_g_object_unref0 (self->priv->cover_pixbuf);
#line 97 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	self->priv->cover_pixbuf = NULL;
#line 1727 "Album.c"
}


static void __noise_album___lambda25__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self) {
#line 96 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_noise_album___lambda25_ ((NoiseAlbum*) self);
#line 1734 "Album.c"
}


static GObject * noise_album_constructor (GType type, guint n_construct_properties, GObjectConstructParam * construct_properties) {
	GObject * obj;
	GObjectClass * parent_class;
	NoiseAlbum * self;
#line 95 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	parent_class = G_OBJECT_CLASS (noise_album_parent_class);
#line 95 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	obj = parent_class->constructor (type, n_construct_properties, construct_properties);
#line 95 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NOISE_TYPE_ALBUM, NoiseAlbum);
#line 96 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	g_signal_connect_object ((GObject*) self, "notify::cover-icon", (GCallback) __noise_album___lambda25__g_object_notify, self, 0);
#line 95 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	return obj;
#line 1752 "Album.c"
}


static void noise_album_class_init (NoiseAlbumClass * klass) {
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	noise_album_parent_class = g_type_class_peek_parent (klass);
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	g_type_class_add_private (klass, sizeof (NoiseAlbumPrivate));
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_noise_album_get_property;
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_noise_album_set_property;
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	G_OBJECT_CLASS (klass)->constructor = noise_album_constructor;
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	G_OBJECT_CLASS (klass)->finalize = noise_album_finalize;
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_ALBUM_NAME, g_param_spec_string ("name", "name", "name", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_ALBUM_ARTIST, g_param_spec_string ("artist", "artist", "artist", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_ALBUM_N_DISCS, g_param_spec_uint ("n-discs", "n-discs", "n-discs", 0, G_MAXUINT, (guint) 1, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_ALBUM_YEAR, g_param_spec_uint ("year", "year", "year", 0, G_MAXUINT, (guint) 0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_ALBUM_COVER_ICON, g_param_spec_object ("cover-icon", "cover-icon", "cover-icon", g_icon_get_type (), G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_ALBUM_N_MEDIA, g_param_spec_uint ("n-media", "n-media", "n-media", 0, G_MAXUINT, 0U, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_ALBUM_IS_EMPTY, g_param_spec_boolean ("is-empty", "is-empty", "is-empty", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	g_signal_new ("cover_rendered", NOISE_TYPE_ALBUM, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 1785 "Album.c"
}


static void noise_album_instance_init (NoiseAlbum * self) {
	gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	GeeHashSet* _tmp2_ = NULL;
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	self->priv = NOISE_ALBUM_GET_PRIVATE (self);
#line 44 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp0_ = g_strdup ("");
#line 44 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	self->priv->_name = _tmp0_;
#line 45 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp1_ = g_strdup ("");
#line 45 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	self->priv->_artist = _tmp1_;
#line 48 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	self->priv->_n_discs = (guint) 1;
#line 54 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	self->priv->_year = (guint) 0;
#line 56 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	self->priv->_cover_icon = NULL;
#line 58 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp2_ = gee_hash_set_new (NOISE_TYPE_MEDIA, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL, NULL, NULL, NULL);
#line 58 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	self->priv->media = _tmp2_;
#line 60 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	self->priv->cover_pixbuf_scale = 1;
#line 1815 "Album.c"
}


static void noise_album_finalize (GObject* obj) {
	NoiseAlbum * self;
	GeeHashSet* _tmp0_ = NULL;
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NOISE_TYPE_ALBUM, NoiseAlbum);
#line 63 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_tmp0_ = self->priv->media;
#line 63 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	gee_abstract_collection_clear ((GeeAbstractCollection*) _tmp0_);
#line 44 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_g_free0 (self->priv->_name);
#line 45 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_g_free0 (self->priv->_artist);
#line 56 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_g_object_unref0 (self->priv->_cover_icon);
#line 58 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_g_object_unref0 (self->priv->media);
#line 59 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	_g_object_unref0 (self->priv->cover_pixbuf);
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	G_OBJECT_CLASS (noise_album_parent_class)->finalize (obj);
#line 1840 "Album.c"
}


/**
 * An object representing an album.
 *
 * Currently only used by the album grid view to keep an internal cache.
 *
 * TODO (a lot of work for 1.0 ++)
 * - Replace album-related Media fields with an album object.
 * - Allow organizing media by disc number. Creating a Disc object would probably
 *   be overkill, considering our basic needs.
 * - Modify code accordingly
 * - Save albums to database
 * - Keep albums organized by library manager
 */
GType noise_album_get_type (void) {
	static volatile gsize noise_album_type_id__volatile = 0;
	if (g_once_init_enter (&noise_album_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NoiseAlbumClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) noise_album_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NoiseAlbum), 0, (GInstanceInitFunc) noise_album_instance_init, NULL };
		GType noise_album_type_id;
		noise_album_type_id = g_type_register_static (G_TYPE_OBJECT, "NoiseAlbum", &g_define_type_info, 0);
		g_once_init_leave (&noise_album_type_id__volatile, noise_album_type_id);
	}
	return noise_album_type_id__volatile;
}


static void _vala_noise_album_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	NoiseAlbum * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NOISE_TYPE_ALBUM, NoiseAlbum);
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	switch (property_id) {
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		case NOISE_ALBUM_NAME:
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		g_value_set_string (value, noise_album_get_name (self));
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		break;
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		case NOISE_ALBUM_ARTIST:
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		g_value_set_string (value, noise_album_get_artist (self));
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		break;
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		case NOISE_ALBUM_N_DISCS:
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		g_value_set_uint (value, noise_album_get_n_discs (self));
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		break;
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		case NOISE_ALBUM_YEAR:
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		g_value_set_uint (value, noise_album_get_year (self));
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		break;
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		case NOISE_ALBUM_COVER_ICON:
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		g_value_set_object (value, noise_album_get_cover_icon (self));
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		break;
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		case NOISE_ALBUM_N_MEDIA:
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		g_value_set_uint (value, noise_album_get_n_media (self));
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		break;
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		case NOISE_ALBUM_IS_EMPTY:
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		g_value_set_boolean (value, noise_album_get_is_empty (self));
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		break;
#line 1916 "Album.c"
		default:
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		break;
#line 1922 "Album.c"
	}
}


static void _vala_noise_album_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	NoiseAlbum * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NOISE_TYPE_ALBUM, NoiseAlbum);
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
	switch (property_id) {
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		case NOISE_ALBUM_NAME:
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		noise_album_set_name (self, g_value_get_string (value));
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		break;
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		case NOISE_ALBUM_ARTIST:
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		noise_album_set_artist (self, g_value_get_string (value));
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		break;
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		case NOISE_ALBUM_N_DISCS:
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		noise_album_set_n_discs (self, g_value_get_uint (value));
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		break;
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		case NOISE_ALBUM_YEAR:
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		noise_album_set_year (self, g_value_get_uint (value));
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		break;
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		case NOISE_ALBUM_COVER_ICON:
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		noise_album_set_cover_icon (self, g_value_get_object (value));
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		break;
#line 1962 "Album.c"
		default:
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Album.vala"
		break;
#line 1968 "Album.c"
	}
}



