/* Equalizer.c generated by valac 0.34.9, the Vala compiler
 * generated from Equalizer.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2012-2017 elementary LLC. (https://elementary.io)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Noise authors hereby grant permission for non-GPL compatible
 * GStreamer plugins to be used and distributed together with GStreamer
 * and Noise. This permission is above and beyond the permissions granted
 * by the GPL license by which Noise is covered. If you modify this code
 * you may extend this exception to your version of the code, but you are not
 * obligated to do so. If you do not wish to do so, delete this exception
 * statement from your version.
 *
 * Authored by: Scott Ringwelski <sgringwe@mtu.edu>
 */

#include <glib.h>
#include <glib-object.h>
#include <gst/gst.h>
#include <gee.h>
#include <float.h>
#include <math.h>
#include <glib/gi18n-lib.h>
#include <stdlib.h>
#include <string.h>


#define NOISE_TYPE_EQUALIZER (noise_equalizer_get_type ())
#define NOISE_EQUALIZER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_EQUALIZER, NoiseEqualizer))
#define NOISE_EQUALIZER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_EQUALIZER, NoiseEqualizerClass))
#define NOISE_IS_EQUALIZER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_EQUALIZER))
#define NOISE_IS_EQUALIZER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_EQUALIZER))
#define NOISE_EQUALIZER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_EQUALIZER, NoiseEqualizerClass))

typedef struct _NoiseEqualizer NoiseEqualizer;
typedef struct _NoiseEqualizerClass NoiseEqualizerClass;
typedef struct _NoiseEqualizerPrivate NoiseEqualizerPrivate;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))

#define NOISE_TYPE_EQUALIZER_PRESET (noise_equalizer_preset_get_type ())
#define NOISE_EQUALIZER_PRESET(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_EQUALIZER_PRESET, NoiseEqualizerPreset))
#define NOISE_EQUALIZER_PRESET_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_EQUALIZER_PRESET, NoiseEqualizerPresetClass))
#define NOISE_IS_EQUALIZER_PRESET(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_EQUALIZER_PRESET))
#define NOISE_IS_EQUALIZER_PRESET_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_EQUALIZER_PRESET))
#define NOISE_EQUALIZER_PRESET_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_EQUALIZER_PRESET, NoiseEqualizerPresetClass))

typedef struct _NoiseEqualizerPreset NoiseEqualizerPreset;
typedef struct _NoiseEqualizerPresetClass NoiseEqualizerPresetClass;

struct _NoiseEqualizer {
	GObject parent_instance;
	NoiseEqualizerPrivate * priv;
	GstElement* element;
};

struct _NoiseEqualizerClass {
	GObjectClass parent_class;
};


static gpointer noise_equalizer_parent_class = NULL;
static GeeTreeSet* noise_equalizer_default_presets;
static GeeTreeSet* noise_equalizer_default_presets = NULL;

GType noise_equalizer_get_type (void) G_GNUC_CONST;
enum  {
	NOISE_EQUALIZER_DUMMY_PROPERTY
};
GType noise_equalizer_preset_get_type (void) G_GNUC_CONST;
NoiseEqualizer* noise_equalizer_new (void);
NoiseEqualizer* noise_equalizer_construct (GType object_type);
void noise_equalizer_setGain (NoiseEqualizer* self, gint index, gdouble gain);
GeeCollection* noise_equalizer_get_default_presets (void);
NoiseEqualizerPreset* noise_equalizer_preset_new_with_gains (const gchar* name, gint* items, int items_length1);
NoiseEqualizerPreset* noise_equalizer_preset_construct_with_gains (GType object_type, const gchar* name, gint* items, int items_length1);
static void noise_equalizer_finalize (GObject* obj);


NoiseEqualizer* noise_equalizer_construct (GType object_type) {
	NoiseEqualizer * self = NULL;
	GstElement* _tmp0_ = NULL;
	gint* freqs = NULL;
	gint* _tmp1_ = NULL;
	gint freqs_length1 = 0;
	gint _freqs_size_ = 0;
	gfloat last_freq = 0.0F;
#line 32 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	self = (NoiseEqualizer*) g_object_new (object_type, NULL);
#line 33 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp0_ = gst_element_factory_make ("equalizer-10bands", "equalizer");
#line 33 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	if (_tmp0_ != NULL) {
#line 33 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
		g_object_ref_sink (_tmp0_);
#line 111 "Equalizer.c"
	}
#line 33 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_g_object_unref0 (self->element);
#line 33 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	self->element = _tmp0_;
#line 35 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp1_ = g_new0 (gint, 10);
#line 35 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp1_[0] = 60;
#line 35 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp1_[1] = 170;
#line 35 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp1_[2] = 310;
#line 35 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp1_[3] = 600;
#line 35 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp1_[4] = 1000;
#line 35 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp1_[5] = 3000;
#line 35 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp1_[6] = 6000;
#line 35 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp1_[7] = 12000;
#line 35 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp1_[8] = 14000;
#line 35 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp1_[9] = 16000;
#line 35 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	freqs = _tmp1_;
#line 35 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	freqs_length1 = 10;
#line 35 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_freqs_size_ = freqs_length1;
#line 38 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	last_freq = (gfloat) 0;
#line 147 "Equalizer.c"
	{
		gint index = 0;
#line 39 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
		index = 0;
#line 152 "Equalizer.c"
		{
			gboolean _tmp2_ = FALSE;
#line 39 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
			_tmp2_ = TRUE;
#line 39 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
			while (TRUE) {
#line 159 "Equalizer.c"
				gint _tmp4_ = 0;
				GObject* band = NULL;
				GstElement* _tmp5_ = NULL;
				gint _tmp6_ = 0;
				GObject* _tmp7_ = NULL;
				gfloat freq = 0.0F;
				gint* _tmp8_ = NULL;
				gint _tmp8__length1 = 0;
				gint _tmp9_ = 0;
				gint _tmp10_ = 0;
				gfloat bandwidth = 0.0F;
				gfloat _tmp11_ = 0.0F;
				gfloat _tmp12_ = 0.0F;
				gfloat _tmp13_ = 0.0F;
				GObject* _tmp14_ = NULL;
				gfloat _tmp15_ = 0.0F;
				gfloat _tmp16_ = 0.0F;
#line 39 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
				if (!_tmp2_) {
#line 179 "Equalizer.c"
					gint _tmp3_ = 0;
#line 39 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
					_tmp3_ = index;
#line 39 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
					index = _tmp3_ + 1;
#line 185 "Equalizer.c"
				}
#line 39 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
				_tmp2_ = FALSE;
#line 39 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
				_tmp4_ = index;
#line 39 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
				if (!(_tmp4_ < 10)) {
#line 39 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
					break;
#line 195 "Equalizer.c"
				}
#line 40 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
				_tmp5_ = self->element;
#line 40 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
				_tmp6_ = index;
#line 40 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
				_tmp7_ = gst_child_proxy_get_child_by_index (G_TYPE_CHECK_INSTANCE_CAST (_tmp5_, gst_child_proxy_get_type (), GstChildProxy), (guint) _tmp6_);
#line 40 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
				band = _tmp7_;
#line 42 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
				_tmp8_ = freqs;
#line 42 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
				_tmp8__length1 = freqs_length1;
#line 42 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
				_tmp9_ = index;
#line 42 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
				_tmp10_ = _tmp8_[_tmp9_];
#line 42 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
				freq = (gfloat) _tmp10_;
#line 43 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
				_tmp11_ = freq;
#line 43 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
				_tmp12_ = last_freq;
#line 43 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
				bandwidth = _tmp11_ - _tmp12_;
#line 44 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
				_tmp13_ = freq;
#line 44 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
				last_freq = _tmp13_;
#line 46 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
				_tmp14_ = band;
#line 46 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
				_tmp15_ = freq;
#line 46 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
				_tmp16_ = bandwidth;
#line 46 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
				g_object_set (_tmp14_, "freq", _tmp15_, "bandwidth", _tmp16_, "gain", 0.0f, NULL);
#line 39 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
				_g_object_unref0 (band);
#line 235 "Equalizer.c"
			}
		}
	}
#line 32 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	freqs = (g_free (freqs), NULL);
#line 32 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	return self;
#line 243 "Equalizer.c"
}


NoiseEqualizer* noise_equalizer_new (void) {
#line 32 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	return noise_equalizer_construct (NOISE_TYPE_EQUALIZER);
#line 250 "Equalizer.c"
}


void noise_equalizer_setGain (NoiseEqualizer* self, gint index, gdouble gain) {
	GObject* band = NULL;
	GstElement* _tmp0_ = NULL;
	gint _tmp1_ = 0;
	GObject* _tmp2_ = NULL;
	gdouble _tmp3_ = 0.0;
	GObject* _tmp6_ = NULL;
	gdouble _tmp7_ = 0.0;
#line 52 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	g_return_if_fail (self != NULL);
#line 53 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp0_ = self->element;
#line 53 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp1_ = index;
#line 53 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp2_ = gst_child_proxy_get_child_by_index (G_TYPE_CHECK_INSTANCE_CAST (_tmp0_, gst_child_proxy_get_type (), GstChildProxy), (guint) _tmp1_);
#line 53 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	band = _tmp2_;
#line 55 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp3_ = gain;
#line 55 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	if (_tmp3_ < ((gdouble) 0)) {
#line 276 "Equalizer.c"
		gdouble _tmp4_ = 0.0;
#line 56 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
		_tmp4_ = gain;
#line 56 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
		gain = _tmp4_ * 0.24f;
#line 282 "Equalizer.c"
	} else {
		gdouble _tmp5_ = 0.0;
#line 58 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
		_tmp5_ = gain;
#line 58 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
		gain = _tmp5_ * 0.12f;
#line 289 "Equalizer.c"
	}
#line 60 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp6_ = band;
#line 60 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp7_ = gain;
#line 60 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	g_object_set (_tmp6_, "gain", _tmp7_, NULL);
#line 52 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_g_object_unref0 (band);
#line 299 "Equalizer.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 66 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	return self ? g_object_ref (self) : NULL;
#line 306 "Equalizer.c"
}


GeeCollection* noise_equalizer_get_default_presets (void) {
	GeeCollection* result = NULL;
	GeeTreeSet* _tmp0_ = NULL;
	GeeTreeSet* _tmp3_ = NULL;
	GeeTreeSet* _tmp4_ = NULL;
	const gchar* _tmp5_ = NULL;
	gint* _tmp6_ = NULL;
	gint* _tmp7_ = NULL;
	gint _tmp7__length1 = 0;
	NoiseEqualizerPreset* _tmp8_ = NULL;
	NoiseEqualizerPreset* _tmp9_ = NULL;
	GeeTreeSet* _tmp10_ = NULL;
	const gchar* _tmp11_ = NULL;
	gint* _tmp12_ = NULL;
	gint* _tmp13_ = NULL;
	gint _tmp13__length1 = 0;
	NoiseEqualizerPreset* _tmp14_ = NULL;
	NoiseEqualizerPreset* _tmp15_ = NULL;
	GeeTreeSet* _tmp16_ = NULL;
	const gchar* _tmp17_ = NULL;
	gint* _tmp18_ = NULL;
	gint* _tmp19_ = NULL;
	gint _tmp19__length1 = 0;
	NoiseEqualizerPreset* _tmp20_ = NULL;
	NoiseEqualizerPreset* _tmp21_ = NULL;
	GeeTreeSet* _tmp22_ = NULL;
	const gchar* _tmp23_ = NULL;
	gint* _tmp24_ = NULL;
	gint* _tmp25_ = NULL;
	gint _tmp25__length1 = 0;
	NoiseEqualizerPreset* _tmp26_ = NULL;
	NoiseEqualizerPreset* _tmp27_ = NULL;
	GeeTreeSet* _tmp28_ = NULL;
	const gchar* _tmp29_ = NULL;
	gint* _tmp30_ = NULL;
	gint* _tmp31_ = NULL;
	gint _tmp31__length1 = 0;
	NoiseEqualizerPreset* _tmp32_ = NULL;
	NoiseEqualizerPreset* _tmp33_ = NULL;
	GeeTreeSet* _tmp34_ = NULL;
	const gchar* _tmp35_ = NULL;
	gint* _tmp36_ = NULL;
	gint* _tmp37_ = NULL;
	gint _tmp37__length1 = 0;
	NoiseEqualizerPreset* _tmp38_ = NULL;
	NoiseEqualizerPreset* _tmp39_ = NULL;
	GeeTreeSet* _tmp40_ = NULL;
	const gchar* _tmp41_ = NULL;
	gint* _tmp42_ = NULL;
	gint* _tmp43_ = NULL;
	gint _tmp43__length1 = 0;
	NoiseEqualizerPreset* _tmp44_ = NULL;
	NoiseEqualizerPreset* _tmp45_ = NULL;
	GeeTreeSet* _tmp46_ = NULL;
	const gchar* _tmp47_ = NULL;
	gint* _tmp48_ = NULL;
	gint* _tmp49_ = NULL;
	gint _tmp49__length1 = 0;
	NoiseEqualizerPreset* _tmp50_ = NULL;
	NoiseEqualizerPreset* _tmp51_ = NULL;
	GeeTreeSet* _tmp52_ = NULL;
	const gchar* _tmp53_ = NULL;
	gint* _tmp54_ = NULL;
	gint* _tmp55_ = NULL;
	gint _tmp55__length1 = 0;
	NoiseEqualizerPreset* _tmp56_ = NULL;
	NoiseEqualizerPreset* _tmp57_ = NULL;
	GeeTreeSet* _tmp58_ = NULL;
	const gchar* _tmp59_ = NULL;
	gint* _tmp60_ = NULL;
	gint* _tmp61_ = NULL;
	gint _tmp61__length1 = 0;
	NoiseEqualizerPreset* _tmp62_ = NULL;
	NoiseEqualizerPreset* _tmp63_ = NULL;
	GeeTreeSet* _tmp64_ = NULL;
	const gchar* _tmp65_ = NULL;
	gint* _tmp66_ = NULL;
	gint* _tmp67_ = NULL;
	gint _tmp67__length1 = 0;
	NoiseEqualizerPreset* _tmp68_ = NULL;
	NoiseEqualizerPreset* _tmp69_ = NULL;
	GeeTreeSet* _tmp70_ = NULL;
	const gchar* _tmp71_ = NULL;
	gint* _tmp72_ = NULL;
	gint* _tmp73_ = NULL;
	gint _tmp73__length1 = 0;
	NoiseEqualizerPreset* _tmp74_ = NULL;
	NoiseEqualizerPreset* _tmp75_ = NULL;
	GeeTreeSet* _tmp76_ = NULL;
	const gchar* _tmp77_ = NULL;
	gint* _tmp78_ = NULL;
	gint* _tmp79_ = NULL;
	gint _tmp79__length1 = 0;
	NoiseEqualizerPreset* _tmp80_ = NULL;
	NoiseEqualizerPreset* _tmp81_ = NULL;
	GeeTreeSet* _tmp82_ = NULL;
	const gchar* _tmp83_ = NULL;
	gint* _tmp84_ = NULL;
	gint* _tmp85_ = NULL;
	gint _tmp85__length1 = 0;
	NoiseEqualizerPreset* _tmp86_ = NULL;
	NoiseEqualizerPreset* _tmp87_ = NULL;
	GeeTreeSet* _tmp88_ = NULL;
	const gchar* _tmp89_ = NULL;
	gint* _tmp90_ = NULL;
	gint* _tmp91_ = NULL;
	gint _tmp91__length1 = 0;
	NoiseEqualizerPreset* _tmp92_ = NULL;
	NoiseEqualizerPreset* _tmp93_ = NULL;
	GeeTreeSet* _tmp94_ = NULL;
	const gchar* _tmp95_ = NULL;
	gint* _tmp96_ = NULL;
	gint* _tmp97_ = NULL;
	gint _tmp97__length1 = 0;
	NoiseEqualizerPreset* _tmp98_ = NULL;
	NoiseEqualizerPreset* _tmp99_ = NULL;
	GeeTreeSet* _tmp100_ = NULL;
	const gchar* _tmp101_ = NULL;
	gint* _tmp102_ = NULL;
	gint* _tmp103_ = NULL;
	gint _tmp103__length1 = 0;
	NoiseEqualizerPreset* _tmp104_ = NULL;
	NoiseEqualizerPreset* _tmp105_ = NULL;
	GeeTreeSet* _tmp106_ = NULL;
	const gchar* _tmp107_ = NULL;
	gint* _tmp108_ = NULL;
	gint* _tmp109_ = NULL;
	gint _tmp109__length1 = 0;
	NoiseEqualizerPreset* _tmp110_ = NULL;
	NoiseEqualizerPreset* _tmp111_ = NULL;
	GeeTreeSet* _tmp112_ = NULL;
	GeeBidirSortedSet* _tmp113_ = NULL;
	GeeBidirSortedSet* _tmp114_ = NULL;
#line 65 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp0_ = noise_equalizer_default_presets;
#line 65 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	if (_tmp0_ != NULL) {
#line 447 "Equalizer.c"
		GeeTreeSet* _tmp1_ = NULL;
		GeeCollection* _tmp2_ = NULL;
#line 66 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
		_tmp1_ = noise_equalizer_default_presets;
#line 66 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
		_tmp2_ = _g_object_ref0 ((GeeCollection*) _tmp1_);
#line 66 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
		result = _tmp2_;
#line 66 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
		return result;
#line 458 "Equalizer.c"
	}
#line 68 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp3_ = gee_tree_set_new (NOISE_TYPE_EQUALIZER_PRESET, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 68 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_g_object_unref0 (noise_equalizer_default_presets);
#line 68 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	noise_equalizer_default_presets = _tmp3_;
#line 70 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp4_ = noise_equalizer_default_presets;
#line 70 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp5_ = _ ("Flat");
#line 70 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp6_ = g_new0 (gint, 10);
#line 70 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp6_[0] = 0;
#line 70 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp6_[1] = 0;
#line 70 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp6_[2] = 0;
#line 70 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp6_[3] = 0;
#line 70 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp6_[4] = 0;
#line 70 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp6_[5] = 0;
#line 70 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp6_[6] = 0;
#line 70 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp6_[7] = 0;
#line 70 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp6_[8] = 0;
#line 70 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp6_[9] = 0;
#line 70 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp7_ = _tmp6_;
#line 70 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp7__length1 = 10;
#line 70 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp8_ = noise_equalizer_preset_new_with_gains (_tmp5_, _tmp7_, 10);
#line 70 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp9_ = _tmp8_;
#line 70 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp4_, _tmp9_);
#line 70 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_g_object_unref0 (_tmp9_);
#line 70 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp7_ = (g_free (_tmp7_), NULL);
#line 71 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp10_ = noise_equalizer_default_presets;
#line 71 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp11_ = _ ("Classical");
#line 71 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp12_ = g_new0 (gint, 10);
#line 71 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp12_[0] = 0;
#line 71 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp12_[1] = 0;
#line 71 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp12_[2] = 0;
#line 71 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp12_[3] = 0;
#line 71 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp12_[4] = 0;
#line 71 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp12_[5] = 0;
#line 71 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp12_[6] = -40;
#line 71 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp12_[7] = -40;
#line 71 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp12_[8] = -40;
#line 71 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp12_[9] = -50;
#line 71 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp13_ = _tmp12_;
#line 71 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp13__length1 = 10;
#line 71 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp14_ = noise_equalizer_preset_new_with_gains (_tmp11_, _tmp13_, 10);
#line 71 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp15_ = _tmp14_;
#line 71 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp10_, _tmp15_);
#line 71 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_g_object_unref0 (_tmp15_);
#line 71 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp13_ = (g_free (_tmp13_), NULL);
#line 72 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp16_ = noise_equalizer_default_presets;
#line 72 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp17_ = _ ("Club");
#line 72 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp18_ = g_new0 (gint, 10);
#line 72 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp18_[0] = 0;
#line 72 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp18_[1] = 0;
#line 72 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp18_[2] = 20;
#line 72 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp18_[3] = 30;
#line 72 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp18_[4] = 30;
#line 72 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp18_[5] = 30;
#line 72 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp18_[6] = 20;
#line 72 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp18_[7] = 0;
#line 72 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp18_[8] = 0;
#line 72 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp18_[9] = 0;
#line 72 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp19_ = _tmp18_;
#line 72 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp19__length1 = 10;
#line 72 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp20_ = noise_equalizer_preset_new_with_gains (_tmp17_, _tmp19_, 10);
#line 72 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp21_ = _tmp20_;
#line 72 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp16_, _tmp21_);
#line 72 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_g_object_unref0 (_tmp21_);
#line 72 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp19_ = (g_free (_tmp19_), NULL);
#line 73 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp22_ = noise_equalizer_default_presets;
#line 73 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp23_ = _ ("Dance");
#line 73 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp24_ = g_new0 (gint, 10);
#line 73 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp24_[0] = 50;
#line 73 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp24_[1] = 35;
#line 73 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp24_[2] = 10;
#line 73 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp24_[3] = 0;
#line 73 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp24_[4] = 0;
#line 73 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp24_[5] = -30;
#line 73 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp24_[6] = -40;
#line 73 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp24_[7] = -40;
#line 73 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp24_[8] = 0;
#line 73 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp24_[9] = 0;
#line 73 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp25_ = _tmp24_;
#line 73 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp25__length1 = 10;
#line 73 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp26_ = noise_equalizer_preset_new_with_gains (_tmp23_, _tmp25_, 10);
#line 73 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp27_ = _tmp26_;
#line 73 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp22_, _tmp27_);
#line 73 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_g_object_unref0 (_tmp27_);
#line 73 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp25_ = (g_free (_tmp25_), NULL);
#line 74 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp28_ = noise_equalizer_default_presets;
#line 74 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp29_ = _ ("Full Bass");
#line 74 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp30_ = g_new0 (gint, 10);
#line 74 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp30_[0] = 70;
#line 74 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp30_[1] = 70;
#line 74 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp30_[2] = 70;
#line 74 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp30_[3] = 40;
#line 74 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp30_[4] = 20;
#line 74 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp30_[5] = -45;
#line 74 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp30_[6] = -50;
#line 74 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp30_[7] = -55;
#line 74 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp30_[8] = -55;
#line 74 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp30_[9] = -55;
#line 74 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp31_ = _tmp30_;
#line 74 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp31__length1 = 10;
#line 74 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp32_ = noise_equalizer_preset_new_with_gains (_tmp29_, _tmp31_, 10);
#line 74 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp33_ = _tmp32_;
#line 74 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp28_, _tmp33_);
#line 74 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_g_object_unref0 (_tmp33_);
#line 74 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp31_ = (g_free (_tmp31_), NULL);
#line 75 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp34_ = noise_equalizer_default_presets;
#line 75 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp35_ = _ ("Full Treble");
#line 75 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp36_ = g_new0 (gint, 10);
#line 75 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp36_[0] = -50;
#line 75 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp36_[1] = -50;
#line 75 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp36_[2] = -50;
#line 75 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp36_[3] = -25;
#line 75 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp36_[4] = 15;
#line 75 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp36_[5] = 55;
#line 75 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp36_[6] = 80;
#line 75 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp36_[7] = 80;
#line 75 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp36_[8] = 80;
#line 75 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp36_[9] = 80;
#line 75 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp37_ = _tmp36_;
#line 75 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp37__length1 = 10;
#line 75 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp38_ = noise_equalizer_preset_new_with_gains (_tmp35_, _tmp37_, 10);
#line 75 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp39_ = _tmp38_;
#line 75 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp34_, _tmp39_);
#line 75 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_g_object_unref0 (_tmp39_);
#line 75 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp37_ = (g_free (_tmp37_), NULL);
#line 76 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp40_ = noise_equalizer_default_presets;
#line 76 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp41_ = _ ("Full Bass + Treble");
#line 76 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp42_ = g_new0 (gint, 10);
#line 76 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp42_[0] = 35;
#line 76 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp42_[1] = 30;
#line 76 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp42_[2] = 0;
#line 76 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp42_[3] = -40;
#line 76 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp42_[4] = -25;
#line 76 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp42_[5] = 10;
#line 76 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp42_[6] = 45;
#line 76 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp42_[7] = 55;
#line 76 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp42_[8] = 60;
#line 76 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp42_[9] = 60;
#line 76 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp43_ = _tmp42_;
#line 76 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp43__length1 = 10;
#line 76 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp44_ = noise_equalizer_preset_new_with_gains (_tmp41_, _tmp43_, 10);
#line 76 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp45_ = _tmp44_;
#line 76 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp40_, _tmp45_);
#line 76 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_g_object_unref0 (_tmp45_);
#line 76 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp43_ = (g_free (_tmp43_), NULL);
#line 77 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp46_ = noise_equalizer_default_presets;
#line 77 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp47_ = _ ("Headphones");
#line 77 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp48_ = g_new0 (gint, 10);
#line 77 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp48_[0] = 25;
#line 77 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp48_[1] = 50;
#line 77 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp48_[2] = 25;
#line 77 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp48_[3] = -20;
#line 77 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp48_[4] = 0;
#line 77 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp48_[5] = -30;
#line 77 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp48_[6] = -40;
#line 77 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp48_[7] = -40;
#line 77 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp48_[8] = 0;
#line 77 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp48_[9] = 0;
#line 77 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp49_ = _tmp48_;
#line 77 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp49__length1 = 10;
#line 77 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp50_ = noise_equalizer_preset_new_with_gains (_tmp47_, _tmp49_, 10);
#line 77 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp51_ = _tmp50_;
#line 77 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp46_, _tmp51_);
#line 77 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_g_object_unref0 (_tmp51_);
#line 77 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp49_ = (g_free (_tmp49_), NULL);
#line 78 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp52_ = noise_equalizer_default_presets;
#line 78 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp53_ = _ ("Large Hall");
#line 78 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp54_ = g_new0 (gint, 10);
#line 78 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp54_[0] = 50;
#line 78 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp54_[1] = 50;
#line 78 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp54_[2] = 30;
#line 78 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp54_[3] = 30;
#line 78 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp54_[4] = 0;
#line 78 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp54_[5] = -25;
#line 78 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp54_[6] = -25;
#line 78 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp54_[7] = -25;
#line 78 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp54_[8] = 0;
#line 78 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp54_[9] = 0;
#line 78 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp55_ = _tmp54_;
#line 78 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp55__length1 = 10;
#line 78 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp56_ = noise_equalizer_preset_new_with_gains (_tmp53_, _tmp55_, 10);
#line 78 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp57_ = _tmp56_;
#line 78 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp52_, _tmp57_);
#line 78 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_g_object_unref0 (_tmp57_);
#line 78 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp55_ = (g_free (_tmp55_), NULL);
#line 79 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp58_ = noise_equalizer_default_presets;
#line 79 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp59_ = _ ("Live");
#line 79 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp60_ = g_new0 (gint, 10);
#line 79 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp60_[0] = -25;
#line 79 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp60_[1] = 0;
#line 79 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp60_[2] = 20;
#line 79 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp60_[3] = 25;
#line 79 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp60_[4] = 30;
#line 79 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp60_[5] = 30;
#line 79 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp60_[6] = 20;
#line 79 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp60_[7] = 15;
#line 79 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp60_[8] = 15;
#line 79 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp60_[9] = 10;
#line 79 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp61_ = _tmp60_;
#line 79 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp61__length1 = 10;
#line 79 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp62_ = noise_equalizer_preset_new_with_gains (_tmp59_, _tmp61_, 10);
#line 79 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp63_ = _tmp62_;
#line 79 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp58_, _tmp63_);
#line 79 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_g_object_unref0 (_tmp63_);
#line 79 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp61_ = (g_free (_tmp61_), NULL);
#line 80 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp64_ = noise_equalizer_default_presets;
#line 80 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp65_ = _ ("Party");
#line 80 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp66_ = g_new0 (gint, 10);
#line 80 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp66_[0] = 35;
#line 80 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp66_[1] = 35;
#line 80 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp66_[2] = 0;
#line 80 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp66_[3] = 0;
#line 80 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp66_[4] = 0;
#line 80 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp66_[5] = 0;
#line 80 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp66_[6] = 0;
#line 80 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp66_[7] = 0;
#line 80 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp66_[8] = 35;
#line 80 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp66_[9] = 35;
#line 80 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp67_ = _tmp66_;
#line 80 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp67__length1 = 10;
#line 80 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp68_ = noise_equalizer_preset_new_with_gains (_tmp65_, _tmp67_, 10);
#line 80 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp69_ = _tmp68_;
#line 80 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp64_, _tmp69_);
#line 80 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_g_object_unref0 (_tmp69_);
#line 80 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp67_ = (g_free (_tmp67_), NULL);
#line 81 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp70_ = noise_equalizer_default_presets;
#line 81 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp71_ = _ ("Pop");
#line 81 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp72_ = g_new0 (gint, 10);
#line 81 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp72_[0] = -10;
#line 81 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp72_[1] = 25;
#line 81 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp72_[2] = 35;
#line 81 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp72_[3] = 40;
#line 81 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp72_[4] = 25;
#line 81 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp72_[5] = -5;
#line 81 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp72_[6] = -15;
#line 81 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp72_[7] = -15;
#line 81 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp72_[8] = -10;
#line 81 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp72_[9] = -10;
#line 81 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp73_ = _tmp72_;
#line 81 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp73__length1 = 10;
#line 81 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp74_ = noise_equalizer_preset_new_with_gains (_tmp71_, _tmp73_, 10);
#line 81 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp75_ = _tmp74_;
#line 81 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp70_, _tmp75_);
#line 81 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_g_object_unref0 (_tmp75_);
#line 81 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp73_ = (g_free (_tmp73_), NULL);
#line 82 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp76_ = noise_equalizer_default_presets;
#line 82 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp77_ = _ ("Reggae");
#line 82 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp78_ = g_new0 (gint, 10);
#line 82 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp78_[0] = 0;
#line 82 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp78_[1] = 0;
#line 82 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp78_[2] = -5;
#line 82 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp78_[3] = -30;
#line 82 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp78_[4] = 0;
#line 82 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp78_[5] = -35;
#line 82 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp78_[6] = -35;
#line 82 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp78_[7] = 0;
#line 82 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp78_[8] = 0;
#line 82 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp78_[9] = 0;
#line 82 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp79_ = _tmp78_;
#line 82 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp79__length1 = 10;
#line 82 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp80_ = noise_equalizer_preset_new_with_gains (_tmp77_, _tmp79_, 10);
#line 82 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp81_ = _tmp80_;
#line 82 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp76_, _tmp81_);
#line 82 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_g_object_unref0 (_tmp81_);
#line 82 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp79_ = (g_free (_tmp79_), NULL);
#line 83 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp82_ = noise_equalizer_default_presets;
#line 83 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp83_ = _ ("Rock");
#line 83 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp84_ = g_new0 (gint, 10);
#line 83 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp84_[0] = 40;
#line 83 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp84_[1] = 25;
#line 83 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp84_[2] = -30;
#line 83 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp84_[3] = -40;
#line 83 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp84_[4] = -20;
#line 83 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp84_[5] = 20;
#line 83 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp84_[6] = 45;
#line 83 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp84_[7] = 55;
#line 83 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp84_[8] = 55;
#line 83 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp84_[9] = 55;
#line 83 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp85_ = _tmp84_;
#line 83 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp85__length1 = 10;
#line 83 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp86_ = noise_equalizer_preset_new_with_gains (_tmp83_, _tmp85_, 10);
#line 83 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp87_ = _tmp86_;
#line 83 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp82_, _tmp87_);
#line 83 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_g_object_unref0 (_tmp87_);
#line 83 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp85_ = (g_free (_tmp85_), NULL);
#line 84 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp88_ = noise_equalizer_default_presets;
#line 84 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp89_ = _ ("Soft");
#line 84 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp90_ = g_new0 (gint, 10);
#line 84 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp90_[0] = 25;
#line 84 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp90_[1] = 10;
#line 84 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp90_[2] = -5;
#line 84 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp90_[3] = -15;
#line 84 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp90_[4] = -5;
#line 84 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp90_[5] = 20;
#line 84 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp90_[6] = 45;
#line 84 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp90_[7] = 50;
#line 84 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp90_[8] = 55;
#line 84 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp90_[9] = 60;
#line 84 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp91_ = _tmp90_;
#line 84 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp91__length1 = 10;
#line 84 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp92_ = noise_equalizer_preset_new_with_gains (_tmp89_, _tmp91_, 10);
#line 84 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp93_ = _tmp92_;
#line 84 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp88_, _tmp93_);
#line 84 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_g_object_unref0 (_tmp93_);
#line 84 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp91_ = (g_free (_tmp91_), NULL);
#line 85 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp94_ = noise_equalizer_default_presets;
#line 85 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp95_ = _ ("Ska");
#line 85 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp96_ = g_new0 (gint, 10);
#line 85 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp96_[0] = -15;
#line 85 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp96_[1] = -25;
#line 85 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp96_[2] = -25;
#line 85 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp96_[3] = -5;
#line 85 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp96_[4] = 20;
#line 85 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp96_[5] = 30;
#line 85 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp96_[6] = 45;
#line 85 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp96_[7] = 50;
#line 85 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp96_[8] = 55;
#line 85 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp96_[9] = 50;
#line 85 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp97_ = _tmp96_;
#line 85 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp97__length1 = 10;
#line 85 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp98_ = noise_equalizer_preset_new_with_gains (_tmp95_, _tmp97_, 10);
#line 85 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp99_ = _tmp98_;
#line 85 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp94_, _tmp99_);
#line 85 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_g_object_unref0 (_tmp99_);
#line 85 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp97_ = (g_free (_tmp97_), NULL);
#line 86 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp100_ = noise_equalizer_default_presets;
#line 86 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp101_ = _ ("Soft Rock");
#line 86 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp102_ = g_new0 (gint, 10);
#line 86 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp102_[0] = 20;
#line 86 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp102_[1] = 20;
#line 86 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp102_[2] = 10;
#line 86 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp102_[3] = -5;
#line 86 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp102_[4] = -25;
#line 86 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp102_[5] = -30;
#line 86 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp102_[6] = -20;
#line 86 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp102_[7] = -5;
#line 86 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp102_[8] = 15;
#line 86 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp102_[9] = 45;
#line 86 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp103_ = _tmp102_;
#line 86 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp103__length1 = 10;
#line 86 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp104_ = noise_equalizer_preset_new_with_gains (_tmp101_, _tmp103_, 10);
#line 86 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp105_ = _tmp104_;
#line 86 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp100_, _tmp105_);
#line 86 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_g_object_unref0 (_tmp105_);
#line 86 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp103_ = (g_free (_tmp103_), NULL);
#line 87 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp106_ = noise_equalizer_default_presets;
#line 87 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp107_ = _ ("Techno");
#line 87 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp108_ = g_new0 (gint, 10);
#line 87 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp108_[0] = 40;
#line 87 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp108_[1] = 30;
#line 87 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp108_[2] = 0;
#line 87 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp108_[3] = -30;
#line 87 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp108_[4] = -25;
#line 87 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp108_[5] = 0;
#line 87 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp108_[6] = 40;
#line 87 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp108_[7] = 50;
#line 87 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp108_[8] = 50;
#line 87 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp108_[9] = 45;
#line 87 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp109_ = _tmp108_;
#line 87 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp109__length1 = 10;
#line 87 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp110_ = noise_equalizer_preset_new_with_gains (_tmp107_, _tmp109_, 10);
#line 87 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp111_ = _tmp110_;
#line 87 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp106_, _tmp111_);
#line 87 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_g_object_unref0 (_tmp111_);
#line 87 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp109_ = (g_free (_tmp109_), NULL);
#line 89 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp112_ = noise_equalizer_default_presets;
#line 89 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp113_ = gee_abstract_bidir_sorted_set_get_read_only_view ((GeeAbstractBidirSortedSet*) _tmp112_);
#line 89 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_tmp114_ = _tmp113_;
#line 89 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	result = (GeeCollection*) _tmp114_;
#line 89 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	return result;
#line 1196 "Equalizer.c"
}


static void noise_equalizer_class_init (NoiseEqualizerClass * klass) {
#line 29 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	noise_equalizer_parent_class = g_type_class_peek_parent (klass);
#line 29 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	G_OBJECT_CLASS (klass)->finalize = noise_equalizer_finalize;
#line 1205 "Equalizer.c"
}


static void noise_equalizer_instance_init (NoiseEqualizer * self) {
}


static void noise_equalizer_finalize (GObject* obj) {
	NoiseEqualizer * self;
#line 29 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NOISE_TYPE_EQUALIZER, NoiseEqualizer);
#line 30 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	_g_object_unref0 (self->element);
#line 29 "/builddir/build/BUILD/music-0.4.1/core/GStreamer/Equalizer.vala"
	G_OBJECT_CLASS (noise_equalizer_parent_class)->finalize (obj);
#line 1221 "Equalizer.c"
}


GType noise_equalizer_get_type (void) {
	static volatile gsize noise_equalizer_type_id__volatile = 0;
	if (g_once_init_enter (&noise_equalizer_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NoiseEqualizerClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) noise_equalizer_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NoiseEqualizer), 0, (GInstanceInitFunc) noise_equalizer_instance_init, NULL };
		GType noise_equalizer_type_id;
		noise_equalizer_type_id = g_type_register_static (G_TYPE_OBJECT, "NoiseEqualizer", &g_define_type_info, 0);
		g_once_init_leave (&noise_equalizer_type_id__volatile, noise_equalizer_type_id);
	}
	return noise_equalizer_type_id__volatile;
}



