/* Player.c generated by valac 0.34.9, the Vala compiler
 * generated from Player.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2012-2017 elementary LLC. (https://elementary.io)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Noise authors hereby grant permission for non-GPL compatible
 * GStreamer plugins to be used and distributed together with GStreamer
 * and Noise. This permission is above and beyond the permissions granted
 * by the GPL license by which Noise is covered. If you modify this code
 * you may extend this exception to your version of the code, but you are not
 * obligated to do so. If you do not wish to do so, delete this exception
 * statement from your version.
 *
 * Authored by: Victor Eduardo <victoreduardm@gmail.com>
 */

#include <glib.h>
#include <glib-object.h>
#include <gee.h>
#include <stdlib.h>
#include <string.h>
#include <gst/gst.h>
#include <float.h>
#include <math.h>


#define NOISE_TYPE_PLAYER (noise_player_get_type ())
#define NOISE_PLAYER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_PLAYER, NoisePlayer))
#define NOISE_IS_PLAYER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_PLAYER))
#define NOISE_PLAYER_GET_INTERFACE(obj) (G_TYPE_INSTANCE_GET_INTERFACE ((obj), NOISE_TYPE_PLAYER, NoisePlayerIface))

typedef struct _NoisePlayer NoisePlayer;
typedef struct _NoisePlayerIface NoisePlayerIface;

#define NOISE_TYPE_PLAYBACK (noise_playback_get_type ())
#define NOISE_PLAYBACK(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_PLAYBACK, NoisePlayback))
#define NOISE_IS_PLAYBACK(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_PLAYBACK))
#define NOISE_PLAYBACK_GET_INTERFACE(obj) (G_TYPE_INSTANCE_GET_INTERFACE ((obj), NOISE_TYPE_PLAYBACK, NoisePlaybackIface))

typedef struct _NoisePlayback NoisePlayback;
typedef struct _NoisePlaybackIface NoisePlaybackIface;

#define NOISE_TYPE_MEDIA (noise_media_get_type ())
#define NOISE_MEDIA(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_MEDIA, NoiseMedia))
#define NOISE_MEDIA_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_MEDIA, NoiseMediaClass))
#define NOISE_IS_MEDIA(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_MEDIA))
#define NOISE_IS_MEDIA_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_MEDIA))
#define NOISE_MEDIA_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_MEDIA, NoiseMediaClass))

typedef struct _NoiseMedia NoiseMedia;
typedef struct _NoiseMediaClass NoiseMediaClass;

#define NOISE_PLAYER_TYPE_SHUFFLE (noise_player_shuffle_get_type ())

#define NOISE_PLAYER_TYPE_REPEAT (noise_player_repeat_get_type ())

struct _NoisePlaybackIface {
	GTypeInterface parent_iface;
	GeeCollection* (*get_supported_uri) (NoisePlayback* self);
	void (*play) (NoisePlayback* self);
	void (*pause) (NoisePlayback* self);
	void (*set_state) (NoisePlayback* self, GstState s);
	void (*set_media) (NoisePlayback* self, NoiseMedia* media);
	void (*set_position) (NoisePlayback* self, gint64 pos);
	gint64 (*get_position) (NoisePlayback* self);
	gint64 (*get_duration) (NoisePlayback* self);
	void (*set_volume) (NoisePlayback* self, gdouble val);
	gdouble (*get_volume) (NoisePlayback* self);
	gboolean (*update_position) (NoisePlayback* self);
	void (*enable_equalizer) (NoisePlayback* self);
	void (*disable_equalizer) (NoisePlayback* self);
	void (*set_equalizer_gain) (NoisePlayback* self, gint index, gint val);
};

struct _NoisePlayerIface {
	GTypeInterface parent_iface;
	void (*add_playback) (NoisePlayer* self, NoisePlayback* p);
};

typedef enum  {
	NOISE_PLAYER_SHUFFLE_OFF,
	NOISE_PLAYER_SHUFFLE_ALL
} NoisePlayerShuffle;

typedef enum  {
	NOISE_PLAYER_REPEAT_OFF,
	NOISE_PLAYER_REPEAT_MEDIA,
	NOISE_PLAYER_REPEAT_ALBUM,
	NOISE_PLAYER_REPEAT_ARTIST,
	NOISE_PLAYER_REPEAT_ALL
} NoisePlayerRepeat;



GType noise_media_get_type (void) G_GNUC_CONST;
GType noise_playback_get_type (void) G_GNUC_CONST;
GType noise_player_get_type (void) G_GNUC_CONST;
GType noise_player_shuffle_get_type (void) G_GNUC_CONST;
GType noise_player_repeat_get_type (void) G_GNUC_CONST;
void noise_player_add_playback (NoisePlayer* self, NoisePlayback* p);


GType noise_player_shuffle_get_type (void) {
	static volatile gsize noise_player_shuffle_type_id__volatile = 0;
	if (g_once_init_enter (&noise_player_shuffle_type_id__volatile)) {
		static const GEnumValue values[] = {{NOISE_PLAYER_SHUFFLE_OFF, "NOISE_PLAYER_SHUFFLE_OFF", "off"}, {NOISE_PLAYER_SHUFFLE_ALL, "NOISE_PLAYER_SHUFFLE_ALL", "all"}, {0, NULL, NULL}};
		GType noise_player_shuffle_type_id;
		noise_player_shuffle_type_id = g_enum_register_static ("NoisePlayerShuffle", values);
		g_once_init_leave (&noise_player_shuffle_type_id__volatile, noise_player_shuffle_type_id);
	}
	return noise_player_shuffle_type_id__volatile;
}


GType noise_player_repeat_get_type (void) {
	static volatile gsize noise_player_repeat_type_id__volatile = 0;
	if (g_once_init_enter (&noise_player_repeat_type_id__volatile)) {
		static const GEnumValue values[] = {{NOISE_PLAYER_REPEAT_OFF, "NOISE_PLAYER_REPEAT_OFF", "off"}, {NOISE_PLAYER_REPEAT_MEDIA, "NOISE_PLAYER_REPEAT_MEDIA", "media"}, {NOISE_PLAYER_REPEAT_ALBUM, "NOISE_PLAYER_REPEAT_ALBUM", "album"}, {NOISE_PLAYER_REPEAT_ARTIST, "NOISE_PLAYER_REPEAT_ARTIST", "artist"}, {NOISE_PLAYER_REPEAT_ALL, "NOISE_PLAYER_REPEAT_ALL", "all"}, {0, NULL, NULL}};
		GType noise_player_repeat_type_id;
		noise_player_repeat_type_id = g_enum_register_static ("NoisePlayerRepeat", values);
		g_once_init_leave (&noise_player_repeat_type_id__volatile, noise_player_repeat_type_id);
	}
	return noise_player_repeat_type_id__volatile;
}


void noise_player_add_playback (NoisePlayer* self, NoisePlayback* p) {
#line 31 "/builddir/build/BUILD/music-0.4.1/core/Player.vala"
	g_return_if_fail (self != NULL);
#line 31 "/builddir/build/BUILD/music-0.4.1/core/Player.vala"
	NOISE_PLAYER_GET_INTERFACE (self)->add_playback (self, p);
#line 148 "Player.c"
}


static void noise_player_base_init (NoisePlayerIface * iface) {
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Player.vala"
	static gboolean initialized = FALSE;
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Player.vala"
	if (!initialized) {
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Player.vala"
		initialized = TRUE;
#line 159 "Player.c"
	}
}


GType noise_player_get_type (void) {
	static volatile gsize noise_player_type_id__volatile = 0;
	if (g_once_init_enter (&noise_player_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NoisePlayerIface), (GBaseInitFunc) noise_player_base_init, (GBaseFinalizeFunc) NULL, (GClassInitFunc) NULL, (GClassFinalizeFunc) NULL, NULL, 0, 0, (GInstanceInitFunc) NULL, NULL };
		GType noise_player_type_id;
		noise_player_type_id = g_type_register_static (G_TYPE_INTERFACE, "NoisePlayer", &g_define_type_info, 0);
		g_type_interface_add_prerequisite (noise_player_type_id, G_TYPE_OBJECT);
		g_once_init_leave (&noise_player_type_id__volatile, noise_player_type_id);
	}
	return noise_player_type_id__volatile;
}



