/* Playlist.c generated by valac 0.34.9, the Vala compiler
 * generated from Playlist.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2012-2017 elementary LLC. (https://elementary.io)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Noise authors hereby grant permission for non-GPL compatible
 * GStreamer plugins to be used and distributed together with GStreamer
 * and Noise. This permission is above and beyond the permissions granted
 * by the GPL license by which Noise is covered. If you modify this code
 * you may extend this exception to your version of the code, but you are not
 * obligated to do so. If you do not wish to do so, delete this exception
 * statement from your version.
 *
 * Authored by: Corentin Noël <corentin@elementary.io>
 */

#include <glib.h>
#include <glib-object.h>
#include <gee.h>
#include <stdlib.h>
#include <string.h>
#include <gio/gio.h>


#define NOISE_TYPE_PLAYLIST (noise_playlist_get_type ())
#define NOISE_PLAYLIST(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_PLAYLIST, NoisePlaylist))
#define NOISE_PLAYLIST_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_PLAYLIST, NoisePlaylistClass))
#define NOISE_IS_PLAYLIST(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_PLAYLIST))
#define NOISE_IS_PLAYLIST_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_PLAYLIST))
#define NOISE_PLAYLIST_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_PLAYLIST, NoisePlaylistClass))

typedef struct _NoisePlaylist NoisePlaylist;
typedef struct _NoisePlaylistClass NoisePlaylistClass;
typedef struct _NoisePlaylistPrivate NoisePlaylistPrivate;

#define NOISE_TYPE_MEDIA (noise_media_get_type ())
#define NOISE_MEDIA(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_MEDIA, NoiseMedia))
#define NOISE_MEDIA_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_MEDIA, NoiseMediaClass))
#define NOISE_IS_MEDIA(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_MEDIA))
#define NOISE_IS_MEDIA_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_MEDIA))
#define NOISE_MEDIA_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_MEDIA, NoiseMediaClass))

typedef struct _NoiseMedia NoiseMedia;
typedef struct _NoiseMediaClass NoiseMediaClass;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))

struct _NoisePlaylist {
	GObject parent_instance;
	NoisePlaylistPrivate * priv;
	GIcon* icon;
	gchar* _name;
};

struct _NoisePlaylistClass {
	GObjectClass parent_class;
	void (*add_media) (NoisePlaylist* self, NoiseMedia* to_remove);
	void (*add_medias) (NoisePlaylist* self, GeeCollection* to_add);
	void (*remove_media) (NoisePlaylist* self, NoiseMedia* to_remove);
	void (*remove_medias) (NoisePlaylist* self, GeeCollection* to_remove);
	void (*clear) (NoisePlaylist* self);
	GeeArrayQueue* (*get_medias) (NoisePlaylist* self);
	void (*set_medias) (NoisePlaylist* self, GeeArrayQueue* value);
	const gchar* (*get_name) (NoisePlaylist* self);
	void (*set_name) (NoisePlaylist* self, const gchar* value);
};

struct _NoisePlaylistPrivate {
	GeeArrayQueue* _medias;
	gint64 _rowid;
};


static gpointer noise_playlist_parent_class = NULL;

GType noise_playlist_get_type (void) G_GNUC_CONST;
GType noise_media_get_type (void) G_GNUC_CONST;
#define NOISE_PLAYLIST_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NOISE_TYPE_PLAYLIST, NoisePlaylistPrivate))
enum  {
	NOISE_PLAYLIST_DUMMY_PROPERTY,
	NOISE_PLAYLIST_MEDIAS,
	NOISE_PLAYLIST_ROWID,
	NOISE_PLAYLIST_NAME
};
void noise_playlist_add_media (NoisePlaylist* self, NoiseMedia* to_remove);
static void noise_playlist_real_add_media (NoisePlaylist* self, NoiseMedia* to_remove);
void noise_playlist_add_medias (NoisePlaylist* self, GeeCollection* to_add);
static void noise_playlist_real_add_medias (NoisePlaylist* self, GeeCollection* to_add);
void noise_playlist_remove_media (NoisePlaylist* self, NoiseMedia* to_remove);
static void noise_playlist_real_remove_media (NoisePlaylist* self, NoiseMedia* to_remove);
void noise_playlist_remove_medias (NoisePlaylist* self, GeeCollection* to_remove);
static void noise_playlist_real_remove_medias (NoisePlaylist* self, GeeCollection* to_remove);
void noise_playlist_clear (NoisePlaylist* self);
static void noise_playlist_real_clear (NoisePlaylist* self);
gboolean noise_playlist_is_empty (NoisePlaylist* self);
GeeArrayQueue* noise_playlist_get_medias (NoisePlaylist* self);
NoisePlaylist* noise_playlist_construct (GType object_type);
void noise_playlist_set_medias (NoisePlaylist* self, GeeArrayQueue* value);
gint64 noise_playlist_get_rowid (NoisePlaylist* self);
void noise_playlist_set_rowid (NoisePlaylist* self, gint64 value);
const gchar* noise_playlist_get_name (NoisePlaylist* self);
void noise_playlist_set_name (NoisePlaylist* self, const gchar* value);
static void noise_playlist_finalize (GObject* obj);
static void _vala_noise_playlist_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_noise_playlist_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);


static void noise_playlist_real_add_media (NoisePlaylist* self, NoiseMedia* to_remove) {
#line 52 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	g_critical ("Type `%s' does not implement abstract method `noise_playlist_add_media'", g_type_name (G_TYPE_FROM_INSTANCE (self)));
#line 52 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	return;
#line 129 "Playlist.c"
}


void noise_playlist_add_media (NoisePlaylist* self, NoiseMedia* to_remove) {
#line 52 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	g_return_if_fail (self != NULL);
#line 52 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	NOISE_PLAYLIST_GET_CLASS (self)->add_media (self, to_remove);
#line 138 "Playlist.c"
}


static void noise_playlist_real_add_medias (NoisePlaylist* self, GeeCollection* to_add) {
#line 53 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	g_critical ("Type `%s' does not implement abstract method `noise_playlist_add_medias'", g_type_name (G_TYPE_FROM_INSTANCE (self)));
#line 53 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	return;
#line 147 "Playlist.c"
}


void noise_playlist_add_medias (NoisePlaylist* self, GeeCollection* to_add) {
#line 53 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	g_return_if_fail (self != NULL);
#line 53 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	NOISE_PLAYLIST_GET_CLASS (self)->add_medias (self, to_add);
#line 156 "Playlist.c"
}


static void noise_playlist_real_remove_media (NoisePlaylist* self, NoiseMedia* to_remove) {
#line 54 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	g_critical ("Type `%s' does not implement abstract method `noise_playlist_remove_media'", g_type_name (G_TYPE_FROM_INSTANCE (self)));
#line 54 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	return;
#line 165 "Playlist.c"
}


void noise_playlist_remove_media (NoisePlaylist* self, NoiseMedia* to_remove) {
#line 54 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	g_return_if_fail (self != NULL);
#line 54 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	NOISE_PLAYLIST_GET_CLASS (self)->remove_media (self, to_remove);
#line 174 "Playlist.c"
}


static void noise_playlist_real_remove_medias (NoisePlaylist* self, GeeCollection* to_remove) {
#line 55 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	g_critical ("Type `%s' does not implement abstract method `noise_playlist_remove_medias'", g_type_name (G_TYPE_FROM_INSTANCE (self)));
#line 55 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	return;
#line 183 "Playlist.c"
}


void noise_playlist_remove_medias (NoisePlaylist* self, GeeCollection* to_remove) {
#line 55 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	g_return_if_fail (self != NULL);
#line 55 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	NOISE_PLAYLIST_GET_CLASS (self)->remove_medias (self, to_remove);
#line 192 "Playlist.c"
}


static void noise_playlist_real_clear (NoisePlaylist* self) {
#line 56 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	g_critical ("Type `%s' does not implement abstract method `noise_playlist_clear'", g_type_name (G_TYPE_FROM_INSTANCE (self)));
#line 56 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	return;
#line 201 "Playlist.c"
}


void noise_playlist_clear (NoisePlaylist* self) {
#line 56 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	g_return_if_fail (self != NULL);
#line 56 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	NOISE_PLAYLIST_GET_CLASS (self)->clear (self);
#line 210 "Playlist.c"
}


gboolean noise_playlist_is_empty (NoisePlaylist* self) {
	gboolean result = FALSE;
	GeeArrayQueue* _tmp0_ = NULL;
	GeeArrayQueue* _tmp1_ = NULL;
	gint _tmp2_ = 0;
	gint _tmp3_ = 0;
#line 58 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 59 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	_tmp0_ = noise_playlist_get_medias (self);
#line 59 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	_tmp1_ = _tmp0_;
#line 59 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	_tmp2_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp1_);
#line 59 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	_tmp3_ = _tmp2_;
#line 59 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	result = _tmp3_ <= 0;
#line 59 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	return result;
#line 234 "Playlist.c"
}


NoisePlaylist* noise_playlist_construct (GType object_type) {
	NoisePlaylist * self = NULL;
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	self = (NoisePlaylist*) g_object_new (object_type, NULL);
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	return self;
#line 244 "Playlist.c"
}


GeeArrayQueue* noise_playlist_get_medias (NoisePlaylist* self) {
#line 31 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 31 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	return NOISE_PLAYLIST_GET_CLASS (self)->get_medias (self);
#line 253 "Playlist.c"
}


static GeeArrayQueue* noise_playlist_real_get_medias (NoisePlaylist* base) {
	GeeArrayQueue* result;
	NoisePlaylist* self;
	GeeArrayQueue* _tmp0_ = NULL;
#line 31 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	self = base;
#line 31 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	_tmp0_ = self->priv->_medias;
#line 31 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	result = _tmp0_;
#line 31 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	return result;
#line 269 "Playlist.c"
}


void noise_playlist_set_medias (NoisePlaylist* self, GeeArrayQueue* value) {
#line 31 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	g_return_if_fail (self != NULL);
#line 31 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	NOISE_PLAYLIST_GET_CLASS (self)->set_medias (self, value);
#line 278 "Playlist.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 31 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	return self ? g_object_ref (self) : NULL;
#line 285 "Playlist.c"
}


static void noise_playlist_real_set_medias (NoisePlaylist* base, GeeArrayQueue* value) {
	NoisePlaylist* self;
	GeeArrayQueue* _tmp0_ = NULL;
	GeeArrayQueue* _tmp1_ = NULL;
#line 31 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	self = base;
#line 31 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	_tmp0_ = value;
#line 31 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 31 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	_g_object_unref0 (self->priv->_medias);
#line 31 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	self->priv->_medias = _tmp1_;
#line 31 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	g_object_notify ((GObject *) self, "medias");
#line 305 "Playlist.c"
}


gint64 noise_playlist_get_rowid (NoisePlaylist* self) {
	gint64 result;
	gint64 _tmp0_ = 0LL;
#line 33 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	g_return_val_if_fail (self != NULL, 0LL);
#line 33 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	_tmp0_ = self->priv->_rowid;
#line 33 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	result = _tmp0_;
#line 33 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	return result;
#line 320 "Playlist.c"
}


void noise_playlist_set_rowid (NoisePlaylist* self, gint64 value) {
	gint64 _tmp0_ = 0LL;
#line 33 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	g_return_if_fail (self != NULL);
#line 33 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	_tmp0_ = value;
#line 33 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	self->priv->_rowid = _tmp0_;
#line 33 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	g_object_notify ((GObject *) self, "rowid");
#line 334 "Playlist.c"
}


const gchar* noise_playlist_get_name (NoisePlaylist* self) {
#line 37 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 37 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	return NOISE_PLAYLIST_GET_CLASS (self)->get_name (self);
#line 343 "Playlist.c"
}


static const gchar* noise_playlist_real_get_name (NoisePlaylist* base) {
	const gchar* result;
	NoisePlaylist* self;
	const gchar* _tmp0_ = NULL;
#line 37 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	self = base;
#line 38 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	_tmp0_ = self->_name;
#line 38 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	result = _tmp0_;
#line 38 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	return result;
#line 359 "Playlist.c"
}


void noise_playlist_set_name (NoisePlaylist* self, const gchar* value) {
#line 40 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	g_return_if_fail (self != NULL);
#line 40 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	NOISE_PLAYLIST_GET_CLASS (self)->set_name (self, value);
#line 368 "Playlist.c"
}


static void noise_playlist_real_set_name (NoisePlaylist* base, const gchar* value) {
	NoisePlaylist* self;
	gchar* old_name = NULL;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
#line 40 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	self = base;
#line 41 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	_tmp0_ = self->_name;
#line 41 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 41 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	old_name = _tmp1_;
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	_tmp2_ = value;
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	_tmp3_ = g_strdup (_tmp2_);
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	_g_free0 (self->_name);
#line 42 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	self->_name = _tmp3_;
#line 43 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	g_signal_emit_by_name (self, "updated", old_name);
#line 40 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	_g_free0 (old_name);
#line 40 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	g_object_notify ((GObject *) self, "name");
#line 401 "Playlist.c"
}


static void noise_playlist_class_init (NoisePlaylistClass * klass) {
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	noise_playlist_parent_class = g_type_class_peek_parent (klass);
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	g_type_class_add_private (klass, sizeof (NoisePlaylistPrivate));
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	((NoisePlaylistClass *) klass)->add_media = (void (*)(NoisePlaylist*, NoiseMedia*)) noise_playlist_real_add_media;
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	((NoisePlaylistClass *) klass)->add_medias = (void (*)(NoisePlaylist*, GeeCollection*)) noise_playlist_real_add_medias;
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	((NoisePlaylistClass *) klass)->remove_media = (void (*)(NoisePlaylist*, NoiseMedia*)) noise_playlist_real_remove_media;
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	((NoisePlaylistClass *) klass)->remove_medias = (void (*)(NoisePlaylist*, GeeCollection*)) noise_playlist_real_remove_medias;
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	((NoisePlaylistClass *) klass)->clear = (void (*)(NoisePlaylist*)) noise_playlist_real_clear;
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	NOISE_PLAYLIST_CLASS (klass)->get_medias = noise_playlist_real_get_medias;
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	NOISE_PLAYLIST_CLASS (klass)->set_medias = noise_playlist_real_set_medias;
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	NOISE_PLAYLIST_CLASS (klass)->get_name = noise_playlist_real_get_name;
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	NOISE_PLAYLIST_CLASS (klass)->set_name = noise_playlist_real_set_name;
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_noise_playlist_get_property;
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_noise_playlist_set_property;
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	G_OBJECT_CLASS (klass)->finalize = noise_playlist_finalize;
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_PLAYLIST_MEDIAS, g_param_spec_object ("medias", "medias", "medias", GEE_TYPE_ARRAY_QUEUE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_PLAYLIST_ROWID, g_param_spec_int64 ("rowid", "rowid", "rowid", G_MININT64, G_MAXINT64, 0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_PLAYLIST_NAME, g_param_spec_string ("name", "name", "name", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	g_signal_new ("request_play", NOISE_TYPE_PLAYLIST, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	g_signal_new ("media_added", NOISE_TYPE_PLAYLIST, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__OBJECT, G_TYPE_NONE, 1, GEE_TYPE_COLLECTION);
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	g_signal_new ("media_removed", NOISE_TYPE_PLAYLIST, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__OBJECT, G_TYPE_NONE, 1, GEE_TYPE_COLLECTION);
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	g_signal_new ("updated", NOISE_TYPE_PLAYLIST, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__STRING, G_TYPE_NONE, 1, G_TYPE_STRING);
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	g_signal_new ("cleared", NOISE_TYPE_PLAYLIST, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 450 "Playlist.c"
}


static void noise_playlist_instance_init (NoisePlaylist * self) {
	gchar* _tmp0_ = NULL;
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	self->priv = NOISE_PLAYLIST_GET_PRIVATE (self);
#line 35 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	_tmp0_ = g_strdup ("");
#line 35 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	self->_name = _tmp0_;
#line 462 "Playlist.c"
}


static void noise_playlist_finalize (GObject* obj) {
	NoisePlaylist * self;
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NOISE_TYPE_PLAYLIST, NoisePlaylist);
#line 31 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	_g_object_unref0 (self->priv->_medias);
#line 34 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	_g_object_unref0 (self->icon);
#line 35 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	_g_free0 (self->_name);
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	G_OBJECT_CLASS (noise_playlist_parent_class)->finalize (obj);
#line 478 "Playlist.c"
}


GType noise_playlist_get_type (void) {
	static volatile gsize noise_playlist_type_id__volatile = 0;
	if (g_once_init_enter (&noise_playlist_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NoisePlaylistClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) noise_playlist_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NoisePlaylist), 0, (GInstanceInitFunc) noise_playlist_instance_init, NULL };
		GType noise_playlist_type_id;
		noise_playlist_type_id = g_type_register_static (G_TYPE_OBJECT, "NoisePlaylist", &g_define_type_info, G_TYPE_FLAG_ABSTRACT);
		g_once_init_leave (&noise_playlist_type_id__volatile, noise_playlist_type_id);
	}
	return noise_playlist_type_id__volatile;
}


static void _vala_noise_playlist_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	NoisePlaylist * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NOISE_TYPE_PLAYLIST, NoisePlaylist);
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	switch (property_id) {
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
		case NOISE_PLAYLIST_MEDIAS:
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
		g_value_set_object (value, noise_playlist_get_medias (self));
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
		break;
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
		case NOISE_PLAYLIST_ROWID:
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
		g_value_set_int64 (value, noise_playlist_get_rowid (self));
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
		break;
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
		case NOISE_PLAYLIST_NAME:
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
		g_value_set_string (value, noise_playlist_get_name (self));
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
		break;
#line 517 "Playlist.c"
		default:
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
		break;
#line 523 "Playlist.c"
	}
}


static void _vala_noise_playlist_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	NoisePlaylist * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NOISE_TYPE_PLAYLIST, NoisePlaylist);
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
	switch (property_id) {
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
		case NOISE_PLAYLIST_MEDIAS:
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
		noise_playlist_set_medias (self, g_value_get_object (value));
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
		break;
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
		case NOISE_PLAYLIST_ROWID:
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
		noise_playlist_set_rowid (self, g_value_get_int64 (value));
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
		break;
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
		case NOISE_PLAYLIST_NAME:
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
		noise_playlist_set_name (self, g_value_get_string (value));
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
		break;
#line 551 "Playlist.c"
		default:
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Playlists/Playlist.vala"
		break;
#line 557 "Playlist.c"
	}
}



