/* Search.c generated by valac 0.34.9, the Vala compiler
 * generated from Search.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2012-2017 elementary LLC. (https://elementary.io)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Noise authors hereby grant permission for non-GPL compatible
 * GStreamer plugins to be used and distributed together with GStreamer
 * and Noise. This permission is above and beyond the permissions granted
 * by the GPL license by which Noise is covered. If you modify this code
 * you may extend this exception to your version of the code, but you are not
 * obligated to do so. If you do not wish to do so, delete this exception
 * statement from your version.
 *
 * Authored by: Victor Eduardo <victoreduardm@gmail.com>
 */

#include <glib.h>
#include <glib-object.h>
#include <gee.h>
#include <stdlib.h>
#include <string.h>
#include <gio/gio.h>


#define NOISE_TYPE_MEDIA (noise_media_get_type ())
#define NOISE_MEDIA(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_MEDIA, NoiseMedia))
#define NOISE_MEDIA_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_MEDIA, NoiseMediaClass))
#define NOISE_IS_MEDIA(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_MEDIA))
#define NOISE_IS_MEDIA_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_MEDIA))
#define NOISE_MEDIA_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_MEDIA, NoiseMediaClass))

typedef struct _NoiseMedia NoiseMedia;
typedef struct _NoiseMediaClass NoiseMediaClass;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _vala_assert(expr, msg) if G_LIKELY (expr) ; else g_assertion_message_expr (G_LOG_DOMAIN, __FILE__, __LINE__, G_STRFUNC, msg);
#define _vala_return_if_fail(expr, msg) if G_LIKELY (expr) ; else { g_return_if_fail_warning (G_LOG_DOMAIN, G_STRFUNC, msg); return; }
#define _vala_return_val_if_fail(expr, msg, val) if G_LIKELY (expr) ; else { g_return_if_fail_warning (G_LOG_DOMAIN, G_STRFUNC, msg); return val; }
#define _vala_warn_if_fail(expr, msg) if G_LIKELY (expr) ; else g_warn_message (G_LOG_DOMAIN, __FILE__, __LINE__, G_STRFUNC, msg);



GType noise_media_get_type (void) G_GNUC_CONST;
void noise_search_search_in_media_list (GeeCollection* to_search, GeeCollection** results, const gchar* album_artist, const gchar* album, const gchar* genre, const gchar* grouping, const gchar* composer, gint year, gint rating, GCancellable* cancellable);
gboolean noise_utils_is_cancelled (GCancellable* cancellable);
gboolean noise_search_match_fields_to_media (NoiseMedia* media, const gchar* album_artist, const gchar* album, const gchar* genre, const gchar* grouping, const gchar* composer, gint year, gint rating);
guint noise_media_get_rating (NoiseMedia* self);
guint noise_media_get_year (NoiseMedia* self);
gboolean noise_string_is_empty (const gchar* text, gboolean check_white_space);
gchar* noise_media_get_display_genre (NoiseMedia* self);
gchar* noise_media_get_display_album_artist (NoiseMedia* self, gboolean use_artist_fallback);
gchar* noise_media_get_display_album (NoiseMedia* self);
const gchar* noise_media_get_grouping (NoiseMedia* self);
gchar* noise_media_get_display_composer (NoiseMedia* self);
gchar* noise_search_get_valid_search_string (const gchar* s);
gchar* noise_string_canonicalize_for_search (const gchar* str);
guint* noise_search_get_rating_from_string (const gchar* rating_string);
static gboolean _uint_equal (const guint* s1, const guint* s2);
static guint* _uint_dup (guint* self);
gboolean noise_search_match_string_to_media (NoiseMedia* m, const gchar* search);
gchar* noise_media_get_display_title (NoiseMedia* self);
const gchar* noise_media_get_album (NoiseMedia* self);
const gchar* noise_media_get_artist (NoiseMedia* self);
const gchar* noise_media_get_album_artist (NoiseMedia* self);
const gchar* noise_media_get_genre (NoiseMedia* self);
const gchar* noise_media_get_composer (NoiseMedia* self);
const gchar* noise_media_get_comment (NoiseMedia* self);
const gchar* noise_media_get_lyrics (NoiseMedia* self);


/**
     * Linear exact-string-matching search method.
     *
     * To mean "ALL", pass an empty string (i.e.: "") for string parameters; and
     * -1 for integer parameters.
     *
     * Please note that this method compares against the values returned by
     * Media.get_display_*(), and not the real fields. This means that a value
     * like 'Unknown' will have a matching media even if the actual field is empty.
     *
     *
     * Used by the column browser. Fields compared must match those *displayed* by the browser.
     *
     * /!\ Modify carefully.
     */
void noise_search_search_in_media_list (GeeCollection* to_search, GeeCollection** results, const gchar* album_artist, const gchar* album, const gchar* genre, const gchar* grouping, const gchar* composer, gint year, gint rating, GCancellable* cancellable) {
	GeeCollection* _vala_results = NULL;
	GeeTreeSet* _tmp0_ = NULL;
#line 46 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	g_return_if_fail (to_search != NULL);
#line 46 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	g_return_if_fail (album_artist != NULL);
#line 46 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	g_return_if_fail (album != NULL);
#line 46 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	g_return_if_fail (genre != NULL);
#line 46 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	g_return_if_fail (grouping != NULL);
#line 46 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	g_return_if_fail (composer != NULL);
#line 57 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	_tmp0_ = gee_tree_set_new (NOISE_TYPE_MEDIA, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 57 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	_g_object_unref0 (_vala_results);
#line 57 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	_vala_results = (GeeCollection*) _tmp0_;
#line 123 "Search.c"
	{
		GeeIterator* _media_it = NULL;
		GeeCollection* _tmp1_ = NULL;
		GeeIterator* _tmp2_ = NULL;
#line 59 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp1_ = to_search;
#line 59 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp2_ = gee_iterable_iterator ((GeeIterable*) _tmp1_);
#line 59 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_media_it = _tmp2_;
#line 59 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		while (TRUE) {
#line 136 "Search.c"
			GeeIterator* _tmp3_ = NULL;
			gboolean _tmp4_ = FALSE;
			NoiseMedia* media = NULL;
			GeeIterator* _tmp5_ = NULL;
			gpointer _tmp6_ = NULL;
			GCancellable* _tmp7_ = NULL;
			gboolean _tmp8_ = FALSE;
			NoiseMedia* _tmp9_ = NULL;
			const gchar* _tmp10_ = NULL;
			const gchar* _tmp11_ = NULL;
			const gchar* _tmp12_ = NULL;
			const gchar* _tmp13_ = NULL;
			const gchar* _tmp14_ = NULL;
			gint _tmp15_ = 0;
			gint _tmp16_ = 0;
			gboolean _tmp17_ = FALSE;
#line 59 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_tmp3_ = _media_it;
#line 59 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_tmp4_ = gee_iterator_next (_tmp3_);
#line 59 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			if (!_tmp4_) {
#line 59 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
				break;
#line 161 "Search.c"
			}
#line 59 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_tmp5_ = _media_it;
#line 59 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_tmp6_ = gee_iterator_get (_tmp5_);
#line 59 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			media = (NoiseMedia*) _tmp6_;
#line 60 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_tmp7_ = cancellable;
#line 60 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_tmp8_ = noise_utils_is_cancelled (_tmp7_);
#line 60 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			if (_tmp8_) {
#line 61 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
				_g_object_unref0 (media);
#line 61 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
				break;
#line 179 "Search.c"
			}
#line 63 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_tmp9_ = media;
#line 63 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_tmp10_ = album_artist;
#line 63 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_tmp11_ = album;
#line 63 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_tmp12_ = genre;
#line 63 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_tmp13_ = grouping;
#line 63 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_tmp14_ = composer;
#line 63 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_tmp15_ = year;
#line 63 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_tmp16_ = rating;
#line 63 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_tmp17_ = noise_search_match_fields_to_media (_tmp9_, _tmp10_, _tmp11_, _tmp12_, _tmp13_, _tmp14_, _tmp15_, _tmp16_);
#line 63 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			if (_tmp17_) {
#line 201 "Search.c"
				GeeCollection* _tmp18_ = NULL;
				NoiseMedia* _tmp19_ = NULL;
#line 64 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
				_tmp18_ = _vala_results;
#line 64 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
				_tmp19_ = media;
#line 64 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
				gee_collection_add (_tmp18_, _tmp19_);
#line 210 "Search.c"
			}
#line 59 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_g_object_unref0 (media);
#line 214 "Search.c"
		}
#line 59 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_g_object_unref0 (_media_it);
#line 218 "Search.c"
	}
#line 46 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	if (results) {
#line 46 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		*results = _vala_results;
#line 224 "Search.c"
	} else {
#line 46 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_g_object_unref0 (_vala_results);
#line 228 "Search.c"
	}
}


/**
     * Used by the column browser. Fields compared must match those *displayed* by the browser.
     *
     * /!\ Modify carefully.
     */
inline gboolean noise_search_match_fields_to_media (NoiseMedia* media, const gchar* album_artist, const gchar* album, const gchar* genre, const gchar* grouping, const gchar* composer, gint year, gint rating) {
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	gboolean _tmp2_ = FALSE;
	gboolean _tmp3_ = FALSE;
	gboolean _tmp4_ = FALSE;
	gboolean _tmp5_ = FALSE;
	gboolean _tmp6_ = FALSE;
	gint _tmp7_ = 0;
#line 73 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	g_return_val_if_fail (media != NULL, FALSE);
#line 73 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	g_return_val_if_fail (album_artist != NULL, FALSE);
#line 73 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	g_return_val_if_fail (album != NULL, FALSE);
#line 73 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	g_return_val_if_fail (genre != NULL, FALSE);
#line 73 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	g_return_val_if_fail (grouping != NULL, FALSE);
#line 73 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	g_return_val_if_fail (composer != NULL, FALSE);
#line 82 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	_tmp7_ = rating;
#line 82 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	if (_tmp7_ == -1) {
#line 82 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp6_ = TRUE;
#line 266 "Search.c"
	} else {
		NoiseMedia* _tmp8_ = NULL;
		guint _tmp9_ = 0U;
		guint _tmp10_ = 0U;
		gint _tmp11_ = 0;
#line 82 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp8_ = media;
#line 82 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp9_ = noise_media_get_rating (_tmp8_);
#line 82 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp10_ = _tmp9_;
#line 82 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp11_ = rating;
#line 82 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp6_ = _tmp10_ == ((guint) _tmp11_);
#line 282 "Search.c"
	}
#line 82 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	if (_tmp6_) {
#line 286 "Search.c"
		gboolean _tmp12_ = FALSE;
		gint _tmp13_ = 0;
#line 83 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp13_ = year;
#line 83 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		if (_tmp13_ == -1) {
#line 83 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_tmp12_ = TRUE;
#line 295 "Search.c"
		} else {
			NoiseMedia* _tmp14_ = NULL;
			guint _tmp15_ = 0U;
			guint _tmp16_ = 0U;
			gint _tmp17_ = 0;
#line 83 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_tmp14_ = media;
#line 83 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_tmp15_ = noise_media_get_year (_tmp14_);
#line 83 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_tmp16_ = _tmp15_;
#line 83 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_tmp17_ = year;
#line 83 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_tmp12_ = _tmp16_ == ((guint) _tmp17_);
#line 311 "Search.c"
		}
#line 83 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp5_ = _tmp12_;
#line 315 "Search.c"
	} else {
#line 82 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp5_ = FALSE;
#line 319 "Search.c"
	}
#line 82 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	if (_tmp5_) {
#line 323 "Search.c"
		gboolean _tmp18_ = FALSE;
		const gchar* _tmp19_ = NULL;
		gboolean _tmp20_ = FALSE;
#line 84 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp19_ = genre;
#line 84 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp20_ = noise_string_is_empty (_tmp19_, FALSE);
#line 84 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		if (_tmp20_) {
#line 84 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_tmp18_ = TRUE;
#line 335 "Search.c"
		} else {
			NoiseMedia* _tmp21_ = NULL;
			gchar* _tmp22_ = NULL;
			gchar* _tmp23_ = NULL;
			const gchar* _tmp24_ = NULL;
#line 84 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_tmp21_ = media;
#line 84 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_tmp22_ = noise_media_get_display_genre (_tmp21_);
#line 84 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_tmp23_ = _tmp22_;
#line 84 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_tmp24_ = genre;
#line 84 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_tmp18_ = g_strcmp0 (_tmp23_, _tmp24_) == 0;
#line 84 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_g_free0 (_tmp23_);
#line 353 "Search.c"
		}
#line 84 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp4_ = _tmp18_;
#line 357 "Search.c"
	} else {
#line 82 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp4_ = FALSE;
#line 361 "Search.c"
	}
#line 82 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	if (_tmp4_) {
#line 365 "Search.c"
		gboolean _tmp25_ = FALSE;
		const gchar* _tmp26_ = NULL;
		gboolean _tmp27_ = FALSE;
#line 85 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp26_ = album_artist;
#line 85 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp27_ = noise_string_is_empty (_tmp26_, FALSE);
#line 85 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		if (_tmp27_) {
#line 85 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_tmp25_ = TRUE;
#line 377 "Search.c"
		} else {
			NoiseMedia* _tmp28_ = NULL;
			gchar* _tmp29_ = NULL;
			gchar* _tmp30_ = NULL;
			const gchar* _tmp31_ = NULL;
#line 85 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_tmp28_ = media;
#line 85 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_tmp29_ = noise_media_get_display_album_artist (_tmp28_, TRUE);
#line 85 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_tmp30_ = _tmp29_;
#line 85 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_tmp31_ = album_artist;
#line 85 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_tmp25_ = g_strcmp0 (_tmp30_, _tmp31_) == 0;
#line 85 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_g_free0 (_tmp30_);
#line 395 "Search.c"
		}
#line 85 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp3_ = _tmp25_;
#line 399 "Search.c"
	} else {
#line 82 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp3_ = FALSE;
#line 403 "Search.c"
	}
#line 82 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	if (_tmp3_) {
#line 407 "Search.c"
		gboolean _tmp32_ = FALSE;
		const gchar* _tmp33_ = NULL;
		gboolean _tmp34_ = FALSE;
#line 86 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp33_ = album;
#line 86 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp34_ = noise_string_is_empty (_tmp33_, FALSE);
#line 86 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		if (_tmp34_) {
#line 86 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_tmp32_ = TRUE;
#line 419 "Search.c"
		} else {
			NoiseMedia* _tmp35_ = NULL;
			gchar* _tmp36_ = NULL;
			gchar* _tmp37_ = NULL;
			const gchar* _tmp38_ = NULL;
#line 86 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_tmp35_ = media;
#line 86 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_tmp36_ = noise_media_get_display_album (_tmp35_);
#line 86 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_tmp37_ = _tmp36_;
#line 86 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_tmp38_ = album;
#line 86 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_tmp32_ = g_strcmp0 (_tmp37_, _tmp38_) == 0;
#line 86 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_g_free0 (_tmp37_);
#line 437 "Search.c"
		}
#line 86 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp2_ = _tmp32_;
#line 441 "Search.c"
	} else {
#line 82 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp2_ = FALSE;
#line 445 "Search.c"
	}
#line 82 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	if (_tmp2_) {
#line 449 "Search.c"
		gboolean _tmp39_ = FALSE;
		const gchar* _tmp40_ = NULL;
		gboolean _tmp41_ = FALSE;
#line 87 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp40_ = grouping;
#line 87 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp41_ = noise_string_is_empty (_tmp40_, FALSE);
#line 87 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		if (_tmp41_) {
#line 87 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_tmp39_ = TRUE;
#line 461 "Search.c"
		} else {
			NoiseMedia* _tmp42_ = NULL;
			const gchar* _tmp43_ = NULL;
			const gchar* _tmp44_ = NULL;
			const gchar* _tmp45_ = NULL;
#line 87 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_tmp42_ = media;
#line 87 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_tmp43_ = noise_media_get_grouping (_tmp42_);
#line 87 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_tmp44_ = _tmp43_;
#line 87 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_tmp45_ = grouping;
#line 87 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_tmp39_ = g_strcmp0 (_tmp44_, _tmp45_) == 0;
#line 477 "Search.c"
		}
#line 87 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp1_ = _tmp39_;
#line 481 "Search.c"
	} else {
#line 82 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp1_ = FALSE;
#line 485 "Search.c"
	}
#line 82 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	if (_tmp1_) {
#line 489 "Search.c"
		gboolean _tmp46_ = FALSE;
		const gchar* _tmp47_ = NULL;
		gboolean _tmp48_ = FALSE;
#line 88 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp47_ = composer;
#line 88 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp48_ = noise_string_is_empty (_tmp47_, FALSE);
#line 88 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		if (_tmp48_) {
#line 88 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_tmp46_ = TRUE;
#line 501 "Search.c"
		} else {
			NoiseMedia* _tmp49_ = NULL;
			gchar* _tmp50_ = NULL;
			gchar* _tmp51_ = NULL;
			const gchar* _tmp52_ = NULL;
#line 88 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_tmp49_ = media;
#line 88 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_tmp50_ = noise_media_get_display_composer (_tmp49_);
#line 88 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_tmp51_ = _tmp50_;
#line 88 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_tmp52_ = composer;
#line 88 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_tmp46_ = g_strcmp0 (_tmp51_, _tmp52_) == 0;
#line 88 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_g_free0 (_tmp51_);
#line 519 "Search.c"
		}
#line 88 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp0_ = _tmp46_;
#line 523 "Search.c"
	} else {
#line 82 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp0_ = FALSE;
#line 527 "Search.c"
	}
#line 82 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	result = _tmp0_;
#line 82 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	return result;
#line 533 "Search.c"
}


inline gchar* noise_search_get_valid_search_string (const gchar* s) {
	gchar* result = NULL;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 91 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	g_return_val_if_fail (s != NULL, NULL);
#line 92 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	_tmp0_ = s;
#line 92 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	_tmp1_ = noise_string_canonicalize_for_search (_tmp0_);
#line 92 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	result = _tmp1_;
#line 92 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	return result;
#line 551 "Search.c"
}


/**
     * Parses a rating from stars. e.g. "***" => 3
     * Returns -1 if rating_string doesn't represent a valid rating.
     *
     * This method ''never'' returns zero. It simply doesn't make sense to
     * return a rating of zero for any given empty string.
     *
     * Samples of valid strings:
     *   "*"
     *   "****"
     * Samples of invalid strings:
     *   ""
     *   "  "
     *   "**a"
     */
static gboolean string_get_next_char (const gchar* self, gint* index, gunichar* c) {
	gunichar _vala_c = 0U;
	gboolean result = FALSE;
	gint _tmp0_ = 0;
	gunichar _tmp1_ = 0U;
	gunichar _tmp2_ = 0U;
#line 1113 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, FALSE);
#line 1114 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp0_ = *index;
#line 1114 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp1_ = g_utf8_get_char (((gchar*) self) + _tmp0_);
#line 1114 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_vala_c = _tmp1_;
#line 1115 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp2_ = _vala_c;
#line 1115 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	if (_tmp2_ != ((gunichar) 0)) {
#line 588 "Search.c"
		gint _tmp3_ = 0;
		gchar* _tmp4_ = NULL;
#line 1116 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp3_ = *index;
#line 1116 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp4_ = g_utf8_next_char (((gchar*) self) + _tmp3_);
#line 1116 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		*index = (gint) (_tmp4_ - ((gchar*) self));
#line 1117 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		result = TRUE;
#line 1117 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		if (c) {
#line 1117 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			*c = _vala_c;
#line 603 "Search.c"
		}
#line 1117 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		return result;
#line 607 "Search.c"
	} else {
#line 1119 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		result = FALSE;
#line 1119 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		if (c) {
#line 1119 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			*c = _vala_c;
#line 615 "Search.c"
		}
#line 1119 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		return result;
#line 619 "Search.c"
	}
#line 1113 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	if (c) {
#line 1113 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		*c = _vala_c;
#line 625 "Search.c"
	}
}


static gboolean _uint_equal (const guint* s1, const guint* s2) {
#line 119 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	if (s1 == s2) {
#line 119 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		return TRUE;
#line 635 "Search.c"
	}
#line 119 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	if (s1 == NULL) {
#line 119 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		return FALSE;
#line 641 "Search.c"
	}
#line 119 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	if (s2 == NULL) {
#line 119 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		return FALSE;
#line 647 "Search.c"
	}
#line 119 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	return (*s1) == (*s2);
#line 651 "Search.c"
}


static guint* _uint_dup (guint* self) {
	guint* dup;
#line 125 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	dup = g_new0 (guint, 1);
#line 125 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	memcpy (dup, self, sizeof (guint));
#line 125 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	return dup;
#line 663 "Search.c"
}


static gpointer __uint_dup0 (gpointer self) {
#line 125 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	return self ? _uint_dup (self) : NULL;
#line 670 "Search.c"
}


inline guint* noise_search_get_rating_from_string (const gchar* rating_string) {
	guint* result = NULL;
	gint i = 0;
	gunichar c = 0U;
	guint rating = 0U;
	guint _tmp8_ = 0U;
	guint* _tmp11_ = NULL;
	guint* _tmp12_ = NULL;
	guint _tmp13_ = 0U;
	guint* _tmp14_ = NULL;
	guint _tmp15_ = 0U;
#line 110 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	g_return_val_if_fail (rating_string != NULL, NULL);
#line 113 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	i = 0;
#line 689 "Search.c"
	{
		gboolean _tmp0_ = FALSE;
#line 117 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		rating = (guint) 0;
#line 117 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp0_ = TRUE;
#line 117 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		while (TRUE) {
#line 698 "Search.c"
			const gchar* _tmp2_ = NULL;
			gunichar _tmp3_ = 0U;
			gboolean _tmp4_ = FALSE;
			gunichar _tmp5_ = 0U;
#line 117 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			if (!_tmp0_) {
#line 705 "Search.c"
				guint _tmp1_ = 0U;
#line 117 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
				_tmp1_ = rating;
#line 117 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
				rating = _tmp1_ + 1;
#line 711 "Search.c"
			}
#line 117 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_tmp0_ = FALSE;
#line 117 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_tmp2_ = rating_string;
#line 117 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_tmp4_ = string_get_next_char (_tmp2_, &i, &_tmp3_);
#line 117 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			c = _tmp3_;
#line 117 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			if (!_tmp4_) {
#line 117 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
				break;
#line 725 "Search.c"
			}
#line 118 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			_tmp5_ = c;
#line 118 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
			if (_tmp5_ != ((gunichar) '*')) {
#line 731 "Search.c"
				guint* _tmp6_ = NULL;
				guint _tmp7_ = 0U;
#line 119 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
				result = NULL;
#line 119 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
				_tmp6_ = result;
#line 119 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
				_tmp7_ = (guint) 0;
#line 119 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
				_vala_warn_if_fail (_uint_equal (_tmp6_, &_tmp7_) != TRUE, "result != 0");
#line 119 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
				return result;
#line 744 "Search.c"
			}
		}
	}
#line 122 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	_tmp8_ = rating;
#line 122 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	if (_tmp8_ == ((guint) 0)) {
#line 752 "Search.c"
		guint* _tmp9_ = NULL;
		guint _tmp10_ = 0U;
#line 123 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		result = NULL;
#line 123 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp9_ = result;
#line 123 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp10_ = (guint) 0;
#line 123 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_vala_warn_if_fail (_uint_equal (_tmp9_, &_tmp10_) != TRUE, "result != 0");
#line 123 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		return result;
#line 765 "Search.c"
	}
#line 125 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	_tmp11_ = __uint_dup0 (&rating);
#line 125 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	result = _tmp11_;
#line 125 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	_tmp12_ = result;
#line 125 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	_tmp13_ = (guint) 0;
#line 125 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	_vala_warn_if_fail (_uint_equal (_tmp12_, &_tmp13_) != TRUE, "result != 0");
#line 125 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	return result;
#line 779 "Search.c"
}


static gboolean string_contains (const gchar* self, const gchar* needle) {
	gboolean result = FALSE;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 1384 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, FALSE);
#line 1384 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (needle != NULL, FALSE);
#line 1385 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp0_ = needle;
#line 1385 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp1_ = strstr ((gchar*) self, (gchar*) _tmp0_);
#line 1385 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	result = _tmp1_ != NULL;
#line 1385 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	return result;
#line 799 "Search.c"
}


inline gboolean noise_search_match_string_to_media (NoiseMedia* m, const gchar* search) {
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	gboolean _tmp2_ = FALSE;
	gboolean _tmp3_ = FALSE;
	gboolean _tmp4_ = FALSE;
	gboolean _tmp5_ = FALSE;
	gboolean _tmp6_ = FALSE;
	gboolean _tmp7_ = FALSE;
	gboolean _tmp8_ = FALSE;
	const gchar* _tmp9_ = NULL;
	NoiseMedia* _tmp10_ = NULL;
	guint _tmp11_ = 0U;
	guint _tmp12_ = 0U;
	gchar* _tmp13_ = NULL;
	gchar* _tmp14_ = NULL;
	gboolean _tmp15_ = FALSE;
#line 128 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	g_return_val_if_fail (m != NULL, FALSE);
#line 128 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	g_return_val_if_fail (search != NULL, FALSE);
#line 129 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	_tmp9_ = search;
#line 129 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	_tmp10_ = m;
#line 129 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	_tmp11_ = noise_media_get_year (_tmp10_);
#line 129 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	_tmp12_ = _tmp11_;
#line 129 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	_tmp13_ = g_strdup_printf ("%u", _tmp12_);
#line 129 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	_tmp14_ = _tmp13_;
#line 129 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	_tmp15_ = g_strcmp0 (_tmp9_, _tmp14_) == 0;
#line 129 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	_g_free0 (_tmp14_);
#line 129 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	if (_tmp15_) {
#line 129 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp8_ = TRUE;
#line 845 "Search.c"
	} else {
		NoiseMedia* _tmp16_ = NULL;
		gchar* _tmp17_ = NULL;
		gchar* _tmp18_ = NULL;
		gchar* _tmp19_ = NULL;
		gchar* _tmp20_ = NULL;
		const gchar* _tmp21_ = NULL;
		gboolean _tmp22_ = FALSE;
#line 130 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp16_ = m;
#line 130 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp17_ = noise_media_get_display_title (_tmp16_);
#line 130 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp18_ = _tmp17_;
#line 130 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp19_ = noise_search_get_valid_search_string (_tmp18_);
#line 130 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp20_ = _tmp19_;
#line 130 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp21_ = search;
#line 130 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp22_ = string_contains (_tmp20_, _tmp21_);
#line 130 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp8_ = _tmp22_;
#line 130 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_g_free0 (_tmp20_);
#line 130 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_g_free0 (_tmp18_);
#line 874 "Search.c"
	}
#line 129 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	if (_tmp8_) {
#line 129 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp7_ = TRUE;
#line 880 "Search.c"
	} else {
		NoiseMedia* _tmp23_ = NULL;
		const gchar* _tmp24_ = NULL;
		const gchar* _tmp25_ = NULL;
		gchar* _tmp26_ = NULL;
		gchar* _tmp27_ = NULL;
		const gchar* _tmp28_ = NULL;
		gboolean _tmp29_ = FALSE;
#line 131 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp23_ = m;
#line 131 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp24_ = noise_media_get_album (_tmp23_);
#line 131 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp25_ = _tmp24_;
#line 131 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp26_ = noise_search_get_valid_search_string (_tmp25_);
#line 131 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp27_ = _tmp26_;
#line 131 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp28_ = search;
#line 131 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp29_ = string_contains (_tmp27_, _tmp28_);
#line 131 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp7_ = _tmp29_;
#line 131 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_g_free0 (_tmp27_);
#line 907 "Search.c"
	}
#line 129 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	if (_tmp7_) {
#line 129 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp6_ = TRUE;
#line 913 "Search.c"
	} else {
		NoiseMedia* _tmp30_ = NULL;
		const gchar* _tmp31_ = NULL;
		const gchar* _tmp32_ = NULL;
		gchar* _tmp33_ = NULL;
		gchar* _tmp34_ = NULL;
		const gchar* _tmp35_ = NULL;
		gboolean _tmp36_ = FALSE;
#line 132 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp30_ = m;
#line 132 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp31_ = noise_media_get_artist (_tmp30_);
#line 132 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp32_ = _tmp31_;
#line 132 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp33_ = noise_search_get_valid_search_string (_tmp32_);
#line 132 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp34_ = _tmp33_;
#line 132 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp35_ = search;
#line 132 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp36_ = string_contains (_tmp34_, _tmp35_);
#line 132 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp6_ = _tmp36_;
#line 132 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_g_free0 (_tmp34_);
#line 940 "Search.c"
	}
#line 129 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	if (_tmp6_) {
#line 129 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp5_ = TRUE;
#line 946 "Search.c"
	} else {
		NoiseMedia* _tmp37_ = NULL;
		const gchar* _tmp38_ = NULL;
		const gchar* _tmp39_ = NULL;
		gchar* _tmp40_ = NULL;
		gchar* _tmp41_ = NULL;
		const gchar* _tmp42_ = NULL;
		gboolean _tmp43_ = FALSE;
#line 133 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp37_ = m;
#line 133 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp38_ = noise_media_get_album_artist (_tmp37_);
#line 133 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp39_ = _tmp38_;
#line 133 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp40_ = noise_search_get_valid_search_string (_tmp39_);
#line 133 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp41_ = _tmp40_;
#line 133 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp42_ = search;
#line 133 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp43_ = string_contains (_tmp41_, _tmp42_);
#line 133 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp5_ = _tmp43_;
#line 133 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_g_free0 (_tmp41_);
#line 973 "Search.c"
	}
#line 129 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	if (_tmp5_) {
#line 129 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp4_ = TRUE;
#line 979 "Search.c"
	} else {
		NoiseMedia* _tmp44_ = NULL;
		const gchar* _tmp45_ = NULL;
		const gchar* _tmp46_ = NULL;
		gchar* _tmp47_ = NULL;
		gchar* _tmp48_ = NULL;
		const gchar* _tmp49_ = NULL;
		gboolean _tmp50_ = FALSE;
#line 134 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp44_ = m;
#line 134 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp45_ = noise_media_get_genre (_tmp44_);
#line 134 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp46_ = _tmp45_;
#line 134 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp47_ = noise_search_get_valid_search_string (_tmp46_);
#line 134 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp48_ = _tmp47_;
#line 134 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp49_ = search;
#line 134 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp50_ = string_contains (_tmp48_, _tmp49_);
#line 134 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp4_ = _tmp50_;
#line 134 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_g_free0 (_tmp48_);
#line 1006 "Search.c"
	}
#line 129 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	if (_tmp4_) {
#line 129 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp3_ = TRUE;
#line 1012 "Search.c"
	} else {
		NoiseMedia* _tmp51_ = NULL;
		const gchar* _tmp52_ = NULL;
		const gchar* _tmp53_ = NULL;
		gchar* _tmp54_ = NULL;
		gchar* _tmp55_ = NULL;
		const gchar* _tmp56_ = NULL;
		gboolean _tmp57_ = FALSE;
#line 135 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp51_ = m;
#line 135 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp52_ = noise_media_get_composer (_tmp51_);
#line 135 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp53_ = _tmp52_;
#line 135 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp54_ = noise_search_get_valid_search_string (_tmp53_);
#line 135 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp55_ = _tmp54_;
#line 135 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp56_ = search;
#line 135 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp57_ = string_contains (_tmp55_, _tmp56_);
#line 135 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp3_ = _tmp57_;
#line 135 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_g_free0 (_tmp55_);
#line 1039 "Search.c"
	}
#line 129 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	if (_tmp3_) {
#line 129 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp2_ = TRUE;
#line 1045 "Search.c"
	} else {
		NoiseMedia* _tmp58_ = NULL;
		const gchar* _tmp59_ = NULL;
		const gchar* _tmp60_ = NULL;
		gchar* _tmp61_ = NULL;
		gchar* _tmp62_ = NULL;
		const gchar* _tmp63_ = NULL;
		gboolean _tmp64_ = FALSE;
#line 136 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp58_ = m;
#line 136 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp59_ = noise_media_get_grouping (_tmp58_);
#line 136 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp60_ = _tmp59_;
#line 136 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp61_ = noise_search_get_valid_search_string (_tmp60_);
#line 136 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp62_ = _tmp61_;
#line 136 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp63_ = search;
#line 136 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp64_ = string_contains (_tmp62_, _tmp63_);
#line 136 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp2_ = _tmp64_;
#line 136 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_g_free0 (_tmp62_);
#line 1072 "Search.c"
	}
#line 129 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	if (_tmp2_) {
#line 129 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp1_ = TRUE;
#line 1078 "Search.c"
	} else {
		NoiseMedia* _tmp65_ = NULL;
		const gchar* _tmp66_ = NULL;
		const gchar* _tmp67_ = NULL;
		gchar* _tmp68_ = NULL;
		gchar* _tmp69_ = NULL;
		const gchar* _tmp70_ = NULL;
		gboolean _tmp71_ = FALSE;
#line 137 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp65_ = m;
#line 137 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp66_ = noise_media_get_comment (_tmp65_);
#line 137 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp67_ = _tmp66_;
#line 137 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp68_ = noise_search_get_valid_search_string (_tmp67_);
#line 137 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp69_ = _tmp68_;
#line 137 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp70_ = search;
#line 137 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp71_ = string_contains (_tmp69_, _tmp70_);
#line 137 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp1_ = _tmp71_;
#line 137 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_g_free0 (_tmp69_);
#line 1105 "Search.c"
	}
#line 129 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	if (_tmp1_) {
#line 129 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp0_ = TRUE;
#line 1111 "Search.c"
	} else {
		NoiseMedia* _tmp72_ = NULL;
		const gchar* _tmp73_ = NULL;
		const gchar* _tmp74_ = NULL;
		gchar* _tmp75_ = NULL;
		gchar* _tmp76_ = NULL;
		const gchar* _tmp77_ = NULL;
		gboolean _tmp78_ = FALSE;
#line 138 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp72_ = m;
#line 138 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp73_ = noise_media_get_lyrics (_tmp72_);
#line 138 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp74_ = _tmp73_;
#line 138 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp75_ = noise_search_get_valid_search_string (_tmp74_);
#line 138 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp76_ = _tmp75_;
#line 138 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp77_ = search;
#line 138 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp78_ = string_contains (_tmp76_, _tmp77_);
#line 138 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_tmp0_ = _tmp78_;
#line 138 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
		_g_free0 (_tmp76_);
#line 1138 "Search.c"
	}
#line 129 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	result = _tmp0_;
#line 129 "/builddir/build/BUILD/music-0.4.1/core/Utils/Search.vala"
	return result;
#line 1144 "Search.c"
}



