/* String.c generated by valac 0.34.9, the Vala compiler
 * generated from String.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2012-2017 elementary LLC. (https://elementary.io)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Noise authors hereby grant permission for non-GPL compatible
 * GStreamer plugins to be used and distributed together with GStreamer
 * and Noise. This permission is above and beyond the permissions granted
 * by the GPL license by which Noise is covered. If you modify this code
 * you may extend this exception to your version of the code, but you are not
 * obligated to do so. If you do not wish to do so, delete this exception
 * statement from your version.
 *
 * Authored by: Victor Eduardo <victoreduardm@gmail.com>
 */

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>

#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_string_free0(var) ((var == NULL) ? NULL : (var = (g_string_free (var, TRUE), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))



gboolean noise_string_is_empty (const gchar* text, gboolean check_white_space);
gboolean noise_string_is_white_space (const gchar* text);
gint noise_string_compare (const gchar* a, const gchar* b);
gchar* noise_string_canonicalize_for_search (const gchar* str);
gunichar noise_string_strip_char (gunichar ch);
gchar* noise_string_to_title_case (const gchar* text);
gchar* noise_string_locale_to_utf8 (const gchar* string_locale);
void noise_string_base_search_method (const gchar* search, guint* parsed_rating, gchar** parsed_search_string);
guint* noise_search_get_rating_from_string (const gchar* rating_string);
gchar* noise_search_get_valid_search_string (const gchar* s);
guint64 noise_string_uint_from_string (const gchar* str);


inline gboolean noise_string_is_empty (const gchar* text, gboolean check_white_space) {
	gboolean result = FALSE;
	const gchar* _tmp0_ = NULL;
#line 32 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	_tmp0_ = text;
#line 32 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	if (_tmp0_ != NULL) {
#line 64 "String.c"
		gboolean _tmp1_ = FALSE;
		gboolean _tmp2_ = FALSE;
#line 33 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
		_tmp2_ = check_white_space;
#line 33 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
		if (_tmp2_) {
#line 71 "String.c"
			const gchar* _tmp3_ = NULL;
			gboolean _tmp4_ = FALSE;
#line 33 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
			_tmp3_ = text;
#line 33 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
			_tmp4_ = noise_string_is_white_space (_tmp3_);
#line 33 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
			_tmp1_ = _tmp4_;
#line 80 "String.c"
		} else {
			const gchar* _tmp5_ = NULL;
#line 33 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
			_tmp5_ = text;
#line 33 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
			_tmp1_ = g_strcmp0 (_tmp5_, "") == 0;
#line 87 "String.c"
		}
#line 33 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
		result = _tmp1_;
#line 33 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
		return result;
#line 93 "String.c"
	}
#line 34 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	result = TRUE;
#line 34 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	return result;
#line 99 "String.c"
}


/**
     * Compares two strings encoded in UTF-8. Used extensively in the views for sorting.
     *
     * It takes into account the current locale's sorting rules and is faster
     * than normal string comparison.
     *
     * /!\ DON'T USE THIS METHOD WITH STRINGS NOT ENCODED IN UTF-8.
     *
     * @param a first string.
     * @param b second string.
     * @return 0 if a == b, a positive number if a > b, or a negative number if a < b.
     */
inline gint noise_string_compare (const gchar* a, const gchar* b) {
	gint result = 0;
	gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gchar* _tmp5_ = NULL;
	const gchar* _tmp6_ = NULL;
	GCompareFunc _tmp10_ = NULL;
	gint _tmp11_ = 0;
#line 51 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	_tmp1_ = a;
#line 51 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	if (_tmp1_ != NULL) {
#line 127 "String.c"
		const gchar* _tmp2_ = NULL;
		gchar* _tmp3_ = NULL;
#line 51 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
		_tmp2_ = a;
#line 51 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
		_tmp3_ = g_utf8_collate_key (_tmp2_, (gssize) -1);
#line 51 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
		_g_free0 (_tmp0_);
#line 51 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
		_tmp0_ = _tmp3_;
#line 138 "String.c"
	} else {
		gchar* _tmp4_ = NULL;
#line 51 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
		_tmp4_ = g_strdup ((const gchar*) NULL);
#line 51 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
		_g_free0 (_tmp0_);
#line 51 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
		_tmp0_ = _tmp4_;
#line 147 "String.c"
	}
#line 52 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	_tmp6_ = b;
#line 52 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	if (_tmp6_ != NULL) {
#line 153 "String.c"
		const gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
#line 52 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
		_tmp7_ = b;
#line 52 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
		_tmp8_ = g_utf8_collate_key (_tmp7_, (gssize) -1);
#line 52 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
		_g_free0 (_tmp5_);
#line 52 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
		_tmp5_ = _tmp8_;
#line 164 "String.c"
	} else {
		gchar* _tmp9_ = NULL;
#line 52 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
		_tmp9_ = g_strdup ((const gchar*) NULL);
#line 52 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
		_g_free0 (_tmp5_);
#line 52 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
		_tmp5_ = _tmp9_;
#line 173 "String.c"
	}
#line 51 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	_tmp10_ = g_strcmp0;
#line 51 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	_tmp11_ = _tmp10_ (_tmp0_, _tmp5_);
#line 51 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	result = _tmp11_;
#line 51 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	_g_free0 (_tmp5_);
#line 51 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	_g_free0 (_tmp0_);
#line 51 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	return result;
#line 187 "String.c"
}


/**
     * Checks whether a string contains only whitespace.
     *
     * @return //true// if text consists enterely of white space.
     */
static gchar* string_strip (const gchar* self) {
	gchar* result = NULL;
	gchar* _result_ = NULL;
	gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
#line 1215 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1216 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp0_ = g_strdup (self);
#line 1216 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_result_ = _tmp0_;
#line 1217 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp1_ = _result_;
#line 1217 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_strstrip (_tmp1_);
#line 1218 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	result = _result_;
#line 1218 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	return result;
#line 215 "String.c"
}


inline gboolean noise_string_is_white_space (const gchar* text) {
	gboolean result = FALSE;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gint _tmp3_ = 0;
	gint _tmp4_ = 0;
	gboolean _tmp5_ = FALSE;
#line 60 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	g_return_val_if_fail (text != NULL, FALSE);
#line 61 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	_tmp0_ = text;
#line 61 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	_tmp1_ = string_strip (_tmp0_);
#line 61 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	_tmp2_ = _tmp1_;
#line 61 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	_tmp3_ = strlen (_tmp2_);
#line 61 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	_tmp4_ = _tmp3_;
#line 61 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	_tmp5_ = _tmp4_ == 0;
#line 61 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	_g_free0 (_tmp2_);
#line 61 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	result = _tmp5_;
#line 61 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	return result;
#line 247 "String.c"
}


/**
     * Removes irrelevant and meaningless characters from a string. Useful for search operations.
     * (Taken from gnome-contacts' contacts-utils.vala)
     */
static gboolean string_get_next_char (const gchar* self, gint* index, gunichar* c) {
	gunichar _vala_c = 0U;
	gboolean result = FALSE;
	gint _tmp0_ = 0;
	gunichar _tmp1_ = 0U;
	gunichar _tmp2_ = 0U;
#line 1113 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, FALSE);
#line 1114 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp0_ = *index;
#line 1114 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp1_ = g_utf8_get_char (((gchar*) self) + _tmp0_);
#line 1114 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_vala_c = _tmp1_;
#line 1115 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp2_ = _vala_c;
#line 1115 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	if (_tmp2_ != ((gunichar) 0)) {
#line 273 "String.c"
		gint _tmp3_ = 0;
		gchar* _tmp4_ = NULL;
#line 1116 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp3_ = *index;
#line 1116 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp4_ = g_utf8_next_char (((gchar*) self) + _tmp3_);
#line 1116 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		*index = (gint) (_tmp4_ - ((gchar*) self));
#line 1117 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		result = TRUE;
#line 1117 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		if (c) {
#line 1117 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			*c = _vala_c;
#line 288 "String.c"
		}
#line 1117 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		return result;
#line 292 "String.c"
	} else {
#line 1119 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		result = FALSE;
#line 1119 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		if (c) {
#line 1119 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			*c = _vala_c;
#line 300 "String.c"
		}
#line 1119 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		return result;
#line 304 "String.c"
	}
#line 1113 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	if (c) {
#line 1113 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		*c = _vala_c;
#line 310 "String.c"
	}
}


inline gchar* noise_string_canonicalize_for_search (const gchar* str) {
	gchar* result = NULL;
	gunichar* buf = NULL;
	gunichar* _tmp0_ = NULL;
	gint buf_length1 = 0;
	gint _buf_size_ = 0;
	GString* res = NULL;
	GString* _tmp1_ = NULL;
	gunichar c = 0U;
	GString* _tmp16_ = NULL;
	const gchar* _tmp17_ = NULL;
	gchar* _tmp18_ = NULL;
#line 68 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	g_return_val_if_fail (str != NULL, NULL);
#line 69 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	_tmp0_ = g_new0 (gunichar, G_UNICHAR_MAX_DECOMPOSITION_LENGTH);
#line 69 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	buf = _tmp0_;
#line 69 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	buf_length1 = G_UNICHAR_MAX_DECOMPOSITION_LENGTH;
#line 69 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	_buf_size_ = buf_length1;
#line 70 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	_tmp1_ = g_string_new ("");
#line 70 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	res = _tmp1_;
#line 341 "String.c"
	{
		gint i = 0;
#line 74 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
		i = 0;
#line 346 "String.c"
		{
			gboolean _tmp2_ = FALSE;
#line 74 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
			_tmp2_ = TRUE;
#line 74 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
			while (TRUE) {
#line 353 "String.c"
				const gchar* _tmp3_ = NULL;
				gunichar _tmp4_ = 0U;
				gboolean _tmp5_ = FALSE;
				gunichar sc = 0U;
				gunichar _tmp6_ = 0U;
				gunichar _tmp7_ = 0U;
				gunichar _tmp8_ = 0U;
#line 74 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
				if (!_tmp2_) {
#line 363 "String.c"
				}
#line 74 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
				_tmp2_ = FALSE;
#line 74 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
				_tmp3_ = str;
#line 74 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
				_tmp5_ = string_get_next_char (_tmp3_, &i, &_tmp4_);
#line 74 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
				c = _tmp4_;
#line 74 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
				if (!_tmp5_) {
#line 74 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
					break;
#line 377 "String.c"
				}
#line 75 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
				_tmp6_ = c;
#line 75 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
				_tmp7_ = noise_string_strip_char (_tmp6_);
#line 75 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
				sc = _tmp7_;
#line 77 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
				_tmp8_ = sc;
#line 77 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
				if (_tmp8_ != ((gunichar) 0)) {
#line 389 "String.c"
					gsize size = 0UL;
					gunichar _tmp9_ = 0U;
					gunichar* _tmp10_ = NULL;
					gint _tmp10__length1 = 0;
					gsize _tmp11_ = 0UL;
					gsize _tmp12_ = 0UL;
#line 78 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
					_tmp9_ = sc;
#line 78 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
					_tmp10_ = buf;
#line 78 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
					_tmp10__length1 = buf_length1;
#line 78 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
					_tmp11_ = g_unichar_fully_decompose (_tmp9_, FALSE, _tmp10_, _tmp10__length1);
#line 78 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
					size = _tmp11_;
#line 80 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
					_tmp12_ = size;
#line 80 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
					if (_tmp12_ > ((gsize) 0)) {
#line 410 "String.c"
						GString* _tmp13_ = NULL;
						gunichar* _tmp14_ = NULL;
						gint _tmp14__length1 = 0;
						gunichar _tmp15_ = 0U;
#line 81 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
						_tmp13_ = res;
#line 81 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
						_tmp14_ = buf;
#line 81 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
						_tmp14__length1 = buf_length1;
#line 81 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
						_tmp15_ = _tmp14_[0];
#line 81 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
						g_string_append_unichar (_tmp13_, _tmp15_);
#line 425 "String.c"
					}
				}
			}
		}
	}
#line 85 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	_tmp16_ = res;
#line 85 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	_tmp17_ = _tmp16_->str;
#line 85 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	_tmp18_ = g_strdup (_tmp17_);
#line 85 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	result = _tmp18_;
#line 85 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	_g_string_free0 (res);
#line 85 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	buf = (g_free (buf), NULL);
#line 85 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	return result;
#line 445 "String.c"
}


inline gunichar noise_string_strip_char (gunichar ch) {
	gunichar result = 0U;
	gunichar _tmp0_ = 0U;
	GUnicodeType _tmp1_ = 0;
#line 89 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	_tmp0_ = ch;
#line 89 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	_tmp1_ = g_unichar_type (_tmp0_);
#line 89 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	switch (_tmp1_) {
#line 89 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
		case G_UNICODE_CONTROL:
#line 89 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
		case G_UNICODE_FORMAT:
#line 89 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
		case G_UNICODE_UNASSIGNED:
#line 89 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
		case G_UNICODE_NON_SPACING_MARK:
#line 89 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
		case G_UNICODE_COMBINING_MARK:
#line 89 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
		case G_UNICODE_ENCLOSING_MARK:
#line 89 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
		case G_UNICODE_LINE_SEPARATOR:
#line 89 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
		case G_UNICODE_SPACE_SEPARATOR:
#line 89 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
		case G_UNICODE_PARAGRAPH_SEPARATOR:
#line 89 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
		case G_UNICODE_DASH_PUNCTUATION:
#line 89 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
		case G_UNICODE_OPEN_PUNCTUATION:
#line 89 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
		case G_UNICODE_OTHER_PUNCTUATION:
#line 483 "String.c"
		{
#line 102 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
			result = (gunichar) 0;
#line 102 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
			return result;
#line 489 "String.c"
		}
		default:
		{
			gunichar _tmp2_ = 0U;
			gunichar _tmp3_ = 0U;
#line 104 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
			_tmp2_ = ch;
#line 104 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
			_tmp3_ = g_unichar_tolower (_tmp2_);
#line 104 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
			result = _tmp3_;
#line 104 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
			return result;
#line 503 "String.c"
		}
	}
}


/**
     * Capitalizes the initial letters of a UTF-8 string (Title Case).
     *
     * The implementation is guaranteed to be efficient.
     *
     * For example:
     * "This is an input string" => "This Is An Input String"
     * "example string/text"     => "Example String/Text" 
     */
inline gchar* noise_string_to_title_case (const gchar* text) {
	gchar* result = NULL;
	gboolean capitalize_next = FALSE;
	GString* _result_ = NULL;
	GString* _tmp0_ = NULL;
	gunichar c = 0U;
	GString* _tmp17_ = NULL;
	const gchar* _tmp18_ = NULL;
	gchar* _tmp19_ = NULL;
#line 117 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	g_return_val_if_fail (text != NULL, NULL);
#line 118 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	capitalize_next = TRUE;
#line 120 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	_tmp0_ = g_string_new ("");
#line 120 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	_result_ = _tmp0_;
#line 535 "String.c"
	{
		gint i = 0;
#line 123 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
		i = 0;
#line 540 "String.c"
		{
			gboolean _tmp1_ = FALSE;
#line 123 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
			_tmp1_ = TRUE;
#line 123 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
			while (TRUE) {
#line 547 "String.c"
				const gchar* _tmp2_ = NULL;
				gunichar _tmp3_ = 0U;
				gboolean _tmp4_ = FALSE;
				gboolean _tmp5_ = FALSE;
#line 123 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
				if (!_tmp1_) {
#line 554 "String.c"
				}
#line 123 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
				_tmp1_ = FALSE;
#line 123 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
				_tmp2_ = text;
#line 123 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
				_tmp4_ = string_get_next_char (_tmp2_, &i, &_tmp3_);
#line 123 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
				c = _tmp3_;
#line 123 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
				if (!_tmp4_) {
#line 123 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
					break;
#line 568 "String.c"
				}
#line 124 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
				_tmp5_ = capitalize_next;
#line 124 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
				if (_tmp5_) {
#line 574 "String.c"
					GString* _tmp6_ = NULL;
					gunichar _tmp7_ = 0U;
					gunichar _tmp8_ = 0U;
#line 125 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
					_tmp6_ = _result_;
#line 125 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
					_tmp7_ = c;
#line 125 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
					_tmp8_ = g_unichar_totitle (_tmp7_);
#line 125 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
					g_string_append_unichar (_tmp6_, _tmp8_);
#line 126 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
					capitalize_next = FALSE;
#line 588 "String.c"
				} else {
					GString* _tmp9_ = NULL;
					gunichar _tmp10_ = 0U;
					gunichar _tmp11_ = 0U;
					gboolean _tmp12_ = FALSE;
					gunichar _tmp13_ = 0U;
					gboolean _tmp14_ = FALSE;
#line 128 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
					_tmp9_ = _result_;
#line 128 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
					_tmp10_ = c;
#line 128 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
					_tmp11_ = g_unichar_tolower (_tmp10_);
#line 128 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
					g_string_append_unichar (_tmp9_, _tmp11_);
#line 131 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
					_tmp13_ = c;
#line 131 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
					_tmp14_ = g_unichar_isspace (_tmp13_);
#line 131 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
					if (_tmp14_) {
#line 131 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
						_tmp12_ = TRUE;
#line 612 "String.c"
					} else {
						gunichar _tmp15_ = 0U;
						gboolean _tmp16_ = FALSE;
#line 131 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
						_tmp15_ = c;
#line 131 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
						_tmp16_ = g_unichar_iscntrl (_tmp15_);
#line 131 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
						_tmp12_ = _tmp16_;
#line 622 "String.c"
					}
#line 131 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
					capitalize_next = _tmp12_;
#line 626 "String.c"
				}
			}
		}
	}
#line 135 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	_tmp17_ = _result_;
#line 135 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	_tmp18_ = _tmp17_->str;
#line 135 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	_tmp19_ = g_strdup (_tmp18_);
#line 135 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	result = _tmp19_;
#line 135 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	_g_string_free0 (_result_);
#line 135 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	return result;
#line 643 "String.c"
}


/**
     * Converts a string encoded in the native operating system encoding to UTF-8.
     *
     * @param string_locale String in locale encoding.
     * @return String encoded in UTF-8, or //null// if the string could not be converted.
     */
gchar* noise_string_locale_to_utf8 (const gchar* string_locale) {
	gchar* result = NULL;
	GError* _error_ = NULL;
	gsize bytes_read = 0UL;
	gsize bytes_written = 0UL;
	gchar* string_utf8 = NULL;
	const gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gint _tmp2_ = 0;
	gint _tmp3_ = 0;
	gsize _tmp4_ = 0UL;
	gsize _tmp5_ = 0UL;
	GError* _tmp6_ = NULL;
	gchar* _tmp7_ = NULL;
	GError* _tmp8_ = NULL;
#line 144 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	g_return_val_if_fail (string_locale != NULL, NULL);
#line 147 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	_tmp0_ = string_locale;
#line 147 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	_tmp1_ = string_locale;
#line 147 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	_tmp2_ = strlen (_tmp1_);
#line 147 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	_tmp3_ = _tmp2_;
#line 147 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	_tmp7_ = g_locale_to_utf8 (_tmp0_, (gssize) _tmp3_, &_tmp4_, &_tmp5_, &_tmp6_);
#line 147 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	bytes_read = _tmp4_;
#line 147 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	bytes_written = _tmp5_;
#line 147 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	_g_error_free0 (_error_);
#line 147 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	_error_ = _tmp6_;
#line 147 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	string_utf8 = _tmp7_;
#line 151 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	_tmp8_ = _error_;
#line 151 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	if (_tmp8_ != NULL) {
#line 152 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
		_g_free0 (string_utf8);
#line 152 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
		string_utf8 = NULL;
#line 698 "String.c"
	}
#line 154 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	result = string_utf8;
#line 154 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	_g_error_free0 (_error_);
#line 154 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	return result;
#line 706 "String.c"
}


/**
     * Base method used for searches. It does a previous parsing on the search string.
     *
     * If the output value of parsed_rating is greater than 0, then the view should
     * only display the media with that rating in the search results, and ignore
     * the value of parsed_search_string.
     *
     * @param search Non-parsed version of the search string.
     * @param parsed_rating location where the parsed rating it stored, or -1 if the
     * string didn't represent a valid rating.
     * @param parsed_search_string location where the canonicalized version of the
     * search string is stored. Should be passed to the methods in Noise.Search.
     */
void noise_string_base_search_method (const gchar* search, guint* parsed_rating, gchar** parsed_search_string) {
	guint _vala_parsed_rating = 0U;
	gchar* _vala_parsed_search_string = NULL;
	guint* _result_ = NULL;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	guint* _tmp3_ = NULL;
	guint* _tmp4_ = NULL;
	guint* _tmp5_ = NULL;
	const gchar* _tmp8_ = NULL;
	gchar* _tmp9_ = NULL;
#line 170 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	g_return_if_fail (search != NULL);
#line 173 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	_tmp0_ = search;
#line 173 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	_tmp1_ = string_strip (_tmp0_);
#line 173 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	_tmp2_ = _tmp1_;
#line 173 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	_tmp3_ = noise_search_get_rating_from_string (_tmp2_);
#line 173 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	_tmp4_ = _tmp3_;
#line 173 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	_g_free0 (_tmp2_);
#line 173 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	_result_ = _tmp4_;
#line 175 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	_tmp5_ = _result_;
#line 175 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	if (_tmp5_ != NULL) {
#line 755 "String.c"
		guint _tmp6_ = 0U;
		guint _tmp7_ = 0U;
#line 176 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
		_tmp6_ = _vala_parsed_rating;
#line 176 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
		_tmp7_ = CLAMP (_tmp6_, (guint) 1, (guint) 5);
#line 176 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
		_vala_parsed_rating = _tmp7_;
#line 764 "String.c"
	} else {
#line 178 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
		_vala_parsed_rating = (guint) 0;
#line 768 "String.c"
	}
#line 181 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	_tmp8_ = search;
#line 181 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	_tmp9_ = noise_search_get_valid_search_string (_tmp8_);
#line 181 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	_g_free0 (_vala_parsed_search_string);
#line 181 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	_vala_parsed_search_string = _tmp9_;
#line 170 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	_g_free0 (_result_);
#line 170 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	if (parsed_rating) {
#line 170 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
		*parsed_rating = _vala_parsed_rating;
#line 784 "String.c"
	}
#line 170 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	if (parsed_search_string) {
#line 170 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
		*parsed_search_string = _vala_parsed_search_string;
#line 790 "String.c"
	} else {
#line 170 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
		_g_free0 (_vala_parsed_search_string);
#line 794 "String.c"
	}
}


/**
     * A method for extracting integers from strings.
     *
     * The method does its best to extract a number from a string by cleaning up
     * non-numeric characters before parsing the string with uint64.parse(). The
     * purpose of this method is to provide a safe way of extracting numbers
     * from strings without making everything crash when passing a weird localized
     * string that would normally lead uint64.parse, int64.parse or int.parse
     * to a segmentation fault. This happens due to encoding incompatibilities:
     * Remember that the standard C library doesn't know how to deal with variable-
     * length UTF-8 characters!
     *
     * If no number is found in the string, zero is returned.
     *
     * Examples:
     * "a23oe ew2" => 232
     " "32 text"   => 32
     * "ins1 32"   => 132
     * "a word"    => 0
     *
     * @param str string known to contain a valid integer
     * @return Result of parsing the string.
     */
static guint64 uint64_parse (const gchar* str) {
	guint64 result = 0ULL;
	const gchar* _tmp0_ = NULL;
	guint64 _tmp1_ = 0ULL;
#line 741 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (str != NULL, 0ULL);
#line 742 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp0_ = str;
#line 742 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp1_ = g_ascii_strtoull (_tmp0_, NULL, (guint) 0);
#line 742 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	result = _tmp1_;
#line 742 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	return result;
#line 836 "String.c"
}


inline guint64 noise_string_uint_from_string (const gchar* str) {
	guint64 result = 0ULL;
#line 209 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	static const gushort MAX_DIGITS = (gushort) 18;
#line 844 "String.c"
	gushort ndigits = 0U;
	GString* _result_ = NULL;
	GString* _tmp0_ = NULL;
	gunichar c = 0U;
	guint64 _tmp12_ = 0ULL;
	gushort _tmp13_ = 0U;
#line 207 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	g_return_val_if_fail (str != NULL, 0ULL);
#line 210 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	ndigits = (gushort) 0;
#line 212 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	_tmp0_ = g_string_new ("");
#line 212 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	_result_ = _tmp0_;
#line 859 "String.c"
	{
		gint i = 0;
#line 215 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
		i = 0;
#line 864 "String.c"
		{
			gboolean _tmp1_ = FALSE;
#line 215 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
			_tmp1_ = TRUE;
#line 215 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
			while (TRUE) {
#line 871 "String.c"
				gboolean _tmp2_ = FALSE;
				const gchar* _tmp3_ = NULL;
				gunichar _tmp4_ = 0U;
				gboolean _tmp5_ = FALSE;
				gunichar _tmp7_ = 0U;
				gboolean _tmp8_ = FALSE;
#line 215 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
				if (!_tmp1_) {
#line 880 "String.c"
				}
#line 215 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
				_tmp1_ = FALSE;
#line 215 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
				_tmp3_ = str;
#line 215 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
				_tmp5_ = string_get_next_char (_tmp3_, &i, &_tmp4_);
#line 215 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
				c = _tmp4_;
#line 215 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
				if (_tmp5_) {
#line 892 "String.c"
					gushort _tmp6_ = 0U;
#line 215 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
					_tmp6_ = ndigits;
#line 215 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
					_tmp2_ = _tmp6_ < MAX_DIGITS;
#line 898 "String.c"
				} else {
#line 215 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
					_tmp2_ = FALSE;
#line 902 "String.c"
				}
#line 215 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
				if (!_tmp2_) {
#line 215 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
					break;
#line 908 "String.c"
				}
#line 216 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
				_tmp7_ = c;
#line 216 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
				_tmp8_ = g_unichar_isdigit (_tmp7_);
#line 216 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
				if (_tmp8_) {
#line 916 "String.c"
					GString* _tmp9_ = NULL;
					gunichar _tmp10_ = 0U;
					gushort _tmp11_ = 0U;
#line 217 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
					_tmp9_ = _result_;
#line 217 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
					_tmp10_ = c;
#line 217 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
					g_string_append_unichar (_tmp9_, _tmp10_);
#line 218 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
					_tmp11_ = ndigits;
#line 218 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
					ndigits = _tmp11_ + 1;
#line 930 "String.c"
				}
			}
		}
	}
#line 222 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	_tmp13_ = ndigits;
#line 222 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	if (((gint) _tmp13_) == 0) {
#line 222 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
		_tmp12_ = (guint64) 0;
#line 941 "String.c"
	} else {
		GString* _tmp14_ = NULL;
		const gchar* _tmp15_ = NULL;
		guint64 _tmp16_ = 0ULL;
#line 222 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
		_tmp14_ = _result_;
#line 222 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
		_tmp15_ = _tmp14_->str;
#line 222 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
		_tmp16_ = uint64_parse (_tmp15_);
#line 222 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
		_tmp12_ = _tmp16_;
#line 954 "String.c"
	}
#line 222 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	result = _tmp12_;
#line 222 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	_g_string_free0 (_result_);
#line 222 "/builddir/build/BUILD/music-0.4.1/core/Utils/String.vala"
	return result;
#line 962 "String.c"
}



