/* AlbumImage.c generated by valac 0.34.9, the Vala compiler
 * generated from AlbumImage.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2012-2017 elementary LLC. (https://elementary.io)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Noise authors hereby grant permission for non-GPL compatible
 * GStreamer plugins to be used and distributed together with GStreamer
 * and Noise. This permission is above and beyond the permissions granted
 * by the GPL license by which Noise is covered. If you modify this code
 * you may extend this exception to your version of the code, but you are not
 * obligated to do so. If you do not wish to do so, delete this exception
 * statement from your version.
 *
 * Authored by: Corentin Noël <corentin@elementary.io>
 */

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <gdk-pixbuf/gdk-pixbuf.h>
#include <cairo.h>
#include <stdlib.h>
#include <string.h>
#include <float.h>
#include <math.h>


#define NOISE_WIDGETS_TYPE_ALBUM_IMAGE (noise_widgets_album_image_get_type ())
#define NOISE_WIDGETS_ALBUM_IMAGE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_WIDGETS_TYPE_ALBUM_IMAGE, NoiseWidgetsAlbumImage))
#define NOISE_WIDGETS_ALBUM_IMAGE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_WIDGETS_TYPE_ALBUM_IMAGE, NoiseWidgetsAlbumImageClass))
#define NOISE_WIDGETS_IS_ALBUM_IMAGE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_WIDGETS_TYPE_ALBUM_IMAGE))
#define NOISE_WIDGETS_IS_ALBUM_IMAGE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_WIDGETS_TYPE_ALBUM_IMAGE))
#define NOISE_WIDGETS_ALBUM_IMAGE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_WIDGETS_TYPE_ALBUM_IMAGE, NoiseWidgetsAlbumImageClass))

typedef struct _NoiseWidgetsAlbumImage NoiseWidgetsAlbumImage;
typedef struct _NoiseWidgetsAlbumImageClass NoiseWidgetsAlbumImageClass;
typedef struct _NoiseWidgetsAlbumImagePrivate NoiseWidgetsAlbumImagePrivate;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
#define _gtk_icon_info_free0(var) ((var == NULL) ? NULL : (var = (gtk_icon_info_free (var), NULL)))

struct _NoiseWidgetsAlbumImage {
	GtkImage parent_instance;
	NoiseWidgetsAlbumImagePrivate * priv;
};

struct _NoiseWidgetsAlbumImageClass {
	GtkImageClass parent_class;
};

struct _NoiseWidgetsAlbumImagePrivate {
	GdkPixbuf* internal_pixbuf;
	gint scale;
};


static gpointer noise_widgets_album_image_parent_class = NULL;

GType noise_widgets_album_image_get_type (void) G_GNUC_CONST;
#define NOISE_WIDGETS_ALBUM_IMAGE_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NOISE_WIDGETS_TYPE_ALBUM_IMAGE, NoiseWidgetsAlbumImagePrivate))
enum  {
	NOISE_WIDGETS_ALBUM_IMAGE_DUMMY_PROPERTY
};
#define NOISE_WIDGETS_ALBUM_IMAGE_STYLESHEET "\n" \
"        .album {\n" \
"            background-clip: padding-box;\n" \
"            border: 3px solid transparent;\n" \
"            box-shadow: 0 1px 3px alpha (#000, 0.12),\n" \
"                        0 1px 2px alpha (#000, 0.24);\n" \
"            margin: 12px;\n" \
"            transition: all 600ms ease-in-out;\n" \
"        }\n" \
"\n" \
"        .album:focused {\n" \
"            border-color: @colorAccent;\n" \
"            border-radius: 3px;\n" \
"        }\n" \
"\n" \
"        .album:hover {\n" \
"            box-shadow: 0 3px 6px alpha (#000, 0.16),\n" \
"                        0 3px 6px alpha (#000, 0.23);\n" \
"        }\n" \
"    "
static gboolean noise_widgets_album_image_real_draw (GtkWidget* base, cairo_t* cr);
static void noise_widgets_album_image_render_pixbuf (NoiseWidgetsAlbumImage* self);
static void noise_widgets_album_image_real_get_preferred_width (GtkWidget* base, gint* minimum_width, gint* natural_width);
static void noise_widgets_album_image_real_get_preferred_height (GtkWidget* base, gint* minimum_height, gint* natural_height);
void noise_widgets_album_image_apply_album_style (GtkWidget* widget);
NoiseWidgetsAlbumImage* noise_widgets_album_image_new (void);
NoiseWidgetsAlbumImage* noise_widgets_album_image_construct (GType object_type);
static GObject * noise_widgets_album_image_constructor (GType type, guint n_construct_properties, GObjectConstructParam * construct_properties);
static void noise_widgets_album_image_finalize (GObject* obj);


static gboolean noise_widgets_album_image_real_draw (GtkWidget* base, cairo_t* cr) {
	NoiseWidgetsAlbumImage * self;
	gboolean result = FALSE;
	GtkStyleContext* ctx = NULL;
	GtkStyleContext* _tmp0_ = NULL;
	GtkStateFlags state = 0;
	GtkStateFlags _tmp1_ = 0;
	GtkBorder border = {0};
	GtkBorder _tmp2_ = {0};
	gint width = 0;
	gint _tmp3_ = 0;
	gint height = 0;
	gint _tmp4_ = 0;
	gint x = 0;
	GdkPixbuf* _tmp5_ = NULL;
	gint _tmp6_ = 0;
	gint _tmp7_ = 0;
	gint y = 0;
	GdkPixbuf* _tmp8_ = NULL;
	gint _tmp9_ = 0;
	gint _tmp10_ = 0;
	cairo_t* _tmp11_ = NULL;
	GdkPixbuf* _tmp12_ = NULL;
	gint _tmp13_ = 0;
	gint _tmp14_ = 0;
	GdkPixbuf* _tmp15_ = NULL;
	gint _tmp16_ = 0;
	gint _tmp17_ = 0;
	cairo_t* _tmp18_ = NULL;
	GdkPixbuf* _tmp19_ = NULL;
	cairo_t* _tmp20_ = NULL;
	cairo_t* _tmp21_ = NULL;
	GtkBorder _tmp22_ = {0};
	gint16 _tmp23_ = 0;
	GtkBorder _tmp24_ = {0};
	gint16 _tmp25_ = 0;
	GdkPixbuf* _tmp26_ = NULL;
	gint _tmp27_ = 0;
	gint _tmp28_ = 0;
	GtkBorder _tmp29_ = {0};
	gint16 _tmp30_ = 0;
	GtkBorder _tmp31_ = {0};
	gint16 _tmp32_ = 0;
	GdkPixbuf* _tmp33_ = NULL;
	gint _tmp34_ = 0;
	gint _tmp35_ = 0;
	GtkBorder _tmp36_ = {0};
	gint16 _tmp37_ = 0;
	GtkBorder _tmp38_ = {0};
	gint16 _tmp39_ = 0;
#line 61 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	self = (NoiseWidgetsAlbumImage*) base;
#line 61 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	g_return_val_if_fail (cr != NULL, FALSE);
#line 62 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp0_ = gtk_widget_get_style_context ((GtkWidget*) self);
#line 62 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	ctx = _tmp0_;
#line 63 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp1_ = gtk_style_context_get_state (ctx);
#line 63 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	state = _tmp1_;
#line 64 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	gtk_style_context_get_border (ctx, state, &_tmp2_);
#line 64 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	border = _tmp2_;
#line 65 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp3_ = gtk_widget_get_allocated_width ((GtkWidget*) self);
#line 65 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	width = _tmp3_;
#line 66 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp4_ = gtk_widget_get_allocated_height ((GtkWidget*) self);
#line 66 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	height = _tmp4_;
#line 67 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp5_ = self->priv->internal_pixbuf;
#line 67 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp6_ = gdk_pixbuf_get_width (_tmp5_);
#line 67 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp7_ = _tmp6_;
#line 67 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	x = (width - _tmp7_) / 2;
#line 68 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp8_ = self->priv->internal_pixbuf;
#line 68 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp9_ = gdk_pixbuf_get_height (_tmp8_);
#line 68 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp10_ = _tmp9_;
#line 68 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	y = (height - _tmp10_) / 2;
#line 69 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp11_ = cr;
#line 69 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp12_ = self->priv->internal_pixbuf;
#line 69 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp13_ = gdk_pixbuf_get_width (_tmp12_);
#line 69 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp14_ = _tmp13_;
#line 69 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp15_ = self->priv->internal_pixbuf;
#line 69 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp16_ = gdk_pixbuf_get_height (_tmp15_);
#line 69 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp17_ = _tmp16_;
#line 69 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	gtk_render_background (ctx, _tmp11_, (gdouble) x, (gdouble) y, (gdouble) _tmp14_, (gdouble) _tmp17_);
#line 70 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	noise_widgets_album_image_render_pixbuf (self);
#line 71 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp18_ = cr;
#line 71 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp19_ = self->priv->internal_pixbuf;
#line 71 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	gtk_render_icon (ctx, _tmp18_, _tmp19_, (gdouble) x, (gdouble) y);
#line 72 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp20_ = cr;
#line 72 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	cairo_fill_preserve (_tmp20_);
#line 73 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp21_ = cr;
#line 73 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp22_ = border;
#line 73 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp23_ = _tmp22_.left;
#line 73 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp24_ = border;
#line 73 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp25_ = _tmp24_.top;
#line 73 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp26_ = self->priv->internal_pixbuf;
#line 73 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp27_ = gdk_pixbuf_get_width (_tmp26_);
#line 73 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp28_ = _tmp27_;
#line 73 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp29_ = border;
#line 73 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp30_ = _tmp29_.left;
#line 73 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp31_ = border;
#line 73 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp32_ = _tmp31_.right;
#line 73 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp33_ = self->priv->internal_pixbuf;
#line 73 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp34_ = gdk_pixbuf_get_height (_tmp33_);
#line 73 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp35_ = _tmp34_;
#line 73 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp36_ = border;
#line 73 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp37_ = _tmp36_.top;
#line 73 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp38_ = border;
#line 73 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp39_ = _tmp38_.bottom;
#line 73 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	gtk_render_frame (ctx, _tmp21_, (gdouble) (x - _tmp23_), (gdouble) (y - _tmp25_), (gdouble) ((_tmp28_ + _tmp30_) + _tmp32_), (gdouble) ((_tmp35_ + _tmp37_) + _tmp39_));
#line 74 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	result = FALSE;
#line 74 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	return result;
#line 254 "AlbumImage.c"
}


static void noise_widgets_album_image_real_get_preferred_width (GtkWidget* base, gint* minimum_width, gint* natural_width) {
	NoiseWidgetsAlbumImage * self;
	gint _vala_minimum_width = 0;
	gint _vala_natural_width = 0;
	GtkStyleContext* ctx = NULL;
	GtkStyleContext* _tmp0_ = NULL;
	GtkStateFlags state = 0;
	GtkStateFlags _tmp1_ = 0;
	GtkBorder margin = {0};
	GtkBorder _tmp2_ = {0};
	GtkBorder border = {0};
	GtkBorder _tmp3_ = {0};
	GtkBorder padding = {0};
	GtkBorder _tmp4_ = {0};
	GdkPixbuf* _tmp5_ = NULL;
	gint _tmp6_ = 0;
	gint _tmp7_ = 0;
	gint _tmp8_ = 0;
	GtkBorder _tmp9_ = {0};
	gint16 _tmp10_ = 0;
	GtkBorder _tmp11_ = {0};
	gint16 _tmp12_ = 0;
	gint _tmp13_ = 0;
	GtkBorder _tmp14_ = {0};
	gint16 _tmp15_ = 0;
	GtkBorder _tmp16_ = {0};
	gint16 _tmp17_ = 0;
	gint _tmp18_ = 0;
	GtkBorder _tmp19_ = {0};
	gint16 _tmp20_ = 0;
	GtkBorder _tmp21_ = {0};
	gint16 _tmp22_ = 0;
	GdkPixbuf* _tmp23_ = NULL;
	gint _tmp24_ = 0;
	gint _tmp25_ = 0;
	gint _tmp26_ = 0;
	GtkBorder _tmp27_ = {0};
	gint16 _tmp28_ = 0;
	GtkBorder _tmp29_ = {0};
	gint16 _tmp30_ = 0;
	gint _tmp31_ = 0;
	GtkBorder _tmp32_ = {0};
	gint16 _tmp33_ = 0;
	GtkBorder _tmp34_ = {0};
	gint16 _tmp35_ = 0;
	gint _tmp36_ = 0;
	GtkBorder _tmp37_ = {0};
	gint16 _tmp38_ = 0;
	GtkBorder _tmp39_ = {0};
	gint16 _tmp40_ = 0;
#line 77 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	self = (NoiseWidgetsAlbumImage*) base;
#line 78 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp0_ = gtk_widget_get_style_context ((GtkWidget*) self);
#line 78 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	ctx = _tmp0_;
#line 79 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp1_ = gtk_style_context_get_state (ctx);
#line 79 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	state = _tmp1_;
#line 80 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	gtk_style_context_get_margin (ctx, state, &_tmp2_);
#line 80 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	margin = _tmp2_;
#line 81 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	gtk_style_context_get_border (ctx, state, &_tmp3_);
#line 81 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	border = _tmp3_;
#line 82 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	gtk_style_context_get_padding (ctx, state, &_tmp4_);
#line 82 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	padding = _tmp4_;
#line 83 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	noise_widgets_album_image_render_pixbuf (self);
#line 84 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp5_ = self->priv->internal_pixbuf;
#line 84 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp6_ = gdk_pixbuf_get_width (_tmp5_);
#line 84 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp7_ = _tmp6_;
#line 84 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_vala_minimum_width = _tmp7_;
#line 85 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp8_ = _vala_minimum_width;
#line 85 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp9_ = margin;
#line 85 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp10_ = _tmp9_.left;
#line 85 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp11_ = margin;
#line 85 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp12_ = _tmp11_.right;
#line 85 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_vala_minimum_width = _tmp8_ + (_tmp10_ + _tmp12_);
#line 86 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp13_ = _vala_minimum_width;
#line 86 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp14_ = border;
#line 86 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp15_ = _tmp14_.left;
#line 86 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp16_ = border;
#line 86 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp17_ = _tmp16_.right;
#line 86 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_vala_minimum_width = _tmp13_ + (_tmp15_ + _tmp17_);
#line 87 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp18_ = _vala_minimum_width;
#line 87 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp19_ = padding;
#line 87 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp20_ = _tmp19_.left;
#line 87 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp21_ = padding;
#line 87 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp22_ = _tmp21_.right;
#line 87 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_vala_minimum_width = _tmp18_ + (_tmp20_ + _tmp22_);
#line 88 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp23_ = self->priv->internal_pixbuf;
#line 88 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp24_ = gdk_pixbuf_get_width (_tmp23_);
#line 88 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp25_ = _tmp24_;
#line 88 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_vala_natural_width = _tmp25_;
#line 89 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp26_ = _vala_natural_width;
#line 89 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp27_ = margin;
#line 89 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp28_ = _tmp27_.left;
#line 89 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp29_ = margin;
#line 89 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp30_ = _tmp29_.right;
#line 89 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_vala_natural_width = _tmp26_ + (_tmp28_ + _tmp30_);
#line 90 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp31_ = _vala_natural_width;
#line 90 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp32_ = border;
#line 90 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp33_ = _tmp32_.left;
#line 90 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp34_ = border;
#line 90 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp35_ = _tmp34_.right;
#line 90 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_vala_natural_width = _tmp31_ + (_tmp33_ + _tmp35_);
#line 91 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp36_ = _vala_natural_width;
#line 91 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp37_ = padding;
#line 91 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp38_ = _tmp37_.left;
#line 91 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp39_ = padding;
#line 91 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp40_ = _tmp39_.right;
#line 91 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_vala_natural_width = _tmp36_ + (_tmp38_ + _tmp40_);
#line 77 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	if (minimum_width) {
#line 77 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
		*minimum_width = _vala_minimum_width;
#line 424 "AlbumImage.c"
	}
#line 77 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	if (natural_width) {
#line 77 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
		*natural_width = _vala_natural_width;
#line 430 "AlbumImage.c"
	}
}


static void noise_widgets_album_image_real_get_preferred_height (GtkWidget* base, gint* minimum_height, gint* natural_height) {
	NoiseWidgetsAlbumImage * self;
	gint _vala_minimum_height = 0;
	gint _vala_natural_height = 0;
	GtkStyleContext* ctx = NULL;
	GtkStyleContext* _tmp0_ = NULL;
	GtkStateFlags state = 0;
	GtkStateFlags _tmp1_ = 0;
	GtkBorder margin = {0};
	GtkBorder _tmp2_ = {0};
	GtkBorder border = {0};
	GtkBorder _tmp3_ = {0};
	GtkBorder padding = {0};
	GtkBorder _tmp4_ = {0};
	GdkPixbuf* _tmp5_ = NULL;
	gint _tmp6_ = 0;
	gint _tmp7_ = 0;
	gint _tmp8_ = 0;
	GtkBorder _tmp9_ = {0};
	gint16 _tmp10_ = 0;
	GtkBorder _tmp11_ = {0};
	gint16 _tmp12_ = 0;
	gint _tmp13_ = 0;
	GtkBorder _tmp14_ = {0};
	gint16 _tmp15_ = 0;
	GtkBorder _tmp16_ = {0};
	gint16 _tmp17_ = 0;
	gint _tmp18_ = 0;
	GtkBorder _tmp19_ = {0};
	gint16 _tmp20_ = 0;
	GtkBorder _tmp21_ = {0};
	gint16 _tmp22_ = 0;
	gint _tmp23_ = 0;
#line 94 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	self = (NoiseWidgetsAlbumImage*) base;
#line 95 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp0_ = gtk_widget_get_style_context ((GtkWidget*) self);
#line 95 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	ctx = _tmp0_;
#line 96 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp1_ = gtk_style_context_get_state (ctx);
#line 96 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	state = _tmp1_;
#line 97 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	gtk_style_context_get_margin (ctx, state, &_tmp2_);
#line 97 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	margin = _tmp2_;
#line 98 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	gtk_style_context_get_border (ctx, state, &_tmp3_);
#line 98 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	border = _tmp3_;
#line 99 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	gtk_style_context_get_padding (ctx, state, &_tmp4_);
#line 99 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	padding = _tmp4_;
#line 100 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	noise_widgets_album_image_render_pixbuf (self);
#line 101 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp5_ = self->priv->internal_pixbuf;
#line 101 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp6_ = gdk_pixbuf_get_height (_tmp5_);
#line 101 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp7_ = _tmp6_;
#line 101 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_vala_minimum_height = _tmp7_;
#line 102 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp8_ = _vala_minimum_height;
#line 102 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp9_ = margin;
#line 102 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp10_ = _tmp9_.top;
#line 102 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp11_ = margin;
#line 102 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp12_ = _tmp11_.bottom;
#line 102 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_vala_minimum_height = _tmp8_ + (_tmp10_ + _tmp12_);
#line 103 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp13_ = _vala_minimum_height;
#line 103 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp14_ = border;
#line 103 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp15_ = _tmp14_.top;
#line 103 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp16_ = border;
#line 103 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp17_ = _tmp16_.bottom;
#line 103 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_vala_minimum_height = _tmp13_ + (_tmp15_ + _tmp17_);
#line 104 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp18_ = _vala_minimum_height;
#line 104 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp19_ = padding;
#line 104 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp20_ = _tmp19_.top;
#line 104 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp21_ = padding;
#line 104 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp22_ = _tmp21_.bottom;
#line 104 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_vala_minimum_height = _tmp18_ + (_tmp20_ + _tmp22_);
#line 105 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp23_ = _vala_minimum_height;
#line 105 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_vala_natural_height = _tmp23_;
#line 94 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	if (minimum_height) {
#line 94 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
		*minimum_height = _vala_minimum_height;
#line 544 "AlbumImage.c"
	}
#line 94 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	if (natural_height) {
#line 94 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
		*natural_height = _vala_natural_height;
#line 550 "AlbumImage.c"
	}
}


static guint8* string_get_data (const gchar* self, int* result_length1) {
	guint8* result;
	guint8* res = NULL;
	gint res_length1 = 0;
	gint _res_size_ = 0;
	gint _tmp0_ = 0;
	gint _tmp1_ = 0;
	gint _tmp2_ = 0;
	guint8* _tmp3_ = NULL;
	gint _tmp3__length1 = 0;
	guint8* _tmp4_ = NULL;
	gint _tmp4__length1 = 0;
#line 1406 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1407 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	res = (guint8*) self;
#line 1407 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	res_length1 = -1;
#line 1407 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_res_size_ = res_length1;
#line 1408 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp0_ = strlen (self);
#line 1408 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp1_ = _tmp0_;
#line 1408 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	res_length1 = (gint) _tmp1_;
#line 1408 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp2_ = res_length1;
#line 1409 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp3_ = res;
#line 1409 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp3__length1 = res_length1;
#line 1409 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp4_ = _tmp3_;
#line 1409 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp4__length1 = _tmp3__length1;
#line 1409 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	if (result_length1) {
#line 1409 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		*result_length1 = _tmp4__length1;
#line 595 "AlbumImage.c"
	}
#line 1409 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	result = _tmp4_;
#line 1409 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	return result;
#line 601 "AlbumImage.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 112 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	return self ? g_object_ref (self) : NULL;
#line 608 "AlbumImage.c"
}


void noise_widgets_album_image_apply_album_style (GtkWidget* widget) {
	GtkCssProvider* provider = NULL;
	GtkCssProvider* _tmp0_ = NULL;
	GError * _inner_error_ = NULL;
#line 108 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	g_return_if_fail (widget != NULL);
#line 109 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp0_ = gtk_css_provider_new ();
#line 109 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	provider = _tmp0_;
#line 622 "AlbumImage.c"
	{
		guint8* _tmp1_ = NULL;
		gint _tmp1__length1 = 0;
		guint8* _tmp2_ = NULL;
		gint _tmp2__length1 = 0;
		GtkStyleContext* context = NULL;
		GtkWidget* _tmp3_ = NULL;
		GtkStyleContext* _tmp4_ = NULL;
		GtkStyleContext* _tmp5_ = NULL;
		GtkStyleContext* _tmp6_ = NULL;
#line 111 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
		_tmp1_ = string_get_data (NOISE_WIDGETS_ALBUM_IMAGE_STYLESHEET, &_tmp1__length1);
#line 111 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
		_tmp2_ = _tmp1_;
#line 111 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
		_tmp2__length1 = _tmp1__length1;
#line 111 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
		gtk_css_provider_load_from_data (provider, _tmp2_, (gssize) _tmp2__length1, &_inner_error_);
#line 111 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 643 "AlbumImage.c"
			goto __catch22_g_error;
		}
#line 112 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
		_tmp3_ = widget;
#line 112 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
		_tmp4_ = gtk_widget_get_style_context (_tmp3_);
#line 112 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
		_tmp5_ = _g_object_ref0 (_tmp4_);
#line 112 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
		context = _tmp5_;
#line 113 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
		_tmp6_ = context;
#line 113 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
		gtk_style_context_add_provider (_tmp6_, (GtkStyleProvider*) provider, (guint) GTK_STYLE_PROVIDER_PRIORITY_APPLICATION);
#line 110 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
		_g_object_unref0 (context);
#line 660 "AlbumImage.c"
	}
	goto __finally22;
	__catch22_g_error:
	{
		GError* e = NULL;
		GError* _tmp7_ = NULL;
		const gchar* _tmp8_ = NULL;
#line 110 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
		e = _inner_error_;
#line 110 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
		_inner_error_ = NULL;
#line 115 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
		_tmp7_ = e;
#line 115 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
		_tmp8_ = _tmp7_->message;
#line 115 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
		g_critical ("AlbumImage.vala:115: %s", _tmp8_);
#line 110 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
		_g_error_free0 (e);
#line 680 "AlbumImage.c"
	}
	__finally22:
#line 110 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 110 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
		_g_object_unref0 (provider);
#line 110 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 110 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
		g_clear_error (&_inner_error_);
#line 110 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
		return;
#line 693 "AlbumImage.c"
	}
#line 108 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_g_object_unref0 (provider);
#line 697 "AlbumImage.c"
}


static void noise_widgets_album_image_render_pixbuf (NoiseWidgetsAlbumImage* self) {
	GtkStyleContext* ctx = NULL;
	GtkStyleContext* _tmp0_ = NULL;
	GtkStyleContext* _tmp1_ = NULL;
	gboolean _tmp2_ = FALSE;
	GdkPixbuf* _tmp3_ = NULL;
	GdkPixbuf* _tmp4_ = NULL;
	GdkPixbuf* _tmp5_ = NULL;
	gboolean _tmp6_ = FALSE;
	GtkStyleContext* _tmp10_ = NULL;
	gint _tmp11_ = 0;
	GtkIconInfo* icon_info = NULL;
	GtkIconTheme* _tmp12_ = NULL;
	GIcon* _tmp13_ = NULL;
	GIcon* _tmp14_ = NULL;
	GIcon* _tmp15_ = NULL;
	gint _tmp16_ = 0;
	GtkIconInfo* _tmp17_ = NULL;
	GtkIconInfo* _tmp18_ = NULL;
	GError * _inner_error_ = NULL;
#line 119 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	g_return_if_fail (self != NULL);
#line 120 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp0_ = gtk_widget_get_style_context ((GtkWidget*) self);
#line 120 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 120 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	ctx = _tmp1_;
#line 121 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	g_object_get ((GtkImage*) self, "pixbuf", &_tmp3_, NULL);
#line 121 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp4_ = _tmp3_;
#line 121 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp5_ = _tmp4_;
#line 121 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp6_ = _tmp5_ != NULL;
#line 121 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_g_object_unref0 (_tmp5_);
#line 121 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	if (_tmp6_) {
#line 741 "AlbumImage.c"
		gint _tmp7_ = 0;
		GtkStyleContext* _tmp8_ = NULL;
		gint _tmp9_ = 0;
#line 121 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
		_tmp7_ = self->priv->scale;
#line 121 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
		_tmp8_ = ctx;
#line 121 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
		_tmp9_ = gtk_style_context_get_scale (_tmp8_);
#line 121 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
		_tmp2_ = _tmp7_ == _tmp9_;
#line 753 "AlbumImage.c"
	} else {
#line 121 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
		_tmp2_ = FALSE;
#line 757 "AlbumImage.c"
	}
#line 121 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	if (_tmp2_) {
#line 122 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
		_g_object_unref0 (ctx);
#line 122 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
		return;
#line 765 "AlbumImage.c"
	}
#line 124 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp10_ = ctx;
#line 124 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp11_ = gtk_style_context_get_scale (_tmp10_);
#line 124 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	self->priv->scale = _tmp11_;
#line 125 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp12_ = gtk_icon_theme_get_default ();
#line 125 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	g_object_get ((GtkImage*) self, "gicon", &_tmp13_, NULL);
#line 125 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp14_ = _tmp13_;
#line 125 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp15_ = _tmp14_;
#line 125 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp16_ = self->priv->scale;
#line 125 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp17_ = gtk_icon_theme_lookup_by_gicon_for_scale (_tmp12_, _tmp15_, 128, _tmp16_, GTK_ICON_LOOKUP_GENERIC_FALLBACK);
#line 125 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp18_ = _tmp17_;
#line 125 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_g_object_unref0 (_tmp15_);
#line 125 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	icon_info = _tmp18_;
#line 791 "AlbumImage.c"
	{
		GdkPixbuf* _tmp19_ = NULL;
		GtkIconInfo* _tmp20_ = NULL;
		GdkPixbuf* _tmp21_ = NULL;
		GdkPixbuf* _tmp22_ = NULL;
#line 127 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
		_tmp20_ = icon_info;
#line 127 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
		_tmp21_ = gtk_icon_info_load_icon (_tmp20_, &_inner_error_);
#line 127 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
		_tmp19_ = _tmp21_;
#line 127 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 805 "AlbumImage.c"
			goto __catch23_g_error;
		}
#line 127 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
		_tmp22_ = _tmp19_;
#line 127 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
		_tmp19_ = NULL;
#line 127 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
		_g_object_unref0 (self->priv->internal_pixbuf);
#line 127 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
		self->priv->internal_pixbuf = _tmp22_;
#line 126 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
		_g_object_unref0 (_tmp19_);
#line 818 "AlbumImage.c"
	}
	goto __finally23;
	__catch23_g_error:
	{
		GError* e = NULL;
		GError* _tmp23_ = NULL;
		const gchar* _tmp24_ = NULL;
#line 126 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
		e = _inner_error_;
#line 126 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
		_inner_error_ = NULL;
#line 129 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
		_tmp23_ = e;
#line 129 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
		_tmp24_ = _tmp23_->message;
#line 129 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
		g_critical ("AlbumImage.vala:129: %s", _tmp24_);
#line 126 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
		_g_error_free0 (e);
#line 838 "AlbumImage.c"
	}
	__finally23:
#line 126 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 126 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
		_gtk_icon_info_free0 (icon_info);
#line 126 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
		_g_object_unref0 (ctx);
#line 126 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 126 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
		g_clear_error (&_inner_error_);
#line 126 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
		return;
#line 853 "AlbumImage.c"
	}
#line 119 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_gtk_icon_info_free0 (icon_info);
#line 119 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_g_object_unref0 (ctx);
#line 859 "AlbumImage.c"
}


NoiseWidgetsAlbumImage* noise_widgets_album_image_construct (GType object_type) {
	NoiseWidgetsAlbumImage * self = NULL;
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	self = (NoiseWidgetsAlbumImage*) g_object_new (object_type, NULL);
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	return self;
#line 869 "AlbumImage.c"
}


NoiseWidgetsAlbumImage* noise_widgets_album_image_new (void) {
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	return noise_widgets_album_image_construct (NOISE_WIDGETS_TYPE_ALBUM_IMAGE);
#line 876 "AlbumImage.c"
}


static GObject * noise_widgets_album_image_constructor (GType type, guint n_construct_properties, GObjectConstructParam * construct_properties) {
	GObject * obj;
	GObjectClass * parent_class;
	NoiseWidgetsAlbumImage * self;
	GtkStyleContext* _tmp0_ = NULL;
#line 55 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	parent_class = G_OBJECT_CLASS (noise_widgets_album_image_parent_class);
#line 55 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	obj = parent_class->constructor (type, n_construct_properties, construct_properties);
#line 55 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NOISE_WIDGETS_TYPE_ALBUM_IMAGE, NoiseWidgetsAlbumImage);
#line 56 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_tmp0_ = gtk_widget_get_style_context ((GtkWidget*) self);
#line 56 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	gtk_style_context_add_class (_tmp0_, "album");
#line 57 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	gtk_image_set_pixel_size ((GtkImage*) self, 128);
#line 58 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	noise_widgets_album_image_apply_album_style ((GtkWidget*) self);
#line 55 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	return obj;
#line 901 "AlbumImage.c"
}


static void noise_widgets_album_image_class_init (NoiseWidgetsAlbumImageClass * klass) {
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	noise_widgets_album_image_parent_class = g_type_class_peek_parent (klass);
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	g_type_class_add_private (klass, sizeof (NoiseWidgetsAlbumImagePrivate));
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	((GtkWidgetClass *) klass)->draw = (gboolean (*)(GtkWidget*, cairo_t*)) noise_widgets_album_image_real_draw;
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	((GtkWidgetClass *) klass)->get_preferred_width = (void (*)(GtkWidget*, gint*, gint*)) noise_widgets_album_image_real_get_preferred_width;
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	((GtkWidgetClass *) klass)->get_preferred_height = (void (*)(GtkWidget*, gint*, gint*)) noise_widgets_album_image_real_get_preferred_height;
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	G_OBJECT_CLASS (klass)->constructor = noise_widgets_album_image_constructor;
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	G_OBJECT_CLASS (klass)->finalize = noise_widgets_album_image_finalize;
#line 920 "AlbumImage.c"
}


static void noise_widgets_album_image_instance_init (NoiseWidgetsAlbumImage * self) {
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	self->priv = NOISE_WIDGETS_ALBUM_IMAGE_GET_PRIVATE (self);
#line 53 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	self->priv->scale = 1;
#line 929 "AlbumImage.c"
}


static void noise_widgets_album_image_finalize (GObject* obj) {
	NoiseWidgetsAlbumImage * self;
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NOISE_WIDGETS_TYPE_ALBUM_IMAGE, NoiseWidgetsAlbumImage);
#line 52 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	_g_object_unref0 (self->priv->internal_pixbuf);
#line 29 "/builddir/build/BUILD/music-0.4.1/core/Widgets/AlbumImage.vala"
	G_OBJECT_CLASS (noise_widgets_album_image_parent_class)->finalize (obj);
#line 941 "AlbumImage.c"
}


GType noise_widgets_album_image_get_type (void) {
	static volatile gsize noise_widgets_album_image_type_id__volatile = 0;
	if (g_once_init_enter (&noise_widgets_album_image_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NoiseWidgetsAlbumImageClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) noise_widgets_album_image_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NoiseWidgetsAlbumImage), 0, (GInstanceInitFunc) noise_widgets_album_image_instance_init, NULL };
		GType noise_widgets_album_image_type_id;
		noise_widgets_album_image_type_id = g_type_register_static (gtk_image_get_type (), "NoiseWidgetsAlbumImage", &g_define_type_info, 0);
		g_once_init_leave (&noise_widgets_album_image_type_id__volatile, noise_widgets_album_image_type_id);
	}
	return noise_widgets_album_image_type_id__volatile;
}



