/* FileNotFoundDialog.c generated by valac 0.34.9, the Vala compiler
 * generated from FileNotFoundDialog.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2012-2017 elementary LLC. (https://elementary.io)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Noise authors hereby grant permission for non-GPL compatible
 * GStreamer plugins to be used and distributed together with GStreamer
 * and Noise. This permission is above and beyond the permissions granted
 * by the GPL license by which Noise is covered. If you modify this code
 * you may extend this exception to your version of the code, but you are not
 * obligated to do so. If you do not wish to do so, delete this exception
 * statement from your version.
 *
 * Authored by: Scott Ringwelski <sgringwe@mtu.edu>
 *              Corentin Noël <corentin@elementary.io>
 */

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <gee.h>
#include <noise-core.h>
#include <float.h>
#include <math.h>
#include <stdlib.h>
#include <string.h>
#include <glib/gi18n-lib.h>
#include <gio/gio.h>


#define NOISE_TYPE_FILE_NOT_FOUND_DIALOG (noise_file_not_found_dialog_get_type ())
#define NOISE_FILE_NOT_FOUND_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_FILE_NOT_FOUND_DIALOG, NoiseFileNotFoundDialog))
#define NOISE_FILE_NOT_FOUND_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_FILE_NOT_FOUND_DIALOG, NoiseFileNotFoundDialogClass))
#define NOISE_IS_FILE_NOT_FOUND_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_FILE_NOT_FOUND_DIALOG))
#define NOISE_IS_FILE_NOT_FOUND_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_FILE_NOT_FOUND_DIALOG))
#define NOISE_FILE_NOT_FOUND_DIALOG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_FILE_NOT_FOUND_DIALOG, NoiseFileNotFoundDialogClass))

typedef struct _NoiseFileNotFoundDialog NoiseFileNotFoundDialog;
typedef struct _NoiseFileNotFoundDialogClass NoiseFileNotFoundDialogClass;
typedef struct _NoiseFileNotFoundDialogPrivate NoiseFileNotFoundDialogPrivate;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))

#define NOISE_TYPE_LIBRARY_WINDOW (noise_library_window_get_type ())
#define NOISE_LIBRARY_WINDOW(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_LIBRARY_WINDOW, NoiseLibraryWindow))
#define NOISE_LIBRARY_WINDOW_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_LIBRARY_WINDOW, NoiseLibraryWindowClass))
#define NOISE_IS_LIBRARY_WINDOW(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_LIBRARY_WINDOW))
#define NOISE_IS_LIBRARY_WINDOW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_LIBRARY_WINDOW))
#define NOISE_LIBRARY_WINDOW_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_LIBRARY_WINDOW, NoiseLibraryWindowClass))

typedef struct _NoiseLibraryWindow NoiseLibraryWindow;
typedef struct _NoiseLibraryWindowClass NoiseLibraryWindowClass;
#define _g_free0(var) (var = (g_free (var), NULL))

#define NOISE_TYPE_LOCAL_LIBRARY (noise_local_library_get_type ())
#define NOISE_LOCAL_LIBRARY(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_LOCAL_LIBRARY, NoiseLocalLibrary))
#define NOISE_LOCAL_LIBRARY_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_LOCAL_LIBRARY, NoiseLocalLibraryClass))
#define NOISE_IS_LOCAL_LIBRARY(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_LOCAL_LIBRARY))
#define NOISE_IS_LOCAL_LIBRARY_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_LOCAL_LIBRARY))
#define NOISE_LOCAL_LIBRARY_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_LOCAL_LIBRARY, NoiseLocalLibraryClass))

typedef struct _NoiseLocalLibrary NoiseLocalLibrary;
typedef struct _NoiseLocalLibraryClass NoiseLocalLibraryClass;

struct _NoiseFileNotFoundDialog {
	GtkDialog parent_instance;
	NoiseFileNotFoundDialogPrivate * priv;
};

struct _NoiseFileNotFoundDialogClass {
	GtkDialogClass parent_class;
};

struct _NoiseFileNotFoundDialogPrivate {
	GeeLinkedList* media_list;
	GtkButton* rescanLibrary;
};


static gpointer noise_file_not_found_dialog_parent_class = NULL;

GType noise_file_not_found_dialog_get_type (void) G_GNUC_CONST;
#define NOISE_FILE_NOT_FOUND_DIALOG_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NOISE_TYPE_FILE_NOT_FOUND_DIALOG, NoiseFileNotFoundDialogPrivate))
enum  {
	NOISE_FILE_NOT_FOUND_DIALOG_DUMMY_PROPERTY
};
NoiseFileNotFoundDialog* noise_file_not_found_dialog_new (GeeCollection* _media_list);
NoiseFileNotFoundDialog* noise_file_not_found_dialog_construct (GType object_type, GeeCollection* _media_list);
GType noise_library_window_get_type (void) G_GNUC_CONST;
NoiseLibraryWindow* noise_app_get_main_window (void);
static void __lambda39_ (NoiseFileNotFoundDialog* self, gint response_id);
static void noise_file_not_found_dialog_rescan_library_clicked (NoiseFileNotFoundDialog* self);
static void noise_file_not_found_dialog_remove_media_clicked (NoiseFileNotFoundDialog* self);
static void noise_file_not_found_dialog_locate_media_clicked (NoiseFileNotFoundDialog* self);
static void ___lambda39__gtk_dialog_response (GtkDialog* _sender, gint response_id, gpointer self);
static void noise_file_not_found_dialog_file_operations_started (NoiseFileNotFoundDialog* self);
static void _noise_file_not_found_dialog_file_operations_started_noise_library_file_operations_started (NoiseLibrary* _sender, gpointer self);
static void noise_file_not_found_dialog_file_operations_done (NoiseFileNotFoundDialog* self);
static void _noise_file_not_found_dialog_file_operations_done_noise_library_file_operations_done (NoiseLibrary* _sender, gpointer self);
GType noise_local_library_get_type (void) G_GNUC_CONST;
void noise_local_library_rescan_music_folder (NoiseLocalLibrary* self);
static void noise_file_not_found_dialog_finalize (GObject* obj);


static gpointer _g_object_ref0 (gpointer self) {
#line 45 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	return self ? g_object_ref (self) : NULL;
#line 123 "FileNotFoundDialog.c"
}


static void __lambda39_ (NoiseFileNotFoundDialog* self, gint response_id) {
	gint _tmp0_ = 0;
#line 89 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp0_ = response_id;
#line 89 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	switch (_tmp0_) {
#line 89 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		case 1:
#line 135 "FileNotFoundDialog.c"
		{
#line 91 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
			noise_file_not_found_dialog_rescan_library_clicked (self);
#line 92 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
			break;
#line 141 "FileNotFoundDialog.c"
		}
#line 89 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		case 2:
#line 145 "FileNotFoundDialog.c"
		{
#line 94 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
			noise_file_not_found_dialog_remove_media_clicked (self);
#line 95 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
			break;
#line 151 "FileNotFoundDialog.c"
		}
#line 89 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		case 3:
#line 155 "FileNotFoundDialog.c"
		{
#line 97 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
			noise_file_not_found_dialog_locate_media_clicked (self);
#line 98 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
			break;
#line 161 "FileNotFoundDialog.c"
		}
#line 89 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		case GTK_RESPONSE_CLOSE:
#line 165 "FileNotFoundDialog.c"
		{
#line 100 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
			gtk_widget_destroy ((GtkWidget*) self);
#line 101 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
			break;
#line 171 "FileNotFoundDialog.c"
		}
		default:
#line 89 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		break;
#line 176 "FileNotFoundDialog.c"
	}
}


static void ___lambda39__gtk_dialog_response (GtkDialog* _sender, gint response_id, gpointer self) {
#line 88 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	__lambda39_ ((NoiseFileNotFoundDialog*) self, response_id);
#line 184 "FileNotFoundDialog.c"
}


static void _noise_file_not_found_dialog_file_operations_started_noise_library_file_operations_started (NoiseLibrary* _sender, gpointer self) {
#line 105 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	noise_file_not_found_dialog_file_operations_started ((NoiseFileNotFoundDialog*) self);
#line 191 "FileNotFoundDialog.c"
}


static void _noise_file_not_found_dialog_file_operations_done_noise_library_file_operations_done (NoiseLibrary* _sender, gpointer self) {
#line 106 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	noise_file_not_found_dialog_file_operations_done ((NoiseFileNotFoundDialog*) self);
#line 198 "FileNotFoundDialog.c"
}


NoiseFileNotFoundDialog* noise_file_not_found_dialog_construct (GType object_type, GeeCollection* _media_list) {
	NoiseFileNotFoundDialog * self = NULL;
	GeeLinkedList* _tmp0_ = NULL;
	GeeCollection* _tmp1_ = NULL;
	NoiseLibraryWindow* _tmp2_ = NULL;
	NoiseLibraryWindow* _tmp3_ = NULL;
	GtkBox* content = NULL;
	GtkBox* _tmp4_ = NULL;
	GtkBox* _tmp5_ = NULL;
	GtkImage* warning = NULL;
	GtkImage* _tmp6_ = NULL;
	GtkImage* _tmp7_ = NULL;
	gchar* title_string = NULL;
	const gchar* _tmp8_ = NULL;
	gchar* _tmp9_ = NULL;
	gchar* body_string = NULL;
	gchar* _tmp10_ = NULL;
	GeeLinkedList* _tmp11_ = NULL;
	gint _tmp12_ = 0;
	gint _tmp13_ = 0;
	GtkLabel* info = NULL;
	const gchar* _tmp33_ = NULL;
	gchar* _tmp34_ = NULL;
	gchar* _tmp35_ = NULL;
	gchar* _tmp36_ = NULL;
	gchar* _tmp37_ = NULL;
	gchar* _tmp38_ = NULL;
	gchar* _tmp39_ = NULL;
	const gchar* _tmp40_ = NULL;
	gchar* _tmp41_ = NULL;
	gchar* _tmp42_ = NULL;
	gchar* _tmp43_ = NULL;
	gchar* _tmp44_ = NULL;
	GtkLabel* _tmp45_ = NULL;
	GtkLabel* _tmp46_ = NULL;
	GtkButton* _tmp47_ = NULL;
	NoiseLibrariesManager* _tmp48_ = NULL;
	NoiseLibrary* _tmp49_ = NULL;
	gboolean _tmp50_ = FALSE;
	GtkGrid* layout = NULL;
	GtkGrid* _tmp51_ = NULL;
	GtkImage* _tmp52_ = NULL;
	GtkBox* _tmp53_ = NULL;
	const gchar* _tmp54_ = NULL;
	const gchar* _tmp55_ = NULL;
	const gchar* _tmp56_ = NULL;
	const gchar* _tmp57_ = NULL;
	NoiseLibrariesManager* _tmp58_ = NULL;
	NoiseLibrary* _tmp59_ = NULL;
	NoiseLibrariesManager* _tmp60_ = NULL;
	NoiseLibrary* _tmp61_ = NULL;
#line 35 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	g_return_val_if_fail (_media_list != NULL, NULL);
#line 35 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	self = (NoiseFileNotFoundDialog*) g_object_new (object_type, NULL);
#line 36 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp0_ = self->priv->media_list;
#line 36 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp1_ = _media_list;
#line 36 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	gee_collection_add_all ((GeeCollection*) _tmp0_, _tmp1_);
#line 38 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	gtk_window_set_modal ((GtkWindow*) self, TRUE);
#line 39 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp2_ = noise_app_get_main_window ();
#line 39 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp3_ = _tmp2_;
#line 39 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	gtk_window_set_transient_for ((GtkWindow*) self, (GtkWindow*) _tmp3_);
#line 40 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	gtk_window_set_destroy_with_parent ((GtkWindow*) self, TRUE);
#line 41 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	gtk_container_set_border_width ((GtkContainer*) self, (guint) 6);
#line 42 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	gtk_window_set_resizable ((GtkWindow*) self, FALSE);
#line 43 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	gtk_window_set_deletable ((GtkWindow*) self, FALSE);
#line 45 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp4_ = (GtkBox*) gtk_dialog_get_content_area ((GtkDialog*) self);
#line 45 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp5_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_tmp4_, gtk_box_get_type ()) ? ((GtkBox*) _tmp4_) : NULL);
#line 45 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	content = _tmp5_;
#line 48 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp6_ = (GtkImage*) gtk_image_new_from_icon_name ("dialog-warning", GTK_ICON_SIZE_DIALOG);
#line 48 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	g_object_ref_sink (_tmp6_);
#line 48 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	warning = _tmp6_;
#line 49 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp7_ = warning;
#line 49 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	g_object_set ((GtkMisc*) _tmp7_, "yalign", (gfloat) 0, NULL);
#line 51 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp8_ = _ ("File not found");
#line 51 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp9_ = g_strdup (_tmp8_);
#line 51 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	title_string = _tmp9_;
#line 52 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp10_ = g_strdup ("");
#line 52 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	body_string = _tmp10_;
#line 54 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp11_ = self->priv->media_list;
#line 54 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp12_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp11_);
#line 54 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp13_ = _tmp12_;
#line 54 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	if (_tmp13_ == 1) {
#line 313 "FileNotFoundDialog.c"
		NoiseMedia* s = NULL;
		GeeLinkedList* _tmp14_ = NULL;
		gpointer _tmp15_ = NULL;
		const gchar* _tmp16_ = NULL;
		NoiseMedia* _tmp17_ = NULL;
		const gchar* _tmp18_ = NULL;
		const gchar* _tmp19_ = NULL;
		gchar* _tmp20_ = NULL;
		gchar* _tmp21_ = NULL;
		NoiseMedia* _tmp22_ = NULL;
		const gchar* _tmp23_ = NULL;
		const gchar* _tmp24_ = NULL;
		gchar* _tmp25_ = NULL;
		gchar* _tmp26_ = NULL;
		gchar* _tmp27_ = NULL;
#line 55 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_tmp14_ = self->priv->media_list;
#line 55 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_tmp15_ = gee_abstract_list_get ((GeeAbstractList*) _tmp14_, 0);
#line 55 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		s = (NoiseMedia*) _tmp15_;
#line 57 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_tmp16_ = _ ("The music file for <b>%s</b> by <b>%s</b> could not be found.");
#line 57 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_tmp17_ = s;
#line 57 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_tmp18_ = noise_media_get_title (_tmp17_);
#line 57 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_tmp19_ = _tmp18_;
#line 57 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_tmp20_ = g_markup_escape_text (_tmp19_, (gssize) -1);
#line 57 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_tmp21_ = _tmp20_;
#line 57 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_tmp22_ = s;
#line 57 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_tmp23_ = noise_media_get_artist (_tmp22_);
#line 57 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_tmp24_ = _tmp23_;
#line 57 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_tmp25_ = g_markup_escape_text (_tmp24_, (gssize) -1);
#line 57 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_tmp26_ = _tmp25_;
#line 57 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_tmp27_ = g_strdup_printf (_tmp16_, _tmp21_, _tmp26_);
#line 57 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_g_free0 (body_string);
#line 57 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		body_string = _tmp27_;
#line 57 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_g_free0 (_tmp26_);
#line 57 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_g_free0 (_tmp21_);
#line 54 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_g_object_unref0 (s);
#line 369 "FileNotFoundDialog.c"
	} else {
		const gchar* _tmp28_ = NULL;
		GeeLinkedList* _tmp29_ = NULL;
		gint _tmp30_ = 0;
		gint _tmp31_ = 0;
		gchar* _tmp32_ = NULL;
#line 60 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_tmp28_ = _ ("%i music files could not be found?");
#line 60 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_tmp29_ = self->priv->media_list;
#line 60 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_tmp30_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp29_);
#line 60 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_tmp31_ = _tmp30_;
#line 60 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_tmp32_ = g_strdup_printf (_tmp28_, _tmp31_);
#line 60 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_g_free0 (body_string);
#line 60 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		body_string = _tmp32_;
#line 390 "FileNotFoundDialog.c"
	}
#line 63 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp33_ = title_string;
#line 63 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp34_ = g_markup_escape_text (_tmp33_, (gssize) -1);
#line 63 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp35_ = _tmp34_;
#line 63 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp36_ = g_strdup_printf ("<span weight=\"bold\" size=\"larger\">%s</span>", _tmp35_);
#line 63 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp37_ = _tmp36_;
#line 63 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp38_ = g_strconcat (_tmp37_, "\n\n", NULL);
#line 63 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp39_ = _tmp38_;
#line 63 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp40_ = body_string;
#line 63 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp41_ = g_strdup_printf ("%s", _tmp40_);
#line 63 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp42_ = _tmp41_;
#line 63 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp43_ = g_strconcat (_tmp39_, _tmp42_, NULL);
#line 63 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp44_ = _tmp43_;
#line 63 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp45_ = (GtkLabel*) gtk_label_new (_tmp44_);
#line 63 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	g_object_ref_sink (_tmp45_);
#line 63 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp46_ = _tmp45_;
#line 63 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_g_free0 (_tmp44_);
#line 63 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_g_free0 (_tmp42_);
#line 63 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_g_free0 (_tmp39_);
#line 63 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_g_free0 (_tmp37_);
#line 63 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_g_free0 (_tmp35_);
#line 63 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	info = _tmp46_;
#line 67 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	gtk_widget_set_halign ((GtkWidget*) info, GTK_ALIGN_START);
#line 68 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	gtk_label_set_selectable (info, TRUE);
#line 69 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	gtk_label_set_use_markup (info, TRUE);
#line 71 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp47_ = self->priv->rescanLibrary;
#line 71 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp48_ = noise_libraries_manager;
#line 71 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp49_ = _tmp48_->local_library;
#line 71 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp50_ = noise_library_doing_file_operations (_tmp49_);
#line 71 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp47_, !_tmp50_);
#line 73 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp51_ = (GtkGrid*) gtk_grid_new ();
#line 73 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	g_object_ref_sink (_tmp51_);
#line 73 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	layout = _tmp51_;
#line 74 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	gtk_grid_set_column_spacing (layout, (guint) 12);
#line 75 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	gtk_widget_set_margin_right ((GtkWidget*) layout, 6);
#line 76 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	gtk_widget_set_margin_bottom ((GtkWidget*) layout, 24);
#line 77 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	gtk_widget_set_margin_left ((GtkWidget*) layout, 6);
#line 78 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp52_ = warning;
#line 78 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	gtk_container_add ((GtkContainer*) layout, (GtkWidget*) _tmp52_);
#line 79 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	gtk_container_add ((GtkContainer*) layout, (GtkWidget*) info);
#line 81 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp53_ = content;
#line 81 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp53_, (GtkWidget*) layout);
#line 83 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp54_ = _ ("Rescan Library");
#line 83 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	gtk_dialog_add_button ((GtkDialog*) self, _tmp54_, 1);
#line 84 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp55_ = _ ("Remove Song");
#line 84 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	gtk_dialog_add_button ((GtkDialog*) self, _tmp55_, 2);
#line 85 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp56_ = _ ("Cancel");
#line 85 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	gtk_dialog_add_button ((GtkDialog*) self, _tmp56_, (gint) GTK_RESPONSE_CLOSE);
#line 86 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp57_ = _ ("Find Song");
#line 86 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	gtk_dialog_add_button ((GtkDialog*) self, _tmp57_, 3);
#line 88 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	g_signal_connect_object ((GtkDialog*) self, "response", (GCallback) ___lambda39__gtk_dialog_response, self, 0);
#line 105 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp58_ = noise_libraries_manager;
#line 105 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp59_ = _tmp58_->local_library;
#line 105 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	g_signal_connect_object (_tmp59_, "file-operations-started", (GCallback) _noise_file_not_found_dialog_file_operations_started_noise_library_file_operations_started, self, 0);
#line 106 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp60_ = noise_libraries_manager;
#line 106 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp61_ = _tmp60_->local_library;
#line 106 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	g_signal_connect_object (_tmp61_, "file-operations-done", (GCallback) _noise_file_not_found_dialog_file_operations_done_noise_library_file_operations_done, self, 0);
#line 108 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	gtk_widget_show_all ((GtkWidget*) self);
#line 35 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_g_object_unref0 (layout);
#line 35 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_g_object_unref0 (info);
#line 35 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_g_free0 (body_string);
#line 35 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_g_free0 (title_string);
#line 35 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_g_object_unref0 (warning);
#line 35 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_g_object_unref0 (content);
#line 35 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	return self;
#line 520 "FileNotFoundDialog.c"
}


NoiseFileNotFoundDialog* noise_file_not_found_dialog_new (GeeCollection* _media_list) {
#line 35 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	return noise_file_not_found_dialog_construct (NOISE_TYPE_FILE_NOT_FOUND_DIALOG, _media_list);
#line 527 "FileNotFoundDialog.c"
}


static void noise_file_not_found_dialog_remove_media_clicked (NoiseFileNotFoundDialog* self) {
	NoiseLibrariesManager* _tmp0_ = NULL;
	NoiseLibrary* _tmp1_ = NULL;
	GeeLinkedList* _tmp2_ = NULL;
#line 111 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	g_return_if_fail (self != NULL);
#line 112 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp0_ = noise_libraries_manager;
#line 112 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp1_ = _tmp0_->local_library;
#line 112 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp2_ = self->priv->media_list;
#line 112 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	noise_library_remove_medias (_tmp1_, (GeeCollection*) _tmp2_, FALSE);
#line 114 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	gtk_widget_destroy ((GtkWidget*) self);
#line 547 "FileNotFoundDialog.c"
}


static gboolean string_contains (const gchar* self, const gchar* needle) {
	gboolean result = FALSE;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 1384 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, FALSE);
#line 1384 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (needle != NULL, FALSE);
#line 1385 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp0_ = needle;
#line 1385 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp1_ = strstr ((gchar*) self, (gchar*) _tmp0_);
#line 1385 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	result = _tmp1_ != NULL;
#line 1385 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	return result;
#line 567 "FileNotFoundDialog.c"
}


static void noise_file_not_found_dialog_locate_media_clicked (NoiseFileNotFoundDialog* self) {
	NoiseMedia* m = NULL;
	GeeLinkedList* _tmp0_ = NULL;
	gpointer _tmp1_ = NULL;
	gint64 media_id = 0LL;
	NoiseMedia* _tmp2_ = NULL;
	gint64 _tmp3_ = 0LL;
	gint64 _tmp4_ = 0LL;
	gchar* file = NULL;
	gchar* _tmp5_ = NULL;
	GtkFileChooserDialog* file_chooser = NULL;
	const gchar* _tmp6_ = NULL;
	const gchar* _tmp7_ = NULL;
	const gchar* _tmp8_ = NULL;
	GtkFileChooserDialog* _tmp9_ = NULL;
	GFile* invalid_file = NULL;
	NoiseLibrariesManager* _tmp10_ = NULL;
	NoiseLibrary* _tmp11_ = NULL;
	gint64 _tmp12_ = 0LL;
	NoiseMedia* _tmp13_ = NULL;
	NoiseMedia* _tmp14_ = NULL;
	gchar* _tmp15_ = NULL;
	gchar* _tmp16_ = NULL;
	gchar* _tmp17_ = NULL;
	GFile* _tmp18_ = NULL;
	GFile* _tmp19_ = NULL;
	gchar* music_folder = NULL;
	NoiseSettingsMain* _tmp20_ = NULL;
	NoiseSettingsMain* _tmp21_ = NULL;
	const gchar* _tmp22_ = NULL;
	const gchar* _tmp23_ = NULL;
	gchar* _tmp24_ = NULL;
	gchar* _tmp25_ = NULL;
	GFile* _tmp26_ = NULL;
	GFile* _tmp27_ = NULL;
	GFile* _tmp28_ = NULL;
	gboolean _tmp29_ = FALSE;
	gboolean _tmp30_ = FALSE;
	GtkFileChooserDialog* _tmp71_ = NULL;
	gint _tmp72_ = 0;
	GtkFileChooserDialog* _tmp75_ = NULL;
	gboolean _tmp76_ = FALSE;
	const gchar* _tmp77_ = NULL;
#line 117 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	g_return_if_fail (self != NULL);
#line 118 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp0_ = self->priv->media_list;
#line 118 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp1_ = gee_abstract_list_get ((GeeAbstractList*) _tmp0_, 0);
#line 118 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	m = (NoiseMedia*) _tmp1_;
#line 119 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp2_ = m;
#line 119 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp3_ = noise_media_get_rowid (_tmp2_);
#line 119 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp4_ = _tmp3_;
#line 119 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	media_id = _tmp4_;
#line 121 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp5_ = g_strdup ("");
#line 121 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	file = _tmp5_;
#line 122 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp6_ = _ ("Choose Music Folder");
#line 122 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp7_ = _ ("Cancel");
#line 122 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp8_ = _ ("Open");
#line 122 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp9_ = (GtkFileChooserDialog*) gtk_file_chooser_dialog_new (_tmp6_, (GtkWindow*) self, GTK_FILE_CHOOSER_ACTION_OPEN, _tmp7_, GTK_RESPONSE_CANCEL, _tmp8_, GTK_RESPONSE_ACCEPT, NULL);
#line 122 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	g_object_ref_sink (_tmp9_);
#line 122 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	file_chooser = _tmp9_;
#line 128 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp10_ = noise_libraries_manager;
#line 128 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp11_ = _tmp10_->local_library;
#line 128 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp12_ = media_id;
#line 128 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp13_ = noise_library_media_from_id (_tmp11_, _tmp12_);
#line 128 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp14_ = _tmp13_;
#line 128 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp15_ = noise_media_get_uri (_tmp14_);
#line 128 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp16_ = _tmp15_;
#line 128 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp17_ = _tmp16_;
#line 128 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp18_ = g_file_new_for_uri (_tmp17_);
#line 128 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp19_ = _tmp18_;
#line 128 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_g_free0 (_tmp17_);
#line 128 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_g_object_unref0 (_tmp14_);
#line 128 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	invalid_file = _tmp19_;
#line 129 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp20_ = noise_settings_main_get_default ();
#line 129 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp21_ = _tmp20_;
#line 129 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp22_ = noise_settings_main_get_music_folder (_tmp21_);
#line 129 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp23_ = _tmp22_;
#line 129 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp24_ = g_strdup (_tmp23_);
#line 129 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp25_ = _tmp24_;
#line 129 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_g_object_unref0 (_tmp21_);
#line 129 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	music_folder = _tmp25_;
#line 131 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp26_ = invalid_file;
#line 131 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp27_ = g_file_get_parent (_tmp26_);
#line 131 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp28_ = _tmp27_;
#line 131 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp29_ = g_file_query_exists (_tmp28_, NULL);
#line 131 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp30_ = _tmp29_;
#line 131 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_g_object_unref0 (_tmp28_);
#line 131 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	if (_tmp30_) {
#line 702 "FileNotFoundDialog.c"
		GtkFileChooserDialog* _tmp31_ = NULL;
		GFile* _tmp32_ = NULL;
		GFile* _tmp33_ = NULL;
		GFile* _tmp34_ = NULL;
		gchar* _tmp35_ = NULL;
		gchar* _tmp36_ = NULL;
#line 132 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_tmp31_ = file_chooser;
#line 132 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_tmp32_ = invalid_file;
#line 132 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_tmp33_ = g_file_get_parent (_tmp32_);
#line 132 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_tmp34_ = _tmp33_;
#line 132 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_tmp35_ = g_file_get_path (_tmp34_);
#line 132 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_tmp36_ = _tmp35_;
#line 132 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		gtk_file_chooser_set_current_folder ((GtkFileChooser*) _tmp31_, _tmp36_);
#line 132 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_g_free0 (_tmp36_);
#line 132 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_g_object_unref0 (_tmp34_);
#line 727 "FileNotFoundDialog.c"
	} else {
		gboolean _tmp37_ = FALSE;
		GFile* _tmp38_ = NULL;
		GFile* _tmp39_ = NULL;
		GFile* _tmp40_ = NULL;
		GFile* _tmp41_ = NULL;
		GFile* _tmp42_ = NULL;
		gboolean _tmp43_ = FALSE;
		gboolean _tmp44_ = FALSE;
#line 133 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_tmp38_ = invalid_file;
#line 133 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_tmp39_ = g_file_get_parent (_tmp38_);
#line 133 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_tmp40_ = _tmp39_;
#line 133 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_tmp41_ = g_file_get_parent (_tmp40_);
#line 133 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_tmp42_ = _tmp41_;
#line 133 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_tmp43_ = g_file_query_exists (_tmp42_, NULL);
#line 133 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_tmp44_ = _tmp43_;
#line 133 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_g_object_unref0 (_tmp42_);
#line 133 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_g_object_unref0 (_tmp40_);
#line 133 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		if (_tmp44_) {
#line 757 "FileNotFoundDialog.c"
			GFile* _tmp45_ = NULL;
			GFile* _tmp46_ = NULL;
			GFile* _tmp47_ = NULL;
			GFile* _tmp48_ = NULL;
			GFile* _tmp49_ = NULL;
			gchar* _tmp50_ = NULL;
			gchar* _tmp51_ = NULL;
			const gchar* _tmp52_ = NULL;
			gboolean _tmp53_ = FALSE;
#line 134 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
			_tmp45_ = invalid_file;
#line 134 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
			_tmp46_ = g_file_get_parent (_tmp45_);
#line 134 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
			_tmp47_ = _tmp46_;
#line 134 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
			_tmp48_ = g_file_get_parent (_tmp47_);
#line 134 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
			_tmp49_ = _tmp48_;
#line 134 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
			_tmp50_ = g_file_get_path (_tmp49_);
#line 134 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
			_tmp51_ = _tmp50_;
#line 134 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
			_tmp52_ = music_folder;
#line 134 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
			_tmp53_ = string_contains (_tmp51_, _tmp52_);
#line 134 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
			_tmp37_ = _tmp53_;
#line 134 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
			_g_free0 (_tmp51_);
#line 134 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
			_g_object_unref0 (_tmp49_);
#line 134 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
			_g_object_unref0 (_tmp47_);
#line 793 "FileNotFoundDialog.c"
		} else {
#line 133 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
			_tmp37_ = FALSE;
#line 797 "FileNotFoundDialog.c"
		}
#line 133 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		if (_tmp37_) {
#line 801 "FileNotFoundDialog.c"
			GtkFileChooserDialog* _tmp54_ = NULL;
			GFile* _tmp55_ = NULL;
			GFile* _tmp56_ = NULL;
			GFile* _tmp57_ = NULL;
			GFile* _tmp58_ = NULL;
			GFile* _tmp59_ = NULL;
			gchar* _tmp60_ = NULL;
			gchar* _tmp61_ = NULL;
#line 136 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
			_tmp54_ = file_chooser;
#line 136 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
			_tmp55_ = invalid_file;
#line 136 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
			_tmp56_ = g_file_get_parent (_tmp55_);
#line 136 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
			_tmp57_ = _tmp56_;
#line 136 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
			_tmp58_ = g_file_get_parent (_tmp57_);
#line 136 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
			_tmp59_ = _tmp58_;
#line 136 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
			_tmp60_ = g_file_get_path (_tmp59_);
#line 136 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
			_tmp61_ = _tmp60_;
#line 136 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
			gtk_file_chooser_set_current_folder ((GtkFileChooser*) _tmp54_, _tmp61_);
#line 136 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
			_g_free0 (_tmp61_);
#line 136 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
			_g_object_unref0 (_tmp59_);
#line 136 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
			_g_object_unref0 (_tmp57_);
#line 834 "FileNotFoundDialog.c"
		} else {
			const gchar* _tmp62_ = NULL;
			GFile* _tmp63_ = NULL;
			GFile* _tmp64_ = NULL;
			gboolean _tmp65_ = FALSE;
			gboolean _tmp66_ = FALSE;
#line 137 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
			_tmp62_ = music_folder;
#line 137 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
			_tmp63_ = g_file_new_for_path (_tmp62_);
#line 137 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
			_tmp64_ = _tmp63_;
#line 137 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
			_tmp65_ = g_file_query_exists (_tmp64_, NULL);
#line 137 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
			_tmp66_ = _tmp65_;
#line 137 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
			_g_object_unref0 (_tmp64_);
#line 137 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
			if (_tmp66_) {
#line 855 "FileNotFoundDialog.c"
				GtkFileChooserDialog* _tmp67_ = NULL;
				const gchar* _tmp68_ = NULL;
#line 138 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
				_tmp67_ = file_chooser;
#line 138 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
				_tmp68_ = music_folder;
#line 138 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
				gtk_file_chooser_set_current_folder ((GtkFileChooser*) _tmp67_, _tmp68_);
#line 864 "FileNotFoundDialog.c"
			} else {
				GtkFileChooserDialog* _tmp69_ = NULL;
				const gchar* _tmp70_ = NULL;
#line 140 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
				_tmp69_ = file_chooser;
#line 140 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
				_tmp70_ = g_get_home_dir ();
#line 140 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
				gtk_file_chooser_set_current_folder ((GtkFileChooser*) _tmp69_, _tmp70_);
#line 874 "FileNotFoundDialog.c"
			}
		}
	}
#line 143 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp71_ = file_chooser;
#line 143 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp72_ = gtk_dialog_run ((GtkDialog*) _tmp71_);
#line 143 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	if (_tmp72_ == ((gint) GTK_RESPONSE_ACCEPT)) {
#line 884 "FileNotFoundDialog.c"
		GtkFileChooserDialog* _tmp73_ = NULL;
		gchar* _tmp74_ = NULL;
#line 144 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_tmp73_ = file_chooser;
#line 144 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_tmp74_ = gtk_file_chooser_get_filename ((GtkFileChooser*) _tmp73_);
#line 144 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_g_free0 (file);
#line 144 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		file = _tmp74_;
#line 895 "FileNotFoundDialog.c"
	}
#line 147 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp75_ = file_chooser;
#line 147 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	gtk_widget_destroy ((GtkWidget*) _tmp75_);
#line 149 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp77_ = file;
#line 149 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	if (g_strcmp0 (_tmp77_, "") != 0) {
#line 905 "FileNotFoundDialog.c"
		const gchar* _tmp78_ = NULL;
		GFile* _tmp79_ = NULL;
		GFile* _tmp80_ = NULL;
		gboolean _tmp81_ = FALSE;
#line 149 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_tmp78_ = file;
#line 149 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_tmp79_ = g_file_new_for_path (_tmp78_);
#line 149 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_tmp80_ = _tmp79_;
#line 149 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_tmp81_ = g_file_query_exists (_tmp80_, NULL);
#line 149 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_tmp76_ = _tmp81_;
#line 149 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_g_object_unref0 (_tmp80_);
#line 922 "FileNotFoundDialog.c"
	} else {
#line 149 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_tmp76_ = FALSE;
#line 926 "FileNotFoundDialog.c"
	}
#line 149 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	if (_tmp76_) {
#line 930 "FileNotFoundDialog.c"
		NoiseMedia* _tmp82_ = NULL;
		const gchar* _tmp83_ = NULL;
		GFile* _tmp84_ = NULL;
		GFile* _tmp85_ = NULL;
		gchar* _tmp86_ = NULL;
		gchar* _tmp87_ = NULL;
		NoiseMedia* _tmp88_ = NULL;
		NoiseMedia* _tmp89_ = NULL;
		NoiseLibrariesManager* _tmp90_ = NULL;
		NoiseLibrary* _tmp91_ = NULL;
		NoiseMedia* _tmp92_ = NULL;
#line 150 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_tmp82_ = m;
#line 150 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_tmp83_ = file;
#line 150 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_tmp84_ = g_file_new_for_path (_tmp83_);
#line 150 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_tmp85_ = _tmp84_;
#line 150 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_tmp86_ = g_file_get_uri (_tmp85_);
#line 150 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_tmp87_ = _tmp86_;
#line 150 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		noise_media_set_uri (_tmp82_, _tmp87_);
#line 150 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_g_free0 (_tmp87_);
#line 150 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_g_object_unref0 (_tmp85_);
#line 151 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_tmp88_ = m;
#line 151 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		noise_media_set_location_unknown (_tmp88_, FALSE);
#line 152 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_tmp89_ = m;
#line 152 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		noise_media_set_unique_status_image (_tmp89_, NULL);
#line 155 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_tmp90_ = noise_libraries_manager;
#line 155 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_tmp91_ = _tmp90_->local_library;
#line 155 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		_tmp92_ = m;
#line 155 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		noise_library_update_media (_tmp91_, _tmp92_, FALSE, FALSE);
#line 157 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
		gtk_widget_destroy ((GtkWidget*) self);
#line 978 "FileNotFoundDialog.c"
	}
#line 117 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_g_free0 (music_folder);
#line 117 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_g_object_unref0 (invalid_file);
#line 117 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_g_object_unref0 (file_chooser);
#line 117 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_g_free0 (file);
#line 117 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_g_object_unref0 (m);
#line 990 "FileNotFoundDialog.c"
}


static void noise_file_not_found_dialog_rescan_library_clicked (NoiseFileNotFoundDialog* self) {
	NoiseLibrariesManager* _tmp0_ = NULL;
	NoiseLibrary* _tmp1_ = NULL;
#line 161 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	g_return_if_fail (self != NULL);
#line 162 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp0_ = noise_libraries_manager;
#line 162 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp1_ = _tmp0_->local_library;
#line 162 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	noise_local_library_rescan_music_folder (G_TYPE_CHECK_INSTANCE_CAST (_tmp1_, NOISE_TYPE_LOCAL_LIBRARY, NoiseLocalLibrary));
#line 164 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	gtk_widget_destroy ((GtkWidget*) self);
#line 1007 "FileNotFoundDialog.c"
}


static void noise_file_not_found_dialog_file_operations_done (NoiseFileNotFoundDialog* self) {
	GtkButton* _tmp0_ = NULL;
#line 167 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	g_return_if_fail (self != NULL);
#line 168 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp0_ = self->priv->rescanLibrary;
#line 168 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp0_, TRUE);
#line 1019 "FileNotFoundDialog.c"
}


static void noise_file_not_found_dialog_file_operations_started (NoiseFileNotFoundDialog* self) {
	GtkButton* _tmp0_ = NULL;
#line 171 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	g_return_if_fail (self != NULL);
#line 172 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp0_ = self->priv->rescanLibrary;
#line 172 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp0_, FALSE);
#line 1031 "FileNotFoundDialog.c"
}


static void noise_file_not_found_dialog_class_init (NoiseFileNotFoundDialogClass * klass) {
#line 30 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	noise_file_not_found_dialog_parent_class = g_type_class_peek_parent (klass);
#line 30 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	g_type_class_add_private (klass, sizeof (NoiseFileNotFoundDialogPrivate));
#line 30 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	G_OBJECT_CLASS (klass)->finalize = noise_file_not_found_dialog_finalize;
#line 1042 "FileNotFoundDialog.c"
}


static void noise_file_not_found_dialog_instance_init (NoiseFileNotFoundDialog * self) {
	GeeLinkedList* _tmp0_ = NULL;
#line 30 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	self->priv = NOISE_FILE_NOT_FOUND_DIALOG_GET_PRIVATE (self);
#line 31 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_tmp0_ = gee_linked_list_new (NOISE_TYPE_MEDIA, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 31 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	self->priv->media_list = _tmp0_;
#line 1054 "FileNotFoundDialog.c"
}


static void noise_file_not_found_dialog_finalize (GObject* obj) {
	NoiseFileNotFoundDialog * self;
#line 30 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NOISE_TYPE_FILE_NOT_FOUND_DIALOG, NoiseFileNotFoundDialog);
#line 31 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_g_object_unref0 (self->priv->media_list);
#line 33 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	_g_object_unref0 (self->priv->rescanLibrary);
#line 30 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/FileNotFoundDialog.vala"
	G_OBJECT_CLASS (noise_file_not_found_dialog_parent_class)->finalize (obj);
#line 1068 "FileNotFoundDialog.c"
}


GType noise_file_not_found_dialog_get_type (void) {
	static volatile gsize noise_file_not_found_dialog_type_id__volatile = 0;
	if (g_once_init_enter (&noise_file_not_found_dialog_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NoiseFileNotFoundDialogClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) noise_file_not_found_dialog_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NoiseFileNotFoundDialog), 0, (GInstanceInitFunc) noise_file_not_found_dialog_instance_init, NULL };
		GType noise_file_not_found_dialog_type_id;
		noise_file_not_found_dialog_type_id = g_type_register_static (gtk_dialog_get_type (), "NoiseFileNotFoundDialog", &g_define_type_info, 0);
		g_once_init_leave (&noise_file_not_found_dialog_type_id__volatile, noise_file_not_found_dialog_type_id);
	}
	return noise_file_not_found_dialog_type_id__volatile;
}



