/* MediaEditor.c generated by valac 0.34.9, the Vala compiler
 * generated from MediaEditor.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2012-2017 elementary LLC. (https://elementary.io)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Noise authors hereby grant permission for non-GPL compatible
 * GStreamer plugins to be used and distributed together with GStreamer
 * and Noise. This permission is above and beyond the permissions granted
 * by the GPL license by which Noise is covered. If you modify this code
 * you may extend this exception to your version of the code, but you are not
 * obligated to do so. If you do not wish to do so, delete this exception
 * statement from your version.
 *
 * Authored by: Corentin Noël <corentin@elementary.io>
 */

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <gee.h>
#include <noise-core.h>
#include <stdlib.h>
#include <string.h>
#include <float.h>
#include <math.h>
#include <glib/gi18n-lib.h>


#define NOISE_TYPE_MEDIA_EDITOR (noise_media_editor_get_type ())
#define NOISE_MEDIA_EDITOR(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_MEDIA_EDITOR, NoiseMediaEditor))
#define NOISE_MEDIA_EDITOR_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_MEDIA_EDITOR, NoiseMediaEditorClass))
#define NOISE_IS_MEDIA_EDITOR(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_MEDIA_EDITOR))
#define NOISE_IS_MEDIA_EDITOR_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_MEDIA_EDITOR))
#define NOISE_MEDIA_EDITOR_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_MEDIA_EDITOR, NoiseMediaEditorClass))

typedef struct _NoiseMediaEditor NoiseMediaEditor;
typedef struct _NoiseMediaEditorClass NoiseMediaEditorClass;
typedef struct _NoiseMediaEditorPrivate NoiseMediaEditorPrivate;

#define GRANITE_WIDGETS_TYPE_RATING (granite_widgets_rating_get_type ())
#define GRANITE_WIDGETS_RATING(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), GRANITE_WIDGETS_TYPE_RATING, GraniteWidgetsRating))
#define GRANITE_WIDGETS_RATING_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), GRANITE_WIDGETS_TYPE_RATING, GraniteWidgetsRatingClass))
#define GRANITE_WIDGETS_IS_RATING(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GRANITE_WIDGETS_TYPE_RATING))
#define GRANITE_WIDGETS_IS_RATING_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), GRANITE_WIDGETS_TYPE_RATING))
#define GRANITE_WIDGETS_RATING_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), GRANITE_WIDGETS_TYPE_RATING, GraniteWidgetsRatingClass))

typedef struct _GraniteWidgetsRating GraniteWidgetsRating;
typedef struct _GraniteWidgetsRatingClass GraniteWidgetsRatingClass;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))

#define NOISE_TYPE_LIBRARY_WINDOW (noise_library_window_get_type ())
#define NOISE_LIBRARY_WINDOW(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_LIBRARY_WINDOW, NoiseLibraryWindow))
#define NOISE_LIBRARY_WINDOW_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_LIBRARY_WINDOW, NoiseLibraryWindowClass))
#define NOISE_IS_LIBRARY_WINDOW(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_LIBRARY_WINDOW))
#define NOISE_IS_LIBRARY_WINDOW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_LIBRARY_WINDOW))
#define NOISE_LIBRARY_WINDOW_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_LIBRARY_WINDOW, NoiseLibraryWindowClass))

typedef struct _NoiseLibraryWindow NoiseLibraryWindow;
typedef struct _NoiseLibraryWindowClass NoiseLibraryWindowClass;
#define _g_date_time_unref0(var) ((var == NULL) ? NULL : (var = (g_date_time_unref (var), NULL)))

struct _NoiseMediaEditor {
	GtkDialog parent_instance;
	NoiseMediaEditorPrivate * priv;
};

struct _NoiseMediaEditorClass {
	GtkDialogClass parent_class;
};

struct _NoiseMediaEditorPrivate {
	GtkEntry* title_entry;
	GtkEntry* artist_entry;
	GtkEntry* album_artist_entry;
	GtkEntry* album_entry;
	GtkEntry* genre_entry;
	GtkEntry* composer_entry;
	GtkEntry* grouping_entry;
	GtkTextView* comment_textview;
	GtkScrolledWindow* comment_scrolledwindow;
	GtkSpinButton* track_spinbutton;
	GtkSpinButton* disk_spinbutton;
	GtkSpinButton* year_spinbutton;
	GraniteWidgetsRating* rating_widget;
	GtkButton* previous_button;
	GtkButton* next_button;
	GtkButton* save_button;
	GtkButton* close_button;
	GeeTreeSet* media_list;
	GeeHashMap* temp_list;
	NoiseMedia* current_media;
};


static gpointer noise_media_editor_parent_class = NULL;

GType noise_media_editor_get_type (void) G_GNUC_CONST;
GType granite_widgets_rating_get_type (void) G_GNUC_CONST;
#define NOISE_MEDIA_EDITOR_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NOISE_TYPE_MEDIA_EDITOR, NoiseMediaEditorPrivate))
enum  {
	NOISE_MEDIA_EDITOR_DUMMY_PROPERTY
};
NoiseMediaEditor* noise_media_editor_new (GeeTreeSet* given_media);
NoiseMediaEditor* noise_media_editor_construct (GType object_type, GeeTreeSet* given_media);
static void noise_media_editor_set_media (NoiseMediaEditor* self, NoiseMedia* m);
static void noise_media_editor_format_label (NoiseMediaEditor* self, GtkLabel* label);
static void noise_media_editor_previous_track (NoiseMediaEditor* self);
static void noise_media_editor_save_track (NoiseMediaEditor* self);
static void noise_media_editor_next_track (NoiseMediaEditor* self);
gint granite_widgets_rating_get_rating (GraniteWidgetsRating* self);
static void noise_media_editor_save_and_exit (NoiseMediaEditor* self);
void granite_widgets_rating_set_rating (GraniteWidgetsRating* self, gint value);
static GObject * noise_media_editor_constructor (GType type, guint n_construct_properties, GObjectConstructParam * construct_properties);
static gint64* _int64_dup (gint64* self);
GType noise_library_window_get_type (void) G_GNUC_CONST;
NoiseLibraryWindow* noise_app_get_main_window (void);
GraniteWidgetsRating* granite_widgets_rating_new (gboolean centered, GtkIconSize size, gboolean symbolic);
GraniteWidgetsRating* granite_widgets_rating_construct (GType object_type, gboolean centered, GtkIconSize size, gboolean symbolic);
static void _noise_media_editor_previous_track_gtk_button_clicked (GtkButton* _sender, gpointer self);
static void _noise_media_editor_next_track_gtk_button_clicked (GtkButton* _sender, gpointer self);
static void _noise_media_editor___lambda40_ (NoiseMediaEditor* self);
static void __noise_media_editor___lambda40__gtk_button_clicked (GtkButton* _sender, gpointer self);
static void _noise_media_editor_save_and_exit_gtk_button_clicked (GtkButton* _sender, gpointer self);
static void noise_media_editor_finalize (GObject* obj);


NoiseMediaEditor* noise_media_editor_construct (GType object_type, GeeTreeSet* given_media) {
	NoiseMediaEditor * self = NULL;
	GeeTreeSet* _tmp0_ = NULL;
	GeeTreeSet* _tmp1_ = NULL;
	GeeTreeSet* _tmp2_ = NULL;
	gpointer _tmp3_ = NULL;
	NoiseMedia* _tmp4_ = NULL;
#line 53 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	g_return_val_if_fail (given_media != NULL, NULL);
#line 53 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	self = (NoiseMediaEditor*) g_object_new (object_type, NULL);
#line 54 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp0_ = self->priv->media_list;
#line 54 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp1_ = given_media;
#line 54 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gee_collection_add_all ((GeeCollection*) _tmp0_, (GeeCollection*) _tmp1_);
#line 55 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp2_ = self->priv->media_list;
#line 55 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp3_ = gee_abstract_sorted_set_first ((GeeAbstractSortedSet*) _tmp2_);
#line 55 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp4_ = (NoiseMedia*) _tmp3_;
#line 55 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	noise_media_editor_set_media (self, _tmp4_);
#line 55 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (_tmp4_);
#line 53 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	return self;
#line 173 "MediaEditor.c"
}


NoiseMediaEditor* noise_media_editor_new (GeeTreeSet* given_media) {
#line 53 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	return noise_media_editor_construct (NOISE_TYPE_MEDIA_EDITOR, given_media);
#line 180 "MediaEditor.c"
}


static void noise_media_editor_format_label (NoiseMediaEditor* self, GtkLabel* label) {
	GtkLabel* _tmp0_ = NULL;
	GtkLabel* _tmp1_ = NULL;
	GtkLabel* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
	const gchar* _tmp4_ = NULL;
	gchar* _tmp5_ = NULL;
	gchar* _tmp6_ = NULL;
	gchar* _tmp7_ = NULL;
	gchar* _tmp8_ = NULL;
	GtkLabel* _tmp9_ = NULL;
#line 179 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	g_return_if_fail (self != NULL);
#line 179 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	g_return_if_fail (label != NULL);
#line 180 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp0_ = label;
#line 180 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp0_, GTK_ALIGN_START);
#line 181 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp1_ = label;
#line 181 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp2_ = label;
#line 181 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp3_ = gtk_label_get_label (_tmp2_);
#line 181 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp4_ = _tmp3_;
#line 181 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp5_ = g_markup_escape_text (_tmp4_, (gssize) -1);
#line 181 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp6_ = _tmp5_;
#line 181 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp7_ = g_strdup_printf ("<b>%s</b>", _tmp6_);
#line 181 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp8_ = _tmp7_;
#line 181 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_label_set_label (_tmp1_, _tmp8_);
#line 181 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_free0 (_tmp8_);
#line 181 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_free0 (_tmp6_);
#line 182 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp9_ = label;
#line 182 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_label_set_use_markup (_tmp9_, TRUE);
#line 229 "MediaEditor.c"
}


static void noise_media_editor_previous_track (NoiseMediaEditor* self) {
	GeeBidirIterator* iterator = NULL;
	GeeTreeSet* _tmp0_ = NULL;
	NoiseMedia* _tmp1_ = NULL;
	GeeIterator* _tmp2_ = NULL;
	GeeBidirIterator* _tmp3_ = NULL;
	gboolean _tmp4_ = FALSE;
#line 185 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	g_return_if_fail (self != NULL);
#line 186 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp0_ = self->priv->media_list;
#line 186 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp1_ = self->priv->current_media;
#line 186 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp2_ = gee_abstract_sorted_set_iterator_at ((GeeAbstractSortedSet*) _tmp0_, _tmp1_);
#line 186 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	iterator = G_TYPE_CHECK_INSTANCE_CAST (_tmp2_, GEE_TYPE_BIDIR_ITERATOR, GeeBidirIterator);
#line 187 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp3_ = iterator;
#line 187 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp4_ = gee_bidir_iterator_has_previous (_tmp3_);
#line 187 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	if (_tmp4_) {
#line 256 "MediaEditor.c"
		GeeBidirIterator* _tmp5_ = NULL;
		GeeBidirIterator* _tmp6_ = NULL;
		gpointer _tmp7_ = NULL;
		NoiseMedia* _tmp8_ = NULL;
#line 188 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
		noise_media_editor_save_track (self);
#line 189 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
		_tmp5_ = iterator;
#line 189 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
		gee_bidir_iterator_previous (_tmp5_);
#line 190 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
		_tmp6_ = iterator;
#line 190 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
		_tmp7_ = gee_iterator_get ((GeeIterator*) _tmp6_);
#line 190 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
		_tmp8_ = (NoiseMedia*) _tmp7_;
#line 190 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
		noise_media_editor_set_media (self, _tmp8_);
#line 190 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
		_g_object_unref0 (_tmp8_);
#line 277 "MediaEditor.c"
	} else {
		GtkButton* _tmp9_ = NULL;
#line 192 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
		_tmp9_ = self->priv->previous_button;
#line 192 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
		gtk_widget_set_sensitive ((GtkWidget*) _tmp9_, FALSE);
#line 284 "MediaEditor.c"
	}
#line 185 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (iterator);
#line 288 "MediaEditor.c"
}


static void noise_media_editor_next_track (NoiseMediaEditor* self) {
	GeeIterator* iterator = NULL;
	GeeTreeSet* _tmp0_ = NULL;
	NoiseMedia* _tmp1_ = NULL;
	GeeIterator* _tmp2_ = NULL;
	GeeIterator* _tmp3_ = NULL;
	gboolean _tmp4_ = FALSE;
#line 196 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	g_return_if_fail (self != NULL);
#line 197 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp0_ = self->priv->media_list;
#line 197 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp1_ = self->priv->current_media;
#line 197 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp2_ = gee_abstract_sorted_set_iterator_at ((GeeAbstractSortedSet*) _tmp0_, _tmp1_);
#line 197 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	iterator = _tmp2_;
#line 198 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp3_ = iterator;
#line 198 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp4_ = gee_iterator_has_next (_tmp3_);
#line 198 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	if (_tmp4_) {
#line 315 "MediaEditor.c"
		GeeIterator* _tmp5_ = NULL;
		GeeIterator* _tmp6_ = NULL;
		gpointer _tmp7_ = NULL;
		NoiseMedia* _tmp8_ = NULL;
#line 199 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
		noise_media_editor_save_track (self);
#line 200 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
		_tmp5_ = iterator;
#line 200 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
		gee_iterator_next (_tmp5_);
#line 201 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
		_tmp6_ = iterator;
#line 201 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
		_tmp7_ = gee_iterator_get (_tmp6_);
#line 201 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
		_tmp8_ = (NoiseMedia*) _tmp7_;
#line 201 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
		noise_media_editor_set_media (self, _tmp8_);
#line 201 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
		_g_object_unref0 (_tmp8_);
#line 336 "MediaEditor.c"
	} else {
		GtkButton* _tmp9_ = NULL;
#line 203 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
		_tmp9_ = self->priv->next_button;
#line 203 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
		gtk_widget_set_sensitive ((GtkWidget*) _tmp9_, FALSE);
#line 343 "MediaEditor.c"
	}
#line 196 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (iterator);
#line 347 "MediaEditor.c"
}


static void noise_media_editor_save_track (NoiseMediaEditor* self) {
	NoiseMedia* m = NULL;
	NoiseMedia* _tmp0_ = NULL;
	NoiseMedia* _tmp1_ = NULL;
	GtkEntry* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
	const gchar* _tmp4_ = NULL;
	GtkEntry* _tmp5_ = NULL;
	const gchar* _tmp6_ = NULL;
	const gchar* _tmp7_ = NULL;
	GtkEntry* _tmp8_ = NULL;
	const gchar* _tmp9_ = NULL;
	const gchar* _tmp10_ = NULL;
	GtkEntry* _tmp11_ = NULL;
	const gchar* _tmp12_ = NULL;
	const gchar* _tmp13_ = NULL;
	GtkEntry* _tmp14_ = NULL;
	const gchar* _tmp15_ = NULL;
	const gchar* _tmp16_ = NULL;
	GtkEntry* _tmp17_ = NULL;
	const gchar* _tmp18_ = NULL;
	const gchar* _tmp19_ = NULL;
	GtkEntry* _tmp20_ = NULL;
	const gchar* _tmp21_ = NULL;
	const gchar* _tmp22_ = NULL;
	GtkTextView* _tmp23_ = NULL;
	GtkTextBuffer* _tmp24_ = NULL;
	GtkTextBuffer* _tmp25_ = NULL;
	gchar* _tmp26_ = NULL;
	gchar* _tmp27_ = NULL;
	gchar* _tmp28_ = NULL;
	GtkSpinButton* _tmp29_ = NULL;
	gdouble _tmp30_ = 0.0;
	gdouble _tmp31_ = 0.0;
	GtkSpinButton* _tmp32_ = NULL;
	gdouble _tmp33_ = 0.0;
	gdouble _tmp34_ = 0.0;
	GtkSpinButton* _tmp35_ = NULL;
	gdouble _tmp36_ = 0.0;
	gdouble _tmp37_ = 0.0;
	GraniteWidgetsRating* _tmp38_ = NULL;
	gint _tmp39_ = 0;
	gint _tmp40_ = 0;
	GeeHashMap* _tmp41_ = NULL;
	NoiseMedia* _tmp42_ = NULL;
	gint64 _tmp43_ = 0LL;
	gint64 _tmp44_ = 0LL;
#line 207 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	g_return_if_fail (self != NULL);
#line 208 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp0_ = self->priv->current_media;
#line 208 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp1_ = noise_media_copy (_tmp0_);
#line 208 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	m = _tmp1_;
#line 209 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp2_ = self->priv->title_entry;
#line 209 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp3_ = gtk_entry_get_text (_tmp2_);
#line 209 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp4_ = _tmp3_;
#line 209 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	noise_media_set_title (m, _tmp4_);
#line 210 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp5_ = self->priv->artist_entry;
#line 210 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp6_ = gtk_entry_get_text (_tmp5_);
#line 210 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp7_ = _tmp6_;
#line 210 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	noise_media_set_artist (m, _tmp7_);
#line 211 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp8_ = self->priv->album_artist_entry;
#line 211 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp9_ = gtk_entry_get_text (_tmp8_);
#line 211 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp10_ = _tmp9_;
#line 211 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	noise_media_set_album_artist (m, _tmp10_);
#line 212 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp11_ = self->priv->album_entry;
#line 212 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp12_ = gtk_entry_get_text (_tmp11_);
#line 212 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp13_ = _tmp12_;
#line 212 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	noise_media_set_album (m, _tmp13_);
#line 213 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp14_ = self->priv->genre_entry;
#line 213 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp15_ = gtk_entry_get_text (_tmp14_);
#line 213 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp16_ = _tmp15_;
#line 213 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	noise_media_set_genre (m, _tmp16_);
#line 214 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp17_ = self->priv->composer_entry;
#line 214 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp18_ = gtk_entry_get_text (_tmp17_);
#line 214 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp19_ = _tmp18_;
#line 214 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	noise_media_set_composer (m, _tmp19_);
#line 215 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp20_ = self->priv->grouping_entry;
#line 215 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp21_ = gtk_entry_get_text (_tmp20_);
#line 215 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp22_ = _tmp21_;
#line 215 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	noise_media_set_grouping (m, _tmp22_);
#line 216 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp23_ = self->priv->comment_textview;
#line 216 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp24_ = gtk_text_view_get_buffer (_tmp23_);
#line 216 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp25_ = _tmp24_;
#line 216 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	g_object_get (_tmp25_, "text", &_tmp26_, NULL);
#line 216 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp27_ = _tmp26_;
#line 216 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp28_ = _tmp27_;
#line 216 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	noise_media_set_comment (m, _tmp28_);
#line 216 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_free0 (_tmp28_);
#line 217 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp29_ = self->priv->track_spinbutton;
#line 217 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp30_ = gtk_spin_button_get_value (_tmp29_);
#line 217 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp31_ = _tmp30_;
#line 217 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	noise_media_set_track (m, (guint) ((gint) _tmp31_));
#line 218 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp32_ = self->priv->disk_spinbutton;
#line 218 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp33_ = gtk_spin_button_get_value (_tmp32_);
#line 218 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp34_ = _tmp33_;
#line 218 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	noise_media_set_album_number (m, (guint) ((gint) _tmp34_));
#line 219 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp35_ = self->priv->year_spinbutton;
#line 219 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp36_ = gtk_spin_button_get_value (_tmp35_);
#line 219 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp37_ = _tmp36_;
#line 219 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	noise_media_set_year (m, (guint) ((gint) _tmp37_));
#line 220 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp38_ = self->priv->rating_widget;
#line 220 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp39_ = granite_widgets_rating_get_rating (_tmp38_);
#line 220 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp40_ = _tmp39_;
#line 220 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	noise_media_set_rating (m, (guint) _tmp40_);
#line 221 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp41_ = self->priv->temp_list;
#line 221 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp42_ = self->priv->current_media;
#line 221 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp43_ = noise_media_get_rowid (_tmp42_);
#line 221 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp44_ = _tmp43_;
#line 221 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gee_abstract_map_set ((GeeAbstractMap*) _tmp41_, &_tmp44_, m);
#line 207 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (m);
#line 522 "MediaEditor.c"
}


static void noise_media_editor_save_and_exit (NoiseMediaEditor* self) {
	GeeTreeSet* _tmp64_ = NULL;
	GeeHashMap* _tmp65_ = NULL;
#line 225 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	g_return_if_fail (self != NULL);
#line 226 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	noise_media_editor_save_track (self);
#line 533 "MediaEditor.c"
	{
		GeeIterator* _m_it = NULL;
		GeeTreeSet* _tmp0_ = NULL;
		GeeIterator* _tmp1_ = NULL;
#line 227 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
		_tmp0_ = self->priv->media_list;
#line 227 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
		_tmp1_ = gee_abstract_collection_iterator ((GeeAbstractCollection*) _tmp0_);
#line 227 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
		_m_it = _tmp1_;
#line 227 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
		while (TRUE) {
#line 546 "MediaEditor.c"
			GeeIterator* _tmp2_ = NULL;
			gboolean _tmp3_ = FALSE;
			NoiseMedia* m = NULL;
			GeeIterator* _tmp4_ = NULL;
			gpointer _tmp5_ = NULL;
			GeeHashMap* _tmp6_ = NULL;
			NoiseMedia* _tmp7_ = NULL;
			gint64 _tmp8_ = 0LL;
			gint64 _tmp9_ = 0LL;
			gboolean _tmp10_ = FALSE;
#line 227 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
			_tmp2_ = _m_it;
#line 227 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
			_tmp3_ = gee_iterator_next (_tmp2_);
#line 227 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
			if (!_tmp3_) {
#line 227 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				break;
#line 565 "MediaEditor.c"
			}
#line 227 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
			_tmp4_ = _m_it;
#line 227 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
			_tmp5_ = gee_iterator_get (_tmp4_);
#line 227 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
			m = (NoiseMedia*) _tmp5_;
#line 228 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
			_tmp6_ = self->priv->temp_list;
#line 228 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
			_tmp7_ = m;
#line 228 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
			_tmp8_ = noise_media_get_rowid (_tmp7_);
#line 228 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
			_tmp9_ = _tmp8_;
#line 228 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
			_tmp10_ = gee_abstract_map_has_key ((GeeAbstractMap*) _tmp6_, &_tmp9_);
#line 228 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
			if (_tmp10_) {
#line 585 "MediaEditor.c"
				NoiseMedia* copy = NULL;
				GeeHashMap* _tmp11_ = NULL;
				NoiseMedia* _tmp12_ = NULL;
				gint64 _tmp13_ = 0LL;
				gint64 _tmp14_ = 0LL;
				gpointer _tmp15_ = NULL;
				NoiseMedia* _tmp16_ = NULL;
				NoiseMedia* _tmp17_ = NULL;
				const gchar* _tmp18_ = NULL;
				const gchar* _tmp19_ = NULL;
				NoiseMedia* _tmp20_ = NULL;
				NoiseMedia* _tmp21_ = NULL;
				const gchar* _tmp22_ = NULL;
				const gchar* _tmp23_ = NULL;
				NoiseMedia* _tmp24_ = NULL;
				NoiseMedia* _tmp25_ = NULL;
				const gchar* _tmp26_ = NULL;
				const gchar* _tmp27_ = NULL;
				NoiseMedia* _tmp28_ = NULL;
				NoiseMedia* _tmp29_ = NULL;
				const gchar* _tmp30_ = NULL;
				const gchar* _tmp31_ = NULL;
				NoiseMedia* _tmp32_ = NULL;
				NoiseMedia* _tmp33_ = NULL;
				const gchar* _tmp34_ = NULL;
				const gchar* _tmp35_ = NULL;
				NoiseMedia* _tmp36_ = NULL;
				NoiseMedia* _tmp37_ = NULL;
				const gchar* _tmp38_ = NULL;
				const gchar* _tmp39_ = NULL;
				NoiseMedia* _tmp40_ = NULL;
				NoiseMedia* _tmp41_ = NULL;
				const gchar* _tmp42_ = NULL;
				const gchar* _tmp43_ = NULL;
				NoiseMedia* _tmp44_ = NULL;
				NoiseMedia* _tmp45_ = NULL;
				const gchar* _tmp46_ = NULL;
				const gchar* _tmp47_ = NULL;
				NoiseMedia* _tmp48_ = NULL;
				NoiseMedia* _tmp49_ = NULL;
				guint _tmp50_ = 0U;
				guint _tmp51_ = 0U;
				NoiseMedia* _tmp52_ = NULL;
				NoiseMedia* _tmp53_ = NULL;
				guint _tmp54_ = 0U;
				guint _tmp55_ = 0U;
				NoiseMedia* _tmp56_ = NULL;
				NoiseMedia* _tmp57_ = NULL;
				guint _tmp58_ = 0U;
				guint _tmp59_ = 0U;
				NoiseMedia* _tmp60_ = NULL;
				NoiseMedia* _tmp61_ = NULL;
				guint _tmp62_ = 0U;
				guint _tmp63_ = 0U;
#line 229 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				_tmp11_ = self->priv->temp_list;
#line 229 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				_tmp12_ = m;
#line 229 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				_tmp13_ = noise_media_get_rowid (_tmp12_);
#line 229 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				_tmp14_ = _tmp13_;
#line 229 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				_tmp15_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp11_, &_tmp14_);
#line 229 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				copy = (NoiseMedia*) _tmp15_;
#line 230 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				_tmp16_ = m;
#line 230 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				_tmp17_ = copy;
#line 230 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				_tmp18_ = noise_media_get_title (_tmp17_);
#line 230 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				_tmp19_ = _tmp18_;
#line 230 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				noise_media_set_title (_tmp16_, _tmp19_);
#line 231 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				_tmp20_ = m;
#line 231 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				_tmp21_ = copy;
#line 231 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				_tmp22_ = noise_media_get_artist (_tmp21_);
#line 231 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				_tmp23_ = _tmp22_;
#line 231 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				noise_media_set_artist (_tmp20_, _tmp23_);
#line 232 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				_tmp24_ = m;
#line 232 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				_tmp25_ = copy;
#line 232 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				_tmp26_ = noise_media_get_album_artist (_tmp25_);
#line 232 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				_tmp27_ = _tmp26_;
#line 232 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				noise_media_set_album_artist (_tmp24_, _tmp27_);
#line 233 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				_tmp28_ = m;
#line 233 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				_tmp29_ = copy;
#line 233 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				_tmp30_ = noise_media_get_album (_tmp29_);
#line 233 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				_tmp31_ = _tmp30_;
#line 233 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				noise_media_set_album (_tmp28_, _tmp31_);
#line 234 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				_tmp32_ = m;
#line 234 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				_tmp33_ = copy;
#line 234 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				_tmp34_ = noise_media_get_genre (_tmp33_);
#line 234 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				_tmp35_ = _tmp34_;
#line 234 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				noise_media_set_genre (_tmp32_, _tmp35_);
#line 235 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				_tmp36_ = m;
#line 235 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				_tmp37_ = copy;
#line 235 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				_tmp38_ = noise_media_get_composer (_tmp37_);
#line 235 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				_tmp39_ = _tmp38_;
#line 235 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				noise_media_set_composer (_tmp36_, _tmp39_);
#line 236 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				_tmp40_ = m;
#line 236 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				_tmp41_ = copy;
#line 236 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				_tmp42_ = noise_media_get_grouping (_tmp41_);
#line 236 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				_tmp43_ = _tmp42_;
#line 236 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				noise_media_set_grouping (_tmp40_, _tmp43_);
#line 237 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				_tmp44_ = m;
#line 237 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				_tmp45_ = copy;
#line 237 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				_tmp46_ = noise_media_get_comment (_tmp45_);
#line 237 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				_tmp47_ = _tmp46_;
#line 237 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				noise_media_set_comment (_tmp44_, _tmp47_);
#line 238 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				_tmp48_ = m;
#line 238 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				_tmp49_ = copy;
#line 238 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				_tmp50_ = noise_media_get_track (_tmp49_);
#line 238 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				_tmp51_ = _tmp50_;
#line 238 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				noise_media_set_track (_tmp48_, _tmp51_);
#line 239 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				_tmp52_ = m;
#line 239 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				_tmp53_ = copy;
#line 239 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				_tmp54_ = noise_media_get_album_number (_tmp53_);
#line 239 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				_tmp55_ = _tmp54_;
#line 239 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				noise_media_set_album_number (_tmp52_, _tmp55_);
#line 240 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				_tmp56_ = m;
#line 240 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				_tmp57_ = copy;
#line 240 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				_tmp58_ = noise_media_get_year (_tmp57_);
#line 240 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				_tmp59_ = _tmp58_;
#line 240 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				noise_media_set_year (_tmp56_, _tmp59_);
#line 241 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				_tmp60_ = m;
#line 241 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				_tmp61_ = copy;
#line 241 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				_tmp62_ = noise_media_get_rating (_tmp61_);
#line 241 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				_tmp63_ = _tmp62_;
#line 241 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				noise_media_set_rating (_tmp60_, _tmp63_);
#line 228 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
				_g_object_unref0 (copy);
#line 774 "MediaEditor.c"
			}
#line 227 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
			_g_object_unref0 (m);
#line 778 "MediaEditor.c"
		}
#line 227 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
		_g_object_unref0 (_m_it);
#line 782 "MediaEditor.c"
	}
#line 245 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp64_ = self->priv->media_list;
#line 245 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gee_abstract_collection_clear ((GeeAbstractCollection*) _tmp64_);
#line 246 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->current_media);
#line 246 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	self->priv->current_media = NULL;
#line 247 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp65_ = self->priv->temp_list;
#line 247 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gee_abstract_map_clear ((GeeAbstractMap*) _tmp65_);
#line 248 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_widget_destroy ((GtkWidget*) self);
#line 798 "MediaEditor.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 252 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	return self ? g_object_ref (self) : NULL;
#line 805 "MediaEditor.c"
}


static void noise_media_editor_set_media (NoiseMediaEditor* self, NoiseMedia* m) {
	NoiseMedia* _tmp0_ = NULL;
	NoiseMedia* _tmp1_ = NULL;
	NoiseMedia* considered_media = NULL;
	NoiseMedia* _tmp2_ = NULL;
	NoiseMedia* _tmp3_ = NULL;
	GeeHashMap* _tmp4_ = NULL;
	NoiseMedia* _tmp5_ = NULL;
	gint64 _tmp6_ = 0LL;
	gint64 _tmp7_ = 0LL;
	gboolean _tmp8_ = FALSE;
	GtkEntry* _tmp14_ = NULL;
	NoiseMedia* _tmp15_ = NULL;
	const gchar* _tmp16_ = NULL;
	const gchar* _tmp17_ = NULL;
	GtkEntry* _tmp18_ = NULL;
	NoiseMedia* _tmp19_ = NULL;
	const gchar* _tmp20_ = NULL;
	const gchar* _tmp21_ = NULL;
	GtkEntry* _tmp22_ = NULL;
	NoiseMedia* _tmp23_ = NULL;
	const gchar* _tmp24_ = NULL;
	const gchar* _tmp25_ = NULL;
	GtkEntry* _tmp26_ = NULL;
	NoiseMedia* _tmp27_ = NULL;
	const gchar* _tmp28_ = NULL;
	const gchar* _tmp29_ = NULL;
	GtkEntry* _tmp30_ = NULL;
	NoiseMedia* _tmp31_ = NULL;
	const gchar* _tmp32_ = NULL;
	const gchar* _tmp33_ = NULL;
	GtkEntry* _tmp34_ = NULL;
	NoiseMedia* _tmp35_ = NULL;
	const gchar* _tmp36_ = NULL;
	const gchar* _tmp37_ = NULL;
	GtkEntry* _tmp38_ = NULL;
	NoiseMedia* _tmp39_ = NULL;
	const gchar* _tmp40_ = NULL;
	const gchar* _tmp41_ = NULL;
	GtkTextView* _tmp42_ = NULL;
	GtkTextBuffer* _tmp43_ = NULL;
	GtkTextBuffer* _tmp44_ = NULL;
	NoiseMedia* _tmp45_ = NULL;
	const gchar* _tmp46_ = NULL;
	const gchar* _tmp47_ = NULL;
	GtkSpinButton* _tmp48_ = NULL;
	NoiseMedia* _tmp49_ = NULL;
	guint _tmp50_ = 0U;
	guint _tmp51_ = 0U;
	GtkSpinButton* _tmp52_ = NULL;
	NoiseMedia* _tmp53_ = NULL;
	guint _tmp54_ = 0U;
	guint _tmp55_ = 0U;
	GtkSpinButton* _tmp56_ = NULL;
	NoiseMedia* _tmp57_ = NULL;
	guint _tmp58_ = 0U;
	guint _tmp59_ = 0U;
	GraniteWidgetsRating* _tmp60_ = NULL;
	NoiseMedia* _tmp61_ = NULL;
	guint _tmp62_ = 0U;
	guint _tmp63_ = 0U;
	GeeBidirIterator* iterator = NULL;
	GeeTreeSet* _tmp64_ = NULL;
	NoiseMedia* _tmp65_ = NULL;
	GeeIterator* _tmp66_ = NULL;
	GtkButton* _tmp67_ = NULL;
	gboolean _tmp68_ = FALSE;
	GtkButton* _tmp69_ = NULL;
	gboolean _tmp70_ = FALSE;
#line 251 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	g_return_if_fail (self != NULL);
#line 251 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	g_return_if_fail (m != NULL);
#line 252 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp0_ = m;
#line 252 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 252 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->current_media);
#line 252 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	self->priv->current_media = _tmp1_;
#line 253 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp2_ = self->priv->current_media;
#line 253 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp3_ = _g_object_ref0 (_tmp2_);
#line 253 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	considered_media = _tmp3_;
#line 254 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp4_ = self->priv->temp_list;
#line 254 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp5_ = self->priv->current_media;
#line 254 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp6_ = noise_media_get_rowid (_tmp5_);
#line 254 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp7_ = _tmp6_;
#line 254 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp8_ = gee_abstract_map_has_key ((GeeAbstractMap*) _tmp4_, &_tmp7_);
#line 254 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	if (_tmp8_) {
#line 908 "MediaEditor.c"
		GeeHashMap* _tmp9_ = NULL;
		NoiseMedia* _tmp10_ = NULL;
		gint64 _tmp11_ = 0LL;
		gint64 _tmp12_ = 0LL;
		gpointer _tmp13_ = NULL;
#line 255 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
		_tmp9_ = self->priv->temp_list;
#line 255 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
		_tmp10_ = self->priv->current_media;
#line 255 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
		_tmp11_ = noise_media_get_rowid (_tmp10_);
#line 255 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
		_tmp12_ = _tmp11_;
#line 255 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
		_tmp13_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp9_, &_tmp12_);
#line 255 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
		_g_object_unref0 (considered_media);
#line 255 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
		considered_media = (NoiseMedia*) _tmp13_;
#line 928 "MediaEditor.c"
	}
#line 258 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp14_ = self->priv->title_entry;
#line 258 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp15_ = considered_media;
#line 258 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp16_ = noise_media_get_title (_tmp15_);
#line 258 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp17_ = _tmp16_;
#line 258 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_entry_set_text (_tmp14_, _tmp17_);
#line 259 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp18_ = self->priv->artist_entry;
#line 259 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp19_ = considered_media;
#line 259 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp20_ = noise_media_get_artist (_tmp19_);
#line 259 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp21_ = _tmp20_;
#line 259 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_entry_set_text (_tmp18_, _tmp21_);
#line 260 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp22_ = self->priv->album_artist_entry;
#line 260 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp23_ = considered_media;
#line 260 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp24_ = noise_media_get_album_artist (_tmp23_);
#line 260 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp25_ = _tmp24_;
#line 260 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_entry_set_text (_tmp22_, _tmp25_);
#line 261 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp26_ = self->priv->album_entry;
#line 261 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp27_ = considered_media;
#line 261 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp28_ = noise_media_get_album (_tmp27_);
#line 261 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp29_ = _tmp28_;
#line 261 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_entry_set_text (_tmp26_, _tmp29_);
#line 262 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp30_ = self->priv->genre_entry;
#line 262 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp31_ = considered_media;
#line 262 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp32_ = noise_media_get_genre (_tmp31_);
#line 262 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp33_ = _tmp32_;
#line 262 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_entry_set_text (_tmp30_, _tmp33_);
#line 263 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp34_ = self->priv->composer_entry;
#line 263 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp35_ = considered_media;
#line 263 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp36_ = noise_media_get_composer (_tmp35_);
#line 263 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp37_ = _tmp36_;
#line 263 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_entry_set_text (_tmp34_, _tmp37_);
#line 264 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp38_ = self->priv->grouping_entry;
#line 264 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp39_ = considered_media;
#line 264 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp40_ = noise_media_get_grouping (_tmp39_);
#line 264 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp41_ = _tmp40_;
#line 264 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_entry_set_text (_tmp38_, _tmp41_);
#line 265 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp42_ = self->priv->comment_textview;
#line 265 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp43_ = gtk_text_view_get_buffer (_tmp42_);
#line 265 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp44_ = _tmp43_;
#line 265 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp45_ = considered_media;
#line 265 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp46_ = noise_media_get_comment (_tmp45_);
#line 265 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp47_ = _tmp46_;
#line 265 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	g_object_set (_tmp44_, "text", _tmp47_, NULL);
#line 266 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp48_ = self->priv->track_spinbutton;
#line 266 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp49_ = considered_media;
#line 266 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp50_ = noise_media_get_track (_tmp49_);
#line 266 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp51_ = _tmp50_;
#line 266 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_spin_button_set_value (_tmp48_, (gdouble) _tmp51_);
#line 267 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp52_ = self->priv->disk_spinbutton;
#line 267 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp53_ = considered_media;
#line 267 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp54_ = noise_media_get_album_number (_tmp53_);
#line 267 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp55_ = _tmp54_;
#line 267 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_spin_button_set_value (_tmp52_, (gdouble) _tmp55_);
#line 268 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp56_ = self->priv->year_spinbutton;
#line 268 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp57_ = considered_media;
#line 268 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp58_ = noise_media_get_year (_tmp57_);
#line 268 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp59_ = _tmp58_;
#line 268 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_spin_button_set_value (_tmp56_, (gdouble) _tmp59_);
#line 269 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp60_ = self->priv->rating_widget;
#line 269 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp61_ = considered_media;
#line 269 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp62_ = noise_media_get_rating (_tmp61_);
#line 269 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp63_ = _tmp62_;
#line 269 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	granite_widgets_rating_set_rating (_tmp60_, (gint) _tmp63_);
#line 270 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp64_ = self->priv->media_list;
#line 270 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp65_ = self->priv->current_media;
#line 270 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp66_ = gee_abstract_sorted_set_iterator_at ((GeeAbstractSortedSet*) _tmp64_, _tmp65_);
#line 270 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	iterator = G_TYPE_CHECK_INSTANCE_CAST (_tmp66_, GEE_TYPE_BIDIR_ITERATOR, GeeBidirIterator);
#line 271 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp67_ = self->priv->previous_button;
#line 271 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp68_ = gee_bidir_iterator_has_previous (iterator);
#line 271 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp67_, _tmp68_);
#line 272 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp69_ = self->priv->next_button;
#line 272 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp70_ = gee_iterator_has_next ((GeeIterator*) iterator);
#line 272 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp69_, _tmp70_);
#line 251 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (iterator);
#line 251 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (considered_media);
#line 1078 "MediaEditor.c"
}


static gint64* _int64_dup (gint64* self) {
	gint64* dup;
#line 60 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	dup = g_new0 (gint64, 1);
#line 60 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	memcpy (dup, self, sizeof (gint64));
#line 60 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	return dup;
#line 1090 "MediaEditor.c"
}


static void _noise_media_editor_previous_track_gtk_button_clicked (GtkButton* _sender, gpointer self) {
#line 173 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	noise_media_editor_previous_track ((NoiseMediaEditor*) self);
#line 1097 "MediaEditor.c"
}


static void _noise_media_editor_next_track_gtk_button_clicked (GtkButton* _sender, gpointer self) {
#line 174 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	noise_media_editor_next_track ((NoiseMediaEditor*) self);
#line 1104 "MediaEditor.c"
}


static void _noise_media_editor___lambda40_ (NoiseMediaEditor* self) {
#line 175 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_widget_destroy ((GtkWidget*) self);
#line 1111 "MediaEditor.c"
}


static void __noise_media_editor___lambda40__gtk_button_clicked (GtkButton* _sender, gpointer self) {
#line 175 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_noise_media_editor___lambda40_ ((NoiseMediaEditor*) self);
#line 1118 "MediaEditor.c"
}


static void _noise_media_editor_save_and_exit_gtk_button_clicked (GtkButton* _sender, gpointer self) {
#line 176 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	noise_media_editor_save_and_exit ((NoiseMediaEditor*) self);
#line 1125 "MediaEditor.c"
}


static GObject * noise_media_editor_constructor (GType type, guint n_construct_properties, GObjectConstructParam * construct_properties) {
	GObject * obj;
	GObjectClass * parent_class;
	NoiseMediaEditor * self;
	GeeTreeSet* _tmp0_ = NULL;
	GHashFunc _tmp1_ = NULL;
	GEqualFunc _tmp2_ = NULL;
	GeeHashMap* _tmp3_ = NULL;
	NoiseLibraryWindow* _tmp4_ = NULL;
	NoiseLibraryWindow* _tmp5_ = NULL;
	GtkGrid* grid = NULL;
	GtkGrid* _tmp6_ = NULL;
	GtkGrid* _tmp7_ = NULL;
	GtkGrid* _tmp8_ = NULL;
	GtkGrid* _tmp9_ = NULL;
	GtkGrid* _tmp10_ = NULL;
	GtkGrid* _tmp11_ = NULL;
	GtkLabel* title_label = NULL;
	const gchar* _tmp12_ = NULL;
	GtkLabel* _tmp13_ = NULL;
	GtkLabel* _tmp14_ = NULL;
	GtkLabel* artist_label = NULL;
	const gchar* _tmp15_ = NULL;
	GtkLabel* _tmp16_ = NULL;
	GtkLabel* _tmp17_ = NULL;
	GtkLabel* album_artist_label = NULL;
	const gchar* _tmp18_ = NULL;
	GtkLabel* _tmp19_ = NULL;
	GtkLabel* _tmp20_ = NULL;
	GtkLabel* album_label = NULL;
	const gchar* _tmp21_ = NULL;
	GtkLabel* _tmp22_ = NULL;
	GtkLabel* _tmp23_ = NULL;
	GtkLabel* genre_label = NULL;
	const gchar* _tmp24_ = NULL;
	GtkLabel* _tmp25_ = NULL;
	GtkLabel* _tmp26_ = NULL;
	GtkLabel* composer_label = NULL;
	const gchar* _tmp27_ = NULL;
	GtkLabel* _tmp28_ = NULL;
	GtkLabel* _tmp29_ = NULL;
	GtkLabel* grouping_label = NULL;
	const gchar* _tmp30_ = NULL;
	GtkLabel* _tmp31_ = NULL;
	GtkLabel* _tmp32_ = NULL;
	GtkLabel* comment_label = NULL;
	const gchar* _tmp33_ = NULL;
	GtkLabel* _tmp34_ = NULL;
	GtkLabel* _tmp35_ = NULL;
	GtkLabel* track_label = NULL;
	const gchar* _tmp36_ = NULL;
	GtkLabel* _tmp37_ = NULL;
	GtkLabel* _tmp38_ = NULL;
	GtkLabel* disk_label = NULL;
	const gchar* _tmp39_ = NULL;
	GtkLabel* _tmp40_ = NULL;
	GtkLabel* _tmp41_ = NULL;
	GtkLabel* year_label = NULL;
	const gchar* _tmp42_ = NULL;
	GtkLabel* _tmp43_ = NULL;
	GtkLabel* _tmp44_ = NULL;
	GtkLabel* rating_label = NULL;
	const gchar* _tmp45_ = NULL;
	GtkLabel* _tmp46_ = NULL;
	GtkLabel* _tmp47_ = NULL;
	GtkEntry* _tmp48_ = NULL;
	GtkEntry* _tmp49_ = NULL;
	GtkEntry* _tmp50_ = NULL;
	GtkEntry* _tmp51_ = NULL;
	GtkEntry* _tmp52_ = NULL;
	GtkEntry* _tmp53_ = NULL;
	GtkEntry* _tmp54_ = NULL;
	GtkTextView* _tmp55_ = NULL;
	GtkTextView* _tmp56_ = NULL;
	GtkScrolledWindow* _tmp57_ = NULL;
	GtkScrolledWindow* _tmp58_ = NULL;
	GtkScrolledWindow* _tmp59_ = NULL;
	GtkTextView* _tmp60_ = NULL;
	GtkSpinButton* _tmp61_ = NULL;
	GtkSpinButton* _tmp62_ = NULL;
	GDateTime* local_time = NULL;
	GDateTime* _tmp63_ = NULL;
	GDateTime* _tmp64_ = NULL;
	gint _tmp65_ = 0;
	GtkSpinButton* _tmp66_ = NULL;
	GraniteWidgetsRating* _tmp67_ = NULL;
	GraniteWidgetsRating* _tmp68_ = NULL;
	GtkFrame* comment_frame = NULL;
	GtkFrame* _tmp69_ = NULL;
	GtkFrame* _tmp70_ = NULL;
	GtkFrame* _tmp71_ = NULL;
	GtkScrolledWindow* _tmp72_ = NULL;
	GtkGrid* _tmp73_ = NULL;
	GtkLabel* _tmp74_ = NULL;
	GtkGrid* _tmp75_ = NULL;
	GtkEntry* _tmp76_ = NULL;
	GtkGrid* _tmp77_ = NULL;
	GtkLabel* _tmp78_ = NULL;
	GtkGrid* _tmp79_ = NULL;
	GtkEntry* _tmp80_ = NULL;
	GtkGrid* _tmp81_ = NULL;
	GtkLabel* _tmp82_ = NULL;
	GtkGrid* _tmp83_ = NULL;
	GtkEntry* _tmp84_ = NULL;
	GtkGrid* _tmp85_ = NULL;
	GtkLabel* _tmp86_ = NULL;
	GtkGrid* _tmp87_ = NULL;
	GtkEntry* _tmp88_ = NULL;
	GtkGrid* _tmp89_ = NULL;
	GtkLabel* _tmp90_ = NULL;
	GtkGrid* _tmp91_ = NULL;
	GtkEntry* _tmp92_ = NULL;
	GtkGrid* _tmp93_ = NULL;
	GtkLabel* _tmp94_ = NULL;
	GtkGrid* _tmp95_ = NULL;
	GtkEntry* _tmp96_ = NULL;
	GtkGrid* _tmp97_ = NULL;
	GtkLabel* _tmp98_ = NULL;
	GtkGrid* _tmp99_ = NULL;
	GtkEntry* _tmp100_ = NULL;
	GtkGrid* _tmp101_ = NULL;
	GtkLabel* _tmp102_ = NULL;
	GtkGrid* _tmp103_ = NULL;
	GtkSpinButton* _tmp104_ = NULL;
	GtkGrid* _tmp105_ = NULL;
	GtkLabel* _tmp106_ = NULL;
	GtkGrid* _tmp107_ = NULL;
	GtkSpinButton* _tmp108_ = NULL;
	GtkGrid* _tmp109_ = NULL;
	GtkLabel* _tmp110_ = NULL;
	GtkGrid* _tmp111_ = NULL;
	GtkSpinButton* _tmp112_ = NULL;
	GtkGrid* _tmp113_ = NULL;
	GtkLabel* _tmp114_ = NULL;
	GtkGrid* _tmp115_ = NULL;
	GraniteWidgetsRating* _tmp116_ = NULL;
	GtkGrid* _tmp117_ = NULL;
	GtkLabel* _tmp118_ = NULL;
	GtkGrid* _tmp119_ = NULL;
	GtkFrame* _tmp120_ = NULL;
	GtkButton* _tmp121_ = NULL;
	GtkButton* _tmp122_ = NULL;
	GtkGrid* arrows_grid = NULL;
	GtkGrid* _tmp123_ = NULL;
	GtkGrid* _tmp124_ = NULL;
	GtkGrid* _tmp125_ = NULL;
	GtkGrid* _tmp126_ = NULL;
	GtkStyleContext* _tmp127_ = NULL;
	GtkGrid* _tmp128_ = NULL;
	GtkButton* _tmp129_ = NULL;
	GtkGrid* _tmp130_ = NULL;
	GtkButton* _tmp131_ = NULL;
	const gchar* _tmp132_ = NULL;
	GtkButton* _tmp133_ = NULL;
	GtkButton* _tmp134_ = NULL;
	GtkStyleContext* _tmp135_ = NULL;
	const gchar* _tmp136_ = NULL;
	GtkButton* _tmp137_ = NULL;
	GtkButtonBox* buttons = NULL;
	GtkButtonBox* _tmp138_ = NULL;
	GtkButtonBox* _tmp139_ = NULL;
	GtkButtonBox* _tmp140_ = NULL;
	GtkButtonBox* _tmp141_ = NULL;
	GtkButtonBox* _tmp142_ = NULL;
	GtkGrid* _tmp143_ = NULL;
	GtkButtonBox* _tmp144_ = NULL;
	GtkButton* _tmp145_ = NULL;
	GtkButtonBox* _tmp146_ = NULL;
	GtkButton* _tmp147_ = NULL;
	GtkButtonBox* _tmp148_ = NULL;
	GtkGrid* _tmp149_ = NULL;
	GtkButtonBox* _tmp150_ = NULL;
	GtkGrid* _tmp151_ = NULL;
	GtkGrid* _tmp152_ = NULL;
	GtkButtonBox* _tmp153_ = NULL;
	GtkContainer* content = NULL;
	GtkBox* _tmp154_ = NULL;
	GtkContainer* _tmp155_ = NULL;
	GtkContainer* _tmp156_ = NULL;
	GtkGrid* _tmp157_ = NULL;
	GtkButton* _tmp158_ = NULL;
	GtkButton* _tmp159_ = NULL;
	GtkButton* _tmp160_ = NULL;
	GtkButton* _tmp161_ = NULL;
#line 58 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	parent_class = G_OBJECT_CLASS (noise_media_editor_parent_class);
#line 58 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	obj = parent_class->constructor (type, n_construct_properties, construct_properties);
#line 58 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NOISE_TYPE_MEDIA_EDITOR, NoiseMediaEditor);
#line 59 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp0_ = gee_tree_set_new (NOISE_TYPE_MEDIA, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 59 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->media_list);
#line 59 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	self->priv->media_list = _tmp0_;
#line 60 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp1_ = g_int64_hash;
#line 60 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp2_ = g_int64_equal;
#line 60 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp3_ = gee_hash_map_new (G_TYPE_INT64, (GBoxedCopyFunc) _int64_dup, (GDestroyNotify) g_free, NOISE_TYPE_MEDIA, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, (GeeHashDataFunc) _tmp1_, NULL, NULL, (GeeEqualDataFunc) _tmp2_, NULL, NULL, NULL, NULL, NULL);
#line 60 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->temp_list);
#line 60 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	self->priv->temp_list = _tmp3_;
#line 62 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp4_ = noise_app_get_main_window ();
#line 62 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp5_ = _tmp4_;
#line 62 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_window_set_transient_for ((GtkWindow*) self, (GtkWindow*) _tmp5_);
#line 63 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_window_set_default_geometry ((GtkWindow*) self, 600, 400);
#line 64 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp6_ = (GtkGrid*) gtk_grid_new ();
#line 64 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp6_);
#line 64 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	grid = _tmp6_;
#line 65 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp7_ = grid;
#line 65 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	g_object_set ((GtkWidget*) _tmp7_, "expand", TRUE, NULL);
#line 66 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp8_ = grid;
#line 66 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_widget_set_margin_start ((GtkWidget*) _tmp8_, 12);
#line 67 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp9_ = grid;
#line 67 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_widget_set_margin_end ((GtkWidget*) _tmp9_, 12);
#line 68 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp10_ = grid;
#line 68 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_grid_set_column_spacing (_tmp10_, 12);
#line 69 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp11_ = grid;
#line 69 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_grid_set_row_spacing (_tmp11_, 6);
#line 71 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp12_ = _ ("Title:");
#line 71 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp13_ = (GtkLabel*) gtk_label_new (_tmp12_);
#line 71 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp13_);
#line 71 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	title_label = _tmp13_;
#line 72 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp14_ = title_label;
#line 72 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	noise_media_editor_format_label (self, _tmp14_);
#line 73 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp15_ = _ ("Artist:");
#line 73 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp16_ = (GtkLabel*) gtk_label_new (_tmp15_);
#line 73 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp16_);
#line 73 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	artist_label = _tmp16_;
#line 74 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp17_ = artist_label;
#line 74 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	noise_media_editor_format_label (self, _tmp17_);
#line 75 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp18_ = _ ("Album Artist:");
#line 75 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp19_ = (GtkLabel*) gtk_label_new (_tmp18_);
#line 75 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp19_);
#line 75 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	album_artist_label = _tmp19_;
#line 76 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp20_ = album_artist_label;
#line 76 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	noise_media_editor_format_label (self, _tmp20_);
#line 77 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp21_ = _ ("Album:");
#line 77 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp22_ = (GtkLabel*) gtk_label_new (_tmp21_);
#line 77 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp22_);
#line 77 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	album_label = _tmp22_;
#line 78 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp23_ = album_label;
#line 78 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	noise_media_editor_format_label (self, _tmp23_);
#line 79 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp24_ = _ ("Genre:");
#line 79 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp25_ = (GtkLabel*) gtk_label_new (_tmp24_);
#line 79 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp25_);
#line 79 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	genre_label = _tmp25_;
#line 80 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp26_ = genre_label;
#line 80 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	noise_media_editor_format_label (self, _tmp26_);
#line 81 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp27_ = _ ("Composer:");
#line 81 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp28_ = (GtkLabel*) gtk_label_new (_tmp27_);
#line 81 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp28_);
#line 81 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	composer_label = _tmp28_;
#line 82 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp29_ = composer_label;
#line 82 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	noise_media_editor_format_label (self, _tmp29_);
#line 83 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp30_ = _ ("Grouping:");
#line 83 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp31_ = (GtkLabel*) gtk_label_new (_tmp30_);
#line 83 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp31_);
#line 83 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	grouping_label = _tmp31_;
#line 84 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp32_ = grouping_label;
#line 84 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	noise_media_editor_format_label (self, _tmp32_);
#line 85 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp33_ = _ ("Comment:");
#line 85 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp34_ = (GtkLabel*) gtk_label_new (_tmp33_);
#line 85 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp34_);
#line 85 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	comment_label = _tmp34_;
#line 86 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp35_ = comment_label;
#line 86 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	noise_media_editor_format_label (self, _tmp35_);
#line 87 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp36_ = _ ("Track:");
#line 87 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp37_ = (GtkLabel*) gtk_label_new (_tmp36_);
#line 87 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp37_);
#line 87 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	track_label = _tmp37_;
#line 88 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp38_ = track_label;
#line 88 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	noise_media_editor_format_label (self, _tmp38_);
#line 89 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp39_ = _ ("Disk:");
#line 89 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp40_ = (GtkLabel*) gtk_label_new (_tmp39_);
#line 89 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp40_);
#line 89 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	disk_label = _tmp40_;
#line 90 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp41_ = disk_label;
#line 90 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	noise_media_editor_format_label (self, _tmp41_);
#line 91 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp42_ = _ ("Year:");
#line 91 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp43_ = (GtkLabel*) gtk_label_new (_tmp42_);
#line 91 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp43_);
#line 91 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	year_label = _tmp43_;
#line 92 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp44_ = year_label;
#line 92 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	noise_media_editor_format_label (self, _tmp44_);
#line 93 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp45_ = _ ("Rating:");
#line 93 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp46_ = (GtkLabel*) gtk_label_new (_tmp45_);
#line 93 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp46_);
#line 93 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	rating_label = _tmp46_;
#line 94 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp47_ = rating_label;
#line 94 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	noise_media_editor_format_label (self, _tmp47_);
#line 96 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp48_ = (GtkEntry*) gtk_entry_new ();
#line 96 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp48_);
#line 96 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->title_entry);
#line 96 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	self->priv->title_entry = _tmp48_;
#line 97 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp49_ = (GtkEntry*) gtk_entry_new ();
#line 97 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp49_);
#line 97 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->artist_entry);
#line 97 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	self->priv->artist_entry = _tmp49_;
#line 98 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp50_ = (GtkEntry*) gtk_entry_new ();
#line 98 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp50_);
#line 98 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->album_artist_entry);
#line 98 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	self->priv->album_artist_entry = _tmp50_;
#line 99 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp51_ = (GtkEntry*) gtk_entry_new ();
#line 99 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp51_);
#line 99 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->album_entry);
#line 99 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	self->priv->album_entry = _tmp51_;
#line 100 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp52_ = (GtkEntry*) gtk_entry_new ();
#line 100 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp52_);
#line 100 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->genre_entry);
#line 100 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	self->priv->genre_entry = _tmp52_;
#line 101 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp53_ = (GtkEntry*) gtk_entry_new ();
#line 101 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp53_);
#line 101 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->composer_entry);
#line 101 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	self->priv->composer_entry = _tmp53_;
#line 102 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp54_ = (GtkEntry*) gtk_entry_new ();
#line 102 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp54_);
#line 102 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->grouping_entry);
#line 102 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	self->priv->grouping_entry = _tmp54_;
#line 103 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp55_ = (GtkTextView*) gtk_text_view_new ();
#line 103 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp55_);
#line 103 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->comment_textview);
#line 103 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	self->priv->comment_textview = _tmp55_;
#line 104 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp56_ = self->priv->comment_textview;
#line 104 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_text_view_set_wrap_mode (_tmp56_, GTK_WRAP_WORD_CHAR);
#line 105 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp57_ = (GtkScrolledWindow*) gtk_scrolled_window_new (NULL, NULL);
#line 105 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp57_);
#line 105 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->comment_scrolledwindow);
#line 105 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	self->priv->comment_scrolledwindow = _tmp57_;
#line 106 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp58_ = self->priv->comment_scrolledwindow;
#line 106 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_scrolled_window_set_policy (_tmp58_, GTK_POLICY_EXTERNAL, GTK_POLICY_AUTOMATIC);
#line 107 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp59_ = self->priv->comment_scrolledwindow;
#line 107 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp60_ = self->priv->comment_textview;
#line 107 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_container_add ((GtkContainer*) _tmp59_, (GtkWidget*) _tmp60_);
#line 108 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp61_ = (GtkSpinButton*) gtk_spin_button_new_with_range ((gdouble) 0, (gdouble) 500, (gdouble) 1);
#line 108 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp61_);
#line 108 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->track_spinbutton);
#line 108 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	self->priv->track_spinbutton = _tmp61_;
#line 109 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp62_ = (GtkSpinButton*) gtk_spin_button_new_with_range ((gdouble) 0, (gdouble) 500, (gdouble) 1);
#line 109 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp62_);
#line 109 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->disk_spinbutton);
#line 109 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	self->priv->disk_spinbutton = _tmp62_;
#line 110 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp63_ = g_date_time_new_now_local ();
#line 110 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	local_time = _tmp63_;
#line 111 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp64_ = local_time;
#line 111 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp65_ = g_date_time_get_year (_tmp64_);
#line 111 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp66_ = (GtkSpinButton*) gtk_spin_button_new_with_range ((gdouble) 0, (gdouble) _tmp65_, (gdouble) 1);
#line 111 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp66_);
#line 111 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->year_spinbutton);
#line 111 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	self->priv->year_spinbutton = _tmp66_;
#line 112 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp67_ = granite_widgets_rating_new (FALSE, GTK_ICON_SIZE_MENU, FALSE);
#line 112 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp67_);
#line 112 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->rating_widget);
#line 112 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	self->priv->rating_widget = _tmp67_;
#line 113 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp68_ = self->priv->rating_widget;
#line 113 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp68_, TRUE);
#line 115 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp69_ = (GtkFrame*) gtk_frame_new (NULL);
#line 115 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp69_);
#line 115 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	comment_frame = _tmp69_;
#line 116 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp70_ = comment_frame;
#line 116 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	g_object_set ((GtkWidget*) _tmp70_, "expand", TRUE, NULL);
#line 117 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp71_ = comment_frame;
#line 117 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp72_ = self->priv->comment_scrolledwindow;
#line 117 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_container_add ((GtkContainer*) _tmp71_, (GtkWidget*) _tmp72_);
#line 119 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp73_ = grid;
#line 119 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp74_ = title_label;
#line 119 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_grid_attach (_tmp73_, (GtkWidget*) _tmp74_, 0, 0, 1, 1);
#line 120 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp75_ = grid;
#line 120 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp76_ = self->priv->title_entry;
#line 120 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_grid_attach (_tmp75_, (GtkWidget*) _tmp76_, 0, 1, 1, 1);
#line 121 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp77_ = grid;
#line 121 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp78_ = artist_label;
#line 121 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_grid_attach (_tmp77_, (GtkWidget*) _tmp78_, 1, 0, 1, 1);
#line 122 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp79_ = grid;
#line 122 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp80_ = self->priv->artist_entry;
#line 122 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_grid_attach (_tmp79_, (GtkWidget*) _tmp80_, 1, 1, 1, 1);
#line 123 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp81_ = grid;
#line 123 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp82_ = album_label;
#line 123 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_grid_attach (_tmp81_, (GtkWidget*) _tmp82_, 0, 2, 1, 1);
#line 124 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp83_ = grid;
#line 124 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp84_ = self->priv->album_entry;
#line 124 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_grid_attach (_tmp83_, (GtkWidget*) _tmp84_, 0, 3, 1, 1);
#line 125 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp85_ = grid;
#line 125 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp86_ = album_artist_label;
#line 125 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_grid_attach (_tmp85_, (GtkWidget*) _tmp86_, 1, 2, 1, 1);
#line 126 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp87_ = grid;
#line 126 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp88_ = self->priv->album_artist_entry;
#line 126 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_grid_attach (_tmp87_, (GtkWidget*) _tmp88_, 1, 3, 1, 1);
#line 127 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp89_ = grid;
#line 127 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp90_ = composer_label;
#line 127 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_grid_attach (_tmp89_, (GtkWidget*) _tmp90_, 0, 4, 1, 1);
#line 128 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp91_ = grid;
#line 128 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp92_ = self->priv->composer_entry;
#line 128 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_grid_attach (_tmp91_, (GtkWidget*) _tmp92_, 0, 5, 1, 1);
#line 129 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp93_ = grid;
#line 129 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp94_ = grouping_label;
#line 129 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_grid_attach (_tmp93_, (GtkWidget*) _tmp94_, 1, 4, 1, 1);
#line 130 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp95_ = grid;
#line 130 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp96_ = self->priv->grouping_entry;
#line 130 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_grid_attach (_tmp95_, (GtkWidget*) _tmp96_, 1, 5, 1, 1);
#line 131 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp97_ = grid;
#line 131 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp98_ = genre_label;
#line 131 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_grid_attach (_tmp97_, (GtkWidget*) _tmp98_, 0, 6, 1, 1);
#line 132 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp99_ = grid;
#line 132 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp100_ = self->priv->genre_entry;
#line 132 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_grid_attach (_tmp99_, (GtkWidget*) _tmp100_, 0, 7, 1, 1);
#line 133 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp101_ = grid;
#line 133 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp102_ = year_label;
#line 133 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_grid_attach (_tmp101_, (GtkWidget*) _tmp102_, 1, 6, 1, 1);
#line 134 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp103_ = grid;
#line 134 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp104_ = self->priv->year_spinbutton;
#line 134 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_grid_attach (_tmp103_, (GtkWidget*) _tmp104_, 1, 7, 1, 1);
#line 135 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp105_ = grid;
#line 135 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp106_ = track_label;
#line 135 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_grid_attach (_tmp105_, (GtkWidget*) _tmp106_, 1, 8, 1, 1);
#line 136 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp107_ = grid;
#line 136 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp108_ = self->priv->track_spinbutton;
#line 136 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_grid_attach (_tmp107_, (GtkWidget*) _tmp108_, 1, 9, 1, 1);
#line 137 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp109_ = grid;
#line 137 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp110_ = disk_label;
#line 137 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_grid_attach (_tmp109_, (GtkWidget*) _tmp110_, 1, 10, 1, 1);
#line 138 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp111_ = grid;
#line 138 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp112_ = self->priv->disk_spinbutton;
#line 138 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_grid_attach (_tmp111_, (GtkWidget*) _tmp112_, 1, 11, 1, 1);
#line 139 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp113_ = grid;
#line 139 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp114_ = rating_label;
#line 139 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_grid_attach (_tmp113_, (GtkWidget*) _tmp114_, 1, 12, 1, 1);
#line 140 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp115_ = grid;
#line 140 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp116_ = self->priv->rating_widget;
#line 140 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_grid_attach (_tmp115_, (GtkWidget*) _tmp116_, 1, 13, 1, 1);
#line 141 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp117_ = grid;
#line 141 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp118_ = comment_label;
#line 141 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_grid_attach (_tmp117_, (GtkWidget*) _tmp118_, 0, 8, 1, 1);
#line 142 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp119_ = grid;
#line 142 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp120_ = comment_frame;
#line 142 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_grid_attach (_tmp119_, (GtkWidget*) _tmp120_, 0, 9, 1, 5);
#line 144 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp121_ = (GtkButton*) gtk_button_new_from_icon_name ("go-previous-symbolic", GTK_ICON_SIZE_BUTTON);
#line 144 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp121_);
#line 144 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->previous_button);
#line 144 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	self->priv->previous_button = _tmp121_;
#line 145 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp122_ = (GtkButton*) gtk_button_new_from_icon_name ("go-next-symbolic", GTK_ICON_SIZE_BUTTON);
#line 145 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp122_);
#line 145 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->next_button);
#line 145 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	self->priv->next_button = _tmp122_;
#line 147 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp123_ = (GtkGrid*) gtk_grid_new ();
#line 147 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp123_);
#line 147 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	arrows_grid = _tmp123_;
#line 148 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp124_ = arrows_grid;
#line 148 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_orientable_set_orientation ((GtkOrientable*) _tmp124_, GTK_ORIENTATION_HORIZONTAL);
#line 149 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp125_ = arrows_grid;
#line 149 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_grid_set_column_homogeneous (_tmp125_, TRUE);
#line 150 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp126_ = arrows_grid;
#line 150 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp127_ = gtk_widget_get_style_context ((GtkWidget*) _tmp126_);
#line 150 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_style_context_add_class (_tmp127_, GTK_STYLE_CLASS_LINKED);
#line 151 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp128_ = arrows_grid;
#line 151 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp129_ = self->priv->previous_button;
#line 151 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_container_add ((GtkContainer*) _tmp128_, (GtkWidget*) _tmp129_);
#line 152 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp130_ = arrows_grid;
#line 152 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp131_ = self->priv->next_button;
#line 152 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_container_add ((GtkContainer*) _tmp130_, (GtkWidget*) _tmp131_);
#line 154 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp132_ = _ ("Save");
#line 154 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp133_ = (GtkButton*) gtk_button_new_with_label (_tmp132_);
#line 154 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp133_);
#line 154 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->save_button);
#line 154 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	self->priv->save_button = _tmp133_;
#line 155 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp134_ = self->priv->save_button;
#line 155 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp135_ = gtk_widget_get_style_context ((GtkWidget*) _tmp134_);
#line 155 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_style_context_add_class (_tmp135_, GTK_STYLE_CLASS_SUGGESTED_ACTION);
#line 156 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp136_ = _ ("Close");
#line 156 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp137_ = (GtkButton*) gtk_button_new_with_label (_tmp136_);
#line 156 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp137_);
#line 156 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->close_button);
#line 156 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	self->priv->close_button = _tmp137_;
#line 158 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp138_ = (GtkButtonBox*) gtk_button_box_new (GTK_ORIENTATION_HORIZONTAL);
#line 158 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	g_object_ref_sink (_tmp138_);
#line 158 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	buttons = _tmp138_;
#line 159 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp139_ = buttons;
#line 159 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	g_object_set (_tmp139_, "layout-style", GTK_BUTTONBOX_END, NULL);
#line 160 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp140_ = buttons;
#line 160 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_box_set_spacing ((GtkBox*) _tmp140_, 6);
#line 161 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp141_ = buttons;
#line 161 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_widget_set_margin_top ((GtkWidget*) _tmp141_, 6);
#line 163 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp142_ = buttons;
#line 163 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp143_ = arrows_grid;
#line 163 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_box_pack_start ((GtkBox*) _tmp142_, (GtkWidget*) _tmp143_, FALSE, FALSE, (guint) 0);
#line 164 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp144_ = buttons;
#line 164 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp145_ = self->priv->close_button;
#line 164 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_box_pack_end ((GtkBox*) _tmp144_, (GtkWidget*) _tmp145_, FALSE, FALSE, (guint) 0);
#line 165 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp146_ = buttons;
#line 165 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp147_ = self->priv->save_button;
#line 165 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_box_pack_end ((GtkBox*) _tmp146_, (GtkWidget*) _tmp147_, FALSE, FALSE, (guint) 0);
#line 166 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp148_ = buttons;
#line 166 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp149_ = arrows_grid;
#line 166 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_button_box_set_child_secondary (_tmp148_, (GtkWidget*) _tmp149_, TRUE);
#line 167 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp150_ = buttons;
#line 167 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp151_ = arrows_grid;
#line 167 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_button_box_set_child_non_homogeneous (_tmp150_, (GtkWidget*) _tmp151_, TRUE);
#line 168 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp152_ = grid;
#line 168 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp153_ = buttons;
#line 168 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_grid_attach (_tmp152_, (GtkWidget*) _tmp153_, 0, 14, 2, 1);
#line 170 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp154_ = (GtkBox*) gtk_dialog_get_content_area ((GtkDialog*) self);
#line 170 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp155_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_tmp154_, gtk_container_get_type ()) ? ((GtkContainer*) _tmp154_) : NULL);
#line 170 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	content = _tmp155_;
#line 171 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp156_ = content;
#line 171 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp157_ = grid;
#line 171 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	gtk_container_add (_tmp156_, (GtkWidget*) _tmp157_);
#line 173 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp158_ = self->priv->previous_button;
#line 173 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	g_signal_connect_object (_tmp158_, "clicked", (GCallback) _noise_media_editor_previous_track_gtk_button_clicked, self, 0);
#line 174 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp159_ = self->priv->next_button;
#line 174 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	g_signal_connect_object (_tmp159_, "clicked", (GCallback) _noise_media_editor_next_track_gtk_button_clicked, self, 0);
#line 175 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp160_ = self->priv->close_button;
#line 175 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	g_signal_connect_object (_tmp160_, "clicked", (GCallback) __noise_media_editor___lambda40__gtk_button_clicked, self, 0);
#line 176 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_tmp161_ = self->priv->save_button;
#line 176 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	g_signal_connect_object (_tmp161_, "clicked", (GCallback) _noise_media_editor_save_and_exit_gtk_button_clicked, self, 0);
#line 58 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (content);
#line 58 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (buttons);
#line 58 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (arrows_grid);
#line 58 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (comment_frame);
#line 58 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_date_time_unref0 (local_time);
#line 58 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (rating_label);
#line 58 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (year_label);
#line 58 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (disk_label);
#line 58 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (track_label);
#line 58 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (comment_label);
#line 58 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (grouping_label);
#line 58 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (composer_label);
#line 58 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (genre_label);
#line 58 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (album_label);
#line 58 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (album_artist_label);
#line 58 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (artist_label);
#line 58 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (title_label);
#line 58 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (grid);
#line 58 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	return obj;
#line 1997 "MediaEditor.c"
}


static void noise_media_editor_class_init (NoiseMediaEditorClass * klass) {
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	noise_media_editor_parent_class = g_type_class_peek_parent (klass);
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	g_type_class_add_private (klass, sizeof (NoiseMediaEditorPrivate));
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	G_OBJECT_CLASS (klass)->constructor = noise_media_editor_constructor;
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	G_OBJECT_CLASS (klass)->finalize = noise_media_editor_finalize;
#line 2010 "MediaEditor.c"
}


static void noise_media_editor_instance_init (NoiseMediaEditor * self) {
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	self->priv = NOISE_MEDIA_EDITOR_GET_PRIVATE (self);
#line 2017 "MediaEditor.c"
}


static void noise_media_editor_finalize (GObject* obj) {
	NoiseMediaEditor * self;
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NOISE_TYPE_MEDIA_EDITOR, NoiseMediaEditor);
#line 30 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->title_entry);
#line 31 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->artist_entry);
#line 32 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->album_artist_entry);
#line 33 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->album_entry);
#line 34 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->genre_entry);
#line 35 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->composer_entry);
#line 36 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->grouping_entry);
#line 37 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->comment_textview);
#line 38 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->comment_scrolledwindow);
#line 39 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->track_spinbutton);
#line 40 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->disk_spinbutton);
#line 41 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->year_spinbutton);
#line 42 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->rating_widget);
#line 44 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->previous_button);
#line 45 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->next_button);
#line 46 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->save_button);
#line 47 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->close_button);
#line 49 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->media_list);
#line 50 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->temp_list);
#line 51 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	_g_object_unref0 (self->priv->current_media);
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/MediaEditor.vala"
	G_OBJECT_CLASS (noise_media_editor_parent_class)->finalize (obj);
#line 2067 "MediaEditor.c"
}


GType noise_media_editor_get_type (void) {
	static volatile gsize noise_media_editor_type_id__volatile = 0;
	if (g_once_init_enter (&noise_media_editor_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NoiseMediaEditorClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) noise_media_editor_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NoiseMediaEditor), 0, (GInstanceInitFunc) noise_media_editor_instance_init, NULL };
		GType noise_media_editor_type_id;
		noise_media_editor_type_id = g_type_register_static (gtk_dialog_get_type (), "NoiseMediaEditor", &g_define_type_info, 0);
		g_once_init_leave (&noise_media_editor_type_id__volatile, noise_media_editor_type_id);
	}
	return noise_media_editor_type_id__volatile;
}



