/* NotImportedWindow.c generated by valac 0.34.9, the Vala compiler
 * generated from NotImportedWindow.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2012-2017 elementary LLC. (https://elementary.io)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Noise authors hereby grant permission for non-GPL compatible
 * GStreamer plugins to be used and distributed together with GStreamer
 * and Noise. This permission is above and beyond the permissions granted
 * by the GPL license by which Noise is covered. If you modify this code
 * you may extend this exception to your version of the code, but you are not
 * obligated to do so. If you do not wish to do so, delete this exception
 * statement from your version.
 *
 * Authored by: Scott Ringwelski <sgringwe@mtu.edu>
 */
/* Merely a place holder for multiple pieces of information regarding
 * the current media playing. Mostly here because of dependence. */

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <gee.h>
#include <stdlib.h>
#include <string.h>
#include <glib/gi18n-lib.h>
#include <gio/gio.h>
#include <granite.h>


#define NOISE_TYPE_NOT_IMPORTED_WINDOW (noise_not_imported_window_get_type ())
#define NOISE_NOT_IMPORTED_WINDOW(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_NOT_IMPORTED_WINDOW, NoiseNotImportedWindow))
#define NOISE_NOT_IMPORTED_WINDOW_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_NOT_IMPORTED_WINDOW, NoiseNotImportedWindowClass))
#define NOISE_IS_NOT_IMPORTED_WINDOW(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_NOT_IMPORTED_WINDOW))
#define NOISE_IS_NOT_IMPORTED_WINDOW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_NOT_IMPORTED_WINDOW))
#define NOISE_NOT_IMPORTED_WINDOW_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_NOT_IMPORTED_WINDOW, NoiseNotImportedWindowClass))

typedef struct _NoiseNotImportedWindow NoiseNotImportedWindow;
typedef struct _NoiseNotImportedWindowClass NoiseNotImportedWindowClass;
typedef struct _NoiseNotImportedWindowPrivate NoiseNotImportedWindowPrivate;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
typedef struct _Block27Data Block27Data;

#define NOISE_TYPE_LIBRARY_WINDOW (noise_library_window_get_type ())
#define NOISE_LIBRARY_WINDOW(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_LIBRARY_WINDOW, NoiseLibraryWindow))
#define NOISE_LIBRARY_WINDOW_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_LIBRARY_WINDOW, NoiseLibraryWindowClass))
#define NOISE_IS_LIBRARY_WINDOW(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_LIBRARY_WINDOW))
#define NOISE_IS_LIBRARY_WINDOW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_LIBRARY_WINDOW))
#define NOISE_LIBRARY_WINDOW_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_LIBRARY_WINDOW, NoiseLibraryWindowClass))

typedef struct _NoiseLibraryWindow NoiseLibraryWindow;
typedef struct _NoiseLibraryWindowClass NoiseLibraryWindowClass;

#define NOISE_TYPE_APP (noise_app_get_type ())
#define NOISE_APP(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_APP, NoiseApp))
#define NOISE_APP_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_APP, NoiseAppClass))
#define NOISE_IS_APP(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_APP))
#define NOISE_IS_APP_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_APP))
#define NOISE_APP_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_APP, NoiseAppClass))

typedef struct _NoiseApp NoiseApp;
typedef struct _NoiseAppClass NoiseAppClass;
#define _gtk_tree_path_free0(var) ((var == NULL) ? NULL : (var = (gtk_tree_path_free (var), NULL)))
#define _g_regex_unref0(var) ((var == NULL) ? NULL : (var = (g_regex_unref (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))

struct _NoiseNotImportedWindow {
	GtkDialog parent_instance;
	NoiseNotImportedWindowPrivate * priv;
};

struct _NoiseNotImportedWindowClass {
	GtkDialogClass parent_class;
	void (*moveToTrashClick) (NoiseNotImportedWindow* self);
	void (*ignoreClick) (NoiseNotImportedWindow* self);
};

struct _NoiseNotImportedWindowPrivate {
	GeeLinkedList* _files;
	gchar* music_folder;
	GtkListStore* filesModel;
	GtkButton* moveToTrash;
};

struct _Block27Data {
	int _ref_count_;
	NoiseNotImportedWindow* self;
	GtkCheckButton* trashAll;
	GtkTreeView* filesView;
	GtkExpander* expander;
};


static gpointer noise_not_imported_window_parent_class = NULL;

GType noise_not_imported_window_get_type (void) G_GNUC_CONST;
#define NOISE_NOT_IMPORTED_WINDOW_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NOISE_TYPE_NOT_IMPORTED_WINDOW, NoiseNotImportedWindowPrivate))
enum  {
	NOISE_NOT_IMPORTED_WINDOW_DUMMY_PROPERTY
};
NoiseNotImportedWindow* noise_not_imported_window_new (GeeCollection* files, const gchar* music);
NoiseNotImportedWindow* noise_not_imported_window_construct (GType object_type, GeeCollection* files, const gchar* music);
static Block27Data* block27_data_ref (Block27Data* _data27_);
static void block27_data_unref (void * _userdata_);
GType noise_library_window_get_type (void) G_GNUC_CONST;
NoiseLibraryWindow* noise_app_get_main_window (void);
GType noise_app_get_type (void) G_GNUC_CONST;
gchar* noise_app_get_name (NoiseApp* self);
static void __lambda8_ (NoiseNotImportedWindow* self, GtkCellRendererToggle* toggle, const gchar* path);
gboolean noise_not_imported_window_updateMoveToTrashSensetivity (NoiseNotImportedWindow* self, GtkTreeModel* model, GtkTreePath* path, GtkTreeIter* iter);
static gboolean _noise_not_imported_window_updateMoveToTrashSensetivity_gtk_tree_model_foreach_func (GtkTreeModel* model, GtkTreePath* path, GtkTreeIter* iter, gpointer self);
static void ___lambda8__gtk_cell_renderer_toggle_toggled (GtkCellRendererToggle* _sender, const gchar* path, gpointer self);
void noise_not_imported_window_moveToTrashClick (NoiseNotImportedWindow* self);
static void _noise_not_imported_window_moveToTrashClick_gtk_button_clicked (GtkButton* _sender, gpointer self);
static void __lambda9_ (Block27Data* _data27_);
gboolean noise_not_imported_window_selectAll (NoiseNotImportedWindow* self, GtkTreeModel* model, GtkTreePath* path, GtkTreeIter* iter);
static gboolean _noise_not_imported_window_selectAll_gtk_tree_model_foreach_func (GtkTreeModel* model, GtkTreePath* path, GtkTreeIter* iter, gpointer self);
gboolean noise_not_imported_window_unselectAll (NoiseNotImportedWindow* self, GtkTreeModel* model, GtkTreePath* path, GtkTreeIter* iter);
static gboolean _noise_not_imported_window_unselectAll_gtk_tree_model_foreach_func (GtkTreeModel* model, GtkTreePath* path, GtkTreeIter* iter, gpointer self);
static void ___lambda9__gtk_toggle_button_toggled (GtkToggleButton* _sender, gpointer self);
static void __lambda10_ (NoiseNotImportedWindow* self);
static void ___lambda10__gtk_button_clicked (GtkButton* _sender, gpointer self);
static void __lambda11_ (Block27Data* _data27_);
static void ___lambda11__gtk_expander_activate (GtkExpander* _sender, gpointer self);
gboolean noise_not_imported_window_deleteSelectedItems (NoiseNotImportedWindow* self, GtkTreeModel* model, GtkTreePath* path, GtkTreeIter* iter);
static void noise_not_imported_window_real_moveToTrashClick (NoiseNotImportedWindow* self);
static gboolean _noise_not_imported_window_deleteSelectedItems_gtk_tree_model_foreach_func (GtkTreeModel* model, GtkTreePath* path, GtkTreeIter* iter, gpointer self);
void noise_not_imported_window_ignoreClick (NoiseNotImportedWindow* self);
static void noise_not_imported_window_real_ignoreClick (NoiseNotImportedWindow* self);
static void noise_not_imported_window_finalize (GObject* obj);


static Block27Data* block27_data_ref (Block27Data* _data27_) {
#line 39 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	g_atomic_int_inc (&_data27_->_ref_count_);
#line 39 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	return _data27_;
#line 154 "NotImportedWindow.c"
}


static void block27_data_unref (void * _userdata_) {
	Block27Data* _data27_;
	_data27_ = (Block27Data*) _userdata_;
#line 39 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	if (g_atomic_int_dec_and_test (&_data27_->_ref_count_)) {
#line 163 "NotImportedWindow.c"
		NoiseNotImportedWindow* self;
#line 39 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
		self = _data27_->self;
#line 39 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
		_g_object_unref0 (_data27_->expander);
#line 39 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
		_g_object_unref0 (_data27_->filesView);
#line 39 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
		_g_object_unref0 (_data27_->trashAll);
#line 39 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
		_g_object_unref0 (self);
#line 39 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
		g_slice_free (Block27Data, _data27_);
#line 177 "NotImportedWindow.c"
	}
}


static gboolean _noise_not_imported_window_updateMoveToTrashSensetivity_gtk_tree_model_foreach_func (GtkTreeModel* model, GtkTreePath* path, GtkTreeIter* iter, gpointer self) {
	gboolean result;
	result = noise_not_imported_window_updateMoveToTrashSensetivity ((NoiseNotImportedWindow*) self, model, path, iter);
#line 83 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	return result;
#line 187 "NotImportedWindow.c"
}


static void __lambda8_ (NoiseNotImportedWindow* self, GtkCellRendererToggle* toggle, const gchar* path) {
	GtkTreePath* tree_path = NULL;
	const gchar* _tmp0_ = NULL;
	GtkTreePath* _tmp1_ = NULL;
	GtkTreeIter iter = {0};
	GtkListStore* _tmp2_ = NULL;
	GtkTreeIter _tmp3_ = {0};
	GtkListStore* _tmp4_ = NULL;
	GtkTreeIter _tmp5_ = {0};
	GtkCellRendererToggle* _tmp6_ = NULL;
	gboolean _tmp7_ = FALSE;
	gboolean _tmp8_ = FALSE;
	GtkButton* _tmp9_ = NULL;
	GtkListStore* _tmp10_ = NULL;
#line 76 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	g_return_if_fail (toggle != NULL);
#line 76 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	g_return_if_fail (path != NULL);
#line 77 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp0_ = path;
#line 77 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp1_ = gtk_tree_path_new_from_string (_tmp0_);
#line 77 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	tree_path = _tmp1_;
#line 79 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp2_ = self->priv->filesModel;
#line 79 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	gtk_tree_model_get_iter ((GtkTreeModel*) _tmp2_, &_tmp3_, tree_path);
#line 79 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	iter = _tmp3_;
#line 80 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp4_ = self->priv->filesModel;
#line 80 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp5_ = iter;
#line 80 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp6_ = toggle;
#line 80 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp7_ = gtk_cell_renderer_toggle_get_active (_tmp6_);
#line 80 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp8_ = _tmp7_;
#line 80 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	gtk_list_store_set (_tmp4_, &_tmp5_, 0, !_tmp8_, -1);
#line 82 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp9_ = self->priv->moveToTrash;
#line 82 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp9_, FALSE);
#line 83 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp10_ = self->priv->filesModel;
#line 83 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	gtk_tree_model_foreach ((GtkTreeModel*) _tmp10_, _noise_not_imported_window_updateMoveToTrashSensetivity_gtk_tree_model_foreach_func, self);
#line 76 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_gtk_tree_path_free0 (tree_path);
#line 243 "NotImportedWindow.c"
}


static void ___lambda8__gtk_cell_renderer_toggle_toggled (GtkCellRendererToggle* _sender, const gchar* path, gpointer self) {
#line 76 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	__lambda8_ ((NoiseNotImportedWindow*) self, _sender, path);
#line 250 "NotImportedWindow.c"
}


static gchar* string_replace (const gchar* self, const gchar* old, const gchar* replacement) {
	gchar* result = NULL;
	GError * _inner_error_ = NULL;
#line 1388 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1388 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (old != NULL, NULL);
#line 1388 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (replacement != NULL, NULL);
#line 263 "NotImportedWindow.c"
	{
		GRegex* regex = NULL;
		const gchar* _tmp0_ = NULL;
		gchar* _tmp1_ = NULL;
		gchar* _tmp2_ = NULL;
		GRegex* _tmp3_ = NULL;
		GRegex* _tmp4_ = NULL;
		gchar* _tmp5_ = NULL;
		GRegex* _tmp6_ = NULL;
		const gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
		gchar* _tmp9_ = NULL;
#line 1390 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp0_ = old;
#line 1390 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp1_ = g_regex_escape_string (_tmp0_, -1);
#line 1390 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp2_ = _tmp1_;
#line 1390 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp3_ = g_regex_new (_tmp2_, 0, 0, &_inner_error_);
#line 1390 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp4_ = _tmp3_;
#line 1390 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_g_free0 (_tmp2_);
#line 1390 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		regex = _tmp4_;
#line 1390 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1390 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 294 "NotImportedWindow.c"
				goto __catch105_g_regex_error;
			}
#line 1390 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1390 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error_);
#line 1390 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			return NULL;
#line 303 "NotImportedWindow.c"
		}
#line 1391 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp6_ = regex;
#line 1391 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp7_ = replacement;
#line 1391 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp8_ = g_regex_replace_literal (_tmp6_, self, (gssize) -1, 0, _tmp7_, 0, &_inner_error_);
#line 1391 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp5_ = _tmp8_;
#line 1391 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1391 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1391 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 319 "NotImportedWindow.c"
				goto __catch105_g_regex_error;
			}
#line 1391 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1391 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1391 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error_);
#line 1391 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			return NULL;
#line 330 "NotImportedWindow.c"
		}
#line 1391 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp9_ = _tmp5_;
#line 1391 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp5_ = NULL;
#line 1391 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		result = _tmp9_;
#line 1391 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_g_free0 (_tmp5_);
#line 1391 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_g_regex_unref0 (regex);
#line 1391 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		return result;
#line 344 "NotImportedWindow.c"
	}
	goto __finally105;
	__catch105_g_regex_error:
	{
		GError* e = NULL;
#line 1389 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		e = _inner_error_;
#line 1389 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_inner_error_ = NULL;
#line 1393 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		g_assert_not_reached ();
#line 1389 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_g_error_free0 (e);
#line 358 "NotImportedWindow.c"
	}
	__finally105:
#line 1389 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1389 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1389 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		g_clear_error (&_inner_error_);
#line 1389 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		return NULL;
#line 369 "NotImportedWindow.c"
	}
}


static void _noise_not_imported_window_moveToTrashClick_gtk_button_clicked (GtkButton* _sender, gpointer self) {
#line 126 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	noise_not_imported_window_moveToTrashClick ((NoiseNotImportedWindow*) self);
#line 377 "NotImportedWindow.c"
}


static gboolean _noise_not_imported_window_selectAll_gtk_tree_model_foreach_func (GtkTreeModel* model, GtkTreePath* path, GtkTreeIter* iter, gpointer self) {
	gboolean result;
	result = noise_not_imported_window_selectAll ((NoiseNotImportedWindow*) self, model, path, iter);
#line 129 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	return result;
#line 386 "NotImportedWindow.c"
}


static gboolean _noise_not_imported_window_unselectAll_gtk_tree_model_foreach_func (GtkTreeModel* model, GtkTreePath* path, GtkTreeIter* iter, gpointer self) {
	gboolean result;
	result = noise_not_imported_window_unselectAll ((NoiseNotImportedWindow*) self, model, path, iter);
#line 133 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	return result;
#line 395 "NotImportedWindow.c"
}


static void __lambda9_ (Block27Data* _data27_) {
	NoiseNotImportedWindow* self;
	GtkCheckButton* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
	gboolean _tmp2_ = FALSE;
#line 127 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	self = _data27_->self;
#line 128 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp0_ = _data27_->trashAll;
#line 128 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp1_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp0_);
#line 128 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp2_ = _tmp1_;
#line 128 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	if (_tmp2_) {
#line 414 "NotImportedWindow.c"
		GtkListStore* _tmp3_ = NULL;
		GtkTreeView* _tmp4_ = NULL;
		GtkButton* _tmp5_ = NULL;
#line 129 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
		_tmp3_ = self->priv->filesModel;
#line 129 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
		gtk_tree_model_foreach ((GtkTreeModel*) _tmp3_, _noise_not_imported_window_selectAll_gtk_tree_model_foreach_func, self);
#line 130 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
		_tmp4_ = _data27_->filesView;
#line 130 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
		gtk_widget_set_sensitive ((GtkWidget*) _tmp4_, FALSE);
#line 131 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
		_tmp5_ = self->priv->moveToTrash;
#line 131 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
		gtk_widget_set_sensitive ((GtkWidget*) _tmp5_, TRUE);
#line 430 "NotImportedWindow.c"
	} else {
		GtkListStore* _tmp6_ = NULL;
		GtkTreeView* _tmp7_ = NULL;
		GtkButton* _tmp8_ = NULL;
#line 133 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
		_tmp6_ = self->priv->filesModel;
#line 133 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
		gtk_tree_model_foreach ((GtkTreeModel*) _tmp6_, _noise_not_imported_window_unselectAll_gtk_tree_model_foreach_func, self);
#line 134 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
		_tmp7_ = _data27_->filesView;
#line 134 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
		gtk_widget_set_sensitive ((GtkWidget*) _tmp7_, TRUE);
#line 135 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
		_tmp8_ = self->priv->moveToTrash;
#line 135 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
		gtk_widget_set_sensitive ((GtkWidget*) _tmp8_, FALSE);
#line 447 "NotImportedWindow.c"
	}
}


static void ___lambda9__gtk_toggle_button_toggled (GtkToggleButton* _sender, gpointer self) {
#line 127 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	__lambda9_ (self);
#line 455 "NotImportedWindow.c"
}


static void __lambda10_ (NoiseNotImportedWindow* self) {
#line 140 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	gtk_widget_destroy ((GtkWidget*) self);
#line 462 "NotImportedWindow.c"
}


static void ___lambda10__gtk_button_clicked (GtkButton* _sender, gpointer self) {
#line 139 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	__lambda10_ ((NoiseNotImportedWindow*) self);
#line 469 "NotImportedWindow.c"
}


static void __lambda11_ (Block27Data* _data27_) {
	NoiseNotImportedWindow* self;
	gboolean _tmp0_ = FALSE;
#line 143 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	self = _data27_->self;
#line 144 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp0_ = gtk_expander_get_expanded (_data27_->expander);
#line 144 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	if (_tmp0_) {
#line 145 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
		gtk_widget_set_size_request ((GtkWidget*) _data27_->expander, -1, -1);
#line 484 "NotImportedWindow.c"
	} else {
#line 147 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
		gtk_widget_set_size_request ((GtkWidget*) _data27_->expander, -1, 120);
#line 488 "NotImportedWindow.c"
	}
}


static void ___lambda11__gtk_expander_activate (GtkExpander* _sender, gpointer self) {
#line 143 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	__lambda11_ (self);
#line 496 "NotImportedWindow.c"
}


NoiseNotImportedWindow* noise_not_imported_window_construct (GType object_type, GeeCollection* files, const gchar* music) {
	NoiseNotImportedWindow * self = NULL;
	Block27Data* _data27_;
	GeeLinkedList* _tmp0_ = NULL;
	GeeLinkedList* _tmp1_ = NULL;
	GeeCollection* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	NoiseLibraryWindow* _tmp5_ = NULL;
	NoiseLibraryWindow* _tmp6_ = NULL;
	GtkGrid* grid = NULL;
	GtkGrid* _tmp7_ = NULL;
	GtkGrid* _tmp8_ = NULL;
	GtkGrid* _tmp9_ = NULL;
	GtkGrid* _tmp10_ = NULL;
	GtkGrid* _tmp11_ = NULL;
	GtkGrid* _tmp12_ = NULL;
	GtkImage* warning = NULL;
	GtkImage* _tmp13_ = NULL;
	GtkLabel* title = NULL;
	const gchar* _tmp14_ = NULL;
	GeeCollection* _tmp15_ = NULL;
	gint _tmp16_ = 0;
	gint _tmp17_ = 0;
	const gchar* _tmp18_ = NULL;
	gchar* _tmp19_ = NULL;
	gchar* _tmp20_ = NULL;
	GtkLabel* _tmp21_ = NULL;
	GtkLabel* _tmp22_ = NULL;
	GtkLabel* _tmp23_ = NULL;
	GtkLabel* _tmp24_ = NULL;
	GtkLabel* _tmp25_ = NULL;
	const gchar* _tmp26_ = NULL;
	GeeCollection* _tmp27_ = NULL;
	gint _tmp28_ = 0;
	gint _tmp29_ = 0;
	const gchar* _tmp30_ = NULL;
	gchar* _tmp31_ = NULL;
	gchar* _tmp32_ = NULL;
	gchar* _tmp33_ = NULL;
	gchar* _tmp34_ = NULL;
	gchar* _tmp35_ = NULL;
	gchar* _tmp36_ = NULL;
	gchar* _tmp37_ = NULL;
	gchar* _tmp38_ = NULL;
	GtkLabel* info = NULL;
	const gchar* _tmp39_ = NULL;
	GApplication* _tmp40_ = NULL;
	gchar* _tmp41_ = NULL;
	gchar* _tmp42_ = NULL;
	GeeCollection* _tmp43_ = NULL;
	gint _tmp44_ = 0;
	gint _tmp45_ = 0;
	gchar* _tmp46_ = NULL;
	gchar* _tmp47_ = NULL;
	GtkLabel* _tmp48_ = NULL;
	GtkLabel* _tmp49_ = NULL;
	GtkLabel* _tmp50_ = NULL;
	GtkLabel* _tmp51_ = NULL;
	const gchar* _tmp52_ = NULL;
	GtkCheckButton* _tmp53_ = NULL;
	GtkCheckButton* _tmp54_ = NULL;
	GtkTreeView* _tmp55_ = NULL;
	GtkListStore* _tmp56_ = NULL;
	GtkTreeView* _tmp57_ = NULL;
	GtkListStore* _tmp58_ = NULL;
	const gchar* _tmp59_ = NULL;
	GtkButton* _tmp60_ = NULL;
	GtkButton* _tmp61_ = NULL;
	GtkButton* okButton = NULL;
	const gchar* _tmp62_ = NULL;
	GtkButton* _tmp63_ = NULL;
	GtkCellRendererToggle* toggle = NULL;
	GtkCellRendererToggle* _tmp64_ = NULL;
	GtkCellRendererToggle* _tmp65_ = NULL;
	GtkTreeViewColumn* column = NULL;
	GtkTreeViewColumn* _tmp66_ = NULL;
	GtkTreeViewColumn* _tmp67_ = NULL;
	const gchar* _tmp68_ = NULL;
	GtkTreeViewColumn* _tmp69_ = NULL;
	GtkCellRendererToggle* _tmp70_ = NULL;
	GtkTreeViewColumn* _tmp71_ = NULL;
	GtkCellRendererToggle* _tmp72_ = NULL;
	GtkTreeView* _tmp73_ = NULL;
	GtkTreeViewColumn* _tmp74_ = NULL;
	GtkTreeView* _tmp75_ = NULL;
	const gchar* _tmp76_ = NULL;
	GtkCellRendererText* _tmp77_ = NULL;
	GtkCellRendererText* _tmp78_ = NULL;
	GtkTreeView* _tmp79_ = NULL;
	GtkScrolledWindow* files_scrolled = NULL;
	GtkScrolledWindow* _tmp98_ = NULL;
	GtkTreeView* _tmp99_ = NULL;
	const gchar* _tmp100_ = NULL;
	GtkExpander* _tmp101_ = NULL;
	GtkButtonBox* bottomButtons = NULL;
	GtkButtonBox* _tmp102_ = NULL;
	GtkButton* _tmp103_ = NULL;
	GtkButton* _tmp104_ = NULL;
	GtkGrid* _tmp105_ = NULL;
	GtkImage* _tmp106_ = NULL;
	GtkGrid* _tmp107_ = NULL;
	GtkLabel* _tmp108_ = NULL;
	GtkGrid* _tmp109_ = NULL;
	GtkLabel* _tmp110_ = NULL;
	GtkGrid* _tmp111_ = NULL;
	GtkCheckButton* _tmp112_ = NULL;
	GtkGrid* _tmp113_ = NULL;
	GtkGrid* _tmp114_ = NULL;
	GtkBox* _tmp115_ = NULL;
	GtkGrid* _tmp116_ = NULL;
	GtkButton* _tmp117_ = NULL;
	GtkCheckButton* _tmp118_ = NULL;
	GtkButton* _tmp119_ = NULL;
#line 39 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	g_return_val_if_fail (files != NULL, NULL);
#line 39 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	g_return_val_if_fail (music != NULL, NULL);
#line 39 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_data27_ = g_slice_new0 (Block27Data);
#line 39 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_data27_->_ref_count_ = 1;
#line 39 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	self = (NoiseNotImportedWindow*) g_object_new (object_type, NULL);
#line 39 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_data27_->self = g_object_ref (self);
#line 40 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp0_ = gee_linked_list_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, (GDestroyNotify) g_free, NULL, NULL, NULL);
#line 40 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_g_object_unref0 (self->priv->_files);
#line 40 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	self->priv->_files = _tmp0_;
#line 41 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp1_ = self->priv->_files;
#line 41 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp2_ = files;
#line 41 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	gee_collection_add_all ((GeeCollection*) _tmp1_, _tmp2_);
#line 42 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp3_ = music;
#line 42 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp4_ = g_strdup (_tmp3_);
#line 42 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_g_free0 (self->priv->music_folder);
#line 42 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	self->priv->music_folder = _tmp4_;
#line 44 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	gtk_window_set_modal ((GtkWindow*) self, TRUE);
#line 45 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp5_ = noise_app_get_main_window ();
#line 45 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp6_ = _tmp5_;
#line 45 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	gtk_window_set_transient_for ((GtkWindow*) self, (GtkWindow*) _tmp6_);
#line 46 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	gtk_window_set_destroy_with_parent ((GtkWindow*) self, TRUE);
#line 47 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	gtk_window_set_deletable ((GtkWindow*) self, FALSE);
#line 49 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp7_ = (GtkGrid*) gtk_grid_new ();
#line 49 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	g_object_ref_sink (_tmp7_);
#line 49 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	grid = _tmp7_;
#line 50 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp8_ = grid;
#line 50 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	gtk_grid_set_column_spacing (_tmp8_, 12);
#line 51 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp9_ = grid;
#line 51 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	gtk_grid_set_row_spacing (_tmp9_, 6);
#line 52 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp10_ = grid;
#line 52 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	g_object_set ((GtkWidget*) _tmp10_, "margin", 12, NULL);
#line 53 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp11_ = grid;
#line 53 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	gtk_widget_set_margin_bottom ((GtkWidget*) _tmp11_, 0);
#line 54 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp12_ = grid;
#line 54 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	g_object_set ((GtkWidget*) _tmp12_, "expand", TRUE, NULL);
#line 57 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp13_ = (GtkImage*) gtk_image_new_from_icon_name ("dialog-error", GTK_ICON_SIZE_DIALOG);
#line 57 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	g_object_ref_sink (_tmp13_);
#line 57 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	warning = _tmp13_;
#line 58 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp14_ = _ ("Unable to import %d items from %s");
#line 58 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp15_ = files;
#line 58 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp16_ = gee_collection_get_size (_tmp15_);
#line 58 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp17_ = _tmp16_;
#line 58 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp18_ = self->priv->music_folder;
#line 58 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp19_ = g_strdup_printf (_tmp14_, _tmp17_, _tmp18_);
#line 58 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp20_ = _tmp19_;
#line 58 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp21_ = (GtkLabel*) gtk_label_new (_tmp20_);
#line 58 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	g_object_ref_sink (_tmp21_);
#line 58 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp22_ = _tmp21_;
#line 58 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_g_free0 (_tmp20_);
#line 58 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	title = _tmp22_;
#line 59 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp23_ = title;
#line 59 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp23_, GTK_ALIGN_START);
#line 60 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp24_ = title;
#line 60 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp24_, TRUE);
#line 61 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp25_ = title;
#line 61 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp26_ = _ ("Unable to import %d items from %s");
#line 61 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp27_ = files;
#line 61 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp28_ = gee_collection_get_size (_tmp27_);
#line 61 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp29_ = _tmp28_;
#line 61 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp30_ = self->priv->music_folder;
#line 61 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp31_ = g_strdup_printf (_tmp26_, _tmp29_, _tmp30_);
#line 61 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp32_ = _tmp31_;
#line 61 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp33_ = g_markup_escape_text (_tmp32_, (gssize) -1);
#line 61 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp34_ = _tmp33_;
#line 61 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp35_ = g_strconcat ("<span weight=\"bold\" size=\"larger\">", _tmp34_, NULL);
#line 61 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp36_ = _tmp35_;
#line 61 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp37_ = g_strconcat (_tmp36_, "</span>", NULL);
#line 61 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp38_ = _tmp37_;
#line 61 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	gtk_label_set_markup (_tmp25_, _tmp38_);
#line 61 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_g_free0 (_tmp38_);
#line 61 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_g_free0 (_tmp36_);
#line 61 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_g_free0 (_tmp34_);
#line 61 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_g_free0 (_tmp32_);
#line 62 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp39_ = _ ("%s was unable to import %d items. The files may be damaged.");
#line 62 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp40_ = g_application_get_default ();
#line 62 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp41_ = noise_app_get_name (G_TYPE_CHECK_INSTANCE_CAST (_tmp40_, NOISE_TYPE_APP, NoiseApp));
#line 62 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp42_ = _tmp41_;
#line 62 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp43_ = files;
#line 62 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp44_ = gee_collection_get_size (_tmp43_);
#line 62 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp45_ = _tmp44_;
#line 62 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp46_ = g_strdup_printf (_tmp39_, _tmp42_, _tmp45_);
#line 62 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp47_ = _tmp46_;
#line 62 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp48_ = (GtkLabel*) gtk_label_new (_tmp47_);
#line 62 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	g_object_ref_sink (_tmp48_);
#line 62 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp49_ = _tmp48_;
#line 62 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_g_free0 (_tmp47_);
#line 62 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_g_free0 (_tmp42_);
#line 62 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	info = _tmp49_;
#line 63 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp50_ = info;
#line 63 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp50_, GTK_ALIGN_START);
#line 64 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp51_ = info;
#line 64 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	gtk_label_set_line_wrap (_tmp51_, FALSE);
#line 65 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp52_ = _ ("Move all corrupted files to trash");
#line 65 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp53_ = (GtkCheckButton*) gtk_check_button_new_with_label (_tmp52_);
#line 65 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	g_object_ref_sink (_tmp53_);
#line 65 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_data27_->trashAll = _tmp53_;
#line 66 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp54_ = _data27_->trashAll;
#line 66 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	g_object_set ((GtkButton*) _tmp54_, "yalign", 0.5f, NULL);
#line 67 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp55_ = (GtkTreeView*) gtk_tree_view_new ();
#line 67 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	g_object_ref_sink (_tmp55_);
#line 67 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_data27_->filesView = _tmp55_;
#line 68 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp56_ = gtk_list_store_new (2, G_TYPE_BOOLEAN, G_TYPE_STRING, -1);
#line 68 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_g_object_unref0 (self->priv->filesModel);
#line 68 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	self->priv->filesModel = _tmp56_;
#line 69 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp57_ = _data27_->filesView;
#line 69 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp58_ = self->priv->filesModel;
#line 69 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	gtk_tree_view_set_model (_tmp57_, (GtkTreeModel*) _tmp58_);
#line 70 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp59_ = _ ("Move to Trash");
#line 70 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp60_ = (GtkButton*) gtk_button_new_with_label (_tmp59_);
#line 70 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	g_object_ref_sink (_tmp60_);
#line 70 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_g_object_unref0 (self->priv->moveToTrash);
#line 70 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	self->priv->moveToTrash = _tmp60_;
#line 71 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp61_ = self->priv->moveToTrash;
#line 71 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp61_, FALSE);
#line 72 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp62_ = _ ("Ignore");
#line 72 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp63_ = (GtkButton*) gtk_button_new_with_label (_tmp62_);
#line 72 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	g_object_ref_sink (_tmp63_);
#line 72 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	okButton = _tmp63_;
#line 75 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp64_ = (GtkCellRendererToggle*) gtk_cell_renderer_toggle_new ();
#line 75 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	g_object_ref_sink (_tmp64_);
#line 75 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	toggle = _tmp64_;
#line 76 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp65_ = toggle;
#line 76 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	g_signal_connect_object (_tmp65_, "toggled", (GCallback) ___lambda8__gtk_cell_renderer_toggle_toggled, self, 0);
#line 86 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp66_ = gtk_tree_view_column_new ();
#line 86 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	g_object_ref_sink (_tmp66_);
#line 86 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	column = _tmp66_;
#line 87 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp67_ = column;
#line 87 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp68_ = _ ("del");
#line 87 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	gtk_tree_view_column_set_title (_tmp67_, _tmp68_);
#line 88 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp69_ = column;
#line 88 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp70_ = toggle;
#line 88 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	gtk_cell_layout_pack_start ((GtkCellLayout*) _tmp69_, (GtkCellRenderer*) _tmp70_, FALSE);
#line 89 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp71_ = column;
#line 89 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp72_ = toggle;
#line 89 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	gtk_cell_layout_add_attribute ((GtkCellLayout*) _tmp71_, (GtkCellRenderer*) _tmp72_, "active", 0);
#line 90 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp73_ = _data27_->filesView;
#line 90 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp74_ = column;
#line 90 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	gtk_tree_view_append_column (_tmp73_, _tmp74_);
#line 92 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp75_ = _data27_->filesView;
#line 92 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp76_ = _ ("File Location");
#line 92 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp77_ = (GtkCellRendererText*) gtk_cell_renderer_text_new ();
#line 92 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	g_object_ref_sink (_tmp77_);
#line 92 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp78_ = _tmp77_;
#line 92 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	gtk_tree_view_insert_column_with_attributes (_tmp75_, -1, _tmp76_, (GtkCellRenderer*) _tmp78_, "text", 1, NULL, NULL);
#line 92 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_g_object_unref0 (_tmp78_);
#line 93 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp79_ = _data27_->filesView;
#line 93 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	gtk_tree_view_set_headers_visible (_tmp79_, FALSE);
#line 908 "NotImportedWindow.c"
	{
		GeeIterator* _file_it = NULL;
		GeeCollection* _tmp80_ = NULL;
		GeeIterator* _tmp81_ = NULL;
#line 96 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
		_tmp80_ = files;
#line 96 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
		_tmp81_ = gee_iterable_iterator ((GeeIterable*) _tmp80_);
#line 96 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
		_file_it = _tmp81_;
#line 96 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
		while (TRUE) {
#line 921 "NotImportedWindow.c"
			GeeIterator* _tmp82_ = NULL;
			gboolean _tmp83_ = FALSE;
			gchar* file = NULL;
			GeeIterator* _tmp84_ = NULL;
			gpointer _tmp85_ = NULL;
			GtkTreeIter item = {0};
			GtkListStore* _tmp86_ = NULL;
			GtkTreeIter _tmp87_ = {0};
			GtkListStore* _tmp88_ = NULL;
			GtkTreeIter _tmp89_ = {0};
			const gchar* _tmp90_ = NULL;
			const gchar* _tmp91_ = NULL;
			gchar* _tmp92_ = NULL;
			gchar* _tmp93_ = NULL;
			gchar* _tmp94_ = NULL;
			gchar* _tmp95_ = NULL;
			gchar* _tmp96_ = NULL;
			gchar* _tmp97_ = NULL;
#line 96 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
			_tmp82_ = _file_it;
#line 96 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
			_tmp83_ = gee_iterator_next (_tmp82_);
#line 96 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
			if (!_tmp83_) {
#line 96 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
				break;
#line 948 "NotImportedWindow.c"
			}
#line 96 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
			_tmp84_ = _file_it;
#line 96 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
			_tmp85_ = gee_iterator_get (_tmp84_);
#line 96 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
			file = (gchar*) _tmp85_;
#line 98 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
			_tmp86_ = self->priv->filesModel;
#line 98 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
			gtk_list_store_append (_tmp86_, &_tmp87_);
#line 98 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
			item = _tmp87_;
#line 99 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
			_tmp88_ = self->priv->filesModel;
#line 99 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
			_tmp89_ = item;
#line 99 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
			_tmp90_ = file;
#line 99 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
			_tmp91_ = self->priv->music_folder;
#line 99 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
			_tmp92_ = g_strconcat ("file://", _tmp91_, NULL);
#line 99 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
			_tmp93_ = _tmp92_;
#line 99 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
			_tmp94_ = string_replace (_tmp90_, _tmp93_, "");
#line 99 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
			_tmp95_ = _tmp94_;
#line 99 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
			_tmp96_ = g_uri_unescape_string (_tmp95_, NULL);
#line 99 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
			_tmp97_ = _tmp96_;
#line 99 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
			gtk_list_store_set (_tmp88_, &_tmp89_, 0, FALSE, 1, _tmp97_, -1);
#line 99 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
			_g_free0 (_tmp97_);
#line 99 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
			_g_free0 (_tmp95_);
#line 99 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
			_g_free0 (_tmp93_);
#line 96 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
			_g_free0 (file);
#line 992 "NotImportedWindow.c"
		}
#line 96 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
		_g_object_unref0 (_file_it);
#line 996 "NotImportedWindow.c"
	}
#line 102 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp98_ = (GtkScrolledWindow*) gtk_scrolled_window_new (NULL, NULL);
#line 102 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	g_object_ref_sink (_tmp98_);
#line 102 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	files_scrolled = _tmp98_;
#line 103 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp99_ = _data27_->filesView;
#line 103 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	gtk_container_add ((GtkContainer*) files_scrolled, (GtkWidget*) _tmp99_);
#line 104 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	gtk_scrolled_window_set_policy (files_scrolled, GTK_POLICY_AUTOMATIC, GTK_POLICY_AUTOMATIC);
#line 105 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	g_object_set ((GtkWidget*) files_scrolled, "expand", TRUE, NULL);
#line 107 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp100_ = _ ("Select individual files to move to trash:");
#line 107 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp101_ = (GtkExpander*) gtk_expander_new (_tmp100_);
#line 107 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	g_object_ref_sink (_tmp101_);
#line 107 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_data27_->expander = _tmp101_;
#line 108 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	gtk_container_add ((GtkContainer*) _data27_->expander, (GtkWidget*) files_scrolled);
#line 109 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	gtk_expander_set_expanded (_data27_->expander, FALSE);
#line 110 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	gtk_expander_set_spacing (_data27_->expander, 6);
#line 112 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp102_ = (GtkButtonBox*) gtk_button_box_new (GTK_ORIENTATION_HORIZONTAL);
#line 112 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	g_object_ref_sink (_tmp102_);
#line 112 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	bottomButtons = _tmp102_;
#line 113 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	gtk_button_box_set_layout (bottomButtons, GTK_BUTTONBOX_END);
#line 114 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp103_ = self->priv->moveToTrash;
#line 114 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	gtk_box_pack_end ((GtkBox*) bottomButtons, (GtkWidget*) _tmp103_, FALSE, FALSE, (guint) 0);
#line 115 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp104_ = okButton;
#line 115 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	gtk_box_pack_end ((GtkBox*) bottomButtons, (GtkWidget*) _tmp104_, FALSE, FALSE, (guint) 0);
#line 116 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	gtk_box_set_spacing ((GtkBox*) bottomButtons, 12);
#line 118 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp105_ = grid;
#line 118 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp106_ = warning;
#line 118 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	gtk_grid_attach (_tmp105_, (GtkWidget*) _tmp106_, 0, 0, 1, 2);
#line 119 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp107_ = grid;
#line 119 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp108_ = title;
#line 119 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	gtk_grid_attach (_tmp107_, (GtkWidget*) _tmp108_, 1, 0, 1, 1);
#line 120 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp109_ = grid;
#line 120 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp110_ = info;
#line 120 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	gtk_grid_attach (_tmp109_, (GtkWidget*) _tmp110_, 1, 1, 1, 1);
#line 121 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp111_ = grid;
#line 121 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp112_ = _data27_->trashAll;
#line 121 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	gtk_grid_attach (_tmp111_, (GtkWidget*) _tmp112_, 0, 2, 2, 1);
#line 122 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp113_ = grid;
#line 122 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	gtk_grid_attach (_tmp113_, (GtkWidget*) _data27_->expander, 0, 3, 2, 1);
#line 123 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp114_ = grid;
#line 123 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	gtk_grid_attach (_tmp114_, (GtkWidget*) bottomButtons, 0, 4, 2, 1);
#line 124 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp115_ = (GtkBox*) gtk_dialog_get_content_area ((GtkDialog*) self);
#line 124 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp116_ = grid;
#line 124 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	gtk_container_add ((GtkContainer*) _tmp115_, (GtkWidget*) _tmp116_);
#line 126 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp117_ = self->priv->moveToTrash;
#line 126 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	g_signal_connect_object (_tmp117_, "clicked", (GCallback) _noise_not_imported_window_moveToTrashClick_gtk_button_clicked, self, 0);
#line 127 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp118_ = _data27_->trashAll;
#line 127 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	g_signal_connect_data ((GtkToggleButton*) _tmp118_, "toggled", (GCallback) ___lambda9__gtk_toggle_button_toggled, block27_data_ref (_data27_), (GClosureNotify) block27_data_unref, 0);
#line 139 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp119_ = okButton;
#line 139 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	g_signal_connect_object (_tmp119_, "clicked", (GCallback) ___lambda10__gtk_button_clicked, self, 0);
#line 143 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	g_signal_connect_data (_data27_->expander, "activate", (GCallback) ___lambda11__gtk_expander_activate, block27_data_ref (_data27_), (GClosureNotify) block27_data_unref, 0);
#line 151 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	gtk_widget_show_all ((GtkWidget*) self);
#line 39 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_g_object_unref0 (bottomButtons);
#line 39 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_g_object_unref0 (files_scrolled);
#line 39 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_g_object_unref0 (column);
#line 39 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_g_object_unref0 (toggle);
#line 39 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_g_object_unref0 (okButton);
#line 39 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_g_object_unref0 (info);
#line 39 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_g_object_unref0 (title);
#line 39 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_g_object_unref0 (warning);
#line 39 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_g_object_unref0 (grid);
#line 39 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	block27_data_unref (_data27_);
#line 39 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_data27_ = NULL;
#line 39 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	return self;
#line 1122 "NotImportedWindow.c"
}


NoiseNotImportedWindow* noise_not_imported_window_new (GeeCollection* files, const gchar* music) {
#line 39 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	return noise_not_imported_window_construct (NOISE_TYPE_NOT_IMPORTED_WINDOW, files, music);
#line 1129 "NotImportedWindow.c"
}


gboolean noise_not_imported_window_updateMoveToTrashSensetivity (NoiseNotImportedWindow* self, GtkTreeModel* model, GtkTreePath* path, GtkTreeIter* iter) {
	gboolean result = FALSE;
	gboolean sel = FALSE;
	GtkTreeModel* _tmp0_ = NULL;
	GtkTreeIter _tmp1_ = {0};
	gboolean _tmp2_ = FALSE;
#line 154 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 154 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	g_return_val_if_fail (model != NULL, FALSE);
#line 154 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	g_return_val_if_fail (path != NULL, FALSE);
#line 154 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	g_return_val_if_fail (iter != NULL, FALSE);
#line 155 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	sel = FALSE;
#line 156 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp0_ = model;
#line 156 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp1_ = *iter;
#line 156 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	gtk_tree_model_get (_tmp0_, &_tmp1_, 0, &sel, -1);
#line 158 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp2_ = sel;
#line 158 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	if (_tmp2_) {
#line 1159 "NotImportedWindow.c"
		GtkButton* _tmp3_ = NULL;
#line 159 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
		_tmp3_ = self->priv->moveToTrash;
#line 159 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
		gtk_widget_set_sensitive ((GtkWidget*) _tmp3_, TRUE);
#line 160 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
		result = TRUE;
#line 160 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
		return result;
#line 1169 "NotImportedWindow.c"
	}
#line 163 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	result = FALSE;
#line 163 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	return result;
#line 1175 "NotImportedWindow.c"
}


gboolean noise_not_imported_window_selectAll (NoiseNotImportedWindow* self, GtkTreeModel* model, GtkTreePath* path, GtkTreeIter* iter) {
	gboolean result = FALSE;
	GtkListStore* _tmp0_ = NULL;
	GtkTreeIter _tmp1_ = {0};
#line 166 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 166 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	g_return_val_if_fail (model != NULL, FALSE);
#line 166 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	g_return_val_if_fail (path != NULL, FALSE);
#line 166 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	g_return_val_if_fail (iter != NULL, FALSE);
#line 167 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp0_ = self->priv->filesModel;
#line 167 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp1_ = *iter;
#line 167 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	gtk_list_store_set (_tmp0_, &_tmp1_, 0, TRUE, -1);
#line 168 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	result = FALSE;
#line 168 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	return result;
#line 1201 "NotImportedWindow.c"
}


gboolean noise_not_imported_window_unselectAll (NoiseNotImportedWindow* self, GtkTreeModel* model, GtkTreePath* path, GtkTreeIter* iter) {
	gboolean result = FALSE;
	GtkListStore* _tmp0_ = NULL;
	GtkTreeIter _tmp1_ = {0};
#line 171 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 171 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	g_return_val_if_fail (model != NULL, FALSE);
#line 171 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	g_return_val_if_fail (path != NULL, FALSE);
#line 171 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	g_return_val_if_fail (iter != NULL, FALSE);
#line 172 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp0_ = self->priv->filesModel;
#line 172 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp1_ = *iter;
#line 172 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	gtk_list_store_set (_tmp0_, &_tmp1_, 0, FALSE, -1);
#line 173 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	result = FALSE;
#line 173 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	return result;
#line 1227 "NotImportedWindow.c"
}


gboolean noise_not_imported_window_deleteSelectedItems (NoiseNotImportedWindow* self, GtkTreeModel* model, GtkTreePath* path, GtkTreeIter* iter) {
	gboolean result = FALSE;
	gboolean selected = FALSE;
	gchar* location = NULL;
	GtkListStore* _tmp0_ = NULL;
	GtkTreeIter _tmp1_ = {0};
	GtkListStore* _tmp2_ = NULL;
	GtkTreeIter _tmp3_ = {0};
	gboolean _tmp4_ = FALSE;
	GError * _inner_error_ = NULL;
#line 176 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 176 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	g_return_val_if_fail (model != NULL, FALSE);
#line 176 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	g_return_val_if_fail (path != NULL, FALSE);
#line 176 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	g_return_val_if_fail (iter != NULL, FALSE);
#line 179 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp0_ = self->priv->filesModel;
#line 179 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp1_ = *iter;
#line 179 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	gtk_tree_model_get ((GtkTreeModel*) _tmp0_, &_tmp1_, 0, &selected, -1);
#line 180 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp2_ = self->priv->filesModel;
#line 180 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp3_ = *iter;
#line 180 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	gtk_tree_model_get ((GtkTreeModel*) _tmp2_, &_tmp3_, 1, &location, -1);
#line 182 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp4_ = selected;
#line 182 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	if (_tmp4_) {
#line 1265 "NotImportedWindow.c"
		{
			GFile* file = NULL;
			const gchar* _tmp5_ = NULL;
			const gchar* _tmp6_ = NULL;
			gchar* _tmp7_ = NULL;
			gchar* _tmp8_ = NULL;
			GFile* _tmp9_ = NULL;
			GFile* _tmp10_ = NULL;
			GFile* _tmp11_ = NULL;
#line 184 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
			_tmp5_ = self->priv->music_folder;
#line 184 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
			_tmp6_ = location;
#line 184 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
			_tmp7_ = g_strconcat (_tmp5_, _tmp6_, NULL);
#line 184 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
			_tmp8_ = _tmp7_;
#line 184 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
			_tmp9_ = g_file_new_for_path (_tmp8_);
#line 184 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
			_tmp10_ = _tmp9_;
#line 184 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
			_g_free0 (_tmp8_);
#line 184 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
			file = _tmp10_;
#line 185 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
			_tmp11_ = file;
#line 185 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
			g_file_trash (_tmp11_, NULL, &_inner_error_);
#line 185 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 185 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
				_g_object_unref0 (file);
#line 1299 "NotImportedWindow.c"
				goto __catch106_g_error;
			}
#line 183 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
			_g_object_unref0 (file);
#line 1304 "NotImportedWindow.c"
		}
		goto __finally106;
		__catch106_g_error:
		{
			GError* err = NULL;
			const gchar* _tmp12_ = NULL;
			GError* _tmp13_ = NULL;
			const gchar* _tmp14_ = NULL;
#line 183 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
			err = _inner_error_;
#line 183 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
			_inner_error_ = NULL;
#line 188 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
			_tmp12_ = location;
#line 188 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
			_tmp13_ = err;
#line 188 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
			_tmp14_ = _tmp13_->message;
#line 188 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
			g_warning ("NotImportedWindow.vala:188: Could not move file %s to recycle: %s\n", _tmp12_, _tmp14_);
#line 183 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
			_g_error_free0 (err);
#line 1327 "NotImportedWindow.c"
		}
		__finally106:
#line 183 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1332 "NotImportedWindow.c"
			gboolean _tmp15_ = FALSE;
#line 183 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
			_g_free0 (location);
#line 183 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 183 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
			g_clear_error (&_inner_error_);
#line 183 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
			return _tmp15_;
#line 1342 "NotImportedWindow.c"
		}
	}
#line 201 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	result = FALSE;
#line 201 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_g_free0 (location);
#line 201 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	return result;
#line 1351 "NotImportedWindow.c"
}


static gboolean _noise_not_imported_window_deleteSelectedItems_gtk_tree_model_foreach_func (GtkTreeModel* model, GtkTreePath* path, GtkTreeIter* iter, gpointer self) {
	gboolean result;
	result = noise_not_imported_window_deleteSelectedItems ((NoiseNotImportedWindow*) self, model, path, iter);
#line 205 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	return result;
#line 1360 "NotImportedWindow.c"
}


static void noise_not_imported_window_real_moveToTrashClick (NoiseNotImportedWindow* self) {
	GtkListStore* _tmp0_ = NULL;
#line 205 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_tmp0_ = self->priv->filesModel;
#line 205 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	gtk_tree_model_foreach ((GtkTreeModel*) _tmp0_, _noise_not_imported_window_deleteSelectedItems_gtk_tree_model_foreach_func, self);
#line 206 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	gtk_widget_destroy ((GtkWidget*) self);
#line 1372 "NotImportedWindow.c"
}


void noise_not_imported_window_moveToTrashClick (NoiseNotImportedWindow* self) {
#line 204 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	g_return_if_fail (self != NULL);
#line 204 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	NOISE_NOT_IMPORTED_WINDOW_GET_CLASS (self)->moveToTrashClick (self);
#line 1381 "NotImportedWindow.c"
}


static void noise_not_imported_window_real_ignoreClick (NoiseNotImportedWindow* self) {
#line 210 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	gtk_widget_destroy ((GtkWidget*) self);
#line 1388 "NotImportedWindow.c"
}


void noise_not_imported_window_ignoreClick (NoiseNotImportedWindow* self) {
#line 209 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	g_return_if_fail (self != NULL);
#line 209 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	NOISE_NOT_IMPORTED_WINDOW_GET_CLASS (self)->ignoreClick (self);
#line 1397 "NotImportedWindow.c"
}


static void noise_not_imported_window_class_init (NoiseNotImportedWindowClass * klass) {
#line 32 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	noise_not_imported_window_parent_class = g_type_class_peek_parent (klass);
#line 32 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	g_type_class_add_private (klass, sizeof (NoiseNotImportedWindowPrivate));
#line 32 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	((NoiseNotImportedWindowClass *) klass)->moveToTrashClick = (void (*)(NoiseNotImportedWindow*)) noise_not_imported_window_real_moveToTrashClick;
#line 32 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	((NoiseNotImportedWindowClass *) klass)->ignoreClick = (void (*)(NoiseNotImportedWindow*)) noise_not_imported_window_real_ignoreClick;
#line 32 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	G_OBJECT_CLASS (klass)->finalize = noise_not_imported_window_finalize;
#line 1412 "NotImportedWindow.c"
}


static void noise_not_imported_window_instance_init (NoiseNotImportedWindow * self) {
#line 32 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	self->priv = NOISE_NOT_IMPORTED_WINDOW_GET_PRIVATE (self);
#line 1419 "NotImportedWindow.c"
}


static void noise_not_imported_window_finalize (GObject* obj) {
	NoiseNotImportedWindow * self;
#line 32 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NOISE_TYPE_NOT_IMPORTED_WINDOW, NoiseNotImportedWindow);
#line 33 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_g_object_unref0 (self->priv->_files);
#line 34 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_g_free0 (self->priv->music_folder);
#line 36 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_g_object_unref0 (self->priv->filesModel);
#line 37 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	_g_object_unref0 (self->priv->moveToTrash);
#line 32 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/NotImportedWindow.vala"
	G_OBJECT_CLASS (noise_not_imported_window_parent_class)->finalize (obj);
#line 1437 "NotImportedWindow.c"
}


GType noise_not_imported_window_get_type (void) {
	static volatile gsize noise_not_imported_window_type_id__volatile = 0;
	if (g_once_init_enter (&noise_not_imported_window_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NoiseNotImportedWindowClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) noise_not_imported_window_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NoiseNotImportedWindow), 0, (GInstanceInitFunc) noise_not_imported_window_instance_init, NULL };
		GType noise_not_imported_window_type_id;
		noise_not_imported_window_type_id = g_type_register_static (gtk_dialog_get_type (), "NoiseNotImportedWindow", &g_define_type_info, 0);
		g_once_init_leave (&noise_not_imported_window_type_id__volatile, noise_not_imported_window_type_id);
	}
	return noise_not_imported_window_type_id__volatile;
}



