/* RemoveFilesDialog.c generated by valac 0.34.9, the Vala compiler
 * generated from RemoveFilesDialog.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2012-2017 elementary LLC. (https://elementary.io)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Noise authors hereby grant permission for non-GPL compatible
 * GStreamer plugins to be used and distributed together with GStreamer
 * and Noise. This permission is above and beyond the permissions granted
 * by the GPL license by which Noise is covered. If you modify this code
 * you may extend this exception to your version of the code, but you are not
 * obligated to do so. If you do not wish to do so, delete this exception
 * statement from your version.
 *
 * Authored by: Scott Ringwelski <sgringwe@mtu.edu>
 */

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <gee.h>
#include <noise-core.h>
#include <stdlib.h>
#include <string.h>
#include <gio/gio.h>
#include <granite.h>
#include <glib/gi18n-lib.h>


#define NOISE_TYPE_REMOVE_FILES_DIALOG (noise_remove_files_dialog_get_type ())
#define NOISE_REMOVE_FILES_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_REMOVE_FILES_DIALOG, NoiseRemoveFilesDialog))
#define NOISE_REMOVE_FILES_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_REMOVE_FILES_DIALOG, NoiseRemoveFilesDialogClass))
#define NOISE_IS_REMOVE_FILES_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_REMOVE_FILES_DIALOG))
#define NOISE_IS_REMOVE_FILES_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_REMOVE_FILES_DIALOG))
#define NOISE_REMOVE_FILES_DIALOG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_REMOVE_FILES_DIALOG, NoiseRemoveFilesDialogClass))

typedef struct _NoiseRemoveFilesDialog NoiseRemoveFilesDialog;
typedef struct _NoiseRemoveFilesDialogClass NoiseRemoveFilesDialogClass;
typedef struct _NoiseRemoveFilesDialogPrivate NoiseRemoveFilesDialogPrivate;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))

#define NOISE_VIEW_WRAPPER_TYPE_HINT (noise_view_wrapper_hint_get_type ())

#define NOISE_TYPE_APP (noise_app_get_type ())
#define NOISE_APP(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_APP, NoiseApp))
#define NOISE_APP_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_APP, NoiseAppClass))
#define NOISE_IS_APP(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_APP))
#define NOISE_IS_APP_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_APP))
#define NOISE_APP_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_APP, NoiseAppClass))

typedef struct _NoiseApp NoiseApp;
typedef struct _NoiseAppClass NoiseAppClass;

#define NOISE_TYPE_LIBRARY_WINDOW (noise_library_window_get_type ())
#define NOISE_LIBRARY_WINDOW(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_LIBRARY_WINDOW, NoiseLibraryWindow))
#define NOISE_LIBRARY_WINDOW_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_LIBRARY_WINDOW, NoiseLibraryWindowClass))
#define NOISE_IS_LIBRARY_WINDOW(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_LIBRARY_WINDOW))
#define NOISE_IS_LIBRARY_WINDOW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_LIBRARY_WINDOW))
#define NOISE_LIBRARY_WINDOW_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_LIBRARY_WINDOW, NoiseLibraryWindowClass))

typedef struct _NoiseLibraryWindow NoiseLibraryWindow;
typedef struct _NoiseLibraryWindowClass NoiseLibraryWindowClass;
#define _g_free0(var) (var = (g_free (var), NULL))

struct _NoiseRemoveFilesDialog {
	GtkDialog parent_instance;
	NoiseRemoveFilesDialogPrivate * priv;
};

struct _NoiseRemoveFilesDialogClass {
	GtkDialogClass parent_class;
};

struct _NoiseRemoveFilesDialogPrivate {
	GtkBox* content;
	GtkButton* remove_button;
	GtkButton* trash_button;
	GtkButton* cancel_button;
};

typedef enum  {
	NOISE_VIEW_WRAPPER_HINT_NONE,
	NOISE_VIEW_WRAPPER_HINT_MUSIC,
	NOISE_VIEW_WRAPPER_HINT_PLAYLIST,
	NOISE_VIEW_WRAPPER_HINT_READ_ONLY_PLAYLIST,
	NOISE_VIEW_WRAPPER_HINT_SMART_PLAYLIST,
	NOISE_VIEW_WRAPPER_HINT_CDROM,
	NOISE_VIEW_WRAPPER_HINT_DEVICE,
	NOISE_VIEW_WRAPPER_HINT_DEVICE_AUDIO,
	NOISE_VIEW_WRAPPER_HINT_DEVICE_PODCAST,
	NOISE_VIEW_WRAPPER_HINT_DEVICE_AUDIOBOOK,
	NOISE_VIEW_WRAPPER_HINT_NETWORK_DEVICE,
	NOISE_VIEW_WRAPPER_HINT_ALBUM_LIST
} NoiseViewWrapperHint;


static gpointer noise_remove_files_dialog_parent_class = NULL;

GType noise_remove_files_dialog_get_type (void) G_GNUC_CONST;
#define NOISE_REMOVE_FILES_DIALOG_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NOISE_TYPE_REMOVE_FILES_DIALOG, NoiseRemoveFilesDialogPrivate))
enum  {
	NOISE_REMOVE_FILES_DIALOG_DUMMY_PROPERTY
};
GType noise_view_wrapper_hint_get_type (void) G_GNUC_CONST;
NoiseRemoveFilesDialog* noise_remove_files_dialog_new (GeeCollection* to_remove, NoiseViewWrapperHint media_type);
NoiseRemoveFilesDialog* noise_remove_files_dialog_construct (GType object_type, GeeCollection* to_remove, NoiseViewWrapperHint media_type);
GType noise_app_get_type (void) G_GNUC_CONST;
gchar* noise_app_get_name (NoiseApp* self);
GType noise_library_window_get_type (void) G_GNUC_CONST;
NoiseLibraryWindow* noise_app_get_main_window (void);
static void __lambda41_ (NoiseRemoveFilesDialog* self);
static void ___lambda41__gtk_button_clicked (GtkButton* _sender, gpointer self);
static void __lambda42_ (NoiseRemoveFilesDialog* self);
static void ___lambda42__gtk_button_clicked (GtkButton* _sender, gpointer self);
static void __lambda43_ (NoiseRemoveFilesDialog* self);
static void ___lambda43__gtk_button_clicked (GtkButton* _sender, gpointer self);
static void noise_remove_files_dialog_finalize (GObject* obj);
static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func);


static gpointer _g_object_ref0 (gpointer self) {
#line 49 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	return self ? g_object_ref (self) : NULL;
#line 140 "RemoveFilesDialog.c"
}


static void __lambda41_ (NoiseRemoveFilesDialog* self) {
#line 116 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	g_signal_emit_by_name (self, "remove-media", TRUE);
#line 117 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	gtk_widget_destroy ((GtkWidget*) self);
#line 149 "RemoveFilesDialog.c"
}


static void ___lambda41__gtk_button_clicked (GtkButton* _sender, gpointer self) {
#line 115 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	__lambda41_ ((NoiseRemoveFilesDialog*) self);
#line 156 "RemoveFilesDialog.c"
}


static void __lambda42_ (NoiseRemoveFilesDialog* self) {
#line 121 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	g_signal_emit_by_name (self, "remove-media", FALSE);
#line 122 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	gtk_widget_destroy ((GtkWidget*) self);
#line 165 "RemoveFilesDialog.c"
}


static void ___lambda42__gtk_button_clicked (GtkButton* _sender, gpointer self) {
#line 120 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	__lambda42_ ((NoiseRemoveFilesDialog*) self);
#line 172 "RemoveFilesDialog.c"
}


static void __lambda43_ (NoiseRemoveFilesDialog* self) {
#line 126 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	gtk_widget_destroy ((GtkWidget*) self);
#line 179 "RemoveFilesDialog.c"
}


static void ___lambda43__gtk_button_clicked (GtkButton* _sender, gpointer self) {
#line 125 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	__lambda43_ ((NoiseRemoveFilesDialog*) self);
#line 186 "RemoveFilesDialog.c"
}


NoiseRemoveFilesDialog* noise_remove_files_dialog_construct (GType object_type, GeeCollection* to_remove, NoiseViewWrapperHint media_type) {
	NoiseRemoveFilesDialog * self = NULL;
	gchar* app_name = NULL;
	GApplication* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	NoiseLibraryWindow* _tmp2_ = NULL;
	NoiseLibraryWindow* _tmp3_ = NULL;
	GtkBox* _tmp4_ = NULL;
	GtkBox* padding = NULL;
	GtkBox* _tmp5_ = NULL;
	GtkBox* _tmp6_ = NULL;
	GtkBox* _tmp7_ = NULL;
	GtkImage* warning = NULL;
	GtkImage* _tmp8_ = NULL;
	GtkLabel* title = NULL;
	GtkLabel* _tmp9_ = NULL;
	GtkLabel* info = NULL;
	GtkLabel* _tmp10_ = NULL;
	const gchar* _tmp11_ = NULL;
	GtkButton* _tmp12_ = NULL;
	const gchar* _tmp13_ = NULL;
	const gchar* _tmp14_ = NULL;
	gchar* _tmp15_ = NULL;
	gchar* _tmp16_ = NULL;
	GtkButton* _tmp17_ = NULL;
	const gchar* _tmp18_ = NULL;
	GtkButton* _tmp19_ = NULL;
	gboolean multiple_media = FALSE;
	GeeCollection* _tmp20_ = NULL;
	gint _tmp21_ = 0;
	gint _tmp22_ = 0;
	GtkLabel* _tmp23_ = NULL;
	gchar* title_text = NULL;
	gchar* _tmp24_ = NULL;
	gboolean _tmp25_ = FALSE;
	GtkLabel* _tmp45_ = NULL;
	const gchar* _tmp46_ = NULL;
	gchar* _tmp47_ = NULL;
	gchar* _tmp48_ = NULL;
	gchar* _tmp49_ = NULL;
	gchar* _tmp50_ = NULL;
	gchar* _tmp51_ = NULL;
	gchar* _tmp52_ = NULL;
	GtkLabel* _tmp53_ = NULL;
	GtkLabel* _tmp54_ = NULL;
	gint n = 0;
	GeeCollection* _tmp55_ = NULL;
	gint _tmp56_ = 0;
	gint _tmp57_ = 0;
	gchar* info_text = NULL;
	gint _tmp58_ = 0;
	const gchar* _tmp59_ = NULL;
	const gchar* _tmp60_ = NULL;
	gchar* _tmp61_ = NULL;
	GtkLabel* _tmp62_ = NULL;
	const gchar* _tmp63_ = NULL;
	gboolean need_trash = FALSE;
	GtkBox* information = NULL;
	GtkBox* _tmp79_ = NULL;
	GtkBox* information_text = NULL;
	GtkBox* _tmp80_ = NULL;
	GtkBox* _tmp81_ = NULL;
	GtkImage* _tmp82_ = NULL;
	GtkBox* _tmp83_ = NULL;
	GtkLabel* _tmp84_ = NULL;
	GtkBox* _tmp85_ = NULL;
	GtkLabel* _tmp86_ = NULL;
	GtkBox* _tmp87_ = NULL;
	GtkBox* _tmp88_ = NULL;
	GtkButtonBox* bottomButtons = NULL;
	GtkButtonBox* _tmp89_ = NULL;
	GtkButtonBox* _tmp90_ = NULL;
	gboolean _tmp91_ = FALSE;
	GtkButtonBox* _tmp94_ = NULL;
	GtkButton* _tmp95_ = NULL;
	GtkButtonBox* _tmp96_ = NULL;
	GtkButton* _tmp97_ = NULL;
	GtkButtonBox* _tmp98_ = NULL;
	GtkBox* _tmp99_ = NULL;
	GtkBox* _tmp100_ = NULL;
	GtkBox* _tmp101_ = NULL;
	GtkButtonBox* _tmp102_ = NULL;
	GtkBox* _tmp103_ = NULL;
	GtkBox* _tmp104_ = NULL;
	GtkButton* _tmp105_ = NULL;
	GtkButton* _tmp106_ = NULL;
	GtkButton* _tmp107_ = NULL;
	GtkButton* _tmp108_ = NULL;
	GtkButton* _tmp109_ = NULL;
#line 38 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	g_return_val_if_fail (to_remove != NULL, NULL);
#line 38 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	self = (NoiseRemoveFilesDialog*) g_object_new (object_type, NULL);
#line 39 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp0_ = g_application_get_default ();
#line 39 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp1_ = noise_app_get_name (G_TYPE_CHECK_INSTANCE_CAST (_tmp0_, NOISE_TYPE_APP, NoiseApp));
#line 39 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	app_name = _tmp1_;
#line 41 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	gtk_window_set_modal ((GtkWindow*) self, TRUE);
#line 42 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp2_ = noise_app_get_main_window ();
#line 42 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp3_ = _tmp2_;
#line 42 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	gtk_window_set_transient_for ((GtkWindow*) self, (GtkWindow*) _tmp3_);
#line 43 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	gtk_window_set_destroy_with_parent ((GtkWindow*) self, TRUE);
#line 44 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	gtk_window_set_resizable ((GtkWindow*) self, FALSE);
#line 45 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	gtk_window_set_deletable ((GtkWindow*) self, FALSE);
#line 47 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp4_ = (GtkBox*) gtk_box_new (GTK_ORIENTATION_VERTICAL, 10);
#line 47 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	g_object_ref_sink (_tmp4_);
#line 47 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_g_object_unref0 (self->priv->content);
#line 47 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	self->priv->content = _tmp4_;
#line 49 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp5_ = (GtkBox*) gtk_dialog_get_content_area ((GtkDialog*) self);
#line 49 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp6_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_tmp5_, gtk_box_get_type ()) ? ((GtkBox*) _tmp5_) : NULL);
#line 49 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	padding = _tmp6_;
#line 50 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp7_ = padding;
#line 50 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	gtk_orientable_set_orientation ((GtkOrientable*) _tmp7_, GTK_ORIENTATION_HORIZONTAL);
#line 53 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp8_ = (GtkImage*) gtk_image_new_from_icon_name ("dialog-warning", GTK_ICON_SIZE_DIALOG);
#line 53 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	g_object_ref_sink (_tmp8_);
#line 53 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	warning = _tmp8_;
#line 54 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp9_ = (GtkLabel*) gtk_label_new ("");
#line 54 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	g_object_ref_sink (_tmp9_);
#line 54 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	title = _tmp9_;
#line 55 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp10_ = (GtkLabel*) gtk_label_new ("");
#line 55 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	g_object_ref_sink (_tmp10_);
#line 55 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	info = _tmp10_;
#line 56 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp11_ = _ ("Move to Trash");
#line 56 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp12_ = (GtkButton*) gtk_button_new_with_label (_tmp11_);
#line 56 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	g_object_ref_sink (_tmp12_);
#line 56 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_g_object_unref0 (self->priv->trash_button);
#line 56 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	self->priv->trash_button = _tmp12_;
#line 57 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp13_ = _ ("Remove from %s");
#line 57 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp14_ = app_name;
#line 57 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp15_ = g_strdup_printf (_tmp13_, _tmp14_);
#line 57 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp16_ = _tmp15_;
#line 57 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp17_ = (GtkButton*) gtk_button_new_with_label (_tmp16_);
#line 57 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	g_object_ref_sink (_tmp17_);
#line 57 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_g_object_unref0 (self->priv->remove_button);
#line 57 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	self->priv->remove_button = _tmp17_;
#line 57 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_g_free0 (_tmp16_);
#line 58 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp18_ = _ ("Cancel");
#line 58 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp19_ = (GtkButton*) gtk_button_new_with_label (_tmp18_);
#line 58 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	g_object_ref_sink (_tmp19_);
#line 58 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_g_object_unref0 (self->priv->cancel_button);
#line 58 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	self->priv->cancel_button = _tmp19_;
#line 60 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp20_ = to_remove;
#line 60 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp21_ = gee_collection_get_size (_tmp20_);
#line 60 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp22_ = _tmp21_;
#line 60 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	multiple_media = _tmp22_ > 1;
#line 63 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp23_ = title;
#line 63 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp23_, GTK_ALIGN_START);
#line 64 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp24_ = g_strdup ("");
#line 64 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	title_text = _tmp24_;
#line 66 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp25_ = multiple_media;
#line 66 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	if (_tmp25_) {
#line 397 "RemoveFilesDialog.c"
		const gchar* _tmp26_ = NULL;
		GeeCollection* _tmp27_ = NULL;
		gint _tmp28_ = 0;
		gint _tmp29_ = 0;
		const gchar* _tmp30_ = NULL;
		gchar* _tmp31_ = NULL;
#line 67 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
		_tmp26_ = _ ("Remove %d Songs From %s?");
#line 67 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
		_tmp27_ = to_remove;
#line 67 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
		_tmp28_ = gee_collection_get_size (_tmp27_);
#line 67 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
		_tmp29_ = _tmp28_;
#line 67 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
		_tmp30_ = app_name;
#line 67 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
		_tmp31_ = g_strdup_printf (_tmp26_, _tmp29_, _tmp30_);
#line 67 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
		_g_free0 (title_text);
#line 67 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
		title_text = _tmp31_;
#line 420 "RemoveFilesDialog.c"
	} else {
		NoiseMedia* m = NULL;
		GeeCollection* _tmp32_ = NULL;
		gint _tmp33_ = 0;
		gpointer* _tmp34_ = NULL;
		NoiseMedia** _tmp35_ = NULL;
		gint _tmp35__length1 = 0;
		NoiseMedia* _tmp36_ = NULL;
		NoiseMedia* _tmp37_ = NULL;
		NoiseMedia* _tmp38_ = NULL;
		const gchar* _tmp39_ = NULL;
		NoiseMedia* _tmp40_ = NULL;
		gchar* _tmp41_ = NULL;
		gchar* _tmp42_ = NULL;
		const gchar* _tmp43_ = NULL;
		gchar* _tmp44_ = NULL;
#line 69 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
		_tmp32_ = to_remove;
#line 69 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
		_tmp34_ = gee_collection_to_array (_tmp32_, &_tmp33_);
#line 69 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
		_tmp35_ = _tmp34_;
#line 69 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
		_tmp35__length1 = _tmp33_;
#line 69 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
		_tmp36_ = _tmp35_[0];
#line 69 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
		_tmp37_ = _g_object_ref0 (_tmp36_);
#line 69 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
		_tmp38_ = _tmp37_;
#line 69 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
		_tmp35_ = (_vala_array_free (_tmp35_, _tmp35__length1, (GDestroyNotify) g_object_unref), NULL);
#line 69 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
		m = _tmp38_;
#line 70 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
		_tmp39_ = _ ("Remove \"%s\" From %s?");
#line 70 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
		_tmp40_ = m;
#line 70 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
		_tmp41_ = noise_media_get_display_title (_tmp40_);
#line 70 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
		_tmp42_ = _tmp41_;
#line 70 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
		_tmp43_ = app_name;
#line 70 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
		_tmp44_ = g_strdup_printf (_tmp39_, _tmp42_, _tmp43_);
#line 70 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
		_g_free0 (title_text);
#line 70 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
		title_text = _tmp44_;
#line 70 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
		_g_free0 (_tmp42_);
#line 66 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
		_g_object_unref0 (m);
#line 475 "RemoveFilesDialog.c"
	}
#line 73 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp45_ = title;
#line 73 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp46_ = title_text;
#line 73 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp47_ = g_markup_escape_text (_tmp46_, (gssize) -1);
#line 73 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp48_ = _tmp47_;
#line 73 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp49_ = g_strconcat ("<span weight=\"bold\" size=\"larger\">", _tmp48_, NULL);
#line 73 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp50_ = _tmp49_;
#line 73 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp51_ = g_strconcat (_tmp50_, "</span>", NULL);
#line 73 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp52_ = _tmp51_;
#line 73 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	gtk_label_set_markup (_tmp45_, _tmp52_);
#line 73 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_g_free0 (_tmp52_);
#line 73 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_g_free0 (_tmp50_);
#line 73 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_g_free0 (_tmp48_);
#line 76 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp53_ = info;
#line 76 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp53_, GTK_ALIGN_START);
#line 77 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp54_ = info;
#line 77 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	gtk_label_set_line_wrap (_tmp54_, TRUE);
#line 78 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp55_ = to_remove;
#line 78 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp56_ = gee_collection_get_size (_tmp55_);
#line 78 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp57_ = _tmp56_;
#line 78 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	n = _tmp57_;
#line 79 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp58_ = n;
#line 79 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp59_ = ngettext ("This will remove the song from your library and from any device that a" \
"utomatically syncs with %s.", "This will remove the songs from your library and from any device that " \
"automatically syncs with %s.", (gulong) _tmp58_);
#line 79 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp60_ = app_name;
#line 79 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp61_ = g_strdup_printf (_tmp59_, _tmp60_);
#line 79 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	info_text = _tmp61_;
#line 82 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp62_ = info;
#line 82 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp63_ = info_text;
#line 82 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	gtk_label_set_text (_tmp62_, _tmp63_);
#line 85 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	need_trash = FALSE;
#line 535 "RemoveFilesDialog.c"
	{
		GeeIterator* _m_it = NULL;
		GeeCollection* _tmp64_ = NULL;
		GeeIterator* _tmp65_ = NULL;
#line 86 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
		_tmp64_ = to_remove;
#line 86 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
		_tmp65_ = gee_iterable_iterator ((GeeIterable*) _tmp64_);
#line 86 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
		_m_it = _tmp65_;
#line 86 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
		while (TRUE) {
#line 548 "RemoveFilesDialog.c"
			GeeIterator* _tmp66_ = NULL;
			gboolean _tmp67_ = FALSE;
			NoiseMedia* m = NULL;
			GeeIterator* _tmp68_ = NULL;
			gpointer _tmp69_ = NULL;
			NoiseMedia* _tmp70_ = NULL;
			gchar* _tmp71_ = NULL;
			gchar* _tmp72_ = NULL;
			gchar* _tmp73_ = NULL;
			gboolean _tmp74_ = FALSE;
			gboolean _tmp75_ = FALSE;
#line 86 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
			_tmp66_ = _m_it;
#line 86 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
			_tmp67_ = gee_iterator_next (_tmp66_);
#line 86 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
			if (!_tmp67_) {
#line 86 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
				break;
#line 568 "RemoveFilesDialog.c"
			}
#line 86 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
			_tmp68_ = _m_it;
#line 86 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
			_tmp69_ = gee_iterator_get (_tmp68_);
#line 86 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
			m = (NoiseMedia*) _tmp69_;
#line 87 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
			_tmp70_ = m;
#line 87 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
			_tmp71_ = noise_media_get_uri (_tmp70_);
#line 87 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
			_tmp72_ = _tmp71_;
#line 87 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
			_tmp73_ = _tmp72_;
#line 87 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
			_tmp74_ = g_str_has_prefix (_tmp73_, "file:/");
#line 87 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
			_tmp75_ = _tmp74_;
#line 87 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
			_g_free0 (_tmp73_);
#line 87 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
			if (_tmp75_) {
#line 592 "RemoveFilesDialog.c"
				NoiseMedia* _tmp76_ = NULL;
				gboolean _tmp77_ = FALSE;
				gboolean _tmp78_ = FALSE;
#line 88 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
				_tmp76_ = m;
#line 88 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
				_tmp77_ = noise_media_get_file_exists (_tmp76_);
#line 88 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
				_tmp78_ = _tmp77_;
#line 88 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
				if (_tmp78_ == TRUE) {
#line 89 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
					need_trash = TRUE;
#line 90 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
					_g_object_unref0 (m);
#line 90 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
					break;
#line 610 "RemoveFilesDialog.c"
				}
			}
#line 86 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
			_g_object_unref0 (m);
#line 615 "RemoveFilesDialog.c"
		}
#line 86 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
		_g_object_unref0 (_m_it);
#line 619 "RemoveFilesDialog.c"
	}
#line 96 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp79_ = (GtkBox*) gtk_box_new (GTK_ORIENTATION_HORIZONTAL, 0);
#line 96 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	g_object_ref_sink (_tmp79_);
#line 96 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	information = _tmp79_;
#line 97 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp80_ = (GtkBox*) gtk_box_new (GTK_ORIENTATION_VERTICAL, 0);
#line 97 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	g_object_ref_sink (_tmp80_);
#line 97 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	information_text = _tmp80_;
#line 98 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp81_ = information;
#line 98 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp82_ = warning;
#line 98 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	gtk_box_pack_start (_tmp81_, (GtkWidget*) _tmp82_, FALSE, FALSE, (guint) 10);
#line 99 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp83_ = information_text;
#line 99 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp84_ = title;
#line 99 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	gtk_box_pack_start (_tmp83_, (GtkWidget*) _tmp84_, FALSE, TRUE, (guint) 10);
#line 100 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp85_ = information_text;
#line 100 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp86_ = info;
#line 100 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	gtk_box_pack_start (_tmp85_, (GtkWidget*) _tmp86_, FALSE, TRUE, (guint) 0);
#line 101 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp87_ = information;
#line 101 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp88_ = information_text;
#line 101 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	gtk_box_pack_start (_tmp87_, (GtkWidget*) _tmp88_, TRUE, TRUE, (guint) 10);
#line 103 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp89_ = (GtkButtonBox*) gtk_button_box_new (GTK_ORIENTATION_HORIZONTAL);
#line 103 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	g_object_ref_sink (_tmp89_);
#line 103 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	bottomButtons = _tmp89_;
#line 104 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp90_ = bottomButtons;
#line 104 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	gtk_button_box_set_layout (_tmp90_, GTK_BUTTONBOX_END);
#line 105 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp91_ = need_trash;
#line 105 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	if (_tmp91_) {
#line 671 "RemoveFilesDialog.c"
		GtkButtonBox* _tmp92_ = NULL;
		GtkButton* _tmp93_ = NULL;
#line 105 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
		_tmp92_ = bottomButtons;
#line 105 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
		_tmp93_ = self->priv->trash_button;
#line 105 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
		gtk_box_pack_end ((GtkBox*) _tmp92_, (GtkWidget*) _tmp93_, FALSE, FALSE, (guint) 0);
#line 680 "RemoveFilesDialog.c"
	}
#line 106 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp94_ = bottomButtons;
#line 106 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp95_ = self->priv->cancel_button;
#line 106 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	gtk_box_pack_end ((GtkBox*) _tmp94_, (GtkWidget*) _tmp95_, FALSE, FALSE, (guint) 0);
#line 107 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp96_ = bottomButtons;
#line 107 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp97_ = self->priv->remove_button;
#line 107 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	gtk_box_pack_end ((GtkBox*) _tmp96_, (GtkWidget*) _tmp97_, FALSE, FALSE, (guint) 0);
#line 108 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp98_ = bottomButtons;
#line 108 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	gtk_box_set_spacing ((GtkBox*) _tmp98_, 10);
#line 110 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp99_ = self->priv->content;
#line 110 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp100_ = information;
#line 110 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	gtk_box_pack_start (_tmp99_, (GtkWidget*) _tmp100_, FALSE, TRUE, (guint) 0);
#line 111 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp101_ = self->priv->content;
#line 111 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp102_ = bottomButtons;
#line 111 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	gtk_box_pack_start (_tmp101_, (GtkWidget*) _tmp102_, FALSE, TRUE, (guint) 10);
#line 113 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp103_ = padding;
#line 113 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp104_ = self->priv->content;
#line 113 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	gtk_box_pack_start (_tmp103_, (GtkWidget*) _tmp104_, TRUE, TRUE, (guint) 0);
#line 115 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp105_ = self->priv->trash_button;
#line 115 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	g_signal_connect_object (_tmp105_, "clicked", (GCallback) ___lambda41__gtk_button_clicked, self, 0);
#line 120 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp106_ = self->priv->remove_button;
#line 120 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	g_signal_connect_object (_tmp106_, "clicked", (GCallback) ___lambda42__gtk_button_clicked, self, 0);
#line 125 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp107_ = self->priv->cancel_button;
#line 125 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	g_signal_connect_object (_tmp107_, "clicked", (GCallback) ___lambda43__gtk_button_clicked, self, 0);
#line 129 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp108_ = self->priv->cancel_button;
#line 129 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	gtk_window_set_default ((GtkWindow*) self, (GtkWidget*) _tmp108_);
#line 130 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_tmp109_ = self->priv->cancel_button;
#line 130 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	gtk_widget_grab_focus ((GtkWidget*) _tmp109_);
#line 132 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	gtk_widget_show_all ((GtkWidget*) self);
#line 38 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_g_object_unref0 (bottomButtons);
#line 38 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_g_object_unref0 (information_text);
#line 38 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_g_object_unref0 (information);
#line 38 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_g_free0 (info_text);
#line 38 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_g_free0 (title_text);
#line 38 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_g_object_unref0 (info);
#line 38 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_g_object_unref0 (title);
#line 38 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_g_object_unref0 (warning);
#line 38 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_g_object_unref0 (padding);
#line 38 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_g_free0 (app_name);
#line 38 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	return self;
#line 760 "RemoveFilesDialog.c"
}


NoiseRemoveFilesDialog* noise_remove_files_dialog_new (GeeCollection* to_remove, NoiseViewWrapperHint media_type) {
#line 38 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	return noise_remove_files_dialog_construct (NOISE_TYPE_REMOVE_FILES_DIALOG, to_remove, media_type);
#line 767 "RemoveFilesDialog.c"
}


static void noise_remove_files_dialog_class_init (NoiseRemoveFilesDialogClass * klass) {
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	noise_remove_files_dialog_parent_class = g_type_class_peek_parent (klass);
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	g_type_class_add_private (klass, sizeof (NoiseRemoveFilesDialogPrivate));
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	G_OBJECT_CLASS (klass)->finalize = noise_remove_files_dialog_finalize;
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	g_signal_new ("remove_media", NOISE_TYPE_REMOVE_FILES_DIALOG, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__BOOLEAN, G_TYPE_NONE, 1, G_TYPE_BOOLEAN);
#line 780 "RemoveFilesDialog.c"
}


static void noise_remove_files_dialog_instance_init (NoiseRemoveFilesDialog * self) {
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	self->priv = NOISE_REMOVE_FILES_DIALOG_GET_PRIVATE (self);
#line 787 "RemoveFilesDialog.c"
}


static void noise_remove_files_dialog_finalize (GObject* obj) {
	NoiseRemoveFilesDialog * self;
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NOISE_TYPE_REMOVE_FILES_DIALOG, NoiseRemoveFilesDialog);
#line 32 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_g_object_unref0 (self->priv->content);
#line 34 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_g_object_unref0 (self->priv->remove_button);
#line 35 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_g_object_unref0 (self->priv->trash_button);
#line 36 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	_g_object_unref0 (self->priv->cancel_button);
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/RemoveFilesDialog.vala"
	G_OBJECT_CLASS (noise_remove_files_dialog_parent_class)->finalize (obj);
#line 805 "RemoveFilesDialog.c"
}


GType noise_remove_files_dialog_get_type (void) {
	static volatile gsize noise_remove_files_dialog_type_id__volatile = 0;
	if (g_once_init_enter (&noise_remove_files_dialog_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NoiseRemoveFilesDialogClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) noise_remove_files_dialog_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NoiseRemoveFilesDialog), 0, (GInstanceInitFunc) noise_remove_files_dialog_instance_init, NULL };
		GType noise_remove_files_dialog_type_id;
		noise_remove_files_dialog_type_id = g_type_register_static (gtk_dialog_get_type (), "NoiseRemoveFilesDialog", &g_define_type_info, 0);
		g_once_init_leave (&noise_remove_files_dialog_type_id__volatile, noise_remove_files_dialog_type_id);
	}
	return noise_remove_files_dialog_type_id__volatile;
}


static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	if ((array != NULL) && (destroy_func != NULL)) {
		int i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}


static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}



