/* TransferFromDeviceDialog.c generated by valac 0.34.9, the Vala compiler
 * generated from TransferFromDeviceDialog.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2012-2017 elementary LLC. (https://elementary.io)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Noise authors hereby grant permission for non-GPL compatible
 * GStreamer plugins to be used and distributed together with GStreamer
 * and Noise. This permission is above and beyond the permissions granted
 * by the GPL license by which Noise is covered. If you modify this code
 * you may extend this exception to your version of the code, but you are not
 * obligated to do so. If you do not wish to do so, delete this exception
 * statement from your version.
 *
 * Authored by: Scott Ringwelski <sgringwe@mtu.edu>
 */
/* Merely a place holder for multiple pieces of information regarding
 * the current media playing. Mostly here because of dependence. */

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <gee.h>
#include <noise-core.h>
#include <glib/gi18n-lib.h>
#include <gdk/gdk.h>
#include <stdlib.h>
#include <string.h>


#define NOISE_TYPE_TRANSFER_FROM_DEVICE_DIALOG (noise_transfer_from_device_dialog_get_type ())
#define NOISE_TRANSFER_FROM_DEVICE_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_TRANSFER_FROM_DEVICE_DIALOG, NoiseTransferFromDeviceDialog))
#define NOISE_TRANSFER_FROM_DEVICE_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_TRANSFER_FROM_DEVICE_DIALOG, NoiseTransferFromDeviceDialogClass))
#define NOISE_IS_TRANSFER_FROM_DEVICE_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_TRANSFER_FROM_DEVICE_DIALOG))
#define NOISE_IS_TRANSFER_FROM_DEVICE_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_TRANSFER_FROM_DEVICE_DIALOG))
#define NOISE_TRANSFER_FROM_DEVICE_DIALOG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_TRANSFER_FROM_DEVICE_DIALOG, NoiseTransferFromDeviceDialogClass))

typedef struct _NoiseTransferFromDeviceDialog NoiseTransferFromDeviceDialog;
typedef struct _NoiseTransferFromDeviceDialogClass NoiseTransferFromDeviceDialogClass;
typedef struct _NoiseTransferFromDeviceDialogPrivate NoiseTransferFromDeviceDialogPrivate;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
typedef struct _Block28Data Block28Data;

#define NOISE_TYPE_LIBRARY_WINDOW (noise_library_window_get_type ())
#define NOISE_LIBRARY_WINDOW(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_LIBRARY_WINDOW, NoiseLibraryWindow))
#define NOISE_LIBRARY_WINDOW_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_LIBRARY_WINDOW, NoiseLibraryWindowClass))
#define NOISE_IS_LIBRARY_WINDOW(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_LIBRARY_WINDOW))
#define NOISE_IS_LIBRARY_WINDOW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_LIBRARY_WINDOW))
#define NOISE_LIBRARY_WINDOW_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_LIBRARY_WINDOW, NoiseLibraryWindowClass))

typedef struct _NoiseLibraryWindow NoiseLibraryWindow;
typedef struct _NoiseLibraryWindowClass NoiseLibraryWindowClass;
#define _g_free0(var) (var = (g_free (var), NULL))
#define _gtk_tree_path_free0(var) ((var == NULL) ? NULL : (var = (gtk_tree_path_free (var), NULL)))

struct _NoiseTransferFromDeviceDialog {
	GtkWindow parent_instance;
	NoiseTransferFromDeviceDialogPrivate * priv;
};

struct _NoiseTransferFromDeviceDialogClass {
	GtkWindowClass parent_class;
	void (*transferAllToggled) (NoiseTransferFromDeviceDialog* self);
	void (*transferClick) (NoiseTransferFromDeviceDialog* self);
	void (*cancelClick) (NoiseTransferFromDeviceDialog* self);
};

struct _NoiseTransferFromDeviceDialogPrivate {
	GeeTreeSet* medias;
	NoiseDevice* d;
	GtkBox* content;
	GtkBox* padding;
	GtkCheckButton* transferAll;
	GtkScrolledWindow* mediasScroll;
	GtkTreeView* mediasView;
	GtkListStore* mediasModel;
	GtkButton* transfer;
	GtkMenu* viewMenu;
	GtkMenuItem* selectItem;
	GtkMenuItem* selectAlbum;
	GtkMenuItem* selectArtist;
	GeeTreeSet* to_transfer;
};

struct _Block28Data {
	int _ref_count_;
	NoiseTransferFromDeviceDialog* self;
	GtkExpander* exp;
};


static gpointer noise_transfer_from_device_dialog_parent_class = NULL;

GType noise_transfer_from_device_dialog_get_type (void) G_GNUC_CONST;
#define NOISE_TRANSFER_FROM_DEVICE_DIALOG_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NOISE_TYPE_TRANSFER_FROM_DEVICE_DIALOG, NoiseTransferFromDeviceDialogPrivate))
enum  {
	NOISE_TRANSFER_FROM_DEVICE_DIALOG_DUMMY_PROPERTY
};
NoiseTransferFromDeviceDialog* noise_transfer_from_device_dialog_new (NoiseDevice* d, GeeCollection* _medias);
NoiseTransferFromDeviceDialog* noise_transfer_from_device_dialog_construct (GType object_type, NoiseDevice* d, GeeCollection* _medias);
static Block28Data* block28_data_ref (Block28Data* _data28_);
static void block28_data_unref (void * _userdata_);
GType noise_library_window_get_type (void) G_GNUC_CONST;
NoiseLibraryWindow* noise_app_get_main_window (void);
static void __lambda137_ (NoiseTransferFromDeviceDialog* self, GtkCellRendererToggle* toggle, const gchar* path);
gboolean noise_transfer_from_device_dialog_updateTransferSensetivity (NoiseTransferFromDeviceDialog* self, GtkTreeModel* model, GtkTreePath* path, GtkTreeIter* iter);
static gboolean _noise_transfer_from_device_dialog_updateTransferSensetivity_gtk_tree_model_foreach_func (GtkTreeModel* model, GtkTreePath* path, GtkTreeIter* iter, gpointer self);
static void ___lambda137__gtk_cell_renderer_toggle_toggled (GtkCellRendererToggle* _sender, const gchar* path, gpointer self);
gint noise_transfer_from_device_dialog_mediaCompareFunc (NoiseMedia* a, NoiseMedia* b);
static gint _noise_transfer_from_device_dialog_mediaCompareFunc_gcompare_data_func (gconstpointer a, gconstpointer b, gpointer self);
void noise_transfer_from_device_dialog_transferClick (NoiseTransferFromDeviceDialog* self);
static void _noise_transfer_from_device_dialog_transferClick_gtk_button_clicked (GtkButton* _sender, gpointer self);
void noise_transfer_from_device_dialog_transferAllToggled (NoiseTransferFromDeviceDialog* self);
static void _noise_transfer_from_device_dialog_transferAllToggled_gtk_toggle_button_toggled (GtkToggleButton* _sender, gpointer self);
static void __lambda138_ (NoiseTransferFromDeviceDialog* self);
static void ___lambda138__gtk_button_clicked (GtkButton* _sender, gpointer self);
static void __lambda139_ (Block28Data* _data28_);
static void ___lambda139__gtk_expander_activate (GtkExpander* _sender, gpointer self);
GtkAlignment* noise_transfer_from_device_dialog_wrap_alignment (GtkWidget* widget, gint top, gint right, gint bottom, gint left);
gboolean noise_transfer_from_device_dialog_selectAll (NoiseTransferFromDeviceDialog* self, GtkTreeModel* model, GtkTreePath* path, GtkTreeIter* iter);
gboolean noise_transfer_from_device_dialog_unselectAll (NoiseTransferFromDeviceDialog* self, GtkTreeModel* model, GtkTreePath* path, GtkTreeIter* iter);
static void noise_transfer_from_device_dialog_real_transferAllToggled (NoiseTransferFromDeviceDialog* self);
static gboolean _noise_transfer_from_device_dialog_selectAll_gtk_tree_model_foreach_func (GtkTreeModel* model, GtkTreePath* path, GtkTreeIter* iter, gpointer self);
static gboolean _noise_transfer_from_device_dialog_unselectAll_gtk_tree_model_foreach_func (GtkTreeModel* model, GtkTreePath* path, GtkTreeIter* iter, gpointer self);
gboolean noise_transfer_from_device_dialog_createTransferList (NoiseTransferFromDeviceDialog* self, GtkTreeModel* model, GtkTreePath* path, GtkTreeIter* iter);
static void noise_transfer_from_device_dialog_real_transferClick (NoiseTransferFromDeviceDialog* self);
static gboolean _noise_transfer_from_device_dialog_createTransferList_gtk_tree_model_foreach_func (GtkTreeModel* model, GtkTreePath* path, GtkTreeIter* iter, gpointer self);
void noise_transfer_from_device_dialog_cancelClick (NoiseTransferFromDeviceDialog* self);
static void noise_transfer_from_device_dialog_real_cancelClick (NoiseTransferFromDeviceDialog* self);
static void noise_transfer_from_device_dialog_finalize (GObject* obj);


static Block28Data* block28_data_ref (Block28Data* _data28_) {
#line 55 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_atomic_int_inc (&_data28_->_ref_count_);
#line 55 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	return _data28_;
#line 153 "TransferFromDeviceDialog.c"
}


static void block28_data_unref (void * _userdata_) {
	Block28Data* _data28_;
	_data28_ = (Block28Data*) _userdata_;
#line 55 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	if (g_atomic_int_dec_and_test (&_data28_->_ref_count_)) {
#line 162 "TransferFromDeviceDialog.c"
		NoiseTransferFromDeviceDialog* self;
#line 55 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		self = _data28_->self;
#line 55 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_g_object_unref0 (_data28_->exp);
#line 55 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_g_object_unref0 (self);
#line 55 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		g_slice_free (Block28Data, _data28_);
#line 172 "TransferFromDeviceDialog.c"
	}
}


static gpointer _g_object_ref0 (gpointer self) {
#line 57 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	return self ? g_object_ref (self) : NULL;
#line 180 "TransferFromDeviceDialog.c"
}


static gboolean _noise_transfer_from_device_dialog_updateTransferSensetivity_gtk_tree_model_foreach_func (GtkTreeModel* model, GtkTreePath* path, GtkTreeIter* iter, gpointer self) {
	gboolean result;
	result = noise_transfer_from_device_dialog_updateTransferSensetivity ((NoiseTransferFromDeviceDialog*) self, model, path, iter);
#line 115 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	return result;
#line 189 "TransferFromDeviceDialog.c"
}


static void __lambda137_ (NoiseTransferFromDeviceDialog* self, GtkCellRendererToggle* toggle, const gchar* path) {
	GtkTreePath* tree_path = NULL;
	const gchar* _tmp0_ = NULL;
	GtkTreePath* _tmp1_ = NULL;
	GtkTreeIter iter = {0};
	GtkListStore* _tmp2_ = NULL;
	GtkTreeIter _tmp3_ = {0};
	GtkListStore* _tmp4_ = NULL;
	GtkTreeIter _tmp5_ = {0};
	GtkCellRendererToggle* _tmp6_ = NULL;
	gboolean _tmp7_ = FALSE;
	gboolean _tmp8_ = FALSE;
	GtkButton* _tmp9_ = NULL;
	GtkListStore* _tmp10_ = NULL;
#line 108 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_return_if_fail (toggle != NULL);
#line 108 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_return_if_fail (path != NULL);
#line 109 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp0_ = path;
#line 109 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp1_ = gtk_tree_path_new_from_string (_tmp0_);
#line 109 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	tree_path = _tmp1_;
#line 111 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp2_ = self->priv->mediasModel;
#line 111 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_tree_model_get_iter ((GtkTreeModel*) _tmp2_, &_tmp3_, tree_path);
#line 111 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	iter = _tmp3_;
#line 112 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp4_ = self->priv->mediasModel;
#line 112 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp5_ = iter;
#line 112 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp6_ = toggle;
#line 112 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp7_ = gtk_cell_renderer_toggle_get_active (_tmp6_);
#line 112 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp8_ = _tmp7_;
#line 112 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_list_store_set (_tmp4_, &_tmp5_, 0, !_tmp8_, -1);
#line 114 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp9_ = self->priv->transfer;
#line 114 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp9_, FALSE);
#line 115 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp10_ = self->priv->mediasModel;
#line 115 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_tree_model_foreach ((GtkTreeModel*) _tmp10_, _noise_transfer_from_device_dialog_updateTransferSensetivity_gtk_tree_model_foreach_func, self);
#line 108 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_gtk_tree_path_free0 (tree_path);
#line 245 "TransferFromDeviceDialog.c"
}


static void ___lambda137__gtk_cell_renderer_toggle_toggled (GtkCellRendererToggle* _sender, const gchar* path, gpointer self) {
#line 108 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	__lambda137_ ((NoiseTransferFromDeviceDialog*) self, _sender, path);
#line 252 "TransferFromDeviceDialog.c"
}


static gint _noise_transfer_from_device_dialog_mediaCompareFunc_gcompare_data_func (gconstpointer a, gconstpointer b, gpointer self) {
	gint result;
	result = noise_transfer_from_device_dialog_mediaCompareFunc ((NoiseMedia*) a, (NoiseMedia*) b);
#line 151 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	return result;
#line 261 "TransferFromDeviceDialog.c"
}


static void _noise_transfer_from_device_dialog_transferClick_gtk_button_clicked (GtkButton* _sender, gpointer self) {
#line 198 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	noise_transfer_from_device_dialog_transferClick ((NoiseTransferFromDeviceDialog*) self);
#line 268 "TransferFromDeviceDialog.c"
}


static void _noise_transfer_from_device_dialog_transferAllToggled_gtk_toggle_button_toggled (GtkToggleButton* _sender, gpointer self) {
#line 199 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	noise_transfer_from_device_dialog_transferAllToggled ((NoiseTransferFromDeviceDialog*) self);
#line 275 "TransferFromDeviceDialog.c"
}


static void __lambda138_ (NoiseTransferFromDeviceDialog* self) {
#line 201 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_widget_destroy ((GtkWidget*) self);
#line 282 "TransferFromDeviceDialog.c"
}


static void ___lambda138__gtk_button_clicked (GtkButton* _sender, gpointer self) {
#line 201 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	__lambda138_ ((NoiseTransferFromDeviceDialog*) self);
#line 289 "TransferFromDeviceDialog.c"
}


static void __lambda139_ (Block28Data* _data28_) {
	NoiseTransferFromDeviceDialog* self;
	gboolean _tmp0_ = FALSE;
#line 202 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	self = _data28_->self;
#line 203 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp0_ = gtk_expander_get_expanded (_data28_->exp);
#line 203 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	if (_tmp0_) {
#line 204 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		gtk_window_set_resizable ((GtkWindow*) self, TRUE);
#line 205 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		gtk_widget_set_size_request ((GtkWidget*) self, 550, 180);
#line 206 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		gtk_window_resize ((GtkWindow*) self, 475, 180);
#line 207 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		gtk_window_set_resizable ((GtkWindow*) self, FALSE);
#line 310 "TransferFromDeviceDialog.c"
	} else {
#line 210 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		gtk_widget_set_size_request ((GtkWidget*) self, 550, 500);
#line 314 "TransferFromDeviceDialog.c"
	}
}


static void ___lambda139__gtk_expander_activate (GtkExpander* _sender, gpointer self) {
#line 202 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	__lambda139_ (self);
#line 322 "TransferFromDeviceDialog.c"
}


NoiseTransferFromDeviceDialog* noise_transfer_from_device_dialog_construct (GType object_type, NoiseDevice* d, GeeCollection* _medias) {
	NoiseTransferFromDeviceDialog * self = NULL;
	Block28Data* _data28_;
	GeeTreeSet* _tmp0_ = NULL;
	GeeCollection* _tmp1_ = NULL;
	NoiseDevice* _tmp2_ = NULL;
	NoiseDevice* _tmp3_ = NULL;
	const gchar* _tmp4_ = NULL;
	NoiseLibraryWindow* _tmp5_ = NULL;
	NoiseLibraryWindow* _tmp6_ = NULL;
	GtkBox* _tmp7_ = NULL;
	GtkBox* _tmp8_ = NULL;
	GtkImage* warning = NULL;
	GtkImage* _tmp9_ = NULL;
	GtkLabel* title = NULL;
	const gchar* _tmp10_ = NULL;
	NoiseDevice* _tmp11_ = NULL;
	gchar* _tmp12_ = NULL;
	gchar* _tmp13_ = NULL;
	gchar* _tmp14_ = NULL;
	gchar* _tmp15_ = NULL;
	GtkLabel* _tmp16_ = NULL;
	GtkLabel* _tmp17_ = NULL;
	GtkLabel* info = NULL;
	const gchar* _tmp18_ = NULL;
	NoiseDevice* _tmp19_ = NULL;
	gchar* _tmp20_ = NULL;
	gchar* _tmp21_ = NULL;
	gchar* _tmp22_ = NULL;
	gchar* _tmp23_ = NULL;
	GtkLabel* _tmp24_ = NULL;
	GtkLabel* _tmp25_ = NULL;
	const gchar* _tmp26_ = NULL;
	GtkCheckButton* _tmp27_ = NULL;
	GtkScrolledWindow* _tmp28_ = NULL;
	GtkTreeView* _tmp29_ = NULL;
	GtkListStore* _tmp30_ = NULL;
	GtkTreeView* _tmp31_ = NULL;
	GtkListStore* _tmp32_ = NULL;
	const gchar* _tmp33_ = NULL;
	GtkButton* _tmp34_ = NULL;
	GtkButton* cancel = NULL;
	const gchar* _tmp35_ = NULL;
	GtkButton* _tmp36_ = NULL;
	GtkLabel* _tmp37_ = NULL;
	gchar* title_text = NULL;
	gchar* _tmp38_ = NULL;
	GeeTreeSet* _tmp39_ = NULL;
	gint _tmp40_ = 0;
	gint _tmp41_ = 0;
	gchar* MARKUP_TEMPLATE = NULL;
	gchar* _tmp60_ = NULL;
	gchar* title_string = NULL;
	const gchar* _tmp61_ = NULL;
	const gchar* _tmp62_ = NULL;
	gchar* _tmp63_ = NULL;
	gchar* _tmp64_ = NULL;
	gchar* _tmp65_ = NULL;
	gchar* _tmp66_ = NULL;
	GtkLabel* _tmp67_ = NULL;
	const gchar* _tmp68_ = NULL;
	GtkLabel* _tmp69_ = NULL;
	GtkLabel* _tmp70_ = NULL;
	GtkCellRendererToggle* toggle = NULL;
	GtkCellRendererToggle* _tmp71_ = NULL;
	GtkCellRendererToggle* _tmp72_ = NULL;
	GtkTreeViewColumn* column = NULL;
	GtkTreeViewColumn* _tmp73_ = NULL;
	GtkTreeViewColumn* _tmp74_ = NULL;
	GtkTreeViewColumn* _tmp75_ = NULL;
	GtkCellRendererToggle* _tmp76_ = NULL;
	GtkTreeViewColumn* _tmp77_ = NULL;
	GtkCellRendererToggle* _tmp78_ = NULL;
	GtkTreeView* _tmp79_ = NULL;
	GtkTreeViewColumn* _tmp80_ = NULL;
	GtkTreeView* _tmp81_ = NULL;
	const gchar* _tmp82_ = NULL;
	GtkCellRendererText* _tmp83_ = NULL;
	GtkCellRendererText* _tmp84_ = NULL;
	GtkTreeView* _tmp85_ = NULL;
	const gchar* _tmp86_ = NULL;
	GtkCellRendererText* _tmp87_ = NULL;
	GtkCellRendererText* _tmp88_ = NULL;
	GtkTreeView* _tmp89_ = NULL;
	const gchar* _tmp90_ = NULL;
	GtkCellRendererText* _tmp91_ = NULL;
	GtkCellRendererText* _tmp92_ = NULL;
	GtkTreeView* _tmp93_ = NULL;
	const gchar* _tmp94_ = NULL;
	GtkCellRendererText* _tmp95_ = NULL;
	GtkCellRendererText* _tmp96_ = NULL;
	GtkTreeView* _tmp97_ = NULL;
	GtkTreeView* _tmp113_ = NULL;
	GtkTreeViewColumn* _tmp114_ = NULL;
	GtkTreeView* _tmp115_ = NULL;
	GtkTreeViewColumn* _tmp116_ = NULL;
	GtkTreeView* _tmp117_ = NULL;
	GtkTreeViewColumn* _tmp118_ = NULL;
	GtkTreeView* _tmp119_ = NULL;
	GtkTreeViewColumn* _tmp120_ = NULL;
	GtkTreeView* _tmp121_ = NULL;
	GtkTreeViewColumn* _tmp122_ = NULL;
	GtkTreeView* _tmp123_ = NULL;
	GtkTreeViewColumn* _tmp124_ = NULL;
	GeeLinkedList* medias_sorted = NULL;
	GeeLinkedList* _tmp125_ = NULL;
	GeeLinkedList* _tmp134_ = NULL;
	GtkScrolledWindow* _tmp162_ = NULL;
	GtkTreeView* _tmp163_ = NULL;
	GtkScrolledWindow* _tmp164_ = NULL;
	GtkButton* _tmp165_ = NULL;
	GtkBox* information = NULL;
	GtkBox* _tmp166_ = NULL;
	GtkBox* information_text = NULL;
	GtkBox* _tmp167_ = NULL;
	GtkImage* _tmp168_ = NULL;
	GtkLabel* _tmp169_ = NULL;
	GtkLabel* _tmp170_ = NULL;
	GtkBox* listBox = NULL;
	GtkBox* _tmp171_ = NULL;
	GtkScrolledWindow* _tmp172_ = NULL;
	const gchar* _tmp173_ = NULL;
	GtkExpander* _tmp174_ = NULL;
	GtkButtonBox* bottomButtons = NULL;
	GtkButtonBox* _tmp175_ = NULL;
	GtkButton* _tmp176_ = NULL;
	GtkButton* _tmp177_ = NULL;
	GtkBox* _tmp178_ = NULL;
	GtkBox* _tmp179_ = NULL;
	GtkCheckButton* _tmp180_ = NULL;
	GtkWidget* _tmp181_ = NULL;
	GtkWidget* _tmp182_ = NULL;
	GtkBox* _tmp183_ = NULL;
	GtkWidget* _tmp184_ = NULL;
	GtkWidget* _tmp185_ = NULL;
	GtkBox* _tmp186_ = NULL;
	GtkBox* _tmp187_ = NULL;
	GtkBox* _tmp188_ = NULL;
	GtkMenu* _tmp189_ = NULL;
	const gchar* _tmp190_ = NULL;
	GtkMenuItem* _tmp191_ = NULL;
	const gchar* _tmp192_ = NULL;
	GtkMenuItem* _tmp193_ = NULL;
	const gchar* _tmp194_ = NULL;
	GtkMenuItem* _tmp195_ = NULL;
	GtkButton* _tmp196_ = NULL;
	GtkCheckButton* _tmp197_ = NULL;
	GtkButton* _tmp198_ = NULL;
	GtkBox* _tmp199_ = NULL;
#line 55 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_return_val_if_fail (d != NULL, NULL);
#line 55 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_return_val_if_fail (_medias != NULL, NULL);
#line 55 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_data28_ = g_slice_new0 (Block28Data);
#line 55 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_data28_->_ref_count_ = 1;
#line 55 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	self = (NoiseTransferFromDeviceDialog*) g_object_new (object_type, NULL);
#line 55 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_data28_->self = g_object_ref (self);
#line 56 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp0_ = self->priv->medias;
#line 56 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp1_ = _medias;
#line 56 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gee_collection_add_all ((GeeCollection*) _tmp0_, _tmp1_);
#line 57 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp2_ = d;
#line 57 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp3_ = _g_object_ref0 (_tmp2_);
#line 57 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_g_object_unref0 (self->priv->d);
#line 57 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	self->priv->d = _tmp3_;
#line 59 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp4_ = _ ("Import from Device");
#line 59 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_window_set_title ((GtkWindow*) self, _tmp4_);
#line 63 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_window_set_type_hint ((GtkWindow*) self, GDK_WINDOW_TYPE_HINT_DIALOG);
#line 64 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_window_set_modal ((GtkWindow*) self, TRUE);
#line 65 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp5_ = noise_app_get_main_window ();
#line 65 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp6_ = _tmp5_;
#line 65 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_window_set_transient_for ((GtkWindow*) self, (GtkWindow*) _tmp6_);
#line 66 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_window_set_destroy_with_parent ((GtkWindow*) self, TRUE);
#line 68 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_window_set_default_size ((GtkWindow*) self, 550, -1);
#line 69 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_window_set_resizable ((GtkWindow*) self, FALSE);
#line 71 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp7_ = (GtkBox*) gtk_box_new (GTK_ORIENTATION_VERTICAL, 10);
#line 71 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_object_ref_sink (_tmp7_);
#line 71 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_g_object_unref0 (self->priv->content);
#line 71 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	self->priv->content = _tmp7_;
#line 72 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp8_ = (GtkBox*) gtk_box_new (GTK_ORIENTATION_HORIZONTAL, 20);
#line 72 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_object_ref_sink (_tmp8_);
#line 72 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_g_object_unref0 (self->priv->padding);
#line 72 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	self->priv->padding = _tmp8_;
#line 75 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp9_ = (GtkImage*) gtk_image_new_from_stock ("dialog-question", GTK_ICON_SIZE_DIALOG);
#line 75 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_object_ref_sink (_tmp9_);
#line 75 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	warning = _tmp9_;
#line 76 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp10_ = _ ("Import media from %s");
#line 76 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp11_ = d;
#line 76 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp12_ = noise_device_getDisplayName (_tmp11_);
#line 76 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp13_ = _tmp12_;
#line 76 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp14_ = g_strdup_printf (_tmp10_, _tmp13_);
#line 76 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp15_ = _tmp14_;
#line 76 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp16_ = (GtkLabel*) gtk_label_new (_tmp15_);
#line 76 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_object_ref_sink (_tmp16_);
#line 76 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp17_ = _tmp16_;
#line 76 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_g_free0 (_tmp15_);
#line 76 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_g_free0 (_tmp13_);
#line 76 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	title = _tmp17_;
#line 77 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp18_ = _ ("The following files were found on %s, but are not in your library. Che" \
"ck all the files you would like to import.");
#line 77 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp19_ = d;
#line 77 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp20_ = noise_device_getDisplayName (_tmp19_);
#line 77 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp21_ = _tmp20_;
#line 77 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp22_ = g_strdup_printf (_tmp18_, _tmp21_);
#line 77 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp23_ = _tmp22_;
#line 77 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp24_ = (GtkLabel*) gtk_label_new (_tmp23_);
#line 77 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_object_ref_sink (_tmp24_);
#line 77 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp25_ = _tmp24_;
#line 77 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_g_free0 (_tmp23_);
#line 77 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_g_free0 (_tmp21_);
#line 77 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	info = _tmp25_;
#line 78 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp26_ = _ ("Import all media");
#line 78 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp27_ = (GtkCheckButton*) gtk_check_button_new_with_label (_tmp26_);
#line 78 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_object_ref_sink (_tmp27_);
#line 78 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_g_object_unref0 (self->priv->transferAll);
#line 78 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	self->priv->transferAll = _tmp27_;
#line 79 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp28_ = (GtkScrolledWindow*) gtk_scrolled_window_new (NULL, NULL);
#line 79 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_object_ref_sink (_tmp28_);
#line 79 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_g_object_unref0 (self->priv->mediasScroll);
#line 79 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	self->priv->mediasScroll = _tmp28_;
#line 80 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp29_ = (GtkTreeView*) gtk_tree_view_new ();
#line 80 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_object_ref_sink (_tmp29_);
#line 80 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_g_object_unref0 (self->priv->mediasView);
#line 80 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	self->priv->mediasView = _tmp29_;
#line 81 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp30_ = gtk_list_store_new (5, G_TYPE_BOOLEAN, G_TYPE_INT, G_TYPE_STRING, G_TYPE_STRING, G_TYPE_STRING, -1);
#line 81 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_g_object_unref0 (self->priv->mediasModel);
#line 81 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	self->priv->mediasModel = _tmp30_;
#line 82 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp31_ = self->priv->mediasView;
#line 82 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp32_ = self->priv->mediasModel;
#line 82 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_tree_view_set_model (_tmp31_, (GtkTreeModel*) _tmp32_);
#line 83 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp33_ = _ ("Import");
#line 83 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp34_ = (GtkButton*) gtk_button_new_with_label (_tmp33_);
#line 83 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_object_ref_sink (_tmp34_);
#line 83 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_g_object_unref0 (self->priv->transfer);
#line 83 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	self->priv->transfer = _tmp34_;
#line 84 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp35_ = _ ("Don't Import");
#line 84 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp36_ = (GtkButton*) gtk_button_new_with_label (_tmp35_);
#line 84 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_object_ref_sink (_tmp36_);
#line 84 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	cancel = _tmp36_;
#line 87 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp37_ = title;
#line 87 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp37_, GTK_ALIGN_START);
#line 90 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp38_ = g_strdup ("");
#line 90 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	title_text = _tmp38_;
#line 91 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp39_ = self->priv->medias;
#line 91 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp40_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp39_);
#line 91 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp41_ = _tmp40_;
#line 91 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	if (_tmp41_ > 1) {
#line 663 "TransferFromDeviceDialog.c"
		const gchar* _tmp42_ = NULL;
		GeeTreeSet* _tmp43_ = NULL;
		gint _tmp44_ = 0;
		gint _tmp45_ = 0;
		NoiseDevice* _tmp46_ = NULL;
		gchar* _tmp47_ = NULL;
		gchar* _tmp48_ = NULL;
		gchar* _tmp49_ = NULL;
#line 92 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp42_ = _ ("Import %i items from %s");
#line 92 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp43_ = self->priv->medias;
#line 92 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp44_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp43_);
#line 92 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp45_ = _tmp44_;
#line 92 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp46_ = d;
#line 92 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp47_ = noise_device_getDisplayName (_tmp46_);
#line 92 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp48_ = _tmp47_;
#line 92 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp49_ = g_strdup_printf (_tmp42_, _tmp45_, _tmp48_);
#line 92 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_g_free0 (title_text);
#line 92 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		title_text = _tmp49_;
#line 92 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_g_free0 (_tmp48_);
#line 694 "TransferFromDeviceDialog.c"
	} else {
		NoiseMedia* m = NULL;
		GeeTreeSet* _tmp50_ = NULL;
		gpointer _tmp51_ = NULL;
		const gchar* _tmp52_ = NULL;
		NoiseMedia* _tmp53_ = NULL;
		const gchar* _tmp54_ = NULL;
		const gchar* _tmp55_ = NULL;
		NoiseDevice* _tmp56_ = NULL;
		gchar* _tmp57_ = NULL;
		gchar* _tmp58_ = NULL;
		gchar* _tmp59_ = NULL;
#line 95 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp50_ = self->priv->medias;
#line 95 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp51_ = gee_abstract_sorted_set_first ((GeeAbstractSortedSet*) _tmp50_);
#line 95 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		m = (NoiseMedia*) _tmp51_;
#line 96 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp52_ = _ ("Import %s from %s");
#line 96 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp53_ = m;
#line 96 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp54_ = noise_media_get_title (_tmp53_);
#line 96 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp55_ = _tmp54_;
#line 96 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp56_ = d;
#line 96 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp57_ = noise_device_getDisplayName (_tmp56_);
#line 96 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp58_ = _tmp57_;
#line 96 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp59_ = g_strdup_printf (_tmp52_, _tmp55_, _tmp58_);
#line 96 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_g_free0 (title_text);
#line 96 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		title_text = _tmp59_;
#line 96 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_g_free0 (_tmp58_);
#line 91 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_g_object_unref0 (m);
#line 737 "TransferFromDeviceDialog.c"
	}
#line 99 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp60_ = g_strdup ("<span weight=\"bold\" size=\"larger\">%s</span>");
#line 99 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	MARKUP_TEMPLATE = _tmp60_;
#line 100 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp61_ = MARKUP_TEMPLATE;
#line 100 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp62_ = title_text;
#line 100 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp63_ = g_markup_escape_text (_tmp62_, (gssize) -1);
#line 100 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp64_ = _tmp63_;
#line 100 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp65_ = g_strdup_printf (_tmp61_, _tmp64_);
#line 100 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp66_ = _tmp65_;
#line 100 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_g_free0 (_tmp64_);
#line 100 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	title_string = _tmp66_;
#line 101 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp67_ = title;
#line 101 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp68_ = title_string;
#line 101 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_label_set_markup (_tmp67_, _tmp68_);
#line 103 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp69_ = info;
#line 103 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp69_, GTK_ALIGN_START);
#line 104 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp70_ = info;
#line 104 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_label_set_line_wrap (_tmp70_, TRUE);
#line 107 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp71_ = (GtkCellRendererToggle*) gtk_cell_renderer_toggle_new ();
#line 107 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_object_ref_sink (_tmp71_);
#line 107 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	toggle = _tmp71_;
#line 108 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp72_ = toggle;
#line 108 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_signal_connect_object (_tmp72_, "toggled", (GCallback) ___lambda137__gtk_cell_renderer_toggle_toggled, self, 0);
#line 118 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp73_ = gtk_tree_view_column_new ();
#line 118 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_object_ref_sink (_tmp73_);
#line 118 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	column = _tmp73_;
#line 119 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp74_ = column;
#line 119 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_tree_view_column_set_title (_tmp74_, "");
#line 120 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp75_ = column;
#line 120 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp76_ = toggle;
#line 120 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_cell_layout_pack_start ((GtkCellLayout*) _tmp75_, (GtkCellRenderer*) _tmp76_, FALSE);
#line 121 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp77_ = column;
#line 121 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp78_ = toggle;
#line 121 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_cell_layout_add_attribute ((GtkCellLayout*) _tmp77_, (GtkCellRenderer*) _tmp78_, "active", 0);
#line 122 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp79_ = self->priv->mediasView;
#line 122 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp80_ = column;
#line 122 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_tree_view_append_column (_tmp79_, _tmp80_);
#line 124 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp81_ = self->priv->mediasView;
#line 124 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp82_ = _ ("ID");
#line 124 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp83_ = (GtkCellRendererText*) gtk_cell_renderer_text_new ();
#line 124 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_object_ref_sink (_tmp83_);
#line 124 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp84_ = _tmp83_;
#line 124 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_tree_view_insert_column_with_attributes (_tmp81_, -1, _tmp82_, (GtkCellRenderer*) _tmp84_, "text", 1, NULL, NULL);
#line 124 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_g_object_unref0 (_tmp84_);
#line 125 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp85_ = self->priv->mediasView;
#line 125 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp86_ = _ ("Title");
#line 125 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp87_ = (GtkCellRendererText*) gtk_cell_renderer_text_new ();
#line 125 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_object_ref_sink (_tmp87_);
#line 125 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp88_ = _tmp87_;
#line 125 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_tree_view_insert_column_with_attributes (_tmp85_, -1, _tmp86_, (GtkCellRenderer*) _tmp88_, "text", 2, NULL, NULL);
#line 125 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_g_object_unref0 (_tmp88_);
#line 126 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp89_ = self->priv->mediasView;
#line 126 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp90_ = _ ("Artist");
#line 126 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp91_ = (GtkCellRendererText*) gtk_cell_renderer_text_new ();
#line 126 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_object_ref_sink (_tmp91_);
#line 126 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp92_ = _tmp91_;
#line 126 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_tree_view_insert_column_with_attributes (_tmp89_, -1, _tmp90_, (GtkCellRenderer*) _tmp92_, "text", 3, NULL, NULL);
#line 126 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_g_object_unref0 (_tmp92_);
#line 127 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp93_ = self->priv->mediasView;
#line 127 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp94_ = _ ("Album");
#line 127 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp95_ = (GtkCellRendererText*) gtk_cell_renderer_text_new ();
#line 127 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_object_ref_sink (_tmp95_);
#line 127 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp96_ = _tmp95_;
#line 127 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_tree_view_insert_column_with_attributes (_tmp93_, -1, _tmp94_, (GtkCellRenderer*) _tmp96_, "text", 4, NULL, NULL);
#line 127 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_g_object_unref0 (_tmp96_);
#line 128 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp97_ = self->priv->mediasView;
#line 128 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_tree_view_set_headers_visible (_tmp97_, TRUE);
#line 871 "TransferFromDeviceDialog.c"
	{
		gint i = 0;
#line 130 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		i = 0;
#line 876 "TransferFromDeviceDialog.c"
		{
			gboolean _tmp98_ = FALSE;
#line 130 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			_tmp98_ = TRUE;
#line 130 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			while (TRUE) {
#line 883 "TransferFromDeviceDialog.c"
				gint _tmp100_ = 0;
				GtkTreeView* _tmp101_ = NULL;
				gint _tmp102_ = 0;
				GtkTreeViewColumn* _tmp103_ = NULL;
				GtkTreeView* _tmp104_ = NULL;
				gint _tmp105_ = 0;
				GtkTreeViewColumn* _tmp106_ = NULL;
				GtkTreeView* _tmp107_ = NULL;
				gint _tmp108_ = 0;
				GtkTreeViewColumn* _tmp109_ = NULL;
				GtkTreeView* _tmp110_ = NULL;
				gint _tmp111_ = 0;
				GtkTreeViewColumn* _tmp112_ = NULL;
#line 130 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
				if (!_tmp98_) {
#line 899 "TransferFromDeviceDialog.c"
					gint _tmp99_ = 0;
#line 130 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
					_tmp99_ = i;
#line 130 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
					i = _tmp99_ + 1;
#line 905 "TransferFromDeviceDialog.c"
				}
#line 130 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
				_tmp98_ = FALSE;
#line 130 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
				_tmp100_ = i;
#line 130 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
				if (!(_tmp100_ < 5)) {
#line 130 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
					break;
#line 915 "TransferFromDeviceDialog.c"
				}
#line 131 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
				_tmp101_ = self->priv->mediasView;
#line 131 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
				_tmp102_ = i;
#line 131 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
				_tmp103_ = gtk_tree_view_get_column (_tmp101_, _tmp102_);
#line 131 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
				gtk_tree_view_column_set_sizing (_tmp103_, GTK_TREE_VIEW_COLUMN_FIXED);
#line 132 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
				_tmp104_ = self->priv->mediasView;
#line 132 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
				_tmp105_ = i;
#line 132 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
				_tmp106_ = gtk_tree_view_get_column (_tmp104_, _tmp105_);
#line 132 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
				gtk_tree_view_column_set_resizable (_tmp106_, TRUE);
#line 133 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
				_tmp107_ = self->priv->mediasView;
#line 133 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
				_tmp108_ = i;
#line 133 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
				_tmp109_ = gtk_tree_view_get_column (_tmp107_, _tmp108_);
#line 133 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
				gtk_tree_view_column_set_reorderable (_tmp109_, FALSE);
#line 134 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
				_tmp110_ = self->priv->mediasView;
#line 134 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
				_tmp111_ = i;
#line 134 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
				_tmp112_ = gtk_tree_view_get_column (_tmp110_, _tmp111_);
#line 134 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
				gtk_tree_view_column_set_clickable (_tmp112_, FALSE);
#line 949 "TransferFromDeviceDialog.c"
			}
		}
	}
#line 137 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp113_ = self->priv->mediasView;
#line 137 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp114_ = gtk_tree_view_get_column (_tmp113_, 1);
#line 137 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_tree_view_column_set_visible (_tmp114_, FALSE);
#line 139 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp115_ = self->priv->mediasView;
#line 139 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp116_ = gtk_tree_view_get_column (_tmp115_, 0);
#line 139 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_tree_view_column_set_fixed_width (_tmp116_, 25);
#line 140 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp117_ = self->priv->mediasView;
#line 140 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp118_ = gtk_tree_view_get_column (_tmp117_, 1);
#line 140 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_tree_view_column_set_fixed_width (_tmp118_, 10);
#line 141 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp119_ = self->priv->mediasView;
#line 141 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp120_ = gtk_tree_view_get_column (_tmp119_, 2);
#line 141 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_tree_view_column_set_fixed_width (_tmp120_, 300);
#line 142 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp121_ = self->priv->mediasView;
#line 142 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp122_ = gtk_tree_view_get_column (_tmp121_, 3);
#line 142 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_tree_view_column_set_fixed_width (_tmp122_, 125);
#line 143 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp123_ = self->priv->mediasView;
#line 143 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp124_ = gtk_tree_view_get_column (_tmp123_, 4);
#line 143 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_tree_view_column_set_fixed_width (_tmp124_, 125);
#line 148 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp125_ = gee_linked_list_new (NOISE_TYPE_MEDIA, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 148 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	medias_sorted = _tmp125_;
#line 993 "TransferFromDeviceDialog.c"
	{
		GeeIterator* _m_it = NULL;
		GeeTreeSet* _tmp126_ = NULL;
		GeeIterator* _tmp127_ = NULL;
#line 149 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp126_ = self->priv->medias;
#line 149 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp127_ = gee_abstract_collection_iterator ((GeeAbstractCollection*) _tmp126_);
#line 149 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_m_it = _tmp127_;
#line 149 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		while (TRUE) {
#line 1006 "TransferFromDeviceDialog.c"
			GeeIterator* _tmp128_ = NULL;
			gboolean _tmp129_ = FALSE;
			NoiseMedia* m = NULL;
			GeeIterator* _tmp130_ = NULL;
			gpointer _tmp131_ = NULL;
			GeeLinkedList* _tmp132_ = NULL;
			NoiseMedia* _tmp133_ = NULL;
#line 149 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			_tmp128_ = _m_it;
#line 149 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			_tmp129_ = gee_iterator_next (_tmp128_);
#line 149 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			if (!_tmp129_) {
#line 149 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
				break;
#line 1022 "TransferFromDeviceDialog.c"
			}
#line 149 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			_tmp130_ = _m_it;
#line 149 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			_tmp131_ = gee_iterator_get (_tmp130_);
#line 149 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			m = (NoiseMedia*) _tmp131_;
#line 150 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			_tmp132_ = medias_sorted;
#line 150 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			_tmp133_ = m;
#line 150 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			gee_abstract_collection_add ((GeeAbstractCollection*) _tmp132_, _tmp133_);
#line 149 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			_g_object_unref0 (m);
#line 1038 "TransferFromDeviceDialog.c"
		}
#line 149 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_g_object_unref0 (_m_it);
#line 1042 "TransferFromDeviceDialog.c"
	}
#line 151 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp134_ = medias_sorted;
#line 151 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gee_list_sort ((GeeList*) _tmp134_, _noise_transfer_from_device_dialog_mediaCompareFunc_gcompare_data_func, NULL, NULL);
#line 1048 "TransferFromDeviceDialog.c"
	{
		GeeLinkedList* _s_list = NULL;
		GeeLinkedList* _tmp135_ = NULL;
		GeeLinkedList* _tmp136_ = NULL;
		gint _s_size = 0;
		GeeLinkedList* _tmp137_ = NULL;
		gint _tmp138_ = 0;
		gint _tmp139_ = 0;
		gint _s_index = 0;
#line 153 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp135_ = medias_sorted;
#line 153 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp136_ = _g_object_ref0 (_tmp135_);
#line 153 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_s_list = _tmp136_;
#line 153 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp137_ = _s_list;
#line 153 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp138_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp137_);
#line 153 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp139_ = _tmp138_;
#line 153 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_s_size = _tmp139_;
#line 153 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_s_index = -1;
#line 153 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		while (TRUE) {
#line 1076 "TransferFromDeviceDialog.c"
			gint _tmp140_ = 0;
			gint _tmp141_ = 0;
			gint _tmp142_ = 0;
			NoiseMedia* s = NULL;
			GeeLinkedList* _tmp143_ = NULL;
			gint _tmp144_ = 0;
			gpointer _tmp145_ = NULL;
			GtkTreeIter item = {0};
			GtkListStore* _tmp146_ = NULL;
			GtkTreeIter _tmp147_ = {0};
			GtkListStore* _tmp148_ = NULL;
			GtkTreeIter _tmp149_ = {0};
			NoiseMedia* _tmp150_ = NULL;
			gint64 _tmp151_ = 0LL;
			gint64 _tmp152_ = 0LL;
			NoiseMedia* _tmp153_ = NULL;
			const gchar* _tmp154_ = NULL;
			const gchar* _tmp155_ = NULL;
			NoiseMedia* _tmp156_ = NULL;
			const gchar* _tmp157_ = NULL;
			const gchar* _tmp158_ = NULL;
			NoiseMedia* _tmp159_ = NULL;
			const gchar* _tmp160_ = NULL;
			const gchar* _tmp161_ = NULL;
#line 153 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			_tmp140_ = _s_index;
#line 153 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			_s_index = _tmp140_ + 1;
#line 153 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			_tmp141_ = _s_index;
#line 153 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			_tmp142_ = _s_size;
#line 153 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			if (!(_tmp141_ < _tmp142_)) {
#line 153 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
				break;
#line 1113 "TransferFromDeviceDialog.c"
			}
#line 153 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			_tmp143_ = _s_list;
#line 153 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			_tmp144_ = _s_index;
#line 153 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			_tmp145_ = gee_abstract_list_get ((GeeAbstractList*) _tmp143_, _tmp144_);
#line 153 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			s = (NoiseMedia*) _tmp145_;
#line 155 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			_tmp146_ = self->priv->mediasModel;
#line 155 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			gtk_list_store_append (_tmp146_, &_tmp147_);
#line 155 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			item = _tmp147_;
#line 157 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			_tmp148_ = self->priv->mediasModel;
#line 157 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			_tmp149_ = item;
#line 157 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			_tmp150_ = s;
#line 157 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			_tmp151_ = noise_media_get_rowid (_tmp150_);
#line 157 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			_tmp152_ = _tmp151_;
#line 157 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			_tmp153_ = s;
#line 157 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			_tmp154_ = noise_media_get_title (_tmp153_);
#line 157 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			_tmp155_ = _tmp154_;
#line 157 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			_tmp156_ = s;
#line 157 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			_tmp157_ = noise_media_get_artist (_tmp156_);
#line 157 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			_tmp158_ = _tmp157_;
#line 157 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			_tmp159_ = s;
#line 157 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			_tmp160_ = noise_media_get_album (_tmp159_);
#line 157 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			_tmp161_ = _tmp160_;
#line 157 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			gtk_list_store_set (_tmp148_, &_tmp149_, 0, FALSE, 1, _tmp152_, 2, _tmp155_, 3, _tmp158_, 4, _tmp161_, -1);
#line 153 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			_g_object_unref0 (s);
#line 1161 "TransferFromDeviceDialog.c"
		}
#line 153 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_g_object_unref0 (_s_list);
#line 1165 "TransferFromDeviceDialog.c"
	}
#line 160 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp162_ = self->priv->mediasScroll;
#line 160 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp163_ = self->priv->mediasView;
#line 160 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_container_add ((GtkContainer*) _tmp162_, (GtkWidget*) _tmp163_);
#line 161 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp164_ = self->priv->mediasScroll;
#line 161 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_scrolled_window_set_policy (_tmp164_, GTK_POLICY_AUTOMATIC, GTK_POLICY_AUTOMATIC);
#line 163 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp165_ = self->priv->transfer;
#line 163 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp165_, FALSE);
#line 166 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp166_ = (GtkBox*) gtk_box_new (GTK_ORIENTATION_HORIZONTAL, 0);
#line 166 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_object_ref_sink (_tmp166_);
#line 166 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	information = _tmp166_;
#line 167 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp167_ = (GtkBox*) gtk_box_new (GTK_ORIENTATION_VERTICAL, 0);
#line 167 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_object_ref_sink (_tmp167_);
#line 167 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	information_text = _tmp167_;
#line 168 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp168_ = warning;
#line 168 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_box_pack_start (information, (GtkWidget*) _tmp168_, FALSE, FALSE, (guint) 10);
#line 169 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp169_ = title;
#line 169 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_box_pack_start (information_text, (GtkWidget*) _tmp169_, FALSE, TRUE, (guint) 10);
#line 170 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp170_ = info;
#line 170 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_box_pack_start (information_text, (GtkWidget*) _tmp170_, FALSE, TRUE, (guint) 0);
#line 171 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_box_pack_start (information, (GtkWidget*) information_text, TRUE, TRUE, (guint) 10);
#line 173 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp171_ = (GtkBox*) gtk_box_new (GTK_ORIENTATION_VERTICAL, 0);
#line 173 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_object_ref_sink (_tmp171_);
#line 173 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	listBox = _tmp171_;
#line 174 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp172_ = self->priv->mediasScroll;
#line 174 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_box_pack_start (listBox, (GtkWidget*) _tmp172_, TRUE, TRUE, (guint) 5);
#line 176 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp173_ = _ ("Select individual media to import:");
#line 176 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp174_ = (GtkExpander*) gtk_expander_new (_tmp173_);
#line 176 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_object_ref_sink (_tmp174_);
#line 176 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_data28_->exp = _tmp174_;
#line 177 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_container_add ((GtkContainer*) _data28_->exp, (GtkWidget*) listBox);
#line 178 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_expander_set_expanded (_data28_->exp, FALSE);
#line 180 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp175_ = (GtkButtonBox*) gtk_button_box_new (GTK_ORIENTATION_HORIZONTAL);
#line 180 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_object_ref_sink (_tmp175_);
#line 180 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	bottomButtons = _tmp175_;
#line 181 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_button_box_set_layout (bottomButtons, GTK_BUTTONBOX_END);
#line 182 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp176_ = cancel;
#line 182 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_box_pack_end ((GtkBox*) bottomButtons, (GtkWidget*) _tmp176_, FALSE, FALSE, (guint) 10);
#line 183 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp177_ = self->priv->transfer;
#line 183 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_box_pack_end ((GtkBox*) bottomButtons, (GtkWidget*) _tmp177_, FALSE, FALSE, (guint) 0);
#line 184 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_box_set_spacing ((GtkBox*) bottomButtons, 10);
#line 186 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp178_ = self->priv->content;
#line 186 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_box_pack_start (_tmp178_, (GtkWidget*) information, FALSE, TRUE, (guint) 0);
#line 187 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp179_ = self->priv->content;
#line 187 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp180_ = self->priv->transferAll;
#line 187 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp181_ = noise_ui_wrap_alignment ((GtkWidget*) _tmp180_, 5, 0, 0, 75);
#line 187 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp182_ = _tmp181_;
#line 187 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_box_pack_start (_tmp179_, _tmp182_, FALSE, TRUE, (guint) 0);
#line 187 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_g_object_unref0 (_tmp182_);
#line 188 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp183_ = self->priv->content;
#line 188 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp184_ = noise_ui_wrap_alignment ((GtkWidget*) _data28_->exp, 0, 0, 0, 75);
#line 188 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp185_ = _tmp184_;
#line 188 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_box_pack_start (_tmp183_, _tmp185_, TRUE, TRUE, (guint) 0);
#line 188 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_g_object_unref0 (_tmp185_);
#line 189 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp186_ = self->priv->content;
#line 189 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_box_pack_start (_tmp186_, (GtkWidget*) bottomButtons, FALSE, TRUE, (guint) 10);
#line 191 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp187_ = self->priv->padding;
#line 191 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp188_ = self->priv->content;
#line 191 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_box_pack_start (_tmp187_, (GtkWidget*) _tmp188_, TRUE, TRUE, (guint) 10);
#line 193 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp189_ = (GtkMenu*) gtk_menu_new ();
#line 193 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_object_ref_sink (_tmp189_);
#line 193 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_g_object_unref0 (self->priv->viewMenu);
#line 193 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	self->priv->viewMenu = _tmp189_;
#line 194 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp190_ = _ ("Check Item");
#line 194 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp191_ = (GtkMenuItem*) gtk_menu_item_new_with_label (_tmp190_);
#line 194 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_object_ref_sink (_tmp191_);
#line 194 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_g_object_unref0 (self->priv->selectItem);
#line 194 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	self->priv->selectItem = _tmp191_;
#line 195 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp192_ = _ ("Check Album");
#line 195 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp193_ = (GtkMenuItem*) gtk_menu_item_new_with_label (_tmp192_);
#line 195 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_object_ref_sink (_tmp193_);
#line 195 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_g_object_unref0 (self->priv->selectAlbum);
#line 195 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	self->priv->selectAlbum = _tmp193_;
#line 196 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp194_ = _ ("Check Artist");
#line 196 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp195_ = (GtkMenuItem*) gtk_menu_item_new_with_label (_tmp194_);
#line 196 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_object_ref_sink (_tmp195_);
#line 196 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_g_object_unref0 (self->priv->selectArtist);
#line 196 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	self->priv->selectArtist = _tmp195_;
#line 198 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp196_ = self->priv->transfer;
#line 198 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_signal_connect_object (_tmp196_, "clicked", (GCallback) _noise_transfer_from_device_dialog_transferClick_gtk_button_clicked, self, 0);
#line 199 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp197_ = self->priv->transferAll;
#line 199 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_signal_connect_object ((GtkToggleButton*) _tmp197_, "toggled", (GCallback) _noise_transfer_from_device_dialog_transferAllToggled_gtk_toggle_button_toggled, self, 0);
#line 201 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp198_ = cancel;
#line 201 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_signal_connect_object (_tmp198_, "clicked", (GCallback) ___lambda138__gtk_button_clicked, self, 0);
#line 202 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_signal_connect_data (_data28_->exp, "activate", (GCallback) ___lambda139__gtk_expander_activate, block28_data_ref (_data28_), (GClosureNotify) block28_data_unref, 0);
#line 213 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp199_ = self->priv->padding;
#line 213 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp199_);
#line 214 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_widget_show_all ((GtkWidget*) self);
#line 55 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_g_object_unref0 (bottomButtons);
#line 55 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_g_object_unref0 (listBox);
#line 55 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_g_object_unref0 (information_text);
#line 55 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_g_object_unref0 (information);
#line 55 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_g_object_unref0 (medias_sorted);
#line 55 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_g_object_unref0 (column);
#line 55 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_g_object_unref0 (toggle);
#line 55 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_g_free0 (title_string);
#line 55 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_g_free0 (MARKUP_TEMPLATE);
#line 55 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_g_free0 (title_text);
#line 55 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_g_object_unref0 (cancel);
#line 55 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_g_object_unref0 (info);
#line 55 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_g_object_unref0 (title);
#line 55 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_g_object_unref0 (warning);
#line 55 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	block28_data_unref (_data28_);
#line 55 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_data28_ = NULL;
#line 55 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	return self;
#line 1375 "TransferFromDeviceDialog.c"
}


NoiseTransferFromDeviceDialog* noise_transfer_from_device_dialog_new (NoiseDevice* d, GeeCollection* _medias) {
#line 55 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	return noise_transfer_from_device_dialog_construct (NOISE_TYPE_TRANSFER_FROM_DEVICE_DIALOG, d, _medias);
#line 1382 "TransferFromDeviceDialog.c"
}


gint noise_transfer_from_device_dialog_mediaCompareFunc (NoiseMedia* a, NoiseMedia* b) {
	gint result = 0;
	NoiseMedia* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	NoiseMedia* _tmp3_ = NULL;
	const gchar* _tmp4_ = NULL;
	const gchar* _tmp5_ = NULL;
#line 217 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_return_val_if_fail (a != NULL, 0);
#line 217 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_return_val_if_fail (b != NULL, 0);
#line 218 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp0_ = a;
#line 218 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp1_ = noise_media_get_artist (_tmp0_);
#line 218 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp2_ = _tmp1_;
#line 218 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp3_ = b;
#line 218 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp4_ = noise_media_get_artist (_tmp3_);
#line 218 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp5_ = _tmp4_;
#line 218 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	if (g_strcmp0 (_tmp2_, _tmp5_) == 0) {
#line 1412 "TransferFromDeviceDialog.c"
		NoiseMedia* _tmp6_ = NULL;
		const gchar* _tmp7_ = NULL;
		const gchar* _tmp8_ = NULL;
		NoiseMedia* _tmp9_ = NULL;
		const gchar* _tmp10_ = NULL;
		const gchar* _tmp11_ = NULL;
#line 219 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp6_ = a;
#line 219 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp7_ = noise_media_get_album (_tmp6_);
#line 219 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp8_ = _tmp7_;
#line 219 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp9_ = b;
#line 219 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp10_ = noise_media_get_album (_tmp9_);
#line 219 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp11_ = _tmp10_;
#line 219 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		if (g_strcmp0 (_tmp8_, _tmp11_) == 0) {
#line 1433 "TransferFromDeviceDialog.c"
			NoiseMedia* _tmp12_ = NULL;
			guint _tmp13_ = 0U;
			guint _tmp14_ = 0U;
			NoiseMedia* _tmp15_ = NULL;
			guint _tmp16_ = 0U;
			guint _tmp17_ = 0U;
#line 220 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			_tmp12_ = a;
#line 220 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			_tmp13_ = noise_media_get_track (_tmp12_);
#line 220 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			_tmp14_ = _tmp13_;
#line 220 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			_tmp15_ = b;
#line 220 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			_tmp16_ = noise_media_get_track (_tmp15_);
#line 220 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			_tmp17_ = _tmp16_;
#line 220 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			result = ((gint) _tmp14_) - ((gint) _tmp17_);
#line 220 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			return result;
#line 1456 "TransferFromDeviceDialog.c"
		} else {
			gint _tmp18_ = 0;
			NoiseMedia* _tmp19_ = NULL;
			const gchar* _tmp20_ = NULL;
			const gchar* _tmp21_ = NULL;
			NoiseMedia* _tmp22_ = NULL;
			const gchar* _tmp23_ = NULL;
			const gchar* _tmp24_ = NULL;
#line 222 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			_tmp19_ = a;
#line 222 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			_tmp20_ = noise_media_get_album (_tmp19_);
#line 222 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			_tmp21_ = _tmp20_;
#line 222 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			_tmp22_ = b;
#line 222 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			_tmp23_ = noise_media_get_album (_tmp22_);
#line 222 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			_tmp24_ = _tmp23_;
#line 222 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			if (g_strcmp0 (_tmp21_, _tmp24_) > 0) {
#line 222 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
				_tmp18_ = 1;
#line 1481 "TransferFromDeviceDialog.c"
			} else {
#line 222 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
				_tmp18_ = -1;
#line 1485 "TransferFromDeviceDialog.c"
			}
#line 222 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			result = _tmp18_;
#line 222 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			return result;
#line 1491 "TransferFromDeviceDialog.c"
		}
	} else {
		gint _tmp25_ = 0;
		NoiseMedia* _tmp26_ = NULL;
		const gchar* _tmp27_ = NULL;
		const gchar* _tmp28_ = NULL;
		NoiseMedia* _tmp29_ = NULL;
		const gchar* _tmp30_ = NULL;
		const gchar* _tmp31_ = NULL;
#line 226 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp26_ = a;
#line 226 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp27_ = noise_media_get_artist (_tmp26_);
#line 226 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp28_ = _tmp27_;
#line 226 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp29_ = b;
#line 226 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp30_ = noise_media_get_artist (_tmp29_);
#line 226 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp31_ = _tmp30_;
#line 226 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		if (g_strcmp0 (_tmp28_, _tmp31_) > 0) {
#line 226 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			_tmp25_ = 1;
#line 1517 "TransferFromDeviceDialog.c"
		} else {
#line 226 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
			_tmp25_ = -1;
#line 1521 "TransferFromDeviceDialog.c"
		}
#line 226 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		result = _tmp25_;
#line 226 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		return result;
#line 1527 "TransferFromDeviceDialog.c"
	}
}


GtkAlignment* noise_transfer_from_device_dialog_wrap_alignment (GtkWidget* widget, gint top, gint right, gint bottom, gint left) {
	GtkAlignment* result = NULL;
	GtkAlignment* alignment = NULL;
	GtkAlignment* _tmp0_ = NULL;
	gint _tmp1_ = 0;
	gint _tmp2_ = 0;
	gint _tmp3_ = 0;
	gint _tmp4_ = 0;
	GtkWidget* _tmp5_ = NULL;
#line 229 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_return_val_if_fail (widget != NULL, NULL);
#line 230 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp0_ = (GtkAlignment*) gtk_alignment_new (0.0f, 0.0f, 1.0f, 1.0f);
#line 230 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_object_ref_sink (_tmp0_);
#line 230 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	alignment = _tmp0_;
#line 231 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp1_ = top;
#line 231 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_object_set (alignment, "top-padding", (guint) _tmp1_, NULL);
#line 232 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp2_ = right;
#line 232 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_object_set (alignment, "right-padding", (guint) _tmp2_, NULL);
#line 233 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp3_ = bottom;
#line 233 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_object_set (alignment, "bottom-padding", (guint) _tmp3_, NULL);
#line 234 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp4_ = left;
#line 234 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_object_set (alignment, "left-padding", (guint) _tmp4_, NULL);
#line 236 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp5_ = widget;
#line 236 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_container_add ((GtkContainer*) alignment, _tmp5_);
#line 237 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	result = alignment;
#line 237 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	return result;
#line 1573 "TransferFromDeviceDialog.c"
}


gboolean noise_transfer_from_device_dialog_updateTransferSensetivity (NoiseTransferFromDeviceDialog* self, GtkTreeModel* model, GtkTreePath* path, GtkTreeIter* iter) {
	gboolean result = FALSE;
	gboolean sel = FALSE;
	GtkTreeModel* _tmp0_ = NULL;
	GtkTreeIter _tmp1_ = {0};
	gboolean _tmp2_ = FALSE;
#line 240 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 240 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_return_val_if_fail (model != NULL, FALSE);
#line 240 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_return_val_if_fail (path != NULL, FALSE);
#line 240 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_return_val_if_fail (iter != NULL, FALSE);
#line 241 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	sel = FALSE;
#line 242 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp0_ = model;
#line 242 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp1_ = *iter;
#line 242 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_tree_model_get (_tmp0_, &_tmp1_, 0, &sel, -1);
#line 244 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp2_ = sel;
#line 244 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	if (_tmp2_) {
#line 1603 "TransferFromDeviceDialog.c"
		GtkButton* _tmp3_ = NULL;
#line 245 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp3_ = self->priv->transfer;
#line 245 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		gtk_widget_set_sensitive ((GtkWidget*) _tmp3_, TRUE);
#line 246 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		result = TRUE;
#line 246 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		return result;
#line 1613 "TransferFromDeviceDialog.c"
	}
#line 249 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	result = FALSE;
#line 249 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	return result;
#line 1619 "TransferFromDeviceDialog.c"
}


gboolean noise_transfer_from_device_dialog_selectAll (NoiseTransferFromDeviceDialog* self, GtkTreeModel* model, GtkTreePath* path, GtkTreeIter* iter) {
	gboolean result = FALSE;
	GtkListStore* _tmp0_ = NULL;
	GtkTreeIter _tmp1_ = {0};
#line 252 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 252 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_return_val_if_fail (model != NULL, FALSE);
#line 252 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_return_val_if_fail (path != NULL, FALSE);
#line 252 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_return_val_if_fail (iter != NULL, FALSE);
#line 253 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp0_ = self->priv->mediasModel;
#line 253 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp1_ = *iter;
#line 253 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_list_store_set (_tmp0_, &_tmp1_, 0, TRUE, -1);
#line 255 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	result = FALSE;
#line 255 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	return result;
#line 1645 "TransferFromDeviceDialog.c"
}


gboolean noise_transfer_from_device_dialog_unselectAll (NoiseTransferFromDeviceDialog* self, GtkTreeModel* model, GtkTreePath* path, GtkTreeIter* iter) {
	gboolean result = FALSE;
	GtkListStore* _tmp0_ = NULL;
	GtkTreeIter _tmp1_ = {0};
#line 258 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 258 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_return_val_if_fail (model != NULL, FALSE);
#line 258 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_return_val_if_fail (path != NULL, FALSE);
#line 258 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_return_val_if_fail (iter != NULL, FALSE);
#line 259 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp0_ = self->priv->mediasModel;
#line 259 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp1_ = *iter;
#line 259 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_list_store_set (_tmp0_, &_tmp1_, 0, FALSE, -1);
#line 261 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	result = FALSE;
#line 261 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	return result;
#line 1671 "TransferFromDeviceDialog.c"
}


static gboolean _noise_transfer_from_device_dialog_selectAll_gtk_tree_model_foreach_func (GtkTreeModel* model, GtkTreePath* path, GtkTreeIter* iter, gpointer self) {
	gboolean result;
	result = noise_transfer_from_device_dialog_selectAll ((NoiseTransferFromDeviceDialog*) self, model, path, iter);
#line 266 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	return result;
#line 1680 "TransferFromDeviceDialog.c"
}


static gboolean _noise_transfer_from_device_dialog_unselectAll_gtk_tree_model_foreach_func (GtkTreeModel* model, GtkTreePath* path, GtkTreeIter* iter, gpointer self) {
	gboolean result;
	result = noise_transfer_from_device_dialog_unselectAll ((NoiseTransferFromDeviceDialog*) self, model, path, iter);
#line 270 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	return result;
#line 1689 "TransferFromDeviceDialog.c"
}


static void noise_transfer_from_device_dialog_real_transferAllToggled (NoiseTransferFromDeviceDialog* self) {
	GtkCheckButton* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
	gboolean _tmp2_ = FALSE;
#line 265 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp0_ = self->priv->transferAll;
#line 265 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp1_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp0_);
#line 265 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp2_ = _tmp1_;
#line 265 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	if (_tmp2_) {
#line 1705 "TransferFromDeviceDialog.c"
		GtkListStore* _tmp3_ = NULL;
		GtkTreeView* _tmp4_ = NULL;
		GtkButton* _tmp5_ = NULL;
#line 266 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp3_ = self->priv->mediasModel;
#line 266 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		gtk_tree_model_foreach ((GtkTreeModel*) _tmp3_, _noise_transfer_from_device_dialog_selectAll_gtk_tree_model_foreach_func, self);
#line 267 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp4_ = self->priv->mediasView;
#line 267 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		gtk_widget_set_sensitive ((GtkWidget*) _tmp4_, FALSE);
#line 268 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp5_ = self->priv->transfer;
#line 268 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		gtk_widget_set_sensitive ((GtkWidget*) _tmp5_, TRUE);
#line 1721 "TransferFromDeviceDialog.c"
	} else {
		GtkListStore* _tmp6_ = NULL;
		GtkTreeView* _tmp7_ = NULL;
		GtkButton* _tmp8_ = NULL;
#line 270 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp6_ = self->priv->mediasModel;
#line 270 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		gtk_tree_model_foreach ((GtkTreeModel*) _tmp6_, _noise_transfer_from_device_dialog_unselectAll_gtk_tree_model_foreach_func, self);
#line 271 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp7_ = self->priv->mediasView;
#line 271 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		gtk_widget_set_sensitive ((GtkWidget*) _tmp7_, TRUE);
#line 272 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp8_ = self->priv->transfer;
#line 272 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		gtk_widget_set_sensitive ((GtkWidget*) _tmp8_, FALSE);
#line 1738 "TransferFromDeviceDialog.c"
	}
}


void noise_transfer_from_device_dialog_transferAllToggled (NoiseTransferFromDeviceDialog* self) {
#line 264 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_return_if_fail (self != NULL);
#line 264 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	NOISE_TRANSFER_FROM_DEVICE_DIALOG_GET_CLASS (self)->transferAllToggled (self);
#line 1748 "TransferFromDeviceDialog.c"
}


gboolean noise_transfer_from_device_dialog_createTransferList (NoiseTransferFromDeviceDialog* self, GtkTreeModel* model, GtkTreePath* path, GtkTreeIter* iter) {
	gboolean result = FALSE;
	NoiseMedia* m = NULL;
	gboolean selected = FALSE;
	GtkListStore* _tmp0_ = NULL;
	GtkTreeIter _tmp1_ = {0};
	gboolean _tmp2_ = FALSE;
	NoiseMedia* _tmp3_ = NULL;
#line 276 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 276 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_return_val_if_fail (model != NULL, FALSE);
#line 276 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_return_val_if_fail (path != NULL, FALSE);
#line 276 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_return_val_if_fail (iter != NULL, FALSE);
#line 277 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	m = NULL;
#line 278 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	selected = FALSE;
#line 279 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp0_ = self->priv->mediasModel;
#line 279 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp1_ = *iter;
#line 279 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_tree_model_get ((GtkTreeModel*) _tmp0_, &_tmp1_, 0, &selected, 1, &m, -1);
#line 281 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp3_ = m;
#line 281 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	if (_tmp3_ != NULL) {
#line 1782 "TransferFromDeviceDialog.c"
		gboolean _tmp4_ = FALSE;
#line 281 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp4_ = selected;
#line 281 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp2_ = _tmp4_;
#line 1788 "TransferFromDeviceDialog.c"
	} else {
#line 281 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp2_ = FALSE;
#line 1792 "TransferFromDeviceDialog.c"
	}
#line 281 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	if (_tmp2_) {
#line 1796 "TransferFromDeviceDialog.c"
		GeeTreeSet* _tmp5_ = NULL;
		NoiseMedia* _tmp6_ = NULL;
#line 282 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp5_ = self->priv->to_transfer;
#line 282 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp6_ = m;
#line 282 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		gee_abstract_collection_add ((GeeAbstractCollection*) _tmp5_, _tmp6_);
#line 1805 "TransferFromDeviceDialog.c"
	}
#line 285 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	result = FALSE;
#line 285 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_g_object_unref0 (m);
#line 285 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	return result;
#line 1813 "TransferFromDeviceDialog.c"
}


static gboolean _noise_transfer_from_device_dialog_createTransferList_gtk_tree_model_foreach_func (GtkTreeModel* model, GtkTreePath* path, GtkTreeIter* iter, gpointer self) {
	gboolean result;
	result = noise_transfer_from_device_dialog_createTransferList ((NoiseTransferFromDeviceDialog*) self, model, path, iter);
#line 290 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	return result;
#line 1822 "TransferFromDeviceDialog.c"
}


static void noise_transfer_from_device_dialog_real_transferClick (NoiseTransferFromDeviceDialog* self) {
	GeeTreeSet* _tmp0_ = NULL;
	GtkListStore* _tmp1_ = NULL;
	NoiseLibrariesManager* _tmp2_ = NULL;
	NoiseLibrary* _tmp3_ = NULL;
	gboolean _tmp4_ = FALSE;
#line 289 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp0_ = self->priv->to_transfer;
#line 289 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gee_abstract_collection_clear ((GeeAbstractCollection*) _tmp0_);
#line 290 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp1_ = self->priv->mediasModel;
#line 290 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_tree_model_foreach ((GtkTreeModel*) _tmp1_, _noise_transfer_from_device_dialog_createTransferList_gtk_tree_model_foreach_func, self);
#line 292 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp2_ = noise_libraries_manager;
#line 292 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp3_ = _tmp2_->local_library;
#line 292 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp4_ = noise_library_doing_file_operations (_tmp3_);
#line 292 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	if (_tmp4_) {
#line 1848 "TransferFromDeviceDialog.c"
		NoiseNotificationManager* _tmp5_ = NULL;
		NoiseNotificationManager* _tmp6_ = NULL;
		const gchar* _tmp7_ = NULL;
		const gchar* _tmp8_ = NULL;
		NoiseDevice* _tmp9_ = NULL;
		gchar* _tmp10_ = NULL;
		gchar* _tmp11_ = NULL;
		gchar* _tmp12_ = NULL;
		gchar* _tmp13_ = NULL;
#line 293 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp5_ = noise_notification_manager_get_default ();
#line 293 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp6_ = _tmp5_;
#line 293 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp7_ = _ ("Cannot Import");
#line 293 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp8_ = _ ("Noise is already doing file operations. Please wait until those finish" \
" to import from %s");
#line 293 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp9_ = self->priv->d;
#line 293 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp10_ = noise_device_getDisplayName (_tmp9_);
#line 293 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp11_ = _tmp10_;
#line 293 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp12_ = g_strdup_printf (_tmp8_, _tmp11_);
#line 293 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp13_ = _tmp12_;
#line 293 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		g_signal_emit_by_name (_tmp6_, "show-alert", _tmp7_, _tmp13_);
#line 293 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_g_free0 (_tmp13_);
#line 293 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_g_free0 (_tmp11_);
#line 293 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_g_object_unref0 (_tmp6_);
#line 1884 "TransferFromDeviceDialog.c"
	} else {
		NoiseLibrariesManager* _tmp14_ = NULL;
		GeeTreeSet* _tmp15_ = NULL;
#line 295 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp14_ = noise_libraries_manager;
#line 295 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		_tmp15_ = self->priv->to_transfer;
#line 295 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		noise_libraries_manager_transfer_to_local_library (_tmp14_, (GeeCollection*) _tmp15_);
#line 296 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
		gtk_widget_destroy ((GtkWidget*) self);
#line 1896 "TransferFromDeviceDialog.c"
	}
}


void noise_transfer_from_device_dialog_transferClick (NoiseTransferFromDeviceDialog* self) {
#line 288 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_return_if_fail (self != NULL);
#line 288 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	NOISE_TRANSFER_FROM_DEVICE_DIALOG_GET_CLASS (self)->transferClick (self);
#line 1906 "TransferFromDeviceDialog.c"
}


static void noise_transfer_from_device_dialog_real_cancelClick (NoiseTransferFromDeviceDialog* self) {
#line 301 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	gtk_widget_destroy ((GtkWidget*) self);
#line 1913 "TransferFromDeviceDialog.c"
}


void noise_transfer_from_device_dialog_cancelClick (NoiseTransferFromDeviceDialog* self) {
#line 300 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_return_if_fail (self != NULL);
#line 300 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	NOISE_TRANSFER_FROM_DEVICE_DIALOG_GET_CLASS (self)->cancelClick (self);
#line 1922 "TransferFromDeviceDialog.c"
}


static void noise_transfer_from_device_dialog_class_init (NoiseTransferFromDeviceDialogClass * klass) {
#line 34 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	noise_transfer_from_device_dialog_parent_class = g_type_class_peek_parent (klass);
#line 34 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	g_type_class_add_private (klass, sizeof (NoiseTransferFromDeviceDialogPrivate));
#line 34 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	((NoiseTransferFromDeviceDialogClass *) klass)->transferAllToggled = (void (*)(NoiseTransferFromDeviceDialog*)) noise_transfer_from_device_dialog_real_transferAllToggled;
#line 34 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	((NoiseTransferFromDeviceDialogClass *) klass)->transferClick = (void (*)(NoiseTransferFromDeviceDialog*)) noise_transfer_from_device_dialog_real_transferClick;
#line 34 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	((NoiseTransferFromDeviceDialogClass *) klass)->cancelClick = (void (*)(NoiseTransferFromDeviceDialog*)) noise_transfer_from_device_dialog_real_cancelClick;
#line 34 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	G_OBJECT_CLASS (klass)->finalize = noise_transfer_from_device_dialog_finalize;
#line 1939 "TransferFromDeviceDialog.c"
}


static void noise_transfer_from_device_dialog_instance_init (NoiseTransferFromDeviceDialog * self) {
	GeeTreeSet* _tmp0_ = NULL;
	GeeTreeSet* _tmp1_ = NULL;
#line 34 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	self->priv = NOISE_TRANSFER_FROM_DEVICE_DIALOG_GET_PRIVATE (self);
#line 35 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp0_ = gee_tree_set_new (NOISE_TYPE_MEDIA, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 35 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	self->priv->medias = _tmp0_;
#line 53 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_tmp1_ = gee_tree_set_new (NOISE_TYPE_MEDIA, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 53 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	self->priv->to_transfer = _tmp1_;
#line 1956 "TransferFromDeviceDialog.c"
}


static void noise_transfer_from_device_dialog_finalize (GObject* obj) {
	NoiseTransferFromDeviceDialog * self;
#line 34 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NOISE_TYPE_TRANSFER_FROM_DEVICE_DIALOG, NoiseTransferFromDeviceDialog);
#line 35 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_g_object_unref0 (self->priv->medias);
#line 36 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_g_object_unref0 (self->priv->d);
#line 39 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_g_object_unref0 (self->priv->content);
#line 40 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_g_object_unref0 (self->priv->padding);
#line 42 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_g_object_unref0 (self->priv->transferAll);
#line 43 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_g_object_unref0 (self->priv->mediasScroll);
#line 44 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_g_object_unref0 (self->priv->mediasView);
#line 45 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_g_object_unref0 (self->priv->mediasModel);
#line 46 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_g_object_unref0 (self->priv->transfer);
#line 48 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_g_object_unref0 (self->priv->viewMenu);
#line 49 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_g_object_unref0 (self->priv->selectItem);
#line 50 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_g_object_unref0 (self->priv->selectAlbum);
#line 51 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_g_object_unref0 (self->priv->selectArtist);
#line 53 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	_g_object_unref0 (self->priv->to_transfer);
#line 34 "/builddir/build/BUILD/music-0.4.1/src/Dialogs/TransferFromDeviceDialog.vala"
	G_OBJECT_CLASS (noise_transfer_from_device_dialog_parent_class)->finalize (obj);
#line 1994 "TransferFromDeviceDialog.c"
}


GType noise_transfer_from_device_dialog_get_type (void) {
	static volatile gsize noise_transfer_from_device_dialog_type_id__volatile = 0;
	if (g_once_init_enter (&noise_transfer_from_device_dialog_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NoiseTransferFromDeviceDialogClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) noise_transfer_from_device_dialog_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NoiseTransferFromDeviceDialog), 0, (GInstanceInitFunc) noise_transfer_from_device_dialog_instance_init, NULL };
		GType noise_transfer_from_device_dialog_type_id;
		noise_transfer_from_device_dialog_type_id = g_type_register_static (gtk_window_get_type (), "NoiseTransferFromDeviceDialog", &g_define_type_info, 0);
		g_once_init_leave (&noise_transfer_from_device_dialog_type_id__volatile, noise_transfer_from_device_dialog_type_id);
	}
	return noise_transfer_from_device_dialog_type_id__volatile;
}



