/* CoverImport.c generated by valac 0.34.9, the Vala compiler
 * generated from CoverImport.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2012-2017 elementary LLC. (https://elementary.io)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Noise authors hereby grant permission for non-GPL compatible
 * GStreamer plugins to be used and distributed together with GStreamer
 * and Noise. This permission is above and beyond the permissions granted
 * by the GPL license by which Noise is covered. If you modify this code
 * you may extend this exception to your version of the code, but you are not
 * obligated to do so. If you do not wish to do so, delete this exception
 * statement from your version.
 *
 * Authored by: Corentin Noël <corentin@elementary.io>
 */

#include <glib.h>
#include <glib-object.h>
#include <gst/pbutils/pbutils.h>
#include <noise-core.h>
#include <gee.h>
#include <stdlib.h>
#include <string.h>
#include <gdk-pixbuf/gdk-pixbuf.h>
#include <gst/gst.h>
#include <gst/tag/tag.h>


#define NOISE_TYPE_COVER_IMPORT (noise_cover_import_get_type ())
#define NOISE_COVER_IMPORT(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_COVER_IMPORT, NoiseCoverImport))
#define NOISE_COVER_IMPORT_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_COVER_IMPORT, NoiseCoverImportClass))
#define NOISE_IS_COVER_IMPORT(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_COVER_IMPORT))
#define NOISE_IS_COVER_IMPORT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_COVER_IMPORT))
#define NOISE_COVER_IMPORT_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_COVER_IMPORT, NoiseCoverImportClass))

typedef struct _NoiseCoverImport NoiseCoverImport;
typedef struct _NoiseCoverImportClass NoiseCoverImportClass;
typedef struct _NoiseCoverImportPrivate NoiseCoverImportPrivate;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _gst_sample_unref0(var) ((var == NULL) ? NULL : (var = (gst_sample_unref (var), NULL)))
#define _gst_buffer_unref0(var) ((var == NULL) ? NULL : (var = (gst_buffer_unref (var), NULL)))
#define _gst_tag_list_unref0(var) ((var == NULL) ? NULL : (var = (gst_tag_list_unref (var), NULL)))
#define _gst_caps_unref0(var) ((var == NULL) ? NULL : (var = (gst_caps_unref (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))

struct _NoiseCoverImport {
	GObject parent_instance;
	NoiseCoverImportPrivate * priv;
};

struct _NoiseCoverImportClass {
	GObjectClass parent_class;
};

struct _NoiseCoverImportPrivate {
	GstDiscoverer* discoverer;
	NoiseAlbum* album;
};


static gpointer noise_cover_import_parent_class = NULL;

GType noise_cover_import_get_type (void) G_GNUC_CONST;
#define NOISE_COVER_IMPORT_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NOISE_TYPE_COVER_IMPORT, NoiseCoverImportPrivate))
enum  {
	NOISE_COVER_IMPORT_DUMMY_PROPERTY
};
#define NOISE_COVER_IMPORT_DISCOVERER_TIMEOUT 5
NoiseCoverImport* noise_cover_import_new (NoiseAlbum* album);
NoiseCoverImport* noise_cover_import_construct (GType object_type, NoiseAlbum* album);
void noise_cover_import_start (NoiseCoverImport* self);
static void noise_cover_import_import_media (NoiseCoverImport* self, GstDiscovererInfo* info, GError* err);
static GstSample* noise_cover_import_get_cover_sample (GstTagList* tag_list);
static GdkPixbuf* noise_cover_import_get_pixbuf_from_buffer (GstBuffer* buffer);
static GObject * noise_cover_import_constructor (GType type, guint n_construct_properties, GObjectConstructParam * construct_properties);
static void _noise_cover_import_import_media_gst_discoverer_discovered (GstDiscoverer* _sender, GstDiscovererInfo* info, GError* err, gpointer self);
static void noise_cover_import_finalize (GObject* obj);


static gpointer _g_object_ref0 (gpointer self) {
#line 45 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	return self ? g_object_ref (self) : NULL;
#line 100 "CoverImport.c"
}


NoiseCoverImport* noise_cover_import_construct (GType object_type, NoiseAlbum* album) {
	NoiseCoverImport * self = NULL;
	NoiseAlbum* _tmp0_ = NULL;
	NoiseAlbum* _tmp1_ = NULL;
#line 44 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	g_return_val_if_fail (album != NULL, NULL);
#line 44 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	self = (NoiseCoverImport*) g_object_new (object_type, NULL);
#line 45 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	_tmp0_ = album;
#line 45 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 45 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	_g_object_unref0 (self->priv->album);
#line 45 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	self->priv->album = _tmp1_;
#line 120 "CoverImport.c"
	{
		GeeIterator* _media_it = NULL;
		NoiseAlbum* _tmp2_ = NULL;
		GeeCollection* _tmp3_ = NULL;
		GeeCollection* _tmp4_ = NULL;
		GeeIterator* _tmp5_ = NULL;
		GeeIterator* _tmp6_ = NULL;
#line 46 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		_tmp2_ = album;
#line 46 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		_tmp3_ = noise_album_get_media (_tmp2_, (guint) 1);
#line 46 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		_tmp4_ = _tmp3_;
#line 46 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		_tmp5_ = gee_iterable_iterator ((GeeIterable*) _tmp4_);
#line 46 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		_tmp6_ = _tmp5_;
#line 46 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		_g_object_unref0 (_tmp4_);
#line 46 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		_media_it = _tmp6_;
#line 46 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		while (TRUE) {
#line 144 "CoverImport.c"
			GeeIterator* _tmp7_ = NULL;
			gboolean _tmp8_ = FALSE;
			NoiseMedia* media = NULL;
			GeeIterator* _tmp9_ = NULL;
			gpointer _tmp10_ = NULL;
			GstDiscoverer* _tmp11_ = NULL;
			NoiseMedia* _tmp12_ = NULL;
			gchar* _tmp13_ = NULL;
			gchar* _tmp14_ = NULL;
			gchar* _tmp15_ = NULL;
#line 46 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			_tmp7_ = _media_it;
#line 46 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			_tmp8_ = gee_iterator_next (_tmp7_);
#line 46 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			if (!_tmp8_) {
#line 46 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
				break;
#line 163 "CoverImport.c"
			}
#line 46 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			_tmp9_ = _media_it;
#line 46 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			_tmp10_ = gee_iterator_get (_tmp9_);
#line 46 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			media = (NoiseMedia*) _tmp10_;
#line 47 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			_tmp11_ = self->priv->discoverer;
#line 47 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			_tmp12_ = media;
#line 47 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			_tmp13_ = noise_media_get_uri (_tmp12_);
#line 47 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			_tmp14_ = _tmp13_;
#line 47 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			_tmp15_ = _tmp14_;
#line 47 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			gst_discoverer_discover_uri_async (_tmp11_, _tmp15_);
#line 47 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			_g_free0 (_tmp15_);
#line 46 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			_g_object_unref0 (media);
#line 187 "CoverImport.c"
		}
#line 46 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		_g_object_unref0 (_media_it);
#line 191 "CoverImport.c"
	}
#line 44 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	return self;
#line 195 "CoverImport.c"
}


NoiseCoverImport* noise_cover_import_new (NoiseAlbum* album) {
#line 44 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	return noise_cover_import_construct (NOISE_TYPE_COVER_IMPORT, album);
#line 202 "CoverImport.c"
}


void noise_cover_import_start (NoiseCoverImport* self) {
	GstDiscoverer* _tmp0_ = NULL;
#line 51 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	g_return_if_fail (self != NULL);
#line 52 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	_tmp0_ = self->priv->discoverer;
#line 52 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	gst_discoverer_start (_tmp0_);
#line 214 "CoverImport.c"
}


static gpointer _gst_tag_list_ref0 (gpointer self) {
#line 92 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	return self ? gst_tag_list_ref (self) : NULL;
#line 221 "CoverImport.c"
}


static gpointer _gst_buffer_ref0 (gpointer self) {
#line 100 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	return self ? gst_buffer_ref (self) : NULL;
#line 228 "CoverImport.c"
}


static void noise_cover_import_import_media (NoiseCoverImport* self, GstDiscovererInfo* info, GError* err) {
	gchar* uri = NULL;
	GstDiscovererInfo* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gboolean gstreamer_discovery_successful = FALSE;
	GstDiscovererInfo* _tmp3_ = NULL;
	GstDiscovererResult _tmp4_ = 0;
	gboolean _tmp12_ = FALSE;
#line 55 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	g_return_if_fail (self != NULL);
#line 55 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	g_return_if_fail (info != NULL);
#line 56 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	_tmp0_ = info;
#line 56 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	_tmp1_ = gst_discoverer_info_get_uri (_tmp0_);
#line 56 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	_tmp2_ = g_strdup (_tmp1_);
#line 56 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	uri = _tmp2_;
#line 57 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	gstreamer_discovery_successful = FALSE;
#line 58 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	_tmp3_ = info;
#line 58 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	_tmp4_ = gst_discoverer_info_get_result (_tmp3_);
#line 58 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	switch (_tmp4_) {
#line 58 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		case GST_DISCOVERER_OK:
#line 263 "CoverImport.c"
		{
#line 60 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			gstreamer_discovery_successful = TRUE;
#line 61 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			break;
#line 269 "CoverImport.c"
		}
#line 58 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		case GST_DISCOVERER_URI_INVALID:
#line 273 "CoverImport.c"
		{
			const gchar* _tmp5_ = NULL;
#line 64 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			_tmp5_ = uri;
#line 64 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			g_warning ("CoverImport.vala:64: GStreamer could not import '%s': invalid URI.", _tmp5_);
#line 65 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			break;
#line 282 "CoverImport.c"
		}
#line 58 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		case GST_DISCOVERER_ERROR:
#line 286 "CoverImport.c"
		{
			const gchar* _tmp6_ = NULL;
			GError* _tmp7_ = NULL;
			const gchar* _tmp8_ = NULL;
#line 68 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			_tmp6_ = uri;
#line 68 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			_tmp7_ = err;
#line 68 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			_tmp8_ = _tmp7_->message;
#line 68 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			g_warning ("CoverImport.vala:68: GStreamer could not import '%s': %s", _tmp6_, _tmp8_);
#line 69 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			break;
#line 301 "CoverImport.c"
		}
#line 58 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		case GST_DISCOVERER_TIMEOUT:
#line 305 "CoverImport.c"
		{
			const gchar* _tmp9_ = NULL;
#line 72 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			_tmp9_ = uri;
#line 72 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			g_warning ("CoverImport.vala:72: GStreamer could not import '%s': Discovery timed " \
"out.", _tmp9_);
#line 73 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			break;
#line 314 "CoverImport.c"
		}
#line 58 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		case GST_DISCOVERER_BUSY:
#line 318 "CoverImport.c"
		{
			const gchar* _tmp10_ = NULL;
#line 76 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			_tmp10_ = uri;
#line 76 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			g_warning ("CoverImport.vala:76: GStreamer could not import '%s': Already discover" \
"ing a file.", _tmp10_);
#line 77 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			break;
#line 327 "CoverImport.c"
		}
#line 58 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		case GST_DISCOVERER_MISSING_PLUGINS:
#line 331 "CoverImport.c"
		{
			const gchar* _tmp11_ = NULL;
#line 80 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			_tmp11_ = uri;
#line 80 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			g_warning ("CoverImport.vala:80: GStreamer could not import '%s': Missing plugins.", _tmp11_);
#line 87 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			break;
#line 340 "CoverImport.c"
		}
		default:
#line 58 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		break;
#line 345 "CoverImport.c"
	}
#line 90 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	_tmp12_ = gstreamer_discovery_successful;
#line 90 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	if (_tmp12_) {
#line 351 "CoverImport.c"
		GdkPixbuf* pixbuf = NULL;
		GstTagList* tag_list = NULL;
		GstDiscovererInfo* _tmp13_ = NULL;
		GstTagList* _tmp14_ = NULL;
		GstTagList* _tmp15_ = NULL;
		GstSample* sample = NULL;
		GstTagList* _tmp16_ = NULL;
		GstSample* _tmp17_ = NULL;
		GstSample* _tmp18_ = NULL;
		GstSample* _tmp21_ = NULL;
#line 91 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		pixbuf = NULL;
#line 92 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		_tmp13_ = info;
#line 92 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		_tmp14_ = gst_discoverer_info_get_tags (_tmp13_);
#line 92 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		_tmp15_ = _gst_tag_list_ref0 (_tmp14_);
#line 92 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		tag_list = _tmp15_;
#line 93 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		_tmp16_ = tag_list;
#line 93 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		_tmp17_ = noise_cover_import_get_cover_sample (_tmp16_);
#line 93 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		sample = _tmp17_;
#line 95 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		_tmp18_ = sample;
#line 95 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		if (_tmp18_ == NULL) {
#line 382 "CoverImport.c"
			GstTagList* _tmp19_ = NULL;
			GstSample* _tmp20_ = NULL;
#line 96 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			_tmp19_ = tag_list;
#line 96 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			gst_tag_list_get_sample_index (_tmp19_, GST_TAG_PREVIEW_IMAGE, (guint) 0, &_tmp20_);
#line 96 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			_gst_sample_unref0 (sample);
#line 96 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			sample = _tmp20_;
#line 393 "CoverImport.c"
		}
#line 99 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		_tmp21_ = sample;
#line 99 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		if (_tmp21_ != NULL) {
#line 399 "CoverImport.c"
			GstBuffer* buffer = NULL;
			GstSample* _tmp22_ = NULL;
			GstBuffer* _tmp23_ = NULL;
			GstBuffer* _tmp24_ = NULL;
			GstBuffer* _tmp25_ = NULL;
			GstDiscovererInfo* _tmp34_ = NULL;
			const gchar* _tmp35_ = NULL;
#line 100 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			_tmp22_ = sample;
#line 100 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			_tmp23_ = gst_sample_get_buffer (_tmp22_);
#line 100 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			_tmp24_ = _gst_buffer_ref0 (_tmp23_);
#line 100 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			buffer = _tmp24_;
#line 102 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			_tmp25_ = buffer;
#line 102 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			if (_tmp25_ != NULL) {
#line 419 "CoverImport.c"
				GstBuffer* _tmp26_ = NULL;
				GdkPixbuf* _tmp27_ = NULL;
				GdkPixbuf* _tmp28_ = NULL;
#line 103 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
				_tmp26_ = buffer;
#line 103 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
				_tmp27_ = noise_cover_import_get_pixbuf_from_buffer (_tmp26_);
#line 103 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
				_g_object_unref0 (pixbuf);
#line 103 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
				pixbuf = _tmp27_;
#line 104 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
				_tmp28_ = pixbuf;
#line 104 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
				if (_tmp28_ != NULL) {
#line 435 "CoverImport.c"
					NoiseAlbum* _tmp29_ = NULL;
					GdkPixbuf* _tmp30_ = NULL;
					GstDiscovererInfo* _tmp31_ = NULL;
					const gchar* _tmp32_ = NULL;
					GstDiscoverer* _tmp33_ = NULL;
#line 105 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
					_tmp29_ = self->priv->album;
#line 105 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
					_tmp30_ = pixbuf;
#line 105 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
					noise_album_save_cover_pixbuf (_tmp29_, _tmp30_);
#line 106 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
					_tmp31_ = info;
#line 106 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
					_tmp32_ = gst_discoverer_info_get_uri (_tmp31_);
#line 106 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
					g_debug ("CoverImport.vala:106: Cover imported for '%s'", _tmp32_);
#line 107 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
					_tmp33_ = self->priv->discoverer;
#line 107 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
					gst_discoverer_stop (_tmp33_);
#line 457 "CoverImport.c"
				}
			}
#line 111 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			_tmp34_ = info;
#line 111 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			_tmp35_ = gst_discoverer_info_get_uri (_tmp34_);
#line 111 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			g_debug ("CoverImport.vala:111: Final image buffer is NULL for '%s'", _tmp35_);
#line 99 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			_gst_buffer_unref0 (buffer);
#line 468 "CoverImport.c"
		} else {
			GstDiscovererInfo* _tmp36_ = NULL;
			const gchar* _tmp37_ = NULL;
#line 113 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			_tmp36_ = info;
#line 113 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			_tmp37_ = gst_discoverer_info_get_uri (_tmp36_);
#line 113 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			g_debug ("CoverImport.vala:113: Image sample is NULL for '%s'", _tmp37_);
#line 478 "CoverImport.c"
		}
#line 90 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		_gst_sample_unref0 (sample);
#line 90 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		_gst_tag_list_unref0 (tag_list);
#line 90 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		_g_object_unref0 (pixbuf);
#line 486 "CoverImport.c"
	}
#line 55 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	_g_free0 (uri);
#line 490 "CoverImport.c"
}


static gpointer _gst_caps_ref0 (gpointer self) {
#line 122 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	return self ? gst_caps_ref (self) : NULL;
#line 497 "CoverImport.c"
}


static gpointer _gst_sample_ref0 (gpointer self) {
#line 127 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	return self ? gst_sample_ref (self) : NULL;
#line 504 "CoverImport.c"
}


static GstSample* noise_cover_import_get_cover_sample (GstTagList* tag_list) {
	GstSample* result = NULL;
	GstSample* cover_sample = NULL;
	GstSample* sample = NULL;
#line 118 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	g_return_val_if_fail (tag_list != NULL, NULL);
#line 119 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	cover_sample = NULL;
#line 516 "CoverImport.c"
	{
		gint i = 0;
#line 121 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		i = 0;
#line 521 "CoverImport.c"
		{
			gboolean _tmp0_ = FALSE;
#line 121 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			_tmp0_ = TRUE;
#line 121 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			while (TRUE) {
#line 528 "CoverImport.c"
				GstTagList* _tmp2_ = NULL;
				gint _tmp3_ = 0;
				GstSample* _tmp4_ = NULL;
				gboolean _tmp5_ = FALSE;
				GstCaps* caps = NULL;
				GstSample* _tmp6_ = NULL;
				GstCaps* _tmp7_ = NULL;
				GstCaps* _tmp8_ = NULL;
				GstStructure* caps_struct = NULL;
				GstCaps* _tmp9_ = NULL;
				GstStructure* _tmp10_ = NULL;
				gint image_type = 0;
				GstStructure* _tmp11_ = NULL;
				gint _tmp12_ = 0;
				gboolean _tmp13_ = FALSE;
				gint _tmp14_ = 0;
#line 121 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
				if (!_tmp0_) {
#line 547 "CoverImport.c"
					gint _tmp1_ = 0;
#line 121 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
					_tmp1_ = i;
#line 121 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
					i = _tmp1_ + 1;
#line 553 "CoverImport.c"
				}
#line 121 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
				_tmp0_ = FALSE;
#line 121 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
				_tmp2_ = tag_list;
#line 121 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
				_tmp3_ = i;
#line 121 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
				_tmp5_ = gst_tag_list_get_sample_index (_tmp2_, GST_TAG_IMAGE, (guint) _tmp3_, &_tmp4_);
#line 121 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
				_gst_sample_unref0 (sample);
#line 121 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
				sample = _tmp4_;
#line 121 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
				if (!_tmp5_) {
#line 121 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
					break;
#line 571 "CoverImport.c"
				}
#line 122 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
				_tmp6_ = sample;
#line 122 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
				_tmp7_ = gst_sample_get_caps (_tmp6_);
#line 122 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
				_tmp8_ = _gst_caps_ref0 (_tmp7_);
#line 122 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
				caps = _tmp8_;
#line 123 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
				_tmp9_ = caps;
#line 123 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
				_tmp10_ = gst_caps_get_structure (_tmp9_, (guint) 0);
#line 123 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
				caps_struct = _tmp10_;
#line 124 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
				image_type = (gint) GST_TAG_IMAGE_TYPE_UNDEFINED;
#line 125 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
				_tmp11_ = caps_struct;
#line 125 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
				gst_structure_get_enum (_tmp11_, "image-type", gst_tag_image_type_get_type (), &_tmp12_);
#line 125 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
				image_type = _tmp12_;
#line 126 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
				_tmp14_ = image_type;
#line 126 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
				if (_tmp14_ == ((gint) GST_TAG_IMAGE_TYPE_UNDEFINED)) {
#line 599 "CoverImport.c"
					GstSample* _tmp15_ = NULL;
#line 126 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
					_tmp15_ = cover_sample;
#line 126 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
					_tmp13_ = _tmp15_ == NULL;
#line 605 "CoverImport.c"
				} else {
#line 126 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
					_tmp13_ = FALSE;
#line 609 "CoverImport.c"
				}
#line 126 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
				if (_tmp13_) {
#line 613 "CoverImport.c"
					GstSample* _tmp16_ = NULL;
					GstSample* _tmp17_ = NULL;
#line 127 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
					_tmp16_ = sample;
#line 127 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
					_tmp17_ = _gst_sample_ref0 (_tmp16_);
#line 127 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
					_gst_sample_unref0 (cover_sample);
#line 127 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
					cover_sample = _tmp17_;
#line 624 "CoverImport.c"
				} else {
					gint _tmp18_ = 0;
#line 128 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
					_tmp18_ = image_type;
#line 128 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
					if (_tmp18_ == ((gint) GST_TAG_IMAGE_TYPE_FRONT_COVER)) {
#line 129 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
						result = sample;
#line 129 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
						_gst_caps_unref0 (caps);
#line 129 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
						_gst_sample_unref0 (cover_sample);
#line 129 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
						return result;
#line 639 "CoverImport.c"
					}
				}
#line 121 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
				_gst_caps_unref0 (caps);
#line 644 "CoverImport.c"
			}
		}
	}
#line 133 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	result = cover_sample;
#line 133 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	_gst_sample_unref0 (sample);
#line 133 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	return result;
#line 654 "CoverImport.c"
}


static GdkPixbuf* noise_cover_import_get_pixbuf_from_buffer (GstBuffer* buffer) {
	GdkPixbuf* result = NULL;
	GstMapInfo map_info = {0};
	GstBuffer* _tmp0_ = NULL;
	GstMapInfo _tmp1_ = {0};
	gboolean _tmp2_ = FALSE;
	GdkPixbuf* pix = NULL;
	GstBuffer* _tmp18_ = NULL;
	GstMapInfo _tmp19_ = {0};
	GError * _inner_error_ = NULL;
#line 136 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	g_return_val_if_fail (buffer != NULL, NULL);
#line 139 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	_tmp0_ = buffer;
#line 139 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	_tmp2_ = gst_buffer_map (_tmp0_, &_tmp1_, GST_MAP_READ);
#line 139 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	map_info = _tmp1_;
#line 139 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	if (!_tmp2_) {
#line 140 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		g_warning ("CoverImport.vala:140: Could not map memory buffer");
#line 141 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		result = NULL;
#line 141 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		return result;
#line 684 "CoverImport.c"
	}
#line 144 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	pix = NULL;
#line 688 "CoverImport.c"
	{
		GdkPixbufLoader* loader = NULL;
		GdkPixbufLoader* _tmp3_ = NULL;
		gboolean _tmp4_ = FALSE;
		gboolean _tmp5_ = FALSE;
		GdkPixbufLoader* _tmp6_ = NULL;
		GstMapInfo _tmp7_ = {0};
		guint8* _tmp8_ = NULL;
		gint _tmp8__length1 = 0;
		gboolean _tmp9_ = FALSE;
#line 147 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		_tmp3_ = gdk_pixbuf_loader_new ();
#line 147 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		loader = _tmp3_;
#line 149 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		_tmp6_ = loader;
#line 149 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		_tmp7_ = map_info;
#line 149 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		_tmp8_ = _tmp7_.data;
#line 149 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		_tmp8__length1 = (gint) _tmp7_.size;
#line 149 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		_tmp9_ = gdk_pixbuf_loader_write (_tmp6_, _tmp8_, (gsize) _tmp8__length1, &_inner_error_);
#line 149 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		_tmp5_ = _tmp9_;
#line 149 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 149 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			_g_object_unref0 (loader);
#line 719 "CoverImport.c"
			goto __catch82_g_error;
		}
#line 149 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		if (_tmp5_) {
#line 724 "CoverImport.c"
			gboolean _tmp10_ = FALSE;
			GdkPixbufLoader* _tmp11_ = NULL;
			gboolean _tmp12_ = FALSE;
#line 149 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			_tmp11_ = loader;
#line 149 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			_tmp12_ = gdk_pixbuf_loader_close (_tmp11_, &_inner_error_);
#line 149 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			_tmp10_ = _tmp12_;
#line 149 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 149 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
				_g_object_unref0 (loader);
#line 738 "CoverImport.c"
				goto __catch82_g_error;
			}
#line 149 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			_tmp4_ = _tmp10_;
#line 743 "CoverImport.c"
		} else {
#line 149 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			_tmp4_ = FALSE;
#line 747 "CoverImport.c"
		}
#line 149 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		if (_tmp4_) {
#line 751 "CoverImport.c"
			GdkPixbufLoader* _tmp13_ = NULL;
			GdkPixbuf* _tmp14_ = NULL;
			GdkPixbuf* _tmp15_ = NULL;
#line 150 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			_tmp13_ = loader;
#line 150 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			_tmp14_ = gdk_pixbuf_loader_get_pixbuf (_tmp13_);
#line 150 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			_tmp15_ = _g_object_ref0 (_tmp14_);
#line 150 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			_g_object_unref0 (pix);
#line 150 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
			pix = _tmp15_;
#line 765 "CoverImport.c"
		}
#line 146 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		_g_object_unref0 (loader);
#line 769 "CoverImport.c"
	}
	goto __finally82;
	__catch82_g_error:
	{
		GError* err = NULL;
		GError* _tmp16_ = NULL;
		const gchar* _tmp17_ = NULL;
#line 146 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		err = _inner_error_;
#line 146 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		_inner_error_ = NULL;
#line 152 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		_tmp16_ = err;
#line 152 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		_tmp17_ = _tmp16_->message;
#line 152 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		g_warning ("CoverImport.vala:152: Error processing image data: %s", _tmp17_);
#line 146 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		_g_error_free0 (err);
#line 789 "CoverImport.c"
	}
	__finally82:
#line 146 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 146 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		_g_object_unref0 (pix);
#line 146 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 146 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		g_clear_error (&_inner_error_);
#line 146 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		return NULL;
#line 802 "CoverImport.c"
	}
#line 155 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	_tmp18_ = buffer;
#line 155 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	_tmp19_ = map_info;
#line 155 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	gst_buffer_unmap (_tmp18_, &_tmp19_);
#line 157 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	result = pix;
#line 157 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	return result;
#line 814 "CoverImport.c"
}


static void _noise_cover_import_import_media_gst_discoverer_discovered (GstDiscoverer* _sender, GstDiscovererInfo* info, GError* err, gpointer self) {
#line 38 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	noise_cover_import_import_media ((NoiseCoverImport*) self, info, err);
#line 821 "CoverImport.c"
}


static GObject * noise_cover_import_constructor (GType type, guint n_construct_properties, GObjectConstructParam * construct_properties) {
	GObject * obj;
	GObjectClass * parent_class;
	NoiseCoverImport * self;
	GError * _inner_error_ = NULL;
#line 35 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	parent_class = G_OBJECT_CLASS (noise_cover_import_parent_class);
#line 35 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	obj = parent_class->constructor (type, n_construct_properties, construct_properties);
#line 35 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NOISE_TYPE_COVER_IMPORT, NoiseCoverImport);
#line 836 "CoverImport.c"
	{
		GstDiscoverer* _tmp0_ = NULL;
		GstDiscoverer* _tmp1_ = NULL;
		GstDiscoverer* _tmp2_ = NULL;
		GstDiscoverer* _tmp3_ = NULL;
#line 37 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		_tmp1_ = gst_discoverer_new ((GstClockTime) (NOISE_COVER_IMPORT_DISCOVERER_TIMEOUT * GST_SECOND), &_inner_error_);
#line 37 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		_tmp0_ = _tmp1_;
#line 37 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 848 "CoverImport.c"
			goto __catch83_g_error;
		}
#line 37 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		_tmp2_ = _tmp0_;
#line 37 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		_tmp0_ = NULL;
#line 37 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		_g_object_unref0 (self->priv->discoverer);
#line 37 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		self->priv->discoverer = _tmp2_;
#line 38 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		_tmp3_ = self->priv->discoverer;
#line 38 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		g_signal_connect_object (_tmp3_, "discovered", (GCallback) _noise_cover_import_import_media_gst_discoverer_discovered, self, 0);
#line 36 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		_g_object_unref0 (_tmp0_);
#line 865 "CoverImport.c"
	}
	goto __finally83;
	__catch83_g_error:
	{
		GError* err = NULL;
		GError* _tmp4_ = NULL;
		const gchar* _tmp5_ = NULL;
#line 36 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		err = _inner_error_;
#line 36 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		_inner_error_ = NULL;
#line 40 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		_tmp4_ = err;
#line 40 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		_tmp5_ = _tmp4_->message;
#line 40 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		g_critical ("CoverImport.vala:40: Could not create Gst discoverer object: %s", _tmp5_);
#line 36 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		_g_error_free0 (err);
#line 885 "CoverImport.c"
	}
	__finally83:
#line 36 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 36 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 36 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
		g_clear_error (&_inner_error_);
#line 894 "CoverImport.c"
	}
#line 35 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	return obj;
#line 898 "CoverImport.c"
}


static void noise_cover_import_class_init (NoiseCoverImportClass * klass) {
#line 29 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	noise_cover_import_parent_class = g_type_class_peek_parent (klass);
#line 29 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	g_type_class_add_private (klass, sizeof (NoiseCoverImportPrivate));
#line 29 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	G_OBJECT_CLASS (klass)->constructor = noise_cover_import_constructor;
#line 29 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	G_OBJECT_CLASS (klass)->finalize = noise_cover_import_finalize;
#line 911 "CoverImport.c"
}


static void noise_cover_import_instance_init (NoiseCoverImport * self) {
#line 29 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	self->priv = NOISE_COVER_IMPORT_GET_PRIVATE (self);
#line 918 "CoverImport.c"
}


static void noise_cover_import_finalize (GObject* obj) {
	NoiseCoverImport * self;
#line 29 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NOISE_TYPE_COVER_IMPORT, NoiseCoverImport);
#line 32 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	_g_object_unref0 (self->priv->discoverer);
#line 33 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	_g_object_unref0 (self->priv->album);
#line 29 "/builddir/build/BUILD/music-0.4.1/src/GStreamer/CoverImport.vala"
	G_OBJECT_CLASS (noise_cover_import_parent_class)->finalize (obj);
#line 932 "CoverImport.c"
}


GType noise_cover_import_get_type (void) {
	static volatile gsize noise_cover_import_type_id__volatile = 0;
	if (g_once_init_enter (&noise_cover_import_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NoiseCoverImportClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) noise_cover_import_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NoiseCoverImport), 0, (GInstanceInitFunc) noise_cover_import_instance_init, NULL };
		GType noise_cover_import_type_id;
		noise_cover_import_type_id = g_type_register_static (G_TYPE_OBJECT, "NoiseCoverImport", &g_define_type_info, 0);
		g_once_init_leave (&noise_cover_import_type_id__volatile, noise_cover_import_type_id);
	}
	return noise_cover_import_type_id__volatile;
}



