/* DevicePreferences.c generated by valac 0.34.9, the Vala compiler
 * generated from DevicePreferences.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2012-2017 elementary LLC. (https://elementary.io)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Noise authors hereby grant permission for non-GPL compatible
 * GStreamer plugins to be used and distributed together with GStreamer
 * and Noise. This permission is above and beyond the permissions granted
 * by the GPL license by which Noise is covered. If you modify this code
 * you may extend this exception to your version of the code, but you are not
 * obligated to do so. If you do not wish to do so, delete this exception
 * statement from your version.
 *
 * Authored by: Scott Ringwelski <sgringwe@mtu.edu>
 *              Corentin Noël <corentin@elementary.io>
 */

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <libgda/libgda.h>
#include <noise-core.h>


#define NOISE_TYPE_DEVICE_PREFERENCES (noise_device_preferences_get_type ())
#define NOISE_DEVICE_PREFERENCES(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_DEVICE_PREFERENCES, NoiseDevicePreferences))
#define NOISE_DEVICE_PREFERENCES_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_DEVICE_PREFERENCES, NoiseDevicePreferencesClass))
#define NOISE_IS_DEVICE_PREFERENCES(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_DEVICE_PREFERENCES))
#define NOISE_IS_DEVICE_PREFERENCES_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_DEVICE_PREFERENCES))
#define NOISE_DEVICE_PREFERENCES_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_DEVICE_PREFERENCES, NoiseDevicePreferencesClass))

typedef struct _NoiseDevicePreferences NoiseDevicePreferences;
typedef struct _NoiseDevicePreferencesClass NoiseDevicePreferencesClass;
typedef struct _NoiseDevicePreferencesPrivate NoiseDevicePreferencesPrivate;
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define __vala_GValue_free0(var) ((var == NULL) ? NULL : (var = (_vala_GValue_free (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
#define __g_slist_free___vala_GValue_free0_0(var) ((var == NULL) ? NULL : (var = (_g_slist_free___vala_GValue_free0_ (var), NULL)))
#define __g_slist_free__g_free0_0(var) ((var == NULL) ? NULL : (var = (_g_slist_free__g_free0_ (var), NULL)))
#define _g_regex_unref0(var) ((var == NULL) ? NULL : (var = (g_regex_unref (var), NULL)))

struct _NoiseDevicePreferences {
	GObject parent_instance;
	NoiseDevicePreferencesPrivate * priv;
	gboolean* _sync_when_mounted;
	guint* _last_sync_time;
	gboolean* _sync_music;
	gboolean* _sync_all_music;
};

struct _NoiseDevicePreferencesClass {
	GObjectClass parent_class;
};

struct _NoiseDevicePreferencesPrivate {
	gchar* id;
	GdaConnection* connection;
};


static gpointer noise_device_preferences_parent_class = NULL;

GType noise_device_preferences_get_type (void) G_GNUC_CONST;
#define NOISE_DEVICE_PREFERENCES_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NOISE_TYPE_DEVICE_PREFERENCES, NoiseDevicePreferencesPrivate))
enum  {
	NOISE_DEVICE_PREFERENCES_DUMMY_PROPERTY,
	NOISE_DEVICE_PREFERENCES_SYNC_WHEN_MOUNTED,
	NOISE_DEVICE_PREFERENCES_LAST_SYNC_TIME,
	NOISE_DEVICE_PREFERENCES_SYNC_MUSIC,
	NOISE_DEVICE_PREFERENCES_SYNC_ALL_MUSIC,
	NOISE_DEVICE_PREFERENCES_MUSIC_PLAYLIST
};
NoiseDevicePreferences* noise_device_preferences_new (NoiseDevice* device, GdaConnection* connection);
NoiseDevicePreferences* noise_device_preferences_construct (GType object_type, NoiseDevice* device, GdaConnection* connection);
static GValue* noise_device_preferences_query_field (NoiseDevicePreferences* self, const gchar* field);
static void _vala_GValue_free (GValue* self);
#define NOISE_DATABASE_DEVICES_TABLE_NAME "devices"
static guint noise_device_preferences_common_uint_getter (NoiseDevicePreferences* self, const gchar* field, guint** temp);
static guint* _uint_dup (guint* self);
static void noise_device_preferences_common_uint_setter (NoiseDevicePreferences* self, const gchar* field, guint value, guint** temp);
static void noise_device_preferences_set_field (NoiseDevicePreferences* self, const gchar* field, GValue* value);
static gboolean noise_device_preferences_common_bool_getter (NoiseDevicePreferences* self, const gchar* field, gboolean** temp);
static gboolean* _bool_dup (gboolean* self);
static void noise_device_preferences_common_bool_setter (NoiseDevicePreferences* self, const gchar* field, gboolean value, gboolean** temp);
static GValue* _g_value_dup (GValue* self);
static void __vala_GValue_free0_ (gpointer var);
static void _g_slist_free___vala_GValue_free0_ (GSList* self);
static void _g_free0_ (gpointer var);
static void _g_slist_free__g_free0_ (GSList* self);
gboolean noise_device_preferences_get_sync_when_mounted (NoiseDevicePreferences* self);
void noise_device_preferences_set_sync_when_mounted (NoiseDevicePreferences* self, gboolean value);
guint noise_device_preferences_get_last_sync_time (NoiseDevicePreferences* self);
void noise_device_preferences_set_last_sync_time (NoiseDevicePreferences* self, guint value);
gboolean noise_device_preferences_get_sync_music (NoiseDevicePreferences* self);
void noise_device_preferences_set_sync_music (NoiseDevicePreferences* self, gboolean value);
gboolean noise_device_preferences_get_sync_all_music (NoiseDevicePreferences* self);
void noise_device_preferences_set_sync_all_music (NoiseDevicePreferences* self, gboolean value);
NoisePlaylist* noise_device_preferences_get_music_playlist (NoiseDevicePreferences* self);
void noise_device_preferences_set_music_playlist (NoiseDevicePreferences* self, NoisePlaylist* value);
static void noise_device_preferences_finalize (GObject* obj);
static void _vala_noise_device_preferences_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_noise_device_preferences_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);


static gpointer _g_object_ref0 (gpointer self) {
#line 113 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	return self ? g_object_ref (self) : NULL;
#line 126 "DevicePreferences.c"
}


static void _vala_GValue_free (GValue* self) {
#line 114 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	g_value_unset (self);
#line 114 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	g_free (self);
#line 135 "DevicePreferences.c"
}


NoiseDevicePreferences* noise_device_preferences_construct (GType object_type, NoiseDevice* device, GdaConnection* connection) {
	NoiseDevicePreferences * self = NULL;
	NoiseDevice* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	GdaConnection* _tmp2_ = NULL;
	GdaConnection* _tmp3_ = NULL;
	GValue* _tmp4_ = NULL;
	GValue* _tmp5_ = NULL;
	gboolean _tmp6_ = FALSE;
	GError * _inner_error_ = NULL;
#line 111 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	g_return_val_if_fail (device != NULL, NULL);
#line 111 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	g_return_val_if_fail (connection != NULL, NULL);
#line 111 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	self = (NoiseDevicePreferences*) g_object_new (object_type, NULL);
#line 112 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_tmp0_ = device;
#line 112 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_tmp1_ = noise_device_get_unique_identifier (_tmp0_);
#line 112 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_g_free0 (self->priv->id);
#line 112 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	self->priv->id = _tmp1_;
#line 113 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_tmp2_ = connection;
#line 113 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_tmp3_ = _g_object_ref0 (_tmp2_);
#line 113 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_g_object_unref0 (self->priv->connection);
#line 113 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	self->priv->connection = _tmp3_;
#line 114 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_tmp4_ = noise_device_preferences_query_field (self, "sync_music");
#line 114 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_tmp5_ = _tmp4_;
#line 114 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_tmp6_ = _tmp5_ == NULL;
#line 114 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	__vala_GValue_free0 (_tmp5_);
#line 114 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	if (_tmp6_) {
#line 181 "DevicePreferences.c"
		{
			GdaSqlBuilder* builder = NULL;
			GdaSqlBuilder* _tmp7_ = NULL;
			GdaSqlBuilder* _tmp8_ = NULL;
			GdaSqlBuilder* _tmp9_ = NULL;
			const gchar* _tmp10_ = NULL;
			GValue* _tmp11_ = NULL;
			GdaStatement* _tmp12_ = NULL;
			GdaSqlBuilder* _tmp13_ = NULL;
			GdaStatement* _tmp14_ = NULL;
			GdaConnection* _tmp15_ = NULL;
#line 116 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
			_tmp7_ = gda_sql_builder_new (GDA_SQL_STATEMENT_INSERT);
#line 116 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
			builder = _tmp7_;
#line 117 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
			_tmp8_ = builder;
#line 117 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
			gda_sql_builder_set_table (_tmp8_, NOISE_DATABASE_DEVICES_TABLE_NAME);
#line 118 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
			_tmp9_ = builder;
#line 118 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
			_tmp10_ = self->priv->id;
#line 118 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
			_tmp11_ = g_new0 (GValue, 1);
#line 118 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
			g_value_init (_tmp11_, G_TYPE_STRING);
#line 118 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
			g_value_set_string (_tmp11_, _tmp10_);
#line 118 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
			gda_sql_builder_add_field_value_as_gvalue (_tmp9_, "unique_id", _tmp11_);
#line 118 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
			__vala_GValue_free0 (_tmp11_);
#line 119 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
			_tmp13_ = builder;
#line 119 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
			_tmp14_ = gda_sql_builder_get_statement (_tmp13_, &_inner_error_);
#line 119 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
			_tmp12_ = _tmp14_;
#line 119 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 119 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
				_g_object_unref0 (builder);
#line 225 "DevicePreferences.c"
				goto __catch65_g_error;
			}
#line 119 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
			_tmp15_ = connection;
#line 119 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
			gda_connection_statement_execute_non_select (_tmp15_, _tmp12_, NULL, NULL, &_inner_error_);
#line 119 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 119 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
				_g_object_unref0 (_tmp12_);
#line 119 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
				_g_object_unref0 (builder);
#line 238 "DevicePreferences.c"
				goto __catch65_g_error;
			}
#line 115 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
			_g_object_unref0 (_tmp12_);
#line 115 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
			_g_object_unref0 (builder);
#line 245 "DevicePreferences.c"
		}
		goto __finally65;
		__catch65_g_error:
		{
			GError* e = NULL;
			GError* _tmp16_ = NULL;
			const gchar* _tmp17_ = NULL;
#line 115 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
			e = _inner_error_;
#line 115 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
			_inner_error_ = NULL;
#line 121 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
			_tmp16_ = e;
#line 121 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
			_tmp17_ = _tmp16_->message;
#line 121 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
			g_warning ("DevicePreferences.vala:121: Could not save media: %s", _tmp17_);
#line 115 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
			_g_error_free0 (e);
#line 265 "DevicePreferences.c"
		}
		__finally65:
#line 115 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 115 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 115 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
			g_clear_error (&_inner_error_);
#line 115 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
			return NULL;
#line 276 "DevicePreferences.c"
		}
	}
#line 111 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	return self;
#line 281 "DevicePreferences.c"
}


NoiseDevicePreferences* noise_device_preferences_new (NoiseDevice* device, GdaConnection* connection) {
#line 111 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	return noise_device_preferences_construct (NOISE_TYPE_DEVICE_PREFERENCES, device, connection);
#line 288 "DevicePreferences.c"
}


static guint* _uint_dup (guint* self) {
	guint* dup;
#line 132 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	dup = g_new0 (guint, 1);
#line 132 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	memcpy (dup, self, sizeof (guint));
#line 132 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	return dup;
#line 300 "DevicePreferences.c"
}


static gpointer __uint_dup0 (gpointer self) {
#line 132 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	return self ? _uint_dup (self) : NULL;
#line 307 "DevicePreferences.c"
}


static guint noise_device_preferences_common_uint_getter (NoiseDevicePreferences* self, const gchar* field, guint** temp) {
	guint result = 0U;
	guint* _tmp0_ = NULL;
	GValue* _result_ = NULL;
	const gchar* _tmp2_ = NULL;
	GValue* _tmp3_ = NULL;
	GValue* _tmp4_ = NULL;
	GType _tmp5_ = 0UL;
	GValue* _tmp9_ = NULL;
	gint _tmp10_ = 0;
	guint _tmp11_ = 0U;
	guint* _tmp12_ = NULL;
	guint* _tmp13_ = NULL;
#line 126 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	g_return_val_if_fail (self != NULL, 0U);
#line 126 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	g_return_val_if_fail (field != NULL, 0U);
#line 127 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_tmp0_ = *temp;
#line 127 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	if (_tmp0_ != NULL) {
#line 332 "DevicePreferences.c"
		guint* _tmp1_ = NULL;
#line 128 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp1_ = *temp;
#line 128 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		result = *_tmp1_;
#line 128 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		return result;
#line 340 "DevicePreferences.c"
	}
#line 130 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_tmp2_ = field;
#line 130 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_tmp3_ = noise_device_preferences_query_field (self, _tmp2_);
#line 130 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_result_ = _tmp3_;
#line 131 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_tmp4_ = _result_;
#line 131 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_tmp5_ = G_VALUE_TYPE (_tmp4_);
#line 131 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	if (_tmp5_ == gda_null_get_type ()) {
#line 354 "DevicePreferences.c"
		guint _tmp6_ = 0U;
		guint* _tmp7_ = NULL;
		guint* _tmp8_ = NULL;
#line 132 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp6_ = (guint) 0;
#line 132 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp7_ = __uint_dup0 (&_tmp6_);
#line 132 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_g_free0 (*temp);
#line 132 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		*temp = _tmp7_;
#line 133 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp8_ = *temp;
#line 133 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		result = *_tmp8_;
#line 133 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		__vala_GValue_free0 (_result_);
#line 133 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		return result;
#line 374 "DevicePreferences.c"
	}
#line 136 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_tmp9_ = _result_;
#line 136 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_tmp10_ = g_value_get_int (_tmp9_);
#line 136 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_tmp11_ = (guint) _tmp10_;
#line 136 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_tmp12_ = __uint_dup0 (&_tmp11_);
#line 136 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_g_free0 (*temp);
#line 136 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	*temp = _tmp12_;
#line 137 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_tmp13_ = *temp;
#line 137 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	result = *_tmp13_;
#line 137 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	__vala_GValue_free0 (_result_);
#line 137 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	return result;
#line 396 "DevicePreferences.c"
}


static void noise_device_preferences_common_uint_setter (NoiseDevicePreferences* self, const gchar* field, guint value, guint** temp) {
	guint _tmp0_ = 0U;
	guint* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	guint _tmp3_ = 0U;
	GValue _tmp4_ = {0};
#line 140 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	g_return_if_fail (self != NULL);
#line 140 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	g_return_if_fail (field != NULL);
#line 141 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_tmp0_ = value;
#line 141 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_tmp1_ = __uint_dup0 (&_tmp0_);
#line 141 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_g_free0 (*temp);
#line 141 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	*temp = _tmp1_;
#line 142 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_tmp2_ = field;
#line 142 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_tmp3_ = value;
#line 142 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	g_value_init (&_tmp4_, G_TYPE_UINT);
#line 142 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	g_value_set_uint (&_tmp4_, _tmp3_);
#line 142 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	noise_device_preferences_set_field (self, _tmp2_, &_tmp4_);
#line 142 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	G_IS_VALUE (&_tmp4_) ? (g_value_unset (&_tmp4_), NULL) : NULL;
#line 430 "DevicePreferences.c"
}


static gboolean* _bool_dup (gboolean* self) {
	gboolean* dup;
#line 151 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	dup = g_new0 (gboolean, 1);
#line 151 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	memcpy (dup, self, sizeof (gboolean));
#line 151 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	return dup;
#line 442 "DevicePreferences.c"
}


static gpointer __bool_dup0 (gpointer self) {
#line 151 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	return self ? _bool_dup (self) : NULL;
#line 449 "DevicePreferences.c"
}


static gboolean noise_device_preferences_common_bool_getter (NoiseDevicePreferences* self, const gchar* field, gboolean** temp) {
	gboolean result = FALSE;
	gboolean* _tmp0_ = NULL;
	GValue* _result_ = NULL;
	const gchar* _tmp2_ = NULL;
	GValue* _tmp3_ = NULL;
	GValue* _tmp4_ = NULL;
	GType _tmp5_ = 0UL;
	GValue* _tmp9_ = NULL;
	gint _tmp10_ = 0;
	gboolean _tmp11_ = FALSE;
	gboolean* _tmp12_ = NULL;
	gboolean* _tmp13_ = NULL;
#line 145 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 145 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	g_return_val_if_fail (field != NULL, FALSE);
#line 146 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_tmp0_ = *temp;
#line 146 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	if (_tmp0_ != NULL) {
#line 474 "DevicePreferences.c"
		gboolean* _tmp1_ = NULL;
#line 147 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp1_ = *temp;
#line 147 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		result = *_tmp1_;
#line 147 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		return result;
#line 482 "DevicePreferences.c"
	}
#line 149 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_tmp2_ = field;
#line 149 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_tmp3_ = noise_device_preferences_query_field (self, _tmp2_);
#line 149 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_result_ = _tmp3_;
#line 150 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_tmp4_ = _result_;
#line 150 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_tmp5_ = G_VALUE_TYPE (_tmp4_);
#line 150 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	if (_tmp5_ == gda_null_get_type ()) {
#line 496 "DevicePreferences.c"
		gboolean _tmp6_ = FALSE;
		gboolean* _tmp7_ = NULL;
		gboolean* _tmp8_ = NULL;
#line 151 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp6_ = FALSE;
#line 151 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp7_ = __bool_dup0 (&_tmp6_);
#line 151 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_g_free0 (*temp);
#line 151 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		*temp = _tmp7_;
#line 152 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp8_ = *temp;
#line 152 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		result = *_tmp8_;
#line 152 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		__vala_GValue_free0 (_result_);
#line 152 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		return result;
#line 516 "DevicePreferences.c"
	}
#line 155 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_tmp9_ = _result_;
#line 155 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_tmp10_ = g_value_get_int (_tmp9_);
#line 155 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_tmp11_ = _tmp10_ == 1;
#line 155 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_tmp12_ = __bool_dup0 (&_tmp11_);
#line 155 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_g_free0 (*temp);
#line 155 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	*temp = _tmp12_;
#line 156 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_tmp13_ = *temp;
#line 156 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	result = *_tmp13_;
#line 156 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	__vala_GValue_free0 (_result_);
#line 156 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	return result;
#line 538 "DevicePreferences.c"
}


static void noise_device_preferences_common_bool_setter (NoiseDevicePreferences* self, const gchar* field, gboolean value, gboolean** temp) {
	gboolean _tmp0_ = FALSE;
	gboolean* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	gboolean _tmp3_ = FALSE;
	GValue _tmp4_ = {0};
#line 159 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	g_return_if_fail (self != NULL);
#line 159 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	g_return_if_fail (field != NULL);
#line 160 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_tmp0_ = value;
#line 160 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_tmp1_ = __bool_dup0 (&_tmp0_);
#line 160 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_g_free0 (*temp);
#line 160 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	*temp = _tmp1_;
#line 161 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_tmp2_ = field;
#line 161 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_tmp3_ = value;
#line 161 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	g_value_init (&_tmp4_, G_TYPE_BOOLEAN);
#line 161 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	g_value_set_boolean (&_tmp4_, _tmp3_);
#line 161 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	noise_device_preferences_set_field (self, _tmp2_, &_tmp4_);
#line 161 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	G_IS_VALUE (&_tmp4_) ? (g_value_unset (&_tmp4_), NULL) : NULL;
#line 572 "DevicePreferences.c"
}


static GValue* _g_value_dup (GValue* self) {
#line 174 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	return g_boxed_copy (G_TYPE_VALUE, self);
#line 579 "DevicePreferences.c"
}


static gpointer __g_value_dup0 (gpointer self) {
#line 174 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	return self ? _g_value_dup (self) : NULL;
#line 586 "DevicePreferences.c"
}


static GValue* noise_device_preferences_query_field (NoiseDevicePreferences* self, const gchar* field) {
	GValue* result = NULL;
	GError * _inner_error_ = NULL;
#line 164 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 164 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	g_return_val_if_fail (field != NULL, NULL);
#line 597 "DevicePreferences.c"
	{
		GdaSqlBuilder* sql = NULL;
		GdaSqlBuilder* _tmp0_ = NULL;
		GdaSqlBuilder* _tmp1_ = NULL;
		GdaSqlBuilder* _tmp2_ = NULL;
		GdaSqlBuilder* _tmp3_ = NULL;
		const gchar* _tmp4_ = NULL;
		GdaSqlBuilderId _tmp5_ = 0U;
		GdaSqlBuilderId id_field = 0U;
		GdaSqlBuilder* _tmp6_ = NULL;
		GdaSqlBuilderId _tmp7_ = 0U;
		GdaSqlBuilderId id_param = 0U;
		GdaSqlBuilder* _tmp8_ = NULL;
		const gchar* _tmp9_ = NULL;
		GValue* _tmp10_ = NULL;
		GdaSqlBuilderId _tmp11_ = 0U;
		GdaSqlBuilderId _tmp12_ = 0U;
		GdaSqlBuilderId id_cond = 0U;
		GdaSqlBuilder* _tmp13_ = NULL;
		GdaSqlBuilderId _tmp14_ = 0U;
		GdaSqlBuilderId _tmp15_ = 0U;
		GdaSqlBuilderId _tmp16_ = 0U;
		GdaSqlBuilder* _tmp17_ = NULL;
		GdaSqlBuilderId _tmp18_ = 0U;
		GdaStatement* _tmp19_ = NULL;
		GdaSqlBuilder* _tmp20_ = NULL;
		GdaStatement* _tmp21_ = NULL;
		GdaDataModel* data_model = NULL;
		GdaConnection* _tmp22_ = NULL;
		GdaDataModel* _tmp23_ = NULL;
		GValue* _tmp24_ = NULL;
		GdaDataModel* _tmp25_ = NULL;
		GdaDataModel* _tmp26_ = NULL;
		const gchar* _tmp27_ = NULL;
		gint _tmp28_ = 0;
		GValue* _tmp29_ = NULL;
		GValue* _tmp30_ = NULL;
#line 166 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp0_ = gda_sql_builder_new (GDA_SQL_STATEMENT_SELECT);
#line 166 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		sql = _tmp0_;
#line 167 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp1_ = sql;
#line 167 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		gda_sql_builder_select_add_target (_tmp1_, NOISE_DATABASE_DEVICES_TABLE_NAME, NULL);
#line 168 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp2_ = sql;
#line 168 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp3_ = sql;
#line 168 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp4_ = field;
#line 168 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp5_ = gda_sql_builder_add_id (_tmp3_, _tmp4_);
#line 168 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		gda_sql_builder_add_field_value_id (_tmp2_, _tmp5_, (GdaSqlBuilderId) 0);
#line 169 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp6_ = sql;
#line 169 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp7_ = gda_sql_builder_add_id (_tmp6_, "unique_id");
#line 169 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		id_field = _tmp7_;
#line 170 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp8_ = sql;
#line 170 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp9_ = self->priv->id;
#line 170 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp10_ = g_new0 (GValue, 1);
#line 170 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		g_value_init (_tmp10_, G_TYPE_STRING);
#line 170 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		g_value_set_string (_tmp10_, _tmp9_);
#line 170 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp11_ = gda_sql_builder_add_expr_value (_tmp8_, NULL, _tmp10_);
#line 170 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp12_ = _tmp11_;
#line 170 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		__vala_GValue_free0 (_tmp10_);
#line 170 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		id_param = _tmp12_;
#line 171 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp13_ = sql;
#line 171 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp14_ = id_field;
#line 171 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp15_ = id_param;
#line 171 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp16_ = gda_sql_builder_add_cond (_tmp13_, GDA_SQL_OPERATOR_TYPE_EQ, _tmp14_, _tmp15_, (GdaSqlBuilderId) 0);
#line 171 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		id_cond = _tmp16_;
#line 172 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp17_ = sql;
#line 172 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp18_ = id_cond;
#line 172 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		gda_sql_builder_set_where (_tmp17_, _tmp18_);
#line 173 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp20_ = sql;
#line 173 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp21_ = gda_sql_builder_get_statement (_tmp20_, &_inner_error_);
#line 173 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp19_ = _tmp21_;
#line 173 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 173 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
			_g_object_unref0 (sql);
#line 703 "DevicePreferences.c"
			goto __catch66_g_error;
		}
#line 173 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp22_ = self->priv->connection;
#line 173 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp23_ = gda_connection_statement_execute_select (_tmp22_, _tmp19_, NULL, &_inner_error_);
#line 173 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		data_model = _tmp23_;
#line 173 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 173 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
			_g_object_unref0 (_tmp19_);
#line 173 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
			_g_object_unref0 (sql);
#line 718 "DevicePreferences.c"
			goto __catch66_g_error;
		}
#line 174 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp25_ = data_model;
#line 174 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp26_ = data_model;
#line 174 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp27_ = field;
#line 174 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp28_ = gda_data_model_get_column_index (_tmp26_, _tmp27_);
#line 174 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp29_ = gda_data_model_get_value_at (_tmp25_, _tmp28_, 0, &_inner_error_);
#line 174 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp24_ = _tmp29_;
#line 174 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 174 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
			_g_object_unref0 (data_model);
#line 174 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
			_g_object_unref0 (_tmp19_);
#line 174 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
			_g_object_unref0 (sql);
#line 741 "DevicePreferences.c"
			goto __catch66_g_error;
		}
#line 174 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp30_ = __g_value_dup0 (_tmp24_);
#line 174 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		result = _tmp30_;
#line 174 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_g_object_unref0 (data_model);
#line 174 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_g_object_unref0 (_tmp19_);
#line 174 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_g_object_unref0 (sql);
#line 174 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		return result;
#line 756 "DevicePreferences.c"
	}
	goto __finally66;
	__catch66_g_error:
	{
		GError* e = NULL;
		const gchar* _tmp31_ = NULL;
		GError* _tmp32_ = NULL;
		const gchar* _tmp33_ = NULL;
#line 165 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		e = _inner_error_;
#line 165 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_inner_error_ = NULL;
#line 176 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp31_ = field;
#line 176 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp32_ = e;
#line 176 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp33_ = _tmp32_->message;
#line 176 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		g_critical ("DevicePreferences.vala:176: Could not query field %s: %s", _tmp31_, _tmp33_);
#line 177 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		result = NULL;
#line 177 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_g_error_free0 (e);
#line 177 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		return result;
#line 783 "DevicePreferences.c"
	}
	__finally66:
#line 165 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 165 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	g_clear_error (&_inner_error_);
#line 165 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	return NULL;
#line 792 "DevicePreferences.c"
}


static void __vala_GValue_free0_ (gpointer var) {
#line 187 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	(var == NULL) ? NULL : (var = (_vala_GValue_free (var), NULL));
#line 799 "DevicePreferences.c"
}


static void _g_slist_free___vala_GValue_free0_ (GSList* self) {
#line 187 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	g_slist_foreach (self, (GFunc) __vala_GValue_free0_, NULL);
#line 187 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	g_slist_free (self);
#line 808 "DevicePreferences.c"
}


static void _g_free0_ (gpointer var) {
#line 187 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	var = (g_free (var), NULL);
#line 815 "DevicePreferences.c"
}


static void _g_slist_free__g_free0_ (GSList* self) {
#line 187 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	g_slist_foreach (self, (GFunc) _g_free0_, NULL);
#line 187 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	g_slist_free (self);
#line 824 "DevicePreferences.c"
}


static void noise_device_preferences_set_field (NoiseDevicePreferences* self, const gchar* field, GValue* value) {
	GError * _inner_error_ = NULL;
#line 181 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	g_return_if_fail (self != NULL);
#line 181 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	g_return_if_fail (field != NULL);
#line 181 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	g_return_if_fail (value != NULL);
#line 836 "DevicePreferences.c"
	{
		GSList* col_names = NULL;
		const gchar* _tmp0_ = NULL;
		gchar* _tmp1_ = NULL;
		GSList* values = NULL;
		GValue _tmp2_ = {0};
		GValue _tmp3_ = {0};
		GValue* _tmp4_ = NULL;
		GdaConnection* _tmp5_ = NULL;
		const gchar* _tmp6_ = NULL;
		GValue _tmp7_ = {0};
#line 183 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		col_names = NULL;
#line 184 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp0_ = field;
#line 184 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp1_ = g_strdup (_tmp0_);
#line 184 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		col_names = g_slist_append (col_names, _tmp1_);
#line 185 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		values = NULL;
#line 186 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp2_ = *value;
#line 186 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp3_ = _tmp2_;
#line 186 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp4_ = __g_value_dup0 (&_tmp3_);
#line 186 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		values = g_slist_append (values, _tmp4_);
#line 187 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp5_ = self->priv->connection;
#line 187 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp6_ = self->priv->id;
#line 187 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		g_value_init (&_tmp7_, G_TYPE_STRING);
#line 187 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		g_value_set_string (&_tmp7_, _tmp6_);
#line 187 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		gda_connection_update_row_in_table_v (_tmp5_, NOISE_DATABASE_DEVICES_TABLE_NAME, "unique_id", &_tmp7_, col_names, values, &_inner_error_);
#line 187 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		G_IS_VALUE (&_tmp7_) ? (g_value_unset (&_tmp7_), NULL) : NULL;
#line 187 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 187 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
			__g_slist_free___vala_GValue_free0_0 (values);
#line 187 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
			__g_slist_free__g_free0_0 (col_names);
#line 884 "DevicePreferences.c"
			goto __catch67_g_error;
		}
#line 182 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		__g_slist_free___vala_GValue_free0_0 (values);
#line 182 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		__g_slist_free__g_free0_0 (col_names);
#line 891 "DevicePreferences.c"
	}
	goto __finally67;
	__catch67_g_error:
	{
		GError* e = NULL;
		const gchar* _tmp8_ = NULL;
		GError* _tmp9_ = NULL;
		const gchar* _tmp10_ = NULL;
#line 182 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		e = _inner_error_;
#line 182 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_inner_error_ = NULL;
#line 189 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp8_ = field;
#line 189 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp9_ = e;
#line 189 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp10_ = _tmp9_->message;
#line 189 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		g_critical ("DevicePreferences.vala:189: Could not set field %s: %s", _tmp8_, _tmp10_);
#line 182 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_g_error_free0 (e);
#line 914 "DevicePreferences.c"
	}
	__finally67:
#line 182 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 182 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 182 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		g_clear_error (&_inner_error_);
#line 182 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		return;
#line 925 "DevicePreferences.c"
	}
}


gboolean noise_device_preferences_get_sync_when_mounted (NoiseDevicePreferences* self) {
	gboolean result;
	gboolean* _tmp0_ = NULL;
#line 35 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 36 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	noise_device_preferences_common_bool_getter (self, "sync_when_mounted", &self->_sync_when_mounted);
#line 37 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_tmp0_ = self->_sync_when_mounted;
#line 37 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	result = *_tmp0_;
#line 37 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	return result;
#line 943 "DevicePreferences.c"
}


void noise_device_preferences_set_sync_when_mounted (NoiseDevicePreferences* self, gboolean value) {
	gboolean _tmp0_ = FALSE;
#line 39 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	g_return_if_fail (self != NULL);
#line 40 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_tmp0_ = value;
#line 40 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	noise_device_preferences_common_bool_setter (self, "sync_when_mounted", _tmp0_, &self->_sync_when_mounted);
#line 39 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	g_object_notify ((GObject *) self, "sync-when-mounted");
#line 957 "DevicePreferences.c"
}


guint noise_device_preferences_get_last_sync_time (NoiseDevicePreferences* self) {
	guint result;
	guint* _tmp0_ = NULL;
#line 46 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	g_return_val_if_fail (self != NULL, 0U);
#line 47 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	noise_device_preferences_common_uint_getter (self, "last_sync_time", &self->_last_sync_time);
#line 48 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_tmp0_ = self->_last_sync_time;
#line 48 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	result = *_tmp0_;
#line 48 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	return result;
#line 974 "DevicePreferences.c"
}


void noise_device_preferences_set_last_sync_time (NoiseDevicePreferences* self, guint value) {
	guint _tmp0_ = 0U;
#line 50 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	g_return_if_fail (self != NULL);
#line 51 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_tmp0_ = value;
#line 51 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	noise_device_preferences_common_uint_setter (self, "last_sync_time", _tmp0_, &self->_last_sync_time);
#line 50 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	g_object_notify ((GObject *) self, "last-sync-time");
#line 988 "DevicePreferences.c"
}


gboolean noise_device_preferences_get_sync_music (NoiseDevicePreferences* self) {
	gboolean result;
	gboolean* _tmp0_ = NULL;
#line 57 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 58 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	noise_device_preferences_common_bool_getter (self, "sync_music", &self->_sync_music);
#line 59 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_tmp0_ = self->_sync_music;
#line 59 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	result = *_tmp0_;
#line 59 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	return result;
#line 1005 "DevicePreferences.c"
}


void noise_device_preferences_set_sync_music (NoiseDevicePreferences* self, gboolean value) {
	gboolean _tmp0_ = FALSE;
#line 61 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	g_return_if_fail (self != NULL);
#line 62 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_tmp0_ = value;
#line 62 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	noise_device_preferences_common_bool_setter (self, "sync_music", _tmp0_, &self->_sync_music);
#line 61 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	g_object_notify ((GObject *) self, "sync-music");
#line 1019 "DevicePreferences.c"
}


gboolean noise_device_preferences_get_sync_all_music (NoiseDevicePreferences* self) {
	gboolean result;
	gboolean* _tmp0_ = NULL;
#line 68 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 69 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	noise_device_preferences_common_bool_getter (self, "sync_all_music", &self->_sync_all_music);
#line 70 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_tmp0_ = self->_sync_all_music;
#line 70 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	result = *_tmp0_;
#line 70 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	return result;
#line 1036 "DevicePreferences.c"
}


void noise_device_preferences_set_sync_all_music (NoiseDevicePreferences* self, gboolean value) {
	gboolean _tmp0_ = FALSE;
#line 72 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	g_return_if_fail (self != NULL);
#line 73 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_tmp0_ = value;
#line 73 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	noise_device_preferences_common_bool_setter (self, "sync_all_music", _tmp0_, &self->_sync_all_music);
#line 72 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	g_object_notify ((GObject *) self, "sync-all-music");
#line 1050 "DevicePreferences.c"
}


static gboolean string_contains (const gchar* self, const gchar* needle) {
	gboolean result = FALSE;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
#line 1384 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, FALSE);
#line 1384 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (needle != NULL, FALSE);
#line 1385 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp0_ = needle;
#line 1385 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp1_ = strstr ((gchar*) self, (gchar*) _tmp0_);
#line 1385 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	result = _tmp1_ != NULL;
#line 1385 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	return result;
#line 1070 "DevicePreferences.c"
}


static gchar* string_replace (const gchar* self, const gchar* old, const gchar* replacement) {
	gchar* result = NULL;
	GError * _inner_error_ = NULL;
#line 1388 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1388 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (old != NULL, NULL);
#line 1388 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (replacement != NULL, NULL);
#line 1083 "DevicePreferences.c"
	{
		GRegex* regex = NULL;
		const gchar* _tmp0_ = NULL;
		gchar* _tmp1_ = NULL;
		gchar* _tmp2_ = NULL;
		GRegex* _tmp3_ = NULL;
		GRegex* _tmp4_ = NULL;
		gchar* _tmp5_ = NULL;
		GRegex* _tmp6_ = NULL;
		const gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
		gchar* _tmp9_ = NULL;
#line 1390 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp0_ = old;
#line 1390 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp1_ = g_regex_escape_string (_tmp0_, -1);
#line 1390 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp2_ = _tmp1_;
#line 1390 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp3_ = g_regex_new (_tmp2_, 0, 0, &_inner_error_);
#line 1390 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp4_ = _tmp3_;
#line 1390 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_g_free0 (_tmp2_);
#line 1390 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		regex = _tmp4_;
#line 1390 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1390 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 1114 "DevicePreferences.c"
				goto __catch68_g_regex_error;
			}
#line 1390 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1390 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error_);
#line 1390 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			return NULL;
#line 1123 "DevicePreferences.c"
		}
#line 1391 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp6_ = regex;
#line 1391 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp7_ = replacement;
#line 1391 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp8_ = g_regex_replace_literal (_tmp6_, self, (gssize) -1, 0, _tmp7_, 0, &_inner_error_);
#line 1391 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp5_ = _tmp8_;
#line 1391 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1391 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1391 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 1139 "DevicePreferences.c"
				goto __catch68_g_regex_error;
			}
#line 1391 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1391 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1391 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error_);
#line 1391 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			return NULL;
#line 1150 "DevicePreferences.c"
		}
#line 1391 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp9_ = _tmp5_;
#line 1391 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp5_ = NULL;
#line 1391 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		result = _tmp9_;
#line 1391 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_g_free0 (_tmp5_);
#line 1391 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_g_regex_unref0 (regex);
#line 1391 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		return result;
#line 1164 "DevicePreferences.c"
	}
	goto __finally68;
	__catch68_g_regex_error:
	{
		GError* e = NULL;
#line 1389 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		e = _inner_error_;
#line 1389 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_inner_error_ = NULL;
#line 1393 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		g_assert_not_reached ();
#line 1389 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_g_error_free0 (e);
#line 1178 "DevicePreferences.c"
	}
	__finally68:
#line 1389 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1389 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1389 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		g_clear_error (&_inner_error_);
#line 1389 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		return NULL;
#line 1189 "DevicePreferences.c"
	}
}


static gint64 int64_parse (const gchar* str) {
	gint64 result = 0LL;
	const gchar* _tmp0_ = NULL;
	gint64 _tmp1_ = 0LL;
#line 687 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (str != NULL, 0LL);
#line 688 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp0_ = str;
#line 688 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp1_ = g_ascii_strtoll (_tmp0_, NULL, (guint) 0);
#line 688 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	result = _tmp1_;
#line 688 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	return result;
#line 1208 "DevicePreferences.c"
}


NoisePlaylist* noise_device_preferences_get_music_playlist (NoiseDevicePreferences* self) {
	NoisePlaylist* result;
	GValue* _result_ = NULL;
	GValue* _tmp0_ = NULL;
	GValue* _tmp1_ = NULL;
	GType _tmp2_ = 0UL;
	gchar* playlist_string = NULL;
	GValue* _tmp3_ = NULL;
	const gchar* _tmp4_ = NULL;
	gchar* _tmp5_ = NULL;
	gboolean _tmp6_ = FALSE;
	const gchar* _tmp7_ = NULL;
	const gchar* _tmp9_ = NULL;
	gboolean _tmp10_ = FALSE;
#line 78 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 79 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_tmp0_ = noise_device_preferences_query_field (self, "music_playlist");
#line 79 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_result_ = _tmp0_;
#line 80 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_tmp1_ = _result_;
#line 80 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_tmp2_ = G_VALUE_TYPE (_tmp1_);
#line 80 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	if (_tmp2_ == gda_null_get_type ()) {
#line 81 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		result = NULL;
#line 81 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		__vala_GValue_free0 (_result_);
#line 81 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		return result;
#line 1244 "DevicePreferences.c"
	}
#line 84 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_tmp3_ = _result_;
#line 84 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_tmp4_ = g_value_get_string (_tmp3_);
#line 84 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_tmp5_ = g_strdup (_tmp4_);
#line 84 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	playlist_string = _tmp5_;
#line 85 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_tmp7_ = playlist_string;
#line 85 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	if (g_strcmp0 (_tmp7_, "") == 0) {
#line 85 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp6_ = TRUE;
#line 1260 "DevicePreferences.c"
	} else {
		const gchar* _tmp8_ = NULL;
#line 85 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp8_ = playlist_string;
#line 85 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp6_ = _tmp8_ == NULL;
#line 1267 "DevicePreferences.c"
	}
#line 85 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	if (_tmp6_) {
#line 86 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		result = NULL;
#line 86 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_g_free0 (playlist_string);
#line 86 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		__vala_GValue_free0 (_result_);
#line 86 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		return result;
#line 1279 "DevicePreferences.c"
	}
#line 87 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_tmp9_ = playlist_string;
#line 87 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_tmp10_ = string_contains (_tmp9_, "p");
#line 87 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	if (_tmp10_) {
#line 1287 "DevicePreferences.c"
		const gchar* _tmp11_ = NULL;
		gchar* _tmp12_ = NULL;
		NoiseLibrariesManager* _tmp13_ = NULL;
		NoiseLibrary* _tmp14_ = NULL;
		const gchar* _tmp15_ = NULL;
		gint64 _tmp16_ = 0LL;
		NoiseStaticPlaylist* _tmp17_ = NULL;
#line 88 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp11_ = playlist_string;
#line 88 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp12_ = string_replace (_tmp11_, "p", "");
#line 88 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_g_free0 (playlist_string);
#line 88 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		playlist_string = _tmp12_;
#line 89 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp13_ = noise_libraries_manager;
#line 89 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp14_ = _tmp13_->local_library;
#line 89 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp15_ = playlist_string;
#line 89 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp16_ = int64_parse (_tmp15_);
#line 89 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp17_ = noise_library_playlist_from_id (_tmp14_, _tmp16_);
#line 89 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		result = (NoisePlaylist*) _tmp17_;
#line 89 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_g_free0 (playlist_string);
#line 89 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		__vala_GValue_free0 (_result_);
#line 89 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		return result;
#line 1321 "DevicePreferences.c"
	} else {
		const gchar* _tmp18_ = NULL;
		gchar* _tmp19_ = NULL;
		NoiseLibrariesManager* _tmp20_ = NULL;
		NoiseLibrary* _tmp21_ = NULL;
		const gchar* _tmp22_ = NULL;
		gint64 _tmp23_ = 0LL;
		NoiseSmartPlaylist* _tmp24_ = NULL;
#line 91 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp18_ = playlist_string;
#line 91 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp19_ = string_replace (_tmp18_, "s", "");
#line 91 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_g_free0 (playlist_string);
#line 91 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		playlist_string = _tmp19_;
#line 92 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp20_ = noise_libraries_manager;
#line 92 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp21_ = _tmp20_->local_library;
#line 92 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp22_ = playlist_string;
#line 92 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp23_ = int64_parse (_tmp22_);
#line 92 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp24_ = noise_library_smart_playlist_from_id (_tmp21_, _tmp23_);
#line 92 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		result = (NoisePlaylist*) _tmp24_;
#line 92 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_g_free0 (playlist_string);
#line 92 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		__vala_GValue_free0 (_result_);
#line 92 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		return result;
#line 1356 "DevicePreferences.c"
	}
#line 78 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_g_free0 (playlist_string);
#line 78 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	__vala_GValue_free0 (_result_);
#line 1362 "DevicePreferences.c"
}


void noise_device_preferences_set_music_playlist (NoiseDevicePreferences* self, NoisePlaylist* value) {
	gchar* playlist_string = NULL;
	gchar* _tmp0_ = NULL;
	NoisePlaylist* _tmp1_ = NULL;
	const gchar* _tmp11_ = NULL;
	GValue _tmp12_ = {0};
#line 95 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	g_return_if_fail (self != NULL);
#line 96 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_tmp0_ = g_strdup ("");
#line 96 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	playlist_string = _tmp0_;
#line 97 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_tmp1_ = value;
#line 97 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	if (_tmp1_ != NULL) {
#line 1382 "DevicePreferences.c"
		NoisePlaylist* _tmp2_ = NULL;
#line 98 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		_tmp2_ = value;
#line 98 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		if (G_TYPE_CHECK_INSTANCE_TYPE (_tmp2_, NOISE_TYPE_STATIC_PLAYLIST)) {
#line 1388 "DevicePreferences.c"
			NoisePlaylist* _tmp3_ = NULL;
			gint64 _tmp4_ = 0LL;
			gint64 _tmp5_ = 0LL;
			gchar* _tmp6_ = NULL;
#line 99 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
			_tmp3_ = value;
#line 99 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
			_tmp4_ = noise_playlist_get_rowid (_tmp3_);
#line 99 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
			_tmp5_ = _tmp4_;
#line 99 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
			_tmp6_ = g_strdup_printf ("p%lld", _tmp5_);
#line 99 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
			_g_free0 (playlist_string);
#line 99 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
			playlist_string = _tmp6_;
#line 1405 "DevicePreferences.c"
		} else {
			NoisePlaylist* _tmp7_ = NULL;
			gint64 _tmp8_ = 0LL;
			gint64 _tmp9_ = 0LL;
			gchar* _tmp10_ = NULL;
#line 101 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
			_tmp7_ = value;
#line 101 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
			_tmp8_ = noise_playlist_get_rowid (_tmp7_);
#line 101 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
			_tmp9_ = _tmp8_;
#line 101 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
			_tmp10_ = g_strdup_printf ("s%lld", _tmp9_);
#line 101 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
			_g_free0 (playlist_string);
#line 101 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
			playlist_string = _tmp10_;
#line 1423 "DevicePreferences.c"
		}
	}
#line 105 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_tmp11_ = playlist_string;
#line 105 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	g_value_init (&_tmp12_, G_TYPE_STRING);
#line 105 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	g_value_set_string (&_tmp12_, _tmp11_);
#line 105 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	noise_device_preferences_set_field (self, "music_playlist", &_tmp12_);
#line 105 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	G_IS_VALUE (&_tmp12_) ? (g_value_unset (&_tmp12_), NULL) : NULL;
#line 95 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_g_free0 (playlist_string);
#line 95 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	g_object_notify ((GObject *) self, "music-playlist");
#line 1440 "DevicePreferences.c"
}


static void noise_device_preferences_class_init (NoiseDevicePreferencesClass * klass) {
#line 30 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	noise_device_preferences_parent_class = g_type_class_peek_parent (klass);
#line 30 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	g_type_class_add_private (klass, sizeof (NoiseDevicePreferencesPrivate));
#line 30 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_noise_device_preferences_get_property;
#line 30 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_noise_device_preferences_set_property;
#line 30 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	G_OBJECT_CLASS (klass)->finalize = noise_device_preferences_finalize;
#line 30 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_DEVICE_PREFERENCES_SYNC_WHEN_MOUNTED, g_param_spec_boolean ("sync-when-mounted", "sync-when-mounted", "sync-when-mounted", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 30 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_DEVICE_PREFERENCES_LAST_SYNC_TIME, g_param_spec_uint ("last-sync-time", "last-sync-time", "last-sync-time", 0, G_MAXUINT, 0U, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 30 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_DEVICE_PREFERENCES_SYNC_MUSIC, g_param_spec_boolean ("sync-music", "sync-music", "sync-music", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 30 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_DEVICE_PREFERENCES_SYNC_ALL_MUSIC, g_param_spec_boolean ("sync-all-music", "sync-all-music", "sync-all-music", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 30 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_DEVICE_PREFERENCES_MUSIC_PLAYLIST, g_param_spec_object ("music-playlist", "music-playlist", "music-playlist", NOISE_TYPE_PLAYLIST, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 1465 "DevicePreferences.c"
}


static void noise_device_preferences_instance_init (NoiseDevicePreferences * self) {
#line 30 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	self->priv = NOISE_DEVICE_PREFERENCES_GET_PRIVATE (self);
#line 33 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	self->_sync_when_mounted = NULL;
#line 44 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	self->_last_sync_time = NULL;
#line 55 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	self->_sync_music = NULL;
#line 66 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	self->_sync_all_music = NULL;
#line 1480 "DevicePreferences.c"
}


static void noise_device_preferences_finalize (GObject* obj) {
	NoiseDevicePreferences * self;
#line 30 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NOISE_TYPE_DEVICE_PREFERENCES, NoiseDevicePreferences);
#line 31 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_g_free0 (self->priv->id);
#line 33 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_g_free0 (self->_sync_when_mounted);
#line 44 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_g_free0 (self->_last_sync_time);
#line 55 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_g_free0 (self->_sync_music);
#line 66 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_g_free0 (self->_sync_all_music);
#line 109 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	_g_object_unref0 (self->priv->connection);
#line 30 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	G_OBJECT_CLASS (noise_device_preferences_parent_class)->finalize (obj);
#line 1502 "DevicePreferences.c"
}


GType noise_device_preferences_get_type (void) {
	static volatile gsize noise_device_preferences_type_id__volatile = 0;
	if (g_once_init_enter (&noise_device_preferences_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NoiseDevicePreferencesClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) noise_device_preferences_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NoiseDevicePreferences), 0, (GInstanceInitFunc) noise_device_preferences_instance_init, NULL };
		GType noise_device_preferences_type_id;
		noise_device_preferences_type_id = g_type_register_static (G_TYPE_OBJECT, "NoiseDevicePreferences", &g_define_type_info, 0);
		g_once_init_leave (&noise_device_preferences_type_id__volatile, noise_device_preferences_type_id);
	}
	return noise_device_preferences_type_id__volatile;
}


static void _vala_noise_device_preferences_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	NoiseDevicePreferences * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NOISE_TYPE_DEVICE_PREFERENCES, NoiseDevicePreferences);
#line 30 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	switch (property_id) {
#line 30 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		case NOISE_DEVICE_PREFERENCES_SYNC_WHEN_MOUNTED:
#line 30 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		g_value_set_boolean (value, noise_device_preferences_get_sync_when_mounted (self));
#line 30 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		break;
#line 30 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		case NOISE_DEVICE_PREFERENCES_LAST_SYNC_TIME:
#line 30 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		g_value_set_uint (value, noise_device_preferences_get_last_sync_time (self));
#line 30 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		break;
#line 30 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		case NOISE_DEVICE_PREFERENCES_SYNC_MUSIC:
#line 30 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		g_value_set_boolean (value, noise_device_preferences_get_sync_music (self));
#line 30 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		break;
#line 30 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		case NOISE_DEVICE_PREFERENCES_SYNC_ALL_MUSIC:
#line 30 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		g_value_set_boolean (value, noise_device_preferences_get_sync_all_music (self));
#line 30 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		break;
#line 30 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		case NOISE_DEVICE_PREFERENCES_MUSIC_PLAYLIST:
#line 30 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		g_value_take_object (value, noise_device_preferences_get_music_playlist (self));
#line 30 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		break;
#line 1553 "DevicePreferences.c"
		default:
#line 30 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 30 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		break;
#line 1559 "DevicePreferences.c"
	}
}


static void _vala_noise_device_preferences_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	NoiseDevicePreferences * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NOISE_TYPE_DEVICE_PREFERENCES, NoiseDevicePreferences);
#line 30 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
	switch (property_id) {
#line 30 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		case NOISE_DEVICE_PREFERENCES_SYNC_WHEN_MOUNTED:
#line 30 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		noise_device_preferences_set_sync_when_mounted (self, g_value_get_boolean (value));
#line 30 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		break;
#line 30 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		case NOISE_DEVICE_PREFERENCES_LAST_SYNC_TIME:
#line 30 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		noise_device_preferences_set_last_sync_time (self, g_value_get_uint (value));
#line 30 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		break;
#line 30 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		case NOISE_DEVICE_PREFERENCES_SYNC_MUSIC:
#line 30 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		noise_device_preferences_set_sync_music (self, g_value_get_boolean (value));
#line 30 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		break;
#line 30 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		case NOISE_DEVICE_PREFERENCES_SYNC_ALL_MUSIC:
#line 30 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		noise_device_preferences_set_sync_all_music (self, g_value_get_boolean (value));
#line 30 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		break;
#line 30 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		case NOISE_DEVICE_PREFERENCES_MUSIC_PLAYLIST:
#line 30 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		noise_device_preferences_set_music_playlist (self, g_value_get_object (value));
#line 30 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		break;
#line 1599 "DevicePreferences.c"
		default:
#line 30 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 30 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/DevicePreferences.vala"
		break;
#line 1605 "DevicePreferences.c"
	}
}



