/* LocalSmartPlaylist.c generated by valac 0.34.9, the Vala compiler
 * generated from LocalSmartPlaylist.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2012-2017 elementary LLC. (https://elementary.io)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Noise authors hereby grant permission for non-GPL compatible
 * GStreamer plugins to be used and distributed together with GStreamer
 * and Noise. This permission is above and beyond the permissions granted
 * by the GPL license by which Noise is covered. If you modify this code
 * you may extend this exception to your version of the code, but you are not
 * obligated to do so. If you do not wish to do so, delete this exception
 * statement from your version.
 *
 * Authored by: Corentin Noël <corentin@elementary.io>
 */

#include <glib.h>
#include <glib-object.h>
#include <noise-core.h>
#include <libgda/libgda.h>
#include <stdlib.h>
#include <string.h>
#include <gee.h>
#include <glib/gi18n-lib.h>


#define NOISE_TYPE_LOCAL_SMART_PLAYLIST (noise_local_smart_playlist_get_type ())
#define NOISE_LOCAL_SMART_PLAYLIST(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_LOCAL_SMART_PLAYLIST, NoiseLocalSmartPlaylist))
#define NOISE_LOCAL_SMART_PLAYLIST_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_LOCAL_SMART_PLAYLIST, NoiseLocalSmartPlaylistClass))
#define NOISE_IS_LOCAL_SMART_PLAYLIST(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_LOCAL_SMART_PLAYLIST))
#define NOISE_IS_LOCAL_SMART_PLAYLIST_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_LOCAL_SMART_PLAYLIST))
#define NOISE_LOCAL_SMART_PLAYLIST_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_LOCAL_SMART_PLAYLIST, NoiseLocalSmartPlaylistClass))

typedef struct _NoiseLocalSmartPlaylist NoiseLocalSmartPlaylist;
typedef struct _NoiseLocalSmartPlaylistClass NoiseLocalSmartPlaylistClass;
typedef struct _NoiseLocalSmartPlaylistPrivate NoiseLocalSmartPlaylistPrivate;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define __vala_GValue_free0(var) ((var == NULL) ? NULL : (var = (_vala_GValue_free (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
#define _g_string_free0(var) ((var == NULL) ? NULL : (var = (g_string_free (var, TRUE), NULL)))
#define __g_slist_free___vala_GValue_free0_0(var) ((var == NULL) ? NULL : (var = (_g_slist_free___vala_GValue_free0_ (var), NULL)))
#define __g_slist_free__g_free0_0(var) ((var == NULL) ? NULL : (var = (_g_slist_free__g_free0_ (var), NULL)))

struct _NoiseLocalSmartPlaylist {
	NoiseSmartPlaylist parent_instance;
	NoiseLocalSmartPlaylistPrivate * priv;
};

struct _NoiseLocalSmartPlaylistClass {
	NoiseSmartPlaylistClass parent_class;
};

struct _NoiseLocalSmartPlaylistPrivate {
	GdaConnection* connection;
	gchar* _name;
};


static gpointer noise_local_smart_playlist_parent_class = NULL;

GType noise_local_smart_playlist_get_type (void) G_GNUC_CONST;
#define NOISE_LOCAL_SMART_PLAYLIST_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NOISE_TYPE_LOCAL_SMART_PLAYLIST, NoiseLocalSmartPlaylistPrivate))
enum  {
	NOISE_LOCAL_SMART_PLAYLIST_DUMMY_PROPERTY,
	NOISE_LOCAL_SMART_PLAYLIST_NAME,
	NOISE_LOCAL_SMART_PLAYLIST_CONDITIONAL,
	NOISE_LOCAL_SMART_PLAYLIST_LIMIT_AMOUNT,
	NOISE_LOCAL_SMART_PLAYLIST_LIMIT
};
#define NOISE_LOCAL_SMART_PLAYLIST_QUERY_SEPARATOR "<query_sep>"
#define NOISE_LOCAL_SMART_PLAYLIST_VALUE_SEPARATOR "<val_sep>"
NoiseLocalSmartPlaylist* noise_local_smart_playlist_new (gint64 rowid, GdaConnection* connection);
NoiseLocalSmartPlaylist* noise_local_smart_playlist_construct (GType object_type, gint64 rowid, GdaConnection* connection);
GValue* noise_database_query_field (gint64 rowid, GdaConnection* connection, const gchar* table, const gchar* field);
#define NOISE_DATABASE_SMART_PLAYLISTS_TABLE_NAME "smart_playlists"
static void _vala_GValue_free (GValue* self);
void noise_local_smart_playlist_queries_from_string (NoiseLocalSmartPlaylist* self, const gchar* q);
static void noise_local_smart_playlist_real_analyse_all (NoiseSmartPlaylist* base);
static gint64* _int64_dup (gint64* self);
#define NOISE_DATABASE_MEDIA_TABLE_NAME "media"
GdaSqlBuilderId noise_database_process_smart_query (GdaSqlBuilder* builder, NoiseSmartQuery* sq);
static void _vala_array_add2 (GdaSqlBuilderId** array, int* length, int* size, GdaSqlBuilderId value);
static void noise_local_smart_playlist_real_clear_queries (NoiseSmartPlaylist* base);
void noise_database_set_field (gint64 rowid, GdaConnection* connection, const gchar* table, const gchar* field, GValue* value);
static void noise_local_smart_playlist_real_add_query (NoiseSmartPlaylist* base, NoiseSmartQuery* s);
static gchar* noise_local_smart_playlist_queries_to_string (NoiseLocalSmartPlaylist* self);
static void noise_local_smart_playlist_real_add_queries (NoiseSmartPlaylist* base, GeeCollection* queries);
void noise_local_smart_playlist_add_defaults (GdaConnection* connection);
static void __vala_GValue_free0_ (gpointer var);
static void _g_slist_free___vala_GValue_free0_ (GSList* self);
static void _g_free0_ (gpointer var);
static void _g_slist_free__g_free0_ (GSList* self);
static void noise_local_smart_playlist_finalize (GObject* obj);
static void _vala_noise_local_smart_playlist_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_noise_local_smart_playlist_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);
static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func);
static gint _vala_array_length (gpointer array);


static gpointer _g_object_ref0 (gpointer self) {
#line 83 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	return self ? g_object_ref (self) : NULL;
#line 121 "LocalSmartPlaylist.c"
}


static void _vala_GValue_free (GValue* self) {
#line 85 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	g_value_unset (self);
#line 85 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	g_free (self);
#line 130 "LocalSmartPlaylist.c"
}


NoiseLocalSmartPlaylist* noise_local_smart_playlist_construct (GType object_type, gint64 rowid, GdaConnection* connection) {
	NoiseLocalSmartPlaylist * self = NULL;
	NoiseLibrariesManager* _tmp0_ = NULL;
	NoiseLibrary* _tmp1_ = NULL;
	GdaConnection* _tmp2_ = NULL;
	GdaConnection* _tmp3_ = NULL;
	gint64 _tmp4_ = 0LL;
	gchar* queries_str = NULL;
	gint64 _tmp5_ = 0LL;
	GdaConnection* _tmp6_ = NULL;
	GValue* _tmp7_ = NULL;
	GValue* _tmp8_ = NULL;
	const gchar* _tmp9_ = NULL;
	gchar* _tmp10_ = NULL;
	gchar* _tmp11_ = NULL;
#line 81 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	g_return_val_if_fail (connection != NULL, NULL);
#line 82 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp0_ = noise_libraries_manager;
#line 82 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp1_ = _tmp0_->local_library;
#line 82 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	self = (NoiseLocalSmartPlaylist*) noise_smart_playlist_construct (object_type, _tmp1_);
#line 83 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp2_ = connection;
#line 83 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp3_ = _g_object_ref0 (_tmp2_);
#line 83 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_g_object_unref0 (self->priv->connection);
#line 83 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	self->priv->connection = _tmp3_;
#line 84 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp4_ = rowid;
#line 84 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	noise_playlist_set_rowid ((NoisePlaylist*) self, _tmp4_);
#line 85 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp5_ = rowid;
#line 85 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp6_ = connection;
#line 85 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp7_ = noise_database_query_field (_tmp5_, _tmp6_, NOISE_DATABASE_SMART_PLAYLISTS_TABLE_NAME, "queries");
#line 85 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp8_ = _tmp7_;
#line 85 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp9_ = g_value_get_string (_tmp8_);
#line 85 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp10_ = g_strdup (_tmp9_);
#line 85 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp11_ = _tmp10_;
#line 85 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	__vala_GValue_free0 (_tmp8_);
#line 85 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	queries_str = _tmp11_;
#line 86 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	noise_local_smart_playlist_queries_from_string (self, queries_str);
#line 81 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_g_free0 (queries_str);
#line 81 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	return self;
#line 193 "LocalSmartPlaylist.c"
}


NoiseLocalSmartPlaylist* noise_local_smart_playlist_new (gint64 rowid, GdaConnection* connection) {
#line 81 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	return noise_local_smart_playlist_construct (NOISE_TYPE_LOCAL_SMART_PLAYLIST, rowid, connection);
#line 200 "LocalSmartPlaylist.c"
}


static gint64* _int64_dup (gint64* self) {
	gint64* dup;
#line 97 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	dup = g_new0 (gint64, 1);
#line 97 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	memcpy (dup, self, sizeof (gint64));
#line 97 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	return dup;
#line 212 "LocalSmartPlaylist.c"
}


static void _vala_array_add2 (GdaSqlBuilderId** array, int* length, int* size, GdaSqlBuilderId value) {
#line 104 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	if ((*length) == (*size)) {
#line 104 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		*size = (*size) ? (2 * (*size)) : 4;
#line 104 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		*array = g_renew (GdaSqlBuilderId, *array, *size);
#line 223 "LocalSmartPlaylist.c"
	}
#line 104 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	(*array)[(*length)++] = value;
#line 227 "LocalSmartPlaylist.c"
}


static void noise_local_smart_playlist_real_analyse_all (NoiseSmartPlaylist* base) {
	NoiseLocalSmartPlaylist * self;
	GeeTreeSet* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
	gboolean _tmp2_ = FALSE;
	GeeTreeSet* rowids = NULL;
	GeeTreeSet* _tmp9_ = NULL;
	GError * _inner_error_ = NULL;
#line 89 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	self = (NoiseLocalSmartPlaylist*) base;
#line 90 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp0_ = ((NoiseSmartPlaylist*) self)->queries;
#line 90 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp1_ = gee_collection_get_is_empty ((GeeCollection*) _tmp0_);
#line 90 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp2_ = _tmp1_;
#line 90 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	if (_tmp2_) {
#line 249 "LocalSmartPlaylist.c"
		GeeCollection* meds = NULL;
		NoiseLibrary* _tmp3_ = NULL;
		GeeCollection* _tmp4_ = NULL;
		GeeArrayQueue* _tmp5_ = NULL;
		GeeArrayQueue* _tmp6_ = NULL;
		GeeCollection* _tmp7_ = NULL;
		GeeCollection* _tmp8_ = NULL;
#line 91 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp3_ = ((NoiseSmartPlaylist*) self)->library;
#line 91 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp4_ = noise_library_get_medias (_tmp3_);
#line 91 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		meds = _tmp4_;
#line 92 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp5_ = noise_playlist_get_medias ((NoisePlaylist*) self);
#line 92 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp6_ = _tmp5_;
#line 92 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp7_ = meds;
#line 92 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		gee_collection_add_all ((GeeCollection*) _tmp6_, _tmp7_);
#line 93 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp8_ = meds;
#line 93 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_signal_emit_by_name ((NoisePlaylist*) self, "media-added", _tmp8_);
#line 94 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_g_object_unref0 (meds);
#line 94 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		return;
#line 279 "LocalSmartPlaylist.c"
	}
#line 97 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp9_ = gee_tree_set_new (G_TYPE_INT64, (GBoxedCopyFunc) _int64_dup, (GDestroyNotify) g_free, NULL, NULL, NULL);
#line 97 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	rowids = _tmp9_;
#line 285 "LocalSmartPlaylist.c"
	{
		GdaSqlBuilder* sql = NULL;
		GdaSqlBuilder* _tmp10_ = NULL;
		GdaSqlBuilder* _tmp11_ = NULL;
		GdaSqlBuilder* _tmp12_ = NULL;
		GdaSqlBuilderId* ids = NULL;
		gint ids_length1 = 0;
		gint _ids_size_ = 0;
		GdaSqlOperatorType sql_operator_type = 0;
		NoiseSmartPlaylistConditionalType _tmp23_ = 0;
		NoiseSmartPlaylistConditionalType _tmp24_ = 0;
		GdaSqlBuilderId id_cond = 0U;
		GdaSqlBuilder* _tmp25_ = NULL;
		GdaSqlOperatorType _tmp26_ = 0;
		GdaSqlBuilderId* _tmp27_ = NULL;
		gint _tmp27__length1 = 0;
		GdaSqlBuilderId _tmp28_ = 0U;
		GdaSqlBuilder* _tmp29_ = NULL;
		GdaSqlBuilderId _tmp30_ = 0U;
		GdaStatement* statm = NULL;
		GdaSqlBuilder* _tmp31_ = NULL;
		GdaStatement* _tmp32_ = NULL;
		GdaDataModel* data_model = NULL;
		GdaConnection* _tmp33_ = NULL;
		GdaStatement* _tmp34_ = NULL;
		GdaDataModel* _tmp35_ = NULL;
		GdaDataModelIter* data_model_iter = NULL;
		GdaDataModel* _tmp36_ = NULL;
		GdaDataModelIter* _tmp37_ = NULL;
		GdaDataModelIter* _tmp38_ = NULL;
		GeeCollection* meds = NULL;
		NoiseLibrary* _tmp46_ = NULL;
		GeeTreeSet* _tmp47_ = NULL;
		GeeCollection* _tmp48_ = NULL;
		GeeArrayQueue* _tmp49_ = NULL;
		GeeArrayQueue* _tmp50_ = NULL;
		GeeCollection* _tmp51_ = NULL;
		GeeCollection* _tmp52_ = NULL;
#line 99 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp10_ = gda_sql_builder_new (GDA_SQL_STATEMENT_SELECT);
#line 99 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		sql = _tmp10_;
#line 100 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp11_ = sql;
#line 100 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		gda_sql_builder_select_add_target (_tmp11_, NOISE_DATABASE_MEDIA_TABLE_NAME, NULL);
#line 101 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp12_ = sql;
#line 101 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		gda_sql_builder_select_add_field (_tmp12_, "rowid", NULL, NULL);
#line 102 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		ids = NULL;
#line 102 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		ids_length1 = 0;
#line 102 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_ids_size_ = ids_length1;
#line 342 "LocalSmartPlaylist.c"
		{
			GeeIterator* _q_it = NULL;
			GeeTreeSet* _tmp13_ = NULL;
			GeeIterator* _tmp14_ = NULL;
#line 103 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			_tmp13_ = ((NoiseSmartPlaylist*) self)->queries;
#line 103 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			_tmp14_ = gee_abstract_collection_iterator ((GeeAbstractCollection*) _tmp13_);
#line 103 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			_q_it = _tmp14_;
#line 103 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			while (TRUE) {
#line 355 "LocalSmartPlaylist.c"
				GeeIterator* _tmp15_ = NULL;
				gboolean _tmp16_ = FALSE;
				NoiseSmartQuery* q = NULL;
				GeeIterator* _tmp17_ = NULL;
				gpointer _tmp18_ = NULL;
				GdaSqlBuilderId* _tmp19_ = NULL;
				gint _tmp19__length1 = 0;
				GdaSqlBuilder* _tmp20_ = NULL;
				NoiseSmartQuery* _tmp21_ = NULL;
				GdaSqlBuilderId _tmp22_ = 0U;
#line 103 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				_tmp15_ = _q_it;
#line 103 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				_tmp16_ = gee_iterator_next (_tmp15_);
#line 103 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				if (!_tmp16_) {
#line 103 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
					break;
#line 374 "LocalSmartPlaylist.c"
				}
#line 103 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				_tmp17_ = _q_it;
#line 103 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				_tmp18_ = gee_iterator_get (_tmp17_);
#line 103 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				q = (NoiseSmartQuery*) _tmp18_;
#line 104 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				_tmp19_ = ids;
#line 104 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				_tmp19__length1 = ids_length1;
#line 104 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				_tmp20_ = sql;
#line 104 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				_tmp21_ = q;
#line 104 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				_tmp22_ = noise_database_process_smart_query (_tmp20_, _tmp21_);
#line 104 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				_vala_array_add2 (&ids, &ids_length1, &_ids_size_, _tmp22_);
#line 103 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				_g_object_unref0 (q);
#line 396 "LocalSmartPlaylist.c"
			}
#line 103 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			_g_object_unref0 (_q_it);
#line 400 "LocalSmartPlaylist.c"
		}
#line 107 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		sql_operator_type = GDA_SQL_OPERATOR_TYPE_AND;
#line 108 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp23_ = noise_smart_playlist_get_conditional ((NoiseSmartPlaylist*) self);
#line 108 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp24_ = _tmp23_;
#line 108 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		if (_tmp24_ == NOISE_SMART_PLAYLIST_CONDITIONAL_TYPE_ANY) {
#line 109 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			sql_operator_type = GDA_SQL_OPERATOR_TYPE_OR;
#line 412 "LocalSmartPlaylist.c"
		}
#line 112 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp25_ = sql;
#line 112 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp26_ = sql_operator_type;
#line 112 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp27_ = ids;
#line 112 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp27__length1 = ids_length1;
#line 112 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp28_ = gda_sql_builder_add_cond_v (_tmp25_, _tmp26_, _tmp27_, _tmp27__length1);
#line 112 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		id_cond = _tmp28_;
#line 113 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp29_ = sql;
#line 113 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp30_ = id_cond;
#line 113 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		gda_sql_builder_set_where (_tmp29_, _tmp30_);
#line 115 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp31_ = sql;
#line 115 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp32_ = gda_sql_builder_get_statement (_tmp31_, &_inner_error_);
#line 115 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		statm = _tmp32_;
#line 115 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 115 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			ids = (g_free (ids), NULL);
#line 115 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			_g_object_unref0 (sql);
#line 444 "LocalSmartPlaylist.c"
			goto __catch62_g_error;
		}
#line 116 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp33_ = self->priv->connection;
#line 116 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp34_ = statm;
#line 116 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp35_ = gda_connection_statement_execute_select (_tmp33_, _tmp34_, NULL, &_inner_error_);
#line 116 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		data_model = _tmp35_;
#line 116 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 116 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			_g_object_unref0 (statm);
#line 116 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			ids = (g_free (ids), NULL);
#line 116 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			_g_object_unref0 (sql);
#line 463 "LocalSmartPlaylist.c"
			goto __catch62_g_error;
		}
#line 117 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp36_ = data_model;
#line 117 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp37_ = gda_data_model_create_iter (_tmp36_);
#line 117 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		data_model_iter = _tmp37_;
#line 118 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp38_ = data_model_iter;
#line 118 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		gda_data_model_iter_move_to_row (_tmp38_, -1);
#line 119 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		while (TRUE) {
#line 478 "LocalSmartPlaylist.c"
			GdaDataModelIter* _tmp39_ = NULL;
			gboolean _tmp40_ = FALSE;
			GValue* val = NULL;
			GdaDataModelIter* _tmp41_ = NULL;
			GValue* _tmp42_ = NULL;
			GeeTreeSet* _tmp43_ = NULL;
			GValue* _tmp44_ = NULL;
			gint64 _tmp45_ = 0LL;
#line 119 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			_tmp39_ = data_model_iter;
#line 119 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			_tmp40_ = gda_data_model_iter_move_next (_tmp39_);
#line 119 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			if (!_tmp40_) {
#line 119 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				break;
#line 495 "LocalSmartPlaylist.c"
			}
#line 120 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			_tmp41_ = data_model_iter;
#line 120 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			_tmp42_ = gda_data_model_iter_get_value_at (_tmp41_, 0);
#line 120 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			val = _tmp42_;
#line 121 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			_tmp43_ = rowids;
#line 121 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			_tmp44_ = val;
#line 121 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			_tmp45_ = g_value_get_int64 (_tmp44_);
#line 121 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			gee_abstract_collection_add ((GeeAbstractCollection*) _tmp43_, &_tmp45_);
#line 511 "LocalSmartPlaylist.c"
		}
#line 124 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp46_ = ((NoiseSmartPlaylist*) self)->library;
#line 124 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp47_ = rowids;
#line 124 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp48_ = noise_library_medias_from_ids (_tmp46_, (GeeCollection*) _tmp47_);
#line 124 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		meds = _tmp48_;
#line 125 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp49_ = noise_playlist_get_medias ((NoisePlaylist*) self);
#line 125 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp50_ = _tmp49_;
#line 125 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp51_ = meds;
#line 125 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		gee_collection_add_all ((GeeCollection*) _tmp50_, _tmp51_);
#line 126 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp52_ = meds;
#line 126 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_signal_emit_by_name ((NoisePlaylist*) self, "media-added", _tmp52_);
#line 98 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_g_object_unref0 (meds);
#line 98 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_g_object_unref0 (data_model_iter);
#line 98 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_g_object_unref0 (data_model);
#line 98 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_g_object_unref0 (statm);
#line 98 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		ids = (g_free (ids), NULL);
#line 98 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_g_object_unref0 (sql);
#line 545 "LocalSmartPlaylist.c"
	}
	goto __finally62;
	__catch62_g_error:
	{
		GError* e = NULL;
		const gchar* _tmp53_ = NULL;
		const gchar* _tmp54_ = NULL;
		GError* _tmp55_ = NULL;
		const gchar* _tmp56_ = NULL;
#line 98 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		e = _inner_error_;
#line 98 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_inner_error_ = NULL;
#line 128 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp53_ = noise_playlist_get_name ((NoisePlaylist*) self);
#line 128 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp54_ = _tmp53_;
#line 128 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp55_ = e;
#line 128 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp56_ = _tmp55_->message;
#line 128 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_critical ("LocalSmartPlaylist.vala:128: Could not query media for smart playlist " \
"%s: %s", _tmp54_, _tmp56_);
#line 98 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_g_error_free0 (e);
#line 571 "LocalSmartPlaylist.c"
	}
	__finally62:
#line 98 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 98 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_g_object_unref0 (rowids);
#line 98 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 98 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_clear_error (&_inner_error_);
#line 98 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		return;
#line 584 "LocalSmartPlaylist.c"
	}
#line 89 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_g_object_unref0 (rowids);
#line 588 "LocalSmartPlaylist.c"
}


static void noise_local_smart_playlist_real_clear_queries (NoiseSmartPlaylist* base) {
	NoiseLocalSmartPlaylist * self;
	gint64 _tmp0_ = 0LL;
	gint64 _tmp1_ = 0LL;
	GdaConnection* _tmp2_ = NULL;
	GValue _tmp3_ = {0};
#line 132 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	self = (NoiseLocalSmartPlaylist*) base;
#line 133 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	NOISE_SMART_PLAYLIST_CLASS (noise_local_smart_playlist_parent_class)->clear_queries (G_TYPE_CHECK_INSTANCE_CAST (self, NOISE_TYPE_SMART_PLAYLIST, NoiseSmartPlaylist));
#line 134 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp0_ = noise_playlist_get_rowid ((NoisePlaylist*) self);
#line 134 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp1_ = _tmp0_;
#line 134 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp2_ = self->priv->connection;
#line 134 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	g_value_init (&_tmp3_, G_TYPE_STRING);
#line 134 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	g_value_set_string (&_tmp3_, "");
#line 134 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	noise_database_set_field (_tmp1_, _tmp2_, NOISE_DATABASE_SMART_PLAYLISTS_TABLE_NAME, "queries", &_tmp3_);
#line 134 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	G_IS_VALUE (&_tmp3_) ? (g_value_unset (&_tmp3_), NULL) : NULL;
#line 616 "LocalSmartPlaylist.c"
}


static void noise_local_smart_playlist_real_add_query (NoiseSmartPlaylist* base, NoiseSmartQuery* s) {
	NoiseLocalSmartPlaylist * self;
	NoiseSmartQuery* _tmp0_ = NULL;
	gint64 _tmp1_ = 0LL;
	gint64 _tmp2_ = 0LL;
	GdaConnection* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	GValue _tmp5_ = {0};
#line 137 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	self = (NoiseLocalSmartPlaylist*) base;
#line 137 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	g_return_if_fail (s != NULL);
#line 138 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp0_ = s;
#line 138 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	NOISE_SMART_PLAYLIST_CLASS (noise_local_smart_playlist_parent_class)->add_query (G_TYPE_CHECK_INSTANCE_CAST (self, NOISE_TYPE_SMART_PLAYLIST, NoiseSmartPlaylist), _tmp0_);
#line 139 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp1_ = noise_playlist_get_rowid ((NoisePlaylist*) self);
#line 139 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp2_ = _tmp1_;
#line 139 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp3_ = self->priv->connection;
#line 139 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp4_ = noise_local_smart_playlist_queries_to_string (self);
#line 139 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	g_value_init (&_tmp5_, G_TYPE_STRING);
#line 139 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	g_value_take_string (&_tmp5_, _tmp4_);
#line 139 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	noise_database_set_field (_tmp2_, _tmp3_, NOISE_DATABASE_SMART_PLAYLISTS_TABLE_NAME, "queries", &_tmp5_);
#line 139 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	G_IS_VALUE (&_tmp5_) ? (g_value_unset (&_tmp5_), NULL) : NULL;
#line 652 "LocalSmartPlaylist.c"
}


static void noise_local_smart_playlist_real_add_queries (NoiseSmartPlaylist* base, GeeCollection* queries) {
	NoiseLocalSmartPlaylist * self;
	GeeCollection* _tmp0_ = NULL;
	gint64 _tmp1_ = 0LL;
	gint64 _tmp2_ = 0LL;
	GdaConnection* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	GValue _tmp5_ = {0};
#line 142 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	self = (NoiseLocalSmartPlaylist*) base;
#line 142 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	g_return_if_fail (queries != NULL);
#line 143 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp0_ = queries;
#line 143 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	NOISE_SMART_PLAYLIST_CLASS (noise_local_smart_playlist_parent_class)->add_queries (G_TYPE_CHECK_INSTANCE_CAST (self, NOISE_TYPE_SMART_PLAYLIST, NoiseSmartPlaylist), _tmp0_);
#line 144 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp1_ = noise_playlist_get_rowid ((NoisePlaylist*) self);
#line 144 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp2_ = _tmp1_;
#line 144 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp3_ = self->priv->connection;
#line 144 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp4_ = noise_local_smart_playlist_queries_to_string (self);
#line 144 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	g_value_init (&_tmp5_, G_TYPE_STRING);
#line 144 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	g_value_take_string (&_tmp5_, _tmp4_);
#line 144 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	noise_database_set_field (_tmp2_, _tmp3_, NOISE_DATABASE_SMART_PLAYLISTS_TABLE_NAME, "queries", &_tmp5_);
#line 144 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	G_IS_VALUE (&_tmp5_) ? (g_value_unset (&_tmp5_), NULL) : NULL;
#line 688 "LocalSmartPlaylist.c"
}


static gchar* noise_local_smart_playlist_queries_to_string (NoiseLocalSmartPlaylist* self) {
	gchar* result = NULL;
	GString* sb = NULL;
	GString* _tmp0_ = NULL;
	GString* _tmp34_ = NULL;
	const gchar* _tmp35_ = NULL;
	gchar* _tmp36_ = NULL;
#line 147 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 148 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp0_ = g_string_new ("");
#line 148 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	sb = _tmp0_;
#line 705 "LocalSmartPlaylist.c"
	{
		GeeIterator* _q_it = NULL;
		GeeTreeSet* _tmp1_ = NULL;
		GeeIterator* _tmp2_ = NULL;
#line 149 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp1_ = ((NoiseSmartPlaylist*) self)->queries;
#line 149 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp2_ = gee_abstract_collection_iterator ((GeeAbstractCollection*) _tmp1_);
#line 149 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_q_it = _tmp2_;
#line 149 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		while (TRUE) {
#line 718 "LocalSmartPlaylist.c"
			GeeIterator* _tmp3_ = NULL;
			gboolean _tmp4_ = FALSE;
			NoiseSmartQuery* q = NULL;
			GeeIterator* _tmp5_ = NULL;
			gpointer _tmp6_ = NULL;
			GString* _tmp7_ = NULL;
			gssize _tmp8_ = 0L;
			GString* _tmp10_ = NULL;
			NoiseSmartQuery* _tmp11_ = NULL;
			NoiseSmartQueryFieldType _tmp12_ = 0;
			NoiseSmartQueryFieldType _tmp13_ = 0;
			GString* _tmp14_ = NULL;
			GString* _tmp15_ = NULL;
			NoiseSmartQuery* _tmp16_ = NULL;
			NoiseSmartQueryComparatorType _tmp17_ = 0;
			NoiseSmartQueryComparatorType _tmp18_ = 0;
			GString* _tmp19_ = NULL;
			NoiseSmartQuery* _tmp20_ = NULL;
			GValue _tmp21_ = {0};
			GValue _tmp22_ = {0};
			GType _tmp23_ = 0UL;
#line 149 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			_tmp3_ = _q_it;
#line 149 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			_tmp4_ = gee_iterator_next (_tmp3_);
#line 149 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			if (!_tmp4_) {
#line 149 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				break;
#line 748 "LocalSmartPlaylist.c"
			}
#line 149 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			_tmp5_ = _q_it;
#line 149 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			_tmp6_ = gee_iterator_get (_tmp5_);
#line 149 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			q = (NoiseSmartQuery*) _tmp6_;
#line 150 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			_tmp7_ = sb;
#line 150 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			_tmp8_ = _tmp7_->len;
#line 150 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			if (_tmp8_ != ((gssize) 0)) {
#line 762 "LocalSmartPlaylist.c"
				GString* _tmp9_ = NULL;
#line 151 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				_tmp9_ = sb;
#line 151 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				g_string_append (_tmp9_, NOISE_LOCAL_SMART_PLAYLIST_QUERY_SEPARATOR);
#line 768 "LocalSmartPlaylist.c"
			}
#line 154 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			_tmp10_ = sb;
#line 154 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			_tmp11_ = q;
#line 154 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			_tmp12_ = noise_smart_query_get_field (_tmp11_);
#line 154 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			_tmp13_ = _tmp12_;
#line 154 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			g_string_append_printf (_tmp10_, "%d", (gint) _tmp13_);
#line 155 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			_tmp14_ = sb;
#line 155 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			g_string_append (_tmp14_, NOISE_LOCAL_SMART_PLAYLIST_VALUE_SEPARATOR);
#line 156 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			_tmp15_ = sb;
#line 156 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			_tmp16_ = q;
#line 156 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			_tmp17_ = noise_smart_query_get_comparator (_tmp16_);
#line 156 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			_tmp18_ = _tmp17_;
#line 156 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			g_string_append_printf (_tmp15_, "%d", (gint) _tmp18_);
#line 157 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			_tmp19_ = sb;
#line 157 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			g_string_append (_tmp19_, NOISE_LOCAL_SMART_PLAYLIST_VALUE_SEPARATOR);
#line 158 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			_tmp20_ = q;
#line 158 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			noise_smart_query_get_value (_tmp20_, &_tmp21_);
#line 158 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			_tmp22_ = _tmp21_;
#line 158 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			_tmp23_ = G_VALUE_TYPE (&_tmp22_);
#line 158 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			if (_tmp23_ == G_TYPE_STRING) {
#line 808 "LocalSmartPlaylist.c"
				GString* _tmp24_ = NULL;
				NoiseSmartQuery* _tmp25_ = NULL;
				GValue _tmp26_ = {0};
				GValue _tmp27_ = {0};
				const gchar* _tmp28_ = NULL;
#line 159 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				_tmp24_ = sb;
#line 159 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				_tmp25_ = q;
#line 159 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				noise_smart_query_get_value (_tmp25_, &_tmp26_);
#line 159 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				_tmp27_ = _tmp26_;
#line 159 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				_tmp28_ = g_value_get_string (&_tmp27_);
#line 159 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				g_string_append (_tmp24_, _tmp28_);
#line 826 "LocalSmartPlaylist.c"
			} else {
				GString* _tmp29_ = NULL;
				NoiseSmartQuery* _tmp30_ = NULL;
				GValue _tmp31_ = {0};
				GValue _tmp32_ = {0};
				gint _tmp33_ = 0;
#line 161 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				_tmp29_ = sb;
#line 161 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				_tmp30_ = q;
#line 161 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				noise_smart_query_get_value (_tmp30_, &_tmp31_);
#line 161 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				_tmp32_ = _tmp31_;
#line 161 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				_tmp33_ = g_value_get_int (&_tmp32_);
#line 161 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				g_string_append_printf (_tmp29_, "%d", _tmp33_);
#line 845 "LocalSmartPlaylist.c"
			}
#line 149 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			_g_object_unref0 (q);
#line 849 "LocalSmartPlaylist.c"
		}
#line 149 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_g_object_unref0 (_q_it);
#line 853 "LocalSmartPlaylist.c"
	}
#line 165 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp34_ = sb;
#line 165 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp35_ = _tmp34_->str;
#line 165 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp36_ = g_strdup (_tmp35_);
#line 165 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	result = _tmp36_;
#line 165 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_g_string_free0 (sb);
#line 165 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	return result;
#line 867 "LocalSmartPlaylist.c"
}


void noise_local_smart_playlist_queries_from_string (NoiseLocalSmartPlaylist* self, const gchar* q) {
	gchar** queries_in_string = NULL;
	const gchar* _tmp0_ = NULL;
	gchar** _tmp1_ = NULL;
	gchar** _tmp2_ = NULL;
	gint queries_in_string_length1 = 0;
	gint _queries_in_string_size_ = 0;
	GeeTreeSet* new_queries = NULL;
	GeeTreeSet* _tmp3_ = NULL;
	gchar** _tmp4_ = NULL;
	gint _tmp4__length1 = 0;
	GeeTreeSet* _tmp36_ = NULL;
#line 168 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	g_return_if_fail (self != NULL);
#line 168 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	g_return_if_fail (q != NULL);
#line 169 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp0_ = q;
#line 169 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp2_ = _tmp1_ = g_strsplit (_tmp0_, NOISE_LOCAL_SMART_PLAYLIST_QUERY_SEPARATOR, 0);
#line 169 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	queries_in_string = _tmp2_;
#line 169 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	queries_in_string_length1 = _vala_array_length (_tmp1_);
#line 169 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_queries_in_string_size_ = queries_in_string_length1;
#line 170 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp3_ = gee_tree_set_new (NOISE_TYPE_SMART_QUERY, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 170 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	new_queries = _tmp3_;
#line 171 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp4_ = queries_in_string;
#line 171 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp4__length1 = queries_in_string_length1;
#line 905 "LocalSmartPlaylist.c"
	{
		gchar** query_string_collection = NULL;
		gint query_string_collection_length1 = 0;
		gint _query_string_collection_size_ = 0;
		gint query_string_it = 0;
#line 171 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		query_string_collection = _tmp4_;
#line 171 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		query_string_collection_length1 = _tmp4__length1;
#line 171 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		for (query_string_it = 0; query_string_it < _tmp4__length1; query_string_it = query_string_it + 1) {
#line 917 "LocalSmartPlaylist.c"
			gchar* _tmp5_ = NULL;
			gchar* query_string = NULL;
#line 171 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			_tmp5_ = g_strdup (query_string_collection[query_string_it]);
#line 171 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			query_string = _tmp5_;
#line 924 "LocalSmartPlaylist.c"
			{
				const gchar* _tmp6_ = NULL;
				gchar** pieces_of_query = NULL;
				const gchar* _tmp7_ = NULL;
				gchar** _tmp8_ = NULL;
				gchar** _tmp9_ = NULL;
				gint pieces_of_query_length1 = 0;
				gint _pieces_of_query_size_ = 0;
				gint _tmp10_ = 0;
				NoiseSmartQuery* sq = NULL;
				NoiseSmartQuery* _tmp11_ = NULL;
				NoiseSmartQuery* _tmp12_ = NULL;
				gchar** _tmp13_ = NULL;
				gint _tmp13__length1 = 0;
				const gchar* _tmp14_ = NULL;
				gint _tmp15_ = 0;
				NoiseSmartQuery* _tmp16_ = NULL;
				gchar** _tmp17_ = NULL;
				gint _tmp17__length1 = 0;
				const gchar* _tmp18_ = NULL;
				gint _tmp19_ = 0;
				NoiseSmartQuery* _tmp20_ = NULL;
				NoiseSmartQueryFieldType _tmp21_ = 0;
				NoiseSmartQueryFieldType _tmp22_ = 0;
				GeeTreeSet* _tmp34_ = NULL;
				NoiseSmartQuery* _tmp35_ = NULL;
#line 172 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				_tmp6_ = query_string;
#line 172 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				if (g_strcmp0 (_tmp6_, "") == 0) {
#line 173 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
					_g_free0 (query_string);
#line 173 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
					continue;
#line 959 "LocalSmartPlaylist.c"
				}
#line 175 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				_tmp7_ = query_string;
#line 175 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				_tmp9_ = _tmp8_ = g_strsplit (_tmp7_, NOISE_LOCAL_SMART_PLAYLIST_VALUE_SEPARATOR, 3);
#line 175 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				pieces_of_query = _tmp9_;
#line 175 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				pieces_of_query_length1 = _vala_array_length (_tmp8_);
#line 175 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				_pieces_of_query_size_ = pieces_of_query_length1;
#line 176 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				_tmp10_ = 3;
#line 176 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				pieces_of_query = g_renew (gchar*, pieces_of_query, 3);
#line 176 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				(_tmp10_ > pieces_of_query_length1) ? memset (pieces_of_query + pieces_of_query_length1, 0, sizeof (gchar*) * (_tmp10_ - pieces_of_query_length1)) : NULL;
#line 176 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				pieces_of_query_length1 = _tmp10_;
#line 176 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				_pieces_of_query_size_ = _tmp10_;
#line 178 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				_tmp11_ = noise_smart_query_new ();
#line 178 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				sq = _tmp11_;
#line 179 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				_tmp12_ = sq;
#line 179 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				_tmp13_ = pieces_of_query;
#line 179 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				_tmp13__length1 = pieces_of_query_length1;
#line 179 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				_tmp14_ = _tmp13_[0];
#line 179 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				_tmp15_ = atoi (_tmp14_);
#line 179 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				noise_smart_query_set_field (_tmp12_, (NoiseSmartQueryFieldType) _tmp15_);
#line 180 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				_tmp16_ = sq;
#line 180 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				_tmp17_ = pieces_of_query;
#line 180 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				_tmp17__length1 = pieces_of_query_length1;
#line 180 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				_tmp18_ = _tmp17_[1];
#line 180 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				_tmp19_ = atoi (_tmp18_);
#line 180 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				noise_smart_query_set_comparator (_tmp16_, (NoiseSmartQueryComparatorType) _tmp19_);
#line 181 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				_tmp20_ = sq;
#line 181 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				_tmp21_ = noise_smart_query_get_field (_tmp20_);
#line 181 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				_tmp22_ = _tmp21_;
#line 181 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				switch (_tmp22_) {
#line 181 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
					case NOISE_SMART_QUERY_FIELD_TYPE_ALBUM:
#line 181 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
					case NOISE_SMART_QUERY_FIELD_TYPE_ARTIST:
#line 181 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
					case NOISE_SMART_QUERY_FIELD_TYPE_COMPOSER:
#line 181 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
					case NOISE_SMART_QUERY_FIELD_TYPE_COMMENT:
#line 181 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
					case NOISE_SMART_QUERY_FIELD_TYPE_GENRE:
#line 181 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
					case NOISE_SMART_QUERY_FIELD_TYPE_GROUPING:
#line 181 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
					case NOISE_SMART_QUERY_FIELD_TYPE_TITLE:
#line 1031 "LocalSmartPlaylist.c"
					{
						GValue val = {0};
						GValue _tmp23_ = {0};
						gchar** _tmp24_ = NULL;
						gint _tmp24__length1 = 0;
						const gchar* _tmp25_ = NULL;
						NoiseSmartQuery* _tmp26_ = NULL;
						GValue _tmp27_ = {0};
#line 189 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
						g_value_init (&_tmp23_, G_TYPE_STRING);
#line 189 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
						val = _tmp23_;
#line 190 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
						_tmp24_ = pieces_of_query;
#line 190 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
						_tmp24__length1 = pieces_of_query_length1;
#line 190 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
						_tmp25_ = _tmp24_[2];
#line 190 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
						g_value_set_string (&val, _tmp25_);
#line 191 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
						_tmp26_ = sq;
#line 191 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
						_tmp27_ = val;
#line 191 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
						noise_smart_query_set_value (_tmp26_, &_tmp27_);
#line 192 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
						G_IS_VALUE (&val) ? (g_value_unset (&val), NULL) : NULL;
#line 192 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
						break;
#line 1062 "LocalSmartPlaylist.c"
					}
					default:
					{
						GValue val = {0};
						GValue _tmp28_ = {0};
						gchar** _tmp29_ = NULL;
						gint _tmp29__length1 = 0;
						const gchar* _tmp30_ = NULL;
						gint _tmp31_ = 0;
						NoiseSmartQuery* _tmp32_ = NULL;
						GValue _tmp33_ = {0};
#line 194 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
						g_value_init (&_tmp28_, G_TYPE_INT);
#line 194 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
						val = _tmp28_;
#line 195 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
						_tmp29_ = pieces_of_query;
#line 195 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
						_tmp29__length1 = pieces_of_query_length1;
#line 195 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
						_tmp30_ = _tmp29_[2];
#line 195 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
						_tmp31_ = atoi (_tmp30_);
#line 195 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
						g_value_set_int (&val, _tmp31_);
#line 196 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
						_tmp32_ = sq;
#line 196 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
						_tmp33_ = val;
#line 196 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
						noise_smart_query_set_value (_tmp32_, &_tmp33_);
#line 197 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
						G_IS_VALUE (&val) ? (g_value_unset (&val), NULL) : NULL;
#line 197 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
						break;
#line 1098 "LocalSmartPlaylist.c"
					}
				}
#line 200 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				_tmp34_ = new_queries;
#line 200 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				_tmp35_ = sq;
#line 200 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				gee_abstract_collection_add ((GeeAbstractCollection*) _tmp34_, _tmp35_);
#line 171 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				_g_object_unref0 (sq);
#line 171 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				pieces_of_query = (_vala_array_free (pieces_of_query, pieces_of_query_length1, (GDestroyNotify) g_free), NULL);
#line 171 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
				_g_free0 (query_string);
#line 1113 "LocalSmartPlaylist.c"
			}
		}
	}
#line 203 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp36_ = new_queries;
#line 203 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	noise_smart_playlist_add_queries ((NoiseSmartPlaylist*) self, (GeeCollection*) _tmp36_);
#line 168 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_g_object_unref0 (new_queries);
#line 168 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	queries_in_string = (_vala_array_free (queries_in_string, queries_in_string_length1, (GDestroyNotify) g_free), NULL);
#line 1125 "LocalSmartPlaylist.c"
}


static void __vala_GValue_free0_ (gpointer var) {
#line 221 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	(var == NULL) ? NULL : (var = (_vala_GValue_free (var), NULL));
#line 1132 "LocalSmartPlaylist.c"
}


static void _g_slist_free___vala_GValue_free0_ (GSList* self) {
#line 221 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	g_slist_foreach (self, (GFunc) __vala_GValue_free0_, NULL);
#line 221 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	g_slist_free (self);
#line 1141 "LocalSmartPlaylist.c"
}


static void _g_free0_ (gpointer var) {
#line 221 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	var = (g_free (var), NULL);
#line 1148 "LocalSmartPlaylist.c"
}


static void _g_slist_free__g_free0_ (GSList* self) {
#line 221 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	g_slist_foreach (self, (GFunc) _g_free0_, NULL);
#line 221 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	g_slist_free (self);
#line 1157 "LocalSmartPlaylist.c"
}


void noise_local_smart_playlist_add_defaults (GdaConnection* connection) {
	GError * _inner_error_ = NULL;
#line 206 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	g_return_if_fail (connection != NULL);
#line 1165 "LocalSmartPlaylist.c"
	{
		GSList* col_names = NULL;
		gchar* _tmp0_ = NULL;
		gchar* _tmp1_ = NULL;
		gchar* _tmp2_ = NULL;
		gchar* _tmp3_ = NULL;
		gchar* _tmp4_ = NULL;
		GSList* values = NULL;
		const gchar* _tmp5_ = NULL;
		GValue* _tmp6_ = NULL;
		GValue* _tmp7_ = NULL;
		GValue* _tmp8_ = NULL;
		GValue* _tmp9_ = NULL;
		GValue* _tmp10_ = NULL;
		GdaConnection* _tmp11_ = NULL;
		GSList* _tmp12_ = NULL;
		GSList* _tmp13_ = NULL;
		const gchar* _tmp14_ = NULL;
		GValue* _tmp15_ = NULL;
		GValue* _tmp16_ = NULL;
		GValue* _tmp17_ = NULL;
		GValue* _tmp18_ = NULL;
		GValue* _tmp19_ = NULL;
		GdaConnection* _tmp20_ = NULL;
		GSList* _tmp21_ = NULL;
		GSList* _tmp22_ = NULL;
		const gchar* _tmp23_ = NULL;
		GValue* _tmp24_ = NULL;
		GValue* _tmp25_ = NULL;
		GValue* _tmp26_ = NULL;
		GValue* _tmp27_ = NULL;
		GValue* _tmp28_ = NULL;
		GdaConnection* _tmp29_ = NULL;
		GSList* _tmp30_ = NULL;
		GSList* _tmp31_ = NULL;
		const gchar* _tmp32_ = NULL;
		GValue* _tmp33_ = NULL;
		GValue* _tmp34_ = NULL;
		GValue* _tmp35_ = NULL;
		GValue* _tmp36_ = NULL;
		GValue* _tmp37_ = NULL;
		GdaConnection* _tmp38_ = NULL;
		GSList* _tmp39_ = NULL;
		GSList* _tmp40_ = NULL;
		const gchar* _tmp41_ = NULL;
		GValue* _tmp42_ = NULL;
		GValue* _tmp43_ = NULL;
		GValue* _tmp44_ = NULL;
		GValue* _tmp45_ = NULL;
		GValue* _tmp46_ = NULL;
		GdaConnection* _tmp47_ = NULL;
		GSList* _tmp48_ = NULL;
		GSList* _tmp49_ = NULL;
		const gchar* _tmp50_ = NULL;
		GValue* _tmp51_ = NULL;
		GValue* _tmp52_ = NULL;
		GValue* _tmp53_ = NULL;
		GValue* _tmp54_ = NULL;
		GValue* _tmp55_ = NULL;
		GdaConnection* _tmp56_ = NULL;
		GSList* _tmp57_ = NULL;
		GSList* _tmp58_ = NULL;
#line 208 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		col_names = NULL;
#line 209 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp0_ = g_strdup ("name");
#line 209 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		col_names = g_slist_append (col_names, _tmp0_);
#line 210 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp1_ = g_strdup ("queries");
#line 210 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		col_names = g_slist_append (col_names, _tmp1_);
#line 211 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp2_ = g_strdup ("and_or");
#line 211 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		col_names = g_slist_append (col_names, _tmp2_);
#line 212 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp3_ = g_strdup ("limited");
#line 212 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		col_names = g_slist_append (col_names, _tmp3_);
#line 213 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp4_ = g_strdup ("limit_amount");
#line 213 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		col_names = g_slist_append (col_names, _tmp4_);
#line 215 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		values = NULL;
#line 216 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp5_ = _ ("Favorite Songs");
#line 216 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp6_ = g_new0 (GValue, 1);
#line 216 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_init (_tmp6_, G_TYPE_STRING);
#line 216 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_set_string (_tmp6_, _tmp5_);
#line 216 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		values = g_slist_append (values, _tmp6_);
#line 217 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp7_ = g_new0 (GValue, 1);
#line 217 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_init (_tmp7_, G_TYPE_STRING);
#line 217 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_set_string (_tmp7_, "10<val_sep>2<val_sep>4<query_sep>12<val_sep>0<val_sep>0<query_sep>11<v" \
"al_sep>6<val_sep>3");
#line 217 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		values = g_slist_append (values, _tmp7_);
#line 218 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp8_ = g_new0 (GValue, 1);
#line 218 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_init (_tmp8_, G_TYPE_INT);
#line 218 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_set_int (_tmp8_, 1);
#line 218 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		values = g_slist_append (values, _tmp8_);
#line 219 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp9_ = g_new0 (GValue, 1);
#line 219 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_init (_tmp9_, G_TYPE_INT);
#line 219 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_set_int (_tmp9_, 1);
#line 219 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		values = g_slist_append (values, _tmp9_);
#line 220 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp10_ = g_new0 (GValue, 1);
#line 220 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_init (_tmp10_, G_TYPE_INT);
#line 220 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_set_int (_tmp10_, 50);
#line 220 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		values = g_slist_append (values, _tmp10_);
#line 221 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp11_ = connection;
#line 221 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp12_ = col_names;
#line 221 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp13_ = values;
#line 221 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		gda_connection_insert_row_into_table_v (_tmp11_, NOISE_DATABASE_SMART_PLAYLISTS_TABLE_NAME, _tmp12_, _tmp13_, &_inner_error_);
#line 221 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 221 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			__g_slist_free___vala_GValue_free0_0 (values);
#line 221 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			__g_slist_free__g_free0_0 (col_names);
#line 1308 "LocalSmartPlaylist.c"
			goto __catch63_g_error;
		}
#line 223 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		__g_slist_free___vala_GValue_free0_0 (values);
#line 223 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		values = NULL;
#line 224 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp14_ = _ ("Recently Added");
#line 224 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp15_ = g_new0 (GValue, 1);
#line 224 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_init (_tmp15_, G_TYPE_STRING);
#line 224 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_set_string (_tmp15_, _tmp14_);
#line 224 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		values = g_slist_append (values, _tmp15_);
#line 225 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp16_ = g_new0 (GValue, 1);
#line 225 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_init (_tmp16_, G_TYPE_STRING);
#line 225 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_set_string (_tmp16_, "5<val_sep>7<val_sep>7");
#line 225 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		values = g_slist_append (values, _tmp16_);
#line 226 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp17_ = g_new0 (GValue, 1);
#line 226 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_init (_tmp17_, G_TYPE_INT);
#line 226 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_set_int (_tmp17_, 1);
#line 226 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		values = g_slist_append (values, _tmp17_);
#line 227 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp18_ = g_new0 (GValue, 1);
#line 227 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_init (_tmp18_, G_TYPE_INT);
#line 227 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_set_int (_tmp18_, 1);
#line 227 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		values = g_slist_append (values, _tmp18_);
#line 228 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp19_ = g_new0 (GValue, 1);
#line 228 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_init (_tmp19_, G_TYPE_INT);
#line 228 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_set_int (_tmp19_, 50);
#line 228 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		values = g_slist_append (values, _tmp19_);
#line 229 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp20_ = connection;
#line 229 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp21_ = col_names;
#line 229 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp22_ = values;
#line 229 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		gda_connection_insert_row_into_table_v (_tmp20_, NOISE_DATABASE_SMART_PLAYLISTS_TABLE_NAME, _tmp21_, _tmp22_, &_inner_error_);
#line 229 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 229 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			__g_slist_free___vala_GValue_free0_0 (values);
#line 229 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			__g_slist_free__g_free0_0 (col_names);
#line 1371 "LocalSmartPlaylist.c"
			goto __catch63_g_error;
		}
#line 231 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		__g_slist_free___vala_GValue_free0_0 (values);
#line 231 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		values = NULL;
#line 232 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp23_ = _ ("Recent Favorites");
#line 232 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp24_ = g_new0 (GValue, 1);
#line 232 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_init (_tmp24_, G_TYPE_STRING);
#line 232 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_set_string (_tmp24_, _tmp23_);
#line 232 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		values = g_slist_append (values, _tmp24_);
#line 233 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp25_ = g_new0 (GValue, 1);
#line 233 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_init (_tmp25_, G_TYPE_STRING);
#line 233 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_set_string (_tmp25_, "10<val_sep>2<val_sep>4<query_sep>12<val_sep>0<val_sep>0<query_sep>8<va" \
"l_sep>7<val_sep>7");
#line 233 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		values = g_slist_append (values, _tmp25_);
#line 234 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp26_ = g_new0 (GValue, 1);
#line 234 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_init (_tmp26_, G_TYPE_INT);
#line 234 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_set_int (_tmp26_, 1);
#line 234 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		values = g_slist_append (values, _tmp26_);
#line 235 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp27_ = g_new0 (GValue, 1);
#line 235 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_init (_tmp27_, G_TYPE_INT);
#line 235 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_set_int (_tmp27_, 1);
#line 235 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		values = g_slist_append (values, _tmp27_);
#line 236 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp28_ = g_new0 (GValue, 1);
#line 236 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_init (_tmp28_, G_TYPE_INT);
#line 236 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_set_int (_tmp28_, 50);
#line 236 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		values = g_slist_append (values, _tmp28_);
#line 237 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp29_ = connection;
#line 237 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp30_ = col_names;
#line 237 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp31_ = values;
#line 237 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		gda_connection_insert_row_into_table_v (_tmp29_, NOISE_DATABASE_SMART_PLAYLISTS_TABLE_NAME, _tmp30_, _tmp31_, &_inner_error_);
#line 237 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 237 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			__g_slist_free___vala_GValue_free0_0 (values);
#line 237 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			__g_slist_free__g_free0_0 (col_names);
#line 1434 "LocalSmartPlaylist.c"
			goto __catch63_g_error;
		}
#line 239 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		__g_slist_free___vala_GValue_free0_0 (values);
#line 239 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		values = NULL;
#line 240 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp32_ = _ ("Never Played");
#line 240 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp33_ = g_new0 (GValue, 1);
#line 240 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_init (_tmp33_, G_TYPE_STRING);
#line 240 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_set_string (_tmp33_, _tmp32_);
#line 240 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		values = g_slist_append (values, _tmp33_);
#line 241 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp34_ = g_new0 (GValue, 1);
#line 241 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_init (_tmp34_, G_TYPE_STRING);
#line 241 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_set_string (_tmp34_, "10<val_sep>0<val_sep>0");
#line 241 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		values = g_slist_append (values, _tmp34_);
#line 242 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp35_ = g_new0 (GValue, 1);
#line 242 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_init (_tmp35_, G_TYPE_INT);
#line 242 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_set_int (_tmp35_, 0);
#line 242 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		values = g_slist_append (values, _tmp35_);
#line 243 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp36_ = g_new0 (GValue, 1);
#line 243 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_init (_tmp36_, G_TYPE_INT);
#line 243 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_set_int (_tmp36_, 1);
#line 243 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		values = g_slist_append (values, _tmp36_);
#line 244 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp37_ = g_new0 (GValue, 1);
#line 244 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_init (_tmp37_, G_TYPE_INT);
#line 244 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_set_int (_tmp37_, 50);
#line 244 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		values = g_slist_append (values, _tmp37_);
#line 245 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp38_ = connection;
#line 245 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp39_ = col_names;
#line 245 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp40_ = values;
#line 245 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		gda_connection_insert_row_into_table_v (_tmp38_, NOISE_DATABASE_SMART_PLAYLISTS_TABLE_NAME, _tmp39_, _tmp40_, &_inner_error_);
#line 245 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 245 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			__g_slist_free___vala_GValue_free0_0 (values);
#line 245 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			__g_slist_free__g_free0_0 (col_names);
#line 1497 "LocalSmartPlaylist.c"
			goto __catch63_g_error;
		}
#line 247 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		__g_slist_free___vala_GValue_free0_0 (values);
#line 247 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		values = NULL;
#line 248 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp41_ = _ ("Over Played");
#line 248 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp42_ = g_new0 (GValue, 1);
#line 248 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_init (_tmp42_, G_TYPE_STRING);
#line 248 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_set_string (_tmp42_, _tmp41_);
#line 248 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		values = g_slist_append (values, _tmp42_);
#line 249 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp43_ = g_new0 (GValue, 1);
#line 249 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_init (_tmp43_, G_TYPE_STRING);
#line 249 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_set_string (_tmp43_, "10<val_sep>6<val_sep>10");
#line 249 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		values = g_slist_append (values, _tmp43_);
#line 250 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp44_ = g_new0 (GValue, 1);
#line 250 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_init (_tmp44_, G_TYPE_INT);
#line 250 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_set_int (_tmp44_, 1);
#line 250 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		values = g_slist_append (values, _tmp44_);
#line 251 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp45_ = g_new0 (GValue, 1);
#line 251 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_init (_tmp45_, G_TYPE_INT);
#line 251 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_set_int (_tmp45_, 1);
#line 251 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		values = g_slist_append (values, _tmp45_);
#line 252 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp46_ = g_new0 (GValue, 1);
#line 252 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_init (_tmp46_, G_TYPE_INT);
#line 252 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_set_int (_tmp46_, 50);
#line 252 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		values = g_slist_append (values, _tmp46_);
#line 253 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp47_ = connection;
#line 253 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp48_ = col_names;
#line 253 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp49_ = values;
#line 253 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		gda_connection_insert_row_into_table_v (_tmp47_, NOISE_DATABASE_SMART_PLAYLISTS_TABLE_NAME, _tmp48_, _tmp49_, &_inner_error_);
#line 253 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 253 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			__g_slist_free___vala_GValue_free0_0 (values);
#line 253 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			__g_slist_free__g_free0_0 (col_names);
#line 1560 "LocalSmartPlaylist.c"
			goto __catch63_g_error;
		}
#line 255 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		__g_slist_free___vala_GValue_free0_0 (values);
#line 255 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		values = NULL;
#line 256 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp50_ = _ ("Not Recently Played");
#line 256 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp51_ = g_new0 (GValue, 1);
#line 256 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_init (_tmp51_, G_TYPE_STRING);
#line 256 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_set_string (_tmp51_, _tmp50_);
#line 256 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		values = g_slist_append (values, _tmp51_);
#line 257 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp52_ = g_new0 (GValue, 1);
#line 257 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_init (_tmp52_, G_TYPE_STRING);
#line 257 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_set_string (_tmp52_, "8<val_sep>8<val_sep>7");
#line 257 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		values = g_slist_append (values, _tmp52_);
#line 258 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp53_ = g_new0 (GValue, 1);
#line 258 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_init (_tmp53_, G_TYPE_INT);
#line 258 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_set_int (_tmp53_, 1);
#line 258 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		values = g_slist_append (values, _tmp53_);
#line 259 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp54_ = g_new0 (GValue, 1);
#line 259 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_init (_tmp54_, G_TYPE_INT);
#line 259 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_set_int (_tmp54_, 1);
#line 259 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		values = g_slist_append (values, _tmp54_);
#line 260 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp55_ = g_new0 (GValue, 1);
#line 260 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_init (_tmp55_, G_TYPE_INT);
#line 260 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_set_int (_tmp55_, 50);
#line 260 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		values = g_slist_append (values, _tmp55_);
#line 261 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp56_ = connection;
#line 261 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp57_ = col_names;
#line 261 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp58_ = values;
#line 261 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		gda_connection_insert_row_into_table_v (_tmp56_, NOISE_DATABASE_SMART_PLAYLISTS_TABLE_NAME, _tmp57_, _tmp58_, &_inner_error_);
#line 261 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 261 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			__g_slist_free___vala_GValue_free0_0 (values);
#line 261 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
			__g_slist_free__g_free0_0 (col_names);
#line 1623 "LocalSmartPlaylist.c"
			goto __catch63_g_error;
		}
#line 207 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		__g_slist_free___vala_GValue_free0_0 (values);
#line 207 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		__g_slist_free__g_free0_0 (col_names);
#line 1630 "LocalSmartPlaylist.c"
	}
	goto __finally63;
	__catch63_g_error:
	{
		GError* e = NULL;
		GError* _tmp59_ = NULL;
		const gchar* _tmp60_ = NULL;
#line 207 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		e = _inner_error_;
#line 207 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_inner_error_ = NULL;
#line 263 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp59_ = e;
#line 263 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp60_ = _tmp59_->message;
#line 263 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_critical ("LocalSmartPlaylist.vala:263: Could not initialize smart playlists: %s", _tmp60_);
#line 207 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_g_error_free0 (e);
#line 1650 "LocalSmartPlaylist.c"
	}
	__finally63:
#line 207 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 207 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 207 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_clear_error (&_inner_error_);
#line 207 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		return;
#line 1661 "LocalSmartPlaylist.c"
	}
}


static const gchar* noise_local_smart_playlist_real_get_name (NoisePlaylist* base) {
	const gchar* result;
	NoiseLocalSmartPlaylist* self;
	const gchar* _tmp0_ = NULL;
	gint64 _tmp2_ = 0LL;
	gint64 _tmp3_ = 0LL;
	GdaConnection* _tmp4_ = NULL;
	GValue* _tmp5_ = NULL;
	GValue* _tmp6_ = NULL;
	gchar* _tmp7_ = NULL;
	const gchar* _tmp8_ = NULL;
#line 39 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	self = (NoiseLocalSmartPlaylist*) base;
#line 40 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp0_ = self->priv->_name;
#line 40 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	if (_tmp0_ != NULL) {
#line 1683 "LocalSmartPlaylist.c"
		const gchar* _tmp1_ = NULL;
#line 41 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		_tmp1_ = self->priv->_name;
#line 41 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		result = _tmp1_;
#line 41 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		return result;
#line 1691 "LocalSmartPlaylist.c"
	}
#line 43 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp2_ = noise_playlist_get_rowid ((NoisePlaylist*) self);
#line 43 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp3_ = _tmp2_;
#line 43 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp4_ = self->priv->connection;
#line 43 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp5_ = noise_database_query_field (_tmp3_, _tmp4_, NOISE_DATABASE_SMART_PLAYLISTS_TABLE_NAME, "name");
#line 43 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp6_ = _tmp5_;
#line 43 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp7_ = g_value_dup_string (_tmp6_);
#line 43 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_g_free0 (self->priv->_name);
#line 43 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	self->priv->_name = _tmp7_;
#line 43 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	__vala_GValue_free0 (_tmp6_);
#line 44 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp8_ = self->priv->_name;
#line 44 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	result = _tmp8_;
#line 44 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	return result;
#line 1717 "LocalSmartPlaylist.c"
}


static void noise_local_smart_playlist_real_set_name (NoisePlaylist* base, const gchar* value) {
	NoiseLocalSmartPlaylist* self;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gint64 _tmp2_ = 0LL;
	gint64 _tmp3_ = 0LL;
	GdaConnection* _tmp4_ = NULL;
	const gchar* _tmp5_ = NULL;
	GValue _tmp6_ = {0};
#line 46 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	self = (NoiseLocalSmartPlaylist*) base;
#line 47 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp0_ = value;
#line 47 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 47 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_g_free0 (self->priv->_name);
#line 47 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	self->priv->_name = _tmp1_;
#line 48 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp2_ = noise_playlist_get_rowid ((NoisePlaylist*) self);
#line 48 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp3_ = _tmp2_;
#line 48 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp4_ = self->priv->connection;
#line 48 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp5_ = value;
#line 48 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	g_value_init (&_tmp6_, G_TYPE_STRING);
#line 48 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	g_value_set_string (&_tmp6_, _tmp5_);
#line 48 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	noise_database_set_field (_tmp3_, _tmp4_, NOISE_DATABASE_SMART_PLAYLISTS_TABLE_NAME, "name", &_tmp6_);
#line 48 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	G_IS_VALUE (&_tmp6_) ? (g_value_unset (&_tmp6_), NULL) : NULL;
#line 46 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	g_object_notify ((GObject *) self, "name");
#line 1758 "LocalSmartPlaylist.c"
}


static NoiseSmartPlaylistConditionalType noise_local_smart_playlist_real_get_conditional (NoiseSmartPlaylist* base) {
	NoiseSmartPlaylistConditionalType result;
	NoiseLocalSmartPlaylist* self;
	gint64 _tmp0_ = 0LL;
	gint64 _tmp1_ = 0LL;
	GdaConnection* _tmp2_ = NULL;
	GValue* _tmp3_ = NULL;
	GValue* _tmp4_ = NULL;
	gint _tmp5_ = 0;
	NoiseSmartPlaylistConditionalType _tmp6_ = 0;
#line 54 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	self = (NoiseLocalSmartPlaylist*) base;
#line 55 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp0_ = noise_playlist_get_rowid ((NoisePlaylist*) self);
#line 55 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp1_ = _tmp0_;
#line 55 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp2_ = self->priv->connection;
#line 55 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp3_ = noise_database_query_field (_tmp1_, _tmp2_, NOISE_DATABASE_SMART_PLAYLISTS_TABLE_NAME, "and_or");
#line 55 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp4_ = _tmp3_;
#line 55 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp5_ = g_value_get_int (_tmp4_);
#line 55 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp6_ = (NoiseSmartPlaylistConditionalType) _tmp5_;
#line 55 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	__vala_GValue_free0 (_tmp4_);
#line 55 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	result = _tmp6_;
#line 55 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	return result;
#line 1794 "LocalSmartPlaylist.c"
}


static void noise_local_smart_playlist_real_set_conditional (NoiseSmartPlaylist* base, NoiseSmartPlaylistConditionalType value) {
	NoiseLocalSmartPlaylist* self;
	gint64 _tmp0_ = 0LL;
	gint64 _tmp1_ = 0LL;
	GdaConnection* _tmp2_ = NULL;
	NoiseSmartPlaylistConditionalType _tmp3_ = 0;
	GValue _tmp4_ = {0};
#line 57 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	self = (NoiseLocalSmartPlaylist*) base;
#line 58 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp0_ = noise_playlist_get_rowid ((NoisePlaylist*) self);
#line 58 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp1_ = _tmp0_;
#line 58 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp2_ = self->priv->connection;
#line 58 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp3_ = value;
#line 58 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	g_value_init (&_tmp4_, NOISE_SMART_PLAYLIST_TYPE_CONDITIONAL_TYPE);
#line 58 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	g_value_set_enum (&_tmp4_, _tmp3_);
#line 58 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	noise_database_set_field (_tmp1_, _tmp2_, NOISE_DATABASE_SMART_PLAYLISTS_TABLE_NAME, "and_or", &_tmp4_);
#line 58 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	G_IS_VALUE (&_tmp4_) ? (g_value_unset (&_tmp4_), NULL) : NULL;
#line 57 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	g_object_notify ((GObject *) self, "conditional");
#line 1825 "LocalSmartPlaylist.c"
}


static guint noise_local_smart_playlist_real_get_limit_amount (NoiseSmartPlaylist* base) {
	guint result;
	NoiseLocalSmartPlaylist* self;
	gint64 _tmp0_ = 0LL;
	gint64 _tmp1_ = 0LL;
	GdaConnection* _tmp2_ = NULL;
	GValue* _tmp3_ = NULL;
	GValue* _tmp4_ = NULL;
	gint _tmp5_ = 0;
	guint _tmp6_ = 0U;
#line 63 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	self = (NoiseLocalSmartPlaylist*) base;
#line 64 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp0_ = noise_playlist_get_rowid ((NoisePlaylist*) self);
#line 64 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp1_ = _tmp0_;
#line 64 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp2_ = self->priv->connection;
#line 64 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp3_ = noise_database_query_field (_tmp1_, _tmp2_, NOISE_DATABASE_SMART_PLAYLISTS_TABLE_NAME, "limit_amount");
#line 64 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp4_ = _tmp3_;
#line 64 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp5_ = g_value_get_int (_tmp4_);
#line 64 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp6_ = (guint) _tmp5_;
#line 64 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	__vala_GValue_free0 (_tmp4_);
#line 64 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	result = _tmp6_;
#line 64 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	return result;
#line 1861 "LocalSmartPlaylist.c"
}


static void noise_local_smart_playlist_real_set_limit_amount (NoiseSmartPlaylist* base, guint value) {
	NoiseLocalSmartPlaylist* self;
	gint64 _tmp0_ = 0LL;
	gint64 _tmp1_ = 0LL;
	GdaConnection* _tmp2_ = NULL;
	guint _tmp3_ = 0U;
	GValue _tmp4_ = {0};
#line 66 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	self = (NoiseLocalSmartPlaylist*) base;
#line 67 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp0_ = noise_playlist_get_rowid ((NoisePlaylist*) self);
#line 67 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp1_ = _tmp0_;
#line 67 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp2_ = self->priv->connection;
#line 67 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp3_ = value;
#line 67 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	g_value_init (&_tmp4_, G_TYPE_UINT);
#line 67 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	g_value_set_uint (&_tmp4_, _tmp3_);
#line 67 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	noise_database_set_field (_tmp1_, _tmp2_, NOISE_DATABASE_SMART_PLAYLISTS_TABLE_NAME, "limit_amount", &_tmp4_);
#line 67 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	G_IS_VALUE (&_tmp4_) ? (g_value_unset (&_tmp4_), NULL) : NULL;
#line 66 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	g_object_notify ((GObject *) self, "limit-amount");
#line 1892 "LocalSmartPlaylist.c"
}


static gboolean noise_local_smart_playlist_real_get_limit (NoiseSmartPlaylist* base) {
	gboolean result;
	NoiseLocalSmartPlaylist* self;
	GValue* val = NULL;
	gint64 _tmp0_ = 0LL;
	gint64 _tmp1_ = 0LL;
	GdaConnection* _tmp2_ = NULL;
	GValue* _tmp3_ = NULL;
	gint _tmp4_ = 0;
#line 72 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	self = (NoiseLocalSmartPlaylist*) base;
#line 73 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp0_ = noise_playlist_get_rowid ((NoisePlaylist*) self);
#line 73 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp1_ = _tmp0_;
#line 73 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp2_ = self->priv->connection;
#line 73 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp3_ = noise_database_query_field (_tmp1_, _tmp2_, NOISE_DATABASE_SMART_PLAYLISTS_TABLE_NAME, "limited");
#line 73 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	val = _tmp3_;
#line 74 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp4_ = g_value_get_int (val);
#line 74 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	result = (gboolean) _tmp4_;
#line 74 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	__vala_GValue_free0 (val);
#line 74 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	return result;
#line 1925 "LocalSmartPlaylist.c"
}


static void noise_local_smart_playlist_real_set_limit (NoiseSmartPlaylist* base, gboolean value) {
	NoiseLocalSmartPlaylist* self;
	gint64 _tmp0_ = 0LL;
	gint64 _tmp1_ = 0LL;
	GdaConnection* _tmp2_ = NULL;
	gboolean _tmp3_ = FALSE;
	GValue _tmp4_ = {0};
#line 76 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	self = (NoiseLocalSmartPlaylist*) base;
#line 77 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp0_ = noise_playlist_get_rowid ((NoisePlaylist*) self);
#line 77 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp1_ = _tmp0_;
#line 77 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp2_ = self->priv->connection;
#line 77 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_tmp3_ = value;
#line 77 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	g_value_init (&_tmp4_, G_TYPE_BOOLEAN);
#line 77 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	g_value_set_boolean (&_tmp4_, _tmp3_);
#line 77 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	noise_database_set_field (_tmp1_, _tmp2_, NOISE_DATABASE_SMART_PLAYLISTS_TABLE_NAME, "limited", &_tmp4_);
#line 77 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	G_IS_VALUE (&_tmp4_) ? (g_value_unset (&_tmp4_), NULL) : NULL;
#line 76 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	g_object_notify ((GObject *) self, "limit");
#line 1956 "LocalSmartPlaylist.c"
}


static void noise_local_smart_playlist_class_init (NoiseLocalSmartPlaylistClass * klass) {
#line 29 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	noise_local_smart_playlist_parent_class = g_type_class_peek_parent (klass);
#line 29 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	g_type_class_add_private (klass, sizeof (NoiseLocalSmartPlaylistPrivate));
#line 29 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	((NoiseSmartPlaylistClass *) klass)->analyse_all = (void (*)(NoiseSmartPlaylist*)) noise_local_smart_playlist_real_analyse_all;
#line 29 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	((NoiseSmartPlaylistClass *) klass)->clear_queries = (void (*)(NoiseSmartPlaylist*)) noise_local_smart_playlist_real_clear_queries;
#line 29 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	((NoiseSmartPlaylistClass *) klass)->add_query = (void (*)(NoiseSmartPlaylist*, NoiseSmartQuery*)) noise_local_smart_playlist_real_add_query;
#line 29 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	((NoiseSmartPlaylistClass *) klass)->add_queries = (void (*)(NoiseSmartPlaylist*, GeeCollection*)) noise_local_smart_playlist_real_add_queries;
#line 29 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	NOISE_PLAYLIST_CLASS (klass)->get_name = noise_local_smart_playlist_real_get_name;
#line 29 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	NOISE_PLAYLIST_CLASS (klass)->set_name = noise_local_smart_playlist_real_set_name;
#line 29 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	NOISE_SMART_PLAYLIST_CLASS (klass)->get_conditional = noise_local_smart_playlist_real_get_conditional;
#line 29 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	NOISE_SMART_PLAYLIST_CLASS (klass)->set_conditional = noise_local_smart_playlist_real_set_conditional;
#line 29 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	NOISE_SMART_PLAYLIST_CLASS (klass)->get_limit_amount = noise_local_smart_playlist_real_get_limit_amount;
#line 29 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	NOISE_SMART_PLAYLIST_CLASS (klass)->set_limit_amount = noise_local_smart_playlist_real_set_limit_amount;
#line 29 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	NOISE_SMART_PLAYLIST_CLASS (klass)->get_limit = noise_local_smart_playlist_real_get_limit;
#line 29 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	NOISE_SMART_PLAYLIST_CLASS (klass)->set_limit = noise_local_smart_playlist_real_set_limit;
#line 29 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_noise_local_smart_playlist_get_property;
#line 29 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_noise_local_smart_playlist_set_property;
#line 29 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	G_OBJECT_CLASS (klass)->finalize = noise_local_smart_playlist_finalize;
#line 29 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_LOCAL_SMART_PLAYLIST_NAME, g_param_spec_string ("name", "name", "name", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 29 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_LOCAL_SMART_PLAYLIST_CONDITIONAL, g_param_spec_enum ("conditional", "conditional", "conditional", NOISE_SMART_PLAYLIST_TYPE_CONDITIONAL_TYPE, 0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 29 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_LOCAL_SMART_PLAYLIST_LIMIT_AMOUNT, g_param_spec_uint ("limit-amount", "limit-amount", "limit-amount", 0, G_MAXUINT, 0U, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 29 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_LOCAL_SMART_PLAYLIST_LIMIT, g_param_spec_boolean ("limit", "limit", "limit", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 2003 "LocalSmartPlaylist.c"
}


static void noise_local_smart_playlist_instance_init (NoiseLocalSmartPlaylist * self) {
#line 29 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	self->priv = NOISE_LOCAL_SMART_PLAYLIST_GET_PRIVATE (self);
#line 37 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	self->priv->_name = NULL;
#line 2012 "LocalSmartPlaylist.c"
}


static void noise_local_smart_playlist_finalize (GObject* obj) {
	NoiseLocalSmartPlaylist * self;
#line 29 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NOISE_TYPE_LOCAL_SMART_PLAYLIST, NoiseLocalSmartPlaylist);
#line 32 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_g_object_unref0 (self->priv->connection);
#line 37 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	_g_free0 (self->priv->_name);
#line 29 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	G_OBJECT_CLASS (noise_local_smart_playlist_parent_class)->finalize (obj);
#line 2026 "LocalSmartPlaylist.c"
}


GType noise_local_smart_playlist_get_type (void) {
	static volatile gsize noise_local_smart_playlist_type_id__volatile = 0;
	if (g_once_init_enter (&noise_local_smart_playlist_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NoiseLocalSmartPlaylistClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) noise_local_smart_playlist_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NoiseLocalSmartPlaylist), 0, (GInstanceInitFunc) noise_local_smart_playlist_instance_init, NULL };
		GType noise_local_smart_playlist_type_id;
		noise_local_smart_playlist_type_id = g_type_register_static (NOISE_TYPE_SMART_PLAYLIST, "NoiseLocalSmartPlaylist", &g_define_type_info, 0);
		g_once_init_leave (&noise_local_smart_playlist_type_id__volatile, noise_local_smart_playlist_type_id);
	}
	return noise_local_smart_playlist_type_id__volatile;
}


static void _vala_noise_local_smart_playlist_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	NoiseLocalSmartPlaylist * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NOISE_TYPE_LOCAL_SMART_PLAYLIST, NoiseLocalSmartPlaylist);
#line 29 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	switch (property_id) {
#line 29 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		case NOISE_LOCAL_SMART_PLAYLIST_NAME:
#line 29 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_set_string (value, noise_playlist_get_name ((NoisePlaylist*) self));
#line 29 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		break;
#line 29 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		case NOISE_LOCAL_SMART_PLAYLIST_CONDITIONAL:
#line 29 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_set_enum (value, noise_smart_playlist_get_conditional ((NoiseSmartPlaylist*) self));
#line 29 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		break;
#line 29 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		case NOISE_LOCAL_SMART_PLAYLIST_LIMIT_AMOUNT:
#line 29 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_set_uint (value, noise_smart_playlist_get_limit_amount ((NoiseSmartPlaylist*) self));
#line 29 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		break;
#line 29 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		case NOISE_LOCAL_SMART_PLAYLIST_LIMIT:
#line 29 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		g_value_set_boolean (value, noise_smart_playlist_get_limit ((NoiseSmartPlaylist*) self));
#line 29 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		break;
#line 2071 "LocalSmartPlaylist.c"
		default:
#line 29 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 29 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		break;
#line 2077 "LocalSmartPlaylist.c"
	}
}


static void _vala_noise_local_smart_playlist_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	NoiseLocalSmartPlaylist * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NOISE_TYPE_LOCAL_SMART_PLAYLIST, NoiseLocalSmartPlaylist);
#line 29 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
	switch (property_id) {
#line 29 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		case NOISE_LOCAL_SMART_PLAYLIST_NAME:
#line 29 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		noise_playlist_set_name ((NoisePlaylist*) self, g_value_get_string (value));
#line 29 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		break;
#line 29 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		case NOISE_LOCAL_SMART_PLAYLIST_CONDITIONAL:
#line 29 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		noise_smart_playlist_set_conditional ((NoiseSmartPlaylist*) self, g_value_get_enum (value));
#line 29 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		break;
#line 29 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		case NOISE_LOCAL_SMART_PLAYLIST_LIMIT_AMOUNT:
#line 29 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		noise_smart_playlist_set_limit_amount ((NoiseSmartPlaylist*) self, g_value_get_uint (value));
#line 29 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		break;
#line 29 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		case NOISE_LOCAL_SMART_PLAYLIST_LIMIT:
#line 29 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		noise_smart_playlist_set_limit ((NoiseSmartPlaylist*) self, g_value_get_boolean (value));
#line 29 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		break;
#line 2111 "LocalSmartPlaylist.c"
		default:
#line 29 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 29 "/builddir/build/BUILD/music-0.4.1/src/LocalBackend/LocalSmartPlaylist.vala"
		break;
#line 2117 "LocalSmartPlaylist.c"
	}
}


static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	if ((array != NULL) && (destroy_func != NULL)) {
		int i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}


static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}


static gint _vala_array_length (gpointer array) {
	int length;
	length = 0;
	if (array) {
		while (((gpointer*) array)[length]) {
			length++;
		}
	}
	return length;
}



