/* DeviceSummaryWidget.c generated by valac 0.34.9, the Vala compiler
 * generated from DeviceSummaryWidget.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2012-2017 elementary LLC. (https://elementary.io)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Noise authors hereby grant permission for non-GPL compatible
 * GStreamer plugins to be used and distributed together with GStreamer
 * and Noise. This permission is above and beyond the permissions granted
 * by the GPL license by which Noise is covered. If you modify this code
 * you may extend this exception to your version of the code, but you are not
 * obligated to do so. If you do not wish to do so, delete this exception
 * statement from your version.
 *
 * Authored by: Scott Ringwelski <sgringwe@mtu.edu>
 */

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <noise-core.h>
#include <granite.h>
#include <stdlib.h>
#include <string.h>
#include <float.h>
#include <math.h>
#include <glib/gi18n-lib.h>
#include <gio/gio.h>
#include <gee.h>
#include <pango/pango.h>


#define NOISE_TYPE_DEVICE_SUMMARY_WIDGET (noise_device_summary_widget_get_type ())
#define NOISE_DEVICE_SUMMARY_WIDGET(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_DEVICE_SUMMARY_WIDGET, NoiseDeviceSummaryWidget))
#define NOISE_DEVICE_SUMMARY_WIDGET_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_DEVICE_SUMMARY_WIDGET, NoiseDeviceSummaryWidgetClass))
#define NOISE_IS_DEVICE_SUMMARY_WIDGET(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_DEVICE_SUMMARY_WIDGET))
#define NOISE_IS_DEVICE_SUMMARY_WIDGET_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_DEVICE_SUMMARY_WIDGET))
#define NOISE_DEVICE_SUMMARY_WIDGET_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_DEVICE_SUMMARY_WIDGET, NoiseDeviceSummaryWidgetClass))

typedef struct _NoiseDeviceSummaryWidget NoiseDeviceSummaryWidget;
typedef struct _NoiseDeviceSummaryWidgetClass NoiseDeviceSummaryWidgetClass;
typedef struct _NoiseDeviceSummaryWidgetPrivate NoiseDeviceSummaryWidgetPrivate;

#define NOISE_TYPE_DEVICE_PREFERENCES (noise_device_preferences_get_type ())
#define NOISE_DEVICE_PREFERENCES(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_DEVICE_PREFERENCES, NoiseDevicePreferences))
#define NOISE_DEVICE_PREFERENCES_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_DEVICE_PREFERENCES, NoiseDevicePreferencesClass))
#define NOISE_IS_DEVICE_PREFERENCES(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_DEVICE_PREFERENCES))
#define NOISE_IS_DEVICE_PREFERENCES_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_DEVICE_PREFERENCES))
#define NOISE_DEVICE_PREFERENCES_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_DEVICE_PREFERENCES, NoiseDevicePreferencesClass))

typedef struct _NoiseDevicePreferences NoiseDevicePreferences;
typedef struct _NoiseDevicePreferencesClass NoiseDevicePreferencesClass;

#define TYPE_SPACE_WIDGET (space_widget_get_type ())
#define SPACE_WIDGET(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), TYPE_SPACE_WIDGET, SpaceWidget))
#define SPACE_WIDGET_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), TYPE_SPACE_WIDGET, SpaceWidgetClass))
#define IS_SPACE_WIDGET(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), TYPE_SPACE_WIDGET))
#define IS_SPACE_WIDGET_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), TYPE_SPACE_WIDGET))
#define SPACE_WIDGET_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), TYPE_SPACE_WIDGET, SpaceWidgetClass))

typedef struct _SpaceWidget SpaceWidget;
typedef struct _SpaceWidgetClass SpaceWidgetClass;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))

#define SPACE_WIDGET_TYPE_ITEM_COLOR (space_widget_item_color_get_type ())

#define NOISE_TYPE_SYNC_WARNING_DIALOG (noise_sync_warning_dialog_get_type ())
#define NOISE_SYNC_WARNING_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_SYNC_WARNING_DIALOG, NoiseSyncWarningDialog))
#define NOISE_SYNC_WARNING_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_SYNC_WARNING_DIALOG, NoiseSyncWarningDialogClass))
#define NOISE_IS_SYNC_WARNING_DIALOG(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_SYNC_WARNING_DIALOG))
#define NOISE_IS_SYNC_WARNING_DIALOG_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_SYNC_WARNING_DIALOG))
#define NOISE_SYNC_WARNING_DIALOG_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_SYNC_WARNING_DIALOG, NoiseSyncWarningDialogClass))

typedef struct _NoiseSyncWarningDialog NoiseSyncWarningDialog;
typedef struct _NoiseSyncWarningDialogClass NoiseSyncWarningDialogClass;

struct _NoiseDeviceSummaryWidget {
	GtkEventBox parent_instance;
	NoiseDeviceSummaryWidgetPrivate * priv;
};

struct _NoiseDeviceSummaryWidgetClass {
	GtkEventBoxClass parent_class;
};

struct _NoiseDeviceSummaryWidgetPrivate {
	NoiseDevice* dev;
	NoiseDevicePreferences* preferences;
	GtkGrid* main_grid;
	GtkEntry* device_name_entry;
	GtkSwitch* auto_sync_switch;
	GtkCheckButton* sync_music_check;
	GtkComboBox* sync_music_combobox;
	GtkListStore* music_list;
	GtkImage* device_image;
	SpaceWidget* space_widget;
	gint files_index;
	gint music_index;
};

typedef enum  {
	SPACE_WIDGET_ITEM_COLOR_BLUE,
	SPACE_WIDGET_ITEM_COLOR_ORANGE,
	SPACE_WIDGET_ITEM_COLOR_GREEN,
	SPACE_WIDGET_ITEM_COLOR_RED,
	SPACE_WIDGET_ITEM_COLOR_PURPLE,
	SPACE_WIDGET_ITEM_COLOR_GREY
} SpaceWidgetItemColor;


static gpointer noise_device_summary_widget_parent_class = NULL;

GType noise_device_summary_widget_get_type (void) G_GNUC_CONST;
GType noise_device_preferences_get_type (void) G_GNUC_CONST;
GType space_widget_get_type (void) G_GNUC_CONST;
#define NOISE_DEVICE_SUMMARY_WIDGET_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NOISE_TYPE_DEVICE_SUMMARY_WIDGET, NoiseDeviceSummaryWidgetPrivate))
enum  {
	NOISE_DEVICE_SUMMARY_WIDGET_DUMMY_PROPERTY
};
NoiseDeviceSummaryWidget* noise_device_summary_widget_new (NoiseDevice* d, NoiseDevicePreferences* preferences);
NoiseDeviceSummaryWidget* noise_device_summary_widget_construct (GType object_type, NoiseDevice* d, NoiseDevicePreferences* preferences);
void noise_device_summary_widget_build_ui (NoiseDeviceSummaryWidget* self);
SpaceWidget* space_widget_new (guint64 size);
SpaceWidget* space_widget_construct (GType object_type, guint64 size);
static void noise_device_summary_widget_setup_lists (NoiseDeviceSummaryWidget* self);
GType space_widget_item_color_get_type (void) G_GNUC_CONST;
gint space_widget_add_item (SpaceWidget* self, const gchar* name, guint64 size, SpaceWidgetItemColor color);
static void noise_device_summary_widget_refresh_space_widget (NoiseDeviceSummaryWidget* self);
void noise_device_summary_widget_refresh_lists (NoiseDeviceSummaryWidget* self);
gboolean noise_device_preferences_get_sync_when_mounted (NoiseDevicePreferences* self);
gboolean noise_device_preferences_get_sync_music (NoiseDevicePreferences* self);
gboolean noise_device_preferences_get_sync_all_music (NoiseDevicePreferences* self);
NoisePlaylist* noise_device_preferences_get_music_playlist (NoiseDevicePreferences* self);
void noise_device_preferences_set_music_playlist (NoiseDevicePreferences* self, NoisePlaylist* value);
void noise_device_preferences_set_sync_all_music (NoiseDevicePreferences* self, gboolean value);
static void noise_device_summary_widget_save_preferences (NoiseDeviceSummaryWidget* self);
static void _noise_device_summary_widget_save_preferences_g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self);
static void _noise_device_summary_widget_save_preferences_gtk_toggle_button_toggled (GtkToggleButton* _sender, gpointer self);
static void _noise_device_summary_widget_save_preferences_gtk_combo_box_changed (GtkComboBox* _sender, gpointer self);
static void noise_device_summary_widget_device_name_changed (NoiseDeviceSummaryWidget* self);
static void _noise_device_summary_widget_device_name_changed_gtk_editable_changed (GtkEditable* _sender, gpointer self);
void noise_device_summary_widget_sync_clicked (NoiseDeviceSummaryWidget* self);
static void _noise_device_summary_widget_sync_clicked_space_widget_sync_clicked (SpaceWidget* _sender, gpointer self);
static void noise_device_summary_widget_sync_finished (NoiseDeviceSummaryWidget* self);
static void _noise_device_summary_widget_sync_finished_noise_library_file_operations_done (NoiseLibrary* _sender, gpointer self);
static void __lambda128_ (NoiseDeviceSummaryWidget* self);
static void ___lambda128__noise_library_playlist_added (NoiseLibrary* _sender, NoiseStaticPlaylist* playlist, gpointer self);
static void __lambda129_ (NoiseDeviceSummaryWidget* self);
static void ___lambda129__noise_library_playlist_name_updated (NoiseLibrary* _sender, NoiseStaticPlaylist* playlist, gpointer self);
static void __lambda130_ (NoiseDeviceSummaryWidget* self);
static void ___lambda130__noise_library_playlist_removed (NoiseLibrary* _sender, NoiseStaticPlaylist* playlist, gpointer self);
static void __lambda131_ (NoiseDeviceSummaryWidget* self);
static void ___lambda131__noise_library_smartplaylist_added (NoiseLibrary* _sender, NoiseSmartPlaylist* smartplaylist, gpointer self);
static void __lambda132_ (NoiseDeviceSummaryWidget* self);
static void ___lambda132__noise_library_smartplaylist_name_updated (NoiseLibrary* _sender, NoiseSmartPlaylist* smartplaylist, gpointer self);
static void __lambda133_ (NoiseDeviceSummaryWidget* self);
static void ___lambda133__noise_library_smartplaylist_removed (NoiseLibrary* _sender, NoiseSmartPlaylist* smartplaylist, gpointer self);
void space_widget_update_item_size (SpaceWidget* self, gint index, guint64 size);
static gboolean noise_device_summary_widget_rowSeparatorFunc (NoiseDeviceSummaryWidget* self, GtkTreeModel* model, GtkTreeIter* iter);
static gboolean _noise_device_summary_widget_rowSeparatorFunc_gtk_tree_view_row_separator_func (GtkTreeModel* model, GtkTreeIter* iter, gpointer self);
static void _noise_device_summary_widget_refresh_lists_gtk_combo_box_popup (GtkComboBox* _sender, gpointer self);
void noise_device_preferences_set_sync_when_mounted (NoiseDevicePreferences* self, gboolean value);
void noise_device_preferences_set_sync_music (NoiseDevicePreferences* self, gboolean value);
gboolean noise_device_summary_widget_all_medias_selected (NoiseDeviceSummaryWidget* self);
void space_widget_set_sync_button_sensitive (SpaceWidget* self, gboolean val);
GType noise_sync_warning_dialog_get_type (void) G_GNUC_CONST;
NoiseSyncWarningDialog* noise_sync_warning_dialog_new (NoiseDevice* d, GeeCollection* to_sync, GeeCollection* removed);
NoiseSyncWarningDialog* noise_sync_warning_dialog_construct (GType object_type, NoiseDevice* d, GeeCollection* to_sync, GeeCollection* removed);
static void noise_device_summary_widget_finalize (GObject* obj);


static gpointer _g_object_ref0 (gpointer self) {
#line 49 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	return self ? g_object_ref (self) : NULL;
#line 191 "DeviceSummaryWidget.c"
}


NoiseDeviceSummaryWidget* noise_device_summary_widget_construct (GType object_type, NoiseDevice* d, NoiseDevicePreferences* preferences) {
	NoiseDeviceSummaryWidget * self = NULL;
	NoiseDevice* _tmp0_ = NULL;
	NoiseDevice* _tmp1_ = NULL;
	NoiseDevicePreferences* _tmp2_ = NULL;
	NoiseDevicePreferences* _tmp3_ = NULL;
#line 48 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	g_return_val_if_fail (d != NULL, NULL);
#line 48 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	g_return_val_if_fail (preferences != NULL, NULL);
#line 48 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	self = (NoiseDeviceSummaryWidget*) g_object_new (object_type, NULL);
#line 49 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp0_ = d;
#line 49 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 49 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_g_object_unref0 (self->priv->dev);
#line 49 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	self->priv->dev = _tmp1_;
#line 50 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp2_ = preferences;
#line 50 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp3_ = _g_object_ref0 (_tmp2_);
#line 50 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_g_object_unref0 (self->priv->preferences);
#line 50 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	self->priv->preferences = _tmp3_;
#line 51 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	noise_device_summary_widget_build_ui (self);
#line 48 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	return self;
#line 227 "DeviceSummaryWidget.c"
}


NoiseDeviceSummaryWidget* noise_device_summary_widget_new (NoiseDevice* d, NoiseDevicePreferences* preferences) {
#line 48 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	return noise_device_summary_widget_construct (NOISE_TYPE_DEVICE_SUMMARY_WIDGET, d, preferences);
#line 234 "DeviceSummaryWidget.c"
}


static void _noise_device_summary_widget_save_preferences_g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self) {
#line 166 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	noise_device_summary_widget_save_preferences ((NoiseDeviceSummaryWidget*) self);
#line 241 "DeviceSummaryWidget.c"
}


static void _noise_device_summary_widget_save_preferences_gtk_toggle_button_toggled (GtkToggleButton* _sender, gpointer self) {
#line 167 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	noise_device_summary_widget_save_preferences ((NoiseDeviceSummaryWidget*) self);
#line 248 "DeviceSummaryWidget.c"
}


static void _noise_device_summary_widget_save_preferences_gtk_combo_box_changed (GtkComboBox* _sender, gpointer self) {
#line 168 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	noise_device_summary_widget_save_preferences ((NoiseDeviceSummaryWidget*) self);
#line 255 "DeviceSummaryWidget.c"
}


static void _noise_device_summary_widget_device_name_changed_gtk_editable_changed (GtkEditable* _sender, gpointer self) {
#line 170 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	noise_device_summary_widget_device_name_changed ((NoiseDeviceSummaryWidget*) self);
#line 262 "DeviceSummaryWidget.c"
}


static void _noise_device_summary_widget_sync_clicked_space_widget_sync_clicked (SpaceWidget* _sender, gpointer self) {
#line 171 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	noise_device_summary_widget_sync_clicked ((NoiseDeviceSummaryWidget*) self);
#line 269 "DeviceSummaryWidget.c"
}


static void _noise_device_summary_widget_sync_finished_noise_library_file_operations_done (NoiseLibrary* _sender, gpointer self) {
#line 172 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	noise_device_summary_widget_sync_finished ((NoiseDeviceSummaryWidget*) self);
#line 276 "DeviceSummaryWidget.c"
}


static void __lambda128_ (NoiseDeviceSummaryWidget* self) {
#line 173 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	noise_device_summary_widget_refresh_lists (self);
#line 283 "DeviceSummaryWidget.c"
}


static void ___lambda128__noise_library_playlist_added (NoiseLibrary* _sender, NoiseStaticPlaylist* playlist, gpointer self) {
#line 173 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	__lambda128_ ((NoiseDeviceSummaryWidget*) self);
#line 290 "DeviceSummaryWidget.c"
}


static void __lambda129_ (NoiseDeviceSummaryWidget* self) {
#line 174 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	noise_device_summary_widget_refresh_lists (self);
#line 297 "DeviceSummaryWidget.c"
}


static void ___lambda129__noise_library_playlist_name_updated (NoiseLibrary* _sender, NoiseStaticPlaylist* playlist, gpointer self) {
#line 174 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	__lambda129_ ((NoiseDeviceSummaryWidget*) self);
#line 304 "DeviceSummaryWidget.c"
}


static void __lambda130_ (NoiseDeviceSummaryWidget* self) {
#line 175 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	noise_device_summary_widget_refresh_lists (self);
#line 311 "DeviceSummaryWidget.c"
}


static void ___lambda130__noise_library_playlist_removed (NoiseLibrary* _sender, NoiseStaticPlaylist* playlist, gpointer self) {
#line 175 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	__lambda130_ ((NoiseDeviceSummaryWidget*) self);
#line 318 "DeviceSummaryWidget.c"
}


static void __lambda131_ (NoiseDeviceSummaryWidget* self) {
#line 176 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	noise_device_summary_widget_refresh_lists (self);
#line 325 "DeviceSummaryWidget.c"
}


static void ___lambda131__noise_library_smartplaylist_added (NoiseLibrary* _sender, NoiseSmartPlaylist* smartplaylist, gpointer self) {
#line 176 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	__lambda131_ ((NoiseDeviceSummaryWidget*) self);
#line 332 "DeviceSummaryWidget.c"
}


static void __lambda132_ (NoiseDeviceSummaryWidget* self) {
#line 177 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	noise_device_summary_widget_refresh_lists (self);
#line 339 "DeviceSummaryWidget.c"
}


static void ___lambda132__noise_library_smartplaylist_name_updated (NoiseLibrary* _sender, NoiseSmartPlaylist* smartplaylist, gpointer self) {
#line 177 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	__lambda132_ ((NoiseDeviceSummaryWidget*) self);
#line 346 "DeviceSummaryWidget.c"
}


static void __lambda133_ (NoiseDeviceSummaryWidget* self) {
#line 178 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	noise_device_summary_widget_refresh_lists (self);
#line 353 "DeviceSummaryWidget.c"
}


static void ___lambda133__noise_library_smartplaylist_removed (NoiseLibrary* _sender, NoiseSmartPlaylist* smartplaylist, gpointer self) {
#line 178 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	__lambda133_ ((NoiseDeviceSummaryWidget*) self);
#line 360 "DeviceSummaryWidget.c"
}


void noise_device_summary_widget_build_ui (NoiseDeviceSummaryWidget* self) {
	GtkGrid* _tmp0_ = NULL;
	GtkStyleContext* _tmp1_ = NULL;
	GtkGrid* content_grid = NULL;
	GtkGrid* _tmp2_ = NULL;
	GtkGrid* _tmp3_ = NULL;
	GtkGrid* _tmp4_ = NULL;
	GtkGrid* _tmp5_ = NULL;
	GtkGrid* _tmp6_ = NULL;
	GtkGrid* _tmp7_ = NULL;
	gchar* _tmp8_ = NULL;
	NoiseDevice* _tmp9_ = NULL;
	gchar* _tmp10_ = NULL;
	GtkLabel* device_name_title_label = NULL;
	GtkLabel* _tmp12_ = NULL;
	GtkLabel* _tmp13_ = NULL;
	GtkLabel* _tmp14_ = NULL;
	GtkLabel* _tmp15_ = NULL;
	GtkLabel* _tmp16_ = NULL;
	gchar* _tmp17_ = NULL;
	NoiseDevice* _tmp18_ = NULL;
	gchar* _tmp19_ = NULL;
	GtkLabel* device_name_description_label = NULL;
	GtkLabel* _tmp21_ = NULL;
	GtkLabel* _tmp22_ = NULL;
	GtkLabel* _tmp23_ = NULL;
	GtkLabel* device_name_label = NULL;
	const gchar* _tmp24_ = NULL;
	GtkLabel* _tmp25_ = NULL;
	GtkLabel* _tmp26_ = NULL;
	GtkEntry* _tmp27_ = NULL;
	GtkEntry* _tmp28_ = NULL;
	const gchar* _tmp29_ = NULL;
	GtkLabel* auto_sync_label = NULL;
	const gchar* _tmp30_ = NULL;
	GtkLabel* _tmp31_ = NULL;
	GtkLabel* _tmp32_ = NULL;
	GtkSwitch* _tmp33_ = NULL;
	GtkGrid* auto_sync_container = NULL;
	GtkGrid* _tmp34_ = NULL;
	GtkGrid* _tmp35_ = NULL;
	GtkSwitch* _tmp36_ = NULL;
	GtkLabel* sync_options_label = NULL;
	const gchar* _tmp37_ = NULL;
	GtkLabel* _tmp38_ = NULL;
	GtkLabel* _tmp39_ = NULL;
	GtkCheckButton* _tmp40_ = NULL;
	GtkComboBox* _tmp41_ = NULL;
	GtkListStore* _tmp42_ = NULL;
	NoiseDevice* _tmp43_ = NULL;
	GIcon* _tmp44_ = NULL;
	GIcon* _tmp45_ = NULL;
	GtkImage* _tmp46_ = NULL;
	NoiseDevice* _tmp47_ = NULL;
	guint64 _tmp48_ = 0ULL;
	SpaceWidget* _tmp49_ = NULL;
	SpaceWidget* _tmp50_ = NULL;
	const gchar* _tmp51_ = NULL;
	gint _tmp52_ = 0;
	SpaceWidget* _tmp53_ = NULL;
	const gchar* _tmp54_ = NULL;
	gint _tmp55_ = 0;
	GtkLabel* _tmp56_ = NULL;
	const gchar* _tmp57_ = NULL;
	const gchar* _tmp58_ = NULL;
	GtkGrid* _tmp64_ = NULL;
	GtkLabel* _tmp65_ = NULL;
	GtkGrid* _tmp66_ = NULL;
	GtkLabel* _tmp67_ = NULL;
	GtkGrid* _tmp68_ = NULL;
	GtkEntry* _tmp69_ = NULL;
	GtkGrid* _tmp70_ = NULL;
	GtkLabel* _tmp71_ = NULL;
	GtkGrid* _tmp72_ = NULL;
	GtkGrid* _tmp73_ = NULL;
	GtkGrid* _tmp74_ = NULL;
	GtkLabel* _tmp75_ = NULL;
	GtkGrid* _tmp76_ = NULL;
	GtkCheckButton* _tmp77_ = NULL;
	GtkGrid* _tmp78_ = NULL;
	GtkComboBox* _tmp79_ = NULL;
	GtkLabel* fake_label_a = NULL;
	GtkLabel* _tmp80_ = NULL;
	GtkLabel* _tmp81_ = NULL;
	GtkGrid* _tmp82_ = NULL;
	GtkLabel* _tmp83_ = NULL;
	GtkLabel* fake_label_b = NULL;
	GtkLabel* _tmp84_ = NULL;
	GtkLabel* _tmp85_ = NULL;
	GtkGrid* _tmp86_ = NULL;
	GtkLabel* _tmp87_ = NULL;
	GtkGrid* _tmp88_ = NULL;
	GtkGrid* _tmp89_ = NULL;
	GtkGrid* _tmp90_ = NULL;
	SpaceWidget* _tmp91_ = NULL;
	GtkGrid* _tmp92_ = NULL;
	GtkGrid* _tmp93_ = NULL;
	GtkGrid* _tmp94_ = NULL;
	NoiseDevice* _tmp95_ = NULL;
	gchar* _tmp96_ = NULL;
	gchar* _tmp97_ = NULL;
	gboolean _tmp98_ = FALSE;
	GtkSwitch* _tmp103_ = NULL;
	NoiseDevicePreferences* _tmp104_ = NULL;
	gboolean _tmp105_ = FALSE;
	gboolean _tmp106_ = FALSE;
	GtkCheckButton* _tmp107_ = NULL;
	NoiseDevicePreferences* _tmp108_ = NULL;
	gboolean _tmp109_ = FALSE;
	gboolean _tmp110_ = FALSE;
	gboolean _tmp111_ = FALSE;
	NoiseDevicePreferences* _tmp112_ = NULL;
	gboolean _tmp113_ = FALSE;
	gboolean _tmp114_ = FALSE;
	GtkSwitch* _tmp133_ = NULL;
	GtkCheckButton* _tmp134_ = NULL;
	GtkComboBox* _tmp135_ = NULL;
	GtkEntry* _tmp136_ = NULL;
	SpaceWidget* _tmp137_ = NULL;
	NoiseDevice* _tmp138_ = NULL;
	NoiseLibrary* _tmp139_ = NULL;
	NoiseLibrary* _tmp140_ = NULL;
	NoiseLibrariesManager* _tmp141_ = NULL;
	NoiseLibrary* _tmp142_ = NULL;
	NoiseLibrariesManager* _tmp143_ = NULL;
	NoiseLibrary* _tmp144_ = NULL;
	NoiseLibrariesManager* _tmp145_ = NULL;
	NoiseLibrary* _tmp146_ = NULL;
	NoiseLibrariesManager* _tmp147_ = NULL;
	NoiseLibrary* _tmp148_ = NULL;
	NoiseLibrariesManager* _tmp149_ = NULL;
	NoiseLibrary* _tmp150_ = NULL;
	NoiseLibrariesManager* _tmp151_ = NULL;
	NoiseLibrary* _tmp152_ = NULL;
#line 54 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	g_return_if_fail (self != NULL);
#line 55 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp0_ = (GtkGrid*) gtk_grid_new ();
#line 55 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	g_object_ref_sink (_tmp0_);
#line 55 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_g_object_unref0 (self->priv->main_grid);
#line 55 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	self->priv->main_grid = _tmp0_;
#line 58 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp1_ = gtk_widget_get_style_context ((GtkWidget*) self);
#line 58 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	gtk_style_context_add_class (_tmp1_, GRANITE_STYLE_CLASS_CONTENT_VIEW);
#line 62 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp2_ = (GtkGrid*) gtk_grid_new ();
#line 62 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	g_object_ref_sink (_tmp2_);
#line 62 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	content_grid = _tmp2_;
#line 63 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp3_ = content_grid;
#line 63 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp3_, TRUE);
#line 64 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp4_ = content_grid;
#line 64 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	gtk_widget_set_vexpand ((GtkWidget*) _tmp4_, TRUE);
#line 65 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp5_ = content_grid;
#line 65 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	gtk_grid_set_row_spacing (_tmp5_, (guint) 6);
#line 66 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp6_ = content_grid;
#line 66 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	gtk_grid_set_column_spacing (_tmp6_, (guint) 12);
#line 67 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp7_ = content_grid;
#line 67 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	gtk_widget_set_margin_top ((GtkWidget*) _tmp7_, 12);
#line 69 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp9_ = self->priv->dev;
#line 69 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp10_ = noise_device_getDisplayName (_tmp9_);
#line 69 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp8_ = _tmp10_;
#line 69 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	if (_tmp8_ == NULL) {
#line 546 "DeviceSummaryWidget.c"
		gchar* _tmp11_ = NULL;
#line 69 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp11_ = g_strdup ("");
#line 69 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_g_free0 (_tmp8_);
#line 69 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp8_ = _tmp11_;
#line 554 "DeviceSummaryWidget.c"
	}
#line 69 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp12_ = (GtkLabel*) gtk_label_new (_tmp8_);
#line 69 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	g_object_ref_sink (_tmp12_);
#line 69 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	device_name_title_label = _tmp12_;
#line 70 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp13_ = device_name_title_label;
#line 70 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	gtk_misc_set_alignment ((GtkMisc*) _tmp13_, (gfloat) 1, 0.5f);
#line 71 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp14_ = device_name_title_label;
#line 71 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	g_object_set ((GtkWidget*) _tmp14_, "margin", 20, NULL);
#line 72 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp15_ = device_name_title_label;
#line 72 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	gtk_widget_set_margin_right ((GtkWidget*) _tmp15_, 0);
#line 73 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp16_ = device_name_title_label;
#line 73 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	granite_widgets_utils_apply_text_style_to_label (GRANITE_TEXT_STYLE_H1, _tmp16_);
#line 75 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp18_ = self->priv->dev;
#line 75 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp19_ = noise_device_get_fancy_description (_tmp18_);
#line 75 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp17_ = _tmp19_;
#line 75 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	if (_tmp17_ == NULL) {
#line 586 "DeviceSummaryWidget.c"
		gchar* _tmp20_ = NULL;
#line 75 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp20_ = g_strdup ("");
#line 75 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_g_free0 (_tmp17_);
#line 75 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp17_ = _tmp20_;
#line 594 "DeviceSummaryWidget.c"
	}
#line 75 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp21_ = (GtkLabel*) gtk_label_new (_tmp17_);
#line 75 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	g_object_ref_sink (_tmp21_);
#line 75 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	device_name_description_label = _tmp21_;
#line 76 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp22_ = device_name_description_label;
#line 76 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	gtk_misc_set_alignment ((GtkMisc*) _tmp22_, (gfloat) 0, 0.5f);
#line 77 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp23_ = device_name_description_label;
#line 77 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	granite_widgets_utils_apply_text_style_to_label (GRANITE_TEXT_STYLE_H2, _tmp23_);
#line 79 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp24_ = _ ("Device Name:");
#line 79 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp25_ = (GtkLabel*) gtk_label_new (_tmp24_);
#line 79 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	g_object_ref_sink (_tmp25_);
#line 79 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	device_name_label = _tmp25_;
#line 80 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp26_ = device_name_label;
#line 80 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	gtk_misc_set_alignment ((GtkMisc*) _tmp26_, (gfloat) 1, 0.5f);
#line 82 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp27_ = (GtkEntry*) gtk_entry_new ();
#line 82 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	g_object_ref_sink (_tmp27_);
#line 82 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_g_object_unref0 (self->priv->device_name_entry);
#line 82 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	self->priv->device_name_entry = _tmp27_;
#line 83 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp28_ = self->priv->device_name_entry;
#line 83 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp29_ = _ ("Device Name");
#line 83 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	gtk_entry_set_placeholder_text (_tmp28_, _tmp29_);
#line 85 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp30_ = _ ("Automatically sync when plugged in:");
#line 85 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp31_ = (GtkLabel*) gtk_label_new (_tmp30_);
#line 85 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	g_object_ref_sink (_tmp31_);
#line 85 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	auto_sync_label = _tmp31_;
#line 86 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp32_ = auto_sync_label;
#line 86 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	gtk_misc_set_alignment ((GtkMisc*) _tmp32_, (gfloat) 1, 0.5f);
#line 88 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp33_ = (GtkSwitch*) gtk_switch_new ();
#line 88 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	g_object_ref_sink (_tmp33_);
#line 88 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_g_object_unref0 (self->priv->auto_sync_switch);
#line 88 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	self->priv->auto_sync_switch = _tmp33_;
#line 89 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp34_ = (GtkGrid*) gtk_grid_new ();
#line 89 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	g_object_ref_sink (_tmp34_);
#line 89 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	auto_sync_container = _tmp34_;
#line 90 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp35_ = auto_sync_container;
#line 90 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp36_ = self->priv->auto_sync_switch;
#line 90 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	gtk_grid_attach (_tmp35_, (GtkWidget*) _tmp36_, 0, 0, 1, 1);
#line 92 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp37_ = _ ("Sync:");
#line 92 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp38_ = (GtkLabel*) gtk_label_new (_tmp37_);
#line 92 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	g_object_ref_sink (_tmp38_);
#line 92 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	sync_options_label = _tmp38_;
#line 93 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp39_ = sync_options_label;
#line 93 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	gtk_misc_set_alignment ((GtkMisc*) _tmp39_, (gfloat) 1, 0.5f);
#line 95 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp40_ = (GtkCheckButton*) gtk_check_button_new ();
#line 95 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	g_object_ref_sink (_tmp40_);
#line 95 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_g_object_unref0 (self->priv->sync_music_check);
#line 95 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	self->priv->sync_music_check = _tmp40_;
#line 96 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp41_ = (GtkComboBox*) gtk_combo_box_new ();
#line 96 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	g_object_ref_sink (_tmp41_);
#line 96 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_g_object_unref0 (self->priv->sync_music_combobox);
#line 96 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	self->priv->sync_music_combobox = _tmp41_;
#line 97 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp42_ = gtk_list_store_new (3, G_TYPE_OBJECT, G_TYPE_STRING, g_icon_get_type (), -1);
#line 97 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_g_object_unref0 (self->priv->music_list);
#line 97 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	self->priv->music_list = _tmp42_;
#line 99 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp43_ = self->priv->dev;
#line 99 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp44_ = noise_device_get_icon (_tmp43_);
#line 99 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp45_ = _tmp44_;
#line 99 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp46_ = (GtkImage*) gtk_image_new_from_gicon (_tmp45_, GTK_ICON_SIZE_DIALOG);
#line 99 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	g_object_ref_sink (_tmp46_);
#line 99 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_g_object_unref0 (self->priv->device_image);
#line 99 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	self->priv->device_image = _tmp46_;
#line 99 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_g_object_unref0 (_tmp45_);
#line 100 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp47_ = self->priv->dev;
#line 100 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp48_ = noise_device_get_capacity (_tmp47_);
#line 100 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp49_ = space_widget_new (_tmp48_);
#line 100 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	g_object_ref_sink (_tmp49_);
#line 100 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_g_object_unref0 (self->priv->space_widget);
#line 100 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	self->priv->space_widget = _tmp49_;
#line 102 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	noise_device_summary_widget_setup_lists (self);
#line 104 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp50_ = self->priv->space_widget;
#line 104 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp51_ = _ ("Other Files");
#line 104 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp52_ = space_widget_add_item (_tmp50_, _tmp51_, (guint64) 0, SPACE_WIDGET_ITEM_COLOR_GREEN);
#line 104 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	self->priv->files_index = _tmp52_;
#line 105 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp53_ = self->priv->space_widget;
#line 105 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp54_ = _ ("Music");
#line 105 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp55_ = space_widget_add_item (_tmp53_, _tmp54_, (guint64) 0, SPACE_WIDGET_ITEM_COLOR_BLUE);
#line 105 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	self->priv->music_index = _tmp55_;
#line 107 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	noise_device_summary_widget_refresh_space_widget (self);
#line 110 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp56_ = device_name_description_label;
#line 110 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp57_ = gtk_label_get_label (_tmp56_);
#line 110 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp58_ = _tmp57_;
#line 110 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	if (g_strcmp0 (_tmp58_, "") == 0) {
#line 758 "DeviceSummaryWidget.c"
		GtkGrid* _tmp59_ = NULL;
		GtkLabel* _tmp60_ = NULL;
		GtkLabel* _tmp61_ = NULL;
#line 111 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp59_ = content_grid;
#line 111 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp60_ = device_name_title_label;
#line 111 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		gtk_grid_attach (_tmp59_, (GtkWidget*) _tmp60_, 0, 0, 5, 1);
#line 112 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp61_ = device_name_title_label;
#line 112 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		gtk_misc_set_alignment ((GtkMisc*) _tmp61_, 0.5f, 0.5f);
#line 772 "DeviceSummaryWidget.c"
	} else {
		GtkGrid* _tmp62_ = NULL;
		GtkLabel* _tmp63_ = NULL;
#line 114 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp62_ = content_grid;
#line 114 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp63_ = device_name_title_label;
#line 114 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		gtk_grid_attach (_tmp62_, (GtkWidget*) _tmp63_, 0, 0, 2, 1);
#line 782 "DeviceSummaryWidget.c"
	}
#line 117 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp64_ = content_grid;
#line 117 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp65_ = device_name_description_label;
#line 117 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	gtk_grid_attach (_tmp64_, (GtkWidget*) _tmp65_, 2, 0, 3, 1);
#line 118 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp66_ = content_grid;
#line 118 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp67_ = device_name_label;
#line 118 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	gtk_grid_attach (_tmp66_, (GtkWidget*) _tmp67_, 1, 1, 1, 1);
#line 119 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp68_ = content_grid;
#line 119 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp69_ = self->priv->device_name_entry;
#line 119 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	gtk_grid_attach (_tmp68_, (GtkWidget*) _tmp69_, 2, 1, 2, 1);
#line 120 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp70_ = content_grid;
#line 120 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp71_ = auto_sync_label;
#line 120 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	gtk_grid_attach (_tmp70_, (GtkWidget*) _tmp71_, 1, 2, 1, 1);
#line 121 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp72_ = content_grid;
#line 121 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp73_ = auto_sync_container;
#line 121 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	gtk_grid_attach (_tmp72_, (GtkWidget*) _tmp73_, 2, 2, 2, 1);
#line 122 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp74_ = content_grid;
#line 122 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp75_ = sync_options_label;
#line 122 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	gtk_grid_attach (_tmp74_, (GtkWidget*) _tmp75_, 1, 3, 1, 1);
#line 123 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp76_ = content_grid;
#line 123 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp77_ = self->priv->sync_music_check;
#line 123 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	gtk_grid_attach (_tmp76_, (GtkWidget*) _tmp77_, 2, 3, 1, 1);
#line 124 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp78_ = content_grid;
#line 124 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp79_ = self->priv->sync_music_combobox;
#line 124 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	gtk_grid_attach (_tmp78_, (GtkWidget*) _tmp79_, 3, 3, 1, 1);
#line 127 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp80_ = (GtkLabel*) gtk_label_new ("");
#line 127 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	g_object_ref_sink (_tmp80_);
#line 127 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	fake_label_a = _tmp80_;
#line 128 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp81_ = fake_label_a;
#line 128 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp81_, TRUE);
#line 129 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp82_ = content_grid;
#line 129 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp83_ = fake_label_a;
#line 129 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	gtk_grid_attach (_tmp82_, (GtkWidget*) _tmp83_, 0, 0, 1, 1);
#line 131 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp84_ = (GtkLabel*) gtk_label_new ("");
#line 131 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	g_object_ref_sink (_tmp84_);
#line 131 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	fake_label_b = _tmp84_;
#line 132 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp85_ = fake_label_b;
#line 132 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp85_, TRUE);
#line 133 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp86_ = content_grid;
#line 133 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp87_ = fake_label_b;
#line 133 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	gtk_grid_attach (_tmp86_, (GtkWidget*) _tmp87_, 4, 0, 1, 1);
#line 136 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp88_ = self->priv->main_grid;
#line 136 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp89_ = content_grid;
#line 136 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	gtk_grid_attach (_tmp88_, (GtkWidget*) _tmp89_, 0, 0, 1, 1);
#line 137 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp90_ = self->priv->main_grid;
#line 137 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp91_ = self->priv->space_widget;
#line 137 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	gtk_grid_attach (_tmp90_, (GtkWidget*) _tmp91_, 0, 1, 1, 1);
#line 138 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp92_ = self->priv->main_grid;
#line 138 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	gtk_widget_set_hexpand ((GtkWidget*) _tmp92_, TRUE);
#line 139 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp93_ = self->priv->main_grid;
#line 139 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	gtk_widget_set_vexpand ((GtkWidget*) _tmp93_, TRUE);
#line 142 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp94_ = self->priv->main_grid;
#line 142 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp94_);
#line 144 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp95_ = self->priv->dev;
#line 144 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp96_ = noise_device_getDisplayName (_tmp95_);
#line 144 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp97_ = _tmp96_;
#line 144 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp98_ = g_strcmp0 (_tmp97_, "") != 0;
#line 144 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_g_free0 (_tmp97_);
#line 144 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	if (_tmp98_) {
#line 900 "DeviceSummaryWidget.c"
		GtkEntry* _tmp99_ = NULL;
		NoiseDevice* _tmp100_ = NULL;
		gchar* _tmp101_ = NULL;
		gchar* _tmp102_ = NULL;
#line 145 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp99_ = self->priv->device_name_entry;
#line 145 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp100_ = self->priv->dev;
#line 145 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp101_ = noise_device_getDisplayName (_tmp100_);
#line 145 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp102_ = _tmp101_;
#line 145 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		gtk_entry_set_text (_tmp99_, _tmp102_);
#line 145 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_g_free0 (_tmp102_);
#line 917 "DeviceSummaryWidget.c"
	}
#line 147 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	noise_device_summary_widget_refresh_lists (self);
#line 150 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp103_ = self->priv->auto_sync_switch;
#line 150 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp104_ = self->priv->preferences;
#line 150 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp105_ = noise_device_preferences_get_sync_when_mounted (_tmp104_);
#line 150 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp106_ = _tmp105_;
#line 150 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	gtk_switch_set_active (_tmp103_, _tmp106_);
#line 151 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp107_ = self->priv->sync_music_check;
#line 151 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp108_ = self->priv->preferences;
#line 151 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp109_ = noise_device_preferences_get_sync_music (_tmp108_);
#line 151 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp110_ = _tmp109_;
#line 151 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	gtk_toggle_button_set_active ((GtkToggleButton*) _tmp107_, _tmp110_);
#line 153 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp112_ = self->priv->preferences;
#line 153 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp113_ = noise_device_preferences_get_sync_all_music (_tmp112_);
#line 153 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp114_ = _tmp113_;
#line 153 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	if (_tmp114_) {
#line 153 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp111_ = TRUE;
#line 951 "DeviceSummaryWidget.c"
	} else {
		NoiseDevicePreferences* _tmp115_ = NULL;
		NoisePlaylist* _tmp116_ = NULL;
		NoisePlaylist* _tmp117_ = NULL;
		NoisePlaylist* _tmp118_ = NULL;
#line 153 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp115_ = self->priv->preferences;
#line 153 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp116_ = noise_device_preferences_get_music_playlist (_tmp115_);
#line 153 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp117_ = _tmp116_;
#line 153 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp118_ = _tmp117_;
#line 153 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp111_ = _tmp118_ == NULL;
#line 153 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_g_object_unref0 (_tmp118_);
#line 969 "DeviceSummaryWidget.c"
	}
#line 153 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	if (_tmp111_) {
#line 973 "DeviceSummaryWidget.c"
		GtkComboBox* _tmp119_ = NULL;
#line 154 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp119_ = self->priv->sync_music_combobox;
#line 154 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		gtk_combo_box_set_active (_tmp119_, 0);
#line 979 "DeviceSummaryWidget.c"
	} else {
		gboolean success = FALSE;
		GtkComboBox* _tmp120_ = NULL;
		NoiseDevicePreferences* _tmp121_ = NULL;
		NoisePlaylist* _tmp122_ = NULL;
		NoisePlaylist* _tmp123_ = NULL;
		NoisePlaylist* _tmp124_ = NULL;
		const gchar* _tmp125_ = NULL;
		const gchar* _tmp126_ = NULL;
		gboolean _tmp127_ = FALSE;
		gboolean _tmp128_ = FALSE;
		gboolean _tmp129_ = FALSE;
#line 156 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp120_ = self->priv->sync_music_combobox;
#line 156 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp121_ = self->priv->preferences;
#line 156 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp122_ = noise_device_preferences_get_music_playlist (_tmp121_);
#line 156 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp123_ = _tmp122_;
#line 156 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp124_ = _tmp123_;
#line 156 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp125_ = noise_playlist_get_name (_tmp124_);
#line 156 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp126_ = _tmp125_;
#line 156 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp127_ = gtk_combo_box_set_active_id (_tmp120_, _tmp126_);
#line 156 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp128_ = _tmp127_;
#line 156 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_g_object_unref0 (_tmp124_);
#line 156 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		success = _tmp128_;
#line 157 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp129_ = success;
#line 157 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		if (!_tmp129_) {
#line 1018 "DeviceSummaryWidget.c"
			NoiseDevicePreferences* _tmp130_ = NULL;
			NoiseDevicePreferences* _tmp131_ = NULL;
			GtkComboBox* _tmp132_ = NULL;
#line 159 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_tmp130_ = self->priv->preferences;
#line 159 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			noise_device_preferences_set_music_playlist (_tmp130_, NULL);
#line 160 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_tmp131_ = self->priv->preferences;
#line 160 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			noise_device_preferences_set_sync_all_music (_tmp131_, TRUE);
#line 161 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_tmp132_ = self->priv->sync_music_combobox;
#line 161 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			gtk_combo_box_set_active (_tmp132_, 0);
#line 1034 "DeviceSummaryWidget.c"
		}
	}
#line 166 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp133_ = self->priv->auto_sync_switch;
#line 166 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	g_signal_connect_object ((GObject*) _tmp133_, "notify::active", (GCallback) _noise_device_summary_widget_save_preferences_g_object_notify, self, 0);
#line 167 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp134_ = self->priv->sync_music_check;
#line 167 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	g_signal_connect_object ((GtkToggleButton*) _tmp134_, "toggled", (GCallback) _noise_device_summary_widget_save_preferences_gtk_toggle_button_toggled, self, 0);
#line 168 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp135_ = self->priv->sync_music_combobox;
#line 168 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	g_signal_connect_object (_tmp135_, "changed", (GCallback) _noise_device_summary_widget_save_preferences_gtk_combo_box_changed, self, 0);
#line 170 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp136_ = self->priv->device_name_entry;
#line 170 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	g_signal_connect_object ((GtkEditable*) _tmp136_, "changed", (GCallback) _noise_device_summary_widget_device_name_changed_gtk_editable_changed, self, 0);
#line 171 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp137_ = self->priv->space_widget;
#line 171 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	g_signal_connect_object (_tmp137_, "sync-clicked", (GCallback) _noise_device_summary_widget_sync_clicked_space_widget_sync_clicked, self, 0);
#line 172 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp138_ = self->priv->dev;
#line 172 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp139_ = noise_device_get_library (_tmp138_);
#line 172 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp140_ = _tmp139_;
#line 172 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	g_signal_connect_object (_tmp140_, "file-operations-done", (GCallback) _noise_device_summary_widget_sync_finished_noise_library_file_operations_done, self, 0);
#line 172 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_g_object_unref0 (_tmp140_);
#line 173 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp141_ = noise_libraries_manager;
#line 173 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp142_ = _tmp141_->local_library;
#line 173 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	g_signal_connect_object (_tmp142_, "playlist-added", (GCallback) ___lambda128__noise_library_playlist_added, self, 0);
#line 174 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp143_ = noise_libraries_manager;
#line 174 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp144_ = _tmp143_->local_library;
#line 174 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	g_signal_connect_object (_tmp144_, "playlist-name-updated", (GCallback) ___lambda129__noise_library_playlist_name_updated, self, 0);
#line 175 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp145_ = noise_libraries_manager;
#line 175 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp146_ = _tmp145_->local_library;
#line 175 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	g_signal_connect_object (_tmp146_, "playlist-removed", (GCallback) ___lambda130__noise_library_playlist_removed, self, 0);
#line 176 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp147_ = noise_libraries_manager;
#line 176 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp148_ = _tmp147_->local_library;
#line 176 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	g_signal_connect_object (_tmp148_, "smartplaylist-added", (GCallback) ___lambda131__noise_library_smartplaylist_added, self, 0);
#line 177 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp149_ = noise_libraries_manager;
#line 177 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp150_ = _tmp149_->local_library;
#line 177 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	g_signal_connect_object (_tmp150_, "smartplaylist-name-updated", (GCallback) ___lambda132__noise_library_smartplaylist_name_updated, self, 0);
#line 178 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp151_ = noise_libraries_manager;
#line 178 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp152_ = _tmp151_->local_library;
#line 178 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	g_signal_connect_object (_tmp152_, "smartplaylist-removed", (GCallback) ___lambda133__noise_library_smartplaylist_removed, self, 0);
#line 179 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	gtk_widget_show_all ((GtkWidget*) self);
#line 54 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_g_object_unref0 (fake_label_b);
#line 54 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_g_object_unref0 (fake_label_a);
#line 54 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_g_object_unref0 (sync_options_label);
#line 54 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_g_object_unref0 (auto_sync_container);
#line 54 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_g_object_unref0 (auto_sync_label);
#line 54 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_g_object_unref0 (device_name_label);
#line 54 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_g_object_unref0 (device_name_description_label);
#line 54 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_g_free0 (_tmp17_);
#line 54 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_g_object_unref0 (device_name_title_label);
#line 54 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_g_free0 (_tmp8_);
#line 54 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_g_object_unref0 (content_grid);
#line 1127 "DeviceSummaryWidget.c"
}


static void noise_device_summary_widget_refresh_space_widget (NoiseDeviceSummaryWidget* self) {
	guint64 other_files_size = 0ULL;
	guint64 music_size = 0ULL;
	NoiseDevice* _tmp16_ = NULL;
	guint64 _tmp17_ = 0ULL;
	guint64 _tmp18_ = 0ULL;
	SpaceWidget* _tmp19_ = NULL;
	gint _tmp20_ = 0;
	guint64 _tmp21_ = 0ULL;
	SpaceWidget* _tmp22_ = NULL;
	gint _tmp23_ = 0;
	guint64 _tmp24_ = 0ULL;
#line 182 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	g_return_if_fail (self != NULL);
#line 183 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	other_files_size = (guint64) 0;
#line 184 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	music_size = (guint64) 0;
#line 1149 "DeviceSummaryWidget.c"
	{
		GeeIterator* _m_it = NULL;
		NoiseDevice* _tmp0_ = NULL;
		NoiseLibrary* _tmp1_ = NULL;
		NoiseLibrary* _tmp2_ = NULL;
		GeeCollection* _tmp3_ = NULL;
		GeeCollection* _tmp4_ = NULL;
		GeeIterator* _tmp5_ = NULL;
		GeeIterator* _tmp6_ = NULL;
#line 185 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp0_ = self->priv->dev;
#line 185 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp1_ = noise_device_get_library (_tmp0_);
#line 185 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp2_ = _tmp1_;
#line 185 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp3_ = noise_library_get_medias (_tmp2_);
#line 185 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp4_ = _tmp3_;
#line 185 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp5_ = gee_iterable_iterator ((GeeIterable*) _tmp4_);
#line 185 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp6_ = _tmp5_;
#line 185 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_g_object_unref0 (_tmp4_);
#line 185 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_g_object_unref0 (_tmp2_);
#line 185 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_m_it = _tmp6_;
#line 185 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		while (TRUE) {
#line 1181 "DeviceSummaryWidget.c"
			GeeIterator* _tmp7_ = NULL;
			gboolean _tmp8_ = FALSE;
			NoiseMedia* m = NULL;
			GeeIterator* _tmp9_ = NULL;
			gpointer _tmp10_ = NULL;
			NoiseMedia* _tmp11_ = NULL;
#line 185 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_tmp7_ = _m_it;
#line 185 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_tmp8_ = gee_iterator_next (_tmp7_);
#line 185 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			if (!_tmp8_) {
#line 185 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				break;
#line 1196 "DeviceSummaryWidget.c"
			}
#line 185 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_tmp9_ = _m_it;
#line 185 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_tmp10_ = gee_iterator_get (_tmp9_);
#line 185 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			m = (NoiseMedia*) _tmp10_;
#line 186 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_tmp11_ = m;
#line 186 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			if (_tmp11_ != NULL) {
#line 1208 "DeviceSummaryWidget.c"
				guint64 _tmp12_ = 0ULL;
				NoiseMedia* _tmp13_ = NULL;
				guint64 _tmp14_ = 0ULL;
				guint64 _tmp15_ = 0ULL;
#line 187 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_tmp12_ = music_size;
#line 187 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_tmp13_ = m;
#line 187 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_tmp14_ = noise_media_get_file_size (_tmp13_);
#line 187 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_tmp15_ = _tmp14_;
#line 187 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				music_size = _tmp12_ + _tmp15_;
#line 1223 "DeviceSummaryWidget.c"
			}
#line 185 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_g_object_unref0 (m);
#line 1227 "DeviceSummaryWidget.c"
		}
#line 185 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_g_object_unref0 (_m_it);
#line 1231 "DeviceSummaryWidget.c"
	}
#line 189 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp16_ = self->priv->dev;
#line 189 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp17_ = noise_device_get_used_space (_tmp16_);
#line 189 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp18_ = music_size;
#line 189 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	other_files_size = _tmp17_ - _tmp18_;
#line 191 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp19_ = self->priv->space_widget;
#line 191 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp20_ = self->priv->music_index;
#line 191 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp21_ = music_size;
#line 191 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	space_widget_update_item_size (_tmp19_, _tmp20_, _tmp21_);
#line 192 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp22_ = self->priv->space_widget;
#line 192 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp23_ = self->priv->files_index;
#line 192 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp24_ = other_files_size;
#line 192 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	space_widget_update_item_size (_tmp22_, _tmp23_, _tmp24_);
#line 1257 "DeviceSummaryWidget.c"
}


static gboolean _noise_device_summary_widget_rowSeparatorFunc_gtk_tree_view_row_separator_func (GtkTreeModel* model, GtkTreeIter* iter, gpointer self) {
	gboolean result;
	result = noise_device_summary_widget_rowSeparatorFunc ((NoiseDeviceSummaryWidget*) self, model, iter);
#line 198 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	return result;
#line 1266 "DeviceSummaryWidget.c"
}


static void _noise_device_summary_widget_refresh_lists_gtk_combo_box_popup (GtkComboBox* _sender, gpointer self) {
#line 210 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	noise_device_summary_widget_refresh_lists ((NoiseDeviceSummaryWidget*) self);
#line 1273 "DeviceSummaryWidget.c"
}


static void noise_device_summary_widget_setup_lists (NoiseDeviceSummaryWidget* self) {
	GtkComboBox* _tmp0_ = NULL;
	GtkListStore* _tmp1_ = NULL;
	GtkComboBox* _tmp2_ = NULL;
	GtkComboBox* _tmp3_ = NULL;
	GtkCellRendererPixbuf* music_cell = NULL;
	GtkCellRendererPixbuf* _tmp4_ = NULL;
	GtkComboBox* _tmp5_ = NULL;
	GtkComboBox* _tmp6_ = NULL;
	GtkCellRendererText* cell = NULL;
	GtkCellRendererText* _tmp7_ = NULL;
	GtkComboBox* _tmp8_ = NULL;
	GtkComboBox* _tmp9_ = NULL;
	GtkComboBox* _tmp10_ = NULL;
	GtkComboBox* _tmp11_ = NULL;
#line 195 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	g_return_if_fail (self != NULL);
#line 196 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp0_ = self->priv->sync_music_combobox;
#line 196 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp1_ = self->priv->music_list;
#line 196 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	gtk_combo_box_set_model (_tmp0_, (GtkTreeModel*) _tmp1_);
#line 197 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp2_ = self->priv->sync_music_combobox;
#line 197 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	gtk_combo_box_set_id_column (_tmp2_, 1);
#line 198 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp3_ = self->priv->sync_music_combobox;
#line 198 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	gtk_combo_box_set_row_separator_func (_tmp3_, _noise_device_summary_widget_rowSeparatorFunc_gtk_tree_view_row_separator_func, g_object_ref (self), g_object_unref);
#line 200 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp4_ = (GtkCellRendererPixbuf*) gtk_cell_renderer_pixbuf_new ();
#line 200 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	g_object_ref_sink (_tmp4_);
#line 200 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	music_cell = _tmp4_;
#line 201 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	g_object_set (music_cell, "stock-size", (guint) GTK_ICON_SIZE_MENU, NULL);
#line 202 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp5_ = self->priv->sync_music_combobox;
#line 202 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	gtk_cell_layout_pack_start ((GtkCellLayout*) _tmp5_, (GtkCellRenderer*) music_cell, FALSE);
#line 203 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp6_ = self->priv->sync_music_combobox;
#line 203 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	gtk_cell_layout_add_attribute ((GtkCellLayout*) _tmp6_, (GtkCellRenderer*) music_cell, "gicon", 2);
#line 206 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp7_ = (GtkCellRendererText*) gtk_cell_renderer_text_new ();
#line 206 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	g_object_ref_sink (_tmp7_);
#line 206 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	cell = _tmp7_;
#line 207 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	g_object_set (cell, "ellipsize", PANGO_ELLIPSIZE_END, NULL);
#line 208 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp8_ = self->priv->sync_music_combobox;
#line 208 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	gtk_cell_layout_pack_start ((GtkCellLayout*) _tmp8_, (GtkCellRenderer*) cell, TRUE);
#line 209 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp9_ = self->priv->sync_music_combobox;
#line 209 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	gtk_cell_layout_add_attribute ((GtkCellLayout*) _tmp9_, (GtkCellRenderer*) cell, "text", 1);
#line 210 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp10_ = self->priv->sync_music_combobox;
#line 210 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	g_signal_connect_object (_tmp10_, "popup", (GCallback) _noise_device_summary_widget_refresh_lists_gtk_combo_box_popup, self, 0);
#line 211 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp11_ = self->priv->sync_music_combobox;
#line 211 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	gtk_combo_box_set_button_sensitivity (_tmp11_, GTK_SENSITIVITY_ON);
#line 195 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_g_object_unref0 (cell);
#line 195 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_g_object_unref0 (music_cell);
#line 1352 "DeviceSummaryWidget.c"
}


static gboolean noise_device_summary_widget_rowSeparatorFunc (NoiseDeviceSummaryWidget* self, GtkTreeModel* model, GtkTreeIter* iter) {
	gboolean result = FALSE;
	gchar* sep = NULL;
	gchar* _tmp0_ = NULL;
	GtkTreeModel* _tmp1_ = NULL;
	GtkTreeIter _tmp2_ = {0};
	const gchar* _tmp3_ = NULL;
#line 214 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 214 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	g_return_val_if_fail (model != NULL, FALSE);
#line 214 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	g_return_val_if_fail (iter != NULL, FALSE);
#line 215 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp0_ = g_strdup ("");
#line 215 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	sep = _tmp0_;
#line 216 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp1_ = model;
#line 216 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp2_ = *iter;
#line 216 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	gtk_tree_model_get (_tmp1_, &_tmp2_, 1, &sep, -1);
#line 217 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp3_ = sep;
#line 217 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	result = g_strcmp0 (_tmp3_, "<separator_item_unique_name>") == 0;
#line 217 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_g_free0 (sep);
#line 217 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	return result;
#line 1387 "DeviceSummaryWidget.c"
}


static void noise_device_summary_widget_device_name_changed (NoiseDeviceSummaryWidget* self) {
	NoiseDevice* _tmp0_ = NULL;
	GtkEntry* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
#line 220 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	g_return_if_fail (self != NULL);
#line 221 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp0_ = self->priv->dev;
#line 221 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp1_ = self->priv->device_name_entry;
#line 221 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp2_ = gtk_entry_get_text (_tmp1_);
#line 221 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp3_ = _tmp2_;
#line 221 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	noise_device_setDisplayName (_tmp0_, _tmp3_);
#line 1408 "DeviceSummaryWidget.c"
}


static void noise_device_summary_widget_save_preferences (NoiseDeviceSummaryWidget* self) {
	NoiseDevicePreferences* _tmp0_ = NULL;
	GtkSwitch* _tmp1_ = NULL;
	gboolean _tmp2_ = FALSE;
	gboolean _tmp3_ = FALSE;
	NoiseDevicePreferences* _tmp4_ = NULL;
	GtkCheckButton* _tmp5_ = NULL;
	gboolean _tmp6_ = FALSE;
	gboolean _tmp7_ = FALSE;
	NoiseDevicePreferences* _tmp8_ = NULL;
	GtkComboBox* _tmp9_ = NULL;
	gint _tmp10_ = 0;
	GtkTreeIter iter = {0};
	GtkComboBox* _tmp11_ = NULL;
	gint _tmp12_ = 0;
	GtkComboBox* _tmp21_ = NULL;
	GtkCheckButton* _tmp22_ = NULL;
	gboolean _tmp23_ = FALSE;
	gboolean _tmp24_ = FALSE;
#line 224 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	g_return_if_fail (self != NULL);
#line 225 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp0_ = self->priv->preferences;
#line 225 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp1_ = self->priv->auto_sync_switch;
#line 225 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp2_ = gtk_switch_get_active (_tmp1_);
#line 225 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp3_ = _tmp2_;
#line 225 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	noise_device_preferences_set_sync_when_mounted (_tmp0_, _tmp3_);
#line 226 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp4_ = self->priv->preferences;
#line 226 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp5_ = self->priv->sync_music_check;
#line 226 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp6_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp5_);
#line 226 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp7_ = _tmp6_;
#line 226 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	noise_device_preferences_set_sync_music (_tmp4_, _tmp7_);
#line 227 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp8_ = self->priv->preferences;
#line 227 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp9_ = self->priv->sync_music_combobox;
#line 227 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp10_ = gtk_combo_box_get_active (_tmp9_);
#line 227 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	noise_device_preferences_set_sync_all_music (_tmp8_, _tmp10_ == 0);
#line 229 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp11_ = self->priv->sync_music_combobox;
#line 229 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp12_ = gtk_combo_box_get_active (_tmp11_);
#line 229 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	if ((_tmp12_ - 2) >= 0) {
#line 1467 "DeviceSummaryWidget.c"
		GtkComboBox* _tmp13_ = NULL;
		GtkTreeIter _tmp14_ = {0};
		GValue value = {0};
		GtkListStore* _tmp15_ = NULL;
		GtkTreeIter _tmp16_ = {0};
		GValue _tmp17_ = {0};
		NoiseDevicePreferences* _tmp18_ = NULL;
		GObject* _tmp19_ = NULL;
		NoisePlaylist* _tmp20_ = NULL;
#line 230 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp13_ = self->priv->sync_music_combobox;
#line 230 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		gtk_combo_box_get_active_iter (_tmp13_, &_tmp14_);
#line 230 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		iter = _tmp14_;
#line 232 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp15_ = self->priv->music_list;
#line 232 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp16_ = iter;
#line 232 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		gtk_tree_model_get_value ((GtkTreeModel*) _tmp15_, &_tmp16_, 0, &_tmp17_);
#line 232 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		G_IS_VALUE (&value) ? (g_value_unset (&value), NULL) : NULL;
#line 232 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		value = _tmp17_;
#line 233 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp18_ = self->priv->preferences;
#line 233 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp19_ = g_value_dup_object (&value);
#line 233 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp20_ = G_TYPE_CHECK_INSTANCE_CAST (_tmp19_, NOISE_TYPE_PLAYLIST, NoisePlaylist);
#line 233 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		noise_device_preferences_set_music_playlist (_tmp18_, _tmp20_);
#line 233 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_g_object_unref0 (_tmp20_);
#line 229 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		G_IS_VALUE (&value) ? (g_value_unset (&value), NULL) : NULL;
#line 1505 "DeviceSummaryWidget.c"
	}
#line 236 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp21_ = self->priv->sync_music_combobox;
#line 236 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp22_ = self->priv->sync_music_check;
#line 236 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp23_ = gtk_toggle_button_get_active ((GtkToggleButton*) _tmp22_);
#line 236 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp24_ = _tmp23_;
#line 236 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp21_, _tmp24_);
#line 1517 "DeviceSummaryWidget.c"
}


gboolean noise_device_summary_widget_all_medias_selected (NoiseDeviceSummaryWidget* self) {
	gboolean result = FALSE;
#line 239 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 240 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	result = FALSE;
#line 240 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	return result;
#line 1529 "DeviceSummaryWidget.c"
}


void noise_device_summary_widget_refresh_lists (NoiseDeviceSummaryWidget* self) {
	GtkTreeIter iter = {0};
	NoisePlaylist* selected_playlist = NULL;
	GtkComboBox* _tmp0_ = NULL;
	gint _tmp1_ = 0;
	GtkListStore* _tmp8_ = NULL;
	GtkListStore* _tmp9_ = NULL;
	GtkTreeIter _tmp10_ = {0};
	GtkListStore* _tmp11_ = NULL;
	GtkTreeIter _tmp12_ = {0};
	const gchar* _tmp13_ = NULL;
	GThemedIcon* _tmp14_ = NULL;
	GThemedIcon* _tmp15_ = NULL;
	GtkListStore* _tmp16_ = NULL;
	GtkTreeIter _tmp17_ = {0};
	GtkListStore* _tmp18_ = NULL;
	GtkTreeIter _tmp19_ = {0};
	NoisePlaylist* _tmp71_ = NULL;
	GtkComboBox* _tmp73_ = NULL;
	NoiseDevicePreferences* _tmp74_ = NULL;
	gboolean _tmp75_ = FALSE;
	gboolean _tmp76_ = FALSE;
#line 243 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	g_return_if_fail (self != NULL);
#line 244 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	g_message ("DeviceSummaryWidget.vala:244: refreshing lists\n");
#line 247 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	selected_playlist = NULL;
#line 248 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp0_ = self->priv->sync_music_combobox;
#line 248 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp1_ = gtk_combo_box_get_active (_tmp0_);
#line 248 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	if ((_tmp1_ - 2) >= 0) {
#line 1567 "DeviceSummaryWidget.c"
		GtkComboBox* _tmp2_ = NULL;
		GtkTreeIter _tmp3_ = {0};
		GValue value = {0};
		GtkListStore* _tmp4_ = NULL;
		GtkTreeIter _tmp5_ = {0};
		GValue _tmp6_ = {0};
		GObject* _tmp7_ = NULL;
#line 249 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp2_ = self->priv->sync_music_combobox;
#line 249 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		gtk_combo_box_get_active_iter (_tmp2_, &_tmp3_);
#line 249 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		iter = _tmp3_;
#line 251 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp4_ = self->priv->music_list;
#line 251 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp5_ = iter;
#line 251 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		gtk_tree_model_get_value ((GtkTreeModel*) _tmp4_, &_tmp5_, 0, &_tmp6_);
#line 251 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		G_IS_VALUE (&value) ? (g_value_unset (&value), NULL) : NULL;
#line 251 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		value = _tmp6_;
#line 252 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp7_ = g_value_dup_object (&value);
#line 252 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_g_object_unref0 (selected_playlist);
#line 252 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		selected_playlist = G_TYPE_CHECK_INSTANCE_CAST (_tmp7_, NOISE_TYPE_PLAYLIST, NoisePlaylist);
#line 248 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		G_IS_VALUE (&value) ? (g_value_unset (&value), NULL) : NULL;
#line 1599 "DeviceSummaryWidget.c"
	}
#line 255 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp8_ = self->priv->music_list;
#line 255 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	gtk_list_store_clear (_tmp8_);
#line 258 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp9_ = self->priv->music_list;
#line 258 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	gtk_list_store_append (_tmp9_, &_tmp10_);
#line 258 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	iter = _tmp10_;
#line 259 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp11_ = self->priv->music_list;
#line 259 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp12_ = iter;
#line 259 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp13_ = _ ("All Music");
#line 259 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp14_ = (GThemedIcon*) g_themed_icon_new ("library-music");
#line 259 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp15_ = _tmp14_;
#line 259 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	gtk_list_store_set (_tmp11_, &_tmp12_, 0, NULL, 1, _tmp13_, 2, _tmp15_, -1);
#line 259 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_g_object_unref0 (_tmp15_);
#line 262 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp16_ = self->priv->music_list;
#line 262 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	gtk_list_store_append (_tmp16_, &_tmp17_);
#line 262 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	iter = _tmp17_;
#line 263 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp18_ = self->priv->music_list;
#line 263 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp19_ = iter;
#line 263 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	gtk_list_store_set (_tmp18_, &_tmp19_, 0, NULL, 1, "<separator_item_unique_name>", -1);
#line 1637 "DeviceSummaryWidget.c"
	{
		GeeIterator* _p_it = NULL;
		NoiseLibrariesManager* _tmp20_ = NULL;
		NoiseLibrary* _tmp21_ = NULL;
		GeeCollection* _tmp22_ = NULL;
		GeeCollection* _tmp23_ = NULL;
		GeeIterator* _tmp24_ = NULL;
		GeeIterator* _tmp25_ = NULL;
#line 266 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp20_ = noise_libraries_manager;
#line 266 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp21_ = _tmp20_->local_library;
#line 266 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp22_ = noise_library_get_smart_playlists (_tmp21_);
#line 266 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp23_ = _tmp22_;
#line 266 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp24_ = gee_iterable_iterator ((GeeIterable*) _tmp23_);
#line 266 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp25_ = _tmp24_;
#line 266 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_g_object_unref0 (_tmp23_);
#line 266 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_p_it = _tmp25_;
#line 266 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		while (TRUE) {
#line 1664 "DeviceSummaryWidget.c"
			GeeIterator* _tmp26_ = NULL;
			gboolean _tmp27_ = FALSE;
			NoiseSmartPlaylist* p = NULL;
			GeeIterator* _tmp28_ = NULL;
			gpointer _tmp29_ = NULL;
			GtkListStore* _tmp30_ = NULL;
			GtkTreeIter _tmp31_ = {0};
			GtkListStore* _tmp32_ = NULL;
			GtkTreeIter _tmp33_ = {0};
			NoiseSmartPlaylist* _tmp34_ = NULL;
			NoiseSmartPlaylist* _tmp35_ = NULL;
			const gchar* _tmp36_ = NULL;
			const gchar* _tmp37_ = NULL;
			NoiseSmartPlaylist* _tmp38_ = NULL;
			GIcon* _tmp39_ = NULL;
			NoisePlaylist* _tmp40_ = NULL;
			NoiseSmartPlaylist* _tmp41_ = NULL;
#line 266 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_tmp26_ = _p_it;
#line 266 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_tmp27_ = gee_iterator_next (_tmp26_);
#line 266 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			if (!_tmp27_) {
#line 266 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				break;
#line 1690 "DeviceSummaryWidget.c"
			}
#line 266 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_tmp28_ = _p_it;
#line 266 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_tmp29_ = gee_iterator_get (_tmp28_);
#line 266 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			p = (NoiseSmartPlaylist*) _tmp29_;
#line 267 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_tmp30_ = self->priv->music_list;
#line 267 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			gtk_list_store_append (_tmp30_, &_tmp31_);
#line 267 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			iter = _tmp31_;
#line 268 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_tmp32_ = self->priv->music_list;
#line 268 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_tmp33_ = iter;
#line 268 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_tmp34_ = p;
#line 268 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_tmp35_ = p;
#line 268 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_tmp36_ = noise_playlist_get_name ((NoisePlaylist*) _tmp35_);
#line 268 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_tmp37_ = _tmp36_;
#line 268 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_tmp38_ = p;
#line 268 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_tmp39_ = ((NoisePlaylist*) _tmp38_)->icon;
#line 268 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			gtk_list_store_set (_tmp32_, &_tmp33_, 0, _tmp34_, 1, _tmp37_, 2, _tmp39_, -1);
#line 269 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_tmp40_ = selected_playlist;
#line 269 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_tmp41_ = p;
#line 269 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			if (_tmp40_ == G_TYPE_CHECK_INSTANCE_CAST (_tmp41_, NOISE_TYPE_PLAYLIST, NoisePlaylist)) {
#line 1728 "DeviceSummaryWidget.c"
				GtkComboBox* _tmp42_ = NULL;
				GtkTreeIter _tmp43_ = {0};
#line 270 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_tmp42_ = self->priv->sync_music_combobox;
#line 270 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_tmp43_ = iter;
#line 270 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				gtk_combo_box_set_active_iter (_tmp42_, &_tmp43_);
#line 1737 "DeviceSummaryWidget.c"
			}
#line 266 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_g_object_unref0 (p);
#line 1741 "DeviceSummaryWidget.c"
		}
#line 266 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_g_object_unref0 (_p_it);
#line 1745 "DeviceSummaryWidget.c"
	}
	{
		GeeIterator* _p_it = NULL;
		NoiseLibrariesManager* _tmp44_ = NULL;
		NoiseLibrary* _tmp45_ = NULL;
		GeeCollection* _tmp46_ = NULL;
		GeeCollection* _tmp47_ = NULL;
		GeeIterator* _tmp48_ = NULL;
		GeeIterator* _tmp49_ = NULL;
#line 274 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp44_ = noise_libraries_manager;
#line 274 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp45_ = _tmp44_->local_library;
#line 274 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp46_ = noise_library_get_playlists (_tmp45_);
#line 274 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp47_ = _tmp46_;
#line 274 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp48_ = gee_iterable_iterator ((GeeIterable*) _tmp47_);
#line 274 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp49_ = _tmp48_;
#line 274 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_g_object_unref0 (_tmp47_);
#line 274 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_p_it = _tmp49_;
#line 274 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		while (TRUE) {
#line 1773 "DeviceSummaryWidget.c"
			GeeIterator* _tmp50_ = NULL;
			gboolean _tmp51_ = FALSE;
			NoiseStaticPlaylist* p = NULL;
			GeeIterator* _tmp52_ = NULL;
			gpointer _tmp53_ = NULL;
			NoiseStaticPlaylist* _tmp54_ = NULL;
			gboolean _tmp55_ = FALSE;
			gboolean _tmp56_ = FALSE;
#line 274 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_tmp50_ = _p_it;
#line 274 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_tmp51_ = gee_iterator_next (_tmp50_);
#line 274 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			if (!_tmp51_) {
#line 274 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				break;
#line 1790 "DeviceSummaryWidget.c"
			}
#line 274 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_tmp52_ = _p_it;
#line 274 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_tmp53_ = gee_iterator_get (_tmp52_);
#line 274 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			p = (NoiseStaticPlaylist*) _tmp53_;
#line 275 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_tmp54_ = p;
#line 275 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_tmp55_ = noise_static_playlist_get_read_only (_tmp54_);
#line 275 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_tmp56_ = _tmp55_;
#line 275 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			if (_tmp56_ == FALSE) {
#line 1806 "DeviceSummaryWidget.c"
				GtkListStore* _tmp57_ = NULL;
				GtkTreeIter _tmp58_ = {0};
				GtkListStore* _tmp59_ = NULL;
				GtkTreeIter _tmp60_ = {0};
				NoiseStaticPlaylist* _tmp61_ = NULL;
				NoiseStaticPlaylist* _tmp62_ = NULL;
				const gchar* _tmp63_ = NULL;
				const gchar* _tmp64_ = NULL;
				NoiseStaticPlaylist* _tmp65_ = NULL;
				GIcon* _tmp66_ = NULL;
				NoisePlaylist* _tmp67_ = NULL;
				NoiseStaticPlaylist* _tmp68_ = NULL;
#line 276 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_tmp57_ = self->priv->music_list;
#line 276 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				gtk_list_store_append (_tmp57_, &_tmp58_);
#line 276 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				iter = _tmp58_;
#line 277 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_tmp59_ = self->priv->music_list;
#line 277 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_tmp60_ = iter;
#line 277 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_tmp61_ = p;
#line 277 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_tmp62_ = p;
#line 277 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_tmp63_ = noise_playlist_get_name ((NoisePlaylist*) _tmp62_);
#line 277 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_tmp64_ = _tmp63_;
#line 277 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_tmp65_ = p;
#line 277 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_tmp66_ = ((NoisePlaylist*) _tmp65_)->icon;
#line 277 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				gtk_list_store_set (_tmp59_, &_tmp60_, 0, _tmp61_, 1, _tmp64_, 2, _tmp66_, -1);
#line 278 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_tmp67_ = selected_playlist;
#line 278 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_tmp68_ = p;
#line 278 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				if (_tmp67_ == G_TYPE_CHECK_INSTANCE_CAST (_tmp68_, NOISE_TYPE_PLAYLIST, NoisePlaylist)) {
#line 1849 "DeviceSummaryWidget.c"
					GtkComboBox* _tmp69_ = NULL;
					GtkTreeIter _tmp70_ = {0};
#line 279 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
					_tmp69_ = self->priv->sync_music_combobox;
#line 279 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
					_tmp70_ = iter;
#line 279 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
					gtk_combo_box_set_active_iter (_tmp69_, &_tmp70_);
#line 1858 "DeviceSummaryWidget.c"
				}
			}
#line 274 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_g_object_unref0 (p);
#line 1863 "DeviceSummaryWidget.c"
		}
#line 274 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_g_object_unref0 (_p_it);
#line 1867 "DeviceSummaryWidget.c"
	}
#line 284 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp71_ = selected_playlist;
#line 284 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	if (_tmp71_ == NULL) {
#line 1873 "DeviceSummaryWidget.c"
		GtkComboBox* _tmp72_ = NULL;
#line 285 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp72_ = self->priv->sync_music_combobox;
#line 285 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		gtk_combo_box_set_active (_tmp72_, 0);
#line 1879 "DeviceSummaryWidget.c"
	}
#line 287 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	g_message ("DeviceSummaryWidget.vala:287: setting sensitivity\n");
#line 288 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp73_ = self->priv->sync_music_combobox;
#line 288 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp74_ = self->priv->preferences;
#line 288 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp75_ = noise_device_preferences_get_sync_music (_tmp74_);
#line 288 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp76_ = _tmp75_;
#line 288 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	gtk_widget_set_sensitive ((GtkWidget*) _tmp73_, _tmp76_);
#line 243 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_g_object_unref0 (selected_playlist);
#line 1895 "DeviceSummaryWidget.c"
}


static void noise_device_summary_widget_sync_finished (NoiseDeviceSummaryWidget* self) {
	SpaceWidget* _tmp0_ = NULL;
#line 291 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	g_return_if_fail (self != NULL);
#line 292 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	noise_device_summary_widget_refresh_space_widget (self);
#line 293 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp0_ = self->priv->space_widget;
#line 293 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	space_widget_set_sync_button_sensitive (_tmp0_, TRUE);
#line 1909 "DeviceSummaryWidget.c"
}


void noise_device_summary_widget_sync_clicked (NoiseDeviceSummaryWidget* self) {
	GeeTreeSet* list = NULL;
	GeeTreeSet* _tmp0_ = NULL;
	NoiseDevicePreferences* _tmp1_ = NULL;
	gboolean _tmp2_ = FALSE;
	gboolean _tmp3_ = FALSE;
	gboolean fits = FALSE;
	NoiseDevice* _tmp63_ = NULL;
	GeeTreeSet* _tmp64_ = NULL;
	gboolean _tmp65_ = FALSE;
	gboolean _tmp66_ = FALSE;
#line 296 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	g_return_if_fail (self != NULL);
#line 297 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp0_ = gee_tree_set_new (NOISE_TYPE_MEDIA, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 297 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	list = _tmp0_;
#line 299 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp1_ = self->priv->preferences;
#line 299 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp2_ = noise_device_preferences_get_sync_music (_tmp1_);
#line 299 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp3_ = _tmp2_;
#line 299 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	if (_tmp3_) {
#line 1938 "DeviceSummaryWidget.c"
		NoiseDevicePreferences* _tmp4_ = NULL;
		gboolean _tmp5_ = FALSE;
		gboolean _tmp6_ = FALSE;
#line 300 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp4_ = self->priv->preferences;
#line 300 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp5_ = noise_device_preferences_get_sync_all_music (_tmp4_);
#line 300 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp6_ = _tmp5_;
#line 300 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		if (_tmp6_) {
#line 1950 "DeviceSummaryWidget.c"
			{
				GeeIterator* _s_it = NULL;
				NoiseLibrariesManager* _tmp7_ = NULL;
				NoiseLibrary* _tmp8_ = NULL;
				GeeCollection* _tmp9_ = NULL;
				GeeCollection* _tmp10_ = NULL;
				GeeIterator* _tmp11_ = NULL;
				GeeIterator* _tmp12_ = NULL;
#line 301 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_tmp7_ = noise_libraries_manager;
#line 301 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_tmp8_ = _tmp7_->local_library;
#line 301 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_tmp9_ = noise_library_get_medias (_tmp8_);
#line 301 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_tmp10_ = _tmp9_;
#line 301 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_tmp11_ = gee_iterable_iterator ((GeeIterable*) _tmp10_);
#line 301 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_tmp12_ = _tmp11_;
#line 301 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_g_object_unref0 (_tmp10_);
#line 301 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_s_it = _tmp12_;
#line 301 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				while (TRUE) {
#line 1977 "DeviceSummaryWidget.c"
					GeeIterator* _tmp13_ = NULL;
					gboolean _tmp14_ = FALSE;
					NoiseMedia* s = NULL;
					GeeIterator* _tmp15_ = NULL;
					gpointer _tmp16_ = NULL;
					NoiseMedia* _tmp17_ = NULL;
					gboolean _tmp18_ = FALSE;
					gboolean _tmp19_ = FALSE;
#line 301 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
					_tmp13_ = _s_it;
#line 301 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
					_tmp14_ = gee_iterator_next (_tmp13_);
#line 301 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
					if (!_tmp14_) {
#line 301 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
						break;
#line 1994 "DeviceSummaryWidget.c"
					}
#line 301 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
					_tmp15_ = _s_it;
#line 301 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
					_tmp16_ = gee_iterator_get (_tmp15_);
#line 301 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
					s = (NoiseMedia*) _tmp16_;
#line 302 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
					_tmp17_ = s;
#line 302 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
					_tmp18_ = noise_media_get_isTemporary (_tmp17_);
#line 302 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
					_tmp19_ = _tmp18_;
#line 302 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
					if (_tmp19_ == FALSE) {
#line 2010 "DeviceSummaryWidget.c"
						GeeTreeSet* _tmp20_ = NULL;
						NoiseMedia* _tmp21_ = NULL;
#line 303 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
						_tmp20_ = list;
#line 303 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
						_tmp21_ = s;
#line 303 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
						gee_abstract_collection_add ((GeeAbstractCollection*) _tmp20_, _tmp21_);
#line 2019 "DeviceSummaryWidget.c"
					}
#line 301 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
					_g_object_unref0 (s);
#line 2023 "DeviceSummaryWidget.c"
				}
#line 301 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_g_object_unref0 (_s_it);
#line 2027 "DeviceSummaryWidget.c"
			}
		} else {
			NoisePlaylist* p = NULL;
			NoiseDevicePreferences* _tmp22_ = NULL;
			NoisePlaylist* _tmp23_ = NULL;
			NoisePlaylist* _tmp24_ = NULL;
			NoisePlaylist* _tmp25_ = NULL;
#line 306 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_tmp22_ = self->priv->preferences;
#line 306 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_tmp23_ = noise_device_preferences_get_music_playlist (_tmp22_);
#line 306 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_tmp24_ = _tmp23_;
#line 306 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			p = _tmp24_;
#line 308 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_tmp25_ = p;
#line 308 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			if (_tmp25_ != NULL) {
#line 2047 "DeviceSummaryWidget.c"
				{
					GeeIterator* _m_it = NULL;
					NoisePlaylist* _tmp26_ = NULL;
					GeeArrayQueue* _tmp27_ = NULL;
					GeeArrayQueue* _tmp28_ = NULL;
					GeeIterator* _tmp29_ = NULL;
#line 309 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
					_tmp26_ = p;
#line 309 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
					_tmp27_ = noise_playlist_get_medias (_tmp26_);
#line 309 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
					_tmp28_ = _tmp27_;
#line 309 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
					_tmp29_ = gee_abstract_collection_iterator ((GeeAbstractCollection*) _tmp28_);
#line 309 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
					_m_it = _tmp29_;
#line 309 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
					while (TRUE) {
#line 2066 "DeviceSummaryWidget.c"
						GeeIterator* _tmp30_ = NULL;
						gboolean _tmp31_ = FALSE;
						NoiseMedia* m = NULL;
						GeeIterator* _tmp32_ = NULL;
						gpointer _tmp33_ = NULL;
						NoiseMedia* _tmp34_ = NULL;
#line 309 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
						_tmp30_ = _m_it;
#line 309 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
						_tmp31_ = gee_iterator_next (_tmp30_);
#line 309 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
						if (!_tmp31_) {
#line 309 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
							break;
#line 2081 "DeviceSummaryWidget.c"
						}
#line 309 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
						_tmp32_ = _m_it;
#line 309 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
						_tmp33_ = gee_iterator_get (_tmp32_);
#line 309 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
						m = (NoiseMedia*) _tmp33_;
#line 310 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
						_tmp34_ = m;
#line 310 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
						if (_tmp34_ != NULL) {
#line 2093 "DeviceSummaryWidget.c"
							GeeTreeSet* _tmp35_ = NULL;
							NoiseMedia* _tmp36_ = NULL;
#line 311 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
							_tmp35_ = list;
#line 311 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
							_tmp36_ = m;
#line 311 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
							gee_abstract_collection_add ((GeeAbstractCollection*) _tmp35_, _tmp36_);
#line 2102 "DeviceSummaryWidget.c"
						}
#line 309 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
						_g_object_unref0 (m);
#line 2106 "DeviceSummaryWidget.c"
					}
#line 309 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
					_g_object_unref0 (_m_it);
#line 2110 "DeviceSummaryWidget.c"
				}
			} else {
				NoiseNotificationManager* _tmp37_ = NULL;
				NoiseNotificationManager* _tmp38_ = NULL;
				const gchar* _tmp39_ = NULL;
				const gchar* _tmp40_ = NULL;
				NoiseDevicePreferences* _tmp41_ = NULL;
				NoisePlaylist* _tmp42_ = NULL;
				NoisePlaylist* _tmp43_ = NULL;
				NoisePlaylist* _tmp44_ = NULL;
				const gchar* _tmp45_ = NULL;
				const gchar* _tmp46_ = NULL;
				gchar* _tmp47_ = NULL;
				gchar* _tmp48_ = NULL;
				gchar* _tmp49_ = NULL;
				gchar* _tmp50_ = NULL;
				NoiseDevice* _tmp51_ = NULL;
				gchar* _tmp52_ = NULL;
				gchar* _tmp53_ = NULL;
				gchar* _tmp54_ = NULL;
				gchar* _tmp55_ = NULL;
				gchar* _tmp56_ = NULL;
				gchar* _tmp57_ = NULL;
				gchar* _tmp58_ = NULL;
				gchar* _tmp59_ = NULL;
				NoiseDevicePreferences* _tmp60_ = NULL;
				NoiseDevicePreferences* _tmp61_ = NULL;
				GtkComboBox* _tmp62_ = NULL;
#line 314 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_tmp37_ = noise_notification_manager_get_default ();
#line 314 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_tmp38_ = _tmp37_;
#line 314 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_tmp39_ = _ ("Sync Failed");
#line 314 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_tmp40_ = _ ("The playlist named %s is used to sync device %s, but could not be foun" \
"d.");
#line 314 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_tmp41_ = self->priv->preferences;
#line 314 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_tmp42_ = noise_device_preferences_get_music_playlist (_tmp41_);
#line 314 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_tmp43_ = _tmp42_;
#line 314 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_tmp44_ = _tmp43_;
#line 314 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_tmp45_ = noise_playlist_get_name (_tmp44_);
#line 314 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_tmp46_ = _tmp45_;
#line 314 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_tmp47_ = g_strconcat ("<b>", _tmp46_, NULL);
#line 314 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_tmp48_ = _tmp47_;
#line 314 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_tmp49_ = g_strconcat (_tmp48_, "</b>", NULL);
#line 314 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_tmp50_ = _tmp49_;
#line 314 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_tmp51_ = self->priv->dev;
#line 314 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_tmp52_ = noise_device_getDisplayName (_tmp51_);
#line 314 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_tmp53_ = _tmp52_;
#line 314 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_tmp54_ = g_strconcat ("<b>", _tmp53_, NULL);
#line 314 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_tmp55_ = _tmp54_;
#line 314 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_tmp56_ = g_strconcat (_tmp55_, "</b>", NULL);
#line 314 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_tmp57_ = _tmp56_;
#line 314 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_tmp58_ = g_strdup_printf (_tmp40_, _tmp50_, _tmp57_);
#line 314 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_tmp59_ = _tmp58_;
#line 314 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				g_signal_emit_by_name (_tmp38_, "show-alert", _tmp39_, _tmp59_);
#line 314 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_g_free0 (_tmp59_);
#line 314 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_g_free0 (_tmp57_);
#line 314 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_g_free0 (_tmp55_);
#line 314 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_g_free0 (_tmp53_);
#line 314 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_g_free0 (_tmp50_);
#line 314 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_g_free0 (_tmp48_);
#line 314 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_g_object_unref0 (_tmp44_);
#line 314 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_g_object_unref0 (_tmp38_);
#line 316 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_tmp60_ = self->priv->preferences;
#line 316 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				noise_device_preferences_set_music_playlist (_tmp60_, NULL);
#line 317 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_tmp61_ = self->priv->preferences;
#line 317 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				noise_device_preferences_set_sync_all_music (_tmp61_, TRUE);
#line 318 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_tmp62_ = self->priv->sync_music_combobox;
#line 318 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				gtk_combo_box_set_active (_tmp62_, 0);
#line 319 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_g_object_unref0 (p);
#line 319 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_g_object_unref0 (list);
#line 319 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				return;
#line 2221 "DeviceSummaryWidget.c"
			}
#line 300 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_g_object_unref0 (p);
#line 2225 "DeviceSummaryWidget.c"
		}
	}
#line 324 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp63_ = self->priv->dev;
#line 324 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp64_ = list;
#line 324 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp65_ = noise_device_will_fit (_tmp63_, (GeeCollection*) _tmp64_);
#line 324 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	fits = _tmp65_;
#line 325 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_tmp66_ = fits;
#line 325 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	if (!_tmp66_) {
#line 2240 "DeviceSummaryWidget.c"
		NoiseNotificationManager* _tmp67_ = NULL;
		NoiseNotificationManager* _tmp68_ = NULL;
		const gchar* _tmp69_ = NULL;
		const gchar* _tmp70_ = NULL;
#line 326 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp67_ = noise_notification_manager_get_default ();
#line 326 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp68_ = _tmp67_;
#line 326 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp69_ = _ ("Cannot Sync");
#line 326 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp70_ = _ ("Cannot sync device with selected sync settings. Not enough space on di" \
"sk");
#line 326 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		g_signal_emit_by_name (_tmp68_, "show-alert", _tmp69_, _tmp70_);
#line 326 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_g_object_unref0 (_tmp68_);
#line 2257 "DeviceSummaryWidget.c"
	} else {
		NoiseDevice* _tmp71_ = NULL;
		NoiseLibrary* _tmp72_ = NULL;
		NoiseLibrary* _tmp73_ = NULL;
		gboolean _tmp74_ = FALSE;
		gboolean _tmp75_ = FALSE;
#line 327 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp71_ = self->priv->dev;
#line 327 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp72_ = noise_device_get_library (_tmp71_);
#line 327 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp73_ = _tmp72_;
#line 327 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp74_ = noise_library_doing_file_operations (_tmp73_);
#line 327 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_tmp75_ = _tmp74_;
#line 327 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		_g_object_unref0 (_tmp73_);
#line 327 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
		if (_tmp75_) {
#line 2278 "DeviceSummaryWidget.c"
			NoiseNotificationManager* _tmp76_ = NULL;
			NoiseNotificationManager* _tmp77_ = NULL;
			const gchar* _tmp78_ = NULL;
			const gchar* _tmp79_ = NULL;
#line 328 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_tmp76_ = noise_notification_manager_get_default ();
#line 328 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_tmp77_ = _tmp76_;
#line 328 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_tmp78_ = _ ("Cannot Sync");
#line 328 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_tmp79_ = _ ("Device is already doing an operation.");
#line 328 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			g_signal_emit_by_name (_tmp77_, "show-alert", _tmp78_, _tmp79_);
#line 328 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_g_object_unref0 (_tmp77_);
#line 2295 "DeviceSummaryWidget.c"
		} else {
			GeeTreeSet* found = NULL;
			GeeTreeSet* _tmp80_ = NULL;
			GeeTreeSet* not_found = NULL;
			GeeTreeSet* _tmp81_ = NULL;
			NoiseLibrariesManager* _tmp82_ = NULL;
			NoiseLibrary* _tmp83_ = NULL;
			NoiseDevice* _tmp84_ = NULL;
			NoiseLibrary* _tmp85_ = NULL;
			NoiseLibrary* _tmp86_ = NULL;
			GeeCollection* _tmp87_ = NULL;
			GeeCollection* _tmp88_ = NULL;
			GeeTreeSet* _tmp89_ = NULL;
			GeeTreeSet* _tmp90_ = NULL;
			GeeTreeSet* _tmp91_ = NULL;
			gint _tmp92_ = 0;
			gint _tmp93_ = 0;
#line 330 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_tmp80_ = gee_tree_set_new (G_TYPE_INT, NULL, NULL, NULL, NULL, NULL);
#line 330 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			found = _tmp80_;
#line 331 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_tmp81_ = gee_tree_set_new (NOISE_TYPE_MEDIA, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 331 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			not_found = _tmp81_;
#line 332 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_tmp82_ = noise_libraries_manager;
#line 332 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_tmp83_ = _tmp82_->local_library;
#line 332 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_tmp84_ = self->priv->dev;
#line 332 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_tmp85_ = noise_device_get_library (_tmp84_);
#line 332 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_tmp86_ = _tmp85_;
#line 332 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_tmp87_ = noise_library_get_medias (_tmp86_);
#line 332 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_tmp88_ = _tmp87_;
#line 332 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_tmp89_ = found;
#line 332 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_tmp90_ = not_found;
#line 332 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			noise_library_media_from_name (_tmp83_, _tmp88_, (GeeCollection*) _tmp89_, (GeeCollection*) _tmp90_);
#line 332 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_g_object_unref0 (_tmp88_);
#line 332 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_g_object_unref0 (_tmp86_);
#line 334 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_tmp91_ = not_found;
#line 334 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_tmp92_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp91_);
#line 334 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_tmp93_ = _tmp92_;
#line 334 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			if (_tmp93_ > 0) {
#line 2353 "DeviceSummaryWidget.c"
				NoiseSyncWarningDialog* swd = NULL;
				NoiseDevice* _tmp94_ = NULL;
				GeeTreeSet* _tmp95_ = NULL;
				GeeTreeSet* _tmp96_ = NULL;
				NoiseSyncWarningDialog* _tmp97_ = NULL;
				NoiseSyncWarningDialog* _tmp98_ = NULL;
#line 335 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_tmp94_ = self->priv->dev;
#line 335 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_tmp95_ = list;
#line 335 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_tmp96_ = not_found;
#line 335 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_tmp97_ = noise_sync_warning_dialog_new (_tmp94_, (GeeCollection*) _tmp95_, (GeeCollection*) _tmp96_);
#line 335 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				g_object_ref_sink (_tmp97_);
#line 335 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				swd = _tmp97_;
#line 336 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_tmp98_ = swd;
#line 336 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				gtk_widget_show ((GtkWidget*) _tmp98_);
#line 334 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_g_object_unref0 (swd);
#line 2378 "DeviceSummaryWidget.c"
			} else {
				SpaceWidget* _tmp99_ = NULL;
				NoiseDevice* _tmp100_ = NULL;
#line 338 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_tmp99_ = self->priv->space_widget;
#line 338 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				space_widget_set_sync_button_sensitive (_tmp99_, FALSE);
#line 339 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				_tmp100_ = self->priv->dev;
#line 339 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
				noise_device_synchronize (_tmp100_);
#line 2390 "DeviceSummaryWidget.c"
			}
#line 327 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_g_object_unref0 (not_found);
#line 327 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
			_g_object_unref0 (found);
#line 2396 "DeviceSummaryWidget.c"
		}
	}
#line 296 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_g_object_unref0 (list);
#line 2401 "DeviceSummaryWidget.c"
}


static void noise_device_summary_widget_class_init (NoiseDeviceSummaryWidgetClass * klass) {
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	noise_device_summary_widget_parent_class = g_type_class_peek_parent (klass);
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	g_type_class_add_private (klass, sizeof (NoiseDeviceSummaryWidgetPrivate));
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	G_OBJECT_CLASS (klass)->finalize = noise_device_summary_widget_finalize;
#line 2412 "DeviceSummaryWidget.c"
}


static void noise_device_summary_widget_instance_init (NoiseDeviceSummaryWidget * self) {
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	self->priv = NOISE_DEVICE_SUMMARY_WIDGET_GET_PRIVATE (self);
#line 2419 "DeviceSummaryWidget.c"
}


static void noise_device_summary_widget_finalize (GObject* obj) {
	NoiseDeviceSummaryWidget * self;
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NOISE_TYPE_DEVICE_SUMMARY_WIDGET, NoiseDeviceSummaryWidget);
#line 30 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_g_object_unref0 (self->priv->dev);
#line 31 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_g_object_unref0 (self->priv->preferences);
#line 33 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_g_object_unref0 (self->priv->main_grid);
#line 35 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_g_object_unref0 (self->priv->device_name_entry);
#line 36 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_g_object_unref0 (self->priv->auto_sync_switch);
#line 38 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_g_object_unref0 (self->priv->sync_music_check);
#line 39 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_g_object_unref0 (self->priv->sync_music_combobox);
#line 40 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_g_object_unref0 (self->priv->music_list);
#line 42 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_g_object_unref0 (self->priv->device_image);
#line 43 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	_g_object_unref0 (self->priv->space_widget);
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Views/DeviceSummaryWidget.vala"
	G_OBJECT_CLASS (noise_device_summary_widget_parent_class)->finalize (obj);
#line 2449 "DeviceSummaryWidget.c"
}


GType noise_device_summary_widget_get_type (void) {
	static volatile gsize noise_device_summary_widget_type_id__volatile = 0;
	if (g_once_init_enter (&noise_device_summary_widget_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NoiseDeviceSummaryWidgetClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) noise_device_summary_widget_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NoiseDeviceSummaryWidget), 0, (GInstanceInitFunc) noise_device_summary_widget_instance_init, NULL };
		GType noise_device_summary_widget_type_id;
		noise_device_summary_widget_type_id = g_type_register_static (gtk_event_box_get_type (), "NoiseDeviceSummaryWidget", &g_define_type_info, 0);
		g_once_init_leave (&noise_device_summary_widget_type_id__volatile, noise_device_summary_widget_type_id);
	}
	return noise_device_summary_widget_type_id__volatile;
}



