/* MusicColumnBrowser.c generated by valac 0.34.9, the Vala compiler
 * generated from MusicColumnBrowser.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2012-2017 elementary LLC. (https://elementary.io)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Noise authors hereby grant permission for non-GPL compatible
 * GStreamer plugins to be used and distributed together with GStreamer
 * and Noise. This permission is above and beyond the permissions granted
 * by the GPL license by which Noise is covered. If you modify this code
 * you may extend this exception to your version of the code, but you are not
 * obligated to do so. If you do not wish to do so, delete this exception
 * statement from your version.
 *
 * Authored by: Victor Eduardo <victoreduardm@gmail.com>
 */

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <stdlib.h>
#include <string.h>
#include <gee.h>
#include <noise-core.h>


#define NOISE_TYPE_COLUMN_BROWSER (noise_column_browser_get_type ())
#define NOISE_COLUMN_BROWSER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_COLUMN_BROWSER, NoiseColumnBrowser))
#define NOISE_COLUMN_BROWSER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_COLUMN_BROWSER, NoiseColumnBrowserClass))
#define NOISE_IS_COLUMN_BROWSER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_COLUMN_BROWSER))
#define NOISE_IS_COLUMN_BROWSER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_COLUMN_BROWSER))
#define NOISE_COLUMN_BROWSER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_COLUMN_BROWSER, NoiseColumnBrowserClass))

typedef struct _NoiseColumnBrowser NoiseColumnBrowser;
typedef struct _NoiseColumnBrowserClass NoiseColumnBrowserClass;
typedef struct _NoiseColumnBrowserPrivate NoiseColumnBrowserPrivate;

#define NOISE_TYPE_MUSIC_COLUMN_BROWSER (noise_music_column_browser_get_type ())
#define NOISE_MUSIC_COLUMN_BROWSER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_MUSIC_COLUMN_BROWSER, NoiseMusicColumnBrowser))
#define NOISE_MUSIC_COLUMN_BROWSER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_MUSIC_COLUMN_BROWSER, NoiseMusicColumnBrowserClass))
#define NOISE_IS_MUSIC_COLUMN_BROWSER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_MUSIC_COLUMN_BROWSER))
#define NOISE_IS_MUSIC_COLUMN_BROWSER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_MUSIC_COLUMN_BROWSER))
#define NOISE_MUSIC_COLUMN_BROWSER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_MUSIC_COLUMN_BROWSER, NoiseMusicColumnBrowserClass))

typedef struct _NoiseMusicColumnBrowser NoiseMusicColumnBrowser;
typedef struct _NoiseMusicColumnBrowserClass NoiseMusicColumnBrowserClass;
typedef struct _NoiseMusicColumnBrowserPrivate NoiseMusicColumnBrowserPrivate;

#define NOISE_TYPE_VIEW_WRAPPER (noise_view_wrapper_get_type ())
#define NOISE_VIEW_WRAPPER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_VIEW_WRAPPER, NoiseViewWrapper))
#define NOISE_VIEW_WRAPPER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_VIEW_WRAPPER, NoiseViewWrapperClass))
#define NOISE_IS_VIEW_WRAPPER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_VIEW_WRAPPER))
#define NOISE_IS_VIEW_WRAPPER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_VIEW_WRAPPER))
#define NOISE_VIEW_WRAPPER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_VIEW_WRAPPER, NoiseViewWrapperClass))

typedef struct _NoiseViewWrapper NoiseViewWrapper;
typedef struct _NoiseViewWrapperClass NoiseViewWrapperClass;

#define NOISE_BROWSER_COLUMN_TYPE_CATEGORY (noise_browser_column_category_get_type ())
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))

#define NOISE_COLUMN_BROWSER_TYPE_POSITION (noise_column_browser_position_get_type ())
#define _g_free0(var) (var = (g_free (var), NULL))

struct _NoiseColumnBrowser {
	GtkGrid parent_instance;
	NoiseColumnBrowserPrivate * priv;
};

struct _NoiseColumnBrowserClass {
	GtkGridClass parent_class;
};

struct _NoiseMusicColumnBrowser {
	NoiseColumnBrowser parent_instance;
	NoiseMusicColumnBrowserPrivate * priv;
};

struct _NoiseMusicColumnBrowserClass {
	NoiseColumnBrowserClass parent_class;
};

typedef enum  {
	NOISE_BROWSER_COLUMN_CATEGORY_RATING,
	NOISE_BROWSER_COLUMN_CATEGORY_GROUPING,
	NOISE_BROWSER_COLUMN_CATEGORY_YEAR,
	NOISE_BROWSER_COLUMN_CATEGORY_GENRE,
	NOISE_BROWSER_COLUMN_CATEGORY_COMPOSER,
	NOISE_BROWSER_COLUMN_CATEGORY_ARTIST,
	NOISE_BROWSER_COLUMN_CATEGORY_ALBUM,
	NOISE_BROWSER_COLUMN_CATEGORY_N_CATEGORIES
} NoiseBrowserColumnCategory;

typedef enum  {
	NOISE_COLUMN_BROWSER_POSITION_AUTOMATIC,
	NOISE_COLUMN_BROWSER_POSITION_LEFT,
	NOISE_COLUMN_BROWSER_POSITION_TOP
} NoiseColumnBrowserPosition;


static gpointer noise_music_column_browser_parent_class = NULL;

GType noise_column_browser_get_type (void) G_GNUC_CONST;
GType noise_music_column_browser_get_type (void) G_GNUC_CONST;
enum  {
	NOISE_MUSIC_COLUMN_BROWSER_DUMMY_PROPERTY
};
GType noise_view_wrapper_get_type (void) G_GNUC_CONST;
NoiseMusicColumnBrowser* noise_music_column_browser_new (NoiseViewWrapper* view_wrapper);
NoiseMusicColumnBrowser* noise_music_column_browser_construct (GType object_type, NoiseViewWrapper* view_wrapper);
GType noise_browser_column_category_get_type (void) G_GNUC_CONST;
static void _vala_array_add5 (NoiseBrowserColumnCategory** array, int* length, int* size, NoiseBrowserColumnCategory value);
static void _vala_array_add6 (NoiseBrowserColumnCategory** array, int* length, int* size, NoiseBrowserColumnCategory value);
static void _vala_array_add7 (NoiseBrowserColumnCategory** array, int* length, int* size, NoiseBrowserColumnCategory value);
static void _vala_array_add8 (NoiseBrowserColumnCategory** array, int* length, int* size, NoiseBrowserColumnCategory value);
static void _vala_array_add9 (NoiseBrowserColumnCategory** array, int* length, int* size, NoiseBrowserColumnCategory value);
static void _vala_array_add10 (NoiseBrowserColumnCategory** array, int* length, int* size, NoiseBrowserColumnCategory value);
static void _vala_array_add11 (NoiseBrowserColumnCategory** array, int* length, int* size, NoiseBrowserColumnCategory value);
NoiseColumnBrowser* noise_column_browser_construct (GType object_type, NoiseViewWrapper* view_wrapper, NoiseBrowserColumnCategory* categories, int categories_length1);
static void noise_music_column_browser_restore_saved_state (NoiseMusicColumnBrowser* self);
static void noise_music_column_browser_save_current_state (NoiseMusicColumnBrowser* self);
static void _noise_music_column_browser_save_current_state_gtk_widget_destroy (GtkWidget* _sender, gpointer self);
GeeTreeSet* noise_column_browser_get_visible_columns (NoiseColumnBrowser* self);
static void _vala_array_add12 (gchar*** array, int* length, int* size, gchar* value);
GType noise_column_browser_position_get_type (void) G_GNUC_CONST;
NoiseColumnBrowserPosition noise_column_browser_get_position (NoiseColumnBrowser* self);
void noise_column_browser_set_visible_columns (NoiseColumnBrowser* self, GeeTreeSet* value);
void noise_column_browser_set_position (NoiseColumnBrowser* self, NoiseColumnBrowserPosition value);
static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func);


static void _vala_array_add5 (NoiseBrowserColumnCategory** array, int* length, int* size, NoiseBrowserColumnCategory value) {
#line 33 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	if ((*length) == (*size)) {
#line 33 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
		*size = (*size) ? (2 * (*size)) : 4;
#line 33 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
		*array = g_renew (NoiseBrowserColumnCategory, *array, *size);
#line 155 "MusicColumnBrowser.c"
	}
#line 33 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	(*array)[(*length)++] = value;
#line 159 "MusicColumnBrowser.c"
}


static void _vala_array_add6 (NoiseBrowserColumnCategory** array, int* length, int* size, NoiseBrowserColumnCategory value) {
#line 34 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	if ((*length) == (*size)) {
#line 34 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
		*size = (*size) ? (2 * (*size)) : 4;
#line 34 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
		*array = g_renew (NoiseBrowserColumnCategory, *array, *size);
#line 170 "MusicColumnBrowser.c"
	}
#line 34 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	(*array)[(*length)++] = value;
#line 174 "MusicColumnBrowser.c"
}


static void _vala_array_add7 (NoiseBrowserColumnCategory** array, int* length, int* size, NoiseBrowserColumnCategory value) {
#line 35 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	if ((*length) == (*size)) {
#line 35 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
		*size = (*size) ? (2 * (*size)) : 4;
#line 35 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
		*array = g_renew (NoiseBrowserColumnCategory, *array, *size);
#line 185 "MusicColumnBrowser.c"
	}
#line 35 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	(*array)[(*length)++] = value;
#line 189 "MusicColumnBrowser.c"
}


static void _vala_array_add8 (NoiseBrowserColumnCategory** array, int* length, int* size, NoiseBrowserColumnCategory value) {
#line 36 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	if ((*length) == (*size)) {
#line 36 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
		*size = (*size) ? (2 * (*size)) : 4;
#line 36 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
		*array = g_renew (NoiseBrowserColumnCategory, *array, *size);
#line 200 "MusicColumnBrowser.c"
	}
#line 36 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	(*array)[(*length)++] = value;
#line 204 "MusicColumnBrowser.c"
}


static void _vala_array_add9 (NoiseBrowserColumnCategory** array, int* length, int* size, NoiseBrowserColumnCategory value) {
#line 37 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	if ((*length) == (*size)) {
#line 37 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
		*size = (*size) ? (2 * (*size)) : 4;
#line 37 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
		*array = g_renew (NoiseBrowserColumnCategory, *array, *size);
#line 215 "MusicColumnBrowser.c"
	}
#line 37 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	(*array)[(*length)++] = value;
#line 219 "MusicColumnBrowser.c"
}


static void _vala_array_add10 (NoiseBrowserColumnCategory** array, int* length, int* size, NoiseBrowserColumnCategory value) {
#line 38 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	if ((*length) == (*size)) {
#line 38 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
		*size = (*size) ? (2 * (*size)) : 4;
#line 38 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
		*array = g_renew (NoiseBrowserColumnCategory, *array, *size);
#line 230 "MusicColumnBrowser.c"
	}
#line 38 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	(*array)[(*length)++] = value;
#line 234 "MusicColumnBrowser.c"
}


static void _vala_array_add11 (NoiseBrowserColumnCategory** array, int* length, int* size, NoiseBrowserColumnCategory value) {
#line 39 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	if ((*length) == (*size)) {
#line 39 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
		*size = (*size) ? (2 * (*size)) : 4;
#line 39 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
		*array = g_renew (NoiseBrowserColumnCategory, *array, *size);
#line 245 "MusicColumnBrowser.c"
	}
#line 39 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	(*array)[(*length)++] = value;
#line 249 "MusicColumnBrowser.c"
}


static void _noise_music_column_browser_save_current_state_gtk_widget_destroy (GtkWidget* _sender, gpointer self) {
#line 46 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	noise_music_column_browser_save_current_state ((NoiseMusicColumnBrowser*) self);
#line 256 "MusicColumnBrowser.c"
}


NoiseMusicColumnBrowser* noise_music_column_browser_construct (GType object_type, NoiseViewWrapper* view_wrapper) {
	NoiseMusicColumnBrowser * self = NULL;
	NoiseBrowserColumnCategory* columns = NULL;
	NoiseBrowserColumnCategory* _tmp0_ = NULL;
	gint columns_length1 = 0;
	gint _columns_size_ = 0;
	NoiseBrowserColumnCategory* _tmp1_ = NULL;
	gint _tmp1__length1 = 0;
	NoiseBrowserColumnCategory* _tmp2_ = NULL;
	gint _tmp2__length1 = 0;
	NoiseBrowserColumnCategory* _tmp3_ = NULL;
	gint _tmp3__length1 = 0;
	NoiseBrowserColumnCategory* _tmp4_ = NULL;
	gint _tmp4__length1 = 0;
	NoiseBrowserColumnCategory* _tmp5_ = NULL;
	gint _tmp5__length1 = 0;
	NoiseBrowserColumnCategory* _tmp6_ = NULL;
	gint _tmp6__length1 = 0;
	NoiseBrowserColumnCategory* _tmp7_ = NULL;
	gint _tmp7__length1 = 0;
	NoiseViewWrapper* _tmp8_ = NULL;
	NoiseBrowserColumnCategory* _tmp9_ = NULL;
	gint _tmp9__length1 = 0;
#line 31 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	g_return_val_if_fail (view_wrapper != NULL, NULL);
#line 32 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	_tmp0_ = g_new0 (NoiseBrowserColumnCategory, 0);
#line 32 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	columns = _tmp0_;
#line 32 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	columns_length1 = 0;
#line 32 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	_columns_size_ = columns_length1;
#line 33 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	_tmp1_ = columns;
#line 33 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	_tmp1__length1 = columns_length1;
#line 33 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	_vala_array_add5 (&columns, &columns_length1, &_columns_size_, NOISE_BROWSER_COLUMN_CATEGORY_RATING);
#line 34 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	_tmp2_ = columns;
#line 34 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	_tmp2__length1 = columns_length1;
#line 34 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	_vala_array_add6 (&columns, &columns_length1, &_columns_size_, NOISE_BROWSER_COLUMN_CATEGORY_GROUPING);
#line 35 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	_tmp3_ = columns;
#line 35 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	_tmp3__length1 = columns_length1;
#line 35 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	_vala_array_add7 (&columns, &columns_length1, &_columns_size_, NOISE_BROWSER_COLUMN_CATEGORY_YEAR);
#line 36 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	_tmp4_ = columns;
#line 36 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	_tmp4__length1 = columns_length1;
#line 36 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	_vala_array_add8 (&columns, &columns_length1, &_columns_size_, NOISE_BROWSER_COLUMN_CATEGORY_GENRE);
#line 37 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	_tmp5_ = columns;
#line 37 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	_tmp5__length1 = columns_length1;
#line 37 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	_vala_array_add9 (&columns, &columns_length1, &_columns_size_, NOISE_BROWSER_COLUMN_CATEGORY_COMPOSER);
#line 38 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	_tmp6_ = columns;
#line 38 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	_tmp6__length1 = columns_length1;
#line 38 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	_vala_array_add10 (&columns, &columns_length1, &_columns_size_, NOISE_BROWSER_COLUMN_CATEGORY_ARTIST);
#line 39 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	_tmp7_ = columns;
#line 39 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	_tmp7__length1 = columns_length1;
#line 39 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	_vala_array_add11 (&columns, &columns_length1, &_columns_size_, NOISE_BROWSER_COLUMN_CATEGORY_ALBUM);
#line 41 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	_tmp8_ = view_wrapper;
#line 41 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	_tmp9_ = columns;
#line 41 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	_tmp9__length1 = columns_length1;
#line 41 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	self = (NoiseMusicColumnBrowser*) noise_column_browser_construct (object_type, _tmp8_, _tmp9_, _tmp9__length1);
#line 44 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	noise_music_column_browser_restore_saved_state (self);
#line 46 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	g_signal_connect_object ((GtkWidget*) self, "destroy", (GCallback) _noise_music_column_browser_save_current_state_gtk_widget_destroy, self, 0);
#line 31 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	columns = (g_free (columns), NULL);
#line 31 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	return self;
#line 351 "MusicColumnBrowser.c"
}


NoiseMusicColumnBrowser* noise_music_column_browser_new (NoiseViewWrapper* view_wrapper) {
#line 31 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	return noise_music_column_browser_construct (NOISE_TYPE_MUSIC_COLUMN_BROWSER, view_wrapper);
#line 358 "MusicColumnBrowser.c"
}


static void _vala_array_add12 (gchar*** array, int* length, int* size, gchar* value) {
#line 53 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	if ((*length) == (*size)) {
#line 53 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
		*size = (*size) ? (2 * (*size)) : 4;
#line 53 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
		*array = g_renew (gchar*, *array, (*size) + 1);
#line 369 "MusicColumnBrowser.c"
	}
#line 53 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	(*array)[(*length)++] = value;
#line 53 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	(*array)[*length] = NULL;
#line 375 "MusicColumnBrowser.c"
}


static void noise_music_column_browser_save_current_state (NoiseMusicColumnBrowser* self) {
	gchar** visible_categories = NULL;
	gchar** _tmp0_ = NULL;
	gint visible_categories_length1 = 0;
	gint _visible_categories_size_ = 0;
	NoiseSettingsSavedState* saved_state = NULL;
	NoiseSettingsSavedState* _tmp13_ = NULL;
	gchar** _tmp14_ = NULL;
	gint _tmp14__length1 = 0;
	NoiseColumnBrowserPosition _tmp15_ = 0;
	NoiseColumnBrowserPosition _tmp16_ = 0;
#line 49 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	g_return_if_fail (self != NULL);
#line 50 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	_tmp0_ = g_new0 (gchar*, 0 + 1);
#line 50 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	visible_categories = _tmp0_;
#line 50 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	visible_categories_length1 = 0;
#line 50 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	_visible_categories_size_ = visible_categories_length1;
#line 400 "MusicColumnBrowser.c"
	{
		GeeIterator* _col_cat_it = NULL;
		GeeTreeSet* _tmp1_ = NULL;
		GeeTreeSet* _tmp2_ = NULL;
		GeeTreeSet* _tmp3_ = NULL;
		GeeIterator* _tmp4_ = NULL;
		GeeIterator* _tmp5_ = NULL;
#line 52 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
		_tmp1_ = noise_column_browser_get_visible_columns ((NoiseColumnBrowser*) self);
#line 52 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
		_tmp2_ = _tmp1_;
#line 52 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
		_tmp3_ = _tmp2_;
#line 52 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
		_tmp4_ = gee_abstract_collection_iterator ((GeeAbstractCollection*) _tmp3_);
#line 52 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
		_tmp5_ = _tmp4_;
#line 52 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
		_g_object_unref0 (_tmp3_);
#line 52 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
		_col_cat_it = _tmp5_;
#line 52 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
		while (TRUE) {
#line 424 "MusicColumnBrowser.c"
			GeeIterator* _tmp6_ = NULL;
			gboolean _tmp7_ = FALSE;
			NoiseBrowserColumnCategory col_cat = 0;
			GeeIterator* _tmp8_ = NULL;
			gpointer _tmp9_ = NULL;
			gchar** _tmp10_ = NULL;
			gint _tmp10__length1 = 0;
			NoiseBrowserColumnCategory _tmp11_ = 0;
			gchar* _tmp12_ = NULL;
#line 52 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
			_tmp6_ = _col_cat_it;
#line 52 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
			_tmp7_ = gee_iterator_next (_tmp6_);
#line 52 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
			if (!_tmp7_) {
#line 52 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
				break;
#line 442 "MusicColumnBrowser.c"
			}
#line 52 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
			_tmp8_ = _col_cat_it;
#line 52 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
			_tmp9_ = gee_iterator_get (_tmp8_);
#line 52 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
			col_cat = (NoiseBrowserColumnCategory) ((gintptr) _tmp9_);
#line 53 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
			_tmp10_ = visible_categories;
#line 53 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
			_tmp10__length1 = visible_categories_length1;
#line 53 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
			_tmp11_ = col_cat;
#line 53 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
			_tmp12_ = g_strdup_printf ("%i", (gint) _tmp11_);
#line 53 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
			_vala_array_add12 (&visible_categories, &visible_categories_length1, &_visible_categories_size_, _tmp12_);
#line 460 "MusicColumnBrowser.c"
		}
#line 52 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
		_g_object_unref0 (_col_cat_it);
#line 464 "MusicColumnBrowser.c"
	}
#line 56 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	_tmp13_ = noise_settings_saved_state_get_default ();
#line 56 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	saved_state = _tmp13_;
#line 57 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	_tmp14_ = visible_categories;
#line 57 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	_tmp14__length1 = visible_categories_length1;
#line 57 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	noise_settings_saved_state_set_column_browser_visible_columns (saved_state, _tmp14_, _tmp14__length1);
#line 58 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	_tmp15_ = noise_column_browser_get_position ((NoiseColumnBrowser*) self);
#line 58 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	_tmp16_ = _tmp15_;
#line 58 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	noise_settings_saved_state_set_column_browser_position (saved_state, (gint) _tmp16_);
#line 49 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	_g_object_unref0 (saved_state);
#line 49 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	visible_categories = (_vala_array_free (visible_categories, visible_categories_length1, (GDestroyNotify) g_free), NULL);
#line 486 "MusicColumnBrowser.c"
}


static void noise_music_column_browser_restore_saved_state (NoiseMusicColumnBrowser* self) {
	GeeTreeSet* visible_categories = NULL;
	GeeTreeSet* _tmp0_ = NULL;
	NoiseSettingsSavedState* saved_state = NULL;
	NoiseSettingsSavedState* _tmp1_ = NULL;
	NoiseSettingsSavedState* _tmp2_ = NULL;
	gchar** _tmp3_ = NULL;
	gint _tmp3__length1 = 0;
	gchar** _tmp4_ = NULL;
	gint _tmp4__length1 = 0;
	GeeTreeSet* _tmp9_ = NULL;
	NoiseSettingsSavedState* _tmp10_ = NULL;
	gint _tmp11_ = 0;
	gint _tmp12_ = 0;
#line 61 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	g_return_if_fail (self != NULL);
#line 63 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	_tmp0_ = gee_tree_set_new (NOISE_BROWSER_COLUMN_TYPE_CATEGORY, NULL, NULL, NULL, NULL, NULL);
#line 63 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	visible_categories = _tmp0_;
#line 65 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	_tmp1_ = noise_settings_saved_state_get_default ();
#line 65 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	saved_state = _tmp1_;
#line 66 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	_tmp2_ = saved_state;
#line 66 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	_tmp3_ = noise_settings_saved_state_get_column_browser_visible_columns (_tmp2_, &_tmp3__length1);
#line 66 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	_tmp4_ = _tmp3_;
#line 66 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	_tmp4__length1 = _tmp3__length1;
#line 522 "MusicColumnBrowser.c"
	{
		gchar** col_n_collection = NULL;
		gint col_n_collection_length1 = 0;
		gint _col_n_collection_size_ = 0;
		gint col_n_it = 0;
#line 66 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
		col_n_collection = _tmp4_;
#line 66 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
		col_n_collection_length1 = _tmp4__length1;
#line 66 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
		for (col_n_it = 0; col_n_it < _tmp4__length1; col_n_it = col_n_it + 1) {
#line 534 "MusicColumnBrowser.c"
			gchar* _tmp5_ = NULL;
			gchar* col_n = NULL;
#line 66 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
			_tmp5_ = g_strdup (col_n_collection[col_n_it]);
#line 66 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
			col_n = _tmp5_;
#line 541 "MusicColumnBrowser.c"
			{
				GeeTreeSet* _tmp6_ = NULL;
				const gchar* _tmp7_ = NULL;
				gint _tmp8_ = 0;
#line 67 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
				_tmp6_ = visible_categories;
#line 67 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
				_tmp7_ = col_n;
#line 67 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
				_tmp8_ = atoi (_tmp7_);
#line 67 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
				gee_abstract_collection_add ((GeeAbstractCollection*) _tmp6_, (gpointer) ((gintptr) ((NoiseBrowserColumnCategory) _tmp8_)));
#line 66 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
				_g_free0 (col_n);
#line 556 "MusicColumnBrowser.c"
			}
		}
	}
#line 70 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	_tmp9_ = visible_categories;
#line 70 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	noise_column_browser_set_visible_columns ((NoiseColumnBrowser*) self, _tmp9_);
#line 71 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	_tmp10_ = saved_state;
#line 71 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	_tmp11_ = noise_settings_saved_state_get_column_browser_position (_tmp10_);
#line 71 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	_tmp12_ = _tmp11_;
#line 71 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	noise_column_browser_set_position ((NoiseColumnBrowser*) self, (NoiseColumnBrowserPosition) _tmp12_);
#line 61 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	_g_object_unref0 (saved_state);
#line 61 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	_g_object_unref0 (visible_categories);
#line 576 "MusicColumnBrowser.c"
}


static void noise_music_column_browser_class_init (NoiseMusicColumnBrowserClass * klass) {
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/ColumnBrowser/MusicColumnBrowser.vala"
	noise_music_column_browser_parent_class = g_type_class_peek_parent (klass);
#line 583 "MusicColumnBrowser.c"
}


static void noise_music_column_browser_instance_init (NoiseMusicColumnBrowser * self) {
}


GType noise_music_column_browser_get_type (void) {
	static volatile gsize noise_music_column_browser_type_id__volatile = 0;
	if (g_once_init_enter (&noise_music_column_browser_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NoiseMusicColumnBrowserClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) noise_music_column_browser_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NoiseMusicColumnBrowser), 0, (GInstanceInitFunc) noise_music_column_browser_instance_init, NULL };
		GType noise_music_column_browser_type_id;
		noise_music_column_browser_type_id = g_type_register_static (NOISE_TYPE_COLUMN_BROWSER, "NoiseMusicColumnBrowser", &g_define_type_info, 0);
		g_once_init_leave (&noise_music_column_browser_type_id__volatile, noise_music_column_browser_type_id);
	}
	return noise_music_column_browser_type_id__volatile;
}


static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	if ((array != NULL) && (destroy_func != NULL)) {
		int i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}


static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}



