/* ListColumn.c generated by valac 0.34.9, the Vala compiler
 * generated from ListColumn.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2012-2017 elementary LLC. (https://elementary.io)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Noise authors hereby grant permission for non-GPL compatible
 * GStreamer plugins to be used and distributed together with GStreamer
 * and Noise. This permission is above and beyond the permissions granted
 * by the GPL license by which Noise is covered. If you modify this code
 * you may extend this exception to your version of the code, but you are not
 * obligated to do so. If you do not wish to do so, delete this exception
 * statement from your version.
 *
 * Authored by: Victor Eduardo <victoreduardm@gmail.com>
 */

#include <glib.h>
#include <glib-object.h>
#include <stdlib.h>
#include <string.h>
#include <glib/gi18n-lib.h>
#include <gio/gio.h>
#include <noise-core.h>
#include <gee.h>


#define NOISE_TYPE_LIST_COLUMN (noise_list_column_get_type ())

#define NOISE_TYPE_PLAYBACK_MANAGER (noise_playback_manager_get_type ())
#define NOISE_PLAYBACK_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_PLAYBACK_MANAGER, NoisePlaybackManager))
#define NOISE_PLAYBACK_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_PLAYBACK_MANAGER, NoisePlaybackManagerClass))
#define NOISE_IS_PLAYBACK_MANAGER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_PLAYBACK_MANAGER))
#define NOISE_IS_PLAYBACK_MANAGER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_PLAYBACK_MANAGER))
#define NOISE_PLAYBACK_MANAGER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_PLAYBACK_MANAGER, NoisePlaybackManagerClass))

typedef struct _NoisePlaybackManager NoisePlaybackManager;
typedef struct _NoisePlaybackManagerClass NoisePlaybackManagerClass;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _vala_assert(expr, msg) if G_LIKELY (expr) ; else g_assertion_message_expr (G_LOG_DOMAIN, __FILE__, __LINE__, G_STRFUNC, msg);
#define _vala_return_if_fail(expr, msg) if G_LIKELY (expr) ; else { g_return_if_fail_warning (G_LOG_DOMAIN, G_STRFUNC, msg); return; }
#define _vala_return_val_if_fail(expr, msg, val) if G_LIKELY (expr) ; else { g_return_if_fail_warning (G_LOG_DOMAIN, G_STRFUNC, msg); return val; }
#define _vala_warn_if_fail(expr, msg) if G_LIKELY (expr) ; else g_warn_message (G_LOG_DOMAIN, __FILE__, __LINE__, G_STRFUNC, msg);

typedef enum  {
	NOISE_LIST_COLUMN_ICON = 0,
	NOISE_LIST_COLUMN_NUMBER,
	NOISE_LIST_COLUMN_TRACK,
	NOISE_LIST_COLUMN_TITLE,
	NOISE_LIST_COLUMN_LENGTH,
	NOISE_LIST_COLUMN_ARTIST,
	NOISE_LIST_COLUMN_ALBUM,
	NOISE_LIST_COLUMN_ALBUM_ARTIST,
	NOISE_LIST_COLUMN_COMPOSER,
	NOISE_LIST_COLUMN_GENRE,
	NOISE_LIST_COLUMN_YEAR,
	NOISE_LIST_COLUMN_GROUPING,
	NOISE_LIST_COLUMN_BITRATE,
	NOISE_LIST_COLUMN_RATING,
	NOISE_LIST_COLUMN_PLAY_COUNT,
	NOISE_LIST_COLUMN_SKIP_COUNT,
	NOISE_LIST_COLUMN_DATE_ADDED,
	NOISE_LIST_COLUMN_LAST_PLAYED,
	NOISE_LIST_COLUMN_BPM,
	NOISE_LIST_COLUMN_FILE_LOCATION,
	NOISE_LIST_COLUMN_FILE_SIZE,
	NOISE_LIST_COLUMN_N_COLUMNS
} NoiseListColumn;



GType noise_list_column_get_type (void) G_GNUC_CONST;
gchar* noise_list_column_to_string (NoiseListColumn self);
GType noise_list_column_get_data_type (NoiseListColumn self);
GValue* noise_list_column_get_value_for_media (NoiseListColumn self, NoiseMedia* m, gint media_row_index);
GType noise_playback_manager_get_type (void) G_GNUC_CONST;
NoisePlaybackManager* noise_app_get_player (void);
NoiseMedia* noise_playback_manager_get_current_media (NoisePlaybackManager* self);
GeeCollection* noise_list_column_get_all (void);


/**
     * Returns a string representation of the column.
     */
gchar* noise_list_column_to_string (NoiseListColumn self) {
	gchar* result = NULL;
#line 64 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
	switch (self) {
#line 64 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_ICON:
#line 106 "ListColumn.c"
		{
			gchar* _tmp0_ = NULL;
#line 66 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp0_ = g_strdup (" ");
#line 66 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp0_;
#line 66 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 115 "ListColumn.c"
		}
#line 64 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_NUMBER:
#line 119 "ListColumn.c"
		{
			const gchar* _tmp1_ = NULL;
			gchar* _tmp2_ = NULL;
#line 69 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp1_ = C_ ("List column title", "#");
#line 69 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp2_ = g_strdup (_tmp1_);
#line 69 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp2_;
#line 69 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 131 "ListColumn.c"
		}
#line 64 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_TRACK:
#line 135 "ListColumn.c"
		{
			const gchar* _tmp3_ = NULL;
			gchar* _tmp4_ = NULL;
#line 72 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp3_ = C_ ("List column title", "Track");
#line 72 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp4_ = g_strdup (_tmp3_);
#line 72 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp4_;
#line 72 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 147 "ListColumn.c"
		}
#line 64 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_TITLE:
#line 151 "ListColumn.c"
		{
			const gchar* _tmp5_ = NULL;
			gchar* _tmp6_ = NULL;
#line 75 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp5_ = C_ ("List column title", "Title");
#line 75 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp6_ = g_strdup (_tmp5_);
#line 75 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp6_;
#line 75 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 163 "ListColumn.c"
		}
#line 64 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_LENGTH:
#line 167 "ListColumn.c"
		{
			const gchar* _tmp7_ = NULL;
			gchar* _tmp8_ = NULL;
#line 78 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp7_ = C_ ("List column title", "Length");
#line 78 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp8_ = g_strdup (_tmp7_);
#line 78 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp8_;
#line 78 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 179 "ListColumn.c"
		}
#line 64 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_ARTIST:
#line 183 "ListColumn.c"
		{
			const gchar* _tmp9_ = NULL;
			gchar* _tmp10_ = NULL;
#line 81 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp9_ = C_ ("List column title", "Artist");
#line 81 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp10_ = g_strdup (_tmp9_);
#line 81 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp10_;
#line 81 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 195 "ListColumn.c"
		}
#line 64 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_ALBUM:
#line 199 "ListColumn.c"
		{
			const gchar* _tmp11_ = NULL;
			gchar* _tmp12_ = NULL;
#line 84 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp11_ = C_ ("List column title", "Album");
#line 84 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp12_ = g_strdup (_tmp11_);
#line 84 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp12_;
#line 84 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 211 "ListColumn.c"
		}
#line 64 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_ALBUM_ARTIST:
#line 215 "ListColumn.c"
		{
			const gchar* _tmp13_ = NULL;
			gchar* _tmp14_ = NULL;
#line 87 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp13_ = C_ ("List column title", "Album Artist");
#line 87 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp14_ = g_strdup (_tmp13_);
#line 87 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp14_;
#line 87 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 227 "ListColumn.c"
		}
#line 64 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_COMPOSER:
#line 231 "ListColumn.c"
		{
			const gchar* _tmp15_ = NULL;
			gchar* _tmp16_ = NULL;
#line 90 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp15_ = C_ ("List column title", "Composer");
#line 90 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp16_ = g_strdup (_tmp15_);
#line 90 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp16_;
#line 90 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 243 "ListColumn.c"
		}
#line 64 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_GENRE:
#line 247 "ListColumn.c"
		{
			const gchar* _tmp17_ = NULL;
			gchar* _tmp18_ = NULL;
#line 93 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp17_ = C_ ("List column title", "Genre");
#line 93 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp18_ = g_strdup (_tmp17_);
#line 93 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp18_;
#line 93 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 259 "ListColumn.c"
		}
#line 64 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_YEAR:
#line 263 "ListColumn.c"
		{
			const gchar* _tmp19_ = NULL;
			gchar* _tmp20_ = NULL;
#line 96 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp19_ = C_ ("List column title", "Year");
#line 96 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp20_ = g_strdup (_tmp19_);
#line 96 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp20_;
#line 96 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 275 "ListColumn.c"
		}
#line 64 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_GROUPING:
#line 279 "ListColumn.c"
		{
			const gchar* _tmp21_ = NULL;
			gchar* _tmp22_ = NULL;
#line 99 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp21_ = C_ ("List column title", "Grouping");
#line 99 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp22_ = g_strdup (_tmp21_);
#line 99 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp22_;
#line 99 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 291 "ListColumn.c"
		}
#line 64 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_BITRATE:
#line 295 "ListColumn.c"
		{
			const gchar* _tmp23_ = NULL;
			gchar* _tmp24_ = NULL;
#line 102 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp23_ = C_ ("List column title", "Bitrate");
#line 102 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp24_ = g_strdup (_tmp23_);
#line 102 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp24_;
#line 102 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 307 "ListColumn.c"
		}
#line 64 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_RATING:
#line 311 "ListColumn.c"
		{
			const gchar* _tmp25_ = NULL;
			gchar* _tmp26_ = NULL;
#line 105 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp25_ = C_ ("List column title", "Rating");
#line 105 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp26_ = g_strdup (_tmp25_);
#line 105 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp26_;
#line 105 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 323 "ListColumn.c"
		}
#line 64 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_PLAY_COUNT:
#line 327 "ListColumn.c"
		{
			const gchar* _tmp27_ = NULL;
			gchar* _tmp28_ = NULL;
#line 108 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp27_ = C_ ("List column title", "Plays");
#line 108 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp28_ = g_strdup (_tmp27_);
#line 108 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp28_;
#line 108 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 339 "ListColumn.c"
		}
#line 64 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_SKIP_COUNT:
#line 343 "ListColumn.c"
		{
			const gchar* _tmp29_ = NULL;
			gchar* _tmp30_ = NULL;
#line 111 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp29_ = C_ ("List column title", "Skips");
#line 111 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp30_ = g_strdup (_tmp29_);
#line 111 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp30_;
#line 111 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 355 "ListColumn.c"
		}
#line 64 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_DATE_ADDED:
#line 359 "ListColumn.c"
		{
			const gchar* _tmp31_ = NULL;
			gchar* _tmp32_ = NULL;
#line 114 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp31_ = C_ ("List column title", "Date Added");
#line 114 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp32_ = g_strdup (_tmp31_);
#line 114 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp32_;
#line 114 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 371 "ListColumn.c"
		}
#line 64 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_LAST_PLAYED:
#line 375 "ListColumn.c"
		{
			const gchar* _tmp33_ = NULL;
			gchar* _tmp34_ = NULL;
#line 117 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp33_ = C_ ("List column title", "Last Played");
#line 117 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp34_ = g_strdup (_tmp33_);
#line 117 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp34_;
#line 117 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 387 "ListColumn.c"
		}
#line 64 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_BPM:
#line 391 "ListColumn.c"
		{
			const gchar* _tmp35_ = NULL;
			gchar* _tmp36_ = NULL;
#line 120 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp35_ = C_ ("List column title (beats per minute)", "BPM");
#line 120 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp36_ = g_strdup (_tmp35_);
#line 120 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp36_;
#line 120 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 403 "ListColumn.c"
		}
#line 64 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_FILE_LOCATION:
#line 407 "ListColumn.c"
		{
			const gchar* _tmp37_ = NULL;
			gchar* _tmp38_ = NULL;
#line 123 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp37_ = C_ ("List column title (file location)", "Location");
#line 123 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp38_ = g_strdup (_tmp37_);
#line 123 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp38_;
#line 123 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 419 "ListColumn.c"
		}
#line 64 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_FILE_SIZE:
#line 423 "ListColumn.c"
		{
			const gchar* _tmp39_ = NULL;
			gchar* _tmp40_ = NULL;
#line 126 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp39_ = C_ ("List column title", "File Size");
#line 126 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp40_ = g_strdup (_tmp39_);
#line 126 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp40_;
#line 126 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 435 "ListColumn.c"
		}
		default:
		{
#line 129 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			g_assert_not_reached ();
#line 441 "ListColumn.c"
		}
	}
}


GType noise_list_column_get_data_type (NoiseListColumn self) {
	GType result = 0UL;
#line 137 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
	switch (self) {
#line 137 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_ICON:
#line 453 "ListColumn.c"
		{
#line 139 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			result = g_icon_get_type ();
#line 139 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 459 "ListColumn.c"
		}
#line 137 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_TITLE:
#line 137 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_ARTIST:
#line 137 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_ALBUM:
#line 137 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_ALBUM_ARTIST:
#line 137 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_COMPOSER:
#line 137 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_GENRE:
#line 137 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_GROUPING:
#line 137 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_FILE_LOCATION:
#line 477 "ListColumn.c"
		{
#line 149 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			result = G_TYPE_STRING;
#line 149 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 483 "ListColumn.c"
		}
#line 137 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_NUMBER:
#line 137 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_TRACK:
#line 137 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_LENGTH:
#line 137 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_YEAR:
#line 137 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_BITRATE:
#line 137 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_RATING:
#line 137 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_PLAY_COUNT:
#line 137 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_SKIP_COUNT:
#line 137 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_DATE_ADDED:
#line 137 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_LAST_PLAYED:
#line 137 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_BPM:
#line 507 "ListColumn.c"
		{
#line 162 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			result = G_TYPE_UINT;
#line 162 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 513 "ListColumn.c"
		}
#line 137 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_FILE_SIZE:
#line 517 "ListColumn.c"
		{
#line 165 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			result = G_TYPE_UINT64;
#line 165 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 523 "ListColumn.c"
		}
		default:
		{
#line 168 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			g_assert_not_reached ();
#line 529 "ListColumn.c"
		}
	}
}


/**
     * Returns the value of the data that should be displayed by the column in the view.
     *
     * media_row_index is only necessary for {@link ListColumn.NUMBER}.
     */
static gpointer _g_object_ref0 (gpointer self) {
#line 181 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
	return self ? g_object_ref (self) : NULL;
#line 543 "ListColumn.c"
}


GValue* noise_list_column_get_value_for_media (NoiseListColumn self, NoiseMedia* m, gint media_row_index) {
	GValue* result = NULL;
#line 177 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
	g_return_val_if_fail (m != NULL, NULL);
#line 178 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
	switch (self) {
#line 178 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_ICON:
#line 555 "ListColumn.c"
		{
			GIcon* icon = NULL;
			NoiseMedia* currently_playing = NULL;
			NoisePlaybackManager* _tmp0_ = NULL;
			NoisePlaybackManager* _tmp1_ = NULL;
			NoiseMedia* _tmp2_ = NULL;
			NoiseMedia* _tmp3_ = NULL;
			NoiseMedia* _tmp4_ = NULL;
			gboolean _tmp5_ = FALSE;
			NoiseMedia* _tmp6_ = NULL;
			NoiseMedia* _tmp7_ = NULL;
			GValue* _tmp14_ = NULL;
#line 181 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp0_ = noise_app_get_player ();
#line 181 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp1_ = _tmp0_;
#line 181 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp2_ = noise_playback_manager_get_current_media (_tmp1_);
#line 181 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp3_ = _tmp2_;
#line 181 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp4_ = _g_object_ref0 (_tmp3_);
#line 181 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			currently_playing = _tmp4_;
#line 183 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp6_ = m;
#line 183 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp7_ = currently_playing;
#line 183 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			if (_tmp6_ == _tmp7_) {
#line 586 "ListColumn.c"
				NoiseMedia* _tmp8_ = NULL;
#line 183 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
				_tmp8_ = currently_playing;
#line 183 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
				_tmp5_ = _tmp8_ != NULL;
#line 592 "ListColumn.c"
			} else {
#line 183 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
				_tmp5_ = FALSE;
#line 596 "ListColumn.c"
			}
#line 183 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			if (_tmp5_) {
#line 600 "ListColumn.c"
				GThemedIcon* _tmp9_ = NULL;
#line 184 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
				_tmp9_ = (GThemedIcon*) g_themed_icon_new ("audio-volume-high-symbolic");
#line 184 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
				_g_object_unref0 (icon);
#line 184 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
				icon = (GIcon*) _tmp9_;
#line 608 "ListColumn.c"
			} else {
				NoiseMedia* _tmp10_ = NULL;
				GIcon* _tmp11_ = NULL;
				GIcon* _tmp12_ = NULL;
				GIcon* _tmp13_ = NULL;
#line 186 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
				_tmp10_ = m;
#line 186 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
				_tmp11_ = noise_media_get_unique_status_image (_tmp10_);
#line 186 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
				_tmp12_ = _tmp11_;
#line 186 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
				_tmp13_ = _g_object_ref0 (_tmp12_);
#line 186 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
				_g_object_unref0 (icon);
#line 186 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
				icon = _tmp13_;
#line 626 "ListColumn.c"
			}
#line 188 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp14_ = g_new0 (GValue, 1);
#line 188 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp14_, g_icon_get_type ());
#line 188 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_take_object (_tmp14_, icon);
#line 188 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp14_;
#line 188 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_g_object_unref0 (currently_playing);
#line 188 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 640 "ListColumn.c"
		}
#line 178 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_NUMBER:
#line 644 "ListColumn.c"
		{
			gint _tmp15_ = 0;
			gint _tmp16_ = 0;
			GValue* _tmp17_ = NULL;
#line 191 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp15_ = media_row_index;
#line 191 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_vala_assert (_tmp15_ >= 0, "media_row_index >= 0");
#line 192 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp16_ = media_row_index;
#line 192 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp17_ = g_new0 (GValue, 1);
#line 192 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp17_, G_TYPE_UINT);
#line 192 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_set_uint (_tmp17_, ((guint) _tmp16_) + 1);
#line 192 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp17_;
#line 192 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 665 "ListColumn.c"
		}
#line 178 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_TRACK:
#line 669 "ListColumn.c"
		{
			NoiseMedia* _tmp18_ = NULL;
			guint _tmp19_ = 0U;
			guint _tmp20_ = 0U;
			GValue* _tmp21_ = NULL;
#line 195 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp18_ = m;
#line 195 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp19_ = noise_media_get_track (_tmp18_);
#line 195 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp20_ = _tmp19_;
#line 195 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp21_ = g_new0 (GValue, 1);
#line 195 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp21_, G_TYPE_UINT);
#line 195 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_set_uint (_tmp21_, _tmp20_);
#line 195 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp21_;
#line 195 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 691 "ListColumn.c"
		}
#line 178 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_TITLE:
#line 695 "ListColumn.c"
		{
			NoiseMedia* _tmp22_ = NULL;
			gchar* _tmp23_ = NULL;
			GValue* _tmp24_ = NULL;
#line 198 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp22_ = m;
#line 198 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp23_ = noise_media_get_display_title (_tmp22_);
#line 198 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp24_ = g_new0 (GValue, 1);
#line 198 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp24_, G_TYPE_STRING);
#line 198 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_take_string (_tmp24_, _tmp23_);
#line 198 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp24_;
#line 198 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 714 "ListColumn.c"
		}
#line 178 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_LENGTH:
#line 718 "ListColumn.c"
		{
			NoiseMedia* _tmp25_ = NULL;
			guint _tmp26_ = 0U;
			guint _tmp27_ = 0U;
			GValue* _tmp28_ = NULL;
#line 201 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp25_ = m;
#line 201 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp26_ = noise_media_get_length (_tmp25_);
#line 201 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp27_ = _tmp26_;
#line 201 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp28_ = g_new0 (GValue, 1);
#line 201 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp28_, G_TYPE_UINT);
#line 201 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_set_uint (_tmp28_, _tmp27_);
#line 201 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp28_;
#line 201 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 740 "ListColumn.c"
		}
#line 178 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_ARTIST:
#line 744 "ListColumn.c"
		{
			NoiseMedia* _tmp29_ = NULL;
			gchar* _tmp30_ = NULL;
			GValue* _tmp31_ = NULL;
#line 204 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp29_ = m;
#line 204 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp30_ = noise_media_get_display_artist (_tmp29_);
#line 204 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp31_ = g_new0 (GValue, 1);
#line 204 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp31_, G_TYPE_STRING);
#line 204 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_take_string (_tmp31_, _tmp30_);
#line 204 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp31_;
#line 204 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 763 "ListColumn.c"
		}
#line 178 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_ALBUM:
#line 767 "ListColumn.c"
		{
			NoiseMedia* _tmp32_ = NULL;
			gchar* _tmp33_ = NULL;
			GValue* _tmp34_ = NULL;
#line 207 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp32_ = m;
#line 207 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp33_ = noise_media_get_display_album (_tmp32_);
#line 207 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp34_ = g_new0 (GValue, 1);
#line 207 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp34_, G_TYPE_STRING);
#line 207 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_take_string (_tmp34_, _tmp33_);
#line 207 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp34_;
#line 207 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 786 "ListColumn.c"
		}
#line 178 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_ALBUM_ARTIST:
#line 790 "ListColumn.c"
		{
			NoiseMedia* _tmp35_ = NULL;
			gchar* _tmp36_ = NULL;
			GValue* _tmp37_ = NULL;
#line 210 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp35_ = m;
#line 210 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp36_ = noise_media_get_display_album_artist (_tmp35_, FALSE);
#line 210 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp37_ = g_new0 (GValue, 1);
#line 210 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp37_, G_TYPE_STRING);
#line 210 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_take_string (_tmp37_, _tmp36_);
#line 210 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp37_;
#line 210 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 809 "ListColumn.c"
		}
#line 178 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_COMPOSER:
#line 813 "ListColumn.c"
		{
			NoiseMedia* _tmp38_ = NULL;
			gchar* _tmp39_ = NULL;
			GValue* _tmp40_ = NULL;
#line 213 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp38_ = m;
#line 213 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp39_ = noise_media_get_display_composer (_tmp38_);
#line 213 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp40_ = g_new0 (GValue, 1);
#line 213 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp40_, G_TYPE_STRING);
#line 213 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_take_string (_tmp40_, _tmp39_);
#line 213 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp40_;
#line 213 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 832 "ListColumn.c"
		}
#line 178 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_GENRE:
#line 836 "ListColumn.c"
		{
			NoiseMedia* _tmp41_ = NULL;
			gchar* _tmp42_ = NULL;
			GValue* _tmp43_ = NULL;
#line 216 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp41_ = m;
#line 216 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp42_ = noise_media_get_display_genre (_tmp41_);
#line 216 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp43_ = g_new0 (GValue, 1);
#line 216 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp43_, G_TYPE_STRING);
#line 216 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_take_string (_tmp43_, _tmp42_);
#line 216 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp43_;
#line 216 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 855 "ListColumn.c"
		}
#line 178 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_YEAR:
#line 859 "ListColumn.c"
		{
			NoiseMedia* _tmp44_ = NULL;
			guint _tmp45_ = 0U;
			guint _tmp46_ = 0U;
			GValue* _tmp47_ = NULL;
#line 219 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp44_ = m;
#line 219 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp45_ = noise_media_get_year (_tmp44_);
#line 219 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp46_ = _tmp45_;
#line 219 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp47_ = g_new0 (GValue, 1);
#line 219 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp47_, G_TYPE_UINT);
#line 219 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_set_uint (_tmp47_, _tmp46_);
#line 219 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp47_;
#line 219 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 881 "ListColumn.c"
		}
#line 178 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_GROUPING:
#line 885 "ListColumn.c"
		{
			NoiseMedia* _tmp48_ = NULL;
			const gchar* _tmp49_ = NULL;
			const gchar* _tmp50_ = NULL;
			GValue* _tmp51_ = NULL;
#line 222 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp48_ = m;
#line 222 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp49_ = noise_media_get_grouping (_tmp48_);
#line 222 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp50_ = _tmp49_;
#line 222 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp51_ = g_new0 (GValue, 1);
#line 222 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp51_, G_TYPE_STRING);
#line 222 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_set_string (_tmp51_, _tmp50_);
#line 222 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp51_;
#line 222 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 907 "ListColumn.c"
		}
#line 178 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_BITRATE:
#line 911 "ListColumn.c"
		{
			NoiseMedia* _tmp52_ = NULL;
			guint _tmp53_ = 0U;
			guint _tmp54_ = 0U;
			GValue* _tmp55_ = NULL;
#line 225 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp52_ = m;
#line 225 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp53_ = noise_media_get_bitrate (_tmp52_);
#line 225 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp54_ = _tmp53_;
#line 225 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp55_ = g_new0 (GValue, 1);
#line 225 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp55_, G_TYPE_UINT);
#line 225 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_set_uint (_tmp55_, _tmp54_);
#line 225 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp55_;
#line 225 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 933 "ListColumn.c"
		}
#line 178 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_RATING:
#line 937 "ListColumn.c"
		{
			NoiseMedia* _tmp56_ = NULL;
			guint _tmp57_ = 0U;
			guint _tmp58_ = 0U;
			GValue* _tmp59_ = NULL;
#line 228 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp56_ = m;
#line 228 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp57_ = noise_media_get_rating (_tmp56_);
#line 228 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp58_ = _tmp57_;
#line 228 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp59_ = g_new0 (GValue, 1);
#line 228 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp59_, G_TYPE_UINT);
#line 228 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_set_uint (_tmp59_, _tmp58_);
#line 228 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp59_;
#line 228 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 959 "ListColumn.c"
		}
#line 178 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_PLAY_COUNT:
#line 963 "ListColumn.c"
		{
			NoiseMedia* _tmp60_ = NULL;
			guint _tmp61_ = 0U;
			guint _tmp62_ = 0U;
			GValue* _tmp63_ = NULL;
#line 231 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp60_ = m;
#line 231 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp61_ = noise_media_get_play_count (_tmp60_);
#line 231 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp62_ = _tmp61_;
#line 231 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp63_ = g_new0 (GValue, 1);
#line 231 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp63_, G_TYPE_UINT);
#line 231 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_set_uint (_tmp63_, _tmp62_);
#line 231 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp63_;
#line 231 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 985 "ListColumn.c"
		}
#line 178 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_SKIP_COUNT:
#line 989 "ListColumn.c"
		{
			NoiseMedia* _tmp64_ = NULL;
			guint _tmp65_ = 0U;
			guint _tmp66_ = 0U;
			GValue* _tmp67_ = NULL;
#line 234 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp64_ = m;
#line 234 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp65_ = noise_media_get_skip_count (_tmp64_);
#line 234 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp66_ = _tmp65_;
#line 234 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp67_ = g_new0 (GValue, 1);
#line 234 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp67_, G_TYPE_UINT);
#line 234 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_set_uint (_tmp67_, _tmp66_);
#line 234 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp67_;
#line 234 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 1011 "ListColumn.c"
		}
#line 178 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_DATE_ADDED:
#line 1015 "ListColumn.c"
		{
			NoiseMedia* _tmp68_ = NULL;
			guint _tmp69_ = 0U;
			guint _tmp70_ = 0U;
			GValue* _tmp71_ = NULL;
#line 237 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp68_ = m;
#line 237 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp69_ = noise_media_get_date_added (_tmp68_);
#line 237 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp70_ = _tmp69_;
#line 237 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp71_ = g_new0 (GValue, 1);
#line 237 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp71_, G_TYPE_UINT);
#line 237 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_set_uint (_tmp71_, _tmp70_);
#line 237 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp71_;
#line 237 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 1037 "ListColumn.c"
		}
#line 178 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_LAST_PLAYED:
#line 1041 "ListColumn.c"
		{
			NoiseMedia* _tmp72_ = NULL;
			guint _tmp73_ = 0U;
			guint _tmp74_ = 0U;
			GValue* _tmp75_ = NULL;
#line 240 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp72_ = m;
#line 240 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp73_ = noise_media_get_last_played (_tmp72_);
#line 240 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp74_ = _tmp73_;
#line 240 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp75_ = g_new0 (GValue, 1);
#line 240 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp75_, G_TYPE_UINT);
#line 240 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_set_uint (_tmp75_, _tmp74_);
#line 240 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp75_;
#line 240 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 1063 "ListColumn.c"
		}
#line 178 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_BPM:
#line 1067 "ListColumn.c"
		{
			NoiseMedia* _tmp76_ = NULL;
			guint _tmp77_ = 0U;
			guint _tmp78_ = 0U;
			GValue* _tmp79_ = NULL;
#line 243 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp76_ = m;
#line 243 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp77_ = noise_media_get_bpm (_tmp76_);
#line 243 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp78_ = _tmp77_;
#line 243 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp79_ = g_new0 (GValue, 1);
#line 243 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp79_, G_TYPE_UINT);
#line 243 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_set_uint (_tmp79_, _tmp78_);
#line 243 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp79_;
#line 243 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 1089 "ListColumn.c"
		}
#line 178 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_FILE_LOCATION:
#line 1093 "ListColumn.c"
		{
			NoiseMedia* _tmp80_ = NULL;
			gchar* _tmp81_ = NULL;
			GValue* _tmp82_ = NULL;
#line 246 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp80_ = m;
#line 246 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp81_ = noise_media_get_display_location (_tmp80_);
#line 246 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp82_ = g_new0 (GValue, 1);
#line 246 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp82_, G_TYPE_STRING);
#line 246 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_take_string (_tmp82_, _tmp81_);
#line 246 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp82_;
#line 246 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 1112 "ListColumn.c"
		}
#line 178 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		case NOISE_LIST_COLUMN_FILE_SIZE:
#line 1116 "ListColumn.c"
		{
			NoiseMedia* _tmp83_ = NULL;
			guint64 _tmp84_ = 0ULL;
			guint64 _tmp85_ = 0ULL;
			GValue* _tmp86_ = NULL;
#line 249 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp83_ = m;
#line 249 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp84_ = noise_media_get_file_size (_tmp83_);
#line 249 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp85_ = _tmp84_;
#line 249 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp86_ = g_new0 (GValue, 1);
#line 249 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_init (_tmp86_, G_TYPE_UINT64);
#line 249 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			g_value_set_uint64 (_tmp86_, _tmp85_);
#line 249 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			result = _tmp86_;
#line 249 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			return result;
#line 1138 "ListColumn.c"
		}
		default:
#line 178 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		break;
#line 1143 "ListColumn.c"
	}
#line 252 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
	g_assert_not_reached ();
#line 1147 "ListColumn.c"
}


GeeCollection* noise_list_column_get_all (void) {
	GeeCollection* result = NULL;
	GeeLinkedList* list = NULL;
	GeeLinkedList* _tmp0_ = NULL;
#line 256 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
	_tmp0_ = gee_linked_list_new (NOISE_TYPE_LIST_COLUMN, NULL, NULL, NULL, NULL, NULL);
#line 256 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
	list = _tmp0_;
#line 1159 "ListColumn.c"
	{
		gint i = 0;
#line 257 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
		i = 0;
#line 1164 "ListColumn.c"
		{
			gboolean _tmp1_ = FALSE;
#line 257 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			_tmp1_ = TRUE;
#line 257 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
			while (TRUE) {
#line 1171 "ListColumn.c"
				gint _tmp3_ = 0;
				GeeLinkedList* _tmp4_ = NULL;
				gint _tmp5_ = 0;
#line 257 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
				if (!_tmp1_) {
#line 1177 "ListColumn.c"
					gint _tmp2_ = 0;
#line 257 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
					_tmp2_ = i;
#line 257 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
					i = _tmp2_ + 1;
#line 1183 "ListColumn.c"
				}
#line 257 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
				_tmp1_ = FALSE;
#line 257 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
				_tmp3_ = i;
#line 257 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
				if (!(_tmp3_ < ((gint) NOISE_LIST_COLUMN_N_COLUMNS))) {
#line 257 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
					break;
#line 1193 "ListColumn.c"
				}
#line 258 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
				_tmp4_ = list;
#line 258 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
				_tmp5_ = i;
#line 258 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
				gee_abstract_collection_add ((GeeAbstractCollection*) _tmp4_, (gpointer) ((gintptr) ((NoiseListColumn) _tmp5_)));
#line 1201 "ListColumn.c"
			}
		}
	}
#line 259 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
	result = (GeeCollection*) list;
#line 259 "/builddir/build/BUILD/music-0.4.1/src/Views/ListView/Lists/ListColumn.vala"
	return result;
#line 1209 "ListColumn.c"
}


/**
 * Represents every possible column that can go in a media list.
 *
 * New column types must be appended at the end in order to ensure backwards
 * compatibility with older TreeViewSetup representations.
 */
GType noise_list_column_get_type (void) {
	static volatile gsize noise_list_column_type_id__volatile = 0;
	if (g_once_init_enter (&noise_list_column_type_id__volatile)) {
		static const GEnumValue values[] = {{NOISE_LIST_COLUMN_ICON, "NOISE_LIST_COLUMN_ICON", "icon"}, {NOISE_LIST_COLUMN_NUMBER, "NOISE_LIST_COLUMN_NUMBER", "number"}, {NOISE_LIST_COLUMN_TRACK, "NOISE_LIST_COLUMN_TRACK", "track"}, {NOISE_LIST_COLUMN_TITLE, "NOISE_LIST_COLUMN_TITLE", "title"}, {NOISE_LIST_COLUMN_LENGTH, "NOISE_LIST_COLUMN_LENGTH", "length"}, {NOISE_LIST_COLUMN_ARTIST, "NOISE_LIST_COLUMN_ARTIST", "artist"}, {NOISE_LIST_COLUMN_ALBUM, "NOISE_LIST_COLUMN_ALBUM", "album"}, {NOISE_LIST_COLUMN_ALBUM_ARTIST, "NOISE_LIST_COLUMN_ALBUM_ARTIST", "album-artist"}, {NOISE_LIST_COLUMN_COMPOSER, "NOISE_LIST_COLUMN_COMPOSER", "composer"}, {NOISE_LIST_COLUMN_GENRE, "NOISE_LIST_COLUMN_GENRE", "genre"}, {NOISE_LIST_COLUMN_YEAR, "NOISE_LIST_COLUMN_YEAR", "year"}, {NOISE_LIST_COLUMN_GROUPING, "NOISE_LIST_COLUMN_GROUPING", "grouping"}, {NOISE_LIST_COLUMN_BITRATE, "NOISE_LIST_COLUMN_BITRATE", "bitrate"}, {NOISE_LIST_COLUMN_RATING, "NOISE_LIST_COLUMN_RATING", "rating"}, {NOISE_LIST_COLUMN_PLAY_COUNT, "NOISE_LIST_COLUMN_PLAY_COUNT", "play-count"}, {NOISE_LIST_COLUMN_SKIP_COUNT, "NOISE_LIST_COLUMN_SKIP_COUNT", "skip-count"}, {NOISE_LIST_COLUMN_DATE_ADDED, "NOISE_LIST_COLUMN_DATE_ADDED", "date-added"}, {NOISE_LIST_COLUMN_LAST_PLAYED, "NOISE_LIST_COLUMN_LAST_PLAYED", "last-played"}, {NOISE_LIST_COLUMN_BPM, "NOISE_LIST_COLUMN_BPM", "bpm"}, {NOISE_LIST_COLUMN_FILE_LOCATION, "NOISE_LIST_COLUMN_FILE_LOCATION", "file-location"}, {NOISE_LIST_COLUMN_FILE_SIZE, "NOISE_LIST_COLUMN_FILE_SIZE", "file-size"}, {NOISE_LIST_COLUMN_N_COLUMNS, "NOISE_LIST_COLUMN_N_COLUMNS", "n-columns"}, {0, NULL, NULL}};
		GType noise_list_column_type_id;
		noise_list_column_type_id = g_enum_register_static ("NoiseListColumn", values);
		g_once_init_leave (&noise_list_column_type_id__volatile, noise_list_column_type_id);
	}
	return noise_list_column_type_id__volatile;
}



