/* EmbeddedAlert.c generated by valac 0.34.9, the Vala compiler
 * generated from EmbeddedAlert.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2012-2017 elementary LLC. (https://elementary.io)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Noise authors hereby grant permission for non-GPL compatible
 * GStreamer plugins to be used and distributed together with GStreamer
 * and Noise. This permission is above and beyond the permissions granted
 * by the GPL license by which Noise is covered. If you modify this code
 * you may extend this exception to your version of the code, but you are not
 * obligated to do so. If you do not wish to do so, delete this exception
 * statement from your version.
 *
 * Authored by: Victor Eduardo <victoreduardm@gmail.com>
 */
/** PUBLIC API **/

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <stdlib.h>
#include <string.h>
#include <granite.h>


#define GRANITE_WIDGETS_TYPE_EMBEDDED_ALERT (granite_widgets_embedded_alert_get_type ())
#define GRANITE_WIDGETS_EMBEDDED_ALERT(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), GRANITE_WIDGETS_TYPE_EMBEDDED_ALERT, GraniteWidgetsEmbeddedAlert))
#define GRANITE_WIDGETS_EMBEDDED_ALERT_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), GRANITE_WIDGETS_TYPE_EMBEDDED_ALERT, GraniteWidgetsEmbeddedAlertClass))
#define GRANITE_WIDGETS_IS_EMBEDDED_ALERT(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GRANITE_WIDGETS_TYPE_EMBEDDED_ALERT))
#define GRANITE_WIDGETS_IS_EMBEDDED_ALERT_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), GRANITE_WIDGETS_TYPE_EMBEDDED_ALERT))
#define GRANITE_WIDGETS_EMBEDDED_ALERT_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), GRANITE_WIDGETS_TYPE_EMBEDDED_ALERT, GraniteWidgetsEmbeddedAlertClass))

typedef struct _GraniteWidgetsEmbeddedAlert GraniteWidgetsEmbeddedAlert;
typedef struct _GraniteWidgetsEmbeddedAlertClass GraniteWidgetsEmbeddedAlertClass;
typedef struct _GraniteWidgetsEmbeddedAlertPrivate GraniteWidgetsEmbeddedAlertPrivate;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
typedef struct _Block11Data Block11Data;
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_list_free0(var) ((var == NULL) ? NULL : (var = (g_list_free (var), NULL)))

struct _GraniteWidgetsEmbeddedAlert {
	GtkEventBox parent_instance;
	GraniteWidgetsEmbeddedAlertPrivate * priv;
};

struct _GraniteWidgetsEmbeddedAlertClass {
	GtkEventBoxClass parent_class;
};

struct _GraniteWidgetsEmbeddedAlertPrivate {
	gboolean queued_icon_visibility;
	GtkMessageType _message_type;
	GtkAction** _actions;
	gint _actions_length1;
	gint __actions_size_;
	GtkGrid* content_grid;
	GtkImage* image;
	GtkSpinner* spinner;
	GtkEventBox* image_box;
	GtkLabel* primary_text_label;
	GtkLabel* secondary_text_label;
	GtkButtonBox* action_button_box;
};

struct _Block11Data {
	int _ref_count_;
	GtkButton* action_button;
	GtkAction* action;
};


static gpointer granite_widgets_embedded_alert_parent_class = NULL;

GType granite_widgets_embedded_alert_get_type (void) G_GNUC_CONST;
#define GRANITE_WIDGETS_EMBEDDED_ALERT_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), GRANITE_WIDGETS_TYPE_EMBEDDED_ALERT, GraniteWidgetsEmbeddedAlertPrivate))
enum  {
	GRANITE_WIDGETS_EMBEDDED_ALERT_DUMMY_PROPERTY,
	GRANITE_WIDGETS_EMBEDDED_ALERT_SHOW_ICON,
	GRANITE_WIDGETS_EMBEDDED_ALERT_WORKING,
	GRANITE_WIDGETS_EMBEDDED_ALERT_PRIMARY_TEXT,
	GRANITE_WIDGETS_EMBEDDED_ALERT_SECONDARY_TEXT,
	GRANITE_WIDGETS_EMBEDDED_ALERT_MESSAGE_TYPE,
	GRANITE_WIDGETS_EMBEDDED_ALERT_BUTTONS_VISIBLE
};
#define GRANITE_WIDGETS_EMBEDDED_ALERT_MARGIN 78
#define GRANITE_WIDGETS_EMBEDDED_ALERT_MAX_WIDTH 850
#define GRANITE_WIDGETS_EMBEDDED_ALERT_PRIMARY_TEXT_MARKUP "<span weight=\"bold\" size=\"larger\">%s</span>"
GraniteWidgetsEmbeddedAlert* granite_widgets_embedded_alert_new (void);
GraniteWidgetsEmbeddedAlert* granite_widgets_embedded_alert_construct (GType object_type);
static void granite_widgets_embedded_alert_set_image_size (GraniteWidgetsEmbeddedAlert* self, gint value);
void granite_widgets_embedded_alert_set_working (GraniteWidgetsEmbeddedAlert* self, gboolean value);
void granite_widgets_embedded_alert_set_alert (GraniteWidgetsEmbeddedAlert* self, const gchar* primary_text, const gchar* secondary_text, GtkAction** actions, int actions_length1, gboolean show_icon, GtkMessageType type);
static void granite_widgets_embedded_alert_real_get_preferred_width (GtkWidget* base, gint* minimum_width, gint* natural_width);
void granite_widgets_embedded_alert_set_primary_text (GraniteWidgetsEmbeddedAlert* self, const gchar* value);
void granite_widgets_embedded_alert_set_secondary_text (GraniteWidgetsEmbeddedAlert* self, const gchar* value);
void granite_widgets_embedded_alert_set_actions (GraniteWidgetsEmbeddedAlert* self, GtkAction** value, int value_length1);
void granite_widgets_embedded_alert_set_message_type (GraniteWidgetsEmbeddedAlert* self, GtkMessageType value);
void granite_widgets_embedded_alert_set_show_icon (GraniteWidgetsEmbeddedAlert* self, gboolean value);
static void granite_widgets_embedded_alert_set_image_box_visible (GraniteWidgetsEmbeddedAlert* self, gboolean visible);
static void granite_widgets_embedded_alert_set_widget_visible (GtkWidget* widget, gboolean visible);
static void granite_widgets_embedded_alert_update_text_layout (GraniteWidgetsEmbeddedAlert* self, gboolean show_icon);
static gchar* granite_widgets_embedded_alert_get_icon_name_for_message_type (GtkMessageType message_type);
static GtkButton* granite_widgets_embedded_alert_new_button_from_action (GtkAction* action);
static Block11Data* block11_data_ref (Block11Data* _data11_);
static void block11_data_unref (void * _userdata_);
static void ___lambda45_ (Block11Data* _data11_);
static void ____lambda45__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self);
static void __lambda46_ (Block11Data* _data11_);
static void ___lambda46__gtk_button_clicked (GtkButton* _sender, gpointer self);
static gint granite_widgets_embedded_alert_get_image_size (GraniteWidgetsEmbeddedAlert* self);
gboolean granite_widgets_embedded_alert_get_show_icon (GraniteWidgetsEmbeddedAlert* self);
gboolean granite_widgets_embedded_alert_get_working (GraniteWidgetsEmbeddedAlert* self);
const gchar* granite_widgets_embedded_alert_get_primary_text (GraniteWidgetsEmbeddedAlert* self);
const gchar* granite_widgets_embedded_alert_get_secondary_text (GraniteWidgetsEmbeddedAlert* self);
GtkMessageType granite_widgets_embedded_alert_get_message_type (GraniteWidgetsEmbeddedAlert* self);
GtkAction** granite_widgets_embedded_alert_get_actions (GraniteWidgetsEmbeddedAlert* self, int* result_length1);
static GtkAction** _vala_array_dup1 (GtkAction** self, int length);
void granite_widgets_embedded_alert_set_buttons_visible (GraniteWidgetsEmbeddedAlert* self, gboolean value);
gboolean granite_widgets_embedded_alert_get_buttons_visible (GraniteWidgetsEmbeddedAlert* self);
static void granite_widgets_embedded_alert_finalize (GObject* obj);
static void _vala_granite_widgets_embedded_alert_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_granite_widgets_embedded_alert_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);
static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func);
static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func);


static gpointer _g_object_ref0 (gpointer self) {
#line 183 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	return self ? g_object_ref (self) : NULL;
#line 146 "EmbeddedAlert.c"
}


GraniteWidgetsEmbeddedAlert* granite_widgets_embedded_alert_construct (GType object_type) {
	GraniteWidgetsEmbeddedAlert * self = NULL;
	GtkStyleContext* style = NULL;
	GtkStyleContext* _tmp0_ = NULL;
	GtkStyleContext* _tmp1_ = NULL;
	GtkLabel* _tmp2_ = NULL;
	GtkLabel* _tmp3_ = NULL;
	GtkLabel* _tmp4_ = NULL;
	GtkLabel* _tmp5_ = NULL;
	GtkLabel* _tmp6_ = NULL;
	GtkLabel* _tmp7_ = NULL;
	GtkButtonBox* _tmp8_ = NULL;
	GtkEventBox* _tmp9_ = NULL;
	GtkEventBox* _tmp10_ = NULL;
	GtkEventBox* _tmp11_ = NULL;
	GtkEventBox* _tmp12_ = NULL;
	GtkEventBox* _tmp13_ = NULL;
	GtkEventBox* _tmp14_ = NULL;
	GtkImage* _tmp15_ = NULL;
	GtkSpinner* _tmp16_ = NULL;
	GtkSpinner* _tmp17_ = NULL;
	GtkSpinner* _tmp18_ = NULL;
	GtkLabel* _tmp19_ = NULL;
	GtkLabel* _tmp20_ = NULL;
	GtkLabel* _tmp21_ = NULL;
	GtkLabel* _tmp22_ = NULL;
	GtkLabel* _tmp23_ = NULL;
	GtkLabel* _tmp24_ = NULL;
	GtkButtonBox* _tmp25_ = NULL;
	GtkButtonBox* _tmp26_ = NULL;
	GtkButtonBox* _tmp27_ = NULL;
	GtkGrid* _tmp28_ = NULL;
	GtkGrid* _tmp29_ = NULL;
	GtkEventBox* _tmp30_ = NULL;
	GtkGrid* _tmp31_ = NULL;
	GtkLabel* _tmp32_ = NULL;
	GtkGrid* _tmp33_ = NULL;
	GtkLabel* _tmp34_ = NULL;
	GtkLabel* _tmp35_ = NULL;
	GtkGrid* _tmp36_ = NULL;
	GtkButtonBox* _tmp37_ = NULL;
	GtkLabel* _tmp38_ = NULL;
	GtkGrid* _tmp39_ = NULL;
	GtkGrid* _tmp40_ = NULL;
	GtkGrid* _tmp41_ = NULL;
	GtkGrid* _tmp42_ = NULL;
#line 182 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	self = (GraniteWidgetsEmbeddedAlert*) g_object_new (object_type, NULL);
#line 183 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp0_ = gtk_widget_get_style_context ((GtkWidget*) self);
#line 183 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 183 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	style = _tmp1_;
#line 184 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	gtk_style_context_add_class (style, GTK_STYLE_CLASS_VIEW);
#line 185 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	gtk_style_context_add_class (style, GRANITE_STYLE_CLASS_CONTENT_VIEW);
#line 187 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp2_ = (GtkLabel*) gtk_label_new (NULL);
#line 187 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	g_object_ref_sink (_tmp2_);
#line 187 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_g_object_unref0 (self->priv->primary_text_label);
#line 187 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	self->priv->primary_text_label = _tmp2_;
#line 188 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp3_ = (GtkLabel*) gtk_label_new (NULL);
#line 188 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	g_object_ref_sink (_tmp3_);
#line 188 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_g_object_unref0 (self->priv->secondary_text_label);
#line 188 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	self->priv->secondary_text_label = _tmp3_;
#line 190 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp4_ = self->priv->primary_text_label;
#line 190 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp5_ = self->priv->secondary_text_label;
#line 190 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	g_object_set (_tmp5_, "wrap", TRUE, NULL);
#line 190 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	g_object_set (_tmp4_, "wrap", TRUE, NULL);
#line 191 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp6_ = self->priv->primary_text_label;
#line 191 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp7_ = self->priv->secondary_text_label;
#line 191 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	gtk_label_set_use_markup (_tmp7_, TRUE);
#line 191 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	gtk_label_set_use_markup (_tmp6_, TRUE);
#line 193 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp8_ = (GtkButtonBox*) gtk_button_box_new (GTK_ORIENTATION_HORIZONTAL);
#line 193 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	g_object_ref_sink (_tmp8_);
#line 193 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_g_object_unref0 (self->priv->action_button_box);
#line 193 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	self->priv->action_button_box = _tmp8_;
#line 195 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp9_ = (GtkEventBox*) gtk_event_box_new ();
#line 195 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	g_object_ref_sink (_tmp9_);
#line 195 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_g_object_unref0 (self->priv->image_box);
#line 195 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	self->priv->image_box = _tmp9_;
#line 196 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp10_ = self->priv->image_box;
#line 196 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	gtk_event_box_set_visible_window (_tmp10_, FALSE);
#line 197 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp11_ = self->priv->image_box;
#line 197 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	gtk_event_box_set_above_child (_tmp11_, TRUE);
#line 198 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp12_ = self->priv->image_box;
#line 198 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp12_, GTK_ALIGN_END);
#line 199 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp13_ = self->priv->image_box;
#line 199 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp13_, GTK_ALIGN_START);
#line 200 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp14_ = self->priv->image_box;
#line 200 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	gtk_widget_set_margin_right ((GtkWidget*) _tmp14_, 12);
#line 202 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp15_ = (GtkImage*) gtk_image_new ();
#line 202 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	g_object_ref_sink (_tmp15_);
#line 202 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_g_object_unref0 (self->priv->image);
#line 202 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	self->priv->image = _tmp15_;
#line 203 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp16_ = (GtkSpinner*) gtk_spinner_new ();
#line 203 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	g_object_ref_sink (_tmp16_);
#line 203 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_g_object_unref0 (self->priv->spinner);
#line 203 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	self->priv->spinner = _tmp16_;
#line 205 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp17_ = self->priv->spinner;
#line 205 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp17_, GTK_ALIGN_CENTER);
#line 206 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp18_ = self->priv->spinner;
#line 206 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp18_, GTK_ALIGN_CENTER);
#line 208 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp19_ = self->priv->primary_text_label;
#line 208 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	gtk_widget_set_margin_bottom ((GtkWidget*) _tmp19_, 12);
#line 209 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp20_ = self->priv->secondary_text_label;
#line 209 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	gtk_widget_set_margin_bottom ((GtkWidget*) _tmp20_, 18);
#line 210 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp21_ = self->priv->primary_text_label;
#line 210 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp22_ = self->priv->secondary_text_label;
#line 210 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp22_, GTK_ALIGN_START);
#line 210 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp21_, GTK_ALIGN_START);
#line 211 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp23_ = self->priv->primary_text_label;
#line 211 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp24_ = self->priv->secondary_text_label;
#line 211 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	gtk_widget_set_vexpand ((GtkWidget*) _tmp24_, FALSE);
#line 211 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	gtk_widget_set_vexpand ((GtkWidget*) _tmp23_, FALSE);
#line 213 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp25_ = self->priv->action_button_box;
#line 213 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp25_, GTK_ALIGN_START);
#line 214 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp26_ = self->priv->action_button_box;
#line 214 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	gtk_widget_set_vexpand ((GtkWidget*) _tmp26_, FALSE);
#line 215 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp27_ = self->priv->action_button_box;
#line 215 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	gtk_box_set_spacing ((GtkBox*) _tmp27_, 6);
#line 217 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp28_ = (GtkGrid*) gtk_grid_new ();
#line 217 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	g_object_ref_sink (_tmp28_);
#line 217 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_g_object_unref0 (self->priv->content_grid);
#line 217 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	self->priv->content_grid = _tmp28_;
#line 218 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp29_ = self->priv->content_grid;
#line 218 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp30_ = self->priv->image_box;
#line 218 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	gtk_grid_attach (_tmp29_, (GtkWidget*) _tmp30_, 1, 1, 1, 3);
#line 219 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp31_ = self->priv->content_grid;
#line 219 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp32_ = self->priv->primary_text_label;
#line 219 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	gtk_grid_attach (_tmp31_, (GtkWidget*) _tmp32_, 2, 1, 1, 1);
#line 220 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp33_ = self->priv->content_grid;
#line 220 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp34_ = self->priv->secondary_text_label;
#line 220 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp35_ = self->priv->primary_text_label;
#line 220 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	gtk_grid_attach_next_to (_tmp33_, (GtkWidget*) _tmp34_, (GtkWidget*) _tmp35_, GTK_POS_BOTTOM, 1, 1);
#line 222 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp36_ = self->priv->content_grid;
#line 222 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp37_ = self->priv->action_button_box;
#line 222 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp38_ = self->priv->secondary_text_label;
#line 222 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	gtk_grid_attach_next_to (_tmp36_, (GtkWidget*) _tmp37_, (GtkWidget*) _tmp38_, GTK_POS_BOTTOM, 1, 1);
#line 225 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp39_ = self->priv->content_grid;
#line 225 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp40_ = self->priv->content_grid;
#line 225 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	gtk_widget_set_valign ((GtkWidget*) _tmp40_, GTK_ALIGN_CENTER);
#line 225 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	gtk_widget_set_halign ((GtkWidget*) _tmp39_, GTK_ALIGN_CENTER);
#line 226 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp41_ = self->priv->content_grid;
#line 226 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	g_object_set ((GtkWidget*) _tmp41_, "margin", GRANITE_WIDGETS_EMBEDDED_ALERT_MARGIN, NULL);
#line 228 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp42_ = self->priv->content_grid;
#line 228 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	gtk_container_add ((GtkContainer*) self, (GtkWidget*) _tmp42_);
#line 231 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	granite_widgets_embedded_alert_set_image_size (self, 64);
#line 232 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	granite_widgets_embedded_alert_set_working (self, FALSE);
#line 233 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	granite_widgets_embedded_alert_set_alert (self, "", "", NULL, 0, FALSE, GTK_MESSAGE_WARNING);
#line 182 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_g_object_unref0 (style);
#line 182 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	return self;
#line 398 "EmbeddedAlert.c"
}


GraniteWidgetsEmbeddedAlert* granite_widgets_embedded_alert_new (void) {
#line 182 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	return granite_widgets_embedded_alert_construct (GRANITE_WIDGETS_TYPE_EMBEDDED_ALERT);
#line 405 "EmbeddedAlert.c"
}


static void granite_widgets_embedded_alert_real_get_preferred_width (GtkWidget* base, gint* minimum_width, gint* natural_width) {
	GraniteWidgetsEmbeddedAlert * self;
	gint _vala_minimum_width = 0;
	gint _vala_natural_width = 0;
	gint _tmp0_ = 0;
	gint _tmp1_ = 0;
#line 236 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	self = (GraniteWidgetsEmbeddedAlert*) base;
#line 237 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	GTK_WIDGET_CLASS (granite_widgets_embedded_alert_parent_class)->get_preferred_width ((GtkWidget*) G_TYPE_CHECK_INSTANCE_CAST (self, gtk_event_box_get_type (), GtkEventBox), &_tmp0_, &_tmp1_);
#line 237 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_vala_minimum_width = _tmp0_;
#line 237 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_vala_natural_width = _tmp1_;
#line 238 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_vala_natural_width = GRANITE_WIDGETS_EMBEDDED_ALERT_MAX_WIDTH;
#line 236 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	if (minimum_width) {
#line 236 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		*minimum_width = _vala_minimum_width;
#line 429 "EmbeddedAlert.c"
	}
#line 236 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	if (natural_width) {
#line 236 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		*natural_width = _vala_natural_width;
#line 435 "EmbeddedAlert.c"
	}
}


/**
     * Convenient method that allows setting all the widget properties at once, instead of making
     * single calls to set_primary_text(), set_secondary_text(), show_icon, etc. These are called
     * for you internally. Using this method is recommended when you plan to destroy the widget
     * after the user makes a choice, or if you want to re-use the alert to display completely
     * different information, which is often the case.
     */
void granite_widgets_embedded_alert_set_alert (GraniteWidgetsEmbeddedAlert* self, const gchar* primary_text, const gchar* secondary_text, GtkAction** actions, int actions_length1, gboolean show_icon, GtkMessageType type) {
	const gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	GtkAction** _tmp2_ = NULL;
	gint _tmp2__length1 = 0;
	GtkMessageType _tmp3_ = 0;
	gboolean _tmp4_ = FALSE;
#line 250 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	g_return_if_fail (self != NULL);
#line 250 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	g_return_if_fail (primary_text != NULL);
#line 250 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	g_return_if_fail (secondary_text != NULL);
#line 254 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	gtk_widget_set_size_request ((GtkWidget*) self, 0, 0);
#line 256 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp0_ = primary_text;
#line 256 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	granite_widgets_embedded_alert_set_primary_text (self, _tmp0_);
#line 257 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp1_ = secondary_text;
#line 257 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	granite_widgets_embedded_alert_set_secondary_text (self, _tmp1_);
#line 258 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp2_ = actions;
#line 258 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp2__length1 = actions_length1;
#line 258 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	granite_widgets_embedded_alert_set_actions (self, _tmp2_, _tmp2__length1);
#line 259 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp3_ = type;
#line 259 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	granite_widgets_embedded_alert_set_message_type (self, _tmp3_);
#line 261 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp4_ = show_icon;
#line 261 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	granite_widgets_embedded_alert_set_show_icon (self, _tmp4_);
#line 484 "EmbeddedAlert.c"
}


static void granite_widgets_embedded_alert_set_image_box_visible (GraniteWidgetsEmbeddedAlert* self, gboolean visible) {
	GtkEventBox* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
	gboolean _tmp2_ = FALSE;
#line 266 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	g_return_if_fail (self != NULL);
#line 267 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp0_ = self->priv->image_box;
#line 267 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp1_ = visible;
#line 267 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	granite_widgets_embedded_alert_set_widget_visible ((GtkWidget*) _tmp0_, _tmp1_);
#line 268 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp2_ = visible;
#line 268 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	granite_widgets_embedded_alert_update_text_layout (self, _tmp2_);
#line 504 "EmbeddedAlert.c"
}


static void granite_widgets_embedded_alert_update_text_layout (GraniteWidgetsEmbeddedAlert* self, gboolean show_icon) {
	gboolean _tmp0_ = FALSE;
#line 271 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	g_return_if_fail (self != NULL);
#line 274 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp0_ = show_icon;
#line 274 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	if (_tmp0_) {
#line 516 "EmbeddedAlert.c"
		GtkLabel* _tmp1_ = NULL;
		GtkLabel* _tmp2_ = NULL;
		GtkLabel* _tmp3_ = NULL;
		GtkLabel* _tmp4_ = NULL;
		GtkButtonBox* _tmp5_ = NULL;
		GtkButtonBox* _tmp6_ = NULL;
#line 275 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp1_ = self->priv->primary_text_label;
#line 275 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp2_ = self->priv->secondary_text_label;
#line 275 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		gtk_widget_set_halign ((GtkWidget*) _tmp2_, GTK_ALIGN_START);
#line 275 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		gtk_widget_set_halign ((GtkWidget*) _tmp1_, GTK_ALIGN_START);
#line 276 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp3_ = self->priv->primary_text_label;
#line 276 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		gtk_label_set_justify (_tmp3_, GTK_JUSTIFY_LEFT);
#line 277 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp4_ = self->priv->secondary_text_label;
#line 277 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		gtk_label_set_justify (_tmp4_, GTK_JUSTIFY_FILL);
#line 279 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp5_ = self->priv->action_button_box;
#line 279 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		gtk_button_box_set_layout (_tmp5_, GTK_BUTTONBOX_END);
#line 280 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp6_ = self->priv->action_button_box;
#line 280 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		gtk_widget_set_halign ((GtkWidget*) _tmp6_, GTK_ALIGN_END);
#line 547 "EmbeddedAlert.c"
	} else {
		GtkLabel* _tmp7_ = NULL;
		GtkLabel* _tmp8_ = NULL;
		GtkLabel* _tmp9_ = NULL;
		GtkLabel* _tmp10_ = NULL;
		GtkButtonBox* _tmp11_ = NULL;
		GtkButtonBox* _tmp12_ = NULL;
#line 283 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp7_ = self->priv->primary_text_label;
#line 283 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp8_ = self->priv->secondary_text_label;
#line 283 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		gtk_widget_set_halign ((GtkWidget*) _tmp8_, GTK_ALIGN_CENTER);
#line 283 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		gtk_widget_set_halign ((GtkWidget*) _tmp7_, GTK_ALIGN_CENTER);
#line 284 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp9_ = self->priv->primary_text_label;
#line 284 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp10_ = self->priv->secondary_text_label;
#line 284 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		gtk_label_set_justify (_tmp10_, GTK_JUSTIFY_CENTER);
#line 284 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		gtk_label_set_justify (_tmp9_, GTK_JUSTIFY_CENTER);
#line 286 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp11_ = self->priv->action_button_box;
#line 286 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		gtk_button_box_set_layout (_tmp11_, GTK_BUTTONBOX_CENTER);
#line 287 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp12_ = self->priv->action_button_box;
#line 287 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		gtk_widget_set_halign ((GtkWidget*) _tmp12_, GTK_ALIGN_CENTER);
#line 579 "EmbeddedAlert.c"
	}
}


/** Utility functions **/
static gchar* granite_widgets_embedded_alert_get_icon_name_for_message_type (GtkMessageType message_type) {
	gchar* result = NULL;
	GtkMessageType _tmp0_ = 0;
#line 295 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp0_ = message_type;
#line 295 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	switch (_tmp0_) {
#line 295 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		case GTK_MESSAGE_ERROR:
#line 594 "EmbeddedAlert.c"
		{
			gchar* _tmp1_ = NULL;
#line 297 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
			_tmp1_ = g_strdup ("dialog-error");
#line 297 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
			result = _tmp1_;
#line 297 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
			return result;
#line 603 "EmbeddedAlert.c"
		}
#line 295 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		case GTK_MESSAGE_WARNING:
#line 607 "EmbeddedAlert.c"
		{
			gchar* _tmp2_ = NULL;
#line 299 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
			_tmp2_ = g_strdup ("dialog-warning");
#line 299 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
			result = _tmp2_;
#line 299 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
			return result;
#line 616 "EmbeddedAlert.c"
		}
#line 295 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		case GTK_MESSAGE_QUESTION:
#line 620 "EmbeddedAlert.c"
		{
			gchar* _tmp3_ = NULL;
#line 301 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
			_tmp3_ = g_strdup ("dialog-question");
#line 301 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
			result = _tmp3_;
#line 301 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
			return result;
#line 629 "EmbeddedAlert.c"
		}
		default:
		{
			gchar* _tmp4_ = NULL;
#line 303 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
			_tmp4_ = g_strdup ("dialog-information");
#line 303 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
			result = _tmp4_;
#line 303 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
			return result;
#line 640 "EmbeddedAlert.c"
		}
	}
}


static void granite_widgets_embedded_alert_set_widget_visible (GtkWidget* widget, gboolean visible) {
	GtkWidget* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
	gboolean _tmp2_ = FALSE;
#line 307 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	g_return_if_fail (widget != NULL);
#line 308 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp0_ = widget;
#line 308 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp1_ = visible;
#line 308 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	gtk_widget_set_no_show_all (_tmp0_, !_tmp1_);
#line 309 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp2_ = visible;
#line 309 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	if (_tmp2_) {
#line 662 "EmbeddedAlert.c"
		GtkWidget* _tmp3_ = NULL;
#line 310 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp3_ = widget;
#line 310 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		gtk_widget_show_all (_tmp3_);
#line 668 "EmbeddedAlert.c"
	} else {
		GtkWidget* _tmp4_ = NULL;
#line 312 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp4_ = widget;
#line 312 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		gtk_widget_hide (_tmp4_);
#line 675 "EmbeddedAlert.c"
	}
}


static Block11Data* block11_data_ref (Block11Data* _data11_) {
#line 315 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	g_atomic_int_inc (&_data11_->_ref_count_);
#line 315 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	return _data11_;
#line 685 "EmbeddedAlert.c"
}


static void block11_data_unref (void * _userdata_) {
	Block11Data* _data11_;
	_data11_ = (Block11Data*) _userdata_;
#line 315 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	if (g_atomic_int_dec_and_test (&_data11_->_ref_count_)) {
#line 315 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_g_object_unref0 (_data11_->action_button);
#line 315 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_g_object_unref0 (_data11_->action);
#line 315 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		g_slice_free (Block11Data, _data11_);
#line 700 "EmbeddedAlert.c"
	}
}


static void ___lambda45_ (Block11Data* _data11_) {
	GtkButton* _tmp0_ = NULL;
	GtkAction* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
#line 328 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp0_ = _data11_->action_button;
#line 328 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp1_ = _data11_->action;
#line 328 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp2_ = gtk_action_get_label (_tmp1_);
#line 328 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp3_ = _tmp2_;
#line 328 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	gtk_button_set_label (_tmp0_, _tmp3_);
#line 720 "EmbeddedAlert.c"
}


static void ____lambda45__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self) {
#line 327 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	___lambda45_ (self);
#line 727 "EmbeddedAlert.c"
}


static void __lambda46_ (Block11Data* _data11_) {
	GtkAction* _tmp0_ = NULL;
#line 347 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp0_ = _data11_->action;
#line 347 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	gtk_action_activate (_tmp0_);
#line 737 "EmbeddedAlert.c"
}


static void ___lambda46__gtk_button_clicked (GtkButton* _sender, gpointer self) {
#line 346 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	__lambda46_ (self);
#line 744 "EmbeddedAlert.c"
}


static GtkButton* granite_widgets_embedded_alert_new_button_from_action (GtkAction* action) {
	GtkButton* result = NULL;
	Block11Data* _data11_;
	GtkAction* _tmp0_ = NULL;
	GtkAction* _tmp1_ = NULL;
	gboolean has_label = FALSE;
	GtkAction* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
	const gchar* _tmp4_ = NULL;
	gboolean has_stock = FALSE;
	GtkAction* _tmp5_ = NULL;
	const gchar* _tmp6_ = NULL;
	const gchar* _tmp7_ = NULL;
	gboolean has_gicon = FALSE;
	GtkAction* _tmp8_ = NULL;
	GIcon* _tmp9_ = NULL;
	GIcon* _tmp10_ = NULL;
	gboolean has_tooltip = FALSE;
	GtkAction* _tmp11_ = NULL;
	const gchar* _tmp12_ = NULL;
	const gchar* _tmp13_ = NULL;
	gboolean _tmp14_ = FALSE;
	gboolean _tmp26_ = FALSE;
	gboolean _tmp40_ = FALSE;
	GtkButton* _tmp45_ = NULL;
	GtkButton* _tmp46_ = NULL;
	GtkButton* _tmp47_ = NULL;
#line 315 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	g_return_val_if_fail (action != NULL, NULL);
#line 315 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_data11_ = g_slice_new0 (Block11Data);
#line 315 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_data11_->_ref_count_ = 1;
#line 315 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp0_ = action;
#line 315 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 315 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_g_object_unref0 (_data11_->action);
#line 315 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_data11_->action = _tmp1_;
#line 316 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp2_ = _data11_->action;
#line 316 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp3_ = gtk_action_get_label (_tmp2_);
#line 316 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp4_ = _tmp3_;
#line 316 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	has_label = _tmp4_ != NULL;
#line 317 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp5_ = _data11_->action;
#line 317 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp6_ = gtk_action_get_stock_id (_tmp5_);
#line 317 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp7_ = _tmp6_;
#line 317 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	has_stock = _tmp7_ != NULL;
#line 318 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp8_ = _data11_->action;
#line 318 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp9_ = gtk_action_get_gicon (_tmp8_);
#line 318 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp10_ = _tmp9_;
#line 318 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	has_gicon = _tmp10_ != NULL;
#line 319 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp11_ = _data11_->action;
#line 319 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp12_ = gtk_action_get_tooltip (_tmp11_);
#line 319 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp13_ = _tmp12_;
#line 319 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	has_tooltip = _tmp13_ != NULL;
#line 324 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp14_ = has_label;
#line 324 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	if (_tmp14_) {
#line 825 "EmbeddedAlert.c"
		GtkAction* _tmp15_ = NULL;
		const gchar* _tmp16_ = NULL;
		const gchar* _tmp17_ = NULL;
		GtkButton* _tmp18_ = NULL;
		GtkAction* _tmp19_ = NULL;
#line 325 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp15_ = _data11_->action;
#line 325 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp16_ = gtk_action_get_label (_tmp15_);
#line 325 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp17_ = _tmp16_;
#line 325 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp18_ = (GtkButton*) gtk_button_new_with_label (_tmp17_);
#line 325 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		g_object_ref_sink (_tmp18_);
#line 325 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_g_object_unref0 (_data11_->action_button);
#line 325 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_data11_->action_button = _tmp18_;
#line 327 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp19_ = _data11_->action;
#line 327 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		g_signal_connect_data ((GObject*) _tmp19_, "notify::label", (GCallback) ____lambda45__g_object_notify, block11_data_ref (_data11_), (GClosureNotify) block11_data_unref, 0);
#line 849 "EmbeddedAlert.c"
	} else {
		gboolean _tmp20_ = FALSE;
#line 330 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp20_ = has_stock;
#line 330 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		if (_tmp20_) {
#line 856 "EmbeddedAlert.c"
			GtkAction* _tmp21_ = NULL;
			const gchar* _tmp22_ = NULL;
			const gchar* _tmp23_ = NULL;
			GtkButton* _tmp24_ = NULL;
#line 331 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
			_tmp21_ = _data11_->action;
#line 331 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
			_tmp22_ = gtk_action_get_stock_id (_tmp21_);
#line 331 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
			_tmp23_ = _tmp22_;
#line 331 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
			_tmp24_ = (GtkButton*) gtk_button_new_from_stock (_tmp23_);
#line 331 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
			g_object_ref_sink (_tmp24_);
#line 331 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
			_g_object_unref0 (_data11_->action_button);
#line 331 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
			_data11_->action_button = _tmp24_;
#line 875 "EmbeddedAlert.c"
		} else {
			GtkButton* _tmp25_ = NULL;
#line 333 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
			_tmp25_ = (GtkButton*) gtk_button_new ();
#line 333 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
			g_object_ref_sink (_tmp25_);
#line 333 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
			_g_object_unref0 (_data11_->action_button);
#line 333 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
			_data11_->action_button = _tmp25_;
#line 886 "EmbeddedAlert.c"
		}
	}
#line 337 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp26_ = has_stock;
#line 337 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	if (_tmp26_) {
#line 893 "EmbeddedAlert.c"
		GtkButton* _tmp27_ = NULL;
		GtkAction* _tmp28_ = NULL;
		const gchar* _tmp29_ = NULL;
		const gchar* _tmp30_ = NULL;
		GtkImage* _tmp31_ = NULL;
		GtkImage* _tmp32_ = NULL;
#line 338 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp27_ = _data11_->action_button;
#line 338 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp28_ = _data11_->action;
#line 338 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp29_ = gtk_action_get_stock_id (_tmp28_);
#line 338 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp30_ = _tmp29_;
#line 338 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp31_ = (GtkImage*) gtk_image_new_from_stock (_tmp30_, GTK_ICON_SIZE_BUTTON);
#line 338 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		g_object_ref_sink (_tmp31_);
#line 338 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp32_ = _tmp31_;
#line 338 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		gtk_button_set_image (_tmp27_, (GtkWidget*) _tmp32_);
#line 338 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_g_object_unref0 (_tmp32_);
#line 918 "EmbeddedAlert.c"
	} else {
		gboolean _tmp33_ = FALSE;
#line 339 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp33_ = has_gicon;
#line 339 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		if (_tmp33_) {
#line 925 "EmbeddedAlert.c"
			GtkButton* _tmp34_ = NULL;
			GtkAction* _tmp35_ = NULL;
			GIcon* _tmp36_ = NULL;
			GIcon* _tmp37_ = NULL;
			GtkImage* _tmp38_ = NULL;
			GtkImage* _tmp39_ = NULL;
#line 340 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
			_tmp34_ = _data11_->action_button;
#line 340 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
			_tmp35_ = _data11_->action;
#line 340 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
			_tmp36_ = gtk_action_get_gicon (_tmp35_);
#line 340 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
			_tmp37_ = _tmp36_;
#line 340 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
			_tmp38_ = (GtkImage*) gtk_image_new_from_gicon (_tmp37_, GTK_ICON_SIZE_BUTTON);
#line 340 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
			g_object_ref_sink (_tmp38_);
#line 340 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
			_tmp39_ = _tmp38_;
#line 340 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
			gtk_button_set_image (_tmp34_, (GtkWidget*) _tmp39_);
#line 340 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
			_g_object_unref0 (_tmp39_);
#line 950 "EmbeddedAlert.c"
		}
	}
#line 342 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp40_ = has_tooltip;
#line 342 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	if (_tmp40_) {
#line 957 "EmbeddedAlert.c"
		GtkButton* _tmp41_ = NULL;
		GtkAction* _tmp42_ = NULL;
		const gchar* _tmp43_ = NULL;
		const gchar* _tmp44_ = NULL;
#line 343 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp41_ = _data11_->action_button;
#line 343 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp42_ = _data11_->action;
#line 343 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp43_ = gtk_action_get_tooltip (_tmp42_);
#line 343 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp44_ = _tmp43_;
#line 343 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		gtk_widget_set_tooltip_text ((GtkWidget*) _tmp41_, _tmp44_);
#line 972 "EmbeddedAlert.c"
	}
#line 346 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp45_ = _data11_->action_button;
#line 346 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	g_signal_connect_data (_tmp45_, "clicked", (GCallback) ___lambda46__gtk_button_clicked, block11_data_ref (_data11_), (GClosureNotify) block11_data_unref, 0);
#line 350 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp46_ = _data11_->action_button;
#line 350 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp47_ = _g_object_ref0 (_tmp46_);
#line 350 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	result = _tmp47_;
#line 350 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	block11_data_unref (_data11_);
#line 350 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_data11_ = NULL;
#line 350 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	return result;
#line 990 "EmbeddedAlert.c"
}


static gint granite_widgets_embedded_alert_get_image_size (GraniteWidgetsEmbeddedAlert* self) {
	gint result;
	GtkImage* _tmp0_ = NULL;
	gint _tmp1_ = 0;
	gint _tmp2_ = 0;
#line 37 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 38 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp0_ = self->priv->image;
#line 38 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp1_ = gtk_image_get_pixel_size (_tmp0_);
#line 38 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp2_ = _tmp1_;
#line 38 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	result = _tmp2_;
#line 38 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	return result;
#line 1011 "EmbeddedAlert.c"
}


static void granite_widgets_embedded_alert_set_image_size (GraniteWidgetsEmbeddedAlert* self, gint value) {
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	gint _tmp2_ = 0;
	GtkImage* _tmp5_ = NULL;
	gint _tmp6_ = 0;
	GtkEventBox* _tmp7_ = NULL;
	gint _tmp8_ = 0;
	gint _tmp9_ = 0;
	gint spinner_size = 0;
	gint _tmp10_ = 0;
	gint _tmp11_ = 0;
	gint _tmp12_ = 0;
	GtkSpinner* _tmp15_ = NULL;
	gint _tmp16_ = 0;
	gint _tmp17_ = 0;
	GtkEventBox* _tmp18_ = NULL;
#line 40 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	g_return_if_fail (self != NULL);
#line 41 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp2_ = value;
#line 41 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	if (_tmp2_ > 0) {
#line 1038 "EmbeddedAlert.c"
		GtkImage* _tmp3_ = NULL;
#line 41 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp3_ = self->priv->image;
#line 41 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp1_ = _tmp3_ != NULL;
#line 1044 "EmbeddedAlert.c"
	} else {
#line 41 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp1_ = FALSE;
#line 1048 "EmbeddedAlert.c"
	}
#line 41 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	if (_tmp1_) {
#line 1052 "EmbeddedAlert.c"
		GtkSpinner* _tmp4_ = NULL;
#line 41 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp4_ = self->priv->spinner;
#line 41 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp0_ = _tmp4_ != NULL;
#line 1058 "EmbeddedAlert.c"
	} else {
#line 41 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp0_ = FALSE;
#line 1062 "EmbeddedAlert.c"
	}
#line 41 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	g_return_if_fail (_tmp0_);
#line 42 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp5_ = self->priv->image;
#line 42 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp6_ = value;
#line 42 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	gtk_image_set_pixel_size (_tmp5_, _tmp6_);
#line 43 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp7_ = self->priv->image_box;
#line 43 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp8_ = value;
#line 43 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp9_ = value;
#line 43 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	gtk_widget_set_size_request ((GtkWidget*) _tmp7_, _tmp8_ + 2, _tmp9_);
#line 44 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp10_ = value;
#line 44 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	spinner_size = _tmp10_ - 10;
#line 45 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp12_ = spinner_size;
#line 45 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	if (_tmp12_ > 0) {
#line 1088 "EmbeddedAlert.c"
		gint _tmp13_ = 0;
#line 45 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp13_ = spinner_size;
#line 45 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp11_ = _tmp13_;
#line 1094 "EmbeddedAlert.c"
	} else {
		gint _tmp14_ = 0;
#line 45 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp14_ = value;
#line 45 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp11_ = _tmp14_;
#line 1101 "EmbeddedAlert.c"
	}
#line 45 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	spinner_size = _tmp11_;
#line 46 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp15_ = self->priv->spinner;
#line 46 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp16_ = spinner_size;
#line 46 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp17_ = spinner_size;
#line 46 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	gtk_widget_set_size_request ((GtkWidget*) _tmp15_, _tmp16_, _tmp17_);
#line 47 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp18_ = self->priv->image_box;
#line 47 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	gtk_widget_queue_resize ((GtkWidget*) _tmp18_);
#line 1117 "EmbeddedAlert.c"
}


gboolean granite_widgets_embedded_alert_get_show_icon (GraniteWidgetsEmbeddedAlert* self) {
	gboolean result;
	gboolean _tmp0_ = FALSE;
#line 53 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 54 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp0_ = self->priv->queued_icon_visibility;
#line 54 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	result = _tmp0_;
#line 54 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	return result;
#line 1132 "EmbeddedAlert.c"
}


void granite_widgets_embedded_alert_set_show_icon (GraniteWidgetsEmbeddedAlert* self, gboolean value) {
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	gboolean _tmp2_ = FALSE;
#line 56 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	g_return_if_fail (self != NULL);
#line 57 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp0_ = value;
#line 57 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	self->priv->queued_icon_visibility = _tmp0_;
#line 59 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp1_ = granite_widgets_embedded_alert_get_working (self);
#line 59 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp2_ = _tmp1_;
#line 59 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	if (!_tmp2_) {
#line 1152 "EmbeddedAlert.c"
		gboolean _tmp3_ = FALSE;
#line 60 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp3_ = self->priv->queued_icon_visibility;
#line 60 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		granite_widgets_embedded_alert_set_image_box_visible (self, _tmp3_);
#line 1158 "EmbeddedAlert.c"
	}
#line 56 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	g_object_notify ((GObject *) self, "show-icon");
#line 1162 "EmbeddedAlert.c"
}


gboolean granite_widgets_embedded_alert_get_working (GraniteWidgetsEmbeddedAlert* self) {
	gboolean result;
	GtkSpinner* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
	gboolean _tmp2_ = FALSE;
#line 65 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 66 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp0_ = self->priv->spinner;
#line 66 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	g_object_get (_tmp0_, "active", &_tmp1_, NULL);
#line 66 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp2_ = _tmp1_;
#line 66 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	result = _tmp2_;
#line 66 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	return result;
#line 1183 "EmbeddedAlert.c"
}


void granite_widgets_embedded_alert_set_working (GraniteWidgetsEmbeddedAlert* self, gboolean value) {
	gboolean _tmp0_ = FALSE;
	gboolean _tmp1_ = FALSE;
	GtkEventBox* _tmp2_ = NULL;
	GtkWidget* child = NULL;
	GtkEventBox* _tmp5_ = NULL;
	GtkWidget* _tmp6_ = NULL;
	GtkWidget* _tmp7_ = NULL;
	GtkWidget* _tmp8_ = NULL;
	GtkWidget* _tmp11_ = NULL;
	gboolean _tmp12_ = FALSE;
	GtkEventBox* _tmp15_ = NULL;
	gboolean _tmp16_ = FALSE;
	gboolean _tmp17_ = FALSE;
	gboolean _tmp18_ = FALSE;
	GtkSpinner* _tmp20_ = NULL;
	gboolean _tmp21_ = FALSE;
#line 68 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	g_return_if_fail (self != NULL);
#line 69 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp2_ = self->priv->image_box;
#line 69 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	if (_tmp2_ != NULL) {
#line 1210 "EmbeddedAlert.c"
		GtkImage* _tmp3_ = NULL;
#line 69 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp3_ = self->priv->image;
#line 69 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp1_ = _tmp3_ != NULL;
#line 1216 "EmbeddedAlert.c"
	} else {
#line 69 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp1_ = FALSE;
#line 1220 "EmbeddedAlert.c"
	}
#line 69 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	if (_tmp1_) {
#line 1224 "EmbeddedAlert.c"
		GtkSpinner* _tmp4_ = NULL;
#line 69 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp4_ = self->priv->spinner;
#line 69 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp0_ = _tmp4_ != NULL;
#line 1230 "EmbeddedAlert.c"
	} else {
#line 69 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp0_ = FALSE;
#line 1234 "EmbeddedAlert.c"
	}
#line 69 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	g_return_if_fail (_tmp0_);
#line 71 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp5_ = self->priv->image_box;
#line 71 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp6_ = gtk_bin_get_child ((GtkBin*) _tmp5_);
#line 71 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp7_ = _g_object_ref0 (_tmp6_);
#line 71 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	child = _tmp7_;
#line 72 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp8_ = child;
#line 72 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	if (_tmp8_ != NULL) {
#line 1250 "EmbeddedAlert.c"
		GtkEventBox* _tmp9_ = NULL;
		GtkWidget* _tmp10_ = NULL;
#line 73 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp9_ = self->priv->image_box;
#line 73 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp10_ = child;
#line 73 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		gtk_container_remove ((GtkContainer*) _tmp9_, _tmp10_);
#line 1259 "EmbeddedAlert.c"
	}
#line 75 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp12_ = value;
#line 75 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	if (_tmp12_) {
#line 1265 "EmbeddedAlert.c"
		GtkSpinner* _tmp13_ = NULL;
#line 75 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp13_ = self->priv->spinner;
#line 75 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp11_ = G_TYPE_CHECK_INSTANCE_TYPE (_tmp13_, gtk_widget_get_type ()) ? ((GtkWidget*) _tmp13_) : NULL;
#line 1271 "EmbeddedAlert.c"
	} else {
		GtkImage* _tmp14_ = NULL;
#line 75 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp14_ = self->priv->image;
#line 75 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp11_ = G_TYPE_CHECK_INSTANCE_TYPE (_tmp14_, gtk_widget_get_type ()) ? ((GtkWidget*) _tmp14_) : NULL;
#line 1278 "EmbeddedAlert.c"
	}
#line 75 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp15_ = self->priv->image_box;
#line 75 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	gtk_container_add ((GtkContainer*) _tmp15_, _tmp11_);
#line 76 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp17_ = granite_widgets_embedded_alert_get_show_icon (self);
#line 76 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp18_ = _tmp17_;
#line 76 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	if (_tmp18_) {
#line 76 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp16_ = TRUE;
#line 1292 "EmbeddedAlert.c"
	} else {
		gboolean _tmp19_ = FALSE;
#line 76 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp19_ = value;
#line 76 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp16_ = _tmp19_;
#line 1299 "EmbeddedAlert.c"
	}
#line 76 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	granite_widgets_embedded_alert_set_image_box_visible (self, _tmp16_);
#line 77 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp20_ = self->priv->spinner;
#line 77 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp21_ = value;
#line 77 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	g_object_set (_tmp20_, "active", _tmp21_, NULL);
#line 68 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_g_object_unref0 (child);
#line 68 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	g_object_notify ((GObject *) self, "working");
#line 1313 "EmbeddedAlert.c"
}


const gchar* granite_widgets_embedded_alert_get_primary_text (GraniteWidgetsEmbeddedAlert* self) {
	const gchar* result;
	GtkLabel* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
#line 87 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 88 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp0_ = self->priv->primary_text_label;
#line 88 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp1_ = gtk_label_get_label (_tmp0_);
#line 88 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp2_ = _tmp1_;
#line 88 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	result = _tmp2_;
#line 88 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	return result;
#line 1334 "EmbeddedAlert.c"
}


static gchar* string_strip (const gchar* self) {
	gchar* result = NULL;
	gchar* _result_ = NULL;
	gchar* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
#line 1215 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1216 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp0_ = g_strdup (self);
#line 1216 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_result_ = _tmp0_;
#line 1217 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	_tmp1_ = _result_;
#line 1217 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_strstrip (_tmp1_);
#line 1218 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	result = _result_;
#line 1218 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	return result;
#line 1357 "EmbeddedAlert.c"
}


void granite_widgets_embedded_alert_set_primary_text (GraniteWidgetsEmbeddedAlert* self, const gchar* value) {
	GtkLabel* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	GtkLabel* _tmp4_ = NULL;
	const gchar* _tmp5_ = NULL;
	gchar* _tmp6_ = NULL;
	gchar* _tmp7_ = NULL;
#line 90 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	g_return_if_fail (self != NULL);
#line 91 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp0_ = self->priv->primary_text_label;
#line 91 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp1_ = value;
#line 91 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp2_ = string_strip (_tmp1_);
#line 91 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp3_ = _tmp2_;
#line 91 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	granite_widgets_embedded_alert_set_widget_visible ((GtkWidget*) _tmp0_, g_strcmp0 (_tmp3_, "") != 0);
#line 91 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_g_free0 (_tmp3_);
#line 92 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp4_ = self->priv->primary_text_label;
#line 92 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp5_ = value;
#line 92 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp6_ = g_markup_printf_escaped (GRANITE_WIDGETS_EMBEDDED_ALERT_PRIMARY_TEXT_MARKUP, _tmp5_);
#line 92 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp7_ = _tmp6_;
#line 92 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	gtk_label_set_markup (_tmp4_, _tmp7_);
#line 92 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_g_free0 (_tmp7_);
#line 90 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	g_object_notify ((GObject *) self, "primary-text");
#line 1398 "EmbeddedAlert.c"
}


const gchar* granite_widgets_embedded_alert_get_secondary_text (GraniteWidgetsEmbeddedAlert* self) {
	const gchar* result;
	GtkLabel* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
#line 101 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 102 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp0_ = self->priv->secondary_text_label;
#line 102 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp1_ = gtk_label_get_label (_tmp0_);
#line 102 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp2_ = _tmp1_;
#line 102 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	result = _tmp2_;
#line 102 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	return result;
#line 1419 "EmbeddedAlert.c"
}


void granite_widgets_embedded_alert_set_secondary_text (GraniteWidgetsEmbeddedAlert* self, const gchar* value) {
	GtkLabel* _tmp0_ = NULL;
	const gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	GtkLabel* _tmp4_ = NULL;
	const gchar* _tmp5_ = NULL;
#line 104 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	g_return_if_fail (self != NULL);
#line 105 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp0_ = self->priv->secondary_text_label;
#line 105 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp1_ = value;
#line 105 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp2_ = string_strip (_tmp1_);
#line 105 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp3_ = _tmp2_;
#line 105 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	granite_widgets_embedded_alert_set_widget_visible ((GtkWidget*) _tmp0_, g_strcmp0 (_tmp3_, "") != 0);
#line 105 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_g_free0 (_tmp3_);
#line 106 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp4_ = self->priv->secondary_text_label;
#line 106 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp5_ = value;
#line 106 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	gtk_label_set_markup (_tmp4_, _tmp5_);
#line 104 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	g_object_notify ((GObject *) self, "secondary-text");
#line 1452 "EmbeddedAlert.c"
}


GtkMessageType granite_widgets_embedded_alert_get_message_type (GraniteWidgetsEmbeddedAlert* self) {
	GtkMessageType result;
	GtkMessageType _tmp0_ = 0;
#line 119 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 120 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp0_ = self->priv->_message_type;
#line 120 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	result = _tmp0_;
#line 120 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	return result;
#line 1467 "EmbeddedAlert.c"
}


void granite_widgets_embedded_alert_set_message_type (GraniteWidgetsEmbeddedAlert* self, GtkMessageType value) {
	GtkMessageType _tmp0_ = 0;
	GtkImage* _tmp1_ = NULL;
	GtkMessageType _tmp2_ = 0;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	gboolean _tmp5_ = FALSE;
	gboolean _tmp6_ = FALSE;
	GtkMessageType _tmp7_ = 0;
	gboolean text_selectable = FALSE;
	GtkLabel* _tmp10_ = NULL;
	GtkLabel* _tmp11_ = NULL;
#line 122 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	g_return_if_fail (self != NULL);
#line 123 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp0_ = value;
#line 123 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	self->priv->_message_type = _tmp0_;
#line 124 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp1_ = self->priv->image;
#line 124 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp2_ = value;
#line 124 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp3_ = granite_widgets_embedded_alert_get_icon_name_for_message_type (_tmp2_);
#line 124 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp4_ = _tmp3_;
#line 124 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	gtk_image_set_from_icon_name (_tmp1_, _tmp4_, GTK_ICON_SIZE_DIALOG);
#line 124 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_g_free0 (_tmp4_);
#line 127 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp7_ = value;
#line 127 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	if (_tmp7_ == GTK_MESSAGE_WARNING) {
#line 127 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp6_ = TRUE;
#line 1507 "EmbeddedAlert.c"
	} else {
		GtkMessageType _tmp8_ = 0;
#line 128 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp8_ = value;
#line 128 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp6_ = _tmp8_ == GTK_MESSAGE_ERROR;
#line 1514 "EmbeddedAlert.c"
	}
#line 127 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	if (_tmp6_) {
#line 127 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp5_ = TRUE;
#line 1520 "EmbeddedAlert.c"
	} else {
		GtkMessageType _tmp9_ = 0;
#line 129 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp9_ = value;
#line 129 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp5_ = _tmp9_ == GTK_MESSAGE_QUESTION;
#line 1527 "EmbeddedAlert.c"
	}
#line 127 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	text_selectable = _tmp5_;
#line 130 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp10_ = self->priv->primary_text_label;
#line 130 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp11_ = self->priv->secondary_text_label;
#line 130 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	gtk_label_set_selectable (_tmp11_, text_selectable);
#line 130 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	gtk_label_set_selectable (_tmp10_, text_selectable);
#line 122 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	g_object_notify ((GObject *) self, "message-type");
#line 1541 "EmbeddedAlert.c"
}


GtkAction** granite_widgets_embedded_alert_get_actions (GraniteWidgetsEmbeddedAlert* self, int* result_length1) {
	GtkAction** result;
	GtkAction** _tmp0_ = NULL;
	gint _tmp0__length1 = 0;
	GtkAction** _tmp1_ = NULL;
	gint _tmp1__length1 = 0;
#line 140 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 141 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp0_ = self->priv->_actions;
#line 141 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp0__length1 = self->priv->_actions_length1;
#line 141 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp1_ = _tmp0_;
#line 141 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp1__length1 = _tmp0__length1;
#line 141 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	if (result_length1) {
#line 141 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		*result_length1 = _tmp1__length1;
#line 1565 "EmbeddedAlert.c"
	}
#line 141 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	result = _tmp1_;
#line 141 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	return result;
#line 1571 "EmbeddedAlert.c"
}


static GtkAction** _vala_array_dup1 (GtkAction** self, int length) {
	GtkAction** result;
	int i;
#line 144 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	result = g_new0 (GtkAction*, length + 1);
#line 144 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	for (i = 0; i < length; i++) {
#line 1582 "EmbeddedAlert.c"
		GtkAction* _tmp0_ = NULL;
#line 144 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_tmp0_ = _g_object_ref0 (self[i]);
#line 144 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		result[i] = _tmp0_;
#line 1588 "EmbeddedAlert.c"
	}
#line 144 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	return result;
#line 1592 "EmbeddedAlert.c"
}


void granite_widgets_embedded_alert_set_actions (GraniteWidgetsEmbeddedAlert* self, GtkAction** value, int value_length1) {
	GtkAction** _tmp0_ = NULL;
	gint _tmp0__length1 = 0;
	GtkAction** _tmp1_ = NULL;
	gint _tmp1__length1 = 0;
	GtkButtonBox* _tmp2_ = NULL;
	GList* _tmp3_ = NULL;
	GtkAction** _tmp6_ = NULL;
	gint _tmp6__length1 = 0;
	GtkAction** _tmp7_ = NULL;
	gint _tmp7__length1 = 0;
#line 143 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	g_return_if_fail (self != NULL);
#line 144 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp0_ = value;
#line 144 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp0__length1 = value_length1;
#line 144 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp1_ = (_tmp0_ != NULL) ? _vala_array_dup1 (_tmp0_, _tmp0__length1) : ((gpointer) _tmp0_);
#line 144 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp1__length1 = _tmp0__length1;
#line 144 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	self->priv->_actions = (_vala_array_free (self->priv->_actions, self->priv->_actions_length1, (GDestroyNotify) g_object_unref), NULL);
#line 144 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	self->priv->_actions = _tmp1_;
#line 144 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	self->priv->_actions_length1 = _tmp1__length1;
#line 144 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	self->priv->__actions_size_ = self->priv->_actions_length1;
#line 147 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp2_ = self->priv->action_button_box;
#line 147 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp3_ = gtk_container_get_children ((GtkContainer*) _tmp2_);
#line 1629 "EmbeddedAlert.c"
	{
		GList* button_collection = NULL;
		GList* button_it = NULL;
#line 147 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		button_collection = _tmp3_;
#line 147 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		for (button_it = button_collection; button_it != NULL; button_it = button_it->next) {
#line 1637 "EmbeddedAlert.c"
			GtkWidget* button = NULL;
#line 147 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
			button = (GtkWidget*) button_it->data;
#line 1641 "EmbeddedAlert.c"
			{
				GtkButtonBox* _tmp4_ = NULL;
				GtkWidget* _tmp5_ = NULL;
#line 148 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
				_tmp4_ = self->priv->action_button_box;
#line 148 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
				_tmp5_ = button;
#line 148 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
				gtk_container_remove ((GtkContainer*) _tmp4_, _tmp5_);
#line 1651 "EmbeddedAlert.c"
			}
		}
#line 147 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		_g_list_free0 (button_collection);
#line 1656 "EmbeddedAlert.c"
	}
#line 152 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp6_ = granite_widgets_embedded_alert_get_actions (self, &_tmp6__length1);
#line 152 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp7_ = _tmp6_;
#line 152 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp7__length1 = _tmp6__length1;
#line 152 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	if (_tmp7_ != NULL) {
#line 1666 "EmbeddedAlert.c"
		{
			gint i = 0;
#line 153 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
			i = 0;
#line 1671 "EmbeddedAlert.c"
			{
				gboolean _tmp8_ = FALSE;
#line 153 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
				_tmp8_ = TRUE;
#line 153 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
				while (TRUE) {
#line 1678 "EmbeddedAlert.c"
					gint _tmp10_ = 0;
					GtkAction** _tmp11_ = NULL;
					gint _tmp11__length1 = 0;
					GtkAction** _tmp12_ = NULL;
					gint _tmp12__length1 = 0;
					GtkAction* action_item = NULL;
					GtkAction** _tmp13_ = NULL;
					gint _tmp13__length1 = 0;
					GtkAction** _tmp14_ = NULL;
					gint _tmp14__length1 = 0;
					gint _tmp15_ = 0;
					GtkAction* _tmp16_ = NULL;
					GtkAction* _tmp17_ = NULL;
					GtkAction* _tmp18_ = NULL;
#line 153 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
					if (!_tmp8_) {
#line 1695 "EmbeddedAlert.c"
						gint _tmp9_ = 0;
#line 153 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
						_tmp9_ = i;
#line 153 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
						i = _tmp9_ + 1;
#line 1701 "EmbeddedAlert.c"
					}
#line 153 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
					_tmp8_ = FALSE;
#line 153 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
					_tmp10_ = i;
#line 153 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
					_tmp11_ = granite_widgets_embedded_alert_get_actions (self, &_tmp11__length1);
#line 153 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
					_tmp12_ = _tmp11_;
#line 153 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
					_tmp12__length1 = _tmp11__length1;
#line 153 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
					if (!(_tmp10_ < _tmp12__length1)) {
#line 153 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
						break;
#line 1717 "EmbeddedAlert.c"
					}
#line 154 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
					_tmp13_ = granite_widgets_embedded_alert_get_actions (self, &_tmp13__length1);
#line 154 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
					_tmp14_ = _tmp13_;
#line 154 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
					_tmp14__length1 = _tmp13__length1;
#line 154 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
					_tmp15_ = i;
#line 154 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
					_tmp16_ = _tmp14_[_tmp15_];
#line 154 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
					_tmp17_ = _g_object_ref0 (_tmp16_);
#line 154 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
					action_item = _tmp17_;
#line 155 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
					_tmp18_ = action_item;
#line 155 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
					if (_tmp18_ != NULL) {
#line 1737 "EmbeddedAlert.c"
						GtkButton* action_button = NULL;
						GtkAction* _tmp19_ = NULL;
						GtkButton* _tmp20_ = NULL;
						GtkButtonBox* _tmp21_ = NULL;
						GtkButton* _tmp22_ = NULL;
#line 156 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
						_tmp19_ = action_item;
#line 156 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
						_tmp20_ = granite_widgets_embedded_alert_new_button_from_action (_tmp19_);
#line 156 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
						action_button = _tmp20_;
#line 157 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
						_tmp21_ = self->priv->action_button_box;
#line 157 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
						_tmp22_ = action_button;
#line 157 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
						gtk_box_pack_start ((GtkBox*) _tmp21_, (GtkWidget*) _tmp22_, FALSE, FALSE, (guint) 0);
#line 155 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
						_g_object_unref0 (action_button);
#line 1757 "EmbeddedAlert.c"
					}
#line 153 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
					_g_object_unref0 (action_item);
#line 1761 "EmbeddedAlert.c"
				}
			}
		}
#line 161 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		granite_widgets_embedded_alert_set_buttons_visible (self, TRUE);
#line 1767 "EmbeddedAlert.c"
	} else {
#line 164 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		granite_widgets_embedded_alert_set_buttons_visible (self, FALSE);
#line 1771 "EmbeddedAlert.c"
	}
}


gboolean granite_widgets_embedded_alert_get_buttons_visible (GraniteWidgetsEmbeddedAlert* self) {
	gboolean result;
	GtkButtonBox* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
	gboolean _tmp2_ = FALSE;
#line 170 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 170 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp0_ = self->priv->action_button_box;
#line 170 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp1_ = gtk_widget_get_visible ((GtkWidget*) _tmp0_);
#line 170 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp2_ = _tmp1_;
#line 170 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	result = _tmp2_;
#line 170 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	return result;
#line 1793 "EmbeddedAlert.c"
}


void granite_widgets_embedded_alert_set_buttons_visible (GraniteWidgetsEmbeddedAlert* self, gboolean value) {
	GtkButtonBox* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
#line 171 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	g_return_if_fail (self != NULL);
#line 171 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp0_ = self->priv->action_button_box;
#line 171 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_tmp1_ = value;
#line 171 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	granite_widgets_embedded_alert_set_widget_visible ((GtkWidget*) _tmp0_, _tmp1_);
#line 171 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	g_object_notify ((GObject *) self, "buttons-visible");
#line 1810 "EmbeddedAlert.c"
}


static void granite_widgets_embedded_alert_class_init (GraniteWidgetsEmbeddedAlertClass * klass) {
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	granite_widgets_embedded_alert_parent_class = g_type_class_peek_parent (klass);
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	g_type_class_add_private (klass, sizeof (GraniteWidgetsEmbeddedAlertPrivate));
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	((GtkWidgetClass *) klass)->get_preferred_width = (void (*)(GtkWidget*, gint*, gint*)) granite_widgets_embedded_alert_real_get_preferred_width;
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_granite_widgets_embedded_alert_get_property;
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_granite_widgets_embedded_alert_set_property;
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	G_OBJECT_CLASS (klass)->finalize = granite_widgets_embedded_alert_finalize;
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), GRANITE_WIDGETS_EMBEDDED_ALERT_SHOW_ICON, g_param_spec_boolean ("show-icon", "show-icon", "show-icon", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), GRANITE_WIDGETS_EMBEDDED_ALERT_WORKING, g_param_spec_boolean ("working", "working", "working", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 1831 "EmbeddedAlert.c"
	/**
	     * Message header.
	     * The string *should not* contain any markup information, since the text will be escaped.
	     */
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), GRANITE_WIDGETS_EMBEDDED_ALERT_PRIMARY_TEXT, g_param_spec_string ("primary-text", "primary-text", "primary-text", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 1838 "EmbeddedAlert.c"
	/**
	     * Message body.
	     * You can include markup information along with the message.
	     */
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), GRANITE_WIDGETS_EMBEDDED_ALERT_SECONDARY_TEXT, g_param_spec_string ("secondary-text", "secondary-text", "secondary-text", NULL, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 1845 "EmbeddedAlert.c"
	/**
	     * Warning level of the message.
	     * Besides defining what icon to use, it also defines whether the primary and secondary
	     * text are selectable or not.
	     * The text is selectable for the WARNING, ERROR and QUESTION types.
	     */
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), GRANITE_WIDGETS_EMBEDDED_ALERT_MESSAGE_TYPE, g_param_spec_enum ("message-type", "message-type", "message-type", GTK_TYPE_MESSAGE_TYPE, 0, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), GRANITE_WIDGETS_EMBEDDED_ALERT_BUTTONS_VISIBLE, g_param_spec_boolean ("buttons-visible", "buttons-visible", "buttons-visible", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 1856 "EmbeddedAlert.c"
}


static void granite_widgets_embedded_alert_instance_init (GraniteWidgetsEmbeddedAlert * self) {
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	self->priv = GRANITE_WIDGETS_EMBEDDED_ALERT_GET_PRIVATE (self);
#line 51 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	self->priv->queued_icon_visibility = FALSE;
#line 110 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	self->priv->_message_type = GTK_MESSAGE_QUESTION;
#line 134 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	self->priv->_actions = NULL;
#line 134 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	self->priv->_actions_length1 = 0;
#line 134 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	self->priv->__actions_size_ = self->priv->_actions_length1;
#line 1873 "EmbeddedAlert.c"
}


static void granite_widgets_embedded_alert_finalize (GObject* obj) {
	GraniteWidgetsEmbeddedAlert * self;
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, GRANITE_WIDGETS_TYPE_EMBEDDED_ALERT, GraniteWidgetsEmbeddedAlert);
#line 134 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	self->priv->_actions = (_vala_array_free (self->priv->_actions, self->priv->_actions_length1, (GDestroyNotify) g_object_unref), NULL);
#line 174 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_g_object_unref0 (self->priv->content_grid);
#line 175 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_g_object_unref0 (self->priv->image);
#line 176 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_g_object_unref0 (self->priv->spinner);
#line 177 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_g_object_unref0 (self->priv->image_box);
#line 178 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_g_object_unref0 (self->priv->primary_text_label);
#line 179 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_g_object_unref0 (self->priv->secondary_text_label);
#line 180 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	_g_object_unref0 (self->priv->action_button_box);
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	G_OBJECT_CLASS (granite_widgets_embedded_alert_parent_class)->finalize (obj);
#line 1899 "EmbeddedAlert.c"
}


GType granite_widgets_embedded_alert_get_type (void) {
	static volatile gsize granite_widgets_embedded_alert_type_id__volatile = 0;
	if (g_once_init_enter (&granite_widgets_embedded_alert_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (GraniteWidgetsEmbeddedAlertClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) granite_widgets_embedded_alert_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (GraniteWidgetsEmbeddedAlert), 0, (GInstanceInitFunc) granite_widgets_embedded_alert_instance_init, NULL };
		GType granite_widgets_embedded_alert_type_id;
		granite_widgets_embedded_alert_type_id = g_type_register_static (gtk_event_box_get_type (), "GraniteWidgetsEmbeddedAlert", &g_define_type_info, 0);
		g_once_init_leave (&granite_widgets_embedded_alert_type_id__volatile, granite_widgets_embedded_alert_type_id);
	}
	return granite_widgets_embedded_alert_type_id__volatile;
}


static void _vala_granite_widgets_embedded_alert_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	GraniteWidgetsEmbeddedAlert * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, GRANITE_WIDGETS_TYPE_EMBEDDED_ALERT, GraniteWidgetsEmbeddedAlert);
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	switch (property_id) {
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		case GRANITE_WIDGETS_EMBEDDED_ALERT_SHOW_ICON:
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		g_value_set_boolean (value, granite_widgets_embedded_alert_get_show_icon (self));
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		break;
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		case GRANITE_WIDGETS_EMBEDDED_ALERT_WORKING:
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		g_value_set_boolean (value, granite_widgets_embedded_alert_get_working (self));
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		break;
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		case GRANITE_WIDGETS_EMBEDDED_ALERT_PRIMARY_TEXT:
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		g_value_set_string (value, granite_widgets_embedded_alert_get_primary_text (self));
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		break;
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		case GRANITE_WIDGETS_EMBEDDED_ALERT_SECONDARY_TEXT:
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		g_value_set_string (value, granite_widgets_embedded_alert_get_secondary_text (self));
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		break;
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		case GRANITE_WIDGETS_EMBEDDED_ALERT_MESSAGE_TYPE:
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		g_value_set_enum (value, granite_widgets_embedded_alert_get_message_type (self));
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		break;
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		case GRANITE_WIDGETS_EMBEDDED_ALERT_BUTTONS_VISIBLE:
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		g_value_set_boolean (value, granite_widgets_embedded_alert_get_buttons_visible (self));
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		break;
#line 1956 "EmbeddedAlert.c"
		default:
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		break;
#line 1962 "EmbeddedAlert.c"
	}
}


static void _vala_granite_widgets_embedded_alert_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	GraniteWidgetsEmbeddedAlert * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, GRANITE_WIDGETS_TYPE_EMBEDDED_ALERT, GraniteWidgetsEmbeddedAlert);
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
	switch (property_id) {
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		case GRANITE_WIDGETS_EMBEDDED_ALERT_SHOW_ICON:
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		granite_widgets_embedded_alert_set_show_icon (self, g_value_get_boolean (value));
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		break;
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		case GRANITE_WIDGETS_EMBEDDED_ALERT_WORKING:
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		granite_widgets_embedded_alert_set_working (self, g_value_get_boolean (value));
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		break;
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		case GRANITE_WIDGETS_EMBEDDED_ALERT_PRIMARY_TEXT:
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		granite_widgets_embedded_alert_set_primary_text (self, g_value_get_string (value));
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		break;
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		case GRANITE_WIDGETS_EMBEDDED_ALERT_SECONDARY_TEXT:
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		granite_widgets_embedded_alert_set_secondary_text (self, g_value_get_string (value));
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		break;
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		case GRANITE_WIDGETS_EMBEDDED_ALERT_MESSAGE_TYPE:
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		granite_widgets_embedded_alert_set_message_type (self, g_value_get_enum (value));
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		break;
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		case GRANITE_WIDGETS_EMBEDDED_ALERT_BUTTONS_VISIBLE:
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		granite_widgets_embedded_alert_set_buttons_visible (self, g_value_get_boolean (value));
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		break;
#line 2008 "EmbeddedAlert.c"
		default:
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/EmbeddedAlert.vala"
		break;
#line 2014 "EmbeddedAlert.c"
	}
}


static void _vala_array_destroy (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	if ((array != NULL) && (destroy_func != NULL)) {
		int i;
		for (i = 0; i < array_length; i = i + 1) {
			if (((gpointer*) array)[i] != NULL) {
				destroy_func (((gpointer*) array)[i]);
			}
		}
	}
}


static void _vala_array_free (gpointer array, gint array_length, GDestroyNotify destroy_func) {
	_vala_array_destroy (array, array_length, destroy_func);
	g_free (array);
}



