/* FastList.c generated by valac 0.34.9, the Vala compiler
 * generated from FastList.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2012-2017 elementary LLC. (https://elementary.io)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Noise authors hereby grant permission for non-GPL compatible
 * GStreamer plugins to be used and distributed together with GStreamer
 * and Noise. This permission is above and beyond the permissions granted
 * by the GPL license by which Noise is covered. If you modify this code
 * you may extend this exception to your version of the code, but you are not
 * obligated to do so. If you do not wish to do so, delete this exception
 * statement from your version.
 *
 * Authored by: Scott Ringwelski <sgringwe@mtu.edu>
 */

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <gee.h>
#include <noise-core.h>
#include <stdlib.h>
#include <string.h>


#define NOISE_TYPE_FAST_VIEW (noise_fast_view_get_type ())
#define NOISE_FAST_VIEW(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_FAST_VIEW, NoiseFastView))
#define NOISE_FAST_VIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_FAST_VIEW, NoiseFastViewClass))
#define NOISE_IS_FAST_VIEW(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_FAST_VIEW))
#define NOISE_IS_FAST_VIEW_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_FAST_VIEW))
#define NOISE_FAST_VIEW_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_FAST_VIEW, NoiseFastViewClass))

typedef struct _NoiseFastView NoiseFastView;
typedef struct _NoiseFastViewClass NoiseFastViewClass;
typedef struct _NoiseFastViewPrivate NoiseFastViewPrivate;

#define NOISE_TYPE_FAST_MODEL (noise_fast_model_get_type ())
#define NOISE_FAST_MODEL(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_FAST_MODEL, NoiseFastModel))
#define NOISE_FAST_MODEL_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_FAST_MODEL, NoiseFastModelClass))
#define NOISE_IS_FAST_MODEL(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_FAST_MODEL))
#define NOISE_IS_FAST_MODEL_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_FAST_MODEL))
#define NOISE_FAST_MODEL_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_FAST_MODEL, NoiseFastModelClass))

typedef struct _NoiseFastModel NoiseFastModel;
typedef struct _NoiseFastModelClass NoiseFastModelClass;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))

struct _NoiseFastView {
	GtkTreeView parent_instance;
	NoiseFastViewPrivate * priv;
	GeeHashMap* table;
	GeeHashMap* showing;
	gint sort_column_id;
	GtkSortType sort_direction;
	gboolean research_needed;
};

struct _NoiseFastViewClass {
	GtkTreeViewClass parent_class;
};

typedef gint (*NoiseFastViewSortCompareFunc) (gint sort_column_id, GtkSortType sort_direction, NoiseMedia* a, NoiseMedia* b, gint index_a, gint index_b, void* user_data);
typedef void (*NoiseFastViewViewSearchFunc) (const gchar* search, GeeHashMap* table, GeeHashMap* showing, void* user_data);
struct _NoiseFastViewPrivate {
	NoiseFastModel* fm;
	GeeLinkedList* columns;
	NoiseFastViewSortCompareFunc compare_func;
	gpointer compare_func_target;
	NoiseFastViewViewSearchFunc search_func;
	gpointer search_func_target;
};

typedef GValue* (*NoiseFastModelValueReturnFunc) (gint row, gint column, GObject* o, void* user_data);

static gpointer noise_fast_view_parent_class = NULL;

GType noise_fast_view_get_type (void) G_GNUC_CONST;
GType noise_fast_model_get_type (void) G_GNUC_CONST;
#define NOISE_FAST_VIEW_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NOISE_TYPE_FAST_VIEW, NoiseFastViewPrivate))
enum  {
	NOISE_FAST_VIEW_DUMMY_PROPERTY
};
#define NOISE_FAST_VIEW_OPTIMAL_COLUMN -2
NoiseFastView* noise_fast_view_new (GeeCollection* types);
NoiseFastView* noise_fast_view_construct (GType object_type, GeeCollection* types);
NoiseFastModel* noise_fast_model_new (GeeCollection* column_types);
NoiseFastModel* noise_fast_model_construct (GType object_type, GeeCollection* column_types);
static void noise_fast_view_reorder_requested (NoiseFastView* self, gint column, GtkSortType direction);
static void _noise_fast_view_reorder_requested_noise_fast_model_reorder_requested (NoiseFastModel* _sender, gint column, GtkSortType direction, gpointer self);
void noise_fast_view_set_table (NoiseFastView* self, GeeHashMap* table, gboolean do_resort);
GeeMap* noise_fast_view_get_table (NoiseFastView* self);
GeeMap* noise_fast_view_get_visible_table (NoiseFastView* self);
gint noise_fast_view_get_index_from_iter (GtkTreeIter* iter);
NoiseMedia* noise_fast_view_get_object_from_index (NoiseFastView* self, gint index);
void noise_fast_view_set_value_func (NoiseFastView* self, NoiseFastModelValueReturnFunc func, void* func_target);
void noise_fast_model_set_value_func (NoiseFastModel* self, NoiseFastModelValueReturnFunc func, void* func_target);
void noise_fast_view_resort (NoiseFastView* self);
void noise_fast_view_do_search (NoiseFastView* self, const gchar* search);
void noise_fast_view_set_search_func (NoiseFastView* self, NoiseFastViewViewSearchFunc func, void* func_target);
void noise_fast_model_set_table (NoiseFastModel* self, GeeHashMap* table);
void noise_fast_model_remove (NoiseFastModel* self, GtkTreeIter* iter);
void noise_fast_model_append (NoiseFastModel* self, GtkTreeIter* iter);
void noise_fast_view_redraw_row (NoiseFastView* self, gint row_index);
void noise_fast_model_update_row (NoiseFastModel* self, gint index);
void noise_fast_view_set_sort_column_id (NoiseFastView* self, gint sort_column_id, GtkSortType order);
void noise_fast_view_get_sort_column_id (NoiseFastView* self, gint* sort_column, GtkSortType* order);
void noise_fast_view_quicksort (NoiseFastView* self, gint start, gint end);
void noise_fast_view_set_compare_func (NoiseFastView* self, NoiseFastViewSortCompareFunc func, void* func_target);
static void noise_fast_view_swap (NoiseFastView* self, gint a, gint b);
static void noise_fast_view_finalize (GObject* obj);


static void _noise_fast_view_reorder_requested_noise_fast_model_reorder_requested (NoiseFastModel* _sender, gint column, GtkSortType direction, gpointer self) {
#line 63 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	noise_fast_view_reorder_requested ((NoiseFastView*) self, column, direction);
#line 132 "FastList.c"
}


NoiseFastView* noise_fast_view_construct (GType object_type, GeeCollection* types) {
	NoiseFastView * self = NULL;
	GeeLinkedList* _tmp0_ = NULL;
	GeeCollection* _tmp1_ = NULL;
	GeeCollection* _tmp2_ = NULL;
	NoiseFastModel* _tmp3_ = NULL;
	NoiseFastModel* _tmp4_ = NULL;
	GeeHashMap* _tmp5_ = NULL;
	NoiseFastModel* _tmp6_ = NULL;
#line 56 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	g_return_val_if_fail (types != NULL, NULL);
#line 56 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	self = (NoiseFastView*) g_object_new (object_type, NULL);
#line 57 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp0_ = self->priv->columns;
#line 57 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp1_ = types;
#line 57 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	gee_collection_add_all ((GeeCollection*) _tmp0_, _tmp1_);
#line 58 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp2_ = types;
#line 58 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp3_ = noise_fast_model_new (_tmp2_);
#line 58 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_g_object_unref0 (self->priv->fm);
#line 58 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	self->priv->fm = _tmp3_;
#line 60 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	self->sort_column_id = NOISE_FAST_VIEW_OPTIMAL_COLUMN;
#line 61 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	self->sort_direction = GTK_SORT_ASCENDING;
#line 63 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp4_ = self->priv->fm;
#line 63 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	g_signal_connect_object (_tmp4_, "reorder-requested", (GCallback) _noise_fast_view_reorder_requested_noise_fast_model_reorder_requested, self, 0);
#line 65 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp5_ = self->table;
#line 65 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	noise_fast_view_set_table (self, _tmp5_, TRUE);
#line 66 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp6_ = self->priv->fm;
#line 66 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	gtk_tree_view_set_model ((GtkTreeView*) self, (GtkTreeModel*) _tmp6_);
#line 56 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	return self;
#line 181 "FastList.c"
}


NoiseFastView* noise_fast_view_new (GeeCollection* types) {
#line 56 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	return noise_fast_view_construct (NOISE_TYPE_FAST_VIEW, types);
#line 188 "FastList.c"
}


/** Should not be manipulated by client */
GeeMap* noise_fast_view_get_table (NoiseFastView* self) {
	GeeMap* result = NULL;
	GeeHashMap* _tmp0_ = NULL;
	GeeMap* _tmp1_ = NULL;
	GeeMap* _tmp2_ = NULL;
#line 70 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 71 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp0_ = self->table;
#line 71 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp1_ = gee_abstract_map_get_read_only_view ((GeeAbstractMap*) _tmp0_);
#line 71 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp2_ = _tmp1_;
#line 71 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	result = _tmp2_;
#line 71 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	return result;
#line 210 "FastList.c"
}


/** Should not be manipulated by client */
GeeMap* noise_fast_view_get_visible_table (NoiseFastView* self) {
	GeeMap* result = NULL;
	GeeHashMap* _tmp0_ = NULL;
	GeeMap* _tmp1_ = NULL;
	GeeMap* _tmp2_ = NULL;
#line 75 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 76 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp0_ = self->showing;
#line 76 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp1_ = gee_abstract_map_get_read_only_view ((GeeAbstractMap*) _tmp0_);
#line 76 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp2_ = _tmp1_;
#line 76 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	result = _tmp2_;
#line 76 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	return result;
#line 232 "FastList.c"
}


gint noise_fast_view_get_index_from_iter (GtkTreeIter* iter) {
	gint result = 0;
	GtkTreeIter _tmp0_ = {0};
	void* _tmp1_ = NULL;
#line 79 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	g_return_val_if_fail (iter != NULL, 0);
#line 80 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp0_ = *iter;
#line 80 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp1_ = _tmp0_.user_data;
#line 80 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	result = (gint) _tmp1_;
#line 80 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	return result;
#line 250 "FastList.c"
}


NoiseMedia* noise_fast_view_get_object_from_index (NoiseFastView* self, gint index) {
	NoiseMedia* result = NULL;
	GeeHashMap* _tmp0_ = NULL;
	gint _tmp1_ = 0;
	gpointer _tmp2_ = NULL;
#line 83 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 84 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp0_ = self->showing;
#line 84 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp1_ = index;
#line 84 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp2_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp0_, (gpointer) ((gintptr) _tmp1_));
#line 84 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	result = (NoiseMedia*) _tmp2_;
#line 84 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	return result;
#line 271 "FastList.c"
}


void noise_fast_view_set_value_func (NoiseFastView* self, NoiseFastModelValueReturnFunc func, void* func_target) {
	NoiseFastModel* _tmp0_ = NULL;
	NoiseFastModelValueReturnFunc _tmp1_ = NULL;
	void* _tmp1__target = NULL;
#line 87 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	g_return_if_fail (self != NULL);
#line 88 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp0_ = self->priv->fm;
#line 88 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp1_ = func;
#line 88 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp1__target = func_target;
#line 88 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	noise_fast_model_set_value_func (_tmp0_, _tmp1_, _tmp1__target);
#line 289 "FastList.c"
}


void noise_fast_view_set_table (NoiseFastView* self, GeeHashMap* table, gboolean do_resort) {
	GeeHashMap* _tmp0_ = NULL;
	GeeHashMap* _tmp1_ = NULL;
	GeeHashMap* _tmp2_ = NULL;
	gboolean _tmp3_ = FALSE;
#line 91 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	g_return_if_fail (self != NULL);
#line 91 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	g_return_if_fail (table != NULL);
#line 92 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp0_ = self->table;
#line 92 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	gee_abstract_map_clear ((GeeAbstractMap*) _tmp0_);
#line 93 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp1_ = self->table;
#line 93 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp2_ = table;
#line 93 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	gee_map_set_all ((GeeMap*) _tmp1_, (GeeMap*) _tmp2_);
#line 95 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp3_ = do_resort;
#line 95 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	if (_tmp3_) {
#line 96 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
		noise_fast_view_resort (self);
#line 318 "FastList.c"
	} else {
#line 98 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
		noise_fast_view_do_search (self, NULL);
#line 322 "FastList.c"
	}
}


void noise_fast_view_set_search_func (NoiseFastView* self, NoiseFastViewViewSearchFunc func, void* func_target) {
	NoiseFastViewViewSearchFunc _tmp0_ = NULL;
	void* _tmp0__target = NULL;
#line 101 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	g_return_if_fail (self != NULL);
#line 102 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp0_ = func;
#line 102 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp0__target = func_target;
#line 102 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	self->priv->search_func = _tmp0_;
#line 102 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	self->priv->search_func_target = _tmp0__target;
#line 340 "FastList.c"
}


void noise_fast_view_do_search (NoiseFastView* self, const gchar* search) {
	gboolean _tmp0_ = FALSE;
	NoiseFastViewViewSearchFunc _tmp1_ = NULL;
	void* _tmp1__target = NULL;
	gint old_size = 0;
	GeeHashMap* _tmp3_ = NULL;
	gint _tmp4_ = 0;
	gint _tmp5_ = 0;
	GeeHashMap* _tmp6_ = NULL;
	const gchar* _tmp7_ = NULL;
	const gchar* _tmp8_ = NULL;
	NoiseFastViewViewSearchFunc _tmp9_ = NULL;
	void* _tmp9__target = NULL;
	GeeHashMap* _tmp10_ = NULL;
	GeeHashMap* _tmp11_ = NULL;
	GeeHashMap* _tmp12_ = NULL;
	gint _tmp13_ = 0;
	gint _tmp14_ = 0;
	gint _tmp15_ = 0;
#line 105 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	g_return_if_fail (self != NULL);
#line 106 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp1_ = self->priv->search_func;
#line 106 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp1__target = self->priv->search_func_target;
#line 106 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	if (_tmp1_ == NULL) {
#line 106 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
		_tmp0_ = TRUE;
#line 373 "FastList.c"
	} else {
		gboolean _tmp2_ = FALSE;
#line 106 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
		_tmp2_ = self->research_needed;
#line 106 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
		_tmp0_ = _tmp2_ == FALSE;
#line 380 "FastList.c"
	}
#line 106 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	if (_tmp0_) {
#line 107 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
		return;
#line 386 "FastList.c"
	}
#line 109 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	self->research_needed = FALSE;
#line 110 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp3_ = self->showing;
#line 110 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp4_ = gee_abstract_map_get_size ((GeeAbstractMap*) _tmp3_);
#line 110 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp5_ = _tmp4_;
#line 110 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	old_size = _tmp5_;
#line 112 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp6_ = self->showing;
#line 112 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	gee_abstract_map_clear ((GeeAbstractMap*) _tmp6_);
#line 113 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp8_ = search;
#line 113 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp7_ = _tmp8_;
#line 113 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	if (_tmp7_ == NULL) {
#line 113 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
		_tmp7_ = "";
#line 410 "FastList.c"
	}
#line 113 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp9_ = self->priv->search_func;
#line 113 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp9__target = self->priv->search_func_target;
#line 113 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp10_ = self->table;
#line 113 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp11_ = self->showing;
#line 113 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp9_ (_tmp7_, _tmp10_, _tmp11_, _tmp9__target);
#line 115 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp12_ = self->showing;
#line 115 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp13_ = gee_abstract_map_get_size ((GeeAbstractMap*) _tmp12_);
#line 115 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp14_ = _tmp13_;
#line 115 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp15_ = old_size;
#line 115 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	if (_tmp14_ == _tmp15_) {
#line 432 "FastList.c"
		NoiseFastModel* _tmp16_ = NULL;
		GeeHashMap* _tmp17_ = NULL;
#line 116 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
		_tmp16_ = self->priv->fm;
#line 116 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
		_tmp17_ = self->showing;
#line 116 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
		noise_fast_model_set_table (_tmp16_, _tmp17_);
#line 117 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
		gtk_widget_queue_draw ((GtkWidget*) self);
#line 443 "FastList.c"
	} else {
		gint _tmp18_ = 0;
#line 118 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
		_tmp18_ = old_size;
#line 118 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
		if (_tmp18_ == 0) {
#line 450 "FastList.c"
			NoiseFastModel* _tmp19_ = NULL;
			GeeHashMap* _tmp20_ = NULL;
			NoiseFastModel* _tmp21_ = NULL;
#line 119 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
			gtk_tree_view_set_model ((GtkTreeView*) self, NULL);
#line 120 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
			_tmp19_ = self->priv->fm;
#line 120 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
			_tmp20_ = self->showing;
#line 120 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
			noise_fast_model_set_table (_tmp19_, _tmp20_);
#line 121 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
			_tmp21_ = self->priv->fm;
#line 121 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
			gtk_tree_view_set_model ((GtkTreeView*) self, (GtkTreeModel*) _tmp21_);
#line 466 "FastList.c"
		} else {
			gint _tmp22_ = 0;
			GeeHashMap* _tmp23_ = NULL;
			gint _tmp24_ = 0;
			gint _tmp25_ = 0;
#line 122 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
			_tmp22_ = old_size;
#line 122 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
			_tmp23_ = self->showing;
#line 122 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
			_tmp24_ = gee_abstract_map_get_size ((GeeAbstractMap*) _tmp23_);
#line 122 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
			_tmp25_ = _tmp24_;
#line 122 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
			if (_tmp22_ > _tmp25_) {
#line 482 "FastList.c"
				NoiseFastModel* _tmp37_ = NULL;
				GeeHashMap* _tmp38_ = NULL;
#line 123 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
				while (TRUE) {
#line 487 "FastList.c"
					NoiseFastModel* _tmp26_ = NULL;
					gint _tmp27_ = 0;
					GeeHashMap* _tmp28_ = NULL;
					gint _tmp29_ = 0;
					gint _tmp30_ = 0;
					GtkTreeIter iter = {0};
					NoiseFastModel* _tmp31_ = NULL;
					NoiseFastModel* _tmp32_ = NULL;
					gint _tmp33_ = 0;
					GtkTreeIter _tmp34_ = {0};
					NoiseFastModel* _tmp35_ = NULL;
					GtkTreeIter _tmp36_ = {0};
#line 123 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
					_tmp26_ = self->priv->fm;
#line 123 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
					_tmp27_ = gtk_tree_model_iter_n_children ((GtkTreeModel*) _tmp26_, NULL);
#line 123 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
					_tmp28_ = self->showing;
#line 123 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
					_tmp29_ = gee_abstract_map_get_size ((GeeAbstractMap*) _tmp28_);
#line 123 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
					_tmp30_ = _tmp29_;
#line 123 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
					if (!(_tmp27_ > _tmp30_)) {
#line 123 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
						break;
#line 514 "FastList.c"
					}
#line 125 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
					_tmp31_ = self->priv->fm;
#line 125 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
					_tmp32_ = self->priv->fm;
#line 125 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
					_tmp33_ = gtk_tree_model_iter_n_children ((GtkTreeModel*) _tmp32_, NULL);
#line 125 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
					gtk_tree_model_iter_nth_child ((GtkTreeModel*) _tmp31_, &_tmp34_, NULL, _tmp33_ - 1);
#line 125 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
					iter = _tmp34_;
#line 126 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
					_tmp35_ = self->priv->fm;
#line 126 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
					_tmp36_ = iter;
#line 126 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
					noise_fast_model_remove (_tmp35_, &_tmp36_);
#line 532 "FastList.c"
				}
#line 129 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
				_tmp37_ = self->priv->fm;
#line 129 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
				_tmp38_ = self->showing;
#line 129 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
				noise_fast_model_set_table (_tmp37_, _tmp38_);
#line 130 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
				gtk_widget_queue_draw ((GtkWidget*) self);
#line 542 "FastList.c"
			} else {
				GeeHashMap* _tmp39_ = NULL;
				gint _tmp40_ = 0;
				gint _tmp41_ = 0;
				gint _tmp42_ = 0;
#line 131 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
				_tmp39_ = self->showing;
#line 131 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
				_tmp40_ = gee_abstract_map_get_size ((GeeAbstractMap*) _tmp39_);
#line 131 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
				_tmp41_ = _tmp40_;
#line 131 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
				_tmp42_ = old_size;
#line 131 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
				if (_tmp41_ > _tmp42_) {
#line 558 "FastList.c"
					GtkTreeIter iter = {0};
					NoiseFastModel* _tmp50_ = NULL;
					GeeHashMap* _tmp51_ = NULL;
#line 134 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
					while (TRUE) {
#line 564 "FastList.c"
						NoiseFastModel* _tmp43_ = NULL;
						gint _tmp44_ = 0;
						GeeHashMap* _tmp45_ = NULL;
						gint _tmp46_ = 0;
						gint _tmp47_ = 0;
						NoiseFastModel* _tmp48_ = NULL;
						GtkTreeIter _tmp49_ = {0};
#line 134 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
						_tmp43_ = self->priv->fm;
#line 134 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
						_tmp44_ = gtk_tree_model_iter_n_children ((GtkTreeModel*) _tmp43_, NULL);
#line 134 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
						_tmp45_ = self->showing;
#line 134 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
						_tmp46_ = gee_abstract_map_get_size ((GeeAbstractMap*) _tmp45_);
#line 134 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
						_tmp47_ = _tmp46_;
#line 134 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
						if (!(_tmp44_ < _tmp47_)) {
#line 134 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
							break;
#line 586 "FastList.c"
						}
#line 135 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
						_tmp48_ = self->priv->fm;
#line 135 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
						noise_fast_model_append (_tmp48_, &_tmp49_);
#line 135 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
						iter = _tmp49_;
#line 594 "FastList.c"
					}
#line 138 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
					_tmp50_ = self->priv->fm;
#line 138 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
					_tmp51_ = self->showing;
#line 138 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
					noise_fast_model_set_table (_tmp50_, _tmp51_);
#line 139 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
					gtk_widget_queue_draw ((GtkWidget*) self);
#line 604 "FastList.c"
				}
			}
		}
	}
}


void noise_fast_view_redraw_row (NoiseFastView* self, gint row_index) {
	NoiseFastModel* _tmp0_ = NULL;
	gint _tmp1_ = 0;
#line 143 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	g_return_if_fail (self != NULL);
#line 144 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp0_ = self->priv->fm;
#line 144 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp1_ = row_index;
#line 144 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	noise_fast_model_update_row (_tmp0_, _tmp1_);
#line 623 "FastList.c"
}


/** Sorting is done in the treeview, not the model. That way the whole
     * table is sorted and ready to go and we do not need to resort every
     * time we repopulate/search the model
    **/
void noise_fast_view_set_sort_column_id (NoiseFastView* self, gint sort_column_id, GtkSortType order) {
	NoiseFastModel* _tmp0_ = NULL;
	gint _tmp1_ = 0;
	GtkSortType _tmp2_ = 0;
#line 151 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	g_return_if_fail (self != NULL);
#line 152 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp0_ = self->priv->fm;
#line 152 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp1_ = sort_column_id;
#line 152 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp2_ = order;
#line 152 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	gtk_tree_sortable_set_sort_column_id ((GtkTreeSortable*) _tmp0_, _tmp1_, _tmp2_);
#line 645 "FastList.c"
}


void noise_fast_view_get_sort_column_id (NoiseFastView* self, gint* sort_column, GtkSortType* order) {
	gint _vala_sort_column = 0;
	GtkSortType _vala_order = 0;
	gint _tmp0_ = 0;
	GtkSortType _tmp1_ = 0;
#line 155 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	g_return_if_fail (self != NULL);
#line 156 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp0_ = self->sort_column_id;
#line 156 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_vala_sort_column = _tmp0_;
#line 157 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp1_ = self->sort_direction;
#line 157 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_vala_order = _tmp1_;
#line 155 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	if (sort_column) {
#line 155 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
		*sort_column = _vala_sort_column;
#line 668 "FastList.c"
	}
#line 155 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	if (order) {
#line 155 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
		*order = _vala_order;
#line 674 "FastList.c"
	}
}


static void noise_fast_view_reorder_requested (NoiseFastView* self, gint column, GtkSortType direction) {
	gboolean _tmp0_ = FALSE;
	gint _tmp1_ = 0;
	gint _tmp2_ = 0;
	gint _tmp5_ = 0;
	GtkSortType _tmp6_ = 0;
	GeeHashMap* _tmp7_ = NULL;
	gint _tmp8_ = 0;
	gint _tmp9_ = 0;
#line 160 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	g_return_if_fail (self != NULL);
#line 161 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp1_ = column;
#line 161 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp2_ = self->sort_column_id;
#line 161 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	if (_tmp1_ == _tmp2_) {
#line 696 "FastList.c"
		GtkSortType _tmp3_ = 0;
		GtkSortType _tmp4_ = 0;
#line 161 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
		_tmp3_ = direction;
#line 161 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
		_tmp4_ = self->sort_direction;
#line 161 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
		_tmp0_ = _tmp3_ == _tmp4_;
#line 705 "FastList.c"
	} else {
#line 161 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
		_tmp0_ = FALSE;
#line 709 "FastList.c"
	}
#line 161 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	if (_tmp0_) {
#line 162 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
		return;
#line 715 "FastList.c"
	}
#line 165 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp5_ = column;
#line 165 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	self->sort_column_id = _tmp5_;
#line 166 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp6_ = direction;
#line 166 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	self->sort_direction = _tmp6_;
#line 174 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp7_ = self->table;
#line 174 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp8_ = gee_abstract_map_get_size ((GeeAbstractMap*) _tmp7_);
#line 174 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp9_ = _tmp8_;
#line 174 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	noise_fast_view_quicksort (self, 0, ((gint) _tmp9_) - 1);
#line 176 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	self->research_needed = TRUE;
#line 177 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	noise_fast_view_do_search (self, NULL);
#line 180 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	g_signal_emit_by_name (self, "rows-reordered");
#line 739 "FastList.c"
}


void noise_fast_view_resort (NoiseFastView* self) {
	GeeHashMap* _tmp0_ = NULL;
	gint _tmp1_ = 0;
	gint _tmp2_ = 0;
#line 183 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	g_return_if_fail (self != NULL);
#line 187 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp0_ = self->table;
#line 187 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp1_ = gee_abstract_map_get_size ((GeeAbstractMap*) _tmp0_);
#line 187 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp2_ = _tmp1_;
#line 187 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	noise_fast_view_quicksort (self, 0, (gint) (_tmp2_ - 1));
#line 190 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	self->research_needed = TRUE;
#line 191 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	noise_fast_view_do_search (self, NULL);
#line 761 "FastList.c"
}


void noise_fast_view_set_compare_func (NoiseFastView* self, NoiseFastViewSortCompareFunc func, void* func_target) {
	NoiseFastViewSortCompareFunc _tmp0_ = NULL;
	void* _tmp0__target = NULL;
#line 194 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	g_return_if_fail (self != NULL);
#line 195 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp0_ = func;
#line 195 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp0__target = func_target;
#line 195 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	self->priv->compare_func = _tmp0_;
#line 195 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	self->priv->compare_func_target = _tmp0__target;
#line 778 "FastList.c"
}


static void noise_fast_view_swap (NoiseFastView* self, gint a, gint b) {
	NoiseMedia* temp = NULL;
	GeeHashMap* _tmp0_ = NULL;
	gint _tmp1_ = 0;
	gpointer _tmp2_ = NULL;
	GeeHashMap* _tmp3_ = NULL;
	gint _tmp4_ = 0;
	GeeHashMap* _tmp5_ = NULL;
	gint _tmp6_ = 0;
	gpointer _tmp7_ = NULL;
	NoiseMedia* _tmp8_ = NULL;
	GeeHashMap* _tmp9_ = NULL;
	gint _tmp10_ = 0;
#line 198 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	g_return_if_fail (self != NULL);
#line 199 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp0_ = self->table;
#line 199 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp1_ = a;
#line 199 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp2_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp0_, (gpointer) ((gintptr) _tmp1_));
#line 199 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	temp = (NoiseMedia*) _tmp2_;
#line 200 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp3_ = self->table;
#line 200 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp4_ = a;
#line 200 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp5_ = self->table;
#line 200 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp6_ = b;
#line 200 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp7_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp5_, (gpointer) ((gintptr) _tmp6_));
#line 200 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp8_ = (NoiseMedia*) _tmp7_;
#line 200 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	gee_abstract_map_set ((GeeAbstractMap*) _tmp3_, (gpointer) ((gintptr) _tmp4_), _tmp8_);
#line 200 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_g_object_unref0 (_tmp8_);
#line 201 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp9_ = self->table;
#line 201 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp10_ = b;
#line 201 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	gee_abstract_map_set ((GeeAbstractMap*) _tmp9_, (gpointer) ((gintptr) _tmp10_), temp);
#line 198 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_g_object_unref0 (temp);
#line 829 "FastList.c"
}


void noise_fast_view_quicksort (NoiseFastView* self, gint start, gint end) {
	gint pivot_index = 0;
	gint _tmp0_ = 0;
	gint _tmp1_ = 0;
	NoiseMedia* pivot = NULL;
	GeeHashMap* _tmp2_ = NULL;
	gint _tmp3_ = 0;
	gpointer _tmp4_ = NULL;
	gint i = 0;
	gint _tmp5_ = 0;
	gint j = 0;
	gint _tmp6_ = 0;
	gint _tmp45_ = 0;
	gint _tmp46_ = 0;
	gint _tmp49_ = 0;
	gint _tmp50_ = 0;
#line 204 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	g_return_if_fail (self != NULL);
#line 205 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp0_ = start;
#line 205 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp1_ = end;
#line 205 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	pivot_index = (_tmp0_ + _tmp1_) / 2;
#line 206 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp2_ = self->table;
#line 206 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp3_ = pivot_index;
#line 206 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp4_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp2_, (gpointer) ((gintptr) _tmp3_));
#line 206 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	pivot = (NoiseMedia*) _tmp4_;
#line 207 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp5_ = start;
#line 207 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	i = _tmp5_;
#line 208 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp6_ = end;
#line 208 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	j = _tmp6_;
#line 210 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	while (TRUE) {
#line 875 "FastList.c"
		gint _tmp7_ = 0;
		gint _tmp8_ = 0;
		gint _tmp39_ = 0;
		gint _tmp40_ = 0;
#line 210 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
		_tmp7_ = i;
#line 210 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
		_tmp8_ = j;
#line 210 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
		if (!(_tmp7_ <= _tmp8_)) {
#line 210 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
			break;
#line 888 "FastList.c"
		}
#line 211 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
		while (TRUE) {
#line 892 "FastList.c"
			gboolean _tmp9_ = FALSE;
			gint _tmp10_ = 0;
			gint _tmp11_ = 0;
			gint _tmp23_ = 0;
#line 211 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
			_tmp10_ = i;
#line 211 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
			_tmp11_ = end;
#line 211 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
			if (_tmp10_ < _tmp11_) {
#line 903 "FastList.c"
				NoiseFastViewSortCompareFunc _tmp12_ = NULL;
				void* _tmp12__target = NULL;
				gint _tmp13_ = 0;
				GtkSortType _tmp14_ = 0;
				GeeHashMap* _tmp15_ = NULL;
				gint _tmp16_ = 0;
				gpointer _tmp17_ = NULL;
				NoiseMedia* _tmp18_ = NULL;
				NoiseMedia* _tmp19_ = NULL;
				gint _tmp20_ = 0;
				gint _tmp21_ = 0;
				gint _tmp22_ = 0;
#line 211 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
				_tmp12_ = self->priv->compare_func;
#line 211 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
				_tmp12__target = self->priv->compare_func_target;
#line 211 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
				_tmp13_ = self->sort_column_id;
#line 211 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
				_tmp14_ = self->sort_direction;
#line 211 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
				_tmp15_ = self->table;
#line 211 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
				_tmp16_ = i;
#line 211 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
				_tmp17_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp15_, (gpointer) ((gintptr) _tmp16_));
#line 211 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
				_tmp18_ = (NoiseMedia*) _tmp17_;
#line 211 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
				_tmp19_ = pivot;
#line 211 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
				_tmp20_ = i;
#line 211 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
				_tmp21_ = pivot_index;
#line 211 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
				_tmp22_ = _tmp12_ (_tmp13_, _tmp14_, _tmp18_, _tmp19_, _tmp20_, _tmp21_, _tmp12__target);
#line 211 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
				_tmp9_ = _tmp22_ < 0;
#line 211 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
				_g_object_unref0 (_tmp18_);
#line 944 "FastList.c"
			} else {
#line 211 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
				_tmp9_ = FALSE;
#line 948 "FastList.c"
			}
#line 211 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
			if (!_tmp9_) {
#line 211 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
				break;
#line 954 "FastList.c"
			}
#line 211 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
			_tmp23_ = i;
#line 211 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
			i = _tmp23_ + 1;
#line 960 "FastList.c"
		}
#line 212 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
		while (TRUE) {
#line 964 "FastList.c"
			gboolean _tmp24_ = FALSE;
			gint _tmp25_ = 0;
			gint _tmp26_ = 0;
			gint _tmp38_ = 0;
#line 212 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
			_tmp25_ = j;
#line 212 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
			_tmp26_ = start;
#line 212 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
			if (_tmp25_ > _tmp26_) {
#line 975 "FastList.c"
				NoiseFastViewSortCompareFunc _tmp27_ = NULL;
				void* _tmp27__target = NULL;
				gint _tmp28_ = 0;
				GtkSortType _tmp29_ = 0;
				GeeHashMap* _tmp30_ = NULL;
				gint _tmp31_ = 0;
				gpointer _tmp32_ = NULL;
				NoiseMedia* _tmp33_ = NULL;
				NoiseMedia* _tmp34_ = NULL;
				gint _tmp35_ = 0;
				gint _tmp36_ = 0;
				gint _tmp37_ = 0;
#line 212 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
				_tmp27_ = self->priv->compare_func;
#line 212 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
				_tmp27__target = self->priv->compare_func_target;
#line 212 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
				_tmp28_ = self->sort_column_id;
#line 212 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
				_tmp29_ = self->sort_direction;
#line 212 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
				_tmp30_ = self->table;
#line 212 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
				_tmp31_ = j;
#line 212 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
				_tmp32_ = gee_abstract_map_get ((GeeAbstractMap*) _tmp30_, (gpointer) ((gintptr) _tmp31_));
#line 212 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
				_tmp33_ = (NoiseMedia*) _tmp32_;
#line 212 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
				_tmp34_ = pivot;
#line 212 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
				_tmp35_ = j;
#line 212 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
				_tmp36_ = pivot_index;
#line 212 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
				_tmp37_ = _tmp27_ (_tmp28_, _tmp29_, _tmp33_, _tmp34_, _tmp35_, _tmp36_, _tmp27__target);
#line 212 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
				_tmp24_ = _tmp37_ > 0;
#line 212 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
				_g_object_unref0 (_tmp33_);
#line 1016 "FastList.c"
			} else {
#line 212 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
				_tmp24_ = FALSE;
#line 1020 "FastList.c"
			}
#line 212 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
			if (!_tmp24_) {
#line 212 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
				break;
#line 1026 "FastList.c"
			}
#line 212 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
			_tmp38_ = j;
#line 212 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
			j = _tmp38_ - 1;
#line 1032 "FastList.c"
		}
#line 213 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
		_tmp39_ = i;
#line 213 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
		_tmp40_ = j;
#line 213 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
		if (_tmp39_ <= _tmp40_) {
#line 1040 "FastList.c"
			gint _tmp41_ = 0;
			gint _tmp42_ = 0;
			gint _tmp43_ = 0;
			gint _tmp44_ = 0;
#line 214 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
			_tmp41_ = i;
#line 214 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
			_tmp42_ = j;
#line 214 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
			noise_fast_view_swap (self, _tmp41_, _tmp42_);
#line 215 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
			_tmp43_ = i;
#line 215 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
			i = _tmp43_ + 1;
#line 215 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
			_tmp44_ = j;
#line 215 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
			j = _tmp44_ - 1;
#line 1059 "FastList.c"
		}
	}
#line 219 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp45_ = start;
#line 219 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp46_ = j;
#line 219 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	if (_tmp45_ < _tmp46_) {
#line 1068 "FastList.c"
		gint _tmp47_ = 0;
		gint _tmp48_ = 0;
#line 220 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
		_tmp47_ = start;
#line 220 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
		_tmp48_ = j;
#line 220 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
		noise_fast_view_quicksort (self, _tmp47_, _tmp48_);
#line 1077 "FastList.c"
	}
#line 221 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp49_ = i;
#line 221 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp50_ = end;
#line 221 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	if (_tmp49_ < _tmp50_) {
#line 1085 "FastList.c"
		gint _tmp51_ = 0;
		gint _tmp52_ = 0;
#line 222 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
		_tmp51_ = i;
#line 222 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
		_tmp52_ = end;
#line 222 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
		noise_fast_view_quicksort (self, _tmp51_, _tmp52_);
#line 1094 "FastList.c"
	}
#line 204 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_g_object_unref0 (pivot);
#line 1098 "FastList.c"
}


static void noise_fast_view_class_init (NoiseFastViewClass * klass) {
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	noise_fast_view_parent_class = g_type_class_peek_parent (klass);
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	g_type_class_add_private (klass, sizeof (NoiseFastViewPrivate));
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	G_OBJECT_CLASS (klass)->finalize = noise_fast_view_finalize;
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	g_signal_new ("rows_reordered", NOISE_TYPE_FAST_VIEW, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 1111 "FastList.c"
}


static void noise_fast_view_instance_init (NoiseFastView * self) {
	GeeLinkedList* _tmp0_ = NULL;
	GeeHashMap* _tmp1_ = NULL;
	GeeHashMap* _tmp2_ = NULL;
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	self->priv = NOISE_FAST_VIEW_GET_PRIVATE (self);
#line 35 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp0_ = gee_linked_list_new (G_TYPE_GTYPE, NULL, NULL, NULL, NULL, NULL);
#line 35 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	self->priv->columns = _tmp0_;
#line 36 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp1_ = gee_hash_map_new (G_TYPE_INT, NULL, NULL, NOISE_TYPE_MEDIA, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
#line 36 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	self->table = _tmp1_;
#line 37 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_tmp2_ = gee_hash_map_new (G_TYPE_INT, NULL, NULL, NOISE_TYPE_MEDIA, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);
#line 37 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	self->showing = _tmp2_;
#line 47 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	self->research_needed = FALSE;
#line 1135 "FastList.c"
}


static void noise_fast_view_finalize (GObject* obj) {
	NoiseFastView * self;
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NOISE_TYPE_FAST_VIEW, NoiseFastView);
#line 34 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_g_object_unref0 (self->priv->fm);
#line 35 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_g_object_unref0 (self->priv->columns);
#line 36 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_g_object_unref0 (self->table);
#line 37 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	_g_object_unref0 (self->showing);
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/FastList.vala"
	G_OBJECT_CLASS (noise_fast_view_parent_class)->finalize (obj);
#line 1153 "FastList.c"
}


GType noise_fast_view_get_type (void) {
	static volatile gsize noise_fast_view_type_id__volatile = 0;
	if (g_once_init_enter (&noise_fast_view_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NoiseFastViewClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) noise_fast_view_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NoiseFastView), 0, (GInstanceInitFunc) noise_fast_view_instance_init, NULL };
		GType noise_fast_view_type_id;
		noise_fast_view_type_id = g_type_register_static (gtk_tree_view_get_type (), "NoiseFastView", &g_define_type_info, 0);
		g_once_init_leave (&noise_fast_view_type_id__volatile, noise_fast_view_type_id);
	}
	return noise_fast_view_type_id__volatile;
}



