/* TileRenderer.c generated by valac 0.34.9, the Vala compiler
 * generated from TileRenderer.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2012-2017 elementary LLC. (https://elementary.io)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Noise authors hereby grant permission for non-GPL compatible
 * GStreamer plugins to be used and distributed together with GStreamer
 * and Noise. This permission is above and beyond the permissions granted
 * by the GPL license by which Noise is covered. If you modify this code
 * you may extend this exception to your version of the code, but you are not
 * obligated to do so. If you do not wish to do so, delete this exception
 * statement from your version.
 */

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <noise-core.h>
#include <pango/pango.h>
#include <gdk-pixbuf/gdk-pixbuf.h>
#include <gdk/gdk.h>
#include <cairo.h>
#include <float.h>
#include <math.h>
#include <gio/gio.h>


#define NOISE_WIDGETS_TYPE_TILE_RENDERER (noise_widgets_tile_renderer_get_type ())
#define NOISE_WIDGETS_TILE_RENDERER(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_WIDGETS_TYPE_TILE_RENDERER, NoiseWidgetsTileRenderer))
#define NOISE_WIDGETS_TILE_RENDERER_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_WIDGETS_TYPE_TILE_RENDERER, NoiseWidgetsTileRendererClass))
#define NOISE_WIDGETS_IS_TILE_RENDERER(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_WIDGETS_TYPE_TILE_RENDERER))
#define NOISE_WIDGETS_IS_TILE_RENDERER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_WIDGETS_TYPE_TILE_RENDERER))
#define NOISE_WIDGETS_TILE_RENDERER_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_WIDGETS_TYPE_TILE_RENDERER, NoiseWidgetsTileRendererClass))

typedef struct _NoiseWidgetsTileRenderer NoiseWidgetsTileRenderer;
typedef struct _NoiseWidgetsTileRendererClass NoiseWidgetsTileRendererClass;
typedef struct _NoiseWidgetsTileRendererPrivate NoiseWidgetsTileRendererPrivate;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
#define _gtk_icon_info_free0(var) ((var == NULL) ? NULL : (var = (gtk_icon_info_free (var), NULL)))

struct _NoiseWidgetsTileRenderer {
	GtkCellRenderer parent_instance;
	NoiseWidgetsTileRendererPrivate * priv;
};

struct _NoiseWidgetsTileRendererClass {
	GtkCellRendererClass parent_class;
};

struct _NoiseWidgetsTileRendererPrivate {
	NoiseAlbum* _album;
	PangoLayout* title_text_layout;
	PangoLayout* subtitle_text_layout;
	GtkBorder margin;
	GtkBorder padding;
	GtkBorder border;
	GdkPixbuf* pixbuf;
	GdkPixbuf* fallback_pixbuf;
	gint fallback_pixbuf_scale;
};


static gpointer noise_widgets_tile_renderer_parent_class = NULL;

GType noise_widgets_tile_renderer_get_type (void) G_GNUC_CONST;
#define NOISE_WIDGETS_TILE_RENDERER_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NOISE_WIDGETS_TYPE_TILE_RENDERER, NoiseWidgetsTileRendererPrivate))
enum  {
	NOISE_WIDGETS_TILE_RENDERER_DUMMY_PROPERTY,
	NOISE_WIDGETS_TILE_RENDERER_ALBUM
};
NoiseWidgetsTileRenderer* noise_widgets_tile_renderer_new (void);
NoiseWidgetsTileRenderer* noise_widgets_tile_renderer_construct (GType object_type);
static void __lambda47_ (NoiseWidgetsTileRenderer* self);
static void ___lambda47__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self);
static void noise_widgets_tile_renderer_real_get_size (GtkCellRenderer* base, GtkWidget* widget, GdkRectangle* cell_area, gint* x_offset, gint* y_offset, gint* width, gint* height);
static GtkSizeRequestMode noise_widgets_tile_renderer_real_get_request_mode (GtkCellRenderer* base);
static void noise_widgets_tile_renderer_real_get_preferred_width (GtkCellRenderer* base, GtkWidget* widget, gint* minimum_size, gint* natural_size);
static void noise_widgets_tile_renderer_update_layout_properties (NoiseWidgetsTileRenderer* self, GtkWidget* widget);
static gint noise_widgets_tile_renderer_compute_total_image_width (NoiseWidgetsTileRenderer* self);
static void noise_widgets_tile_renderer_real_get_preferred_height_for_width (GtkCellRenderer* base, GtkWidget* widget, gint width, gint* minimum_height, gint* natural_height);
static gint noise_widgets_tile_renderer_compute_total_image_height (NoiseWidgetsTileRenderer* self);
static void noise_widgets_tile_renderer_real_render (GtkCellRenderer* base, cairo_t* cr, GtkWidget* widget, GdkRectangle* bg_area, GdkRectangle* cell_area, GtkCellRendererState flags);
static void noise_widgets_tile_renderer_render_image (NoiseWidgetsTileRenderer* self, GtkStyleContext* ctx, cairo_t* cr, gint* x, gint* y, gint width, GtkCellRendererState flags);
static void noise_widgets_tile_renderer_render_title (NoiseWidgetsTileRenderer* self, GtkStyleContext* ctx, cairo_t* cr, gint x, gint* y, gint width);
static void noise_widgets_tile_renderer_render_subtitle (NoiseWidgetsTileRenderer* self, GtkStyleContext* ctx, cairo_t* cr, gint x, gint y, gint width);
static void noise_widgets_tile_renderer_render_prixbuf (NoiseWidgetsTileRenderer* self, GtkStyleContext* ctx);
NoiseAlbum* noise_widgets_tile_renderer_get_album (NoiseWidgetsTileRenderer* self);
void noise_widgets_tile_renderer_set_album (NoiseWidgetsTileRenderer* self, NoiseAlbum* value);
static void noise_widgets_tile_renderer_finalize (GObject* obj);
static void _vala_noise_widgets_tile_renderer_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_noise_widgets_tile_renderer_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);


static void __lambda47_ (NoiseWidgetsTileRenderer* self) {
#line 41 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_g_object_unref0 (self->priv->pixbuf);
#line 41 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	self->priv->pixbuf = NULL;
#line 117 "TileRenderer.c"
}


static void ___lambda47__g_object_notify (GObject* _sender, GParamSpec* pspec, gpointer self) {
#line 40 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	__lambda47_ ((NoiseWidgetsTileRenderer*) self);
#line 124 "TileRenderer.c"
}


NoiseWidgetsTileRenderer* noise_widgets_tile_renderer_construct (GType object_type) {
	NoiseWidgetsTileRenderer * self = NULL;
#line 39 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	self = (NoiseWidgetsTileRenderer*) g_object_new (object_type, NULL);
#line 40 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	g_signal_connect_object ((GObject*) self, "notify::album", (GCallback) ___lambda47__g_object_notify, self, 0);
#line 39 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	return self;
#line 136 "TileRenderer.c"
}


NoiseWidgetsTileRenderer* noise_widgets_tile_renderer_new (void) {
#line 39 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	return noise_widgets_tile_renderer_construct (NOISE_WIDGETS_TYPE_TILE_RENDERER);
#line 143 "TileRenderer.c"
}


static void noise_widgets_tile_renderer_real_get_size (GtkCellRenderer* base, GtkWidget* widget, GdkRectangle* cell_area, gint* x_offset, gint* y_offset, gint* width, gint* height) {
	NoiseWidgetsTileRenderer * self;
	gint _vala_x_offset = 0;
	gint _vala_y_offset = 0;
	gint _vala_width = 0;
	gint _vala_height = 0;
#line 45 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	self = (NoiseWidgetsTileRenderer*) base;
#line 45 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	g_return_if_fail (widget != NULL);
#line 49 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_vala_height = 0;
#line 49 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_vala_width = _vala_height;
#line 49 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_vala_y_offset = _vala_width;
#line 49 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_vala_x_offset = _vala_y_offset;
#line 45 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	if (x_offset) {
#line 45 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		*x_offset = _vala_x_offset;
#line 169 "TileRenderer.c"
	}
#line 45 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	if (y_offset) {
#line 45 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		*y_offset = _vala_y_offset;
#line 175 "TileRenderer.c"
	}
#line 45 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	if (width) {
#line 45 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		*width = _vala_width;
#line 181 "TileRenderer.c"
	}
#line 45 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	if (height) {
#line 45 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		*height = _vala_height;
#line 187 "TileRenderer.c"
	}
}


static GtkSizeRequestMode noise_widgets_tile_renderer_real_get_request_mode (GtkCellRenderer* base) {
	NoiseWidgetsTileRenderer * self;
	GtkSizeRequestMode result = 0;
#line 52 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	self = (NoiseWidgetsTileRenderer*) base;
#line 53 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	result = GTK_SIZE_REQUEST_HEIGHT_FOR_WIDTH;
#line 53 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	return result;
#line 201 "TileRenderer.c"
}


static void noise_widgets_tile_renderer_real_get_preferred_width (GtkCellRenderer* base, GtkWidget* widget, gint* minimum_size, gint* natural_size) {
	NoiseWidgetsTileRenderer * self;
	gint _vala_minimum_size = 0;
	gint _vala_natural_size = 0;
	GtkWidget* _tmp0_ = NULL;
	gint x_padding = 0;
	gint _tmp1_ = 0;
	gint width = 0;
	gint _tmp2_ = 0;
	GtkBorder _tmp3_ = {0};
	gint16 _tmp4_ = 0;
	GtkBorder _tmp5_ = {0};
	gint16 _tmp6_ = 0;
	GtkBorder _tmp7_ = {0};
	gint16 _tmp8_ = 0;
	GtkBorder _tmp9_ = {0};
	gint16 _tmp10_ = 0;
	GtkBorder _tmp11_ = {0};
	gint16 _tmp12_ = 0;
	GtkBorder _tmp13_ = {0};
	gint16 _tmp14_ = 0;
#line 56 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	self = (NoiseWidgetsTileRenderer*) base;
#line 56 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	g_return_if_fail (widget != NULL);
#line 60 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp0_ = widget;
#line 60 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	noise_widgets_tile_renderer_update_layout_properties (self, _tmp0_);
#line 63 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	gtk_cell_renderer_get_padding ((GtkCellRenderer*) self, &_tmp1_, NULL);
#line 63 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	x_padding = _tmp1_;
#line 65 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp2_ = noise_widgets_tile_renderer_compute_total_image_width (self);
#line 65 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp3_ = self->priv->margin;
#line 65 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp4_ = _tmp3_.left;
#line 65 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp5_ = self->priv->margin;
#line 65 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp6_ = _tmp5_.right;
#line 65 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp7_ = self->priv->padding;
#line 65 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp8_ = _tmp7_.left;
#line 65 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp9_ = self->priv->padding;
#line 65 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp10_ = _tmp9_.right;
#line 65 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp11_ = self->priv->border;
#line 65 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp12_ = _tmp11_.left;
#line 65 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp13_ = self->priv->border;
#line 65 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp14_ = _tmp13_.right;
#line 65 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	width = ((((((_tmp2_ + _tmp4_) + _tmp6_) + _tmp8_) + _tmp10_) + _tmp12_) + _tmp14_) + (2 * x_padding);
#line 71 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_vala_natural_size = width;
#line 71 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_vala_minimum_size = _vala_natural_size;
#line 56 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	if (minimum_size) {
#line 56 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		*minimum_size = _vala_minimum_size;
#line 274 "TileRenderer.c"
	}
#line 56 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	if (natural_size) {
#line 56 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		*natural_size = _vala_natural_size;
#line 280 "TileRenderer.c"
	}
}


static void noise_widgets_tile_renderer_real_get_preferred_height_for_width (GtkCellRenderer* base, GtkWidget* widget, gint width, gint* minimum_height, gint* natural_height) {
	NoiseWidgetsTileRenderer * self;
	gint _vala_minimum_height = 0;
	gint _vala_natural_height = 0;
	GtkWidget* _tmp0_ = NULL;
	gint y_padding = 0;
	gint _tmp1_ = 0;
	gint subtitle_height = 0;
	gint title_height = 0;
	PangoLayout* _tmp2_ = NULL;
	gint _tmp3_ = 0;
	PangoLayout* _tmp4_ = NULL;
	gint _tmp5_ = 0;
	gint height = 0;
	gint _tmp6_ = 0;
	GtkBorder _tmp7_ = {0};
	gint16 _tmp8_ = 0;
	GtkBorder _tmp9_ = {0};
	gint16 _tmp10_ = 0;
	GtkBorder _tmp11_ = {0};
	gint16 _tmp12_ = 0;
	GtkBorder _tmp13_ = {0};
	gint16 _tmp14_ = 0;
	GtkBorder _tmp15_ = {0};
	gint16 _tmp16_ = 0;
	GtkBorder _tmp17_ = {0};
	gint16 _tmp18_ = 0;
#line 74 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	self = (NoiseWidgetsTileRenderer*) base;
#line 74 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	g_return_if_fail (widget != NULL);
#line 78 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp0_ = widget;
#line 78 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	noise_widgets_tile_renderer_update_layout_properties (self, _tmp0_);
#line 81 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	gtk_cell_renderer_get_padding ((GtkCellRenderer*) self, NULL, &_tmp1_);
#line 81 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	y_padding = _tmp1_;
#line 84 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp2_ = self->priv->title_text_layout;
#line 84 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	pango_layout_get_pixel_size (_tmp2_, NULL, &_tmp3_);
#line 84 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	title_height = _tmp3_;
#line 85 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp4_ = self->priv->subtitle_text_layout;
#line 85 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	pango_layout_get_pixel_size (_tmp4_, NULL, &_tmp5_);
#line 85 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	subtitle_height = _tmp5_;
#line 87 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp6_ = noise_widgets_tile_renderer_compute_total_image_height (self);
#line 87 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp7_ = self->priv->margin;
#line 87 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp8_ = _tmp7_.top;
#line 87 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp9_ = self->priv->margin;
#line 87 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp10_ = _tmp9_.bottom;
#line 87 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp11_ = self->priv->padding;
#line 87 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp12_ = _tmp11_.top;
#line 87 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp13_ = self->priv->padding;
#line 87 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp14_ = _tmp13_.bottom;
#line 87 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp15_ = self->priv->border;
#line 87 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp16_ = _tmp15_.top;
#line 87 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp17_ = self->priv->border;
#line 87 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp18_ = _tmp17_.bottom;
#line 87 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	height = ((((((((_tmp6_ + title_height) + subtitle_height) + _tmp8_) + (2 * _tmp10_)) + _tmp12_) + _tmp14_) + _tmp16_) + _tmp18_) + (2 * y_padding);
#line 94 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_vala_natural_height = height;
#line 94 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_vala_minimum_height = _vala_natural_height;
#line 74 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	if (minimum_height) {
#line 74 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		*minimum_height = _vala_minimum_height;
#line 372 "TileRenderer.c"
	}
#line 74 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	if (natural_height) {
#line 74 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		*natural_height = _vala_natural_height;
#line 378 "TileRenderer.c"
	}
}


static void noise_widgets_tile_renderer_real_render (GtkCellRenderer* base, cairo_t* cr, GtkWidget* widget, GdkRectangle* bg_area, GdkRectangle* cell_area, GtkCellRendererState flags) {
	NoiseWidgetsTileRenderer * self;
	GtkWidget* _tmp0_ = NULL;
	GdkRectangle aligned_area = {0};
	GtkWidget* _tmp1_ = NULL;
	GtkCellRendererState _tmp2_ = 0;
	GdkRectangle _tmp3_ = {0};
	GdkRectangle _tmp4_ = {0};
	gint x = 0;
	GdkRectangle _tmp5_ = {0};
	gint _tmp6_ = 0;
	gint y = 0;
	GdkRectangle _tmp7_ = {0};
	gint _tmp8_ = 0;
	gint width = 0;
	GdkRectangle _tmp9_ = {0};
	gint _tmp10_ = 0;
	gint height = 0;
	GdkRectangle _tmp11_ = {0};
	gint _tmp12_ = 0;
	gint _tmp13_ = 0;
	GtkBorder _tmp14_ = {0};
	gint16 _tmp15_ = 0;
	GtkBorder _tmp16_ = {0};
	gint16 _tmp17_ = 0;
	GtkBorder _tmp18_ = {0};
	gint16 _tmp19_ = 0;
	gint _tmp20_ = 0;
	GtkBorder _tmp21_ = {0};
	gint16 _tmp22_ = 0;
	GtkBorder _tmp23_ = {0};
	gint16 _tmp24_ = 0;
	GtkBorder _tmp25_ = {0};
	gint16 _tmp26_ = 0;
	GtkStyleContext* ctx = NULL;
	GtkWidget* _tmp27_ = NULL;
	GtkStyleContext* _tmp28_ = NULL;
	gint _tmp29_ = 0;
	GtkBorder _tmp30_ = {0};
	gint16 _tmp31_ = 0;
	GtkBorder _tmp32_ = {0};
	gint16 _tmp33_ = 0;
	GtkBorder _tmp34_ = {0};
	gint16 _tmp35_ = 0;
	GtkBorder _tmp36_ = {0};
	gint16 _tmp37_ = 0;
	GtkBorder _tmp38_ = {0};
	gint16 _tmp39_ = 0;
	GtkBorder _tmp40_ = {0};
	gint16 _tmp41_ = 0;
	gint _tmp42_ = 0;
	GtkBorder _tmp43_ = {0};
	gint16 _tmp44_ = 0;
	GtkBorder _tmp45_ = {0};
	gint16 _tmp46_ = 0;
	GtkBorder _tmp47_ = {0};
	gint16 _tmp48_ = 0;
	GtkBorder _tmp49_ = {0};
	gint16 _tmp50_ = 0;
	GtkBorder _tmp51_ = {0};
	gint16 _tmp52_ = 0;
	GtkBorder _tmp53_ = {0};
	gint16 _tmp54_ = 0;
	cairo_t* _tmp55_ = NULL;
	gint _tmp56_ = 0;
	GtkCellRendererState _tmp57_ = 0;
	cairo_t* _tmp58_ = NULL;
	gint _tmp59_ = 0;
	gint _tmp60_ = 0;
	cairo_t* _tmp61_ = NULL;
	gint _tmp62_ = 0;
	gint _tmp63_ = 0;
	gint _tmp64_ = 0;
#line 97 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	self = (NoiseWidgetsTileRenderer*) base;
#line 97 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	g_return_if_fail (cr != NULL);
#line 97 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	g_return_if_fail (widget != NULL);
#line 97 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	g_return_if_fail (bg_area != NULL);
#line 97 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	g_return_if_fail (cell_area != NULL);
#line 100 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp0_ = widget;
#line 100 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	noise_widgets_tile_renderer_update_layout_properties (self, _tmp0_);
#line 102 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp1_ = widget;
#line 102 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp2_ = flags;
#line 102 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp3_ = *cell_area;
#line 102 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	gtk_cell_renderer_get_aligned_area ((GtkCellRenderer*) self, _tmp1_, _tmp2_, &_tmp3_, &_tmp4_);
#line 102 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	aligned_area = _tmp4_;
#line 104 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp5_ = aligned_area;
#line 104 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp6_ = _tmp5_.x;
#line 104 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	x = _tmp6_;
#line 105 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp7_ = aligned_area;
#line 105 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp8_ = _tmp7_.y;
#line 105 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	y = _tmp8_;
#line 106 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp9_ = aligned_area;
#line 106 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp10_ = _tmp9_.width;
#line 106 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	width = _tmp10_;
#line 107 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp11_ = aligned_area;
#line 107 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp12_ = _tmp11_.height;
#line 107 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	height = _tmp12_;
#line 110 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp13_ = x;
#line 110 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp14_ = self->priv->margin;
#line 110 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp15_ = _tmp14_.left;
#line 110 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp16_ = self->priv->border;
#line 110 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp17_ = _tmp16_.left;
#line 110 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp18_ = self->priv->padding;
#line 110 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp19_ = _tmp18_.left;
#line 110 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	x = _tmp13_ + ((_tmp15_ + _tmp17_) + _tmp19_);
#line 111 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp20_ = y;
#line 111 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp21_ = self->priv->margin;
#line 111 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp22_ = _tmp21_.top;
#line 111 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp23_ = self->priv->border;
#line 111 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp24_ = _tmp23_.top;
#line 111 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp25_ = self->priv->padding;
#line 111 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp26_ = _tmp25_.top;
#line 111 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	y = _tmp20_ + ((_tmp22_ + _tmp24_) + _tmp26_);
#line 113 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp27_ = widget;
#line 113 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp28_ = gtk_widget_get_style_context (_tmp27_);
#line 113 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	ctx = _tmp28_;
#line 115 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp29_ = width;
#line 115 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp30_ = self->priv->margin;
#line 115 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp31_ = _tmp30_.left;
#line 115 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp32_ = self->priv->margin;
#line 115 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp33_ = _tmp32_.right;
#line 115 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp34_ = self->priv->border;
#line 115 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp35_ = _tmp34_.left;
#line 115 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp36_ = self->priv->border;
#line 115 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp37_ = _tmp36_.right;
#line 115 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp38_ = self->priv->padding;
#line 115 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp39_ = _tmp38_.left;
#line 115 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp40_ = self->priv->padding;
#line 115 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp41_ = _tmp40_.right;
#line 115 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	width = _tmp29_ - (((((_tmp31_ + _tmp33_) + _tmp35_) + _tmp37_) + _tmp39_) + _tmp41_);
#line 116 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp42_ = height;
#line 116 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp43_ = self->priv->margin;
#line 116 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp44_ = _tmp43_.top;
#line 116 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp45_ = self->priv->margin;
#line 116 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp46_ = _tmp45_.bottom;
#line 116 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp47_ = self->priv->border;
#line 116 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp48_ = _tmp47_.top;
#line 116 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp49_ = self->priv->border;
#line 116 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp50_ = _tmp49_.bottom;
#line 116 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp51_ = self->priv->padding;
#line 116 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp52_ = _tmp51_.top;
#line 116 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp53_ = self->priv->padding;
#line 116 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp54_ = _tmp53_.bottom;
#line 116 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	height = _tmp42_ - (((((_tmp44_ + _tmp46_) + _tmp48_) + _tmp50_) + _tmp52_) + _tmp54_);
#line 118 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp55_ = cr;
#line 118 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp56_ = width;
#line 118 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp57_ = flags;
#line 118 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	noise_widgets_tile_renderer_render_image (self, ctx, _tmp55_, &x, &y, _tmp56_, _tmp57_);
#line 119 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp58_ = cr;
#line 119 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp59_ = x;
#line 119 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp60_ = width;
#line 119 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	noise_widgets_tile_renderer_render_title (self, ctx, _tmp58_, _tmp59_, &y, _tmp60_);
#line 120 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp61_ = cr;
#line 120 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp62_ = x;
#line 120 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp63_ = y;
#line 120 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp64_ = width;
#line 120 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	noise_widgets_tile_renderer_render_subtitle (self, ctx, _tmp61_, _tmp62_, _tmp63_, _tmp64_);
#line 624 "TileRenderer.c"
}


static void noise_widgets_tile_renderer_render_image (NoiseWidgetsTileRenderer* self, GtkStyleContext* ctx, cairo_t* cr, gint* x, gint* y, gint width, GtkCellRendererState flags) {
	gint image_width = 0;
	gint _tmp0_ = 0;
	gint image_height = 0;
	gint _tmp1_ = 0;
	gint _tmp2_ = 0;
	gint _tmp3_ = 0;
	GtkStyleContext* _tmp4_ = NULL;
	GtkStyleContext* _tmp5_ = NULL;
	GtkStyleContext* _tmp6_ = NULL;
	cairo_t* _tmp7_ = NULL;
	gint _tmp8_ = 0;
	gint _tmp9_ = 0;
	GdkPixbuf* _tmp10_ = NULL;
	gint _tmp11_ = 0;
	gint _tmp12_ = 0;
	GdkPixbuf* _tmp13_ = NULL;
	gint _tmp14_ = 0;
	gint _tmp15_ = 0;
	GtkStyleContext* _tmp16_ = NULL;
	cairo_t* _tmp17_ = NULL;
	GdkPixbuf* _tmp18_ = NULL;
	gint _tmp19_ = 0;
	gint _tmp20_ = 0;
	cairo_t* _tmp21_ = NULL;
	GtkStyleContext* _tmp22_ = NULL;
	cairo_t* _tmp23_ = NULL;
	gint _tmp24_ = 0;
	GtkBorder _tmp25_ = {0};
	gint16 _tmp26_ = 0;
	gint _tmp27_ = 0;
	GtkBorder _tmp28_ = {0};
	gint16 _tmp29_ = 0;
	GdkPixbuf* _tmp30_ = NULL;
	gint _tmp31_ = 0;
	gint _tmp32_ = 0;
	GtkBorder _tmp33_ = {0};
	gint16 _tmp34_ = 0;
	GtkBorder _tmp35_ = {0};
	gint16 _tmp36_ = 0;
	GdkPixbuf* _tmp37_ = NULL;
	gint _tmp38_ = 0;
	gint _tmp39_ = 0;
	GtkBorder _tmp40_ = {0};
	gint16 _tmp41_ = 0;
	GtkBorder _tmp42_ = {0};
	gint16 _tmp43_ = 0;
	GtkStyleContext* _tmp44_ = NULL;
	gint _tmp45_ = 0;
	gint _tmp46_ = 0;
	GdkPixbuf* _tmp47_ = NULL;
	gint _tmp48_ = 0;
	gint _tmp49_ = 0;
	GtkBorder _tmp50_ = {0};
	gint16 _tmp51_ = 0;
#line 123 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	g_return_if_fail (self != NULL);
#line 123 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	g_return_if_fail (ctx != NULL);
#line 123 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	g_return_if_fail (cr != NULL);
#line 126 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp0_ = noise_widgets_tile_renderer_compute_total_image_width (self);
#line 126 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	image_width = _tmp0_;
#line 127 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp1_ = noise_widgets_tile_renderer_compute_total_image_height (self);
#line 127 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	image_height = _tmp1_;
#line 129 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp2_ = *x;
#line 129 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp3_ = width;
#line 129 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	*x = _tmp2_ + ((_tmp3_ - image_width) / 2);
#line 131 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp4_ = ctx;
#line 131 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	gtk_style_context_save (_tmp4_);
#line 132 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp5_ = ctx;
#line 132 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	gtk_style_context_add_class (_tmp5_, "album");
#line 133 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp6_ = ctx;
#line 133 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp7_ = cr;
#line 133 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp8_ = *x;
#line 133 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp9_ = *y;
#line 133 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp10_ = self->priv->pixbuf;
#line 133 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp11_ = gdk_pixbuf_get_width (_tmp10_);
#line 133 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp12_ = _tmp11_;
#line 133 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp13_ = self->priv->pixbuf;
#line 133 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp14_ = gdk_pixbuf_get_height (_tmp13_);
#line 133 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp15_ = _tmp14_;
#line 133 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	gtk_render_background (_tmp6_, _tmp7_, (gdouble) _tmp8_, (gdouble) _tmp9_, (gdouble) _tmp12_, (gdouble) _tmp15_);
#line 134 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp16_ = ctx;
#line 134 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp17_ = cr;
#line 134 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp18_ = self->priv->pixbuf;
#line 134 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp19_ = *x;
#line 134 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp20_ = *y;
#line 134 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	gtk_render_icon (_tmp16_, _tmp17_, _tmp18_, (gdouble) _tmp19_, (gdouble) _tmp20_);
#line 135 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp21_ = cr;
#line 135 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	cairo_fill_preserve (_tmp21_);
#line 136 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp22_ = ctx;
#line 136 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp23_ = cr;
#line 136 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp24_ = *x;
#line 136 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp25_ = self->priv->border;
#line 136 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp26_ = _tmp25_.left;
#line 136 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp27_ = *y;
#line 136 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp28_ = self->priv->border;
#line 136 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp29_ = _tmp28_.top;
#line 136 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp30_ = self->priv->pixbuf;
#line 136 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp31_ = gdk_pixbuf_get_width (_tmp30_);
#line 136 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp32_ = _tmp31_;
#line 136 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp33_ = self->priv->border;
#line 136 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp34_ = _tmp33_.left;
#line 136 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp35_ = self->priv->border;
#line 136 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp36_ = _tmp35_.right;
#line 136 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp37_ = self->priv->pixbuf;
#line 136 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp38_ = gdk_pixbuf_get_height (_tmp37_);
#line 136 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp39_ = _tmp38_;
#line 136 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp40_ = self->priv->border;
#line 136 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp41_ = _tmp40_.top;
#line 136 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp42_ = self->priv->border;
#line 136 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp43_ = _tmp42_.bottom;
#line 136 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	gtk_render_frame (_tmp22_, _tmp23_, (gdouble) (_tmp24_ - _tmp26_), (gdouble) (_tmp27_ - _tmp29_), (gdouble) ((_tmp32_ + _tmp34_) + _tmp36_), (gdouble) ((_tmp39_ + _tmp41_) + _tmp43_));
#line 137 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp44_ = ctx;
#line 137 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	gtk_style_context_restore (_tmp44_);
#line 139 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp45_ = *y;
#line 139 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	*y = _tmp45_ + image_height;
#line 142 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp46_ = *x;
#line 142 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp47_ = self->priv->pixbuf;
#line 142 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp48_ = gdk_pixbuf_get_width (_tmp47_);
#line 142 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp49_ = _tmp48_;
#line 142 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp50_ = self->priv->margin;
#line 142 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp51_ = _tmp50_.left;
#line 142 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	*x = _tmp46_ + (((image_width - _tmp49_) / 2) - _tmp51_);
#line 817 "TileRenderer.c"
}


static void noise_widgets_tile_renderer_render_title (NoiseWidgetsTileRenderer* self, GtkStyleContext* ctx, cairo_t* cr, gint x, gint* y, gint width) {
	GtkStyleContext* _tmp0_ = NULL;
	GtkStyleContext* _tmp1_ = NULL;
	GtkStyleContext* _tmp2_ = NULL;
	cairo_t* _tmp3_ = NULL;
	gint _tmp4_ = 0;
	gint _tmp5_ = 0;
	PangoLayout* _tmp6_ = NULL;
	GtkStyleContext* _tmp7_ = NULL;
	gint title_height = 0;
	PangoLayout* _tmp8_ = NULL;
	gint _tmp9_ = 0;
	gint _tmp10_ = 0;
#line 145 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	g_return_if_fail (self != NULL);
#line 145 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	g_return_if_fail (ctx != NULL);
#line 145 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	g_return_if_fail (cr != NULL);
#line 148 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp0_ = ctx;
#line 148 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	gtk_style_context_save (_tmp0_);
#line 149 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp1_ = ctx;
#line 149 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	gtk_style_context_add_class (_tmp1_, "h4");
#line 150 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp2_ = ctx;
#line 150 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp3_ = cr;
#line 150 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp4_ = x;
#line 150 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp5_ = *y;
#line 150 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp6_ = self->priv->title_text_layout;
#line 150 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	gtk_render_layout (_tmp2_, _tmp3_, (gdouble) _tmp4_, (gdouble) _tmp5_, _tmp6_);
#line 151 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp7_ = ctx;
#line 151 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	gtk_style_context_restore (_tmp7_);
#line 154 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp8_ = self->priv->title_text_layout;
#line 154 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	pango_layout_get_pixel_size (_tmp8_, NULL, &_tmp9_);
#line 154 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	title_height = _tmp9_;
#line 156 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp10_ = *y;
#line 156 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	*y = _tmp10_ + title_height;
#line 874 "TileRenderer.c"
}


static void noise_widgets_tile_renderer_render_subtitle (NoiseWidgetsTileRenderer* self, GtkStyleContext* ctx, cairo_t* cr, gint x, gint y, gint width) {
	GtkStyleContext* _tmp0_ = NULL;
	cairo_t* _tmp1_ = NULL;
	gint _tmp2_ = 0;
	gint _tmp3_ = 0;
	PangoLayout* _tmp4_ = NULL;
#line 159 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	g_return_if_fail (self != NULL);
#line 159 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	g_return_if_fail (ctx != NULL);
#line 159 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	g_return_if_fail (cr != NULL);
#line 162 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp0_ = ctx;
#line 162 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp1_ = cr;
#line 162 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp2_ = x;
#line 162 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp3_ = y;
#line 162 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp4_ = self->priv->subtitle_text_layout;
#line 162 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	gtk_render_layout (_tmp0_, _tmp1_, (gdouble) _tmp2_, (gdouble) _tmp3_, _tmp4_);
#line 902 "TileRenderer.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 166 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	return self ? g_object_ref (self) : NULL;
#line 909 "TileRenderer.c"
}


static void noise_widgets_tile_renderer_update_layout_properties (NoiseWidgetsTileRenderer* self, GtkWidget* widget) {
	GtkStyleContext* ctx = NULL;
	GtkWidget* _tmp0_ = NULL;
	GtkStyleContext* _tmp1_ = NULL;
	GtkStyleContext* _tmp2_ = NULL;
	GtkStyleContext* _tmp3_ = NULL;
	GtkStateFlags state = 0;
	GtkStyleContext* _tmp4_ = NULL;
	GtkStateFlags _tmp5_ = 0;
	GtkStyleContext* _tmp6_ = NULL;
	GtkStyleContext* _tmp7_ = NULL;
	GtkStyleContext* _tmp8_ = NULL;
	GtkStateFlags _tmp9_ = 0;
	GtkBorder _tmp10_ = {0};
	GtkStyleContext* _tmp11_ = NULL;
	GtkStateFlags _tmp12_ = 0;
	GtkBorder _tmp13_ = {0};
	GtkStyleContext* _tmp14_ = NULL;
	GtkStateFlags _tmp15_ = 0;
	GtkBorder _tmp16_ = {0};
	GtkStyleContext* _tmp17_ = NULL;
	GtkWidget* _tmp18_ = NULL;
	NoiseAlbum* _tmp19_ = NULL;
	gchar* _tmp20_ = NULL;
	gchar* _tmp21_ = NULL;
	PangoLayout* _tmp22_ = NULL;
	PangoFontDescription* font_description = NULL;
	GtkStyleContext* _tmp23_ = NULL;
	GtkStateFlags _tmp24_ = 0;
	PangoLayout* _tmp25_ = NULL;
	PangoFontDescription* _tmp26_ = NULL;
	PangoLayout* _tmp27_ = NULL;
	PangoLayout* _tmp28_ = NULL;
	gint _tmp29_ = 0;
	GdkPixbuf* _tmp30_ = NULL;
	gint text_width = 0;
	PangoLayout* _tmp34_ = NULL;
	GtkStyleContext* _tmp35_ = NULL;
	GtkStyleContext* _tmp36_ = NULL;
	GtkWidget* _tmp37_ = NULL;
	NoiseAlbum* _tmp38_ = NULL;
	gchar* _tmp39_ = NULL;
	gchar* _tmp40_ = NULL;
	PangoLayout* _tmp41_ = NULL;
	GtkStyleContext* _tmp42_ = NULL;
	GtkStateFlags _tmp43_ = 0;
	PangoLayout* _tmp44_ = NULL;
	PangoFontDescription* _tmp45_ = NULL;
	PangoLayout* _tmp46_ = NULL;
	PangoLayout* _tmp47_ = NULL;
	PangoLayout* _tmp48_ = NULL;
	GtkStyleContext* _tmp49_ = NULL;
#line 165 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	g_return_if_fail (self != NULL);
#line 165 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	g_return_if_fail (widget != NULL);
#line 166 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp0_ = widget;
#line 166 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp1_ = gtk_widget_get_style_context (_tmp0_);
#line 166 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp2_ = _g_object_ref0 (_tmp1_);
#line 166 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	ctx = _tmp2_;
#line 167 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp3_ = ctx;
#line 167 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	noise_widgets_tile_renderer_render_prixbuf (self, _tmp3_);
#line 168 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp4_ = ctx;
#line 168 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp5_ = gtk_style_context_get_state (_tmp4_);
#line 168 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	state = _tmp5_;
#line 170 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp6_ = ctx;
#line 170 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	gtk_style_context_save (_tmp6_);
#line 171 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp7_ = ctx;
#line 171 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	gtk_style_context_add_class (_tmp7_, "album");
#line 172 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp8_ = ctx;
#line 172 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp9_ = state;
#line 172 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	gtk_style_context_get_margin (_tmp8_, _tmp9_, &_tmp10_);
#line 172 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	self->priv->margin = _tmp10_;
#line 173 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp11_ = ctx;
#line 173 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp12_ = state;
#line 173 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	gtk_style_context_get_padding (_tmp11_, _tmp12_, &_tmp13_);
#line 173 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	self->priv->padding = _tmp13_;
#line 174 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp14_ = ctx;
#line 174 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp15_ = state;
#line 174 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	gtk_style_context_get_border (_tmp14_, _tmp15_, &_tmp16_);
#line 174 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	self->priv->border = _tmp16_;
#line 175 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp17_ = ctx;
#line 175 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	gtk_style_context_restore (_tmp17_);
#line 177 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp18_ = widget;
#line 177 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp19_ = self->priv->_album;
#line 177 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp20_ = noise_album_get_display_artist (_tmp19_);
#line 177 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp21_ = _tmp20_;
#line 177 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp22_ = gtk_widget_create_pango_layout (_tmp18_, _tmp21_);
#line 177 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_g_object_unref0 (self->priv->subtitle_text_layout);
#line 177 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	self->priv->subtitle_text_layout = _tmp22_;
#line 177 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_g_free0 (_tmp21_);
#line 179 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp23_ = ctx;
#line 179 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp24_ = state;
#line 179 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	gtk_style_context_get (_tmp23_, _tmp24_, GTK_STYLE_PROPERTY_FONT, &font_description, NULL);
#line 180 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp25_ = self->priv->subtitle_text_layout;
#line 180 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp26_ = font_description;
#line 180 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	pango_layout_set_font_description (_tmp25_, _tmp26_);
#line 181 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp27_ = self->priv->subtitle_text_layout;
#line 181 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	pango_layout_set_ellipsize (_tmp27_, PANGO_ELLIPSIZE_END);
#line 182 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp28_ = self->priv->subtitle_text_layout;
#line 182 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	pango_layout_set_alignment (_tmp28_, PANGO_ALIGN_LEFT);
#line 183 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp30_ = self->priv->pixbuf;
#line 183 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	if (_tmp30_ != NULL) {
#line 1063 "TileRenderer.c"
		GdkPixbuf* _tmp31_ = NULL;
		gint _tmp32_ = 0;
		gint _tmp33_ = 0;
#line 183 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		_tmp31_ = self->priv->pixbuf;
#line 183 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		_tmp32_ = gdk_pixbuf_get_width (_tmp31_);
#line 183 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		_tmp33_ = _tmp32_;
#line 183 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		_tmp29_ = _tmp33_ * PANGO_SCALE;
#line 1075 "TileRenderer.c"
	} else {
#line 183 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		_tmp29_ = 0;
#line 1079 "TileRenderer.c"
	}
#line 183 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	text_width = _tmp29_;
#line 184 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp34_ = self->priv->subtitle_text_layout;
#line 184 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	pango_layout_set_width (_tmp34_, text_width);
#line 186 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp35_ = ctx;
#line 186 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	gtk_style_context_save (_tmp35_);
#line 187 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp36_ = ctx;
#line 187 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	gtk_style_context_add_class (_tmp36_, "h4");
#line 188 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp37_ = widget;
#line 188 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp38_ = self->priv->_album;
#line 188 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp39_ = noise_album_get_display_name (_tmp38_);
#line 188 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp40_ = _tmp39_;
#line 188 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp41_ = gtk_widget_create_pango_layout (_tmp37_, _tmp40_);
#line 188 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_g_object_unref0 (self->priv->title_text_layout);
#line 188 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	self->priv->title_text_layout = _tmp41_;
#line 188 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_g_free0 (_tmp40_);
#line 189 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp42_ = ctx;
#line 189 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp43_ = state;
#line 189 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	gtk_style_context_get (_tmp42_, _tmp43_, GTK_STYLE_PROPERTY_FONT, &font_description, NULL);
#line 190 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp44_ = self->priv->title_text_layout;
#line 190 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp45_ = font_description;
#line 190 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	pango_layout_set_font_description (_tmp44_, _tmp45_);
#line 191 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp46_ = self->priv->title_text_layout;
#line 191 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	pango_layout_set_width (_tmp46_, text_width);
#line 192 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp47_ = self->priv->title_text_layout;
#line 192 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	pango_layout_set_ellipsize (_tmp47_, PANGO_ELLIPSIZE_END);
#line 193 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp48_ = self->priv->title_text_layout;
#line 193 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	pango_layout_set_alignment (_tmp48_, PANGO_ALIGN_LEFT);
#line 194 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp49_ = ctx;
#line 194 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	gtk_style_context_restore (_tmp49_);
#line 165 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_g_object_unref0 (ctx);
#line 1141 "TileRenderer.c"
}


static gint noise_widgets_tile_renderer_compute_total_image_width (NoiseWidgetsTileRenderer* self) {
	gint result = 0;
	gint _tmp0_ = 0;
	GdkPixbuf* _tmp1_ = NULL;
#line 197 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 198 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp1_ = self->priv->pixbuf;
#line 198 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	if (_tmp1_ != NULL) {
#line 1155 "TileRenderer.c"
		GdkPixbuf* _tmp2_ = NULL;
		gint _tmp3_ = 0;
		gint _tmp4_ = 0;
		GtkBorder _tmp5_ = {0};
		gint16 _tmp6_ = 0;
		GtkBorder _tmp7_ = {0};
		gint16 _tmp8_ = 0;
#line 198 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		_tmp2_ = self->priv->pixbuf;
#line 198 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		_tmp3_ = gdk_pixbuf_get_width (_tmp2_);
#line 198 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		_tmp4_ = _tmp3_;
#line 198 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		_tmp5_ = self->priv->margin;
#line 198 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		_tmp6_ = _tmp5_.left;
#line 198 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		_tmp7_ = self->priv->margin;
#line 198 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		_tmp8_ = _tmp7_.right;
#line 198 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		_tmp0_ = (_tmp4_ + _tmp6_) + _tmp8_;
#line 1179 "TileRenderer.c"
	} else {
#line 198 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		_tmp0_ = 0;
#line 1183 "TileRenderer.c"
	}
#line 198 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	result = _tmp0_;
#line 198 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	return result;
#line 1189 "TileRenderer.c"
}


static gint noise_widgets_tile_renderer_compute_total_image_height (NoiseWidgetsTileRenderer* self) {
	gint result = 0;
	gint _tmp0_ = 0;
	GdkPixbuf* _tmp1_ = NULL;
#line 201 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 202 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp1_ = self->priv->pixbuf;
#line 202 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	if (_tmp1_ != NULL) {
#line 1203 "TileRenderer.c"
		GdkPixbuf* _tmp2_ = NULL;
		gint _tmp3_ = 0;
		gint _tmp4_ = 0;
		GtkBorder _tmp5_ = {0};
		gint16 _tmp6_ = 0;
		GtkBorder _tmp7_ = {0};
		gint16 _tmp8_ = 0;
#line 202 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		_tmp2_ = self->priv->pixbuf;
#line 202 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		_tmp3_ = gdk_pixbuf_get_height (_tmp2_);
#line 202 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		_tmp4_ = _tmp3_;
#line 202 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		_tmp5_ = self->priv->margin;
#line 202 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		_tmp6_ = _tmp5_.top;
#line 202 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		_tmp7_ = self->priv->margin;
#line 202 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		_tmp8_ = _tmp7_.bottom;
#line 202 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		_tmp0_ = (_tmp4_ + _tmp6_) + _tmp8_;
#line 1227 "TileRenderer.c"
	} else {
#line 202 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		_tmp0_ = 0;
#line 1231 "TileRenderer.c"
	}
#line 202 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	result = _tmp0_;
#line 202 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	return result;
#line 1237 "TileRenderer.c"
}


static void noise_widgets_tile_renderer_render_prixbuf (NoiseWidgetsTileRenderer* self, GtkStyleContext* ctx) {
	gint scale = 0;
	GtkStyleContext* _tmp0_ = NULL;
	gint _tmp1_ = 0;
	gboolean _tmp2_ = FALSE;
	GdkPixbuf* _tmp3_ = NULL;
	NoiseAlbum* _tmp18_ = NULL;
	gint _tmp19_ = 0;
	GdkPixbuf* _tmp20_ = NULL;
	GdkPixbuf* _tmp21_ = NULL;
	GError * _inner_error_ = NULL;
#line 205 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	g_return_if_fail (self != NULL);
#line 205 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	g_return_if_fail (ctx != NULL);
#line 206 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp0_ = ctx;
#line 206 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp1_ = gtk_style_context_get_scale (_tmp0_);
#line 206 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	scale = _tmp1_;
#line 207 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp3_ = self->priv->fallback_pixbuf;
#line 207 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	if (_tmp3_ == NULL) {
#line 207 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		_tmp2_ = TRUE;
#line 1268 "TileRenderer.c"
	} else {
		gint _tmp4_ = 0;
		gint _tmp5_ = 0;
#line 207 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		_tmp4_ = self->priv->fallback_pixbuf_scale;
#line 207 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		_tmp5_ = scale;
#line 207 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		_tmp2_ = _tmp4_ != _tmp5_;
#line 1278 "TileRenderer.c"
	}
#line 207 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	if (_tmp2_) {
#line 1282 "TileRenderer.c"
		GtkIconInfo* icon_info = NULL;
		GtkIconTheme* _tmp6_ = NULL;
		GThemedIcon* _tmp7_ = NULL;
		GThemedIcon* _tmp8_ = NULL;
		gint _tmp9_ = 0;
		GtkIconInfo* _tmp10_ = NULL;
		GtkIconInfo* _tmp11_ = NULL;
#line 208 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		_tmp6_ = gtk_icon_theme_get_default ();
#line 208 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		_tmp7_ = (GThemedIcon*) g_themed_icon_new ("albumart");
#line 208 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		_tmp8_ = _tmp7_;
#line 208 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		_tmp9_ = scale;
#line 208 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		_tmp10_ = gtk_icon_theme_lookup_by_gicon_for_scale (_tmp6_, (GIcon*) _tmp8_, 128, _tmp9_, GTK_ICON_LOOKUP_GENERIC_FALLBACK);
#line 208 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		_tmp11_ = _tmp10_;
#line 208 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		_g_object_unref0 (_tmp8_);
#line 208 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		icon_info = _tmp11_;
#line 1306 "TileRenderer.c"
		{
			GdkPixbuf* _tmp12_ = NULL;
			GtkIconInfo* _tmp13_ = NULL;
			GdkPixbuf* _tmp14_ = NULL;
			GdkPixbuf* _tmp15_ = NULL;
#line 210 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
			_tmp13_ = icon_info;
#line 210 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
			_tmp14_ = gtk_icon_info_load_icon (_tmp13_, &_inner_error_);
#line 210 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
			_tmp12_ = _tmp14_;
#line 210 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1320 "TileRenderer.c"
				goto __catch70_g_error;
			}
#line 210 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
			_tmp15_ = _tmp12_;
#line 210 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
			_tmp12_ = NULL;
#line 210 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
			_g_object_unref0 (self->priv->fallback_pixbuf);
#line 210 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
			self->priv->fallback_pixbuf = _tmp15_;
#line 209 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
			_g_object_unref0 (_tmp12_);
#line 1333 "TileRenderer.c"
		}
		goto __finally70;
		__catch70_g_error:
		{
			GError* e = NULL;
			GError* _tmp16_ = NULL;
			const gchar* _tmp17_ = NULL;
#line 209 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
			e = _inner_error_;
#line 209 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
			_inner_error_ = NULL;
#line 212 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
			_tmp16_ = e;
#line 212 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
			_tmp17_ = _tmp16_->message;
#line 212 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
			g_critical ("TileRenderer.vala:212: %s", _tmp17_);
#line 209 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
			_g_error_free0 (e);
#line 1353 "TileRenderer.c"
		}
		__finally70:
#line 209 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 209 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
			_gtk_icon_info_free0 (icon_info);
#line 209 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 209 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
			g_clear_error (&_inner_error_);
#line 209 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
			return;
#line 1366 "TileRenderer.c"
		}
#line 207 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		_gtk_icon_info_free0 (icon_info);
#line 1370 "TileRenderer.c"
	}
#line 216 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp18_ = self->priv->_album;
#line 216 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp19_ = scale;
#line 216 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp20_ = noise_album_get_cached_cover_pixbuf (_tmp18_, _tmp19_);
#line 216 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_g_object_unref0 (self->priv->pixbuf);
#line 216 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	self->priv->pixbuf = _tmp20_;
#line 217 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp21_ = self->priv->pixbuf;
#line 217 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	if (_tmp21_ == NULL) {
#line 1386 "TileRenderer.c"
		GdkPixbuf* _tmp22_ = NULL;
		GdkPixbuf* _tmp23_ = NULL;
#line 218 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		_tmp22_ = self->priv->fallback_pixbuf;
#line 218 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		_tmp23_ = _g_object_ref0 (_tmp22_);
#line 218 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		_g_object_unref0 (self->priv->pixbuf);
#line 218 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		self->priv->pixbuf = _tmp23_;
#line 1397 "TileRenderer.c"
	}
}


NoiseAlbum* noise_widgets_tile_renderer_get_album (NoiseWidgetsTileRenderer* self) {
	NoiseAlbum* result;
	NoiseAlbum* _tmp0_ = NULL;
#line 28 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 28 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp0_ = self->priv->_album;
#line 28 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	result = _tmp0_;
#line 28 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	return result;
#line 1413 "TileRenderer.c"
}


void noise_widgets_tile_renderer_set_album (NoiseWidgetsTileRenderer* self, NoiseAlbum* value) {
	NoiseAlbum* _tmp0_ = NULL;
	NoiseAlbum* _tmp1_ = NULL;
#line 28 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	g_return_if_fail (self != NULL);
#line 28 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp0_ = value;
#line 28 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 28 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_g_object_unref0 (self->priv->_album);
#line 28 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	self->priv->_album = _tmp1_;
#line 28 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	g_object_notify ((GObject *) self, "album");
#line 1432 "TileRenderer.c"
}


static void noise_widgets_tile_renderer_class_init (NoiseWidgetsTileRendererClass * klass) {
#line 27 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	noise_widgets_tile_renderer_parent_class = g_type_class_peek_parent (klass);
#line 27 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	g_type_class_add_private (klass, sizeof (NoiseWidgetsTileRendererPrivate));
#line 27 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	((GtkCellRendererClass *) klass)->get_size = (void (*)(GtkCellRenderer*, GtkWidget*, GdkRectangle*, gint*, gint*, gint*, gint*)) noise_widgets_tile_renderer_real_get_size;
#line 27 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	((GtkCellRendererClass *) klass)->get_request_mode = (GtkSizeRequestMode (*)(GtkCellRenderer*)) noise_widgets_tile_renderer_real_get_request_mode;
#line 27 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	((GtkCellRendererClass *) klass)->get_preferred_width = (void (*)(GtkCellRenderer*, GtkWidget*, gint*, gint*)) noise_widgets_tile_renderer_real_get_preferred_width;
#line 27 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	((GtkCellRendererClass *) klass)->get_preferred_height_for_width = (void (*)(GtkCellRenderer*, GtkWidget*, gint, gint*, gint*)) noise_widgets_tile_renderer_real_get_preferred_height_for_width;
#line 27 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	((GtkCellRendererClass *) klass)->render = (void (*)(GtkCellRenderer*, cairo_t*, GtkWidget*, GdkRectangle*, GdkRectangle*, GtkCellRendererState)) noise_widgets_tile_renderer_real_render;
#line 27 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_noise_widgets_tile_renderer_get_property;
#line 27 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_noise_widgets_tile_renderer_set_property;
#line 27 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	G_OBJECT_CLASS (klass)->finalize = noise_widgets_tile_renderer_finalize;
#line 27 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_WIDGETS_TILE_RENDERER_ALBUM, g_param_spec_object ("album", "album", "album", NOISE_TYPE_ALBUM, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE | G_PARAM_WRITABLE));
#line 1459 "TileRenderer.c"
}


static void noise_widgets_tile_renderer_instance_init (NoiseWidgetsTileRenderer * self) {
#line 27 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	self->priv = NOISE_WIDGETS_TILE_RENDERER_GET_PRIVATE (self);
#line 37 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	self->priv->fallback_pixbuf_scale = 1;
#line 1468 "TileRenderer.c"
}


static void noise_widgets_tile_renderer_finalize (GObject* obj) {
	NoiseWidgetsTileRenderer * self;
#line 27 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NOISE_WIDGETS_TYPE_TILE_RENDERER, NoiseWidgetsTileRenderer);
#line 28 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_g_object_unref0 (self->priv->_album);
#line 30 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_g_object_unref0 (self->priv->title_text_layout);
#line 31 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_g_object_unref0 (self->priv->subtitle_text_layout);
#line 35 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_g_object_unref0 (self->priv->pixbuf);
#line 36 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	_g_object_unref0 (self->priv->fallback_pixbuf);
#line 27 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	G_OBJECT_CLASS (noise_widgets_tile_renderer_parent_class)->finalize (obj);
#line 1488 "TileRenderer.c"
}


GType noise_widgets_tile_renderer_get_type (void) {
	static volatile gsize noise_widgets_tile_renderer_type_id__volatile = 0;
	if (g_once_init_enter (&noise_widgets_tile_renderer_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NoiseWidgetsTileRendererClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) noise_widgets_tile_renderer_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NoiseWidgetsTileRenderer), 0, (GInstanceInitFunc) noise_widgets_tile_renderer_instance_init, NULL };
		GType noise_widgets_tile_renderer_type_id;
		noise_widgets_tile_renderer_type_id = g_type_register_static (gtk_cell_renderer_get_type (), "NoiseWidgetsTileRenderer", &g_define_type_info, 0);
		g_once_init_leave (&noise_widgets_tile_renderer_type_id__volatile, noise_widgets_tile_renderer_type_id);
	}
	return noise_widgets_tile_renderer_type_id__volatile;
}


static void _vala_noise_widgets_tile_renderer_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	NoiseWidgetsTileRenderer * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NOISE_WIDGETS_TYPE_TILE_RENDERER, NoiseWidgetsTileRenderer);
#line 27 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	switch (property_id) {
#line 27 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		case NOISE_WIDGETS_TILE_RENDERER_ALBUM:
#line 27 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		g_value_set_object (value, noise_widgets_tile_renderer_get_album (self));
#line 27 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		break;
#line 1515 "TileRenderer.c"
		default:
#line 27 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 27 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		break;
#line 1521 "TileRenderer.c"
	}
}


static void _vala_noise_widgets_tile_renderer_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	NoiseWidgetsTileRenderer * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NOISE_WIDGETS_TYPE_TILE_RENDERER, NoiseWidgetsTileRenderer);
#line 27 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
	switch (property_id) {
#line 27 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		case NOISE_WIDGETS_TILE_RENDERER_ALBUM:
#line 27 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		noise_widgets_tile_renderer_set_album (self, g_value_get_object (value));
#line 27 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		break;
#line 1537 "TileRenderer.c"
		default:
#line 27 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 27 "/builddir/build/BUILD/music-0.4.1/src/Widgets/FastView/TileView/TileRenderer.vala"
		break;
#line 1543 "TileRenderer.c"
	}
}



