/* PresetList.c generated by valac 0.34.9, the Vala compiler
 * generated from PresetList.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2012-2017 elementary LLC. (https://elementary.io)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Noise authors hereby grant permission for non-GPL compatible
 * GStreamer plugins to be used and distributed together with GStreamer
 * and Noise. This permission is above and beyond the permissions granted
 * by the GPL license by which Noise is covered. If you modify this code
 * you may extend this exception to your version of the code, but you are not
 * obligated to do so. If you do not wish to do so, delete this exception
 * statement from your version.
 *
 * Authored by: Scott Ringwelski <sgringwe@mtu.edu>
 */

#include <glib.h>
#include <glib-object.h>
#include <gtk/gtk.h>
#include <noise-core.h>
#include <stdlib.h>
#include <string.h>
#include <glib/gi18n-lib.h>
#include <pango/pango.h>
#include <gee.h>


#define NOISE_TYPE_PRESET_LIST (noise_preset_list_get_type ())
#define NOISE_PRESET_LIST(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_TYPE_PRESET_LIST, NoisePresetList))
#define NOISE_PRESET_LIST_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_TYPE_PRESET_LIST, NoisePresetListClass))
#define NOISE_IS_PRESET_LIST(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_TYPE_PRESET_LIST))
#define NOISE_IS_PRESET_LIST_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_TYPE_PRESET_LIST))
#define NOISE_PRESET_LIST_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_TYPE_PRESET_LIST, NoisePresetListClass))

typedef struct _NoisePresetList NoisePresetList;
typedef struct _NoisePresetListClass NoisePresetListClass;
typedef struct _NoisePresetListPrivate NoisePresetListPrivate;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))

struct _NoisePresetList {
	GtkComboBox parent_instance;
	NoisePresetListPrivate * priv;
	NoiseEqualizerPreset* last_selected_preset;
};

struct _NoisePresetListClass {
	GtkComboBoxClass parent_class;
	void (*listSelectionChange) (NoisePresetList* self);
};

struct _NoisePresetListPrivate {
	gint _ncustompresets;
	gboolean modifying_list;
	gboolean automatic_selected;
	GtkListStore* store;
};


static gpointer noise_preset_list_parent_class = NULL;
static gchar* noise_preset_list_AUTOMATIC_MODE;
static gchar* noise_preset_list_AUTOMATIC_MODE = NULL;
static gchar* noise_preset_list_DELETE_PRESET;
static gchar* noise_preset_list_DELETE_PRESET = NULL;

GType noise_preset_list_get_type (void) G_GNUC_CONST;
#define NOISE_PRESET_LIST_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NOISE_TYPE_PRESET_LIST, NoisePresetListPrivate))
enum  {
	NOISE_PRESET_LIST_DUMMY_PROPERTY,
	NOISE_PRESET_LIST_AUTOMATIC_CHOSEN
};
#define NOISE_PRESET_LIST_SEPARATOR_NAME "<separator_item_unique_name>"
NoisePresetList* noise_preset_list_new (void);
NoisePresetList* noise_preset_list_construct (GType object_type);
static void noise_preset_list_set_ncustompresets (NoisePresetList* self, gint value);
void noise_preset_list_buildUI (NoisePresetList* self);
static void noise_preset_list_clearList (NoisePresetList* self);
void noise_preset_list_addAutomaticMode (NoisePresetList* self);
static gboolean __lambda24_ (NoisePresetList* self, GtkTreeModel* model, GtkTreeIter* iter);
static gboolean ___lambda24__gtk_tree_view_row_separator_func (GtkTreeModel* model, GtkTreeIter* iter, gpointer self);
void noise_preset_list_listSelectionChange (NoisePresetList* self);
static void _noise_preset_list_listSelectionChange_gtk_combo_box_changed (GtkComboBox* _sender, gpointer self);
void noise_preset_list_addSeparator (NoisePresetList* self);
void noise_preset_list_addPreset (NoisePresetList* self, NoiseEqualizerPreset* ep);
static gint noise_preset_list_get_ncustompresets (NoisePresetList* self);
void noise_preset_list_removeCurrentPreset (NoisePresetList* self);
static void noise_preset_list_remove_separator_item (NoisePresetList* self, gint index);
void noise_preset_list_selectAutomaticPreset (NoisePresetList* self);
static void noise_preset_list_real_listSelectionChange (NoisePresetList* self);
static void noise_preset_list_add_delete_preset_option (NoisePresetList* self);
static void noise_preset_list_remove_delete_option (NoisePresetList* self);
void noise_preset_list_selectPreset (NoisePresetList* self, const gchar* preset_name);
NoiseEqualizerPreset* noise_preset_list_getSelectedPreset (NoisePresetList* self);
GeeCollection* noise_preset_list_getPresets (NoisePresetList* self);
gboolean noise_preset_list_get_automatic_chosen (NoisePresetList* self);
static void noise_preset_list_finalize (GObject* obj);
static void _vala_noise_preset_list_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec);
static void _vala_noise_preset_list_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec);


NoisePresetList* noise_preset_list_construct (GType object_type) {
	NoisePresetList * self = NULL;
	GtkListStore* _tmp0_ = NULL;
#line 55 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	self = (NoisePresetList*) g_object_new (object_type, NULL);
#line 56 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	noise_preset_list_set_ncustompresets (self, 0);
#line 57 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	self->priv->modifying_list = FALSE;
#line 58 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	self->priv->automatic_selected = FALSE;
#line 60 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp0_ = gtk_list_store_new (2, G_TYPE_OBJECT, G_TYPE_STRING, -1);
#line 60 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_g_object_unref0 (self->priv->store);
#line 60 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	self->priv->store = _tmp0_;
#line 62 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	noise_preset_list_buildUI (self);
#line 64 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	noise_preset_list_clearList (self);
#line 65 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	noise_preset_list_addAutomaticMode (self);
#line 55 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	return self;
#line 142 "PresetList.c"
}


NoisePresetList* noise_preset_list_new (void) {
#line 55 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	return noise_preset_list_construct (NOISE_TYPE_PRESET_LIST);
#line 149 "PresetList.c"
}


static gboolean __lambda24_ (NoisePresetList* self, GtkTreeModel* model, GtkTreeIter* iter) {
	gboolean result = FALSE;
	gchar* content = NULL;
	gchar* _tmp0_ = NULL;
	GtkTreeModel* _tmp1_ = NULL;
	GtkTreeIter _tmp2_ = {0};
	const gchar* _tmp3_ = NULL;
#line 72 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	g_return_val_if_fail (model != NULL, FALSE);
#line 72 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	g_return_val_if_fail (iter != NULL, FALSE);
#line 73 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp0_ = g_strdup ("");
#line 73 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	content = _tmp0_;
#line 74 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp1_ = model;
#line 74 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp2_ = *iter;
#line 74 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	gtk_tree_model_get (_tmp1_, &_tmp2_, 1, &content, -1);
#line 76 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp3_ = content;
#line 76 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	result = g_strcmp0 (_tmp3_, NOISE_PRESET_LIST_SEPARATOR_NAME) == 0;
#line 76 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_g_free0 (content);
#line 76 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	return result;
#line 182 "PresetList.c"
}


static gboolean ___lambda24__gtk_tree_view_row_separator_func (GtkTreeModel* model, GtkTreeIter* iter, gpointer self) {
	gboolean result;
	result = __lambda24_ ((NoisePresetList*) self, model, iter);
#line 72 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	return result;
#line 191 "PresetList.c"
}


static void _noise_preset_list_listSelectionChange_gtk_combo_box_changed (GtkComboBox* _sender, gpointer self) {
#line 84 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	noise_preset_list_listSelectionChange ((NoisePresetList*) self);
#line 198 "PresetList.c"
}


void noise_preset_list_buildUI (NoisePresetList* self) {
	GtkListStore* _tmp0_ = NULL;
	GtkCellRendererText* cell = NULL;
	GtkCellRendererText* _tmp1_ = NULL;
#line 68 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	g_return_if_fail (self != NULL);
#line 69 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp0_ = self->priv->store;
#line 69 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	gtk_combo_box_set_model ((GtkComboBox*) self, (GtkTreeModel*) _tmp0_);
#line 71 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	gtk_combo_box_set_id_column ((GtkComboBox*) self, 1);
#line 72 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	gtk_combo_box_set_row_separator_func ((GtkComboBox*) self, ___lambda24__gtk_tree_view_row_separator_func, g_object_ref (self), g_object_unref);
#line 79 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp1_ = (GtkCellRendererText*) gtk_cell_renderer_text_new ();
#line 79 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	g_object_ref_sink (_tmp1_);
#line 79 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	cell = _tmp1_;
#line 80 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	g_object_set (cell, "ellipsize", PANGO_ELLIPSIZE_END, NULL);
#line 81 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	gtk_cell_layout_pack_start ((GtkCellLayout*) self, (GtkCellRenderer*) cell, TRUE);
#line 82 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	gtk_cell_layout_add_attribute ((GtkCellLayout*) self, (GtkCellRenderer*) cell, "text", 1);
#line 84 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	g_signal_connect_object ((GtkComboBox*) self, "changed", (GCallback) _noise_preset_list_listSelectionChange_gtk_combo_box_changed, self, 0);
#line 86 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	gtk_widget_show_all ((GtkWidget*) self);
#line 68 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_g_object_unref0 (cell);
#line 234 "PresetList.c"
}


static void noise_preset_list_clearList (NoisePresetList* self) {
	GtkListStore* _tmp0_ = NULL;
#line 89 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	g_return_if_fail (self != NULL);
#line 90 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp0_ = self->priv->store;
#line 90 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	gtk_list_store_clear (_tmp0_);
#line 246 "PresetList.c"
}


void noise_preset_list_addAutomaticMode (NoisePresetList* self) {
	GtkTreeIter iter = {0};
	GtkListStore* _tmp0_ = NULL;
	GtkTreeIter _tmp1_ = {0};
	GtkListStore* _tmp2_ = NULL;
	GtkTreeIter _tmp3_ = {0};
	const gchar* _tmp4_ = NULL;
#line 93 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	g_return_if_fail (self != NULL);
#line 96 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp0_ = self->priv->store;
#line 96 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	gtk_list_store_append (_tmp0_, &_tmp1_);
#line 96 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	iter = _tmp1_;
#line 97 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp2_ = self->priv->store;
#line 97 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp3_ = iter;
#line 97 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp4_ = noise_preset_list_AUTOMATIC_MODE;
#line 97 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	gtk_list_store_set (_tmp2_, &_tmp3_, 0, NULL, 1, _tmp4_, -1);
#line 99 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	noise_preset_list_addSeparator (self);
#line 275 "PresetList.c"
}


void noise_preset_list_addSeparator (NoisePresetList* self) {
	GtkTreeIter iter = {0};
	GtkListStore* _tmp0_ = NULL;
	GtkTreeIter _tmp1_ = {0};
	GtkListStore* _tmp2_ = NULL;
	GtkTreeIter _tmp3_ = {0};
#line 102 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	g_return_if_fail (self != NULL);
#line 104 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp0_ = self->priv->store;
#line 104 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	gtk_list_store_append (_tmp0_, &_tmp1_);
#line 104 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	iter = _tmp1_;
#line 105 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp2_ = self->priv->store;
#line 105 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp3_ = iter;
#line 105 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	gtk_list_store_set (_tmp2_, &_tmp3_, 0, NULL, 1, NOISE_PRESET_LIST_SEPARATOR_NAME, -1);
#line 299 "PresetList.c"
}


void noise_preset_list_addPreset (NoisePresetList* self, NoiseEqualizerPreset* ep) {
	NoiseEqualizerPreset* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
	gboolean _tmp2_ = FALSE;
	GtkTreeIter iter = {0};
	GtkListStore* _tmp5_ = NULL;
	GtkTreeIter _tmp6_ = {0};
	GtkListStore* _tmp7_ = NULL;
	GtkTreeIter _tmp8_ = {0};
	NoiseEqualizerPreset* _tmp9_ = NULL;
	NoiseEqualizerPreset* _tmp10_ = NULL;
	const gchar* _tmp11_ = NULL;
	GtkTreeIter _tmp12_ = {0};
#line 108 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	g_return_if_fail (self != NULL);
#line 108 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	g_return_if_fail (ep != NULL);
#line 109 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	self->priv->modifying_list = TRUE;
#line 111 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp0_ = ep;
#line 111 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp1_ = noise_equalizer_preset_get_is_default (_tmp0_);
#line 111 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp2_ = _tmp1_;
#line 111 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	if (!_tmp2_) {
#line 330 "PresetList.c"
		gint _tmp3_ = 0;
		gint _tmp4_ = 0;
#line 113 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		_tmp3_ = self->priv->_ncustompresets;
#line 113 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		if (_tmp3_ < 1) {
#line 114 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
			noise_preset_list_addSeparator (self);
#line 339 "PresetList.c"
		}
#line 116 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		_tmp4_ = self->priv->_ncustompresets;
#line 116 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		noise_preset_list_set_ncustompresets (self, _tmp4_ + 1);
#line 345 "PresetList.c"
	}
#line 120 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp5_ = self->priv->store;
#line 120 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	gtk_list_store_append (_tmp5_, &_tmp6_);
#line 120 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	iter = _tmp6_;
#line 121 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp7_ = self->priv->store;
#line 121 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp8_ = iter;
#line 121 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp9_ = ep;
#line 121 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp10_ = ep;
#line 121 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp11_ = _tmp10_->name;
#line 121 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	gtk_list_store_set (_tmp7_, &_tmp8_, 0, _tmp9_, 1, _tmp11_, -1);
#line 123 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	self->priv->modifying_list = FALSE;
#line 124 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	self->priv->automatic_selected = FALSE;
#line 126 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp12_ = iter;
#line 126 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	gtk_combo_box_set_active_iter ((GtkComboBox*) self, &_tmp12_);
#line 373 "PresetList.c"
}


void noise_preset_list_removeCurrentPreset (NoisePresetList* self) {
	GtkTreeIter iter = {0};
	gint _tmp23_ = 0;
#line 129 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	g_return_if_fail (self != NULL);
#line 130 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	self->priv->modifying_list = TRUE;
#line 384 "PresetList.c"
	{
		gint i = 0;
#line 133 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		i = 0;
#line 389 "PresetList.c"
		{
			gboolean _tmp0_ = FALSE;
#line 133 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
			_tmp0_ = TRUE;
#line 133 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
			while (TRUE) {
#line 396 "PresetList.c"
				GtkListStore* _tmp2_ = NULL;
				gint _tmp3_ = 0;
				gchar* _tmp4_ = NULL;
				gchar* _tmp5_ = NULL;
				GtkTreeIter _tmp6_ = {0};
				gboolean _tmp7_ = FALSE;
				gboolean _tmp8_ = FALSE;
				GObject* o = NULL;
				GtkListStore* _tmp9_ = NULL;
				GtkTreeIter _tmp10_ = {0};
				gboolean _tmp11_ = FALSE;
				gboolean _tmp12_ = FALSE;
				GObject* _tmp13_ = NULL;
#line 133 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				if (!_tmp0_) {
#line 412 "PresetList.c"
					gint _tmp1_ = 0;
#line 133 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					_tmp1_ = i;
#line 133 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					i = _tmp1_ + 1;
#line 418 "PresetList.c"
				}
#line 133 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_tmp0_ = FALSE;
#line 133 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_tmp2_ = self->priv->store;
#line 133 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_tmp3_ = i;
#line 133 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_tmp4_ = g_strdup_printf ("%i", _tmp3_);
#line 133 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_tmp5_ = _tmp4_;
#line 133 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_tmp7_ = gtk_tree_model_get_iter_from_string ((GtkTreeModel*) _tmp2_, &_tmp6_, _tmp5_);
#line 133 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				iter = _tmp6_;
#line 133 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_tmp8_ = !_tmp7_;
#line 133 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_g_free0 (_tmp5_);
#line 133 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				if (_tmp8_) {
#line 133 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					break;
#line 442 "PresetList.c"
				}
#line 135 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_tmp9_ = self->priv->store;
#line 135 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_tmp10_ = iter;
#line 135 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				gtk_tree_model_get ((GtkTreeModel*) _tmp9_, &_tmp10_, 0, &o, -1);
#line 137 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_tmp13_ = o;
#line 137 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				if (_tmp13_ != NULL) {
#line 454 "PresetList.c"
					GObject* _tmp14_ = NULL;
#line 137 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					_tmp14_ = o;
#line 137 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					_tmp12_ = G_TYPE_CHECK_INSTANCE_TYPE (_tmp14_, NOISE_TYPE_EQUALIZER_PRESET);
#line 460 "PresetList.c"
				} else {
#line 137 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					_tmp12_ = FALSE;
#line 464 "PresetList.c"
				}
#line 137 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				if (_tmp12_) {
#line 468 "PresetList.c"
					GObject* _tmp15_ = NULL;
					NoiseEqualizerPreset* _tmp16_ = NULL;
#line 137 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					_tmp15_ = o;
#line 137 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					_tmp16_ = self->last_selected_preset;
#line 137 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					_tmp11_ = G_TYPE_CHECK_INSTANCE_CAST (_tmp15_, NOISE_TYPE_EQUALIZER_PRESET, NoiseEqualizerPreset) == _tmp16_;
#line 477 "PresetList.c"
				} else {
#line 137 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					_tmp11_ = FALSE;
#line 481 "PresetList.c"
				}
#line 137 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				if (_tmp11_) {
#line 485 "PresetList.c"
					GObject* _tmp17_ = NULL;
					gboolean _tmp18_ = FALSE;
					gboolean _tmp19_ = FALSE;
#line 138 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					_tmp17_ = o;
#line 138 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					_tmp18_ = noise_equalizer_preset_get_is_default (G_TYPE_CHECK_INSTANCE_CAST (_tmp17_, NOISE_TYPE_EQUALIZER_PRESET, NoiseEqualizerPreset));
#line 138 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					_tmp19_ = _tmp18_;
#line 138 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					if (!_tmp19_) {
#line 497 "PresetList.c"
						gint _tmp20_ = 0;
						GtkListStore* _tmp21_ = NULL;
						GtkTreeIter _tmp22_ = {0};
#line 139 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
						_tmp20_ = self->priv->_ncustompresets;
#line 139 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
						noise_preset_list_set_ncustompresets (self, _tmp20_ - 1);
#line 143 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
						_tmp21_ = self->priv->store;
#line 143 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
						_tmp22_ = iter;
#line 143 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
						gtk_list_store_remove (_tmp21_, &_tmp22_);
#line 145 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
						_g_object_unref0 (o);
#line 145 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
						break;
#line 515 "PresetList.c"
					}
				}
#line 133 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_g_object_unref0 (o);
#line 520 "PresetList.c"
			}
		}
	}
#line 151 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp23_ = self->priv->_ncustompresets;
#line 151 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	if (_tmp23_ < 1) {
#line 152 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		noise_preset_list_remove_separator_item (self, -1);
#line 530 "PresetList.c"
	}
#line 154 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	self->priv->modifying_list = FALSE;
#line 156 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	noise_preset_list_selectAutomaticPreset (self);
#line 536 "PresetList.c"
}


static gpointer _g_object_ref0 (gpointer self) {
#line 171 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	return self ? g_object_ref (self) : NULL;
#line 543 "PresetList.c"
}


static void noise_preset_list_real_listSelectionChange (NoisePresetList* self) {
	gboolean _tmp0_ = FALSE;
	GtkTreeIter it = {0};
	GtkTreeIter _tmp1_ = {0};
	GObject* o = NULL;
	GtkListStore* _tmp2_ = NULL;
	GtkTreeIter _tmp3_ = {0};
	gboolean _tmp4_ = FALSE;
	GObject* _tmp5_ = NULL;
	gchar* option = NULL;
	GtkListStore* _tmp15_ = NULL;
	GtkTreeIter _tmp16_ = {0};
	const gchar* _tmp17_ = NULL;
	const gchar* _tmp18_ = NULL;
#line 160 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp0_ = self->priv->modifying_list;
#line 160 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	if (_tmp0_) {
#line 161 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		return;
#line 567 "PresetList.c"
	}
#line 164 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	gtk_combo_box_get_active_iter ((GtkComboBox*) self, &_tmp1_);
#line 164 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	it = _tmp1_;
#line 167 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp2_ = self->priv->store;
#line 167 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp3_ = it;
#line 167 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	gtk_tree_model_get ((GtkTreeModel*) _tmp2_, &_tmp3_, 0, &o, -1);
#line 169 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp5_ = o;
#line 169 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	if (_tmp5_ != NULL) {
#line 583 "PresetList.c"
		GObject* _tmp6_ = NULL;
#line 169 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		_tmp6_ = o;
#line 169 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		_tmp4_ = G_TYPE_CHECK_INSTANCE_TYPE (_tmp6_, NOISE_TYPE_EQUALIZER_PRESET);
#line 589 "PresetList.c"
	} else {
#line 169 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		_tmp4_ = FALSE;
#line 593 "PresetList.c"
	}
#line 169 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	if (_tmp4_) {
#line 597 "PresetList.c"
		GObject* _tmp7_ = NULL;
		const gchar* _tmp8_ = NULL;
		GObject* _tmp9_ = NULL;
		NoiseEqualizerPreset* _tmp10_ = NULL;
		GObject* _tmp11_ = NULL;
		gboolean _tmp12_ = FALSE;
		gboolean _tmp13_ = FALSE;
		GObject* _tmp14_ = NULL;
#line 170 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		_tmp7_ = o;
#line 170 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		_tmp8_ = (G_TYPE_CHECK_INSTANCE_TYPE (_tmp7_, NOISE_TYPE_EQUALIZER_PRESET) ? ((NoiseEqualizerPreset*) _tmp7_) : NULL)->name;
#line 170 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		gtk_combo_box_set_title ((GtkComboBox*) self, _tmp8_);
#line 171 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		_tmp9_ = o;
#line 171 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		_tmp10_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_tmp9_, NOISE_TYPE_EQUALIZER_PRESET) ? ((NoiseEqualizerPreset*) _tmp9_) : NULL);
#line 171 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		_g_object_unref0 (self->last_selected_preset);
#line 171 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		self->last_selected_preset = _tmp10_;
#line 173 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		_tmp11_ = o;
#line 173 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		_tmp12_ = noise_equalizer_preset_get_is_default (G_TYPE_CHECK_INSTANCE_TYPE (_tmp11_, NOISE_TYPE_EQUALIZER_PRESET) ? ((NoiseEqualizerPreset*) _tmp11_) : NULL);
#line 173 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		_tmp13_ = _tmp12_;
#line 173 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		if (!_tmp13_) {
#line 174 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
			noise_preset_list_add_delete_preset_option (self);
#line 630 "PresetList.c"
		} else {
#line 176 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
			noise_preset_list_remove_delete_option (self);
#line 634 "PresetList.c"
		}
#line 178 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		self->priv->automatic_selected = FALSE;
#line 179 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		_tmp14_ = o;
#line 179 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		g_signal_emit_by_name (self, "preset-selected", G_TYPE_CHECK_INSTANCE_TYPE (_tmp14_, NOISE_TYPE_EQUALIZER_PRESET) ? ((NoiseEqualizerPreset*) _tmp14_) : NULL);
#line 180 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		_g_object_unref0 (o);
#line 180 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		return;
#line 646 "PresetList.c"
	}
#line 184 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp15_ = self->priv->store;
#line 184 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp16_ = it;
#line 184 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	gtk_tree_model_get ((GtkTreeModel*) _tmp15_, &_tmp16_, 1, &option, -1);
#line 186 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp17_ = option;
#line 186 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp18_ = noise_preset_list_AUTOMATIC_MODE;
#line 186 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	if (g_strcmp0 (_tmp17_, _tmp18_) == 0) {
#line 187 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		self->priv->automatic_selected = TRUE;
#line 188 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		noise_preset_list_remove_delete_option (self);
#line 189 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		g_signal_emit_by_name (self, "automatic-preset-chosen");
#line 666 "PresetList.c"
	} else {
		const gchar* _tmp19_ = NULL;
		const gchar* _tmp20_ = NULL;
#line 190 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		_tmp19_ = option;
#line 190 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		_tmp20_ = noise_preset_list_DELETE_PRESET;
#line 190 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		if (g_strcmp0 (_tmp19_, _tmp20_) == 0) {
#line 191 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
			g_signal_emit_by_name (self, "delete-preset-chosen");
#line 678 "PresetList.c"
		}
	}
#line 159 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_g_free0 (option);
#line 159 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_g_object_unref0 (o);
#line 685 "PresetList.c"
}


void noise_preset_list_listSelectionChange (NoisePresetList* self) {
#line 159 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	g_return_if_fail (self != NULL);
#line 159 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	NOISE_PRESET_LIST_GET_CLASS (self)->listSelectionChange (self);
#line 694 "PresetList.c"
}


void noise_preset_list_selectAutomaticPreset (NoisePresetList* self) {
#line 195 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	g_return_if_fail (self != NULL);
#line 196 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	self->priv->automatic_selected = TRUE;
#line 197 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	g_signal_emit_by_name (self, "automatic-preset-chosen");
#line 198 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	gtk_combo_box_set_active ((GtkComboBox*) self, 0);
#line 707 "PresetList.c"
}


void noise_preset_list_selectPreset (NoisePresetList* self, const gchar* preset_name) {
	gboolean _tmp0_ = FALSE;
	const gchar* _tmp1_ = NULL;
#line 201 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	g_return_if_fail (self != NULL);
#line 203 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp1_ = preset_name;
#line 203 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	if (_tmp1_ == NULL) {
#line 203 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		_tmp0_ = TRUE;
#line 722 "PresetList.c"
	} else {
		const gchar* _tmp2_ = NULL;
		gint _tmp3_ = 0;
		gint _tmp4_ = 0;
#line 203 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		_tmp2_ = preset_name;
#line 203 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		_tmp3_ = strlen (_tmp2_);
#line 203 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		_tmp4_ = _tmp3_;
#line 203 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		_tmp0_ = _tmp4_ < 1;
#line 735 "PresetList.c"
	}
#line 203 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	if (!_tmp0_) {
#line 739 "PresetList.c"
		GtkTreeIter iter = {0};
		{
			gint i = 0;
#line 205 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
			i = 0;
#line 745 "PresetList.c"
			{
				gboolean _tmp5_ = FALSE;
#line 205 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_tmp5_ = TRUE;
#line 205 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				while (TRUE) {
#line 752 "PresetList.c"
					GtkListStore* _tmp7_ = NULL;
					gint _tmp8_ = 0;
					gchar* _tmp9_ = NULL;
					gchar* _tmp10_ = NULL;
					GtkTreeIter _tmp11_ = {0};
					gboolean _tmp12_ = FALSE;
					gboolean _tmp13_ = FALSE;
					GObject* o = NULL;
					GtkListStore* _tmp14_ = NULL;
					GtkTreeIter _tmp15_ = {0};
					gboolean _tmp16_ = FALSE;
					gboolean _tmp17_ = FALSE;
					GObject* _tmp18_ = NULL;
#line 205 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					if (!_tmp5_) {
#line 768 "PresetList.c"
						gint _tmp6_ = 0;
#line 205 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
						_tmp6_ = i;
#line 205 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
						i = _tmp6_ + 1;
#line 774 "PresetList.c"
					}
#line 205 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					_tmp5_ = FALSE;
#line 205 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					_tmp7_ = self->priv->store;
#line 205 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					_tmp8_ = i;
#line 205 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					_tmp9_ = g_strdup_printf ("%i", _tmp8_);
#line 205 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					_tmp10_ = _tmp9_;
#line 205 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					_tmp12_ = gtk_tree_model_get_iter_from_string ((GtkTreeModel*) _tmp7_, &_tmp11_, _tmp10_);
#line 205 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					iter = _tmp11_;
#line 205 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					_tmp13_ = !_tmp12_;
#line 205 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					_g_free0 (_tmp10_);
#line 205 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					if (_tmp13_) {
#line 205 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
						break;
#line 798 "PresetList.c"
					}
#line 207 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					_tmp14_ = self->priv->store;
#line 207 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					_tmp15_ = iter;
#line 207 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					gtk_tree_model_get ((GtkTreeModel*) _tmp14_, &_tmp15_, 0, &o, -1);
#line 209 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					_tmp18_ = o;
#line 209 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					if (_tmp18_ != NULL) {
#line 810 "PresetList.c"
						GObject* _tmp19_ = NULL;
#line 209 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
						_tmp19_ = o;
#line 209 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
						_tmp17_ = G_TYPE_CHECK_INSTANCE_TYPE (_tmp19_, NOISE_TYPE_EQUALIZER_PRESET);
#line 816 "PresetList.c"
					} else {
#line 209 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
						_tmp17_ = FALSE;
#line 820 "PresetList.c"
					}
#line 209 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					if (_tmp17_) {
#line 824 "PresetList.c"
						GObject* _tmp20_ = NULL;
						const gchar* _tmp21_ = NULL;
						const gchar* _tmp22_ = NULL;
#line 209 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
						_tmp20_ = o;
#line 209 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
						_tmp21_ = (G_TYPE_CHECK_INSTANCE_TYPE (_tmp20_, NOISE_TYPE_EQUALIZER_PRESET) ? ((NoiseEqualizerPreset*) _tmp20_) : NULL)->name;
#line 209 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
						_tmp22_ = preset_name;
#line 209 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
						_tmp16_ = g_strcmp0 (_tmp21_, _tmp22_) == 0;
#line 836 "PresetList.c"
					} else {
#line 209 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
						_tmp16_ = FALSE;
#line 840 "PresetList.c"
					}
#line 209 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					if (_tmp16_) {
#line 844 "PresetList.c"
						GtkTreeIter _tmp23_ = {0};
						GObject* _tmp24_ = NULL;
#line 210 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
						_tmp23_ = iter;
#line 210 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
						gtk_combo_box_set_active_iter ((GtkComboBox*) self, &_tmp23_);
#line 211 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
						self->priv->automatic_selected = FALSE;
#line 212 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
						_tmp24_ = o;
#line 212 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
						g_signal_emit_by_name (self, "preset-selected", G_TYPE_CHECK_INSTANCE_TYPE (_tmp24_, NOISE_TYPE_EQUALIZER_PRESET) ? ((NoiseEqualizerPreset*) _tmp24_) : NULL);
#line 213 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
						_g_object_unref0 (o);
#line 213 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
						return;
#line 861 "PresetList.c"
					}
#line 205 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					_g_object_unref0 (o);
#line 865 "PresetList.c"
				}
			}
		}
	}
#line 218 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	noise_preset_list_selectAutomaticPreset (self);
#line 872 "PresetList.c"
}


NoiseEqualizerPreset* noise_preset_list_getSelectedPreset (NoisePresetList* self) {
	NoiseEqualizerPreset* result = NULL;
	GtkTreeIter it = {0};
	GtkTreeIter _tmp0_ = {0};
	GObject* o = NULL;
	GtkListStore* _tmp1_ = NULL;
	GtkTreeIter _tmp2_ = {0};
	gboolean _tmp3_ = FALSE;
	GObject* _tmp4_ = NULL;
#line 221 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 223 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	gtk_combo_box_get_active_iter ((GtkComboBox*) self, &_tmp0_);
#line 223 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	it = _tmp0_;
#line 226 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp1_ = self->priv->store;
#line 226 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp2_ = it;
#line 226 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	gtk_tree_model_get ((GtkTreeModel*) _tmp1_, &_tmp2_, 0, &o, -1);
#line 228 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp4_ = o;
#line 228 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	if (_tmp4_ != NULL) {
#line 901 "PresetList.c"
		GObject* _tmp5_ = NULL;
#line 228 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		_tmp5_ = o;
#line 228 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		_tmp3_ = G_TYPE_CHECK_INSTANCE_TYPE (_tmp5_, NOISE_TYPE_EQUALIZER_PRESET);
#line 907 "PresetList.c"
	} else {
#line 228 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		_tmp3_ = FALSE;
#line 911 "PresetList.c"
	}
#line 228 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	if (_tmp3_) {
#line 915 "PresetList.c"
		GObject* _tmp6_ = NULL;
		NoiseEqualizerPreset* _tmp7_ = NULL;
#line 229 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		_tmp6_ = o;
#line 229 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		_tmp7_ = _g_object_ref0 (G_TYPE_CHECK_INSTANCE_TYPE (_tmp6_, NOISE_TYPE_EQUALIZER_PRESET) ? ((NoiseEqualizerPreset*) _tmp6_) : NULL);
#line 229 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		result = _tmp7_;
#line 229 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		_g_object_unref0 (o);
#line 229 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		return result;
#line 928 "PresetList.c"
	} else {
#line 231 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		result = NULL;
#line 231 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		_g_object_unref0 (o);
#line 231 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		return result;
#line 936 "PresetList.c"
	}
#line 221 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_g_object_unref0 (o);
#line 940 "PresetList.c"
}


GeeCollection* noise_preset_list_getPresets (NoisePresetList* self) {
	GeeCollection* result = NULL;
	GeeLinkedList* rv = NULL;
	GeeLinkedList* _tmp0_ = NULL;
	GtkTreeIter iter = {0};
#line 234 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	g_return_val_if_fail (self != NULL, NULL);
#line 236 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp0_ = gee_linked_list_new (NOISE_TYPE_EQUALIZER_PRESET, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 236 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	rv = _tmp0_;
#line 955 "PresetList.c"
	{
		gint i = 0;
#line 239 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		i = 0;
#line 960 "PresetList.c"
		{
			gboolean _tmp1_ = FALSE;
#line 239 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
			_tmp1_ = TRUE;
#line 239 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
			while (TRUE) {
#line 967 "PresetList.c"
				GtkListStore* _tmp3_ = NULL;
				gint _tmp4_ = 0;
				gchar* _tmp5_ = NULL;
				gchar* _tmp6_ = NULL;
				GtkTreeIter _tmp7_ = {0};
				gboolean _tmp8_ = FALSE;
				gboolean _tmp9_ = FALSE;
				GObject* o = NULL;
				GtkListStore* _tmp10_ = NULL;
				GtkTreeIter _tmp11_ = {0};
				gboolean _tmp12_ = FALSE;
				GObject* _tmp13_ = NULL;
#line 239 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				if (!_tmp1_) {
#line 982 "PresetList.c"
					gint _tmp2_ = 0;
#line 239 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					_tmp2_ = i;
#line 239 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					i = _tmp2_ + 1;
#line 988 "PresetList.c"
				}
#line 239 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_tmp1_ = FALSE;
#line 239 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_tmp3_ = self->priv->store;
#line 239 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_tmp4_ = i;
#line 239 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_tmp5_ = g_strdup_printf ("%i", _tmp4_);
#line 239 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_tmp6_ = _tmp5_;
#line 239 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_tmp8_ = gtk_tree_model_get_iter_from_string ((GtkTreeModel*) _tmp3_, &_tmp7_, _tmp6_);
#line 239 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				iter = _tmp7_;
#line 239 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_tmp9_ = !_tmp8_;
#line 239 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_g_free0 (_tmp6_);
#line 239 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				if (_tmp9_) {
#line 239 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					break;
#line 1012 "PresetList.c"
				}
#line 241 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_tmp10_ = self->priv->store;
#line 241 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_tmp11_ = iter;
#line 241 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				gtk_tree_model_get ((GtkTreeModel*) _tmp10_, &_tmp11_, 0, &o, -1);
#line 243 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_tmp13_ = o;
#line 243 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				if (_tmp13_ != NULL) {
#line 1024 "PresetList.c"
					GObject* _tmp14_ = NULL;
#line 243 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					_tmp14_ = o;
#line 243 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					_tmp12_ = G_TYPE_CHECK_INSTANCE_TYPE (_tmp14_, NOISE_TYPE_EQUALIZER_PRESET);
#line 1030 "PresetList.c"
				} else {
#line 243 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					_tmp12_ = FALSE;
#line 1034 "PresetList.c"
				}
#line 243 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				if (_tmp12_) {
#line 1038 "PresetList.c"
					GeeLinkedList* _tmp15_ = NULL;
					GObject* _tmp16_ = NULL;
#line 244 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					_tmp15_ = rv;
#line 244 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					_tmp16_ = o;
#line 244 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					gee_abstract_collection_add ((GeeAbstractCollection*) _tmp15_, G_TYPE_CHECK_INSTANCE_TYPE (_tmp16_, NOISE_TYPE_EQUALIZER_PRESET) ? ((NoiseEqualizerPreset*) _tmp16_) : NULL);
#line 1047 "PresetList.c"
				}
#line 239 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_g_object_unref0 (o);
#line 1051 "PresetList.c"
			}
		}
	}
#line 247 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	result = (GeeCollection*) rv;
#line 247 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	return result;
#line 1059 "PresetList.c"
}


static void noise_preset_list_remove_delete_option (NoisePresetList* self) {
	GtkTreeIter iter = {0};
#line 250 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	g_return_if_fail (self != NULL);
#line 1067 "PresetList.c"
	{
		gint i = 0;
#line 252 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		i = 0;
#line 1072 "PresetList.c"
		{
			gboolean _tmp0_ = FALSE;
#line 252 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
			_tmp0_ = TRUE;
#line 252 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
			while (TRUE) {
#line 1079 "PresetList.c"
				GtkListStore* _tmp2_ = NULL;
				gint _tmp3_ = 0;
				gchar* _tmp4_ = NULL;
				gchar* _tmp5_ = NULL;
				GtkTreeIter _tmp6_ = {0};
				gboolean _tmp7_ = FALSE;
				gboolean _tmp8_ = FALSE;
				gchar* text = NULL;
				GtkListStore* _tmp9_ = NULL;
				GtkTreeIter _tmp10_ = {0};
				gboolean _tmp11_ = FALSE;
				const gchar* _tmp12_ = NULL;
#line 252 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				if (!_tmp0_) {
#line 1094 "PresetList.c"
					gint _tmp1_ = 0;
#line 252 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					_tmp1_ = i;
#line 252 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					i = _tmp1_ + 1;
#line 1100 "PresetList.c"
				}
#line 252 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_tmp0_ = FALSE;
#line 252 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_tmp2_ = self->priv->store;
#line 252 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_tmp3_ = i;
#line 252 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_tmp4_ = g_strdup_printf ("%i", _tmp3_);
#line 252 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_tmp5_ = _tmp4_;
#line 252 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_tmp7_ = gtk_tree_model_get_iter_from_string ((GtkTreeModel*) _tmp2_, &_tmp6_, _tmp5_);
#line 252 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				iter = _tmp6_;
#line 252 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_tmp8_ = !_tmp7_;
#line 252 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_g_free0 (_tmp5_);
#line 252 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				if (_tmp8_) {
#line 252 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					break;
#line 1124 "PresetList.c"
				}
#line 254 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_tmp9_ = self->priv->store;
#line 254 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_tmp10_ = iter;
#line 254 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				gtk_tree_model_get ((GtkTreeModel*) _tmp9_, &_tmp10_, 1, &text, -1);
#line 256 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_tmp12_ = text;
#line 256 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				if (_tmp12_ != NULL) {
#line 1136 "PresetList.c"
					const gchar* _tmp13_ = NULL;
					const gchar* _tmp14_ = NULL;
#line 256 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					_tmp13_ = text;
#line 256 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					_tmp14_ = noise_preset_list_DELETE_PRESET;
#line 256 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					_tmp11_ = g_strcmp0 (_tmp13_, _tmp14_) == 0;
#line 1145 "PresetList.c"
				} else {
#line 256 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					_tmp11_ = FALSE;
#line 1149 "PresetList.c"
				}
#line 256 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				if (_tmp11_) {
#line 1153 "PresetList.c"
					GtkListStore* _tmp15_ = NULL;
					GtkTreeIter _tmp16_ = {0};
#line 260 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					_tmp15_ = self->priv->store;
#line 260 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					_tmp16_ = iter;
#line 260 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					gtk_list_store_remove (_tmp15_, &_tmp16_);
#line 263 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					noise_preset_list_remove_separator_item (self, 1);
#line 1164 "PresetList.c"
				}
#line 252 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_g_free0 (text);
#line 1168 "PresetList.c"
			}
		}
	}
}


static void noise_preset_list_remove_separator_item (NoisePresetList* self, gint index) {
	gint count = 0;
	gint nitems = 0;
	GtkListStore* _tmp0_ = NULL;
	gint _tmp1_ = 0;
	GtkTreeIter iter = {0};
#line 268 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	g_return_if_fail (self != NULL);
#line 269 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	count = 0;
#line 269 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp0_ = self->priv->store;
#line 269 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp1_ = gtk_tree_model_iter_n_children ((GtkTreeModel*) _tmp0_, NULL);
#line 269 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	nitems = _tmp1_;
#line 1191 "PresetList.c"
	{
		gint i = 0;
		gint _tmp2_ = 0;
#line 272 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		_tmp2_ = nitems;
#line 272 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		i = _tmp2_ - 1;
#line 1199 "PresetList.c"
		{
			gboolean _tmp3_ = FALSE;
#line 272 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
			_tmp3_ = TRUE;
#line 272 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
			while (TRUE) {
#line 1206 "PresetList.c"
				GtkListStore* _tmp5_ = NULL;
				gint _tmp6_ = 0;
				gchar* _tmp7_ = NULL;
				gchar* _tmp8_ = NULL;
				GtkTreeIter _tmp9_ = {0};
				gboolean _tmp10_ = FALSE;
				gboolean _tmp11_ = FALSE;
				gint _tmp12_ = 0;
				gchar* text = NULL;
				GtkListStore* _tmp13_ = NULL;
				GtkTreeIter _tmp14_ = {0};
				gboolean _tmp15_ = FALSE;
				gboolean _tmp16_ = FALSE;
				gboolean _tmp17_ = FALSE;
				gint _tmp18_ = 0;
				gint _tmp19_ = 0;
				gint _tmp20_ = 0;
#line 272 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				if (!_tmp3_) {
#line 1226 "PresetList.c"
					gint _tmp4_ = 0;
#line 272 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					_tmp4_ = i;
#line 272 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					i = _tmp4_ - 1;
#line 1232 "PresetList.c"
				}
#line 272 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_tmp3_ = FALSE;
#line 272 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_tmp5_ = self->priv->store;
#line 272 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_tmp6_ = i;
#line 272 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_tmp7_ = g_strdup_printf ("%i", _tmp6_);
#line 272 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_tmp8_ = _tmp7_;
#line 272 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_tmp10_ = gtk_tree_model_get_iter_from_string ((GtkTreeModel*) _tmp5_, &_tmp9_, _tmp8_);
#line 272 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				iter = _tmp9_;
#line 272 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_tmp11_ = !_tmp10_;
#line 272 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_g_free0 (_tmp8_);
#line 272 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				if (_tmp11_) {
#line 272 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					break;
#line 1256 "PresetList.c"
				}
#line 273 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_tmp12_ = count;
#line 273 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				count = _tmp12_ + 1;
#line 275 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_tmp13_ = self->priv->store;
#line 275 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_tmp14_ = iter;
#line 275 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				gtk_tree_model_get ((GtkTreeModel*) _tmp13_, &_tmp14_, 1, &text, -1);
#line 277 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_tmp18_ = nitems;
#line 277 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_tmp19_ = index;
#line 277 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_tmp20_ = count;
#line 277 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				if ((_tmp18_ - _tmp19_) == _tmp20_) {
#line 277 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					_tmp17_ = TRUE;
#line 1278 "PresetList.c"
				} else {
					gint _tmp21_ = 0;
#line 277 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					_tmp21_ = index;
#line 277 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					_tmp17_ = _tmp21_ == -1;
#line 1285 "PresetList.c"
				}
#line 277 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				if (_tmp17_) {
#line 1289 "PresetList.c"
					const gchar* _tmp22_ = NULL;
#line 277 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					_tmp22_ = text;
#line 277 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					_tmp16_ = _tmp22_ != NULL;
#line 1295 "PresetList.c"
				} else {
#line 277 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					_tmp16_ = FALSE;
#line 1299 "PresetList.c"
				}
#line 277 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				if (_tmp16_) {
#line 1303 "PresetList.c"
					const gchar* _tmp23_ = NULL;
#line 277 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					_tmp23_ = text;
#line 277 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					_tmp15_ = g_strcmp0 (_tmp23_, NOISE_PRESET_LIST_SEPARATOR_NAME) == 0;
#line 1309 "PresetList.c"
				} else {
#line 277 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					_tmp15_ = FALSE;
#line 1313 "PresetList.c"
				}
#line 277 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				if (_tmp15_) {
#line 1317 "PresetList.c"
					GtkListStore* _tmp24_ = NULL;
					GtkTreeIter _tmp25_ = {0};
#line 281 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					_tmp24_ = self->priv->store;
#line 281 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					_tmp25_ = iter;
#line 281 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					gtk_list_store_remove (_tmp24_, &_tmp25_);
#line 283 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					_g_free0 (text);
#line 283 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					break;
#line 1330 "PresetList.c"
				}
#line 272 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_g_free0 (text);
#line 1334 "PresetList.c"
			}
		}
	}
}


static void noise_preset_list_add_delete_preset_option (NoisePresetList* self) {
	gboolean already_added = FALSE;
	GtkTreeIter last_iter = {0};
	GtkTreeIter new_iter = {0};
	gboolean _tmp21_ = FALSE;
	GtkListStore* _tmp22_ = NULL;
	GtkTreeIter _tmp23_ = {0};
	GtkTreeIter _tmp24_ = {0};
	GtkListStore* _tmp25_ = NULL;
	GtkTreeIter _tmp26_ = {0};
	const gchar* _tmp27_ = NULL;
	GtkTreeIter _tmp28_ = {0};
	GtkListStore* _tmp29_ = NULL;
	GtkTreeIter _tmp30_ = {0};
	GtkTreeIter _tmp31_ = {0};
	GtkListStore* _tmp32_ = NULL;
	GtkTreeIter _tmp33_ = {0};
#line 288 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	g_return_if_fail (self != NULL);
#line 289 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	already_added = FALSE;
#line 1362 "PresetList.c"
	{
		gint i = 0;
#line 292 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		i = 0;
#line 1367 "PresetList.c"
		{
			gboolean _tmp0_ = FALSE;
#line 292 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
			_tmp0_ = TRUE;
#line 292 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
			while (TRUE) {
#line 1374 "PresetList.c"
				GtkListStore* _tmp2_ = NULL;
				gint _tmp3_ = 0;
				gchar* _tmp4_ = NULL;
				gchar* _tmp5_ = NULL;
				GtkTreeIter _tmp6_ = {0};
				gboolean _tmp7_ = FALSE;
				gboolean _tmp8_ = FALSE;
				gchar* text = NULL;
				GtkListStore* _tmp9_ = NULL;
				GtkTreeIter _tmp10_ = {0};
				gboolean _tmp11_ = FALSE;
				const gchar* _tmp12_ = NULL;
#line 292 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				if (!_tmp0_) {
#line 1389 "PresetList.c"
					gint _tmp1_ = 0;
#line 292 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					_tmp1_ = i;
#line 292 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					i = _tmp1_ + 1;
#line 1395 "PresetList.c"
				}
#line 292 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_tmp0_ = FALSE;
#line 292 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_tmp2_ = self->priv->store;
#line 292 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_tmp3_ = i;
#line 292 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_tmp4_ = g_strdup_printf ("%i", _tmp3_);
#line 292 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_tmp5_ = _tmp4_;
#line 292 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_tmp7_ = gtk_tree_model_get_iter_from_string ((GtkTreeModel*) _tmp2_, &_tmp6_, _tmp5_);
#line 292 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				last_iter = _tmp6_;
#line 292 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_tmp8_ = !_tmp7_;
#line 292 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_g_free0 (_tmp5_);
#line 292 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				if (_tmp8_) {
#line 292 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					break;
#line 1419 "PresetList.c"
				}
#line 294 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_tmp9_ = self->priv->store;
#line 294 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_tmp10_ = last_iter;
#line 294 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				gtk_tree_model_get ((GtkTreeModel*) _tmp9_, &_tmp10_, 1, &text, -1);
#line 296 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_tmp12_ = text;
#line 296 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				if (_tmp12_ != NULL) {
#line 1431 "PresetList.c"
					const gchar* _tmp13_ = NULL;
#line 296 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					_tmp13_ = text;
#line 296 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					_tmp11_ = g_strcmp0 (_tmp13_, NOISE_PRESET_LIST_SEPARATOR_NAME) == 0;
#line 1437 "PresetList.c"
				} else {
#line 296 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					_tmp11_ = FALSE;
#line 1441 "PresetList.c"
				}
#line 296 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				if (_tmp11_) {
#line 1445 "PresetList.c"
					GtkTreeIter _tmp14_ = {0};
					GtkListStore* _tmp15_ = NULL;
					gboolean _tmp16_ = FALSE;
#line 297 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					_tmp14_ = last_iter;
#line 297 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					new_iter = _tmp14_;
#line 299 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					_tmp15_ = self->priv->store;
#line 299 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					_tmp16_ = gtk_tree_model_iter_next ((GtkTreeModel*) _tmp15_, &new_iter);
#line 299 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					if (_tmp16_) {
#line 1459 "PresetList.c"
						GtkListStore* _tmp17_ = NULL;
						GtkTreeIter _tmp18_ = {0};
						const gchar* _tmp19_ = NULL;
						const gchar* _tmp20_ = NULL;
#line 300 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
						_tmp17_ = self->priv->store;
#line 300 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
						_tmp18_ = new_iter;
#line 300 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
						gtk_tree_model_get ((GtkTreeModel*) _tmp17_, &_tmp18_, 1, &text, -1);
#line 301 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
						_tmp19_ = text;
#line 301 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
						_tmp20_ = noise_preset_list_DELETE_PRESET;
#line 301 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
						already_added = g_strcmp0 (_tmp19_, _tmp20_) == 0;
#line 1476 "PresetList.c"
					}
#line 304 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					_g_free0 (text);
#line 304 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
					break;
#line 1482 "PresetList.c"
				}
#line 292 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
				_g_free0 (text);
#line 1486 "PresetList.c"
			}
		}
	}
#line 308 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp21_ = already_added;
#line 308 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	if (_tmp21_) {
#line 309 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		return;
#line 1496 "PresetList.c"
	}
#line 312 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp22_ = self->priv->store;
#line 312 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp23_ = last_iter;
#line 312 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	gtk_list_store_insert_after (_tmp22_, &_tmp24_, &_tmp23_);
#line 312 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	new_iter = _tmp24_;
#line 313 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp25_ = self->priv->store;
#line 313 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp26_ = new_iter;
#line 313 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp27_ = noise_preset_list_DELETE_PRESET;
#line 313 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	gtk_list_store_set (_tmp25_, &_tmp26_, 0, NULL, 1, _tmp27_, -1);
#line 315 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp28_ = new_iter;
#line 315 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	last_iter = _tmp28_;
#line 318 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp29_ = self->priv->store;
#line 318 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp30_ = last_iter;
#line 318 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	gtk_list_store_insert_after (_tmp29_, &_tmp31_, &_tmp30_);
#line 318 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	new_iter = _tmp31_;
#line 319 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp32_ = self->priv->store;
#line 319 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp33_ = new_iter;
#line 319 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	gtk_list_store_set (_tmp32_, &_tmp33_, 0, NULL, 1, NOISE_PRESET_LIST_SEPARATOR_NAME, -1);
#line 1532 "PresetList.c"
}


gboolean noise_preset_list_get_automatic_chosen (NoisePresetList* self) {
	gboolean result;
	gboolean _tmp0_ = FALSE;
#line 35 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	g_return_val_if_fail (self != NULL, FALSE);
#line 36 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp0_ = self->priv->automatic_selected;
#line 36 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	result = _tmp0_;
#line 36 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	return result;
#line 1547 "PresetList.c"
}


static gint noise_preset_list_get_ncustompresets (NoisePresetList* self) {
	gint result;
	gint _tmp0_ = 0;
#line 42 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	g_return_val_if_fail (self != NULL, 0);
#line 42 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp0_ = self->priv->_ncustompresets;
#line 42 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	result = _tmp0_;
#line 42 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	return result;
#line 1562 "PresetList.c"
}


static void noise_preset_list_set_ncustompresets (NoisePresetList* self, gint value) {
	gint _tmp0_ = 0;
#line 42 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	g_return_if_fail (self != NULL);
#line 42 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp0_ = value;
#line 42 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	self->priv->_ncustompresets = _tmp0_;
#line 1574 "PresetList.c"
}


static void noise_preset_list_class_init (NoisePresetListClass * klass) {
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	noise_preset_list_parent_class = g_type_class_peek_parent (klass);
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	g_type_class_add_private (klass, sizeof (NoisePresetListPrivate));
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	((NoisePresetListClass *) klass)->listSelectionChange = (void (*)(NoisePresetList*)) noise_preset_list_real_listSelectionChange;
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	G_OBJECT_CLASS (klass)->get_property = _vala_noise_preset_list_get_property;
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	G_OBJECT_CLASS (klass)->set_property = _vala_noise_preset_list_set_property;
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	G_OBJECT_CLASS (klass)->finalize = noise_preset_list_finalize;
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	g_object_class_install_property (G_OBJECT_CLASS (klass), NOISE_PRESET_LIST_AUTOMATIC_CHOSEN, g_param_spec_boolean ("automatic-chosen", "automatic-chosen", "automatic-chosen", FALSE, G_PARAM_STATIC_NAME | G_PARAM_STATIC_NICK | G_PARAM_STATIC_BLURB | G_PARAM_READABLE));
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	g_signal_new ("preset_selected", NOISE_TYPE_PRESET_LIST, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__OBJECT, G_TYPE_NONE, 1, NOISE_TYPE_EQUALIZER_PRESET);
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	g_signal_new ("automatic_preset_chosen", NOISE_TYPE_PRESET_LIST, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	g_signal_new ("delete_preset_chosen", NOISE_TYPE_PRESET_LIST, G_SIGNAL_RUN_LAST, 0, NULL, NULL, g_cclosure_marshal_VOID__VOID, G_TYPE_NONE, 0);
#line 52 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp0_ = _ ("Automatic");
#line 52 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 52 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	noise_preset_list_AUTOMATIC_MODE = _tmp1_;
#line 53 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp2_ = _ ("Delete Current");
#line 53 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_tmp3_ = g_strdup (_tmp2_);
#line 53 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	noise_preset_list_DELETE_PRESET = _tmp3_;
#line 1615 "PresetList.c"
}


static void noise_preset_list_instance_init (NoisePresetList * self) {
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	self->priv = NOISE_PRESET_LIST_GET_PRIVATE (self);
#line 1622 "PresetList.c"
}


static void noise_preset_list_finalize (GObject* obj) {
	NoisePresetList * self;
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NOISE_TYPE_PRESET_LIST, NoisePresetList);
#line 40 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_g_object_unref0 (self->last_selected_preset);
#line 47 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	_g_object_unref0 (self->priv->store);
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	G_OBJECT_CLASS (noise_preset_list_parent_class)->finalize (obj);
#line 1636 "PresetList.c"
}


GType noise_preset_list_get_type (void) {
	static volatile gsize noise_preset_list_type_id__volatile = 0;
	if (g_once_init_enter (&noise_preset_list_type_id__volatile)) {
		static const GTypeInfo g_define_type_info = { sizeof (NoisePresetListClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) noise_preset_list_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NoisePresetList), 0, (GInstanceInitFunc) noise_preset_list_instance_init, NULL };
		GType noise_preset_list_type_id;
		noise_preset_list_type_id = g_type_register_static (gtk_combo_box_get_type (), "NoisePresetList", &g_define_type_info, 0);
		g_once_init_leave (&noise_preset_list_type_id__volatile, noise_preset_list_type_id);
	}
	return noise_preset_list_type_id__volatile;
}


static void _vala_noise_preset_list_get_property (GObject * object, guint property_id, GValue * value, GParamSpec * pspec) {
	NoisePresetList * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NOISE_TYPE_PRESET_LIST, NoisePresetList);
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	switch (property_id) {
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		case NOISE_PRESET_LIST_AUTOMATIC_CHOSEN:
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		g_value_set_boolean (value, noise_preset_list_get_automatic_chosen (self));
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		break;
#line 1663 "PresetList.c"
		default:
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		break;
#line 1669 "PresetList.c"
	}
}


static void _vala_noise_preset_list_set_property (GObject * object, guint property_id, const GValue * value, GParamSpec * pspec) {
	NoisePresetList * self;
	self = G_TYPE_CHECK_INSTANCE_CAST (object, NOISE_TYPE_PRESET_LIST, NoisePresetList);
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
	switch (property_id) {
#line 1679 "PresetList.c"
		default:
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		G_OBJECT_WARN_INVALID_PROPERTY_ID (object, property_id, pspec);
#line 29 "/builddir/build/BUILD/music-0.4.1/src/Widgets/PresetList.vala"
		break;
#line 1685 "PresetList.c"
	}
}



