/* AudioPlayerLibrary.c generated by valac 0.34.9, the Vala compiler
 * generated from AudioPlayerLibrary.vala, do not modify */

/* -*- Mode: vala; indent-tabs-mode: nil; tab-width: 4 -*-*/
/*-
 * Copyright (c) 2012-2017 elementary LLC. (https://elementary.io)
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * The Noise authors hereby grant permission for non-GPL compatible
 * GStreamer plugins to be used and distributed together with GStreamer
 * and Noise. This permission is above and beyond the permissions granted
 * by the GPL license by which Noise is covered. If you modify this code
 * you may extend this exception to your version of the code, but you are not
 * obligated to do so. If you do not wish to do so, delete this exception
 * statement from your version.
 *
 * Authored by: Corentin Noël <corentin@elementary.io>
 */

#include <glib.h>
#include <glib-object.h>
#include <noise-core.h>
#include <noise.h>
#include <gee.h>
#include <stdlib.h>
#include <string.h>
#include <gio/gio.h>
#include <float.h>
#include <math.h>
#include <glib/gi18n-lib.h>


#define NOISE_PLUGINS_TYPE_AUDIO_PLAYER_LIBRARY (noise_plugins_audio_player_library_get_type ())
#define NOISE_PLUGINS_AUDIO_PLAYER_LIBRARY(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_PLUGINS_TYPE_AUDIO_PLAYER_LIBRARY, NoisePluginsAudioPlayerLibrary))
#define NOISE_PLUGINS_AUDIO_PLAYER_LIBRARY_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_PLUGINS_TYPE_AUDIO_PLAYER_LIBRARY, NoisePluginsAudioPlayerLibraryClass))
#define NOISE_PLUGINS_IS_AUDIO_PLAYER_LIBRARY(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_PLUGINS_TYPE_AUDIO_PLAYER_LIBRARY))
#define NOISE_PLUGINS_IS_AUDIO_PLAYER_LIBRARY_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_PLUGINS_TYPE_AUDIO_PLAYER_LIBRARY))
#define NOISE_PLUGINS_AUDIO_PLAYER_LIBRARY_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_PLUGINS_TYPE_AUDIO_PLAYER_LIBRARY, NoisePluginsAudioPlayerLibraryClass))

typedef struct _NoisePluginsAudioPlayerLibrary NoisePluginsAudioPlayerLibrary;
typedef struct _NoisePluginsAudioPlayerLibraryClass NoisePluginsAudioPlayerLibraryClass;
typedef struct _NoisePluginsAudioPlayerLibraryPrivate NoisePluginsAudioPlayerLibraryPrivate;

#define NOISE_PLUGINS_TYPE_AUDIO_PLAYER_DEVICE (noise_plugins_audio_player_device_get_type ())
#define NOISE_PLUGINS_AUDIO_PLAYER_DEVICE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), NOISE_PLUGINS_TYPE_AUDIO_PLAYER_DEVICE, NoisePluginsAudioPlayerDevice))
#define NOISE_PLUGINS_AUDIO_PLAYER_DEVICE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), NOISE_PLUGINS_TYPE_AUDIO_PLAYER_DEVICE, NoisePluginsAudioPlayerDeviceClass))
#define NOISE_PLUGINS_IS_AUDIO_PLAYER_DEVICE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), NOISE_PLUGINS_TYPE_AUDIO_PLAYER_DEVICE))
#define NOISE_PLUGINS_IS_AUDIO_PLAYER_DEVICE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), NOISE_PLUGINS_TYPE_AUDIO_PLAYER_DEVICE))
#define NOISE_PLUGINS_AUDIO_PLAYER_DEVICE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), NOISE_PLUGINS_TYPE_AUDIO_PLAYER_DEVICE, NoisePluginsAudioPlayerDeviceClass))

typedef struct _NoisePluginsAudioPlayerDevice NoisePluginsAudioPlayerDevice;
typedef struct _NoisePluginsAudioPlayerDeviceClass NoisePluginsAudioPlayerDeviceClass;
#define _g_object_unref0(var) ((var == NULL) ? NULL : (var = (g_object_unref (var), NULL)))
#define _g_free0(var) (var = (g_free (var), NULL))
#define _g_regex_unref0(var) ((var == NULL) ? NULL : (var = (g_regex_unref (var), NULL)))
#define _g_error_free0(var) ((var == NULL) ? NULL : (var = (g_error_free (var), NULL)))
typedef struct _Block1Data Block1Data;

struct _NoisePluginsAudioPlayerLibrary {
	NoiseLibrary parent_instance;
	NoisePluginsAudioPlayerLibraryPrivate * priv;
	gint medias_rowid;
	gint playlists_rowid;
	gint smartplaylists_rowid;
	NoiseGStreamerTagger* tagger;
};

struct _NoisePluginsAudioPlayerLibraryClass {
	NoiseLibraryClass parent_class;
};

struct _NoisePluginsAudioPlayerLibraryPrivate {
	NoisePluginsAudioPlayerDevice* device;
	GeeLinkedList* medias;
	GRecMutex __lock_medias;
	GeeLinkedList* searched_medias;
	GRecMutex __lock_searched_medias;
	GeeLinkedList* playlists;
	gboolean operation_cancelled;
	gboolean is_doing_file_operations;
	gboolean queue_is_finished;
	GeeLinkedList* imported_files;
	gboolean is_initialized;
};

struct _Block1Data {
	int _ref_count_;
	NoisePluginsAudioPlayerLibrary* self;
	NoiseStaticPlaylist* p;
};


static gpointer noise_plugins_audio_player_library_parent_class = NULL;
static GType noise_plugins_audio_player_library_type_id = 0;

GType noise_plugins_audio_player_library_get_type (void) G_GNUC_CONST;
GType noise_plugins_audio_player_library_register_type (GTypeModule * module);
GType noise_plugins_audio_player_device_get_type (void) G_GNUC_CONST;
GType noise_plugins_audio_player_device_register_type (GTypeModule * module);
#define NOISE_PLUGINS_AUDIO_PLAYER_LIBRARY_GET_PRIVATE(o) (G_TYPE_INSTANCE_GET_PRIVATE ((o), NOISE_PLUGINS_TYPE_AUDIO_PLAYER_LIBRARY, NoisePluginsAudioPlayerLibraryPrivate))
enum  {
	NOISE_PLUGINS_AUDIO_PLAYER_LIBRARY_DUMMY_PROPERTY
};
NoisePluginsAudioPlayerLibrary* noise_plugins_audio_player_library_new (NoisePluginsAudioPlayerDevice* device);
NoisePluginsAudioPlayerLibrary* noise_plugins_audio_player_library_construct (GType object_type, NoisePluginsAudioPlayerDevice* device);
static void noise_plugins_audio_player_library_media_imported_from_tagger (NoisePluginsAudioPlayerLibrary* self, NoiseMedia* m);
static void _noise_plugins_audio_player_library_media_imported_from_tagger_noise_gstreamer_tagger_media_imported (NoiseGStreamerTagger* _sender, NoiseMedia* m, gpointer self);
static void noise_plugins_audio_player_library_import_error (NoisePluginsAudioPlayerLibrary* self, const gchar* file);
static void _noise_plugins_audio_player_library_import_error_noise_gstreamer_tagger_import_error (NoiseGStreamerTagger* _sender, const gchar* file_uri, GError* _error_, gpointer self);
void noise_plugins_audio_player_library_queue_finished (NoisePluginsAudioPlayerLibrary* self);
static void _noise_plugins_audio_player_library_queue_finished_noise_gstreamer_tagger_queue_finished (NoiseGStreamerTagger* _sender, gpointer self);
static void __lambda4_ (NoisePluginsAudioPlayerLibrary* self);
static void ___lambda4__noise_notification_manager_progress_canceled (NoiseNotificationManager* _sender, gpointer self);
static void noise_plugins_audio_player_library_real_initialize_library (NoiseLibrary* base);
static void noise_plugins_audio_player_library_real_add_files_to_library (NoiseLibrary* base, GeeCollection* files);
static GeeCollection* noise_plugins_audio_player_library_real_get_medias (NoiseLibrary* base);
static GeeCollection* noise_plugins_audio_player_library_real_get_playlists (NoiseLibrary* base);
static GeeCollection* noise_plugins_audio_player_library_real_get_smart_playlists (NoiseLibrary* base);
static void noise_plugins_audio_player_library_real_search_medias (NoiseLibrary* base, const gchar* search);
static GeeCollection* noise_plugins_audio_player_library_real_get_search_result (NoiseLibrary* base);
static void noise_plugins_audio_player_library_real_add_media (NoiseLibrary* base, NoiseMedia* m);
gchar* noise_plugins_audio_player_device_get_music_folder (NoisePluginsAudioPlayerDevice* self);
static void noise_plugins_audio_player_library_real_add_medias (NoiseLibrary* base, GeeCollection* list);
static gboolean _noise_libraries_manager_do_progress_notification_with_timeout_gsource_func (gpointer self);
static NoiseMedia* noise_plugins_audio_player_library_real_media_from_id (NoiseLibrary* base, gint64 id);
static GeeCollection* noise_plugins_audio_player_library_real_medias_from_ids (NoiseLibrary* base, GeeCollection* ids);
static GeeCollection* noise_plugins_audio_player_library_real_medias_from_uris (NoiseLibrary* base, GeeCollection* uris);
static NoiseMedia* noise_plugins_audio_player_library_real_find_media (NoiseLibrary* base, NoiseMedia* to_find);
static NoiseMedia* noise_plugins_audio_player_library_real_media_from_file (NoiseLibrary* base, GFile* file);
static NoiseMedia* noise_plugins_audio_player_library_real_media_from_uri (NoiseLibrary* base, const gchar* uri);
static void noise_plugins_audio_player_library_real_update_media (NoiseLibrary* base, NoiseMedia* s, gboolean updateMeta, gboolean record_time);
static void noise_plugins_audio_player_library_real_update_medias (NoiseLibrary* base, GeeCollection* updates, gboolean updateMeta, gboolean record_time);
static void noise_plugins_audio_player_library_real_remove_media (NoiseLibrary* base, NoiseMedia* m, gboolean trash);
static void noise_plugins_audio_player_library_real_remove_medias (NoiseLibrary* base, GeeCollection* list, gboolean trash);
static gboolean noise_plugins_audio_player_library_real_support_smart_playlists (NoiseLibrary* base);
static void noise_plugins_audio_player_library_real_add_smart_playlist (NoiseLibrary* base, NoiseSmartPlaylist* p);
static void noise_plugins_audio_player_library_real_remove_smart_playlist (NoiseLibrary* base, gint64 id);
static NoiseSmartPlaylist* noise_plugins_audio_player_library_real_smart_playlist_from_id (NoiseLibrary* base, gint64 id);
static NoiseSmartPlaylist* noise_plugins_audio_player_library_real_smart_playlist_from_name (NoiseLibrary* base, const gchar* name);
static gboolean noise_plugins_audio_player_library_real_support_playlists (NoiseLibrary* base);
static void noise_plugins_audio_player_library_real_add_playlist (NoiseLibrary* base, NoiseStaticPlaylist* p);
static Block1Data* block1_data_ref (Block1Data* _data1_);
static void block1_data_unref (void * _userdata_);
static void noise_plugins_audio_player_library_keep_playlist_synchronized (NoisePluginsAudioPlayerLibrary* self, NoiseStaticPlaylist* p);
static void __lambda5_ (Block1Data* _data1_);
static void ___lambda5__noise_playlist_media_added (NoisePlaylist* _sender, GeeCollection* media, gpointer self);
static void __lambda6_ (Block1Data* _data1_);
static void ___lambda6__noise_playlist_media_removed (NoisePlaylist* _sender, GeeCollection* media, gpointer self);
static void __lambda7_ (Block1Data* _data1_, const gchar* old_name);
static void noise_plugins_audio_player_library_remove_playlist_from_name (NoisePluginsAudioPlayerLibrary* self, const gchar* name);
static void ___lambda7__noise_playlist_updated (NoisePlaylist* _sender, const gchar* old_name, gpointer self);
static void noise_plugins_audio_player_library_real_remove_playlist (NoiseLibrary* base, gint64 id);
static NoiseStaticPlaylist* noise_plugins_audio_player_library_real_playlist_from_id (NoiseLibrary* base, gint64 id);
static NoiseStaticPlaylist* noise_plugins_audio_player_library_real_playlist_from_name (NoiseLibrary* base, const gchar* name);
static gboolean noise_plugins_audio_player_library_real_start_file_operations (NoiseLibrary* base, const gchar* message);
static gboolean noise_plugins_audio_player_library_real_doing_file_operations (NoiseLibrary* base);
static void noise_plugins_audio_player_library_real_finish_file_operations (NoiseLibrary* base);
static void noise_plugins_audio_player_library_finalize (GObject* obj);


static gpointer _g_object_ref0 (gpointer self) {
#line 47 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	return self ? g_object_ref (self) : NULL;
#line 177 "AudioPlayerLibrary.c"
}


static void _noise_plugins_audio_player_library_media_imported_from_tagger_noise_gstreamer_tagger_media_imported (NoiseGStreamerTagger* _sender, NoiseMedia* m, gpointer self) {
#line 55 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	noise_plugins_audio_player_library_media_imported_from_tagger ((NoisePluginsAudioPlayerLibrary*) self, m);
#line 184 "AudioPlayerLibrary.c"
}


static void _noise_plugins_audio_player_library_import_error_noise_gstreamer_tagger_import_error (NoiseGStreamerTagger* _sender, const gchar* file_uri, GError* _error_, gpointer self) {
#line 56 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	noise_plugins_audio_player_library_import_error ((NoisePluginsAudioPlayerLibrary*) self, file_uri);
#line 191 "AudioPlayerLibrary.c"
}


static void _noise_plugins_audio_player_library_queue_finished_noise_gstreamer_tagger_queue_finished (NoiseGStreamerTagger* _sender, gpointer self) {
#line 57 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	noise_plugins_audio_player_library_queue_finished ((NoisePluginsAudioPlayerLibrary*) self);
#line 198 "AudioPlayerLibrary.c"
}


static void __lambda4_ (NoisePluginsAudioPlayerLibrary* self) {
#line 58 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self->priv->operation_cancelled = TRUE;
#line 205 "AudioPlayerLibrary.c"
}


static void ___lambda4__noise_notification_manager_progress_canceled (NoiseNotificationManager* _sender, gpointer self) {
#line 58 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	__lambda4_ ((NoisePluginsAudioPlayerLibrary*) self);
#line 212 "AudioPlayerLibrary.c"
}


NoisePluginsAudioPlayerLibrary* noise_plugins_audio_player_library_construct (GType object_type, NoisePluginsAudioPlayerDevice* device) {
	NoisePluginsAudioPlayerLibrary * self = NULL;
	NoisePluginsAudioPlayerDevice* _tmp0_ = NULL;
	NoisePluginsAudioPlayerDevice* _tmp1_ = NULL;
	GeeLinkedList* _tmp2_ = NULL;
	GeeLinkedList* _tmp3_ = NULL;
	GeeLinkedList* _tmp4_ = NULL;
	GeeLinkedList* _tmp5_ = NULL;
	NoiseGStreamerTagger* _tmp6_ = NULL;
	NoiseGStreamerTagger* _tmp7_ = NULL;
	NoiseGStreamerTagger* _tmp8_ = NULL;
	NoiseGStreamerTagger* _tmp9_ = NULL;
	NoiseNotificationManager* _tmp10_ = NULL;
	NoiseNotificationManager* _tmp11_ = NULL;
#line 46 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_return_val_if_fail (device != NULL, NULL);
#line 46 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) noise_library_construct (object_type);
#line 47 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp0_ = device;
#line 47 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 47 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_object_unref0 (self->priv->device);
#line 47 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self->priv->device = _tmp1_;
#line 48 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp2_ = gee_linked_list_new (NOISE_TYPE_MEDIA, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 48 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_object_unref0 (self->priv->medias);
#line 48 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self->priv->medias = _tmp2_;
#line 49 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp3_ = gee_linked_list_new (NOISE_TYPE_MEDIA, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 49 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_object_unref0 (self->priv->searched_medias);
#line 49 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self->priv->searched_medias = _tmp3_;
#line 50 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp4_ = gee_linked_list_new (NOISE_TYPE_STATIC_PLAYLIST, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 50 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_object_unref0 (self->priv->playlists);
#line 50 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self->priv->playlists = _tmp4_;
#line 51 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp5_ = gee_linked_list_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, (GDestroyNotify) g_free, NULL, NULL, NULL);
#line 51 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_object_unref0 (self->priv->imported_files);
#line 51 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self->priv->imported_files = _tmp5_;
#line 53 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp6_ = noise_gstreamer_tagger_new (NULL);
#line 53 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_object_unref0 (self->tagger);
#line 53 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self->tagger = _tmp6_;
#line 55 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp7_ = self->tagger;
#line 55 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_signal_connect_object (_tmp7_, "media-imported", (GCallback) _noise_plugins_audio_player_library_media_imported_from_tagger_noise_gstreamer_tagger_media_imported, self, 0);
#line 56 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp8_ = self->tagger;
#line 56 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_signal_connect_object (_tmp8_, "import-error", (GCallback) _noise_plugins_audio_player_library_import_error_noise_gstreamer_tagger_import_error, self, 0);
#line 57 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp9_ = self->tagger;
#line 57 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_signal_connect_object (_tmp9_, "queue-finished", (GCallback) _noise_plugins_audio_player_library_queue_finished_noise_gstreamer_tagger_queue_finished, self, 0);
#line 58 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp10_ = noise_notification_manager_get_default ();
#line 58 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp11_ = _tmp10_;
#line 58 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_signal_connect_object (_tmp11_, "progress-canceled", (GCallback) ___lambda4__noise_notification_manager_progress_canceled, self, 0);
#line 58 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_object_unref0 (_tmp11_);
#line 46 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	return self;
#line 294 "AudioPlayerLibrary.c"
}


NoisePluginsAudioPlayerLibrary* noise_plugins_audio_player_library_new (NoisePluginsAudioPlayerDevice* device) {
#line 46 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	return noise_plugins_audio_player_library_construct (NOISE_PLUGINS_TYPE_AUDIO_PLAYER_LIBRARY, device);
#line 301 "AudioPlayerLibrary.c"
}


static void noise_plugins_audio_player_library_media_imported_from_tagger (NoisePluginsAudioPlayerLibrary* self, NoiseMedia* m) {
	NoiseMedia* _tmp0_ = NULL;
	GeeLinkedList* _tmp1_ = NULL;
	NoiseMedia* _tmp2_ = NULL;
	NoiseMedia* _tmp3_ = NULL;
	gint _tmp4_ = 0;
	gint _tmp5_ = 0;
	gboolean _tmp6_ = FALSE;
#line 61 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_return_if_fail (self != NULL);
#line 61 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_return_if_fail (m != NULL);
#line 62 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp0_ = m;
#line 62 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	noise_media_set_isTemporary (_tmp0_, TRUE);
#line 63 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp1_ = self->priv->medias;
#line 63 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp2_ = m;
#line 63 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp1_, _tmp2_);
#line 64 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp3_ = m;
#line 64 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp4_ = self->medias_rowid;
#line 64 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	noise_media_set_rowid (_tmp3_, (gint64) _tmp4_);
#line 65 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp5_ = self->medias_rowid;
#line 65 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self->medias_rowid = _tmp5_ + 1;
#line 66 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp6_ = self->priv->queue_is_finished;
#line 66 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	if (_tmp6_) {
#line 67 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		g_signal_emit_by_name ((NoiseLibrary*) self, "file-operations-done");
#line 343 "AudioPlayerLibrary.c"
	}
}


static void noise_plugins_audio_player_library_import_error (NoisePluginsAudioPlayerLibrary* self, const gchar* file) {
#line 70 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_return_if_fail (self != NULL);
#line 70 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_return_if_fail (file != NULL);
#line 353 "AudioPlayerLibrary.c"
}


void noise_plugins_audio_player_library_queue_finished (NoisePluginsAudioPlayerLibrary* self) {
	NoiseLibrariesManager* _tmp0_ = NULL;
	gboolean _tmp1_ = FALSE;
#line 73 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_return_if_fail (self != NULL);
#line 74 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self->priv->queue_is_finished = TRUE;
#line 75 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp0_ = noise_libraries_manager;
#line 75 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp0_->progress = (gdouble) 1;
#line 76 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp1_ = self->priv->is_initialized;
#line 76 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	if (_tmp1_ == FALSE) {
#line 372 "AudioPlayerLibrary.c"
		NoisePluginsAudioPlayerDevice* _tmp2_ = NULL;
		NoisePluginsAudioPlayerDevice* _tmp3_ = NULL;
#line 77 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		self->priv->is_initialized = TRUE;
#line 78 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp2_ = self->priv->device;
#line 78 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp3_ = self->priv->device;
#line 78 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		g_signal_emit_by_name ((NoiseDevice*) _tmp2_, "initialized", (NoiseDevice*) _tmp3_);
#line 79 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		noise_library_search_medias ((NoiseLibrary*) self, "");
#line 385 "AudioPlayerLibrary.c"
	}
}


static void noise_plugins_audio_player_library_real_initialize_library (NoiseLibrary* base) {
	NoisePluginsAudioPlayerLibrary * self;
#line 83 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 394 "AudioPlayerLibrary.c"
}


static void noise_plugins_audio_player_library_real_add_files_to_library (NoiseLibrary* base, GeeCollection* files) {
	NoisePluginsAudioPlayerLibrary * self;
#line 87 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 87 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_return_if_fail (files != NULL);
#line 404 "AudioPlayerLibrary.c"
}


static GeeCollection* noise_plugins_audio_player_library_real_get_medias (NoiseLibrary* base) {
	NoisePluginsAudioPlayerLibrary * self;
	GeeCollection* result = NULL;
	GeeLinkedList* _tmp0_ = NULL;
	GeeCollection* _tmp1_ = NULL;
#line 91 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 92 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp0_ = self->priv->medias;
#line 92 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp1_ = _g_object_ref0 ((GeeCollection*) _tmp0_);
#line 92 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	result = _tmp1_;
#line 92 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	return result;
#line 423 "AudioPlayerLibrary.c"
}


static GeeCollection* noise_plugins_audio_player_library_real_get_playlists (NoiseLibrary* base) {
	NoisePluginsAudioPlayerLibrary * self;
	GeeCollection* result = NULL;
	GeeLinkedList* _tmp0_ = NULL;
	GeeCollection* _tmp1_ = NULL;
#line 94 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 95 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp0_ = self->priv->playlists;
#line 95 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp1_ = _g_object_ref0 ((GeeCollection*) _tmp0_);
#line 95 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	result = _tmp1_;
#line 95 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	return result;
#line 442 "AudioPlayerLibrary.c"
}


static GeeCollection* noise_plugins_audio_player_library_real_get_smart_playlists (NoiseLibrary* base) {
	NoisePluginsAudioPlayerLibrary * self;
	GeeCollection* result = NULL;
	GeeLinkedList* _tmp0_ = NULL;
#line 97 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 98 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp0_ = gee_linked_list_new (NOISE_TYPE_SMART_PLAYLIST, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 98 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	result = (GeeCollection*) _tmp0_;
#line 98 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	return result;
#line 458 "AudioPlayerLibrary.c"
}


static void noise_plugins_audio_player_library_real_search_medias (NoiseLibrary* base, const gchar* search) {
	NoisePluginsAudioPlayerLibrary * self;
	GError * _inner_error_ = NULL;
#line 101 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 101 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_return_if_fail (search != NULL);
#line 469 "AudioPlayerLibrary.c"
	{
		GeeLinkedList* _tmp0_ = NULL;
#line 102 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp0_ = self->priv->searched_medias;
#line 102 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		g_rec_mutex_lock (&self->priv->__lock_searched_medias);
#line 476 "AudioPlayerLibrary.c"
		{
			GeeLinkedList* _tmp1_ = NULL;
			gboolean _tmp2_ = FALSE;
			const gchar* _tmp3_ = NULL;
			guint parsed_rating = 0U;
			gchar* parsed_search_string = NULL;
			const gchar* _tmp8_ = NULL;
			guint _tmp9_ = 0U;
			gchar* _tmp10_ = NULL;
			gboolean rating_search = FALSE;
			guint _tmp11_ = 0U;
#line 103 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp1_ = self->priv->searched_medias;
#line 103 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			gee_abstract_collection_clear ((GeeAbstractCollection*) _tmp1_);
#line 104 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp3_ = search;
#line 104 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			if (g_strcmp0 (_tmp3_, "") == 0) {
#line 104 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp2_ = TRUE;
#line 498 "AudioPlayerLibrary.c"
			} else {
				const gchar* _tmp4_ = NULL;
#line 104 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp4_ = search;
#line 104 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp2_ = _tmp4_ == NULL;
#line 505 "AudioPlayerLibrary.c"
			}
#line 104 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			if (_tmp2_) {
#line 509 "AudioPlayerLibrary.c"
				GeeLinkedList* _tmp5_ = NULL;
				GeeLinkedList* _tmp6_ = NULL;
#line 105 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp5_ = self->priv->searched_medias;
#line 105 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp6_ = self->priv->medias;
#line 105 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				gee_collection_add_all ((GeeCollection*) _tmp5_, (GeeCollection*) _tmp6_);
#line 106 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				g_signal_emit_by_name ((NoiseLibrary*) self, "search-finished");
#line 520 "AudioPlayerLibrary.c"
				{
					GeeLinkedList* _tmp7_ = NULL;
#line 102 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp7_ = self->priv->searched_medias;
#line 102 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					g_rec_mutex_unlock (&self->priv->__lock_searched_medias);
#line 527 "AudioPlayerLibrary.c"
				}
#line 107 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				return;
#line 531 "AudioPlayerLibrary.c"
			}
#line 112 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp8_ = search;
#line 112 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			noise_string_base_search_method (_tmp8_, &_tmp9_, &_tmp10_);
#line 112 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			parsed_rating = _tmp9_;
#line 112 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_g_free0 (parsed_search_string);
#line 112 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			parsed_search_string = _tmp10_;
#line 113 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp11_ = parsed_rating;
#line 113 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			rating_search = _tmp11_ > ((guint) 0);
#line 547 "AudioPlayerLibrary.c"
			{
				GeeLinkedList* _tmp12_ = NULL;
#line 115 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp12_ = self->priv->medias;
#line 115 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				g_rec_mutex_lock (&self->priv->__lock_medias);
#line 554 "AudioPlayerLibrary.c"
				{
					{
						GeeLinkedList* _m_list = NULL;
						GeeLinkedList* _tmp13_ = NULL;
						GeeLinkedList* _tmp14_ = NULL;
						gint _m_size = 0;
						GeeLinkedList* _tmp15_ = NULL;
						gint _tmp16_ = 0;
						gint _tmp17_ = 0;
						gint _m_index = 0;
#line 116 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp13_ = self->priv->medias;
#line 116 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp14_ = _g_object_ref0 (_tmp13_);
#line 116 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_m_list = _tmp14_;
#line 116 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp15_ = _m_list;
#line 116 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp16_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp15_);
#line 116 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp17_ = _tmp16_;
#line 116 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_m_size = _tmp17_;
#line 116 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_m_index = -1;
#line 116 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						while (TRUE) {
#line 583 "AudioPlayerLibrary.c"
							gint _tmp18_ = 0;
							gint _tmp19_ = 0;
							gint _tmp20_ = 0;
							NoiseMedia* m = NULL;
							GeeLinkedList* _tmp21_ = NULL;
							gint _tmp22_ = 0;
							gpointer _tmp23_ = NULL;
							gboolean _tmp24_ = FALSE;
#line 116 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
							_tmp18_ = _m_index;
#line 116 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
							_m_index = _tmp18_ + 1;
#line 116 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
							_tmp19_ = _m_index;
#line 116 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
							_tmp20_ = _m_size;
#line 116 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
							if (!(_tmp19_ < _tmp20_)) {
#line 116 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
								break;
#line 604 "AudioPlayerLibrary.c"
							}
#line 116 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
							_tmp21_ = _m_list;
#line 116 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
							_tmp22_ = _m_index;
#line 116 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
							_tmp23_ = gee_abstract_list_get ((GeeAbstractList*) _tmp21_, _tmp22_);
#line 116 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
							m = (NoiseMedia*) _tmp23_;
#line 117 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
							_tmp24_ = rating_search;
#line 117 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
							if (_tmp24_) {
#line 618 "AudioPlayerLibrary.c"
								NoiseMedia* _tmp25_ = NULL;
								guint _tmp26_ = 0U;
								guint _tmp27_ = 0U;
								guint _tmp28_ = 0U;
#line 118 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
								_tmp25_ = m;
#line 118 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
								_tmp26_ = noise_media_get_rating (_tmp25_);
#line 118 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
								_tmp27_ = _tmp26_;
#line 118 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
								_tmp28_ = parsed_rating;
#line 118 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
								if (_tmp27_ == _tmp28_) {
#line 633 "AudioPlayerLibrary.c"
									GeeLinkedList* _tmp29_ = NULL;
									NoiseMedia* _tmp30_ = NULL;
#line 119 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
									_tmp29_ = self->priv->searched_medias;
#line 119 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
									_tmp30_ = m;
#line 119 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
									gee_abstract_collection_add ((GeeAbstractCollection*) _tmp29_, _tmp30_);
#line 642 "AudioPlayerLibrary.c"
								}
							} else {
								NoiseMedia* _tmp31_ = NULL;
								const gchar* _tmp32_ = NULL;
								gboolean _tmp33_ = FALSE;
#line 120 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
								_tmp31_ = m;
#line 120 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
								_tmp32_ = parsed_search_string;
#line 120 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
								_tmp33_ = noise_search_match_string_to_media (_tmp31_, _tmp32_);
#line 120 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
								if (_tmp33_) {
#line 656 "AudioPlayerLibrary.c"
									GeeLinkedList* _tmp34_ = NULL;
									NoiseMedia* _tmp35_ = NULL;
#line 121 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
									_tmp34_ = self->priv->searched_medias;
#line 121 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
									_tmp35_ = m;
#line 121 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
									gee_abstract_collection_add ((GeeAbstractCollection*) _tmp34_, _tmp35_);
#line 665 "AudioPlayerLibrary.c"
								}
							}
#line 116 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
							_g_object_unref0 (m);
#line 670 "AudioPlayerLibrary.c"
						}
#line 116 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_g_object_unref0 (_m_list);
#line 674 "AudioPlayerLibrary.c"
					}
				}
				__finally6:
				{
					GeeLinkedList* _tmp36_ = NULL;
#line 115 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp36_ = self->priv->medias;
#line 115 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					g_rec_mutex_unlock (&self->priv->__lock_medias);
#line 684 "AudioPlayerLibrary.c"
				}
#line 115 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 115 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_g_free0 (parsed_search_string);
#line 115 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_g_free0 (parsed_search_string);
#line 692 "AudioPlayerLibrary.c"
					{
						GeeLinkedList* _tmp37_ = NULL;
#line 102 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp37_ = self->priv->searched_medias;
#line 102 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						g_rec_mutex_unlock (&self->priv->__lock_searched_medias);
#line 699 "AudioPlayerLibrary.c"
					}
#line 115 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 115 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					g_clear_error (&_inner_error_);
#line 115 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					return;
#line 707 "AudioPlayerLibrary.c"
				}
			}
#line 102 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_g_free0 (parsed_search_string);
#line 712 "AudioPlayerLibrary.c"
		}
		__finally5:
		{
			GeeLinkedList* _tmp38_ = NULL;
#line 102 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp38_ = self->priv->searched_medias;
#line 102 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			g_rec_mutex_unlock (&self->priv->__lock_searched_medias);
#line 721 "AudioPlayerLibrary.c"
		}
#line 102 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 102 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 102 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			g_clear_error (&_inner_error_);
#line 102 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			return;
#line 731 "AudioPlayerLibrary.c"
		}
	}
#line 126 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_signal_emit_by_name ((NoiseLibrary*) self, "search-finished");
#line 736 "AudioPlayerLibrary.c"
}


static GeeCollection* noise_plugins_audio_player_library_real_get_search_result (NoiseLibrary* base) {
	NoisePluginsAudioPlayerLibrary * self;
	GeeCollection* result = NULL;
	GeeLinkedList* _tmp0_ = NULL;
	GeeCollection* _tmp1_ = NULL;
#line 129 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 130 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp0_ = self->priv->searched_medias;
#line 130 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp1_ = _g_object_ref0 ((GeeCollection*) _tmp0_);
#line 130 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	result = _tmp1_;
#line 130 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	return result;
#line 755 "AudioPlayerLibrary.c"
}


static gchar* string_replace (const gchar* self, const gchar* old, const gchar* replacement) {
	gchar* result = NULL;
	GError * _inner_error_ = NULL;
#line 1388 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (self != NULL, NULL);
#line 1388 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (old != NULL, NULL);
#line 1388 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	g_return_val_if_fail (replacement != NULL, NULL);
#line 768 "AudioPlayerLibrary.c"
	{
		GRegex* regex = NULL;
		const gchar* _tmp0_ = NULL;
		gchar* _tmp1_ = NULL;
		gchar* _tmp2_ = NULL;
		GRegex* _tmp3_ = NULL;
		GRegex* _tmp4_ = NULL;
		gchar* _tmp5_ = NULL;
		GRegex* _tmp6_ = NULL;
		const gchar* _tmp7_ = NULL;
		gchar* _tmp8_ = NULL;
		gchar* _tmp9_ = NULL;
#line 1390 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp0_ = old;
#line 1390 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp1_ = g_regex_escape_string (_tmp0_, -1);
#line 1390 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp2_ = _tmp1_;
#line 1390 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp3_ = g_regex_new (_tmp2_, 0, 0, &_inner_error_);
#line 1390 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp4_ = _tmp3_;
#line 1390 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_g_free0 (_tmp2_);
#line 1390 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		regex = _tmp4_;
#line 1390 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1390 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 799 "AudioPlayerLibrary.c"
				goto __catch7_g_regex_error;
			}
#line 1390 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1390 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error_);
#line 1390 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			return NULL;
#line 808 "AudioPlayerLibrary.c"
		}
#line 1391 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp6_ = regex;
#line 1391 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp7_ = replacement;
#line 1391 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp8_ = g_regex_replace_literal (_tmp6_, self, (gssize) -1, 0, _tmp7_, 0, &_inner_error_);
#line 1391 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp5_ = _tmp8_;
#line 1391 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1391 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1391 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			if (_inner_error_->domain == G_REGEX_ERROR) {
#line 824 "AudioPlayerLibrary.c"
				goto __catch7_g_regex_error;
			}
#line 1391 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			_g_regex_unref0 (regex);
#line 1391 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			g_critical ("file %s: line %d: unexpected error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1391 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			g_clear_error (&_inner_error_);
#line 1391 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
			return NULL;
#line 835 "AudioPlayerLibrary.c"
		}
#line 1391 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp9_ = _tmp5_;
#line 1391 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_tmp5_ = NULL;
#line 1391 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		result = _tmp9_;
#line 1391 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_g_free0 (_tmp5_);
#line 1391 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_g_regex_unref0 (regex);
#line 1391 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		return result;
#line 849 "AudioPlayerLibrary.c"
	}
	goto __finally7;
	__catch7_g_regex_error:
	{
		GError* e = NULL;
#line 1389 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		e = _inner_error_;
#line 1389 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_inner_error_ = NULL;
#line 1393 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		g_assert_not_reached ();
#line 1389 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		_g_error_free0 (e);
#line 863 "AudioPlayerLibrary.c"
	}
	__finally7:
#line 1389 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1389 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 1389 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		g_clear_error (&_inner_error_);
#line 1389 "/usr/share/vala-0.34/vapi/glib-2.0.vapi"
		return NULL;
#line 874 "AudioPlayerLibrary.c"
	}
}


static void noise_plugins_audio_player_library_real_add_media (NoiseLibrary* base, NoiseMedia* m) {
	NoisePluginsAudioPlayerLibrary * self;
	NoiseMedia* _tmp0_ = NULL;
	gchar* current_operation = NULL;
	const gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
	NoiseMedia* _tmp4_ = NULL;
	const gchar* _tmp5_ = NULL;
	const gchar* _tmp6_ = NULL;
	const gchar* _tmp7_ = NULL;
	gchar* _tmp8_ = NULL;
	const gchar* _tmp9_ = NULL;
	NoiseMedia* _tmp10_ = NULL;
	const gchar* _tmp11_ = NULL;
	const gchar* _tmp12_ = NULL;
	const gchar* _tmp13_ = NULL;
	gchar* _tmp14_ = NULL;
	gchar* _tmp15_ = NULL;
	NoisePluginsAudioPlayerDevice* _tmp16_ = NULL;
	gchar* _tmp17_ = NULL;
	NoiseLibrariesManager* _tmp19_ = NULL;
	const gchar* _tmp20_ = NULL;
	gchar* _tmp21_ = NULL;
	NoiseMedia* _tmp22_ = NULL;
	const gchar* _tmp23_ = NULL;
	const gchar* _tmp24_ = NULL;
	NoiseMedia* _tmp25_ = NULL;
	const gchar* _tmp26_ = NULL;
	const gchar* _tmp27_ = NULL;
	GFile* file = NULL;
	NoiseMedia* _tmp28_ = NULL;
	gchar* _tmp29_ = NULL;
	gchar* _tmp30_ = NULL;
	gchar* _tmp31_ = NULL;
	GFile* _tmp32_ = NULL;
	GFile* _tmp33_ = NULL;
	GFile* destination_file = NULL;
	NoisePluginsAudioPlayerDevice* _tmp34_ = NULL;
	gchar* _tmp35_ = NULL;
	gchar* _tmp36_ = NULL;
	GFile* _tmp37_ = NULL;
	gchar* _tmp38_ = NULL;
	gchar* _tmp39_ = NULL;
	gchar* _tmp40_ = NULL;
	gchar* _tmp41_ = NULL;
	GFile* _tmp42_ = NULL;
	GFile* _tmp43_ = NULL;
	GeeLinkedList* _tmp51_ = NULL;
	GFile* _tmp52_ = NULL;
	gchar* _tmp53_ = NULL;
	gchar* _tmp54_ = NULL;
	GError * _inner_error_ = NULL;
#line 133 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 133 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_return_if_fail (m != NULL);
#line 134 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp0_ = m;
#line 134 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	if (_tmp0_ == NULL) {
#line 135 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		return;
#line 942 "AudioPlayerLibrary.c"
	}
#line 137 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp1_ = _ ("Adding <b>$NAME</b> by <b>$ARTIST</b> to $DEVICE");
#line 137 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp2_ = g_strdup (_tmp1_);
#line 137 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	current_operation = _tmp2_;
#line 138 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp4_ = m;
#line 138 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp5_ = noise_media_get_title (_tmp4_);
#line 138 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp6_ = _tmp5_;
#line 138 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp3_ = _tmp6_;
#line 138 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	if (_tmp3_ == NULL) {
#line 138 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp3_ = "";
#line 962 "AudioPlayerLibrary.c"
	}
#line 138 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp7_ = current_operation;
#line 138 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp8_ = string_replace (_tmp7_, "$NAME", _tmp3_);
#line 138 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (current_operation);
#line 138 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	current_operation = _tmp8_;
#line 139 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp10_ = m;
#line 139 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp11_ = noise_media_get_artist (_tmp10_);
#line 139 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp12_ = _tmp11_;
#line 139 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp9_ = _tmp12_;
#line 139 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	if (_tmp9_ == NULL) {
#line 139 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp9_ = "";
#line 984 "AudioPlayerLibrary.c"
	}
#line 139 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp13_ = current_operation;
#line 139 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp14_ = string_replace (_tmp13_, "$ARTIST", _tmp9_);
#line 139 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (current_operation);
#line 139 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	current_operation = _tmp14_;
#line 140 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp16_ = self->priv->device;
#line 140 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp17_ = noise_device_getDisplayName ((NoiseDevice*) _tmp16_);
#line 140 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp15_ = _tmp17_;
#line 140 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	if (_tmp15_ == NULL) {
#line 1002 "AudioPlayerLibrary.c"
		gchar* _tmp18_ = NULL;
#line 140 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp18_ = g_strdup ("");
#line 140 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_free0 (_tmp15_);
#line 140 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp15_ = _tmp18_;
#line 1010 "AudioPlayerLibrary.c"
	}
#line 140 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp19_ = noise_libraries_manager;
#line 140 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp20_ = current_operation;
#line 140 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp21_ = string_replace (_tmp20_, "$DEVICE", _tmp15_);
#line 140 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (_tmp19_->current_operation);
#line 140 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp19_->current_operation = _tmp21_;
#line 141 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp22_ = m;
#line 141 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp23_ = noise_media_get_title (_tmp22_);
#line 141 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp24_ = _tmp23_;
#line 141 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp25_ = m;
#line 141 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp26_ = noise_media_get_artist (_tmp25_);
#line 141 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp27_ = _tmp26_;
#line 141 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_debug ("AudioPlayerLibrary.vala:141: Adding media %s by %s\n", _tmp24_, _tmp27_);
#line 143 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp28_ = m;
#line 143 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp29_ = noise_media_get_uri (_tmp28_);
#line 143 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp30_ = _tmp29_;
#line 143 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp31_ = _tmp30_;
#line 143 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp32_ = g_file_new_for_uri (_tmp31_);
#line 143 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp33_ = _tmp32_;
#line 143 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (_tmp31_);
#line 143 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	file = _tmp33_;
#line 144 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp34_ = self->priv->device;
#line 144 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp35_ = noise_plugins_audio_player_device_get_music_folder (_tmp34_);
#line 144 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp36_ = _tmp35_;
#line 144 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp37_ = file;
#line 144 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp38_ = g_file_get_basename (_tmp37_);
#line 144 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp39_ = _tmp38_;
#line 144 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp40_ = g_strconcat (_tmp36_, _tmp39_, NULL);
#line 144 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp41_ = _tmp40_;
#line 144 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp42_ = g_file_new_for_uri (_tmp41_);
#line 144 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp43_ = _tmp42_;
#line 144 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (_tmp41_);
#line 144 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (_tmp39_);
#line 144 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (_tmp36_);
#line 144 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	destination_file = _tmp43_;
#line 1080 "AudioPlayerLibrary.c"
	{
		GFile* _tmp44_ = NULL;
		GFile* _tmp45_ = NULL;
#line 147 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp44_ = file;
#line 147 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp45_ = destination_file;
#line 147 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		g_file_copy (_tmp44_, _tmp45_, G_FILE_COPY_ALL_METADATA, NULL, NULL, NULL, &_inner_error_);
#line 147 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 1092 "AudioPlayerLibrary.c"
			goto __catch8_g_error;
		}
	}
	goto __finally8;
	__catch8_g_error:
	{
		GError* err = NULL;
		NoiseMedia* _tmp46_ = NULL;
		const gchar* _tmp47_ = NULL;
		const gchar* _tmp48_ = NULL;
		GError* _tmp49_ = NULL;
		const gchar* _tmp50_ = NULL;
#line 146 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		err = _inner_error_;
#line 146 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_inner_error_ = NULL;
#line 149 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp46_ = m;
#line 149 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp47_ = noise_media_get_title (_tmp46_);
#line 149 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp48_ = _tmp47_;
#line 149 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp49_ = err;
#line 149 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp50_ = _tmp49_->message;
#line 149 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		g_warning ("AudioPlayerLibrary.vala:149: Failed to copy track %s : %s\n", _tmp48_, _tmp50_);
#line 150 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_error_free0 (err);
#line 150 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_object_unref0 (destination_file);
#line 150 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_object_unref0 (file);
#line 150 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_free0 (_tmp15_);
#line 150 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_free0 (current_operation);
#line 150 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		return;
#line 1133 "AudioPlayerLibrary.c"
	}
	__finally8:
#line 146 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 146 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_object_unref0 (destination_file);
#line 146 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_object_unref0 (file);
#line 146 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_free0 (_tmp15_);
#line 146 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_free0 (current_operation);
#line 146 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 146 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		g_clear_error (&_inner_error_);
#line 146 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		return;
#line 1152 "AudioPlayerLibrary.c"
	}
#line 152 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp51_ = self->priv->imported_files;
#line 152 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp52_ = destination_file;
#line 152 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp53_ = g_file_get_uri (_tmp52_);
#line 152 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp54_ = _tmp53_;
#line 152 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp51_, _tmp54_);
#line 152 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (_tmp54_);
#line 133 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_object_unref0 (destination_file);
#line 133 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_object_unref0 (file);
#line 133 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (_tmp15_);
#line 133 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (current_operation);
#line 1174 "AudioPlayerLibrary.c"
}


static gboolean _noise_libraries_manager_do_progress_notification_with_timeout_gsource_func (gpointer self) {
	gboolean result;
	result = noise_libraries_manager_do_progress_notification_with_timeout ((NoiseLibrariesManager*) self);
#line 164 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	return result;
#line 1183 "AudioPlayerLibrary.c"
}


static void noise_plugins_audio_player_library_real_add_medias (NoiseLibrary* base, GeeCollection* list) {
	NoisePluginsAudioPlayerLibrary * self;
	gboolean _tmp0_ = FALSE;
	NoiseLibrariesManager* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	NoisePluginsAudioPlayerDevice* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	gchar* _tmp5_ = NULL;
	gchar* _tmp6_ = NULL;
	NoiseLibrariesManager* _tmp7_ = NULL;
	gint sub_index = 0;
	GeeLinkedList* medias_to_sync = NULL;
	GeeLinkedList* _tmp8_ = NULL;
	GeeLinkedList* _tmp9_ = NULL;
	NoisePluginsAudioPlayerDevice* _tmp10_ = NULL;
	GeeCollection* _tmp11_ = NULL;
	GeeLinkedList* _tmp12_ = NULL;
	GeeCollection* _tmp13_ = NULL;
	GeeCollection* _tmp14_ = NULL;
	GeeLinkedList* _tmp15_ = NULL;
	gint _tmp16_ = 0;
	gint _tmp17_ = 0;
	gint total_medias = 0;
	GeeLinkedList* _tmp18_ = NULL;
	gint _tmp19_ = 0;
	gint _tmp20_ = 0;
	gint _tmp21_ = 0;
#line 155 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 155 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_return_if_fail (list != NULL);
#line 156 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp0_ = noise_library_doing_file_operations ((NoiseLibrary*) self);
#line 156 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	if (_tmp0_) {
#line 157 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		g_warning ("AudioPlayerLibrary.vala:157: Tried to add when already syncing\n");
#line 158 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		return;
#line 1226 "AudioPlayerLibrary.c"
	}
#line 161 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp1_ = noise_libraries_manager;
#line 161 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp2_ = _ ("Syncing <b>%s</b>…");
#line 161 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp3_ = self->priv->device;
#line 161 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp4_ = noise_device_getDisplayName ((NoiseDevice*) _tmp3_);
#line 161 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp5_ = _tmp4_;
#line 161 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp6_ = g_strdup_printf (_tmp2_, _tmp5_);
#line 161 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (_tmp1_->current_operation);
#line 161 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp1_->current_operation = _tmp6_;
#line 161 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (_tmp5_);
#line 163 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self->priv->is_doing_file_operations = TRUE;
#line 164 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp7_ = noise_libraries_manager;
#line 164 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_timeout_add_full (G_PRIORITY_DEFAULT, (guint) 500, _noise_libraries_manager_do_progress_notification_with_timeout_gsource_func, g_object_ref (_tmp7_), g_object_unref);
#line 165 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	sub_index = 0;
#line 167 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp8_ = gee_linked_list_new (NOISE_TYPE_MEDIA, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 167 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	medias_to_sync = _tmp8_;
#line 168 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp9_ = medias_to_sync;
#line 168 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp10_ = self->priv->device;
#line 168 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp11_ = list;
#line 168 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp12_ = self->priv->medias;
#line 168 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp13_ = noise_device_delete_doubles ((NoiseDevice*) _tmp10_, _tmp11_, (GeeCollection*) _tmp12_);
#line 168 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp14_ = _tmp13_;
#line 168 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	gee_collection_add_all ((GeeCollection*) _tmp9_, _tmp14_);
#line 168 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_object_unref0 (_tmp14_);
#line 169 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp15_ = medias_to_sync;
#line 169 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp16_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp15_);
#line 169 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp17_ = _tmp16_;
#line 169 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_message ("AudioPlayerLibrary.vala:169: Found %d medias to add.", _tmp17_);
#line 170 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp18_ = medias_to_sync;
#line 170 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp19_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp18_);
#line 170 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp20_ = _tmp19_;
#line 170 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	total_medias = _tmp20_;
#line 172 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp21_ = total_medias;
#line 172 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	if (_tmp21_ > 0) {
#line 1294 "AudioPlayerLibrary.c"
		NoisePluginsAudioPlayerDevice* _tmp22_ = NULL;
		GeeLinkedList* _tmp23_ = NULL;
		gboolean _tmp24_ = FALSE;
#line 173 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp22_ = self->priv->device;
#line 173 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp23_ = medias_to_sync;
#line 173 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp24_ = noise_device_will_fit ((NoiseDevice*) _tmp22_, (GeeCollection*) _tmp23_);
#line 173 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		if (_tmp24_) {
#line 1306 "AudioPlayerLibrary.c"
			GeeLinkedList* _tmp25_ = NULL;
			NoiseGStreamerTagger* _tmp42_ = NULL;
			GeeLinkedList* _tmp43_ = NULL;
#line 174 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp25_ = gee_linked_list_new (G_TYPE_STRING, (GBoxedCopyFunc) g_strdup, (GDestroyNotify) g_free, NULL, NULL, NULL);
#line 174 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_g_object_unref0 (self->priv->imported_files);
#line 174 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			self->priv->imported_files = _tmp25_;
#line 1316 "AudioPlayerLibrary.c"
			{
				GeeLinkedList* _m_list = NULL;
				GeeLinkedList* _tmp26_ = NULL;
				GeeLinkedList* _tmp27_ = NULL;
				gint _m_size = 0;
				GeeLinkedList* _tmp28_ = NULL;
				gint _tmp29_ = 0;
				gint _tmp30_ = 0;
				gint _m_index = 0;
#line 175 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp26_ = medias_to_sync;
#line 175 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp27_ = _g_object_ref0 (_tmp26_);
#line 175 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_m_list = _tmp27_;
#line 175 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp28_ = _m_list;
#line 175 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp29_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp28_);
#line 175 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp30_ = _tmp29_;
#line 175 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_m_size = _tmp30_;
#line 175 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_m_index = -1;
#line 175 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				while (TRUE) {
#line 1344 "AudioPlayerLibrary.c"
					gint _tmp31_ = 0;
					gint _tmp32_ = 0;
					gint _tmp33_ = 0;
					NoiseMedia* m = NULL;
					GeeLinkedList* _tmp34_ = NULL;
					gint _tmp35_ = 0;
					gpointer _tmp36_ = NULL;
					NoiseMedia* _tmp37_ = NULL;
					gint _tmp38_ = 0;
					NoiseLibrariesManager* _tmp39_ = NULL;
					gint _tmp40_ = 0;
					gint _tmp41_ = 0;
#line 175 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp31_ = _m_index;
#line 175 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_m_index = _tmp31_ + 1;
#line 175 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp32_ = _m_index;
#line 175 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp33_ = _m_size;
#line 175 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					if (!(_tmp32_ < _tmp33_)) {
#line 175 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						break;
#line 1369 "AudioPlayerLibrary.c"
					}
#line 175 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp34_ = _m_list;
#line 175 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp35_ = _m_index;
#line 175 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp36_ = gee_abstract_list_get ((GeeAbstractList*) _tmp34_, _tmp35_);
#line 175 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					m = (NoiseMedia*) _tmp36_;
#line 176 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp37_ = m;
#line 176 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					noise_library_add_media ((NoiseLibrary*) self, _tmp37_);
#line 177 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp38_ = sub_index;
#line 177 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					sub_index = _tmp38_ + 1;
#line 178 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp39_ = noise_libraries_manager;
#line 178 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp40_ = sub_index;
#line 178 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp41_ = total_medias;
#line 178 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp39_->progress = (gdouble) (_tmp40_ / _tmp41_);
#line 175 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_g_object_unref0 (m);
#line 1397 "AudioPlayerLibrary.c"
				}
#line 175 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_g_object_unref0 (_m_list);
#line 1401 "AudioPlayerLibrary.c"
			}
#line 180 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp42_ = self->tagger;
#line 180 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp43_ = self->priv->imported_files;
#line 180 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			noise_gstreamer_tagger_discoverer_import_media (_tmp42_, (GeeCollection*) _tmp43_);
#line 1409 "AudioPlayerLibrary.c"
		}
	}
#line 183 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_object_unref0 (medias_to_sync);
#line 183 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	return;
#line 1416 "AudioPlayerLibrary.c"
}


static NoiseMedia* noise_plugins_audio_player_library_real_media_from_id (NoiseLibrary* base, gint64 id) {
	NoisePluginsAudioPlayerLibrary * self;
	NoiseMedia* result = NULL;
	GError * _inner_error_ = NULL;
#line 186 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 1426 "AudioPlayerLibrary.c"
	{
		GeeLinkedList* _tmp0_ = NULL;
#line 187 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp0_ = self->priv->medias;
#line 187 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		g_rec_mutex_lock (&self->priv->__lock_medias);
#line 1433 "AudioPlayerLibrary.c"
		{
			{
				GeeLinkedList* _m_list = NULL;
				GeeLinkedList* _tmp1_ = NULL;
				GeeLinkedList* _tmp2_ = NULL;
				gint _m_size = 0;
				GeeLinkedList* _tmp3_ = NULL;
				gint _tmp4_ = 0;
				gint _tmp5_ = 0;
				gint _m_index = 0;
#line 188 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp1_ = self->priv->medias;
#line 188 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp2_ = _g_object_ref0 (_tmp1_);
#line 188 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_m_list = _tmp2_;
#line 188 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp3_ = _m_list;
#line 188 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp4_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp3_);
#line 188 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp5_ = _tmp4_;
#line 188 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_m_size = _tmp5_;
#line 188 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_m_index = -1;
#line 188 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				while (TRUE) {
#line 1462 "AudioPlayerLibrary.c"
					gint _tmp6_ = 0;
					gint _tmp7_ = 0;
					gint _tmp8_ = 0;
					NoiseMedia* m = NULL;
					GeeLinkedList* _tmp9_ = NULL;
					gint _tmp10_ = 0;
					gpointer _tmp11_ = NULL;
					NoiseMedia* _tmp12_ = NULL;
					gint64 _tmp13_ = 0LL;
					gint64 _tmp14_ = 0LL;
					gint64 _tmp15_ = 0LL;
#line 188 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp6_ = _m_index;
#line 188 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_m_index = _tmp6_ + 1;
#line 188 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp7_ = _m_index;
#line 188 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp8_ = _m_size;
#line 188 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					if (!(_tmp7_ < _tmp8_)) {
#line 188 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						break;
#line 1486 "AudioPlayerLibrary.c"
					}
#line 188 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp9_ = _m_list;
#line 188 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp10_ = _m_index;
#line 188 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp11_ = gee_abstract_list_get ((GeeAbstractList*) _tmp9_, _tmp10_);
#line 188 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					m = (NoiseMedia*) _tmp11_;
#line 189 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp12_ = m;
#line 189 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp13_ = noise_media_get_rowid (_tmp12_);
#line 189 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp14_ = _tmp13_;
#line 189 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp15_ = id;
#line 189 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					if (_tmp14_ == _tmp15_) {
#line 190 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						result = m;
#line 190 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_g_object_unref0 (_m_list);
#line 1510 "AudioPlayerLibrary.c"
						{
							GeeLinkedList* _tmp16_ = NULL;
#line 187 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
							_tmp16_ = self->priv->medias;
#line 187 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
							g_rec_mutex_unlock (&self->priv->__lock_medias);
#line 1517 "AudioPlayerLibrary.c"
						}
#line 190 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						return result;
#line 1521 "AudioPlayerLibrary.c"
					}
#line 188 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_g_object_unref0 (m);
#line 1525 "AudioPlayerLibrary.c"
				}
#line 188 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_g_object_unref0 (_m_list);
#line 1529 "AudioPlayerLibrary.c"
			}
		}
		__finally9:
		{
			GeeLinkedList* _tmp17_ = NULL;
#line 187 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp17_ = self->priv->medias;
#line 187 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			g_rec_mutex_unlock (&self->priv->__lock_medias);
#line 1539 "AudioPlayerLibrary.c"
		}
#line 187 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 187 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 187 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			g_clear_error (&_inner_error_);
#line 187 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			return NULL;
#line 1549 "AudioPlayerLibrary.c"
		}
	}
#line 194 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	result = NULL;
#line 194 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	return result;
#line 1556 "AudioPlayerLibrary.c"
}


static GeeCollection* noise_plugins_audio_player_library_real_medias_from_ids (NoiseLibrary* base, GeeCollection* ids) {
	NoisePluginsAudioPlayerLibrary * self;
	GeeCollection* result = NULL;
	GeeLinkedList* media_collection = NULL;
	GeeLinkedList* _tmp0_ = NULL;
	GError * _inner_error_ = NULL;
#line 197 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 197 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_return_val_if_fail (ids != NULL, NULL);
#line 198 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp0_ = gee_linked_list_new (NOISE_TYPE_MEDIA, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 198 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	media_collection = _tmp0_;
#line 1574 "AudioPlayerLibrary.c"
	{
		GeeLinkedList* _tmp1_ = NULL;
#line 200 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp1_ = self->priv->medias;
#line 200 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		g_rec_mutex_lock (&self->priv->__lock_medias);
#line 1581 "AudioPlayerLibrary.c"
		{
			{
				GeeLinkedList* _m_list = NULL;
				GeeLinkedList* _tmp2_ = NULL;
				GeeLinkedList* _tmp3_ = NULL;
				gint _m_size = 0;
				GeeLinkedList* _tmp4_ = NULL;
				gint _tmp5_ = 0;
				gint _tmp6_ = 0;
				gint _m_index = 0;
#line 201 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp2_ = self->priv->medias;
#line 201 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp3_ = _g_object_ref0 (_tmp2_);
#line 201 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_m_list = _tmp3_;
#line 201 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp4_ = _m_list;
#line 201 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp5_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp4_);
#line 201 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp6_ = _tmp5_;
#line 201 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_m_size = _tmp6_;
#line 201 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_m_index = -1;
#line 201 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				while (TRUE) {
#line 1610 "AudioPlayerLibrary.c"
					gint _tmp7_ = 0;
					gint _tmp8_ = 0;
					gint _tmp9_ = 0;
					NoiseMedia* m = NULL;
					GeeLinkedList* _tmp10_ = NULL;
					gint _tmp11_ = 0;
					gpointer _tmp12_ = NULL;
					GeeCollection* _tmp13_ = NULL;
					NoiseMedia* _tmp14_ = NULL;
					gint64 _tmp15_ = 0LL;
					gint64 _tmp16_ = 0LL;
					gboolean _tmp17_ = FALSE;
					GeeLinkedList* _tmp20_ = NULL;
					gint _tmp21_ = 0;
					gint _tmp22_ = 0;
					GeeCollection* _tmp23_ = NULL;
					gint _tmp24_ = 0;
					gint _tmp25_ = 0;
#line 201 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp7_ = _m_index;
#line 201 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_m_index = _tmp7_ + 1;
#line 201 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp8_ = _m_index;
#line 201 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp9_ = _m_size;
#line 201 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					if (!(_tmp8_ < _tmp9_)) {
#line 201 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						break;
#line 1641 "AudioPlayerLibrary.c"
					}
#line 201 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp10_ = _m_list;
#line 201 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp11_ = _m_index;
#line 201 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp12_ = gee_abstract_list_get ((GeeAbstractList*) _tmp10_, _tmp11_);
#line 201 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					m = (NoiseMedia*) _tmp12_;
#line 202 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp13_ = ids;
#line 202 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp14_ = m;
#line 202 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp15_ = noise_media_get_rowid (_tmp14_);
#line 202 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp16_ = _tmp15_;
#line 202 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp17_ = gee_collection_contains (_tmp13_, &_tmp16_);
#line 202 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					if (_tmp17_) {
#line 1663 "AudioPlayerLibrary.c"
						GeeLinkedList* _tmp18_ = NULL;
						NoiseMedia* _tmp19_ = NULL;
#line 203 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp18_ = media_collection;
#line 203 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp19_ = m;
#line 203 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						gee_abstract_collection_add ((GeeAbstractCollection*) _tmp18_, _tmp19_);
#line 1672 "AudioPlayerLibrary.c"
					}
#line 204 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp20_ = media_collection;
#line 204 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp21_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp20_);
#line 204 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp22_ = _tmp21_;
#line 204 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp23_ = ids;
#line 204 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp24_ = gee_collection_get_size (_tmp23_);
#line 204 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp25_ = _tmp24_;
#line 204 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					if (_tmp22_ == _tmp25_) {
#line 205 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_g_object_unref0 (m);
#line 205 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						break;
#line 1692 "AudioPlayerLibrary.c"
					}
#line 201 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_g_object_unref0 (m);
#line 1696 "AudioPlayerLibrary.c"
				}
#line 201 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_g_object_unref0 (_m_list);
#line 1700 "AudioPlayerLibrary.c"
			}
		}
		__finally10:
		{
			GeeLinkedList* _tmp26_ = NULL;
#line 200 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp26_ = self->priv->medias;
#line 200 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			g_rec_mutex_unlock (&self->priv->__lock_medias);
#line 1710 "AudioPlayerLibrary.c"
		}
#line 200 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 200 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_g_object_unref0 (media_collection);
#line 200 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 200 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			g_clear_error (&_inner_error_);
#line 200 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			return NULL;
#line 1722 "AudioPlayerLibrary.c"
		}
	}
#line 209 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	result = (GeeCollection*) media_collection;
#line 209 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	return result;
#line 1729 "AudioPlayerLibrary.c"
}


static GeeCollection* noise_plugins_audio_player_library_real_medias_from_uris (NoiseLibrary* base, GeeCollection* uris) {
	NoisePluginsAudioPlayerLibrary * self;
	GeeCollection* result = NULL;
	GeeLinkedList* media_collection = NULL;
	GeeLinkedList* _tmp0_ = NULL;
	GError * _inner_error_ = NULL;
#line 212 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 212 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_return_val_if_fail (uris != NULL, NULL);
#line 213 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp0_ = gee_linked_list_new (NOISE_TYPE_MEDIA, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 213 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	media_collection = _tmp0_;
#line 1747 "AudioPlayerLibrary.c"
	{
		GeeLinkedList* _tmp1_ = NULL;
#line 215 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp1_ = self->priv->medias;
#line 215 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		g_rec_mutex_lock (&self->priv->__lock_medias);
#line 1754 "AudioPlayerLibrary.c"
		{
			{
				GeeLinkedList* _m_list = NULL;
				GeeLinkedList* _tmp2_ = NULL;
				GeeLinkedList* _tmp3_ = NULL;
				gint _m_size = 0;
				GeeLinkedList* _tmp4_ = NULL;
				gint _tmp5_ = 0;
				gint _tmp6_ = 0;
				gint _m_index = 0;
#line 216 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp2_ = self->priv->medias;
#line 216 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp3_ = _g_object_ref0 (_tmp2_);
#line 216 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_m_list = _tmp3_;
#line 216 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp4_ = _m_list;
#line 216 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp5_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp4_);
#line 216 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp6_ = _tmp5_;
#line 216 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_m_size = _tmp6_;
#line 216 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_m_index = -1;
#line 216 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				while (TRUE) {
#line 1783 "AudioPlayerLibrary.c"
					gint _tmp7_ = 0;
					gint _tmp8_ = 0;
					gint _tmp9_ = 0;
					NoiseMedia* m = NULL;
					GeeLinkedList* _tmp10_ = NULL;
					gint _tmp11_ = 0;
					gpointer _tmp12_ = NULL;
					GeeCollection* _tmp13_ = NULL;
					NoiseMedia* _tmp14_ = NULL;
					gchar* _tmp15_ = NULL;
					gchar* _tmp16_ = NULL;
					gchar* _tmp17_ = NULL;
					gboolean _tmp18_ = FALSE;
					gboolean _tmp19_ = FALSE;
					GeeLinkedList* _tmp22_ = NULL;
					gint _tmp23_ = 0;
					gint _tmp24_ = 0;
					GeeCollection* _tmp25_ = NULL;
					gint _tmp26_ = 0;
					gint _tmp27_ = 0;
#line 216 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp7_ = _m_index;
#line 216 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_m_index = _tmp7_ + 1;
#line 216 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp8_ = _m_index;
#line 216 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp9_ = _m_size;
#line 216 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					if (!(_tmp8_ < _tmp9_)) {
#line 216 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						break;
#line 1816 "AudioPlayerLibrary.c"
					}
#line 216 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp10_ = _m_list;
#line 216 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp11_ = _m_index;
#line 216 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp12_ = gee_abstract_list_get ((GeeAbstractList*) _tmp10_, _tmp11_);
#line 216 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					m = (NoiseMedia*) _tmp12_;
#line 217 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp13_ = uris;
#line 217 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp14_ = m;
#line 217 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp15_ = noise_media_get_uri (_tmp14_);
#line 217 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp16_ = _tmp15_;
#line 217 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp17_ = _tmp16_;
#line 217 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp18_ = gee_collection_contains (_tmp13_, _tmp17_);
#line 217 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp19_ = _tmp18_;
#line 217 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_g_free0 (_tmp17_);
#line 217 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					if (_tmp19_) {
#line 1844 "AudioPlayerLibrary.c"
						GeeLinkedList* _tmp20_ = NULL;
						NoiseMedia* _tmp21_ = NULL;
#line 218 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp20_ = media_collection;
#line 218 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp21_ = m;
#line 218 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						gee_abstract_collection_add ((GeeAbstractCollection*) _tmp20_, _tmp21_);
#line 1853 "AudioPlayerLibrary.c"
					}
#line 219 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp22_ = media_collection;
#line 219 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp23_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp22_);
#line 219 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp24_ = _tmp23_;
#line 219 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp25_ = uris;
#line 219 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp26_ = gee_collection_get_size (_tmp25_);
#line 219 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp27_ = _tmp26_;
#line 219 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					if (_tmp24_ == _tmp27_) {
#line 220 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_g_object_unref0 (m);
#line 220 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						break;
#line 1873 "AudioPlayerLibrary.c"
					}
#line 216 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_g_object_unref0 (m);
#line 1877 "AudioPlayerLibrary.c"
				}
#line 216 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_g_object_unref0 (_m_list);
#line 1881 "AudioPlayerLibrary.c"
			}
		}
		__finally11:
		{
			GeeLinkedList* _tmp28_ = NULL;
#line 215 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp28_ = self->priv->medias;
#line 215 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			g_rec_mutex_unlock (&self->priv->__lock_medias);
#line 1891 "AudioPlayerLibrary.c"
		}
#line 215 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 215 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_g_object_unref0 (media_collection);
#line 215 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 215 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			g_clear_error (&_inner_error_);
#line 215 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			return NULL;
#line 1903 "AudioPlayerLibrary.c"
		}
	}
#line 224 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	result = (GeeCollection*) media_collection;
#line 224 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	return result;
#line 1910 "AudioPlayerLibrary.c"
}


static NoiseMedia* noise_plugins_audio_player_library_real_find_media (NoiseLibrary* base, NoiseMedia* to_find) {
	NoisePluginsAudioPlayerLibrary * self;
	NoiseMedia* result = NULL;
	NoiseMedia* found = NULL;
	GError * _inner_error_ = NULL;
#line 227 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 227 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_return_val_if_fail (to_find != NULL, NULL);
#line 228 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	found = NULL;
#line 1925 "AudioPlayerLibrary.c"
	{
		GeeLinkedList* _tmp0_ = NULL;
#line 229 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp0_ = self->priv->medias;
#line 229 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		g_rec_mutex_lock (&self->priv->__lock_medias);
#line 1932 "AudioPlayerLibrary.c"
		{
			{
				GeeLinkedList* _m_list = NULL;
				GeeLinkedList* _tmp1_ = NULL;
				GeeLinkedList* _tmp2_ = NULL;
				gint _m_size = 0;
				GeeLinkedList* _tmp3_ = NULL;
				gint _tmp4_ = 0;
				gint _tmp5_ = 0;
				gint _m_index = 0;
#line 230 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp1_ = self->priv->medias;
#line 230 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp2_ = _g_object_ref0 (_tmp1_);
#line 230 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_m_list = _tmp2_;
#line 230 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp3_ = _m_list;
#line 230 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp4_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp3_);
#line 230 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp5_ = _tmp4_;
#line 230 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_m_size = _tmp5_;
#line 230 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_m_index = -1;
#line 230 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				while (TRUE) {
#line 1961 "AudioPlayerLibrary.c"
					gint _tmp6_ = 0;
					gint _tmp7_ = 0;
					gint _tmp8_ = 0;
					NoiseMedia* m = NULL;
					GeeLinkedList* _tmp9_ = NULL;
					gint _tmp10_ = 0;
					gpointer _tmp11_ = NULL;
					gboolean _tmp12_ = FALSE;
					NoiseMedia* _tmp13_ = NULL;
					const gchar* _tmp14_ = NULL;
					const gchar* _tmp15_ = NULL;
					gchar* _tmp16_ = NULL;
					gchar* _tmp17_ = NULL;
					NoiseMedia* _tmp18_ = NULL;
					const gchar* _tmp19_ = NULL;
					const gchar* _tmp20_ = NULL;
					gchar* _tmp21_ = NULL;
					gchar* _tmp22_ = NULL;
					gboolean _tmp23_ = FALSE;
#line 230 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp6_ = _m_index;
#line 230 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_m_index = _tmp6_ + 1;
#line 230 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp7_ = _m_index;
#line 230 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp8_ = _m_size;
#line 230 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					if (!(_tmp7_ < _tmp8_)) {
#line 230 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						break;
#line 1993 "AudioPlayerLibrary.c"
					}
#line 230 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp9_ = _m_list;
#line 230 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp10_ = _m_index;
#line 230 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp11_ = gee_abstract_list_get ((GeeAbstractList*) _tmp9_, _tmp10_);
#line 230 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					m = (NoiseMedia*) _tmp11_;
#line 231 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp13_ = to_find;
#line 231 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp14_ = noise_media_get_title (_tmp13_);
#line 231 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp15_ = _tmp14_;
#line 231 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp16_ = g_utf8_strdown (_tmp15_, (gssize) -1);
#line 231 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp17_ = _tmp16_;
#line 231 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp18_ = m;
#line 231 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp19_ = noise_media_get_title (_tmp18_);
#line 231 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp20_ = _tmp19_;
#line 231 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp21_ = g_utf8_strdown (_tmp20_, (gssize) -1);
#line 231 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp22_ = _tmp21_;
#line 231 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp23_ = g_strcmp0 (_tmp17_, _tmp22_) == 0;
#line 231 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_g_free0 (_tmp22_);
#line 231 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_g_free0 (_tmp17_);
#line 231 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					if (_tmp23_) {
#line 2031 "AudioPlayerLibrary.c"
						NoiseMedia* _tmp24_ = NULL;
						const gchar* _tmp25_ = NULL;
						const gchar* _tmp26_ = NULL;
						gchar* _tmp27_ = NULL;
						gchar* _tmp28_ = NULL;
						NoiseMedia* _tmp29_ = NULL;
						const gchar* _tmp30_ = NULL;
						const gchar* _tmp31_ = NULL;
						gchar* _tmp32_ = NULL;
						gchar* _tmp33_ = NULL;
#line 231 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp24_ = to_find;
#line 231 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp25_ = noise_media_get_artist (_tmp24_);
#line 231 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp26_ = _tmp25_;
#line 231 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp27_ = g_utf8_strdown (_tmp26_, (gssize) -1);
#line 231 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp28_ = _tmp27_;
#line 231 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp29_ = m;
#line 231 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp30_ = noise_media_get_artist (_tmp29_);
#line 231 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp31_ = _tmp30_;
#line 231 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp32_ = g_utf8_strdown (_tmp31_, (gssize) -1);
#line 231 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp33_ = _tmp32_;
#line 231 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp12_ = g_strcmp0 (_tmp28_, _tmp33_) == 0;
#line 231 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_g_free0 (_tmp33_);
#line 231 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_g_free0 (_tmp28_);
#line 2068 "AudioPlayerLibrary.c"
					} else {
#line 231 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp12_ = FALSE;
#line 2072 "AudioPlayerLibrary.c"
					}
#line 231 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					if (_tmp12_) {
#line 2076 "AudioPlayerLibrary.c"
						NoiseMedia* _tmp34_ = NULL;
						NoiseMedia* _tmp35_ = NULL;
#line 232 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp34_ = m;
#line 232 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp35_ = _g_object_ref0 (_tmp34_);
#line 232 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_g_object_unref0 (found);
#line 232 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						found = _tmp35_;
#line 233 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_g_object_unref0 (m);
#line 233 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						break;
#line 2091 "AudioPlayerLibrary.c"
					}
#line 230 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_g_object_unref0 (m);
#line 2095 "AudioPlayerLibrary.c"
				}
#line 230 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_g_object_unref0 (_m_list);
#line 2099 "AudioPlayerLibrary.c"
			}
		}
		__finally12:
		{
			GeeLinkedList* _tmp36_ = NULL;
#line 229 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp36_ = self->priv->medias;
#line 229 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			g_rec_mutex_unlock (&self->priv->__lock_medias);
#line 2109 "AudioPlayerLibrary.c"
		}
#line 229 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 229 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_g_object_unref0 (found);
#line 229 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 229 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			g_clear_error (&_inner_error_);
#line 229 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			return NULL;
#line 2121 "AudioPlayerLibrary.c"
		}
	}
#line 237 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	result = found;
#line 237 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	return result;
#line 2128 "AudioPlayerLibrary.c"
}


static NoiseMedia* noise_plugins_audio_player_library_real_media_from_file (NoiseLibrary* base, GFile* file) {
	NoisePluginsAudioPlayerLibrary * self;
	NoiseMedia* result = NULL;
	GError * _inner_error_ = NULL;
#line 239 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 239 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_return_val_if_fail (file != NULL, NULL);
#line 2140 "AudioPlayerLibrary.c"
	{
		GeeLinkedList* _tmp0_ = NULL;
#line 240 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp0_ = self->priv->medias;
#line 240 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		g_rec_mutex_lock (&self->priv->__lock_medias);
#line 2147 "AudioPlayerLibrary.c"
		{
			{
				GeeLinkedList* _m_list = NULL;
				GeeLinkedList* _tmp1_ = NULL;
				GeeLinkedList* _tmp2_ = NULL;
				gint _m_size = 0;
				GeeLinkedList* _tmp3_ = NULL;
				gint _tmp4_ = 0;
				gint _tmp5_ = 0;
				gint _m_index = 0;
#line 241 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp1_ = self->priv->medias;
#line 241 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp2_ = _g_object_ref0 (_tmp1_);
#line 241 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_m_list = _tmp2_;
#line 241 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp3_ = _m_list;
#line 241 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp4_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp3_);
#line 241 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp5_ = _tmp4_;
#line 241 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_m_size = _tmp5_;
#line 241 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_m_index = -1;
#line 241 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				while (TRUE) {
#line 2176 "AudioPlayerLibrary.c"
					gint _tmp6_ = 0;
					gint _tmp7_ = 0;
					gint _tmp8_ = 0;
					NoiseMedia* m = NULL;
					GeeLinkedList* _tmp9_ = NULL;
					gint _tmp10_ = 0;
					gpointer _tmp11_ = NULL;
					gboolean _tmp12_ = FALSE;
					NoiseMedia* _tmp13_ = NULL;
#line 241 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp6_ = _m_index;
#line 241 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_m_index = _tmp6_ + 1;
#line 241 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp7_ = _m_index;
#line 241 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp8_ = _m_size;
#line 241 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					if (!(_tmp7_ < _tmp8_)) {
#line 241 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						break;
#line 2198 "AudioPlayerLibrary.c"
					}
#line 241 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp9_ = _m_list;
#line 241 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp10_ = _m_index;
#line 241 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp11_ = gee_abstract_list_get ((GeeAbstractList*) _tmp9_, _tmp10_);
#line 241 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					m = (NoiseMedia*) _tmp11_;
#line 242 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp13_ = m;
#line 242 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					if (_tmp13_ != NULL) {
#line 2212 "AudioPlayerLibrary.c"
						NoiseMedia* _tmp14_ = NULL;
						GFile* _tmp15_ = NULL;
						GFile* _tmp16_ = NULL;
						GFile* _tmp17_ = NULL;
						gboolean _tmp18_ = FALSE;
#line 242 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp14_ = m;
#line 242 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp15_ = noise_media_get_file (_tmp14_);
#line 242 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp16_ = _tmp15_;
#line 242 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp17_ = file;
#line 242 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp18_ = g_file_equal (_tmp16_, _tmp17_);
#line 242 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp12_ = _tmp18_;
#line 2230 "AudioPlayerLibrary.c"
					} else {
#line 242 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp12_ = FALSE;
#line 2234 "AudioPlayerLibrary.c"
					}
#line 242 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					if (_tmp12_) {
#line 243 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						result = m;
#line 243 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_g_object_unref0 (_m_list);
#line 2242 "AudioPlayerLibrary.c"
						{
							GeeLinkedList* _tmp19_ = NULL;
#line 240 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
							_tmp19_ = self->priv->medias;
#line 240 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
							g_rec_mutex_unlock (&self->priv->__lock_medias);
#line 2249 "AudioPlayerLibrary.c"
						}
#line 243 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						return result;
#line 2253 "AudioPlayerLibrary.c"
					}
#line 241 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_g_object_unref0 (m);
#line 2257 "AudioPlayerLibrary.c"
				}
#line 241 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_g_object_unref0 (_m_list);
#line 2261 "AudioPlayerLibrary.c"
			}
		}
		__finally13:
		{
			GeeLinkedList* _tmp20_ = NULL;
#line 240 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp20_ = self->priv->medias;
#line 240 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			g_rec_mutex_unlock (&self->priv->__lock_medias);
#line 2271 "AudioPlayerLibrary.c"
		}
#line 240 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 240 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 240 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			g_clear_error (&_inner_error_);
#line 240 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			return NULL;
#line 2281 "AudioPlayerLibrary.c"
		}
	}
#line 247 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	result = NULL;
#line 247 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	return result;
#line 2288 "AudioPlayerLibrary.c"
}


static NoiseMedia* noise_plugins_audio_player_library_real_media_from_uri (NoiseLibrary* base, const gchar* uri) {
	NoisePluginsAudioPlayerLibrary * self;
	NoiseMedia* result = NULL;
	GError * _inner_error_ = NULL;
#line 249 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 249 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_return_val_if_fail (uri != NULL, NULL);
#line 2300 "AudioPlayerLibrary.c"
	{
		GeeLinkedList* _tmp0_ = NULL;
#line 250 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp0_ = self->priv->medias;
#line 250 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		g_rec_mutex_lock (&self->priv->__lock_medias);
#line 2307 "AudioPlayerLibrary.c"
		{
			{
				GeeLinkedList* _m_list = NULL;
				GeeLinkedList* _tmp1_ = NULL;
				GeeLinkedList* _tmp2_ = NULL;
				gint _m_size = 0;
				GeeLinkedList* _tmp3_ = NULL;
				gint _tmp4_ = 0;
				gint _tmp5_ = 0;
				gint _m_index = 0;
#line 251 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp1_ = self->priv->medias;
#line 251 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp2_ = _g_object_ref0 (_tmp1_);
#line 251 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_m_list = _tmp2_;
#line 251 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp3_ = _m_list;
#line 251 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp4_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp3_);
#line 251 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp5_ = _tmp4_;
#line 251 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_m_size = _tmp5_;
#line 251 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_m_index = -1;
#line 251 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				while (TRUE) {
#line 2336 "AudioPlayerLibrary.c"
					gint _tmp6_ = 0;
					gint _tmp7_ = 0;
					gint _tmp8_ = 0;
					NoiseMedia* m = NULL;
					GeeLinkedList* _tmp9_ = NULL;
					gint _tmp10_ = 0;
					gpointer _tmp11_ = NULL;
					gboolean _tmp12_ = FALSE;
					NoiseMedia* _tmp13_ = NULL;
#line 251 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp6_ = _m_index;
#line 251 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_m_index = _tmp6_ + 1;
#line 251 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp7_ = _m_index;
#line 251 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp8_ = _m_size;
#line 251 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					if (!(_tmp7_ < _tmp8_)) {
#line 251 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						break;
#line 2358 "AudioPlayerLibrary.c"
					}
#line 251 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp9_ = _m_list;
#line 251 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp10_ = _m_index;
#line 251 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp11_ = gee_abstract_list_get ((GeeAbstractList*) _tmp9_, _tmp10_);
#line 251 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					m = (NoiseMedia*) _tmp11_;
#line 252 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp13_ = m;
#line 252 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					if (_tmp13_ != NULL) {
#line 2372 "AudioPlayerLibrary.c"
						NoiseMedia* _tmp14_ = NULL;
						gchar* _tmp15_ = NULL;
						gchar* _tmp16_ = NULL;
						gchar* _tmp17_ = NULL;
						const gchar* _tmp18_ = NULL;
#line 252 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp14_ = m;
#line 252 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp15_ = noise_media_get_uri (_tmp14_);
#line 252 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp16_ = _tmp15_;
#line 252 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp17_ = _tmp16_;
#line 252 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp18_ = uri;
#line 252 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp12_ = g_strcmp0 (_tmp17_, _tmp18_) == 0;
#line 252 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_g_free0 (_tmp17_);
#line 2392 "AudioPlayerLibrary.c"
					} else {
#line 252 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_tmp12_ = FALSE;
#line 2396 "AudioPlayerLibrary.c"
					}
#line 252 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					if (_tmp12_) {
#line 253 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						result = m;
#line 253 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						_g_object_unref0 (_m_list);
#line 2404 "AudioPlayerLibrary.c"
						{
							GeeLinkedList* _tmp19_ = NULL;
#line 250 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
							_tmp19_ = self->priv->medias;
#line 250 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
							g_rec_mutex_unlock (&self->priv->__lock_medias);
#line 2411 "AudioPlayerLibrary.c"
						}
#line 253 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
						return result;
#line 2415 "AudioPlayerLibrary.c"
					}
#line 251 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_g_object_unref0 (m);
#line 2419 "AudioPlayerLibrary.c"
				}
#line 251 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_g_object_unref0 (_m_list);
#line 2423 "AudioPlayerLibrary.c"
			}
		}
		__finally14:
		{
			GeeLinkedList* _tmp20_ = NULL;
#line 250 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp20_ = self->priv->medias;
#line 250 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			g_rec_mutex_unlock (&self->priv->__lock_medias);
#line 2433 "AudioPlayerLibrary.c"
		}
#line 250 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 250 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 250 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			g_clear_error (&_inner_error_);
#line 250 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			return NULL;
#line 2443 "AudioPlayerLibrary.c"
		}
	}
#line 257 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	result = NULL;
#line 257 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	return result;
#line 2450 "AudioPlayerLibrary.c"
}


static void noise_plugins_audio_player_library_real_update_media (NoiseLibrary* base, NoiseMedia* s, gboolean updateMeta, gboolean record_time) {
	NoisePluginsAudioPlayerLibrary * self;
#line 259 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 259 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_return_if_fail (s != NULL);
#line 2460 "AudioPlayerLibrary.c"
}


static void noise_plugins_audio_player_library_real_update_medias (NoiseLibrary* base, GeeCollection* updates, gboolean updateMeta, gboolean record_time) {
	NoisePluginsAudioPlayerLibrary * self;
#line 262 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 262 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_return_if_fail (updates != NULL);
#line 2470 "AudioPlayerLibrary.c"
}


static void noise_plugins_audio_player_library_real_remove_media (NoiseLibrary* base, NoiseMedia* m, gboolean trash) {
	NoisePluginsAudioPlayerLibrary * self;
	gchar* current_operation = NULL;
	const gchar* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	NoiseMedia* _tmp3_ = NULL;
	const gchar* _tmp4_ = NULL;
	const gchar* _tmp5_ = NULL;
	const gchar* _tmp6_ = NULL;
	gchar* _tmp7_ = NULL;
	const gchar* _tmp8_ = NULL;
	NoiseMedia* _tmp9_ = NULL;
	const gchar* _tmp10_ = NULL;
	const gchar* _tmp11_ = NULL;
	const gchar* _tmp12_ = NULL;
	gchar* _tmp13_ = NULL;
	gchar* _tmp14_ = NULL;
	NoisePluginsAudioPlayerDevice* _tmp15_ = NULL;
	gchar* _tmp16_ = NULL;
	NoiseLibrariesManager* _tmp18_ = NULL;
	const gchar* _tmp19_ = NULL;
	gchar* _tmp20_ = NULL;
	NoiseMedia* _tmp21_ = NULL;
	gchar* _tmp22_ = NULL;
	gchar* _tmp23_ = NULL;
	gchar* _tmp24_ = NULL;
	gboolean _tmp25_ = FALSE;
	GError * _inner_error_ = NULL;
#line 265 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 265 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_return_if_fail (m != NULL);
#line 266 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp0_ = _ ("Removing <b>$NAME</b> by <b>$ARTIST</b> from $DEVICE");
#line 266 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp1_ = g_strdup (_tmp0_);
#line 266 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	current_operation = _tmp1_;
#line 267 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp3_ = m;
#line 267 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp4_ = noise_media_get_title (_tmp3_);
#line 267 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp5_ = _tmp4_;
#line 267 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp2_ = _tmp5_;
#line 267 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	if (_tmp2_ == NULL) {
#line 267 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp2_ = "";
#line 2525 "AudioPlayerLibrary.c"
	}
#line 267 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp6_ = current_operation;
#line 267 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp7_ = string_replace (_tmp6_, "$NAME", _tmp2_);
#line 267 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (current_operation);
#line 267 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	current_operation = _tmp7_;
#line 268 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp9_ = m;
#line 268 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp10_ = noise_media_get_artist (_tmp9_);
#line 268 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp11_ = _tmp10_;
#line 268 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp8_ = _tmp11_;
#line 268 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	if (_tmp8_ == NULL) {
#line 268 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp8_ = "";
#line 2547 "AudioPlayerLibrary.c"
	}
#line 268 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp12_ = current_operation;
#line 268 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp13_ = string_replace (_tmp12_, "$ARTIST", _tmp8_);
#line 268 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (current_operation);
#line 268 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	current_operation = _tmp13_;
#line 269 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp15_ = self->priv->device;
#line 269 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp16_ = noise_device_getDisplayName ((NoiseDevice*) _tmp15_);
#line 269 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp14_ = _tmp16_;
#line 269 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	if (_tmp14_ == NULL) {
#line 2565 "AudioPlayerLibrary.c"
		gchar* _tmp17_ = NULL;
#line 269 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp17_ = g_strdup ("");
#line 269 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_free0 (_tmp14_);
#line 269 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp14_ = _tmp17_;
#line 2573 "AudioPlayerLibrary.c"
	}
#line 269 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp18_ = noise_libraries_manager;
#line 269 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp19_ = current_operation;
#line 269 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp20_ = string_replace (_tmp19_, "$DEVICE", _tmp14_);
#line 269 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (_tmp18_->current_operation);
#line 269 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp18_->current_operation = _tmp20_;
#line 271 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp21_ = m;
#line 271 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp22_ = noise_media_get_uri (_tmp21_);
#line 271 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp23_ = _tmp22_;
#line 271 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp24_ = _tmp23_;
#line 271 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp25_ = _tmp24_ != NULL;
#line 271 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (_tmp24_);
#line 271 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	if (_tmp25_) {
#line 2599 "AudioPlayerLibrary.c"
		GFile* file = NULL;
		NoiseMedia* _tmp26_ = NULL;
		gchar* _tmp27_ = NULL;
		gchar* _tmp28_ = NULL;
		gchar* _tmp29_ = NULL;
		GFile* _tmp30_ = NULL;
		GFile* _tmp31_ = NULL;
		GFile* _tmp32_ = NULL;
		gboolean _tmp33_ = FALSE;
#line 272 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp26_ = m;
#line 272 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp27_ = noise_media_get_uri (_tmp26_);
#line 272 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp28_ = _tmp27_;
#line 272 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp29_ = _tmp28_;
#line 272 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp30_ = g_file_new_for_uri (_tmp29_);
#line 272 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp31_ = _tmp30_;
#line 272 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_free0 (_tmp29_);
#line 272 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		file = _tmp31_;
#line 274 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp32_ = file;
#line 274 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp33_ = g_file_query_exists (_tmp32_, NULL);
#line 274 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		if (_tmp33_) {
#line 2631 "AudioPlayerLibrary.c"
			GeeArrayList* media_list = NULL;
			GeeArrayList* _tmp34_ = NULL;
			GeeArrayList* _tmp35_ = NULL;
			NoiseMedia* _tmp36_ = NULL;
			GeeArrayList* _tmp37_ = NULL;
			GeeLinkedList* _tmp38_ = NULL;
			NoiseMedia* _tmp39_ = NULL;
			NoiseMedia* _tmp47_ = NULL;
			gchar* _tmp48_ = NULL;
			gchar* _tmp49_ = NULL;
			gchar* _tmp50_ = NULL;
#line 275 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp34_ = gee_array_list_new (NOISE_TYPE_MEDIA, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 275 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			media_list = _tmp34_;
#line 276 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp35_ = media_list;
#line 276 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp36_ = m;
#line 276 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			gee_abstract_collection_add ((GeeAbstractCollection*) _tmp35_, _tmp36_);
#line 277 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp37_ = media_list;
#line 277 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			g_signal_emit_by_name ((NoiseLibrary*) self, "media-removed", (GeeCollection*) _tmp37_);
#line 278 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp38_ = self->priv->medias;
#line 278 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp39_ = m;
#line 278 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			gee_abstract_collection_remove ((GeeAbstractCollection*) _tmp38_, _tmp39_);
#line 2663 "AudioPlayerLibrary.c"
			{
				GFile* _tmp40_ = NULL;
#line 280 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp40_ = file;
#line 280 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				g_file_delete (_tmp40_, NULL, &_inner_error_);
#line 280 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 2672 "AudioPlayerLibrary.c"
					goto __catch15_g_error;
				}
			}
			goto __finally15;
			__catch15_g_error:
			{
				GError* err = NULL;
				NoiseMedia* _tmp41_ = NULL;
				gchar* _tmp42_ = NULL;
				gchar* _tmp43_ = NULL;
				gchar* _tmp44_ = NULL;
				GError* _tmp45_ = NULL;
				const gchar* _tmp46_ = NULL;
#line 279 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				err = _inner_error_;
#line 279 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_inner_error_ = NULL;
#line 282 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp41_ = m;
#line 282 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp42_ = noise_media_get_uri (_tmp41_);
#line 282 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp43_ = _tmp42_;
#line 282 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp44_ = _tmp43_;
#line 282 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp45_ = err;
#line 282 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp46_ = _tmp45_->message;
#line 282 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				g_warning ("AudioPlayerLibrary.vala:282: Could not delete File at %s: %s", _tmp44_, _tmp46_);
#line 282 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_g_free0 (_tmp44_);
#line 283 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_g_error_free0 (err);
#line 283 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_g_object_unref0 (media_list);
#line 283 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_g_object_unref0 (file);
#line 283 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_g_free0 (_tmp14_);
#line 283 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_g_free0 (current_operation);
#line 283 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				return;
#line 2718 "AudioPlayerLibrary.c"
			}
			__finally15:
#line 279 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 279 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_g_object_unref0 (media_list);
#line 279 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_g_object_unref0 (file);
#line 279 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_g_free0 (_tmp14_);
#line 279 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_g_free0 (current_operation);
#line 279 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 279 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				g_clear_error (&_inner_error_);
#line 279 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				return;
#line 2737 "AudioPlayerLibrary.c"
			}
#line 285 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp47_ = m;
#line 285 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp48_ = noise_media_get_uri (_tmp47_);
#line 285 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp49_ = _tmp48_;
#line 285 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp50_ = _tmp49_;
#line 285 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			g_debug ("AudioPlayerLibrary.vala:285: Successfully removed music file %s", _tmp50_);
#line 285 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_g_free0 (_tmp50_);
#line 274 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_g_object_unref0 (media_list);
#line 2753 "AudioPlayerLibrary.c"
		} else {
			NoiseMedia* _tmp51_ = NULL;
			gchar* _tmp52_ = NULL;
			gchar* _tmp53_ = NULL;
			gchar* _tmp54_ = NULL;
#line 287 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp51_ = m;
#line 287 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp52_ = noise_media_get_uri (_tmp51_);
#line 287 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp53_ = _tmp52_;
#line 287 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp54_ = _tmp53_;
#line 287 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			g_warning ("AudioPlayerLibrary.vala:287: File not found, could not delete File at " \
"%s. File may already be deleted", _tmp54_);
#line 287 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_g_free0 (_tmp54_);
#line 2771 "AudioPlayerLibrary.c"
		}
#line 271 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_object_unref0 (file);
#line 2775 "AudioPlayerLibrary.c"
	}
#line 265 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (_tmp14_);
#line 265 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (current_operation);
#line 2781 "AudioPlayerLibrary.c"
}


static void noise_plugins_audio_player_library_real_remove_medias (NoiseLibrary* base, GeeCollection* list, gboolean trash) {
	NoisePluginsAudioPlayerLibrary * self;
	gboolean _tmp0_ = FALSE;
	NoiseLibrariesManager* _tmp1_ = NULL;
	const gchar* _tmp2_ = NULL;
	NoisePluginsAudioPlayerDevice* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	gchar* _tmp5_ = NULL;
	gchar* _tmp6_ = NULL;
	gint total = 0;
	GeeCollection* _tmp7_ = NULL;
	gint _tmp8_ = 0;
	gint _tmp9_ = 0;
	NoiseLibrariesManager* _tmp10_ = NULL;
	gint sub_index = 0;
	NoiseLibrariesManager* _tmp22_ = NULL;
#line 291 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 291 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_return_if_fail (list != NULL);
#line 292 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp0_ = noise_library_doing_file_operations ((NoiseLibrary*) self);
#line 292 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	if (_tmp0_) {
#line 293 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		g_warning ("AudioPlayerLibrary.vala:293: Tried to add when already syncing\n");
#line 294 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		return;
#line 2813 "AudioPlayerLibrary.c"
	}
#line 297 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp1_ = noise_libraries_manager;
#line 297 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp2_ = _ ("Removing from <b>%s</b>…");
#line 297 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp3_ = self->priv->device;
#line 297 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp4_ = noise_device_getDisplayName ((NoiseDevice*) _tmp3_);
#line 297 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp5_ = _tmp4_;
#line 297 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp6_ = g_strdup_printf (_tmp2_, _tmp5_);
#line 297 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (_tmp1_->current_operation);
#line 297 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp1_->current_operation = _tmp6_;
#line 297 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (_tmp5_);
#line 299 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp7_ = list;
#line 299 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp8_ = gee_collection_get_size (_tmp7_);
#line 299 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp9_ = _tmp8_;
#line 299 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	total = _tmp9_;
#line 300 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp10_ = noise_libraries_manager;
#line 300 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_timeout_add_full (G_PRIORITY_DEFAULT, (guint) 500, _noise_libraries_manager_do_progress_notification_with_timeout_gsource_func, g_object_ref (_tmp10_), g_object_unref);
#line 302 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	sub_index = 0;
#line 2847 "AudioPlayerLibrary.c"
	{
		GeeIterator* _m_it = NULL;
		GeeCollection* _tmp11_ = NULL;
		GeeIterator* _tmp12_ = NULL;
#line 303 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp11_ = list;
#line 303 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp12_ = gee_iterable_iterator ((GeeIterable*) _tmp11_);
#line 303 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_m_it = _tmp12_;
#line 303 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		while (TRUE) {
#line 2860 "AudioPlayerLibrary.c"
			GeeIterator* _tmp13_ = NULL;
			gboolean _tmp14_ = FALSE;
			NoiseMedia* m = NULL;
			GeeIterator* _tmp15_ = NULL;
			gpointer _tmp16_ = NULL;
			NoiseMedia* _tmp17_ = NULL;
			gint _tmp18_ = 0;
			NoiseLibrariesManager* _tmp19_ = NULL;
			gint _tmp20_ = 0;
			gint _tmp21_ = 0;
#line 303 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp13_ = _m_it;
#line 303 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp14_ = gee_iterator_next (_tmp13_);
#line 303 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			if (!_tmp14_) {
#line 303 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				break;
#line 2879 "AudioPlayerLibrary.c"
			}
#line 303 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp15_ = _m_it;
#line 303 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp16_ = gee_iterator_get (_tmp15_);
#line 303 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			m = (NoiseMedia*) _tmp16_;
#line 304 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp17_ = m;
#line 304 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			noise_library_remove_media ((NoiseLibrary*) self, _tmp17_, TRUE);
#line 305 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp18_ = sub_index;
#line 305 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			sub_index = _tmp18_ + 1;
#line 306 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp19_ = noise_libraries_manager;
#line 306 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp20_ = sub_index;
#line 306 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp21_ = total;
#line 306 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp19_->progress = (gdouble) (_tmp20_ / _tmp21_);
#line 303 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_g_object_unref0 (m);
#line 2905 "AudioPlayerLibrary.c"
		}
#line 303 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_object_unref0 (_m_it);
#line 2909 "AudioPlayerLibrary.c"
	}
#line 308 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp22_ = noise_libraries_manager;
#line 308 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp22_->progress = (gdouble) 1;
#line 309 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_signal_emit_by_name ((NoiseLibrary*) self, "file-operations-done");
#line 2917 "AudioPlayerLibrary.c"
}


static gboolean noise_plugins_audio_player_library_real_support_smart_playlists (NoiseLibrary* base) {
	NoisePluginsAudioPlayerLibrary * self;
	gboolean result = FALSE;
#line 312 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 313 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	result = FALSE;
#line 313 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	return result;
#line 2930 "AudioPlayerLibrary.c"
}


static void noise_plugins_audio_player_library_real_add_smart_playlist (NoiseLibrary* base, NoiseSmartPlaylist* p) {
	NoisePluginsAudioPlayerLibrary * self;
#line 316 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 316 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_return_if_fail (p != NULL);
#line 2940 "AudioPlayerLibrary.c"
}


static void noise_plugins_audio_player_library_real_remove_smart_playlist (NoiseLibrary* base, gint64 id) {
	NoisePluginsAudioPlayerLibrary * self;
#line 319 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 2948 "AudioPlayerLibrary.c"
}


static NoiseSmartPlaylist* noise_plugins_audio_player_library_real_smart_playlist_from_id (NoiseLibrary* base, gint64 id) {
	NoisePluginsAudioPlayerLibrary * self;
	NoiseSmartPlaylist* result = NULL;
#line 322 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 323 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	result = NULL;
#line 323 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	return result;
#line 2961 "AudioPlayerLibrary.c"
}


static NoiseSmartPlaylist* noise_plugins_audio_player_library_real_smart_playlist_from_name (NoiseLibrary* base, const gchar* name) {
	NoisePluginsAudioPlayerLibrary * self;
	NoiseSmartPlaylist* result = NULL;
#line 325 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 325 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_return_val_if_fail (name != NULL, NULL);
#line 326 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	result = NULL;
#line 326 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	return result;
#line 2976 "AudioPlayerLibrary.c"
}


static gboolean noise_plugins_audio_player_library_real_support_playlists (NoiseLibrary* base) {
	NoisePluginsAudioPlayerLibrary * self;
	gboolean result = FALSE;
#line 329 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 330 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	result = FALSE;
#line 330 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	return result;
#line 2989 "AudioPlayerLibrary.c"
}


static Block1Data* block1_data_ref (Block1Data* _data1_) {
#line 333 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_atomic_int_inc (&_data1_->_ref_count_);
#line 333 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	return _data1_;
#line 2998 "AudioPlayerLibrary.c"
}


static void block1_data_unref (void * _userdata_) {
	Block1Data* _data1_;
	_data1_ = (Block1Data*) _userdata_;
#line 333 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	if (g_atomic_int_dec_and_test (&_data1_->_ref_count_)) {
#line 3007 "AudioPlayerLibrary.c"
		NoisePluginsAudioPlayerLibrary* self;
#line 333 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		self = _data1_->self;
#line 333 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_object_unref0 (_data1_->p);
#line 333 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_object_unref0 (self);
#line 333 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		g_slice_free (Block1Data, _data1_);
#line 3017 "AudioPlayerLibrary.c"
	}
}


static void __lambda5_ (Block1Data* _data1_) {
	NoisePluginsAudioPlayerLibrary* self;
	NoiseStaticPlaylist* _tmp0_ = NULL;
#line 338 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = _data1_->self;
#line 338 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp0_ = _data1_->p;
#line 338 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	noise_plugins_audio_player_library_keep_playlist_synchronized (self, _tmp0_);
#line 3031 "AudioPlayerLibrary.c"
}


static void ___lambda5__noise_playlist_media_added (NoisePlaylist* _sender, GeeCollection* media, gpointer self) {
#line 338 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	__lambda5_ (self);
#line 3038 "AudioPlayerLibrary.c"
}


static void __lambda6_ (Block1Data* _data1_) {
	NoisePluginsAudioPlayerLibrary* self;
	NoiseStaticPlaylist* _tmp0_ = NULL;
#line 339 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = _data1_->self;
#line 339 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp0_ = _data1_->p;
#line 339 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	noise_plugins_audio_player_library_keep_playlist_synchronized (self, _tmp0_);
#line 3051 "AudioPlayerLibrary.c"
}


static void ___lambda6__noise_playlist_media_removed (NoisePlaylist* _sender, GeeCollection* media, gpointer self) {
#line 339 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	__lambda6_ (self);
#line 3058 "AudioPlayerLibrary.c"
}


static void __lambda7_ (Block1Data* _data1_, const gchar* old_name) {
	NoisePluginsAudioPlayerLibrary* self;
	const gchar* _tmp0_ = NULL;
	NoiseStaticPlaylist* _tmp1_ = NULL;
#line 340 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = _data1_->self;
#line 340 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp0_ = old_name;
#line 340 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	noise_plugins_audio_player_library_remove_playlist_from_name (self, _tmp0_);
#line 340 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp1_ = _data1_->p;
#line 340 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	noise_plugins_audio_player_library_keep_playlist_synchronized (self, _tmp1_);
#line 3076 "AudioPlayerLibrary.c"
}


static void ___lambda7__noise_playlist_updated (NoisePlaylist* _sender, const gchar* old_name, gpointer self) {
#line 340 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	__lambda7_ (self, old_name);
#line 3083 "AudioPlayerLibrary.c"
}


static void noise_plugins_audio_player_library_real_add_playlist (NoiseLibrary* base, NoiseStaticPlaylist* p) {
	NoisePluginsAudioPlayerLibrary * self;
	Block1Data* _data1_;
	NoiseStaticPlaylist* _tmp0_ = NULL;
	NoiseStaticPlaylist* _tmp1_ = NULL;
	GeeLinkedList* _tmp2_ = NULL;
	NoiseStaticPlaylist* _tmp3_ = NULL;
	NoiseStaticPlaylist* _tmp4_ = NULL;
	NoiseStaticPlaylist* _tmp5_ = NULL;
	NoiseStaticPlaylist* _tmp6_ = NULL;
	NoiseStaticPlaylist* _tmp7_ = NULL;
	NoiseStaticPlaylist* _tmp8_ = NULL;
#line 333 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 333 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_return_if_fail (p != NULL);
#line 333 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data1_ = g_slice_new0 (Block1Data);
#line 333 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data1_->_ref_count_ = 1;
#line 333 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data1_->self = g_object_ref (self);
#line 333 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp0_ = p;
#line 333 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp1_ = _g_object_ref0 (_tmp0_);
#line 333 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_object_unref0 (_data1_->p);
#line 333 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data1_->p = _tmp1_;
#line 335 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp2_ = self->priv->playlists;
#line 335 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp3_ = _data1_->p;
#line 335 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	gee_abstract_collection_add ((GeeAbstractCollection*) _tmp2_, _tmp3_);
#line 336 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp4_ = _data1_->p;
#line 336 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_signal_emit_by_name ((NoiseLibrary*) self, "playlist-added", _tmp4_);
#line 337 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp5_ = _data1_->p;
#line 337 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	noise_plugins_audio_player_library_keep_playlist_synchronized (self, _tmp5_);
#line 338 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp6_ = _data1_->p;
#line 338 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_signal_connect_data ((NoisePlaylist*) _tmp6_, "media-added", (GCallback) ___lambda5__noise_playlist_media_added, block1_data_ref (_data1_), (GClosureNotify) block1_data_unref, 0);
#line 339 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp7_ = _data1_->p;
#line 339 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_signal_connect_data ((NoisePlaylist*) _tmp7_, "media-removed", (GCallback) ___lambda6__noise_playlist_media_removed, block1_data_ref (_data1_), (GClosureNotify) block1_data_unref, 0);
#line 340 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp8_ = _data1_->p;
#line 340 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_signal_connect_data ((NoisePlaylist*) _tmp8_, "updated", (GCallback) ___lambda7__noise_playlist_updated, block1_data_ref (_data1_), (GClosureNotify) block1_data_unref, 0);
#line 333 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	block1_data_unref (_data1_);
#line 333 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_data1_ = NULL;
#line 3147 "AudioPlayerLibrary.c"
}


static void noise_plugins_audio_player_library_real_remove_playlist (NoiseLibrary* base, gint64 id) {
	NoisePluginsAudioPlayerLibrary * self;
	gint64 _tmp0_ = 0LL;
	GeeCollection* _tmp1_ = NULL;
	GeeCollection* _tmp2_ = NULL;
	gint _tmp3_ = 0;
	gint _tmp4_ = 0;
	gboolean _tmp5_ = FALSE;
#line 342 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 343 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp0_ = id;
#line 343 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp1_ = noise_library_get_playlists ((NoiseLibrary*) self);
#line 343 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp2_ = _tmp1_;
#line 343 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp3_ = gee_collection_get_size (_tmp2_);
#line 343 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp4_ = _tmp3_;
#line 343 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp5_ = _tmp0_ < ((gint64) _tmp4_);
#line 343 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_object_unref0 (_tmp2_);
#line 343 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	if (_tmp5_) {
#line 3177 "AudioPlayerLibrary.c"
		GeeArrayList* array_v = NULL;
		GeeArrayList* _tmp6_ = NULL;
		GeeArrayList* _tmp7_ = NULL;
		GeeLinkedList* _tmp8_ = NULL;
#line 344 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp6_ = gee_array_list_new (NOISE_TYPE_STATIC_PLAYLIST, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 344 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		array_v = _tmp6_;
#line 345 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp7_ = array_v;
#line 345 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp8_ = self->priv->playlists;
#line 345 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		gee_array_list_add_all (_tmp7_, (GeeCollection*) _tmp8_);
#line 3192 "AudioPlayerLibrary.c"
		{
			GeeArrayList* _p_list = NULL;
			GeeArrayList* _tmp9_ = NULL;
			GeeArrayList* _tmp10_ = NULL;
			gint _p_size = 0;
			GeeArrayList* _tmp11_ = NULL;
			gint _tmp12_ = 0;
			gint _tmp13_ = 0;
			gint _p_index = 0;
#line 346 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp9_ = array_v;
#line 346 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp10_ = _g_object_ref0 (_tmp9_);
#line 346 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_p_list = _tmp10_;
#line 346 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp11_ = _p_list;
#line 346 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp12_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp11_);
#line 346 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp13_ = _tmp12_;
#line 346 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_p_size = _tmp13_;
#line 346 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_p_index = -1;
#line 346 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			while (TRUE) {
#line 3220 "AudioPlayerLibrary.c"
				gint _tmp14_ = 0;
				gint _tmp15_ = 0;
				gint _tmp16_ = 0;
				NoiseStaticPlaylist* p = NULL;
				GeeArrayList* _tmp17_ = NULL;
				gint _tmp18_ = 0;
				gpointer _tmp19_ = NULL;
				NoiseStaticPlaylist* _tmp20_ = NULL;
				gint64 _tmp21_ = 0LL;
				gint64 _tmp22_ = 0LL;
				gint64 _tmp23_ = 0LL;
#line 346 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp14_ = _p_index;
#line 346 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_p_index = _tmp14_ + 1;
#line 346 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp15_ = _p_index;
#line 346 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp16_ = _p_size;
#line 346 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				if (!(_tmp15_ < _tmp16_)) {
#line 346 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					break;
#line 3244 "AudioPlayerLibrary.c"
				}
#line 346 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp17_ = _p_list;
#line 346 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp18_ = _p_index;
#line 346 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp19_ = gee_abstract_list_get ((GeeAbstractList*) _tmp17_, _tmp18_);
#line 346 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				p = (NoiseStaticPlaylist*) _tmp19_;
#line 347 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp20_ = p;
#line 347 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp21_ = noise_playlist_get_rowid ((NoisePlaylist*) _tmp20_);
#line 347 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp22_ = _tmp21_;
#line 347 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp23_ = id;
#line 347 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				if (_tmp22_ == _tmp23_) {
#line 3264 "AudioPlayerLibrary.c"
					NoiseStaticPlaylist* _tmp24_ = NULL;
					const gchar* _tmp25_ = NULL;
					const gchar* _tmp26_ = NULL;
					NoiseStaticPlaylist* _tmp27_ = NULL;
					GeeLinkedList* _tmp28_ = NULL;
					NoiseStaticPlaylist* _tmp29_ = NULL;
#line 348 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp24_ = p;
#line 348 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp25_ = noise_playlist_get_name ((NoisePlaylist*) _tmp24_);
#line 348 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp26_ = _tmp25_;
#line 348 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					noise_plugins_audio_player_library_remove_playlist_from_name (self, _tmp26_);
#line 349 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp27_ = p;
#line 349 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					g_signal_emit_by_name ((NoiseLibrary*) self, "playlist-removed", _tmp27_);
#line 350 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp28_ = self->priv->playlists;
#line 350 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_tmp29_ = p;
#line 350 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					gee_abstract_collection_remove ((GeeAbstractCollection*) _tmp28_, _tmp29_);
#line 351 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_g_object_unref0 (p);
#line 351 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_g_object_unref0 (_p_list);
#line 351 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_g_object_unref0 (array_v);
#line 351 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					return;
#line 3297 "AudioPlayerLibrary.c"
				}
#line 346 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_g_object_unref0 (p);
#line 3301 "AudioPlayerLibrary.c"
			}
#line 346 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_g_object_unref0 (_p_list);
#line 3305 "AudioPlayerLibrary.c"
		}
#line 343 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_object_unref0 (array_v);
#line 3309 "AudioPlayerLibrary.c"
	}
}


static void noise_plugins_audio_player_library_remove_playlist_from_name (NoisePluginsAudioPlayerLibrary* self, const gchar* name) {
	GFile* dest = NULL;
	NoisePluginsAudioPlayerDevice* _tmp0_ = NULL;
	gchar* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	const gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	gchar* _tmp5_ = NULL;
	gchar* _tmp6_ = NULL;
	gchar* _tmp7_ = NULL;
	gchar* _tmp8_ = NULL;
	gchar* _tmp9_ = NULL;
	GFile* _tmp10_ = NULL;
	GFile* _tmp11_ = NULL;
	GError * _inner_error_ = NULL;
#line 357 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_return_if_fail (self != NULL);
#line 357 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_return_if_fail (name != NULL);
#line 358 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp0_ = self->priv->device;
#line 358 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp1_ = noise_plugins_audio_player_device_get_music_folder (_tmp0_);
#line 358 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp2_ = _tmp1_;
#line 358 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp3_ = name;
#line 358 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp4_ = string_replace (_tmp3_, "/", "_");
#line 358 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp5_ = _tmp4_;
#line 358 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp6_ = g_strconcat (_tmp5_, ".m3u", NULL);
#line 358 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp7_ = _tmp6_;
#line 358 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp8_ = g_build_path ("/", _tmp2_, "Playlists", _tmp7_, NULL);
#line 358 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp9_ = _tmp8_;
#line 358 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp10_ = g_file_new_for_uri (_tmp9_);
#line 358 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp11_ = _tmp10_;
#line 358 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (_tmp9_);
#line 358 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (_tmp7_);
#line 358 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (_tmp5_);
#line 358 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (_tmp2_);
#line 358 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	dest = _tmp11_;
#line 3367 "AudioPlayerLibrary.c"
	{
		GFile* _tmp12_ = NULL;
		gboolean _tmp13_ = FALSE;
#line 361 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp12_ = dest;
#line 361 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp13_ = g_file_query_exists (_tmp12_, NULL);
#line 361 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		if (_tmp13_) {
#line 3377 "AudioPlayerLibrary.c"
			GFile* _tmp14_ = NULL;
#line 362 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp14_ = dest;
#line 362 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			g_file_delete (_tmp14_, NULL, &_inner_error_);
#line 362 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 3385 "AudioPlayerLibrary.c"
				goto __catch16_g_error;
			}
		}
	}
	goto __finally16;
	__catch16_g_error:
	{
		GError* err = NULL;
		const gchar* _tmp15_ = NULL;
		GFile* _tmp16_ = NULL;
		gchar* _tmp17_ = NULL;
		gchar* _tmp18_ = NULL;
		GError* _tmp19_ = NULL;
		const gchar* _tmp20_ = NULL;
#line 359 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		err = _inner_error_;
#line 359 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_inner_error_ = NULL;
#line 366 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp15_ = name;
#line 366 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp16_ = dest;
#line 366 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp17_ = g_file_get_path (_tmp16_);
#line 366 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp18_ = _tmp17_;
#line 366 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp19_ = err;
#line 366 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp20_ = _tmp19_->message;
#line 366 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		g_warning ("AudioPlayerLibrary.vala:366: Could not remove playlist %s to file %s: " \
"%s", _tmp15_, _tmp18_, _tmp20_);
#line 366 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_free0 (_tmp18_);
#line 359 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_error_free0 (err);
#line 3422 "AudioPlayerLibrary.c"
	}
	__finally16:
#line 359 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 359 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_object_unref0 (dest);
#line 359 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 359 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		g_clear_error (&_inner_error_);
#line 359 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		return;
#line 3435 "AudioPlayerLibrary.c"
	}
#line 357 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_object_unref0 (dest);
#line 3439 "AudioPlayerLibrary.c"
}


static void noise_plugins_audio_player_library_keep_playlist_synchronized (NoisePluginsAudioPlayerLibrary* self, NoiseStaticPlaylist* p) {
	gchar* content = NULL;
	NoiseStaticPlaylist* _tmp0_ = NULL;
	NoisePluginsAudioPlayerDevice* _tmp1_ = NULL;
	gchar* _tmp2_ = NULL;
	gchar* _tmp3_ = NULL;
	gchar* _tmp4_ = NULL;
	gchar* _tmp5_ = NULL;
	const gchar* _tmp6_ = NULL;
	NoisePluginsAudioPlayerDevice* _tmp7_ = NULL;
	gchar* _tmp8_ = NULL;
	gchar* _tmp9_ = NULL;
	GFile* _tmp10_ = NULL;
	GFile* _tmp11_ = NULL;
	gchar* _tmp12_ = NULL;
	gchar* _tmp13_ = NULL;
	gchar* _tmp14_ = NULL;
	GFile* dest = NULL;
	NoisePluginsAudioPlayerDevice* _tmp15_ = NULL;
	gchar* _tmp16_ = NULL;
	gchar* _tmp17_ = NULL;
	NoiseStaticPlaylist* _tmp18_ = NULL;
	const gchar* _tmp19_ = NULL;
	const gchar* _tmp20_ = NULL;
	gchar* _tmp21_ = NULL;
	gchar* _tmp22_ = NULL;
	gchar* _tmp23_ = NULL;
	gchar* _tmp24_ = NULL;
	gchar* _tmp25_ = NULL;
	gchar* _tmp26_ = NULL;
	GFile* _tmp27_ = NULL;
	GFile* _tmp28_ = NULL;
	GError * _inner_error_ = NULL;
#line 370 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_return_if_fail (self != NULL);
#line 370 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_return_if_fail (p != NULL);
#line 371 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp0_ = p;
#line 371 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp1_ = self->priv->device;
#line 371 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp2_ = noise_device_get_uri ((NoiseDevice*) _tmp1_);
#line 371 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp3_ = _tmp2_;
#line 371 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp4_ = noise_playlists_utils_get_playlist_m3u_file ((NoisePlaylist*) _tmp0_, _tmp3_);
#line 371 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp5_ = _tmp4_;
#line 371 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (_tmp3_);
#line 371 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	content = _tmp5_;
#line 372 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp6_ = content;
#line 372 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp7_ = self->priv->device;
#line 372 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp8_ = noise_device_get_uri ((NoiseDevice*) _tmp7_);
#line 372 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp9_ = _tmp8_;
#line 372 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp10_ = g_file_new_for_uri (_tmp9_);
#line 372 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp11_ = _tmp10_;
#line 372 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp12_ = g_file_get_path (_tmp11_);
#line 372 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp13_ = _tmp12_;
#line 372 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp14_ = string_replace (_tmp6_, _tmp13_, "");
#line 372 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (content);
#line 372 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	content = _tmp14_;
#line 372 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (_tmp13_);
#line 372 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_object_unref0 (_tmp11_);
#line 372 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (_tmp9_);
#line 374 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp15_ = self->priv->device;
#line 374 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp16_ = noise_plugins_audio_player_device_get_music_folder (_tmp15_);
#line 374 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp17_ = _tmp16_;
#line 374 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp18_ = p;
#line 374 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp19_ = noise_playlist_get_name ((NoisePlaylist*) _tmp18_);
#line 374 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp20_ = _tmp19_;
#line 374 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp21_ = string_replace (_tmp20_, "/", "_");
#line 374 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp22_ = _tmp21_;
#line 374 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp23_ = g_strconcat (_tmp22_, ".m3u", NULL);
#line 374 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp24_ = _tmp23_;
#line 374 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp25_ = g_build_path ("/", _tmp17_, "Playlists", _tmp24_, NULL);
#line 374 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp26_ = _tmp25_;
#line 374 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp27_ = g_file_new_for_uri (_tmp26_);
#line 374 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp28_ = _tmp27_;
#line 374 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (_tmp26_);
#line 374 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (_tmp24_);
#line 374 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (_tmp22_);
#line 374 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (_tmp17_);
#line 374 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	dest = _tmp28_;
#line 3562 "AudioPlayerLibrary.c"
	{
		GFile* _tmp29_ = NULL;
		gboolean _tmp30_ = FALSE;
		GFileOutputStream* file_stream = NULL;
		GFile* _tmp32_ = NULL;
		GFileOutputStream* _tmp33_ = NULL;
		GDataOutputStream* data_stream = NULL;
		GFileOutputStream* _tmp34_ = NULL;
		GDataOutputStream* _tmp35_ = NULL;
		GDataOutputStream* _tmp36_ = NULL;
		const gchar* _tmp37_ = NULL;
#line 377 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp29_ = dest;
#line 377 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp30_ = g_file_query_exists (_tmp29_, NULL);
#line 377 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		if (_tmp30_) {
#line 3580 "AudioPlayerLibrary.c"
			GFile* _tmp31_ = NULL;
#line 378 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp31_ = dest;
#line 378 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			g_file_delete (_tmp31_, NULL, &_inner_error_);
#line 378 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 3588 "AudioPlayerLibrary.c"
				goto __catch17_g_error;
			}
		}
#line 381 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp32_ = dest;
#line 381 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp33_ = g_file_create (_tmp32_, G_FILE_CREATE_NONE, NULL, &_inner_error_);
#line 381 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		file_stream = _tmp33_;
#line 381 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 3600 "AudioPlayerLibrary.c"
			goto __catch17_g_error;
		}
#line 384 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp34_ = file_stream;
#line 384 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp35_ = g_data_output_stream_new ((GOutputStream*) _tmp34_);
#line 384 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		data_stream = _tmp35_;
#line 385 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp36_ = data_stream;
#line 385 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp37_ = content;
#line 385 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		g_data_output_stream_put_string (_tmp36_, _tmp37_, NULL, &_inner_error_);
#line 385 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 385 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_g_object_unref0 (data_stream);
#line 385 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_g_object_unref0 (file_stream);
#line 3621 "AudioPlayerLibrary.c"
			goto __catch17_g_error;
		}
#line 375 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_object_unref0 (data_stream);
#line 375 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_object_unref0 (file_stream);
#line 3628 "AudioPlayerLibrary.c"
	}
	goto __finally17;
	__catch17_g_error:
	{
		GError* err = NULL;
		NoiseStaticPlaylist* _tmp38_ = NULL;
		const gchar* _tmp39_ = NULL;
		const gchar* _tmp40_ = NULL;
		GFile* _tmp41_ = NULL;
		gchar* _tmp42_ = NULL;
		gchar* _tmp43_ = NULL;
		GError* _tmp44_ = NULL;
		const gchar* _tmp45_ = NULL;
#line 375 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		err = _inner_error_;
#line 375 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_inner_error_ = NULL;
#line 388 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp38_ = p;
#line 388 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp39_ = noise_playlist_get_name ((NoisePlaylist*) _tmp38_);
#line 388 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp40_ = _tmp39_;
#line 388 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp41_ = dest;
#line 388 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp42_ = g_file_get_path (_tmp41_);
#line 388 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp43_ = _tmp42_;
#line 388 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp44_ = err;
#line 388 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp45_ = _tmp44_->message;
#line 388 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		g_warning ("AudioPlayerLibrary.vala:388: Could not save playlist %s to m3u file %s" \
": %s\n", _tmp40_, _tmp43_, _tmp45_);
#line 388 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_free0 (_tmp43_);
#line 375 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_error_free0 (err);
#line 3668 "AudioPlayerLibrary.c"
	}
	__finally17:
#line 375 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	if (G_UNLIKELY (_inner_error_ != NULL)) {
#line 375 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_object_unref0 (dest);
#line 375 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_free0 (content);
#line 375 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		g_critical ("file %s: line %d: uncaught error: %s (%s, %d)", __FILE__, __LINE__, _inner_error_->message, g_quark_to_string (_inner_error_->domain), _inner_error_->code);
#line 375 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		g_clear_error (&_inner_error_);
#line 375 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		return;
#line 3683 "AudioPlayerLibrary.c"
	}
#line 370 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_object_unref0 (dest);
#line 370 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_free0 (content);
#line 3689 "AudioPlayerLibrary.c"
}


static NoiseStaticPlaylist* noise_plugins_audio_player_library_real_playlist_from_id (NoiseLibrary* base, gint64 id) {
	NoisePluginsAudioPlayerLibrary * self;
	NoiseStaticPlaylist* result = NULL;
	gint64 _tmp0_ = 0LL;
	GeeCollection* _tmp1_ = NULL;
	GeeCollection* _tmp2_ = NULL;
	gint _tmp3_ = 0;
	gint _tmp4_ = 0;
	gboolean _tmp5_ = FALSE;
#line 392 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 393 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp0_ = id;
#line 393 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp1_ = noise_library_get_playlists ((NoiseLibrary*) self);
#line 393 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp2_ = _tmp1_;
#line 393 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp3_ = gee_collection_get_size (_tmp2_);
#line 393 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp4_ = _tmp3_;
#line 393 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp5_ = _tmp0_ < ((gint64) _tmp4_);
#line 393 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_object_unref0 (_tmp2_);
#line 393 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	if (_tmp5_) {
#line 3720 "AudioPlayerLibrary.c"
		GeeArrayList* array = NULL;
		GeeArrayList* _tmp6_ = NULL;
		GeeArrayList* _tmp7_ = NULL;
		GeeCollection* _tmp8_ = NULL;
		GeeCollection* _tmp9_ = NULL;
#line 394 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp6_ = gee_array_list_new (NOISE_TYPE_STATIC_PLAYLIST, (GBoxedCopyFunc) g_object_ref, (GDestroyNotify) g_object_unref, NULL, NULL, NULL);
#line 394 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		array = _tmp6_;
#line 395 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp7_ = array;
#line 395 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp8_ = noise_library_get_playlists ((NoiseLibrary*) self);
#line 395 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp9_ = _tmp8_;
#line 395 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		gee_array_list_add_all (_tmp7_, _tmp9_);
#line 395 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_object_unref0 (_tmp9_);
#line 3740 "AudioPlayerLibrary.c"
		{
			GeeArrayList* _playlist_list = NULL;
			GeeArrayList* _tmp10_ = NULL;
			GeeArrayList* _tmp11_ = NULL;
			gint _playlist_size = 0;
			GeeArrayList* _tmp12_ = NULL;
			gint _tmp13_ = 0;
			gint _tmp14_ = 0;
			gint _playlist_index = 0;
#line 396 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp10_ = array;
#line 396 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp11_ = _g_object_ref0 (_tmp10_);
#line 396 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_playlist_list = _tmp11_;
#line 396 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp12_ = _playlist_list;
#line 396 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp13_ = gee_abstract_collection_get_size ((GeeAbstractCollection*) _tmp12_);
#line 396 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp14_ = _tmp13_;
#line 396 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_playlist_size = _tmp14_;
#line 396 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_playlist_index = -1;
#line 396 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			while (TRUE) {
#line 3768 "AudioPlayerLibrary.c"
				gint _tmp15_ = 0;
				gint _tmp16_ = 0;
				gint _tmp17_ = 0;
				NoiseStaticPlaylist* playlist = NULL;
				GeeArrayList* _tmp18_ = NULL;
				gint _tmp19_ = 0;
				gpointer _tmp20_ = NULL;
				NoiseStaticPlaylist* _tmp21_ = NULL;
				gint64 _tmp22_ = 0LL;
				gint64 _tmp23_ = 0LL;
				gint64 _tmp24_ = 0LL;
#line 396 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp15_ = _playlist_index;
#line 396 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_playlist_index = _tmp15_ + 1;
#line 396 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp16_ = _playlist_index;
#line 396 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp17_ = _playlist_size;
#line 396 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				if (!(_tmp16_ < _tmp17_)) {
#line 396 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					break;
#line 3792 "AudioPlayerLibrary.c"
				}
#line 396 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp18_ = _playlist_list;
#line 396 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp19_ = _playlist_index;
#line 396 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp20_ = gee_abstract_list_get ((GeeAbstractList*) _tmp18_, _tmp19_);
#line 396 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				playlist = (NoiseStaticPlaylist*) _tmp20_;
#line 397 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp21_ = playlist;
#line 397 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp22_ = noise_playlist_get_rowid ((NoisePlaylist*) _tmp21_);
#line 397 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp23_ = _tmp22_;
#line 397 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_tmp24_ = id;
#line 397 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				if (_tmp23_ == _tmp24_) {
#line 398 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					result = playlist;
#line 398 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_g_object_unref0 (_playlist_list);
#line 398 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					_g_object_unref0 (array);
#line 398 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
					return result;
#line 3820 "AudioPlayerLibrary.c"
				}
#line 396 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_g_object_unref0 (playlist);
#line 3824 "AudioPlayerLibrary.c"
			}
#line 396 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_g_object_unref0 (_playlist_list);
#line 3828 "AudioPlayerLibrary.c"
		}
#line 393 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_object_unref0 (array);
#line 3832 "AudioPlayerLibrary.c"
	}
#line 401 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	result = NULL;
#line 401 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	return result;
#line 3838 "AudioPlayerLibrary.c"
}


static NoiseStaticPlaylist* noise_plugins_audio_player_library_real_playlist_from_name (NoiseLibrary* base, const gchar* name) {
	NoisePluginsAudioPlayerLibrary * self;
	NoiseStaticPlaylist* result = NULL;
#line 403 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 403 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_return_val_if_fail (name != NULL, NULL);
#line 3849 "AudioPlayerLibrary.c"
	{
		GeeIterator* _playlist_it = NULL;
		GeeCollection* _tmp0_ = NULL;
		GeeCollection* _tmp1_ = NULL;
		GeeIterator* _tmp2_ = NULL;
		GeeIterator* _tmp3_ = NULL;
#line 404 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp0_ = noise_library_get_playlists ((NoiseLibrary*) self);
#line 404 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp1_ = _tmp0_;
#line 404 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp2_ = gee_iterable_iterator ((GeeIterable*) _tmp1_);
#line 404 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_tmp3_ = _tmp2_;
#line 404 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_object_unref0 (_tmp1_);
#line 404 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_playlist_it = _tmp3_;
#line 404 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		while (TRUE) {
#line 3870 "AudioPlayerLibrary.c"
			GeeIterator* _tmp4_ = NULL;
			gboolean _tmp5_ = FALSE;
			NoiseStaticPlaylist* playlist = NULL;
			GeeIterator* _tmp6_ = NULL;
			gpointer _tmp7_ = NULL;
			NoiseStaticPlaylist* _tmp8_ = NULL;
			const gchar* _tmp9_ = NULL;
			const gchar* _tmp10_ = NULL;
			const gchar* _tmp11_ = NULL;
#line 404 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp4_ = _playlist_it;
#line 404 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp5_ = gee_iterator_next (_tmp4_);
#line 404 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			if (!_tmp5_) {
#line 404 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				break;
#line 3888 "AudioPlayerLibrary.c"
			}
#line 404 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp6_ = _playlist_it;
#line 404 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp7_ = gee_iterator_get (_tmp6_);
#line 404 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			playlist = (NoiseStaticPlaylist*) _tmp7_;
#line 405 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp8_ = playlist;
#line 405 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp9_ = noise_playlist_get_name ((NoisePlaylist*) _tmp8_);
#line 405 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp10_ = _tmp9_;
#line 405 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_tmp11_ = name;
#line 405 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			if (g_strcmp0 (_tmp10_, _tmp11_) == 0) {
#line 406 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				result = playlist;
#line 406 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				_g_object_unref0 (_playlist_it);
#line 406 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
				return result;
#line 3912 "AudioPlayerLibrary.c"
			}
#line 404 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
			_g_object_unref0 (playlist);
#line 3916 "AudioPlayerLibrary.c"
		}
#line 404 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		_g_object_unref0 (_playlist_it);
#line 3920 "AudioPlayerLibrary.c"
	}
#line 409 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	result = NULL;
#line 409 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	return result;
#line 3926 "AudioPlayerLibrary.c"
}


static gboolean noise_plugins_audio_player_library_real_start_file_operations (NoiseLibrary* base, const gchar* message) {
	NoisePluginsAudioPlayerLibrary * self;
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
#line 412 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 413 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp0_ = noise_library_doing_file_operations ((NoiseLibrary*) self);
#line 413 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	if (_tmp0_) {
#line 415 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		result = TRUE;
#line 415 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		return result;
#line 3944 "AudioPlayerLibrary.c"
	} else {
#line 417 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		result = FALSE;
#line 417 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
		return result;
#line 3950 "AudioPlayerLibrary.c"
	}
}


static gboolean noise_plugins_audio_player_library_real_doing_file_operations (NoiseLibrary* base) {
	NoisePluginsAudioPlayerLibrary * self;
	gboolean result = FALSE;
	gboolean _tmp0_ = FALSE;
#line 419 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 420 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_tmp0_ = self->priv->is_doing_file_operations;
#line 420 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	result = _tmp0_;
#line 420 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	return result;
#line 3967 "AudioPlayerLibrary.c"
}


static void noise_plugins_audio_player_library_real_finish_file_operations (NoiseLibrary* base) {
	NoisePluginsAudioPlayerLibrary * self;
#line 422 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = (NoisePluginsAudioPlayerLibrary*) base;
#line 3975 "AudioPlayerLibrary.c"
}


static void noise_plugins_audio_player_library_class_init (NoisePluginsAudioPlayerLibraryClass * klass) {
#line 29 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	noise_plugins_audio_player_library_parent_class = g_type_class_peek_parent (klass);
#line 29 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_type_class_add_private (klass, sizeof (NoisePluginsAudioPlayerLibraryPrivate));
#line 29 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->initialize_library = (void (*)(NoiseLibrary*)) noise_plugins_audio_player_library_real_initialize_library;
#line 29 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->add_files_to_library = (void (*)(NoiseLibrary*, GeeCollection*)) noise_plugins_audio_player_library_real_add_files_to_library;
#line 29 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->get_medias = (GeeCollection* (*)(NoiseLibrary*)) noise_plugins_audio_player_library_real_get_medias;
#line 29 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->get_playlists = (GeeCollection* (*)(NoiseLibrary*)) noise_plugins_audio_player_library_real_get_playlists;
#line 29 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->get_smart_playlists = (GeeCollection* (*)(NoiseLibrary*)) noise_plugins_audio_player_library_real_get_smart_playlists;
#line 29 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->search_medias = (void (*)(NoiseLibrary*, const gchar*)) noise_plugins_audio_player_library_real_search_medias;
#line 29 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->get_search_result = (GeeCollection* (*)(NoiseLibrary*)) noise_plugins_audio_player_library_real_get_search_result;
#line 29 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->add_media = (void (*)(NoiseLibrary*, NoiseMedia*)) noise_plugins_audio_player_library_real_add_media;
#line 29 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->add_medias = (void (*)(NoiseLibrary*, GeeCollection*)) noise_plugins_audio_player_library_real_add_medias;
#line 29 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->media_from_id = (NoiseMedia* (*)(NoiseLibrary*, gint64)) noise_plugins_audio_player_library_real_media_from_id;
#line 29 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->medias_from_ids = (GeeCollection* (*)(NoiseLibrary*, GeeCollection*)) noise_plugins_audio_player_library_real_medias_from_ids;
#line 29 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->medias_from_uris = (GeeCollection* (*)(NoiseLibrary*, GeeCollection*)) noise_plugins_audio_player_library_real_medias_from_uris;
#line 29 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->find_media = (NoiseMedia* (*)(NoiseLibrary*, NoiseMedia*)) noise_plugins_audio_player_library_real_find_media;
#line 29 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->media_from_file = (NoiseMedia* (*)(NoiseLibrary*, GFile*)) noise_plugins_audio_player_library_real_media_from_file;
#line 29 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->media_from_uri = (NoiseMedia* (*)(NoiseLibrary*, const gchar*)) noise_plugins_audio_player_library_real_media_from_uri;
#line 29 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->update_media = (void (*)(NoiseLibrary*, NoiseMedia*, gboolean, gboolean)) noise_plugins_audio_player_library_real_update_media;
#line 29 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->update_medias = (void (*)(NoiseLibrary*, GeeCollection*, gboolean, gboolean)) noise_plugins_audio_player_library_real_update_medias;
#line 29 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->remove_media = (void (*)(NoiseLibrary*, NoiseMedia*, gboolean)) noise_plugins_audio_player_library_real_remove_media;
#line 29 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->remove_medias = (void (*)(NoiseLibrary*, GeeCollection*, gboolean)) noise_plugins_audio_player_library_real_remove_medias;
#line 29 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->support_smart_playlists = (gboolean (*)(NoiseLibrary*)) noise_plugins_audio_player_library_real_support_smart_playlists;
#line 29 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->add_smart_playlist = (void (*)(NoiseLibrary*, NoiseSmartPlaylist*)) noise_plugins_audio_player_library_real_add_smart_playlist;
#line 29 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->remove_smart_playlist = (void (*)(NoiseLibrary*, gint64)) noise_plugins_audio_player_library_real_remove_smart_playlist;
#line 29 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->smart_playlist_from_id = (NoiseSmartPlaylist* (*)(NoiseLibrary*, gint64)) noise_plugins_audio_player_library_real_smart_playlist_from_id;
#line 29 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->smart_playlist_from_name = (NoiseSmartPlaylist* (*)(NoiseLibrary*, const gchar*)) noise_plugins_audio_player_library_real_smart_playlist_from_name;
#line 29 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->support_playlists = (gboolean (*)(NoiseLibrary*)) noise_plugins_audio_player_library_real_support_playlists;
#line 29 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->add_playlist = (void (*)(NoiseLibrary*, NoiseStaticPlaylist*)) noise_plugins_audio_player_library_real_add_playlist;
#line 29 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->remove_playlist = (void (*)(NoiseLibrary*, gint64)) noise_plugins_audio_player_library_real_remove_playlist;
#line 29 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->playlist_from_id = (NoiseStaticPlaylist* (*)(NoiseLibrary*, gint64)) noise_plugins_audio_player_library_real_playlist_from_id;
#line 29 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->playlist_from_name = (NoiseStaticPlaylist* (*)(NoiseLibrary*, const gchar*)) noise_plugins_audio_player_library_real_playlist_from_name;
#line 29 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->start_file_operations = (gboolean (*)(NoiseLibrary*, const gchar*)) noise_plugins_audio_player_library_real_start_file_operations;
#line 29 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->doing_file_operations = (gboolean (*)(NoiseLibrary*)) noise_plugins_audio_player_library_real_doing_file_operations;
#line 29 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	((NoiseLibraryClass *) klass)->finish_file_operations = (void (*)(NoiseLibrary*)) noise_plugins_audio_player_library_real_finish_file_operations;
#line 29 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	G_OBJECT_CLASS (klass)->finalize = noise_plugins_audio_player_library_finalize;
#line 4050 "AudioPlayerLibrary.c"
}


static void noise_plugins_audio_player_library_instance_init (NoisePluginsAudioPlayerLibrary * self) {
#line 29 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self->priv = NOISE_PLUGINS_AUDIO_PLAYER_LIBRARY_GET_PRIVATE (self);
#line 32 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_rec_mutex_init (&self->priv->__lock_medias);
#line 33 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_rec_mutex_init (&self->priv->__lock_searched_medias);
#line 35 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self->priv->operation_cancelled = FALSE;
#line 36 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self->priv->is_doing_file_operations = FALSE;
#line 37 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self->priv->queue_is_finished = FALSE;
#line 39 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self->priv->is_initialized = FALSE;
#line 40 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self->medias_rowid = 0;
#line 41 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self->playlists_rowid = 0;
#line 42 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self->smartplaylists_rowid = 0;
#line 4075 "AudioPlayerLibrary.c"
}


static void noise_plugins_audio_player_library_finalize (GObject* obj) {
	NoisePluginsAudioPlayerLibrary * self;
#line 29 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	self = G_TYPE_CHECK_INSTANCE_CAST (obj, NOISE_PLUGINS_TYPE_AUDIO_PLAYER_LIBRARY, NoisePluginsAudioPlayerLibrary);
#line 31 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_object_unref0 (self->priv->device);
#line 32 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_rec_mutex_clear (&self->priv->__lock_medias);
#line 32 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_object_unref0 (self->priv->medias);
#line 33 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	g_rec_mutex_clear (&self->priv->__lock_searched_medias);
#line 33 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_object_unref0 (self->priv->searched_medias);
#line 34 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_object_unref0 (self->priv->playlists);
#line 38 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_object_unref0 (self->priv->imported_files);
#line 44 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	_g_object_unref0 (self->tagger);
#line 29 "/builddir/build/BUILD/music-0.4.1/plugins/Devices/AudioPlayers/AudioPlayerLibrary.vala"
	G_OBJECT_CLASS (noise_plugins_audio_player_library_parent_class)->finalize (obj);
#line 4101 "AudioPlayerLibrary.c"
}


GType noise_plugins_audio_player_library_get_type (void) {
	return noise_plugins_audio_player_library_type_id;
}


GType noise_plugins_audio_player_library_register_type (GTypeModule * module) {
	static const GTypeInfo g_define_type_info = { sizeof (NoisePluginsAudioPlayerLibraryClass), (GBaseInitFunc) NULL, (GBaseFinalizeFunc) NULL, (GClassInitFunc) noise_plugins_audio_player_library_class_init, (GClassFinalizeFunc) NULL, NULL, sizeof (NoisePluginsAudioPlayerLibrary), 0, (GInstanceInitFunc) noise_plugins_audio_player_library_instance_init, NULL };
	noise_plugins_audio_player_library_type_id = g_type_module_register_type (module, NOISE_TYPE_LIBRARY, "NoisePluginsAudioPlayerLibrary", &g_define_type_info, 0);
	return noise_plugins_audio_player_library_type_id;
}



